# 使用 C 数据类型的示例

> 原文：<https://www.studytonight.com/c/using-datatypes-examples.php>

数据类型定义了正在使用的数据类型。在上一个教程中，我们已经详细介绍了 **[C 数据类型](https://www.studytonight.com/c/datatype-in-c.php)** 。

C 语言有 5 种基本数据类型，它们是:

1.  **人物** - `char`

2.  **整数** - `int`

3.  **浮点** - `float`

4.  **双** - `double`

5.  **虚空** - `void`

让我们一个一个地了解它们。

要了解数据类型的**大小**、**数据类型的值范围**以及各种**类型修饰符**，如`signed`、`unsigned`、`long`和`short` -详细访问 **[C 数据类型](http://www.studytonight.com/c/datatype-in-c.php)**

## 1\. 字符数据类型

`char`数据类型是指用单引号括起来的字符值，范围为 **-127 到 127** 。

从这个范围可以清楚地看到，我们甚至可以在`char`数据类型中使用**小整数值**。

例如，

```cpp
char status = 'Y';
```

## 第 2 个整数数据类型

`int`数据类型用于存储整数，整数是没有任何小数部分或指数部分的值。

`int`数据类型可以存储**十进制**(十进制)、**八进制**(八进制)和**十六进制**(十六进制)值。

```cpp
// simple int value
int a = 100;

// negative value
a = -100;

// unsigned int value - with suffix U or u
int x = 1000U;

// long int value
long int long_val = 3500L;
```

对于`int`数据类型的值，我们可以使用后缀`U`或`u`，告诉编译器该值是针对`unsigned` `int`数据类型的，后缀`L`或`l`是针对一个`long` `int`值的。

了解有关类型标识符(`signed`、`unsigned`、`long`和`short`)及其使用时如何更改主要数据类型的更多信息-访问 **[初学者 C 数据类型指南](http://www.studytonight.com/c/datatype-in-c.php)**

## 3.浮点数据类型

`float`数据类型用于存储**实数**，实数可能有小数(分数)部分或指数部分。这是一个单精度数字。

我们来看一些`float`值的例子，

```cpp
float x = 127.675;

// with suffix F or f
float y = 1000.5454F;
```

就像`int`数据类型一样，`float`也可以与类型修饰符一起使用-了解更多信息，访问 **[C 数据类型初学者指南](http://www.studytonight.com/c/datatype-in-c.php)**

## 4.双重数据类型

大到不能存储在`float`数据类型中的实数被存储为`double`数据类型。这是一个双精度数字。双数据类型值可以在小数点前保留 15 到 17 位，在小数点后保留 15 到 17 位。

这里有一个例子，

```cpp
double x = 424455236424564.24663224663322;
```

当我们需要这么大的数字时，我们应该只使用`double`数据类型，否则不会，因为使用`double`数据类型**会使程序变慢**。

## 结论:

在本教程中，我们看到了一些 C 语言中不同数据类型的例子。要详细了解 C 数据类型，请访问 **[【初学者 C 数据类型指南】](http://www.studytonight.com/c/datatype-in-c.php)** 。

* * *

* * *