# 常量值变量——`const`关键字

> 原文：<https://www.studytonight.com/c/c-const-variable.php>

如果要创建一个值不能更改的**变量**，那么可以使用`const`关键字创建一个常量值变量。

类型为`const`的变量不能被程序改变。我们可以在定义变量时提供一个值，然后，在整个程序中，该变量将保持相同的值。

## 使用`const`关键字

这里有一个使用 const 关键字的简单例子，

```cpp
const int totalmarks = 100;
```

在上面的代码中，我们定义了一个名为`totalmarks`的变量，并为其赋值 **100** 。因为我们在定义变量时使用了`const`关键字，因此我们不能更改`totalmarks`变量的值。

## 更改`const`变量值

如果在程序中`const`变量被定义后，你试图改变它的值，那么编译器会给出一个错误。

例如，

```cpp
#include <stdio.h>

int main() {
   // initialize a constant variable 
   const int total_marks = 10;

   // try changing value
   total_marks = 80;

   return 0;
}
```

错误:赋值只读变量‘total _ marks’
total _ marks = 80；
^

[运行代码→](https://www.studytonight.com/code/playground/c/?id=XVJFxP)

正如您在错误消息中看到的，编译器表示该变量是一个**只读变量**，因此其**值不能更改**。

因为常量变量是只读变量，所以编译器可以将这些变量放入**只读存储器** ( **ROM** )。

当我们将一个变量定义为`const`时，那么该程序中的任何东西都不能改变该变量的值。

因此，如果`const`变量**的值改变了**，那么你可以说程序之外的东西改变了值，它可以是硬件设备或者任何外部事件。

## 结论:

在本教程中，我们学习了如何创建常值变量，这些变量的值不能被程序更改。

* * *

* * *