# C 语言中的命令行参数

> 原文：<https://www.studytonight.com/c/command-line-argument.php>

命令行参数是调用程序时提供给程序的参数。命令行参数是 C 编程中的一个重要概念。它主要用于需要从外部控制程序的时候。命令行参数被传递给`main()`方法。

**语法:**

```cpp
int main(int argc, char *argv[])
```

这里`argc`计算命令行上的参数数量，`argv[ ]`是一个指针数组，它保存类型为`char`的指针，指向传递给程序的参数。

* * *

### 命令行参数示例

```cpp
#include <stdio.h>
#include <conio.h>

int main(int argc, char *argv[])
{
    int i;
    if( argc >= 2 )
    {
        printf("The arguments supplied are:\n");
        for(i = 1; i < argc; i++)
        {
            printf("%s\t", argv[i]);
        }
    }
    else
    {
        printf("argument list is empty.\n");
    }
    return 0;
}
```

请记住`argv[0]`保存程序的名称，`argv[1]`指向第一个命令行参数，`argv[n]`给出最后一个参数。如果没有提供参数，`argc`将为 1。

* * *