# C++ 入门

> 原文：<https://www.studytonight.com/cpp/introduction-to-cpp.php>

众所周知，C++ 是 C 语言的扩展，由贝尔实验室的 Bjarne stroustrup 开发。C++ 是一种中级语言，因为它包含对高级和低级语言特性的确认。C++ 是一种静态类型、自由形式、多参数、编译的通用语言。

C++ 是一种 **[面向对象编程语言](cpp-and-oops-concepts.php)** ，但不是纯粹的面向对象。像`Friend`和`Virtual`这样的特性违反了一些非常重要的 OOPS 特性，使得这种语言不值得被称为完全面向对象的语言。这是一种中级语言。

* * *

## C++ 相对于 C 语言的优势

主要区别在于 OOPS 概念，C++ 是一种面向对象的语言，而 [C](/c/overview-of-c.php) 是一种过程语言。除此之外，C++ 还有许多其他特性，使这种语言在 C 语言中占据上风。

遵循 C++ 的特性使它成为比 C 更强的语言，

1.  C++ 中有更强的类型检查。
2.  C++ 中所有的 OOPS 特性，比如抽象、封装、[继承](overview-of-inheritance.php)等等，都让它对程序员来说更有价值，更有用。
3.  C++ 支持并允许用户自定义运算符(即[运算符重载](operator-overloading.php))，其中也支持函数重载。
4.  [异常处理](exception-handling-in-cpp.php)在 C++ 里是有的。
5.  虚函数的概念以及对象的[构造器和析构器](constructors-and-destructors-in-cpp.php)。
6.  C++ 中的内联函数，而不是 C 语言中的宏。内联函数使完整的函数体像宏一样安全。
7.  [变量](variables-scope-details.php)可以用 C++ 在程序中的任何地方声明，但必须在使用前声明。

* * *

<fieldset><legend>**What we will cover in Basics of C++**</legend>

*   [OOPS 概念基础](cpp-and-oops-concepts.php)
*   [基本语法和结构](basics-of-cpp.php)
*   [数据类型和修改器](datatypes-and-modifiers-in-cpp.php)
*   [c++ 中的变量](variables-scope-details.php)
*   [c++ 中的运算符](operators-and-their-types.php)
*   [c++ 中的 sizeof 和 typedef](sizeof-and-typedef.php)
*   [决策](decision-making-in-cpp)
*   [回路类型](loops-in-cpp)
*   [存储类别](storage-classes-in-cpp)
*   [功能](functions-in-cpp)

</fieldset>

* * *

* * *