# C++ 的基本概念

> 原文：<https://www.studytonight.com/cpp/basics-of-cpp.php>

在本节中，我们将介绍 C++ 的基础知识，它将包括语法、[变量](variables-scope-details.php)、[运算符](operators-and-their-types.php)、[循环类型](loops-in-cpp)、[指针](pointer-to-members.php)、[引用](references-in-cpp.php)以及关于 C++ 程序其他要求的信息。你会遇到很多你已经在 [C](/c/overview-of-c.php) 学过的术语。

* * *

## C++ 程序的语法和结构

在这里，我们将讨论一个简单而基本的 C++ 程序来打印“你好，这是 C++”及其部分结构的细节和用途。

### 第一个 C++ 程序

```cpp
#include <iostream.h>
using namespace std;
int main()
{
    cout << "Hello this is C++";
}
```

**头文件**就像 C 程序一样包含在开头。这里`iostream`是一个头文件，为我们提供输入&输出流。头文件包含预声明的函数库，用户可以轻松使用。

**使用命名空间标准**，告诉编译器使用标准命名空间。命名空间收集用于类、对象和变量的标识符。namespace 在程序中可以通过两种方式使用，要么在开头使用`using`语句，就像我们在上面提到的程序中所做的那样，要么使用 NameSpace 的名称作为前缀，放在带有范围解析(::)运算符的标识符之前。

*例:* `std::cout << "A";`

**main()** ，是保存程序执行部分的函数，返回类型为`int`。

**cout < <** ，用于在屏幕上打印任何东西，与 C 语言中的`printf`相同。 **cin** 和 **cout** 与`scanf`和`printf`相同，唯一不同的是在`cout` & `cin`中不需要提到格式说明符，如`int`等的`%d`。

* * *

### C++ 程序中的注释

对于单行评论，在提评论之前先用 **//** ，比如

```cpp
cout<<"single line";   // This is single line comment 
```

For multiple line comment, enclose the comment between **/*** and ***/**

```cpp
/*this is 
  a multiple line 
  comment */
```

* * *

### 用 C++ 创建类

[类](class-and-objects.php)名称必须以大写字母开头，包含数据[变量](variables-scope-details.php)和[成员函数](member-functions-cpp.php)。这只是对类的介绍，我们将在整个 C++ 教程中详细讨论类。

```cpp
class Abc
{
    int i;           //data variable
    void display()         //Member Function
    { 
        cout << "Inside Member Function";
    }
}; // Class ends here

int main()
{
    Abc obj;  // Creatig Abc class's object
    obj.display();  //Calling member function using class object
}
```

这就是类的定义方式，一旦定义了类，就创建了它的对象，并使用了成员函数。

变量可以在整个程序的任何地方声明，但是在使用之前必须声明。因此，我们不需要在程序开始时声明变量。

别担心，这只是给你一个关于 C++ 语言的基本概念，我们将在接下来的教程中详细介绍一切。

* * *

* * *