# C++ 中的数据类型和修饰符

> 原文：<https://www.studytonight.com/cpp/datatypes-and-modifiers-in-cpp.php>

让我们从数据类型开始。它们用于定义变量的类型和使用的内容。数据类型定义了您在编写的程序中使用存储的方式。数据类型可以有两种:

1.  内置数据类型
2.  用户定义或抽象数据类型

* * *

## 内置数据类型

这些是预定义的数据类型，直接连接到编译器中。例如:`int`、`char`等。

* * *

## 用户定义的或抽象的数据类型

这些是用户作为类或结构创建的类型。在 C++ 中，这些类与在 C 语言中一样，将用户定义的数据类型实现为结构。

* * *

### C++ 中的基本内置数据类型

| `char` | 用于字符存储(1 字节) |
| `int` | 对于整数(2 字节) |
| `float` | 单精度浮点(4 字节) |
| `double` | 双精度浮点数(8 字节) |

**例**:

```cpp
char a = 'A';          // character type
int a = 1;             // integer type
float a = 3.14159;     // floating point type 
double a = 6e-4;       // double type (e is for exponential) 
```

* * *

### C++ 中的其他内置数据类型

| `bool` | 布尔型(真或假) |
| `void` | 没有任何价值 |
| `wchar_t` | 宽字符 |

* * *

## C++ 中作为数据类型的枚举

枚举类型声明一个新的类型名以及一个包含标识符的值序列，标识符的值从 0 开始，每次递增 1。

例如:

```cpp
enum day(mon, tues, wed, thurs, fri) d;
```

这里定义了一个由变量`d`表示的天数计数。**周一**将持值 **0** 、**周二**将有 **1** 以此类推。我们也可以显式赋值，比如，`enum day(mon, tue=7, wed);`。这里**周一**会是 **0** ，**周二**会被分配 **7** ，所以**周三**会得到值 **8** 。

* * *

# C++ 中的修饰符

在 C++ 中，特殊的单词(称为**修饰符**)可以用来修改预定义的内置数据类型的含义，并将它们扩展到更大的集合。C++ 中有四种数据类型修饰符，它们是:

1.  `long`
2.  `short`
3.  `signed`
4.  `unsigned`

上面提到的修饰符可以与内置数据类型一起使用，以使它们更加精确，甚至扩大它们的范围。

下面提到了一些你必须知道的关于修饰语的要点，

*   **长**和**短**修改数据类型将保持的最大值和最小值。
*   普通 int 的最小尺寸必须为**短**。
*   尺寸层次: `short int < int < long int`
*   浮点数的大小层次为: `float < double < long double`
*   **长浮点**不是合法类型，没有**短浮点**数字。
*   **有符号**类型包括正数和负数，是默认类型。
*   **无符号**，数字总是没有任何符号，也就是总是正数。

* * *

* * *