# C++ 中的`sizeOf`和`typedef`运算符

> 原文：<https://www.studytonight.com/cpp/sizeof-and-typedef.php>

在本教程中，我们将介绍 C++ 中`sizeOf`和`typedef`运算符的用法。

`sizeOf`也是一个[运算符](operators-and-their-types.php)不是一个函数，它用于获取分配给数据类型&对象的内存量信息。它也可以用来获取用户定义的数据类型的大小。

`sizeOf`运算符可以带括号，也可以不带括号。如果你把它应用到一个变量上，你可以不用括号来使用它。

```cpp
cout << sizeOf(double);   //Will print size of double
int x = 2;
int i = sizeOf x; 
```

* * *

## `typedef`c++ 中的运算符

`typedef`是在 [C](/c/overview-of-c.php) 中使用的关键字，用于为现有类型指定替代名称。当数据类型的名称变得稍微复杂时，它主要用于用户定义的数据类型。以下是使用 typedef 的一般语法，

```cpp
typedef existing_name alias_name
```

让我们举个例子，看看 typedef 实际上是如何工作的。

```cpp
typedef unsigned long ulong;
```

上面的语句为无符号长类型定义了一个术语**。现在这个 **ulong** 标识符可以用来定义无符号长类型变量。**

```cpp
ulong i, j;
```

* * *

## `typedef`和指针

`typedef`也可以用来给[指针](pointer-to-members.php)取别名。这里有一个例子，在指针声明过程中使用 typedef 是有益的。

在指针中`*`绑定到右边而不是左边。

```cpp
int* x, y ;
```

通过这个声明语句，我们实际上是将 **x** 声明为 int 类型的指针，而 **y** 将声明为普通整数。

```cpp
typedef int* **IntPtr** ;
IntPtr x, y, z;
```

但是如果我们像上面的例子一样使用 **typedef** ，我们可以在一个语句中声明任意数量的指针。

* * *

* * ***