# C++ 类和对象简介

> 原文：<https://www.studytonight.com/cpp/class-and-objects.php>

类是导致[面向对象编程](cpp-and-oops-concepts.php)的 C++ 最重要的特性。类是用户定义的数据类型，它拥有自己的[数据成员](accessing-data-members.php)和成员函数，可以通过创建该类的实例来访问和使用。

类定义中的[变量](variables-scope-details.php)被称为数据成员，函数被称为成员函数。

**比如:**类鸟，所有的鸟都会飞，都有翅膀和喙。所以在这里飞行是一种行为，翅膀和喙是它们特征的一部分。这个类别中有许多不同的鸟，它们有不同的名字，但是它们都有这种行为和特征。

同样，类只是一个蓝图，它分别声明和定义了特性和行为，即数据成员和成员函数。并且这个类的所有对象将共享这些特征和行为。

* * *

## 关于课程的更多信息

1.  类名必须以大写字母开头(尽管这不是必需的)。如果类名由多个单词组成，那么每个单词的第一个字母必须是大写的。*例*

    ```cpp
    class Study, class StudyTonight etc
    ```

2.  类包含数据成员和成员函数，这些数据成员和变量的访问依赖于[访问说明符](access-control.php)(在下一节中讨论)。
3.  类的成员函数可以在类定义内定义，也可以在类定义外定义。
4.  C++ 中的类类似于 [C](/c/overview-of-c.php) 中的结构，唯一的区别是，类默认为私有访问控制，其中 as 结构默认为公共。
5.  OOPS 的所有特性都围绕着 C++ 中的类。继承、封装、抽象等。
6.  类的对象保存数据成员的单独副本。我们可以根据需要创建任意多的类对象。
7.  类确实拥有更多的特性，比如我们可以创建[抽象类](abstract-class-and-pure-virtual.php)，不可变类，所有这些我们将在后面研究。

* * *

## 类的对象

班级只是一个蓝图或模板。当我们定义一个类时，没有分配存储。对象是类的实例，它保存类中声明的数据变量，成员[函数](functions-in-cpp)处理这些类对象。

每个对象都有不同的数据变量。使用名为的特殊类函数初始化对象。稍后我们将学习构造器。

而每当对象超出其范围时，调用另一个名为**析构器**的特殊类[成员函数](member-functions-cpp.php)，释放对象预留的内存。C++ 没有像在 [JAVA](/java/) 中那样的自动垃圾收集器，在 C++ 析构器中执行这个任务。

```cpp
class Abc
{
    int x;
    void display()
    {
        // some statement
    } 
};  

int main()
{
    Abc obj;   // Object of class Abc created
}
```

* * *

* * *