# C++ 中的访问控制

> 原文：<https://www.studytonight.com/cpp/access-control.php>

现在，在学习如何定义类及其对象之前，让我们先快速了解什么是访问修饰符。

C++ 类中的访问修饰符定义了访问控制规则。C++ 引入了 3 个新的关键字，即，

1.  公众的
2.  私人的
3.  保护

这些访问修饰符用于设置类成员可用性的边界，无论是[数据成员](accessing-data-members.php)还是成员函数

程序中的访问修饰符，后面跟一个冒号。您可以在同一个类中使用一个、两个或全部三个修饰符来为不同的类成员设置不同的边界。它们改变了跟随它们的所有声明的边界。

* * *

## C++ 中的公共访问修饰符

Public，指 **public** 下声明的所有班级成员将对所有人开放。声明为公共的数据成员和[成员函数](member-functions-cpp.php)也可以被其他类访问。因此，他们有可能改变它们。所以关键成员不能公开。

```cpp
class PublicAccess
{
    // public access modifier
    public:   
    int x;            // Data Member Declaration 
    void display();   // Member Function decaration
}
```

* * *

## C++ 中的私有访问修饰符

Private 关键字，意味着在该类之外，没有人可以访问声明为 **private** 的类成员。如果有人试图访问一个类的私有成员，他们会得到一个**编译时错误**。默认情况下，类变量和成员函数是私有的。

```cpp
class PrivateAccess
{
    // private access modifier
    private:   
    int x;            // Data Member Declaration 
    void display();   // Member Function decaration
} 
```

* * *

## C++ 中受保护的访问修饰符

Protected 是最后一个访问说明符，它类似于 private，它使类成员在类外不可访问。但是该类的任何子类都可以访问它们。(如果 A 类是被 B 类继承的**，那么 B 类就是 A 类的子类，后面我们会学习继承。)**

```cpp
class ProtectedAccess
{
    // protected access modifier
    protected: 
    int x;            // Data Member Declaration 
    void display();   // Member Function decaration
} 
```

* * *

* * ***