# 定义类和创建对象

> 原文：<https://www.studytonight.com/cpp/defining-class-and-object.php>

当我们定义任何类时，我们并没有定义任何数据，我们只是定义了一个结构或蓝图，关于该类类型的对象将包含什么，以及可以对该对象执行什么操作。

下面是类定义的语法，

```cpp
class ClassName
{
    Access specifier: 
    Data members;
    Member Functions()
    {
        // member function defintion
    }
}; 
```

这里有一个例子，我们创建了一个名为 Student 的简单类，它有适当的成员，

```cpp
class Student
{
    public:
    int rollno;
    string name;
};
```

所以从语法和例子中可以清楚地看到，类定义以关键字“class”开始，后跟类名。然后花括号内是类体，即[数据成员](accessing-data-members.php)和[成员函数](member-functions-cpp.php)，其访问由访问说明符限定。类定义以分号或对象声明列表结束。

例如:

```cpp
class Student
{
    public:
    int rollno;
    string name;
}A,B;
```

这里`A`和`B`是类`Student`的对象，用类定义声明。我们也可以单独声明对象，就像我们声明原始数据类型的变量一样。在这种情况下，数据类型是类名，变量是对象。

```cpp
int main()
{
    // creating object of class Student
    Student A;
    Student B;
}
```

`A`和`B`都有自己的数据成员副本，即`rollno`和`name`，我们可以在这些对象中为它们存储不同的值。

* * *

* * *