# C++ 中类的成员函数

> 原文：<https://www.studytonight.com/cpp/member-functions-cpp.php>

成员函数是这样的函数，它们的声明在类定义中，并作用于类的数据成员。成员函数的定义可以在类定义的内部或外部。

如果成员函数是在类定义里面定义的，那么可以直接定义，但是如果是在类外面定义的，那么我们就要使用作用域解析`::`运算符以及带有函数名的类名 alng。

例如:

```cpp
class Cube
{
    public:
    int side;
    /*
        Declaring function getVolume 
        with no argument and return type int.
    */
    int getVolume();     
}; 
```

如果我们在类内部定义函数，那么我们不需要先声明它，我们可以直接定义函数。

```cpp
class Cube
{
    public:
    int side;
    int getVolume()
    {
        return side*side*side;      //returns volume of cube
    }
};
```

但是如果我们计划在类定义之外定义成员函数，那么我们必须在类定义内部声明函数，然后在外部定义它。

```cpp
class Cube
{
    public:
    int side;
    int getVolume();
}

// member function defined outside class definition
int Cube :: getVolume()
{
    return side*side*side;
}
```

两个函数定义的主要函数是相同的。在 main()中，我们将创建类的对象，并使用点`.`运算符调用成员函数。

* * *

## 在 C++ 中调用类成员函数

类似于访问类中的数据成员，我们也可以使用点运算符`(.)`通过类对象访问公共成员函数。

下面我们有一个简单的代码示例，我们正在创建类的一个对象`Cube`并调用成员函数`getVolume()`:

```cpp
int main()
{
    Cube C1;
    C1.side = 4;    // setting side value
    cout<< "Volume of cube C1 = "<< C1.getVolume();
} 
```

立方体 C1 的体积= 16

同样，我们可以定义 getter 和 setter 函数来访问类定义内部或外部的私有数据成员。

* * *

* * *