# 什么是数据？

> 原文：<https://www.studytonight.com/dbms/overview-of-dbms.php>

**数据**只不过是存储或在网络上自由流动的事实和统计数据，一般都是未经加工的原始数据。例如:当你访问任何网站时，他们可能会存储你的 IP 地址，也就是数据，作为回报，他们可能会在你的浏览器中添加一个 cookie，标记你访问了该网站，也就是数据，你的名字，这是数据，你的年龄，这是数据。

数据在被处理时变成**信息**，变成有意义的东西。比如，根据保存在用户浏览器上的 cookie 数据，如果一个网站可以分析出一般 20-25 岁的男性访问我们的次数更多，那就是从收集的数据中得出的信息。

* * *

# 什么是数据库？

一个**数据库**是一个相关数据的集合，其组织方式使得数据能够被容易地访问、管理和更新。数据库可以是基于软件的，也可以是基于硬件的，唯一的目的是存储数据。

在早期的计算机时代，数据被收集并存储在磁带上，这些磁带大多是只读的，这意味着一旦数据存储在磁带上，就再也无法读取。它们又慢又笨重，很快计算机科学家意识到他们需要一个更好的解决方案来解决这个问题。

**甲骨文公司**的联合创始人拉里·埃里森是少数几个意识到需要基于软件的 DBMS 的人之一。

* * *

## 什么是 DBMS？

一个**DBMS**是一个允许创建、定义和操作数据库的软件，允许用户轻松地存储、处理和分析数据。DBMS 为我们提供了一个界面或工具，来执行各种操作，如创建数据库、在其中存储数据、更新数据、在数据库中创建表等等。

DBMS 还为数据库提供保护和安全。它还在多个用户的情况下保持数据一致性。

以下是目前流行的 DBMS 的一些例子:

*   关系型数据库
*   神谕
*   数据库
*   IBM DB2
*   一种数据库系统
*   亚马逊 SimpleDB(基于云)等。

* * *

## DBMS 的特点

DBMS 具有以下特征:

1.  **存储到表中的数据:**数据从不直接存储到数据库中。数据存储在数据库内部创建的表中。DBMS 还允许表之间的关系，这使得数据更有意义和联系。通过查看数据库中创建的所有表，您可以很容易地了解什么类型的数据存储在哪里。
2.  **减少冗余:**在现代世界，硬盘非常便宜，但在早期，当硬盘太贵时，数据库中不必要的数据重复是一个大问题。但是 DBMS 遵循**标准化**，以重复最少的方式划分数据。
3.  **数据一致性:**对于实时数据，即不断更新和添加的数据，保持数据的一致性可能会成为一项挑战。但是 DBMS 自己处理这一切。
4.  **支持多用户和并发访问:** DBMS 允许多个用户同时对其进行工作(更新、插入、删除数据)，并且仍然设法保持数据的一致性。
5.  **查询语言:** DBMS 为用户提供了一种简单的查询语言，使用该语言可以在数据库中轻松地获取、插入、删除和更新数据。
6.  **安全性:**DBMS 还负责数据的安全性，保护数据免受未经授权的访问。在典型的 DBMS 中，我们可以创建具有不同访问权限的用户帐户，使用这些帐户，我们可以通过限制用户访问来轻松保护我们的数据。
7.  DBMS 支持**事务**，这使得我们能够在多线程被广泛使用的现实应用中更好地处理和管理数据完整性。

* * *

## DBMS 的优势

*   应用程序隔离。
*   最小的数据复制或数据冗余。
*   使用查询语言轻松检索数据。
*   减少开发时间和维护需求。
*   有了云数据中心，我们现在有了能够存储几乎无限数据的 DBMS。
*   无缝集成到应用程序编程语言中，这使得向几乎任何应用程序或网站添加数据库变得非常容易。

* * *

## DBMS 的缺点

*   这是复杂性
*   除了开源的 MySQL 之外，获得许可的 DBMSs 通常成本很高。
*   它们的尺寸很大。

* * *

* * *