# 理解 DBMS 架构

> 原文：<https://www.studytonight.com/dbms/architecture-of-database.php>

DBMS 并不总是直接可供用户和应用程序访问和存储数据。DBMS 可以是**集中式的**(所有数据存储在一个位置)、**分散式的**(数据库在不同位置的多个副本)或**分层式的**，这取决于其体系结构。

**1 层 DBMS** 架构也是存在的，这就是当数据库直接可供用户使用它来存储数据的时候。一般来说，这种设置用于本地应用程序开发，程序员直接与数据库通信以获得快速响应。

数据库体系结构在逻辑上有两种类型:

1.  两层 DBMS 体系结构
2.  三层 DBMS 体系结构

* * *

## 两层 DBMS 体系结构

2 层 DBMS 架构包括用户和 DBMS 之间的**应用层**，负责将用户的请求传递给 DBMS，然后将 DBMS 的响应发送给用户。

一个被称为 **ODBC** (开放数据库连接)的应用程序接口提供了一个允许客户端程序调用 DBMS 的应用编程接口。大多数 DBMS 供应商为他们的 DBMS 提供 ODBC 驱动程序。

![2-tier dbms architecture](img/e2fdfd922f473cd409bd6bb9666aa99a.png)

这样的架构为 DBMS 提供了额外的安全性，因为它不会直接暴露给最终用户。此外，还可以通过在应用层添加安全性和身份验证检查来提高安全性。

* * *

## 三层 DBMS 架构

三层 DBMS 架构是 web 应用程序最常用的架构。

![3-tier dbms architecture](img/998ef6d9f3e394103fa33f8f568457e1.png)

它是 2 层架构的扩展。在 2 层体系结构中，我们有一个应用层，可以通过编程方式访问它，以便在 DBMS 上执行各种操作。应用程序通常理解数据库访问语言，并处理最终用户对 DBMS 的请求。

在三层体系结构中，添加了一个额外的表示层或图形用户界面层，为最终用户与 DBMS 交互提供了一个图形用户界面。

对于最终用户来说，图形用户界面层是数据库系统，最终用户对应用层和 DBMS 一无所知。

如果你用过 **MySQL** ，那么你一定见过 **PHPMyAdmin** ，它是三层 DBMS 架构最好的例子。

* * *

* * *