# DBMS 中 ER 模型的基本概念

> 原文：<https://www.studytonight.com/dbms/er-model-concepts.php>

正如我们在教程数据库模型中所描述的，实体关系模型是一个用于设计和表示数据之间关系的模型。

主要数据对象被称为实体，它们的细节被定义为属性，其中一些属性很重要，用于标识实体，不同的实体使用关系进行关联。

简而言之，要了解 ER 模型，我们必须了解:

*   实体和实体集
*   什么是属性？和属性类型。
*   键
*   关系

让我们举个例子来解释一切。对于一个**学校管理软件**，我们需要存储**学生**信息、**老师**信息、**班级**、**各班所教科目**等。

* * *

## ER 模型:实体和实体集

考虑到上面的例子，**学生**是实体，**老师**是实体，同样，**班**、**学科**等也是实体。

实体通常是一个现实世界的对象，它具有 DBMS 中的特征和关系。

如果一个学生是一个实体，那么所有学生的完整数据集就是**实体集**

* * *

## ER 模型:属性

如果学生是一个实体，那么学生的**卷号**、学生的**姓名**、学生的**年龄**、学生的**性别**等将是其属性。

一个属性可以有多种类型，下面是在 ER 数据库模型中定义的不同类型的属性:

1.  **简单属性:**值为原子且不能进一步分解的属性为简单属性。比如学生的**年龄**。
2.  **复合属性:**复合属性由多个简单属性组成。例如，学生的**地址**将包含、**门牌号**、**街道名称**、**密码**等。
3.  **派生属性:**这些是不存在于整个 DBMS 中的属性，而是使用其他属性派生的。比如*某班级学生平均年龄*。
4.  **单值属性:**顾名思义，它们只有一个值。
5.  **多值属性:**并且，它们可以有多个值。

* * *

## 急诊室模式:钥匙

如果属性**卷号**可以在所有学生中唯一地标识一个学生实体，那么属性**卷号**将被称为一个键。

以下是密钥的类型:

1.  超级钥匙
2.  候选关键字
3.  主关键字

我们已经在[数据库键](database-key.php)教程中详细介绍了键。

* * *

## 急诊室模型:关系

当一个实体与另一个实体相关时，它们被称为有关系。比如 A **班**实体与**学生**实体相关，因为学生在班里学习，所以这是一种关系。

根据所涉及的实体数量，一个**度**被分配给关系。

比如涉及 2 个实体，就说是**二元关系**，涉及 3 个实体，就说是**三元**关系，以此类推。

在下一个教程中，我们将学习如何创建 ER 图和使用 ER 图设计数据库。

* * *

* * *