# 关系 DBMS 的 Codd 规则

> 原文：<https://www.studytonight.com/dbms/codd-rule.php>

E.F Codd 是一位计算机科学家，他发明了用于数据库管理的关系模型。基于关系模型，创建了**关系数据库**。Codd 提出了 13 条规则，通常被称为 **Codd 的 12 条规则**，以对照他的关系模型测试 DBMS 的概念。Codd 规则实际上定义了一个 DBMS 要成为一个关系 DBMS 所需要的质量。到目前为止，几乎没有任何商业产品遵循所有 13 个 Codd 的规则。即使是**甲骨文**也只排在 13 名中的 8.5 名之后。Codd 的 12 条规则如下。

* * *

### 规则零

该规则规定，要使一个系统有资格成为**关系 DBMS**，它必须能够完全通过关系能力来管理数据库。

* * *

### 规则 1:信息规则

所有信息(包括元数据)都将被表示为存储在表格单元格中的数据。行和列必须严格无序。

* * *

### 规则 2:保证访问

每个唯一的数据(原子值)应该可以通过以下方式访问:**表名+主键(行)+属性(列)**。

**注意:**通过 POINTER 直接访问的能力违反了这个规则。

* * *

### 规则 3:系统处理空值

`Null`有几个意思，可以表示数据缺失、不适用或没有值。应该始终如一地处理。此外，主键永远不能为空。`NULL`上的表达式必须为空。

* * *

### 规则 4:活动在线目录

数据库字典(目录)是完整的**数据库**的结构描述，必须在线存储。目录必须由与数据库其余部分相同的规则管理。目录上应使用与查询数据库相同的查询语言。

* * *

### 规则 5:强大且结构良好的语言

必须有一种结构良好的语言来提供对存储在数据库中的数据的所有访问方式。示例: **SQL** 等。如果数据库允许在不使用这种语言的情况下访问数据，那么这就是违规。

* * *

### 规则 6:查看更新规则

所有理论上可更新的视图也应该是系统可更新的。

* * *

### 规则 7:关系级操作

每一层关系都必须有插入、删除、更新操作。还应该支持并集、交集、减集等集合运算。

* * *

### 规则 8:物理数据独立性

数据的物理存储对系统来说并不重要。如果说，某个文件支持表被重命名或从一个磁盘移动到另一个磁盘，它应该不会影响应用程序。

* * *

### 规则 9:逻辑数据独立性

如果数据库的逻辑结构(表结构)发生了变化，用户对数据的看法就不应该改变。比方说，如果一个表被分成两个表，一个新的视图应该给出两个表的连接结果。这条规则最难满足。

* * *

### 规则 10:正直独立

数据库应该能够执行自己的完整性，而不是使用其他程序。键和检查约束、触发器等应存储在数据字典中。这也使得 **RDBMS** 独立于前端。

* * *

### 规则 11:分配独立性

不管数据库在网络中的分布如何，它都应该正常工作。即使数据库在地理上是分布式的，数据是以碎片的形式存储的，最终用户也应该得到一个印象，即它存储在同一个地方。这就奠定了**分布式数据库**的基础。

* * *

### 规则 12:非子版本规则

如果允许对系统进行低级别访问，则它不应该能够破坏或绕过完整性规则来更改数据。这可以通过某种查找或加密来实现。

* * *

* * *