# 基本关系 DBMS 概念

> 原文：<https://www.studytonight.com/dbms/rdbms-concept.php>

一个**关系 DBMS** (RDBMS)是基于 E . F Codd 引入的关系模型的 DBMS。在关系模型中，数据存储在**关系**(表)中，并以**元组**(行)的形式表示。

**关系 DBMS**用于管理关系数据库。**关系数据库**是一组相互关联的有组织的表的集合，从中可以很容易地访问数据。关系数据库是目前最常用的数据库。

* * *

### 关系 DBMS:什么是表？

在关系数据库模型中，**表**是按行和列组织的数据元素的集合。表格也被认为是**关系**的方便表示。但是一个表可以有重复的数据行，而真正的**关系**不能有重复的数据。表是最简单的数据存储形式。下面是一个雇员表的示例。

| 身份 | 名字 | 年龄 | 薪水 |
| one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Thirty-four | Thirteen thousand |
| Two | 亚历克斯 | Twenty-eight | Fifteen thousand |
| three | 斯图亚特 | Twenty | Eighteen thousand |
| four | 罗斯 | forty-two | Nineteen thousand and twenty |

* * *

### 什么是元组？

表中的单个条目称为**元组**或**记录**或**行**。表中的**元组**代表一组相关数据。比如上面的**员工**表有 4 个元组/记录/行。

下面是单个记录或元组的示例。

| one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Thirty-four | Thirteen thousand |

* * *

### 什么是属性？

一个表由几个记录(行)组成，每个记录可以分解成几个更小的数据部分，称为**属性**。以上**员工**表由四个属性组成，**身份证**、**姓名**、**年龄**和**工资**。

#### 属性域

当在一个关系(表)中定义一个属性时，它被定义为只保存某一类型的值，这就是所谓的**属性域**。

因此，属性**名称**将保存每个元组的员工姓名。如果我们将员工的地址保存在那里，这将违反关系数据库模型。

| 名字 |
| 圣经》和《古兰经》传统中）亚当（人类第一人的名字 |
| 亚历克斯 |
| 阿姆斯特丹 OC 街斯图尔特- 9/401 号 |
| 罗斯 |

* * *

### 什么是关系模式？

关系模式描述了关系的结构，包括关系的名称(表的名称)、属性及其名称和类型。

* * *

### 什么是关系键？

关系键是一种属性，它可以唯一地标识关系(表)中的特定元组(行)。

* * *

## 关系完整性约束

关系数据库模型中的每一个关系都应该遵守或遵循一些约束才能成为有效的关系，这些约束被称为**关系完整性约束**。

三个主要的完整性约束是:

1.  关键限制
2.  领域约束
3.  引用完整性约束

#### 关键限制

我们将数据存储在表中，以便以后需要时访问。在每个表中，一个或多个属性一起用于从表中获取数据。**键约束**指定关系(表)中应该有这样的属性(列)，可以用来为任何元组(行)提取数据。

对于两个不同的数据行，键属性不应为**空值**或相同值。

例如，在**员工**表中，我们可以使用属性`ID`为每个员工提取数据。`ID`的任何值都不为空，并且每行都是唯一的，因此它可以是我们的**关键属性**。

#### 领域约束

域约束是指为可以为某个属性存储的值定义的规则。

如上所述，我们无法在**姓名**一栏中存储员工的**地址**。

同样，手机号码不能超过 10 位数。

#### 参照完整性约束

我们将在后面详细研究这一点。现在记住这个例子，如果我说 **Supriya** 是我的女朋友，那么一个叫 Supriya 的女孩也应该存在，这样这段关系才会存在。

如果一个表引用了另一个表中的一些数据，那么该表和该数据应该存在，以使引用完整性约束为真。

* * *

* * *