# 什么是关系演算？

> 原文：<https://www.studytonight.com/dbms/relational-calculus.php>

与关系代数相反，关系代数是一种获取数据的过程查询语言，也解释了它是如何完成的，而非过程查询语言中的**关系演算**没有描述查询将如何工作或者数据将如何被获取。它只关注做什么，而不是如何做。

关系演算有两种形式:

1.  元组关系演算
2.  领域关系演算

* * *

## 元组关系演算

在元组关系演算中，我们基于给定的条件过滤元组。

**语法:** `{ T | Condition }`

在这种形式的关系演算中，我们定义一个元组变量，指定要在其中搜索元组的表(关系)名称，以及一个条件。

我们也可以使用`.`点运算符指定列名，用元组变量只获取结果中的某个属性(列)。

很多信息，对吧！给它一些时间来适应。

一个元组变量无非就是一个名字，可以是任何东西，一般我们用单个字母表来表示这个，所以我们说`T`是一个元组变量。

为了指定要在其中查找数据的关系(表)的名称，我们执行以下操作:

`Relation(T)`，其中`T`是我们的元组变量。

例如，如果我们的桌子是**学生**，我们会把它作为`Student(T)`

然后是条件部分，要指定一个适用于某个 particluar 属性(列)的条件，我们可以使用`.`点变量和元组变量来指定它，就像表**学生**中一样，如果我们想要获取年龄大于 17 岁的学生的数据，那么，我们可以这样写:

`T.age > 17`，其中`T`是我们的元组变量。

综上所述，如果我们想使用元组关系演算从表**学生**中获取学生的名字，年龄大于 **17** ，那么，对于作为我们元组变量的`T`，

`T.name | Student(T) AND T.age > 17`

* * *

## 领域关系演算

在领域关系演算中，过滤是基于属性的领域而不是基于元组值来完成的。

**语法:** `{ c1, c2, c3, ..., cn | F(c1, c2, c3, ... ,cn)}`

其中，c1，c2...etc 表示属性(列)的域，`F`定义了包含取数据条件的公式。

例如，

`{< name, age > | ∈ Student ∧ age > 17}`

同样，上述查询将返回表**学生**中 17 岁以上学生的姓名和年龄。

* * *

* * *