# 第三范式（3NF）

> 原文：<https://www.studytonight.com/dbms/third-normal-form.php>

第三范式是对第二范式的升级。当一个表处于第二范式并且没有传递依赖时，它就处于第三范式。

在继续学习第三范式之前，请查看以下主题，以便更好地理解这一概念:

*   [第一范式(1NF)](first-normal-form.php)
*   [第二范式(2NF)](second-normal-form.php)

下面的视频详细介绍了第三范式的概念。

在上一个教程中，我们学习了[第二范式](second-normal-form.php)，甚至将我们的**评分**表规范化为第二范式。

所以我们用同样的例子，我们有 3 张表，**学生**、**科目**和**分数**。

#### 学生表

| 学生 id | 名字 | reg_no | 树枝 | 地址 |
| Ten | 阿康 | 07-WY | 中学生毕业考试 | 喀拉拉邦 |
| Eleven | 阿康 | 08-WY | 信息技术 | 古吉拉特邦 |
| Twelve | Bkon | 09-WY | 信息技术 | 拉贾斯坦邦 |

#### 主题表

| 主题 id | 主题名称 | 教师 |
| one | 爪哇 | Java 老师 |
| Two | C++ | C++老师 |
| three | 服务器端编程语言（Professional Hypertext Preprocessor 的缩写） | Php 老师 |

#### 评分表

| 分数 _id | 学生 id | 主题 id | 记号 |
| one | Ten | one | Seventy |
| Two | Ten | Two | Seventy-five |
| three | Eleven | one | Eighty |

在 Score 表中，我们需要存储一些更多的信息，即考试名称和总分，所以让我们在 Score 表中再添加 2 列。

| 分数 _id | 学生 id | 主题 id | 记号 | 考试名称 | 总分数 |
|  |  |  |  |  |  |
|  |  |  |  |  |  |
|  |  |  |  |  |  |

* * *

## 第三范式的要求

对于第三范式的表，

1.  应该是第二范式。
2.  它不应该有传递依赖。

* * *

### 什么是传递依赖？

随着`exam_name`和`total_marks`添加到我们的评分表中，它现在保存了更多的数据。我们评分表的主键是一个复合键，也就是说它是由两个属性或列组成→ **学生号+学科号**。

我们的新栏目`exam_name`取决于学生和学科。例如，机械工程专业的学生将参加 Workshop 考试，但计算机科学专业的学生不会。有些科目你有实践考试，有些没有。所以我们可以说`exam_name`既依赖`student_id`又依赖`subject_id`。

那我们的第二个新栏目`total_marks`呢？它依赖于我们的 Score 表的主键吗？

嗯，`total_marks`一栏取决于`exam_name`，因为考试类型总成绩会变化。例如，实践考试分数较低，而理论考试分数较高。

但是，`exam_name`只是评分表中的另一列。它不是主键，甚至不是主键的一部分，`total_marks`依赖于它。

这是**传递依赖**。当非质数属性依赖于其他非质数属性而不是依赖于质数属性或主键时。

* * *

### 如何移除传递依赖？

同样，解决方案非常简单。从评分表中取出`exam_name`和`total_marks`列，放入**考试**表中，并在需要的地方使用`exam_id`。

#### 评分表:第三范式

| 分数 _id | 学生 id | 主题 id | 记号 | 考试 id |
|  |  |  |  |  |
|  |  |  |  |  |
|  |  |  |  |  |

#### 新的考试表格

| 考试 id | 考试名称 | 总分数 |
| one | 车间 | Two hundred |
| Two | 电源 | Seventy |
| three | 实践 | Thirty |

* * *

### 移除可传递依赖关系的优势

移除传递依赖的优点是，

*   减少了数据重复量。
*   实现了数据完整性。

* * *

* * *