# 第四范式（4NF）

> 原文：<https://www.studytonight.com/dbms/fourth-normal-form.php>

当任意关系中出现**多值依赖**时，第四范式出现。在本教程中，我们将学习多值依赖，如何删除它，以及如何使任何表满足第四范式。

跟随上面的视频，了解第四范式的完整解释。或者，如果你愿意，你甚至可以跳过视频，跳到下面的部分，看完整的教程。

在上一个教程中，我们学习了 [**boyce-codd 范式**](boyce-codd-normal-form.php) ，建议大家在这一个之前跟着上一个教程学习。

* * *

## 第四范式的规则

对于满足第四范式的表，它应该满足以下两个条件:

1.  应该是 **Boyce-Codd 范式**。
2.  并且，表中不应该有任何**多值依赖**。

让我们在下一节中尝试理解什么是多值依赖。

* * *

## 什么是多值依赖？

如果下列条件成立，则称一个表具有多值相关性，

1.  对于一个依赖项 A → B，如果对于单个值 A，存在多个值 B，那么表可能存在多值依赖。
2.  此外，一个表应该至少有 3 列才能具有多值依赖关系。
3.  并且，对于一个关系`R(A,B,C)`，如果 A 和 B 之间存在多值依赖，那么 B 和 C 应该是相互独立的。

如果所有这些条件对于任何关系(表)都成立，则称其具有多值依赖性。

* * *

## 举个例子

下面我们有一个带有`s_id`、`course`和`hobby`栏的大学招生表。

| s_id | 课程 | 业余爱好 |
| one | 科学 | 板球 |
| one | 数学 | 曲棍球 |
| Two | C# | 板球 |
| Two | 服务器端编程语言（Professional Hypertext Preprocessor 的缩写） | 曲棍球 |

从上表可以看到，1 的`s_id`T1 的学生选择了两门课程**理科**和**数学**，有两个爱好**板球**和**曲棍球**。

你一定在想这会导致什么问题，对吧？

好的，学生的两个记录加上`s_id`**，会产生两个以上的记录，如下图所示，因为一个学生有两个爱好，因此连同这两个课程，这些爱好应该被指定。**

 **| s_id | 课程 | 业余爱好 |
| one | 科学 | 板球 |
| one | 数学 | 曲棍球 |
| one | 科学 | 曲棍球 |
| one | 数学 | 板球 |

并且，在上表中`course`和`hobby`列之间没有关系。他们彼此独立。

因此存在多值依赖，这导致不必要的数据重复和其他异常。

* * *

### 如何满足第四范式？

为了使上述关系满足第四范式，我们可以将表分解为两个表。

**课程选择表**

| s_id | 课程 |
| one | 科学 |
| one | 数学 |
| Two | C# |
| Two | 服务器端编程语言（Professional Hypertext Preprocessor 的缩写） |

并且，**爱好表**，

| s_id | 业余爱好 |
| one | 板球 |
| one | 曲棍球 |
| Two | 板球 |
| Two | 曲棍球 |

现在这个关系满足第四范式。

表也可以有函数依赖和多值依赖。在这种情况下，函数依赖列被移动到单独的表中，多值依赖列被移动到单独的表中。

如果您仔细设计数据库，就可以轻松避免这些问题。

* * *

* * ***