# SQL：`CREATE`命令

> 原文：<https://www.studytonight.com/dbms/create-query.php>

**create** 是一个 DDL SQL 命令，用于在关系 DBMS 中创建表或数据库。

* * *

## 创建数据库

要在关系 DBMS 中创建数据库，使用**创建**命令。以下是语法，

```sql
CREATE DATABASE <DB_NAME>;
```

* * *

### 创建数据库的示例

```sql
CREATE DATABASE Test;
```

上面的命令将创建一个名为 **Test** 的数据库，它将是一个没有任何表的空模式。

要在这个新创建的数据库中创建表，我们可以再次使用`CREATE`命令。

* * *

## 创建表格

`CREATE`命令也可以用来创建表格。现在，当我们创建一个表时，我们也必须指定表的列的细节。我们可以在`CREATE`命令本身中指定各列的**名称**和**数据类型**。

以下是语法，

```sql
CREATE TABLE <TABLE_NAME>
(
    column_name1 datatype1,
    column_name2 datatype2,
    column_name3 datatype3,
    column_name4 datatype4
);
```

`create` table 命令将告诉数据库系统用给定的表名和列信息创建一个新表。

* * *

### 创建表格的示例

```sql
CREATE TABLE Student(
    student_id INT, 
    name VARCHAR(100), 
    age INT);
```

上述命令将在当前数据库中创建一个名为 **Student** 的新表，该表有 3 列，即`student_id`、`name`和`age`。其中`student_id`列将仅存储整数，`name`将最多存储 100 个字符，`age`将再次仅存储整数值。

如果您当前没有登录到要在其中创建表的数据库，那么您也可以使用点运算符`.`将数据库名称和表名称一起添加

例如，如果我们有一个名为 **Test** 的数据库，并且我们想在其中创建一个表 **Student** ，那么我们可以使用以下查询来实现:

```sql
CREATE TABLE Test.Student(
    student_id INT, 
    name VARCHAR(100), 
    age INT);
```

* * *

### 表列最常用的数据类型

这里我们列出了一些最常用于表中列的数据类型。

| 数据类型 | 使用 |
| （同 Internationalorganizations）国际组织 | 用于存储整数值的列。 |
| 漂浮物 | 用于存储浮点值的列。 |
| 两倍 | 用于存储浮点值的列。 |
| 可变长字符串 | 用于存储字符和整数的列，基本上是字符串。 |
| 茶 | 用于存储字符值(单个字符)的列。 |
| 日期 | 用于存储日期值的列。 |
| 文本 | 用于存储通常很长的文本的列。例如，如果您创建了一个表格来存储社交网站的个人资料信息，那么对于“关于我”部分，您可以有一个类型为`TEXT`的列。 |

* * *

* * *