# SQL: `ALTER`命令

> 原文：<https://www.studytonight.com/dbms/alter-query.php>

`alter`命令用于改变表格结构，如:

*   向现有表中添加列
*   重命名任何现有列
*   更改任何列的数据类型或修改其大小。
*   从表中删除一列。

* * *

## `ALTER`命令:添加新列

使用`ALTER`命令，我们可以向任何现有的表中添加一列。以下是语法，

```sql
ALTER TABLE table_name ADD(
    column_name datatype);
```

这里有一个例子，

```sql
ALTER TABLE student ADD(
    address VARCHAR(200)
);
```

上面的命令将在表**学生**中添加一个新的列`address`，该列将保存类型为`varchar`的数据，该数据除了字符串之外什么都没有，长度为 200。

* * *

## `ALTER`命令:添加多个新列

使用`ALTER`命令，我们甚至可以向任何现有的表中添加多个新列。以下是语法，

```sql
ALTER TABLE table_name ADD(
    column_name1 datatype1, 
    column-name2 datatype2, 
    column-name3 datatype3);
```

这里有一个例子，

```sql
ALTER TABLE student ADD(
    father_name VARCHAR(60), 
    mother_name VARCHAR(60), 
    dob DATE); 
```

上述命令将为**学生**表添加三个新列

* * *

## `ALTER`命令:用默认值添加列

`ALTER`命令也可以使用默认值向现有表中添加新列。当列中没有插入值时，使用默认值。以下是语法，

```sql
ALTER TABLE table_name ADD(
    column-name1 datatype1 DEFAULT some_value
);
```

这里有一个例子，

```sql
ALTER TABLE student ADD(
    dob DATE DEFAULT '01-Jan-99'
);
```

上述命令将在表格**学生**中添加一个预设默认值的新列。

* * *

## `ALTER`命令:修改现有列

`ALTER`命令也可用于修改任何现有列的数据类型。以下是语法，

```sql
ALTER TABLE table_name modify(
    column_name datatype
);
```

这里有一个例子，

```sql
ALTER TABLE student MODIFY(
    address varchar(300)); 
```

还记得我们在开头加了一个新栏目`address`吗？上述命令将修改**学生**表的`address`列，现在最多可容纳 300 个字符。

* * *

## `ALTER`命令:重命名列

使用`ALTER`命令可以重命名现有列。以下是语法，

```sql
ALTER TABLE table_name RENAME 
    old_column_name TO new_column_name;
```

这里有一个例子，

```sql
ALTER TABLE student RENAME 
    address TO location; 
```

以上命令将`address`列重命名为`location`。

* * *

## `ALTER`命令:放下一列

`ALTER`命令也可用于删除或删除列。以下是语法，

```sql
ALTER TABLE table_name DROP(
    column_name);
```

这里有一个例子，

```sql
ALTER TABLE student DROP(
    address); 
```

上述命令将从表**学生**中删除`address`列。

* * *

* * *