# 截断、删除或重命名表

> 原文：<https://www.studytonight.com/dbms/truncate-drop-rename-query.php>

在本教程中，我们将学习用于重新定义表的各种 DDL 命令。

## `TRUNCATE`命令

`TRUNCATE`命令从表中删除所有记录。但是这个命令不会破坏表的结构。当我们对一个表使用`TRUNCATE`命令时，它的(自动递增)主键也被初始化。下面是它的语法，

```sql
TRUNCATE TABLE table_name
```

这是一个解释它的例子，

```sql
TRUNCATE TABLE student;
```

以上查询将删除表**学生**中的所有记录。

在 DML 命令中，我们将研究`DELETE`命令，该命令也或多或少与`TRUNCATE`命令相同。我们还将在该教程中了解两者之间的区别。

* * *

## `DROP`命令

`DROP`命令从数据库中完全删除一个表。该命令还将破坏表结构和存储在其中的数据。下面是它的语法，

```sql
DROP TABLE table_name
```

这是一个解释它的例子，

```sql
DROP TABLE student;
```

以上查询将完全删除**学生**表。它也可以用于数据库，删除整个数据库。例如，要删除数据库，

```sql
DROP DATABASE Test;
```

上述查询将从系统中删除名为 **Test** 的数据库。

* * *

## `RENAME`查询

`RENAME`命令用于为任何现有表设置新名称。以下是语法，

```sql
RENAME TABLE old_table_name to new_table_name
```

下面是一个解释它的例子。

```sql
RENAME TABLE student to students_info;
```

上面的查询会将表**学生**重命名为**学生 _ 信息**。

* * *

* * *