# 使用 SQL `INSERT`命令

> 原文：<https://www.studytonight.com/dbms/dml-command.php>

数据操作语言语句用于管理数据库中的数据。DML 命令不是自动提交的。这意味着 DML 命令所做的更改对数据库来说不是永久的，可以回滚。

说到 Insert 命令，每当我们在 Twitter 上发布一条 tweet 时，文本都会存储在某个表中，当我们发布一条新的 Tweet 时，会在该表中插入一条新记录。

* * *

## `INSERT`命令

Insert 命令用于将数据插入表中。以下是它的一般语法，

```sql
INSERT INTO table_name VALUES(data1, data2, ...)
```

让我们看一个例子，

考虑一个表格**学生**，包含以下字段。

| s_id | 名字 | 年龄 |

```sql
INSERT INTO student VALUES(101, 'Adam', 15);
```

以上命令将在**学生**表中插入一条新记录。

| s_id | 名字 | 年龄 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen |

* * *

### 仅在特定列中插入值

我们可以使用`INSERT`命令只为一行的某些特定列插入值。我们可以指定列名以及要插入的值，如下所示，

```sql
INSERT INTO student(id, name) values(102, 'Alex');
```

上面的 SQL 查询将只在新插入的记录中插入 id 和名称值。

* * *

### 向列中插入空值

以下两个语句都将把`NULL`值插入到**学生**表的**年龄**列中。

```sql
INSERT INTO student(id, name) values(102, 'Alex');
```

或者，

```sql
INSERT INTO Student VALUES(102,'Alex', null);
```

上面的命令将只插入两个列值，另一列设置为 null。

| S_id | S_Name | 年龄 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen |
| One hundred and two | 亚历克斯 |  |

* * *

### 在列中插入默认值

```sql
INSERT INTO Student VALUES(103,'Chris', default)
```

| S_id | S_Name | 年龄 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen |
| One hundred and two | 亚历克斯 |  |
| One hundred and three | 克莉丝 | Fourteen |

假设我们的选项卡中的`age`列的默认值为 14。

此外，如果您运行下面的查询，它将在年龄列中插入默认值，无论默认值是什么。

```sql
INSERT INTO Student VALUES(103,'Chris')
```

* * *

* * *