# 使用`GRANT`和`REVOKE`

> 原文：<https://www.studytonight.com/dbms/dcl-command.php>

数据控制语言用于控制数据库中的权限。要在数据库中执行任何操作，例如创建表、序列或视图，用户需要特权。特权有两种类型，

*   **系统:**这包括创建会话、表等的权限以及所有其他类型的系统权限。
*   **对象:**这包括对任何命令或查询的权限，以对数据库表执行任何操作。

在 DCL 中，我们有两个命令，

*   `GRANT`:用于为数据库提供任何用户访问权限或其他特权。
*   `REVOKE`:用于收回任何用户的权限。

* * *

### 允许用户创建会话

当我们在 SQL 中创建用户时，甚至不允许登录和创建会话，除非向用户授予适当的权限/特权。

以下命令可用于授予会话创建权限。

```sql
GRANT CREATE SESSION TO username;
```

* * *

### 允许用户创建表

为了允许用户在数据库中创建表，我们可以使用下面的命令，

```sql
GRANT CREATE TABLE TO username;
```

* * *

### 为用户提供表空间来存储表

允许用户创建表并不足以开始在该表中存储数据。我们还必须为用户提供特权，以便为他们的表和数据使用可用的表空间。

```sql
ALTER USER username QUOTA UNLIMITED ON SYSTEM;
```

上面的命令将改变用户的详细信息，并提供对系统上无限表空间的访问。

> **注意:**一般情况下，管理员用户是没有限额的。

* * *

### 授予用户所有权限

`sysdba`是一组特权，其中包含所有权限。因此，如果我们想向任何用户提供所有权限，我们可以简单地授予他们`sysdba`权限。

```sql
GRANT sysdba TO username
```

* * *

### 授予创建任何表的权限

有时，用户被限制使用为系统表保留的名称创建来表。但是我们可以使用下面的命令授予用户创建任何表的权限，

```sql
GRANT CREATE ANY TABLE TO username
```

* * *

### 授予删除任何表的权限

如标题所示，如果您想允许用户从数据库中删除任何表，那么将此权限授予用户，

```sql
GRANT DROP ANY TABLE TO username
```

* * *

### 收回权限

而且，如果你想收回任何用户的特权，使用`REVOKE`命令。

```sql
REVOKE CREATE TABLE FROM username
```

* * *

* * *