# 使用`WHERE`子句

> 原文：<https://www.studytonight.com/dbms/where-clause.php>

`WHERE`子句用于在从表中检索、更新或删除数据时指定/应用任何条件。该子句主要用于`SELECT`、`UPDATE`和`DELETE`查询。

当我们使用`WHERE`子句指定一个条件时，查询只对那些`WHERE`子句指定的条件为真的记录执行。

* * *

### `WHERE`子句的语法

以下是如何将`WHERE`子句与`DELETE`语句或任何其他语句一起使用，

```sql
DELETE FROM table_name WHERE [condition];
```

`WHERE`子句用于任何 SQL 查询的末尾，以指定执行条件。

* * *

### 举个例子

考虑一张桌子**学生**，

| s_id | 名字 | 年龄 | 地址 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen | 金奈 |
| One hundred and two | 亚历克斯 | Eighteen | 德里 |
| One hundred and three | 全面 | Seventeen | [军]爆破筒 |
| One hundred and four | 鸭子！鸭子 | Twenty-two | 孟买 |

现在我们将使用`SELECT`语句根据一个条件显示表中的数据，我们将使用`WHERE`子句将该条件添加到我们的`SELECT`查询中。

让我们编写一个简单的 SQL 查询来显示学生的记录，其中`s_id`为 101。

```sql
SELECT s_id, 
    name, 
    age, 
    address 
    FROM student WHERE s_id = 101;
```

以下是上述查询的结果。

| s_id | 名字 | 年龄 | 地址 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen | 无聊死了 |

* * *

#### 对文本字段应用条件

在上面的例子中，我们已经对整数值字段应用了一个条件，但是如果我们想对`name`字段应用该条件呢。在这种情况下，我们必须用单引号`' '`将值括起来。有些数据库甚至接受双引号，但所有数据库都接受单引号。

```sql
SELECT s_id, 
    name, 
    age, 
    address 
    FROM student WHERE name = 'Adam';
```

以下是上述查询的结果。

| s_id | 名字 | 年龄 | 地址 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen | 无聊死了 |

* * *

## `WHERE`条款条件的操作符

以下是在指定`WHERE`子句条件时可以使用的运算符列表。

| 操作员 | 描述 |
| `=` | 等于 |
| `!=` | 不等于 |
| `<` | 不到 |
| `>` | 大于 |
| `<=` | 小于或等于 |
| `>=` | 大于或等于 |
| `BETWEEN` | 在指定的值范围之间 |
| `LIKE` | 这用于在值中搜索模式。 |
| `IN` | 在给定的一组值中 |

* * *

* * *