# SQL `SELECT`查询

> 原文：<https://www.studytonight.com/dbms/select-query.php>

`SELECT`查询用于从表中检索数据。它是最常用的 SQL 查询。我们可以通过使用`WHERE`子句指定条件来检索完整的表数据或部分表数据。

* * *

### `SELECT`查询的语法

`SELECT`查询用于重新定时表中的记录。我们可以在结果集中指定我们想要的列的名称。

```sql
SELECT 
    column_name1, 
    column_name2, 
    column_name3, 
    ...
    column_nameN 
    FROM table_name;
```

* * *

### 举个例子

考虑以下**学生**表，

| s_id | 名字 | 年龄 | 地址 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen | 金奈 |
| One hundred and two | 亚历克斯 | Eighteen | 德里 |
| One hundred and three | 全面 | Seventeen | [军]爆破筒 |
| One hundred and four | 鸭子！鸭子 | Twenty-two | 孟买 |

```sql
SELECT s_id, name, age FROM student;
```

以上查询将获取**学生**表的`s_id`、`name`和`age`列的信息并显示出来，

| s_id | 名字 | 年龄 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen |
| One hundred and two | 亚历克斯 | Eighteen |
| One hundred and three | 全面 | Seventeen |
| One hundred and four | 鸭子！鸭子 | Twenty-two |

如您所见，`address`列的数据不存在，因为我们没有在`SELECT`查询中指定它。

* * *

### 从表中选择所有记录

一个特殊的字符**星号** `*`用于处理查询中的所有数据(属于所有列)。`SELECT`语句使用`*`字符从表中检索所有列的所有记录。

```sql
SELECT * FROM student;
```

上面的查询会显示**学生**表的所有记录，也就是说会显示该表的完整数据集。

| s_id | 名字 | 年龄 | 地址 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen | 金奈 |
| One hundred and two | 亚历克斯 | Eighteen | 德里 |
| One hundred and three | 全面 | Seventeen | [军]爆破筒 |
| One hundred and four | 鸭子！鸭子 | Twenty-two | 孟买 |

* * *

### 根据条件选择特定记录

我们可以使用 [`WHERE`子句](where-clause.php)来设置一个条件，

```sql
SELECT * FROM student WHERE name = 'Abhi';
```

上面的查询将返回以下结果，

| One hundred and three | 全面 | Seventeen | 罗塔克 |

* * *

### 使用`SELECT`查询执行简单计算

考虑以下**员工**表。

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Twenty-six | Five thousand |
| One hundred and two | 里奇 | forty-two | Eight thousand |
| One hundred and three | 全面 | Twenty-five | ten thousand |
| One hundred and four | 洛汗 | Twenty-two | Five thousand |

这里是我们的`SELECT`查询，

```sql
SELECT eid, name, salary+3000  FROM employee;
```

上述命令将在结果中显示一个新的列，将 **3000** 添加到员工的现有工资中。

| 纺织品出口企业代码 | 名字 | 工资+3000 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Eight thousand |
| One hundred and two | 里奇 | Eleven thousand |
| One hundred and three | 全面 | Thirteen thousand |
| One hundred and four | 洛汗 | Eight thousand |

因此，您也可以使用`SELECT`查询从表中获取数据，对数据执行简单的数学运算。

* * *

* * *