# SQL `LIKE`子句

> 原文：<https://www.studytonight.com/dbms/like-clause.php>

`LIKE`子句用于带有`WHERE`子句的 SQL 查询中的条件。`LIKE`子句使用通配符运算符将数据与表达式进行比较，以匹配条件中给出的模式。

* * *

### 通配符运算符

`LIKE`子句中使用了两个通配符运算符。

*   **百分号`%`** :代表零、一个或多个字符。
*   **下划线符号`_`** :仅代表一个字符。

* * *

### `LIKE`子句示例

考虑以下**学生**表。

| s_id | s_Name | 年龄 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen |
| One hundred and two | 亚历克斯 | Eighteen |
| One hundred and three | 全面 | Seventeen |

```sql
SELECT * FROM Student WHERE s_name LIKE 'A%';
```

上述查询将返回所有 **s_name** 以字符“A”开头的记录。

| s_id | s_Name | 年龄 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen |
| One hundred and two | 亚历克斯 | Eighteen |
| One hundred and three | 全面 | Seventeen |

* * *

### 使用`_`和`%`

```sql
SELECT * FROM Student WHERE s_name LIKE '_d%';
```

上面的查询将返回所有来自**学生**表的记录，其中**的 s_name** 包含“d”作为第二个字符。

| s_id | s_Name | 年龄 |
| One hundred and one | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 | Fifteen |

* * *

### 仅使用`%`

```sql
SELECT * FROM Student WHERE s_name LIKE '%x';
```

上面的查询将返回所有来自**学生**表的记录，其中 **s_name** 包含“x”作为最后一个字符。

| s_id | s_Name | 年龄 |
| One hundred and two | 亚历克斯 | Eighteen |

* * *

* * *