# `ORDER BY`子句

> 原文：<https://www.studytonight.com/dbms/orderby-clause.php>

`ORDER BY`子句与`SELECT`语句一起使用，用于按排序顺序排列检索到的数据。默认情况下， **Order by** 子句按升序对检索到的数据进行排序。为了按降序对数据进行排序`DESC`关键字与 Order by 子句一起使用。

* * *

## `Order By`的语法

```sql
SELECT column-list|* FROM table-name ORDER BY ASC | DESC;
```

* * *

### 使用默认`ORDER BY`

考虑以下 **Emp** 表，

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

```sql
SELECT * FROM Emp ORDER BY salary;
```

以上查询将按照**工资**的升序返回结果数据。

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |

* * *

### 通过`DESC`使用订单

考虑上述 **Emp** 表，

```sql
SELECT * FROM Emp ORDER BY salary DESC;
```

上述查询将按照**工资**的降序返回结果数据。

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |

查看其他 DCL 命令及其用法:

*   [选择查询](select-query.php)
*   [WHERE 子句](where-clause.php)
*   [LIKE 子句](like-clause.php)
*   [分组依据条款](groupby-clause.php)
*   [有条款](having-clause.php)

* * *

* * *