# SQL `GROUP BY`子句

> 原文：<https://www.studytonight.com/dbms/groupby-clause.php>

Group by 子句用于根据一列或多列对`SELECT`查询的结果进行分组。它还与 SQL 函数一起使用，对一个或多个表的结果进行分组。

在语句中使用 Group by 的语法。

```sql
SELECT column_name, function(column_name)
FROM table_name 
WHERE condition 
GROUP BY column_name
```

* * *

### 语句中的`GROUP BY`示例

考虑以下 **Emp** 表。

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | Nine thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

在这里，我们希望找到按员工的**工资**分组的员工的**姓名**和**年龄**，或者换句话说，我们将根据他们的工资对员工进行分组，因此，我们将获得一个数据集，其中列出了唯一的工资，以及第一名员工的姓名和年龄，以获得该工资。希望你说到点子上了！

`group by`用于根据任意一列将不同数据行组合在一起。

上述要求的 SQL 查询将是，

```sql
SELECT name, age 
FROM Emp GROUP BY salary
```

结果会是，

| 名字 | 年龄 |
| 洛汗 | Thirty-four |
| 谢恩 | Twenty-nine |
| 安奴 | Twenty-two |

* * *

### 带有`WHERE`子句的语句中的`GROUP BY`示例

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | Nine thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

SQL 查询将是，

```sql
SELECT name, salary 
FROM Emp 
WHERE age > 25
GROUP BY salary
```

结果会是。

| 名字 | 薪水 |
| 洛汗 | Six thousand |
| 谢恩 | Eight thousand |
| 斯科特 | Nine thousand |

您必须记住`Group By`子句总是出现在 SQL 查询的末尾，就像`ORDER BY`子句一样。

* * *

* * *