# SQL `HAVING`子句

> 原文：<https://www.studytonight.com/dbms/having-clause.php>

**Having** 子句与 SQL 查询一起使用，为语句提供更精确的条件。它用于在基于`GROUP BY`的 SQL 查询中提及条件，就像`WHERE`子句用于`SELECT`查询一样。

**句法**为`HAVING`从句，

```sql
SELECT column_name, function(column_name)
FROM table_name
WHERE column_name condition
GROUP BY column_name
HAVING function(column_name) condition
```

* * *

### 使用`HAVING`的 SQL 语句示例

考虑以下**销售**表。

| 似…的 | 订单名称 | 上一余额 | 顾客 |
| Eleven | ord1 | Two thousand | 亚历克斯 |
| Twelve | 订单 2 | One thousand | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 |
| Thirteen | ord3 | Two thousand | 全面 |
| Fourteen | ord4 | One thousand | 圣经》和《古兰经》传统中）亚当（人类第一人的名字 |
| Fifteen | ord5 | Two thousand | 亚历克斯 |

假设我们想找到**往期 _ 余额**之和大于 **3000** 的**客户**。

我们将使用下面的 SQL 查询，

```sql
SELECT *
FROM sale GROUP BY customer
HAVING sum(previous_balance) > 3000
```

结果会是，

| 似…的 | 订单名称 | 上一余额 | 顾客 |
| Eleven | ord1 | Two thousand | 亚历克斯 |

上述 SQL 查询的主要目的是根据之前对客户进行的所有销售，找出拥有超过 **3000** 的 **previous_balance** 的客户的姓名，因此我们得到客户`Alex`的表中第一行。

* * *

* * *