# SQL `AND`和`OR`运算符

> 原文：<https://www.studytonight.com/dbms/sql-and-or-operator.php>

`AND`和`OR`运算符与`WHERE`子句一起使用，通过将多个条件组合在一起，为从数据库中获取数据创造更精确的条件。

* * *

## `AND`运算符

`AND`运算符用于设置多个条件，如`WHERE`子句、旁边的、`SELECT`、`UPDATE`或`DELETE` SQL 查询。

* * *

### `AND`运算符示例

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Five thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Twelve thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Nine thousand |

```sql
SELECT * FROM Emp WHERE salary < 10000 **AND** age > 25
```

以上查询将返回**工资**小于**10000****年龄**大于 **25** 的记录。希望你明白这里的概念。我们用`AND`运算符用`WHERE`子句指定了两个条件。

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and five | 泰格 | Thirty-five | Nine thousand |

* * *

## `OR`运算符

`OR`运算符也用于将多个条件与`WHERE`子句组合在一起。`AND`和`OR`唯一的区别是它们的行为。

当我们使用`AND`组合两个或两个以上的条件时，结果中会出现满足所有指定条件的记录。

但是对于`OR`运算符，结果集中的任何记录必须满足指定条件中的至少一个条件。

* * *

### `OR`运算符示例

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Five thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Twelve thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Nine thousand |

```sql
SELECT * FROM Emp WHERE salary > 10000 OR age > 25 
```

以上查询将返回**或者**工资大于 10000 **或者**年龄大于 25 的记录。

| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Twelve thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Nine thousand |

* * *

* * *