# 什么是 SQL 函数？

> 原文：<https://www.studytonight.com/dbms/sql-function.php>

SQL 提供了许多内置函数来对数据执行操作。这些函数在执行数学计算、字符串连接、子字符串等时非常有用。SQL 函数分为两类，

1.  聚合函数
2.  标量函数

* * *

## 聚合函数

这些函数**在对一组值进行计算后返回一个值**。以下是一些常用的聚合函数。

* * *

### `AVG()`功能

Average 根据数值列中的值计算平均值后返回平均值。

它的通用**语法**是，

```sql
SELECT AVG(column_name) FROM table_name
```

* * *

#### 使用 AVG()函数

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

SQL 查询查找平均工资将、

```sql
SELECT **avg(salary)** from Emp;
```

上述查询的结果将是，

| 平均工资 |
| Eight thousand two hundred |

* * *

### `COUNT()`功能

Count 根据某个条件或无条件返回表中的行数。

它的通用**语法**是，

```sql
SELECT COUNT(column_name) FROM table-name
```

* * *

#### 使用 COUNT()函数

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

满足指定条件对员工进行计数 SQL 查询是，

```sql
SELECT COUNT(name) FROM Emp WHERE salary = 8000;
```

上述查询的结果将是，

| 计数(名称) |
| Two |

* * *

#### 计数示例(独特)

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

SQL 查询是，

```sql
SELECT COUNT(DISTINCT salary) FROM emp;
```

上述查询的结果将是，

| 计数(独特的工资) |
| four |

* * *

### `FIRST()`功能

First 函数返回选定列的第一个值

【FIRST 函数的语法为:

```sql
SELECT FIRST(column_name) FROM table-name;
```

* * *

#### 使用第一()函数

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

SQL 查询将是，

```sql
SELECT FIRST(salary) FROM Emp;
```

结果是，

| 第一名(工资) |
| Nine thousand |

* * *

### `LAST()`功能

函数的作用是:返回所选列的最后一个值。

**LAST 函数的语法**为，

```sql
SELECT LAST(column_name) FROM table-name;
```

* * *

#### 使用 LAST()函数

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

SQL 查询将是，

```sql
SELECT LAST(salary) FROM emp;
```

上述查询的结果将是，

| 最后(工资) |
| Eight thousand |

* * *

### `MAX()`功能

函数的作用是:从表的选定列中返回最大值。

**MAX 函数的语法**为，

```sql
SELECT MAX(column_name) from table-name;
```

* * *

#### 使用 MAX()函数

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

查询最大工资，

```sql
SELECT MAX(salary) FROM emp;
```

上述查询的结果将是，

| 最高工资 |
| ten thousand |

* * *

### `MIN()`功能

函数的作用是:从表中选定的一列返回最小值。

**MIN 函数的语法**为:

```sql
SELECT MIN(column_name) from table-name;
```

* * *

#### 使用最小()函数

考虑以下 **Emp** 表，

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

SQL 查询查找最低工资是，

```sql
SELECT MIN(salary) FROM emp;
```

结果会是，

| 最低工资 |
| Six thousand |

* * *

### `SUM()`功能

SUM 函数返回所选列数值的总和。

**SUM 的语法**是，

```sql
SELECT SUM(column_name) from table-name;
```

* * *

#### 使用 SUM()函数

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

SQL 查询查找工资总额将是，

```sql
SELECT SUM(salary) FROM emp;
```

上述查询的结果是，

| 工资总额 |
| Forty-one thousand |

* * *

## 标量函数

标量函数从输入值返回单个值。以下是 SQL 中一些常用的标量函数。

* * *

### `UCASE()`功能

UCASE 函数用于将字符串列的值转换为大写字符。

**UCASE 的语法**，

```sql
SELECT UCASE(column_name) from table-name;
```

* * *

#### 使用 UCASE()函数

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 国立大学 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

使用 UCASE 的 SQL 查询是，

```sql
SELECT UCASE(name) FROM emp;
```

导致

| UCASE(名称) |
| 澳洲国立大学 |
| 谢恩 |
| 洛汗 |
| 斯科特 |
| 老虎 |

* * *

### `LCASE()`功能

LCASE 函数用于将字符串列的值转换为小写字符。

【LCASE 的语法是，

```sql
SELECT LCASE(column_name) FROM table-name;
```

* * *

#### 使用 LCASE()函数

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 安奴 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

用于将字符串值转换为小写的 SQL 查询是，

```sql
SELECT LCASE(name) FROM emp;
```

结果会是，

| LCASE(名称) |
| 国立大学 |
| 谢恩 |
| 洛汗 |
| 斯科特 |
| 老虎 |

* * *

### `MID()`功能

MID 函数用于从表中字符串类型的列值中提取子字符串。

**MID 功能的语法**是，

```sql
SELECT MID(column_name, start, length) from table-name;
```

* * *

#### 使用 MID()函数

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 国立大学 | Twenty-two | Nine thousand |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand |

SQL 查询将是，

```sql
SELECT MID(name,2,2) FROM emp;
```

结果会是，

| MID(名称，2，2) |
| 希腊字母第 13 字 |
| 哈 |
| 哦 |
| 总裁 |
| 互联网门户 |

* * *

### `ROUND()`功能

ROUND 函数用于将数值字段舍入到最接近的整数。它用于小数点值。

**Round 函数的语法**是，

```sql
SELECT ROUND(column_name, decimals) from table-name;
```

* * *

#### 使用 ROUND()函数

考虑以下 **Emp** 表

| 纺织品出口企业代码 | 名字 | 年龄 | 薪水 |
| Four hundred and one | 国立大学 | Twenty-two | Nine thousand point six seven |
| Four hundred and two | 谢恩 | Twenty-nine | Eight thousand point nine eight |
| Four hundred and three | 洛汗 | Thirty-four | Six thousand point four five |
| Four hundred and four | 斯科特 | forty-four | ten thousand |
| Four hundred and five | 泰格 | Thirty-five | Eight thousand point zero one |

SQL 查询是，

```sql
SELECT ROUND(salary) from emp;
```

结果会是，

| ROUND(工资) |
| Nine thousand and one |
| Eight thousand and one |
| Six thousand |
| ten thousand |
| Eight thousand |

* * *

* * *