# SQL 别名——`AS`关键字

> 原文：<https://www.studytonight.com/dbms/sql-alias.php>

**别名**用于给表或列取别名，也可以是结果集表。这在大型或复杂查询的情况下非常有用。别名主要用于为具有复杂名称的列或表提供短别名。

表名别名的语法，

```sql
SELECT column-name FROM table-name AS alias-name
```

下面是一个使用**别名**的 SQL 查询，

```sql
SELECT * FROM Employee_detail AS ed;
```

**定义列别名的语法**如下:

```sql
SELECT column-name AS alias-name FROM table-name;
```

使用列别名的示例，

```sql
SELECT customer_id AS cid FROM Emp;
```

* * *

## SQL 查询中的别名示例

考虑以下两个表，

**类**表，

| 身份 | 名字 |
| one | 全面 |
| Two | 亚当 |
| three | 亚历克斯 |
| four | 国立大学 |
| five | 阿施施 |

和**类信息**表，

| 身份 | 地址 |
| one | 德里 |
| Two | 孟买 |
| three | chennai |
| seven | 无聊死了 |
| eight | 帕尼帕特 |

下面是使用 SQL 别名从两个表中获取数据的查询，

```sql
SELECT C.id, C.Name, Ci.Address from Class AS C, Class_info AS Ci where C.id = Ci.id;
```

结果集表看起来像，

| 身份 | 名字 | 地址 |
| one | 全面 | 德里 |
| Two | 亚当 | 孟买 |
| three | 亚历克斯 | chennai |

SQL Alias 似乎是 SQL 的一个非常简单的特性，但是当您处理 3 个以上的表并且必须在它们上面使用 JOIN 时，它非常有用。

* * *

* * *