# NoSQL 简介

> 原文：<https://www.studytonight.com/mongodb/what-is-nosql>

你们中的许多人可能已经知道，NoSQL 基本上是一个用于管理大量非结构化数据集的数据库，其中的数据不像关系数据库那样以表格关系存储。大多数现有的关系数据库都无法解决一些复杂的现代问题，例如:

*   数据结构、半结构、非结构和多态数据的性质不断变化。
*   应用程序现在为不同地理位置、不同时区的数百万用户提供服务，并且必须一直运行，同时保持数据完整性
*   随着许多应用程序转向云计算，应用程序变得越来越分散。

NoSQL 在企业应用程序中扮演着至关重要的角色，该应用程序需要访问和分析云基础架构中多个虚拟服务器(基于远程)上可用的大量数据集，并且主要是在数据集未结构化时。因此，NoSQL 数据库旨在克服关系数据库中的性能、可伸缩性、数据建模和分布限制。

* * *

## 什么是结构化数据？

结构化数据通常是文本文件，具有定义的列标题和行数据。这些数据可以很容易地以图表的形式可视化，并且可以使用数据挖掘工具进行处理。

## 什么是非结构化数据？

非结构化数据可以是任何东西，如视频文件、图像文件、PDF、电子邮件等。这些文件有什么共同点，什么都没有。结构化信息可以从非结构化数据中提取，但这一过程非常耗时。随着越来越多的现代数据是非结构化的，有必要为不断增长的应用程序存储此类数据，从而为 NoSQL 开辟道路。

* * *

## NoSQL 数据库类型

以下是 NoSQL 数据库类型:

*   **文档数据库:**在这种类型中，键与称为“文档”的复杂数据结构配对。示例:MongoDB
*   **图形存储:**这种类型的数据库通常用于存储网络数据。我们可以在现有数据的基础上关联数据。
*   **键值存储:**这些是最简单的 NoSQL 数据库。在这种情况下，每个都存储有一个密钥来识别它。在一些键值数据库中，我们甚至可以保存保存的数据类型，就像在 Redis 中一样。
*   **宽列存储:**用于存储大型数据集(将多列数据存储在一起)。例如:卡珊德拉(用于脸书)、糖化血红蛋白等。

* * *

## NoSQL 数据库的一些优点

在这里，我们将通过示例讨论 NoSQL 数据库的一些主要优势。

### 动态模式

你一定想知道动态模式是什么意思？在像甲骨文、MySQL 这样的关系数据库中，我们定义了表结构，对吗？例如，如果我们想要保存学生数据的记录，那么我们将不得不创建一个名为 *Student* 的表，向其中添加列，如 *student_id* 、 *student_name* 等，这被称为已定义的模式，在其中我们在保存任何数据之前定义结构。

如果将来我们计划在我们的*学生*表中添加更多的相关数据，那么我们将不得不在我们的表中添加一个新的列。这很简单，如果我们的表中数据较少，但是如果我们有数百万条记录呢。迁移到更新的模式将是一项繁忙的工作。NoSQL 数据库解决了这个问题，因为在 NoSQL 数据库中，不需要模式定义。

### 碎片

在分片中，大型数据库被划分为更小、更快且易于管理的数据库。

(经典的)关系数据库遵循一种垂直架构，在这种架构中，由于所有数据都是相关的，所以在单个服务器中保存数据。默认情况下，关系数据库不提供分片功能，为了实现这一点，必须付出很多努力，因为在关系数据库的情况下，事务完整性(在事务中插入/更新数据)、多表连接等在分布式体系结构中不容易实现。

默认情况下，NoSQL 数据库具有分片功能。不需要额外的努力。它们自动将数据分散到服务器上，在最快的时间内从空闲的服务器上获取数据，同时保持数据的完整性。

### 分身术

默认情况下，NoSQL 数据库也支持自动数据复制。因此，如果一台数据库服务器出现故障，将使用其在网络中另一台服务器上创建的副本来恢复数据。

### 集成缓存

许多 NoSQL 数据库都支持集成缓存，在集成缓存中，经常需要的数据存储在缓存中，以使查询更方便。

* * *

## MongoDB- NoSQL 数据库

MongoDB 是一个用 C++语言编写的 NoSQL 数据库。它的一些驱动程序使用 C 编程语言作为基础。MongoDB 是一个面向文档的数据库，它将数据存储在集合中而不是表中。MongoDB 最棒的地方在于，几乎所有流行的编程语言都可以使用驱动程序。

在当今竞争激烈的技术世界中，每个公司都开始通过云托管其企业应用程序，以便在全球范围内扩展业务，提供更快的服务，并使客户对应用程序和整体业务的体验个性化。而 NoSQL 已经成为数据库技术中开发此类应用的首选。

* * *

* * *