# MongoDB 与 SQL 数据库

> 原文：<https://www.studytonight.com/mongodb/mongodb-vs-rdbms>

众所周知，SQL 数据库已经统治了数据技术的世界，并且已经成为数据存储的主要来源超过 40 年。通常使用 SQL 数据库，主要用于访问关系数据库。

**甲骨文**和**微软 SQL Server** 统治了这一领域，但随着网络开发市场的步伐加快，出现了使用开源数据库的转变，如 **MySQL** 、 **Postgres** 等。但是 RDBMS 仍然是首选。

很快，足够多的数据开始呈指数级增长，可扩展性成为一个主要问题，这时候 NoSQL 开始扭转局面。

关于 NoSQL 数据库的一个很酷的事实是，它们从 1960 年就存在了，但是在最近，它们变得越来越流行，特别是因为它们提供的缩放功能。

MongoDB 和 SQL 数据库的主要区别在于它们处理数据的方式。在 SQL 数据库中，数据以传统的二维行列结构的形式存储，而在 MongoDB 中，遵循丰富的数据文档模型，这允许存储任何类型的数据。

让我们看看 MongoDB 和其他 SQL 数据库之间的一些主要区别:

| SQL 数据库 | NoSQL 数据库 |
| 关系数据库 | 非关系数据库 |
| 支持 SQL 查询语言 | 支持 JSON 查询语言 |
| 基于表格 | 基于集合和键值对 |
| 基于行 | 基于文档 |
| 基于列 | 基于字段 |
| 支持外键 | 不支持外键 |
| 支持触发器 | 不支持触发器 |
| 包含预定义的模式 | 包含动态架构 |
| 不适合分层数据存储 | 最适合分层数据存储 |
| 垂直可扩展-增加内存 | 水平可扩展-添加更多服务器 |
| 强调酸性(原子性、一致性、隔离性和持久性) | 强调 CAP 定理(一致性、可用性和分区容差) |

MongoDB 文档也符合现代编程语言中的对象结构，因为它们是 JSON 的一种形式。这使得开发人员可以轻松地将应用程序中使用的数据映射到数据库中的相关文档。而在 SQL 数据库中，用编程语言创建一个列映射到对象属性的表似乎有点乏味。

* * *

* * *