# MongoDB：创建集合

> 原文：<https://www.studytonight.com/mongodb/collection-create-and-drop-mongodb>

在 MongoDB 中，当集合在任何命令中被引用时，都会自动创建集合。例如，如果运行插入命令:

```sql
db.student.insert({
	name: "Viraj"
})
```

上面的命令将创建一个名为**学生**的集合，如果它在数据库中还不存在的话。但是我们可以使用`createCollection()`命令显式创建一个集合。createCollection 方法的语法是:

```sql
db.createCollection(name, options)
```

在上面的命令中，**名称**将是集合的名称，**选项**是一个文档，可用于指定集合的配置。

**选项**参数是可选的，您只需为集合提供一个名称就可以创建一个集合。但是如果您想配置您的集合，您可以使用各种可用的选项来这样做。以下是在 MongoDB 中创建集合的可用配置选项:

| 田 | 类型 | 描述 |
| 脱帽致意 | 布尔 | (可选)要创建有上限的集合，在中，我们指定最大大小或文档计数，以防止其超出设置的最大值。 |
| 大小 | 数字 | (可选)指定上限集合的最大字节数。如果一个集合有上限并达到其最大大小限制，MongoDB 就会从其中删除旧文档，为新文档腾出空间。 |
| 最大 | 数字 | (可选)这可用于指定上限集合中允许的最大文档数。 |
| 验证器 | 文件 | (可选)根据提供的验证规则验证插入或更新的任何文档。 |
| 验证级别 | 线 | (Optional) This is used to define how strictly validation rules must be applied to existing documents during an update.可用的值有:`off`没有插入或更新的验证。`strict`这是该选项的默认值。这指示 MongoDB 对所有插入和更新应用验证规则。`moderate`当我们希望仅对现有的有效文档而不是现有的无效文档应用验证规则进行插入和更新时，会用到该选项。 |
| 验证操作 | 线 | (可选)这可用于设置验证时要采取的操作，即如果任何文档未通过设置的验证，则是显示`error`还是仅显示`warn`违规。默认值为`error`。 |

* * *

## MongoDB:创建有上限的集合

我们可以使用以下命令创建一个有上限的集合。

```sql
db.createCollection("student", { capped : true, size : 5242880, max : 5000 } )
```

这将创建一个名为 student 的集合，最大大小为 5 兆字节，最多 5000 个文档。

* * *

## MongoDB:删除集合

可以使用以下命令轻松删除 MongoDB 数据库中的任何集合:

```sql
db.collection_name.drop()
```

`drop()`如果收集成功，方法将返回 true，否则返回 false。

* * *

* * *