# MongoDB 中的聚合

> 原文：<https://www.studytonight.com/mongodb/aggregation-in-mongodb>

MongoDB 中的聚合只不过是一个用于处理返回计算结果的数据的操作。聚合基本上将来自多个文档的数据分组，并以多种方式对这些分组的数据进行操作，以便返回一个组合结果。在 sql 中`count(*)`和与**分组由**相当于 MongoDB 聚合。

聚合函数将集合中的记录分组，并可用于提供所选组的总数(总和)、平均值、最小值、最大值等。

为了在 MongoDB 中执行聚合函数，`aggregate ()`是要使用的函数。以下是聚合的语法:

```sql
db.collection_name.aggregate(aggregate_operation)
```

现在让我们看看如何利用 MongoDB 中的聚合函数。考虑一个名为**书籍**的集合，数据如下所示:

**注:**创建一个名为**书籍**的收藏，有字段名-标题、价格和类型。使用`db.books.find()`列出集合的内容。

![Aggregation in MongoDB](img/15daec09433bfde9a832f097aa8ca0a3.png)

现在，从上面的集合中，让我们使用聚合功能将**电子书**和**在线**类型的书籍**分组。将使用以下命令:**

```sql
db.books.aggregate([{$group : {_id: "$type", category: {$sum : 1}}}])
```

![Group Aggregation in MongoDB](img/a8f50560edf6f526727f7c2ace8ef6c9.png)

上面的聚合函数会给出结果，表示有 2 条*电子书*类型的记录和 2 条*在线*类型的记录。所以上面的聚合命令，已经根据他们的**类型**对我们的收集数据进行了分组。

* * *

## 聚合函数使用的不同表达式

| 表示 | 描述 |
| 总计 | 汇总集合中所有文档的定义值 |
| 平均美元 | 计算集合中所有文档的平均值 |
| $min | 返回集合中所有文档的最小值 |
| $max | 返回集合中所有文档值的最大值 |
| $addToSet | 将值插入数组，但在结果文档中不重复 |
| $推送 | 将值插入到结果文档的数组中 |
| $第一 | 返回源文档中的第一个文档 |
| $last | 返回源文档中的最后一个文档 |

* * *

* * *