# Java 简介

> 原文：<https://www.studytonight.com/java/overview-of-java.php>

Java 是世界上最重要和使用最广泛的计算机语言之一，它多年来一直保持着这种区别。不像其他一些计算机语言，它们的影响力随着时间的推移而减弱，而 Java 的影响力却在增长。

Java 是一种高级的、健壮的、面向对象的、安全稳定的编程语言，但它不是一种纯面向对象的语言，因为它支持像 int、char 等基本数据类型。

Java 是一种独立于平台的语言，因为它有运行时环境，即 JRE 和 API。这里，平台是指运行应用的硬件或软件环境。

Java 代码被编译成字节代码或独立于机器的代码。这个字节码在 JVM (Java 虚拟机)上运行。

语法是 Java 和 C/C++几乎一样。但是 java 不支持像指针这样的低级编程功能。Java 中的代码总是以类和对象的形式编写的。

截至 2020 年，Java 是使用中最流行的编程语言之一，尤其是对于客户端-服务器 web 应用。据估计，世界上大约有 900 万 Java 开发人员。

* * *

### Java 的创建

Java 是由詹姆斯·戈林、帕特里克·诺顿、迈克·谢里丹于 1991 年在太阳微系统公司开发的。开发第一个工作版本花了 18 个月。

最初的名字是 **Oak** ，但在 1995 年更名为 **Java** ，因为 Oak 是另一家科技公司的注册商标。

* * *

### Java 的历史

Java 最初是为交互式电视设计的，但这项技术在当时的数字有线电视行业非常先进。Java 历史是从**绿队**开始的。绿色团队启动了一个项目，为电视等数字设备开发一种语言。但它最适合互联网编程。一段时间后，网景公司加入了 Java 技术。

创建 Java 编程语言的目标是它应该“简单、健壮、可移植、独立于平台、安全、高性能、多线程、面向对象、可解释和动态”。

Java 是由詹姆斯·戈林、帕特里克·诺顿、迈克·谢里丹于 1991 年在太阳微系统公司开发的。开发第一个工作版本花了 18 个月。詹姆斯·戈林也被称为 Java 之父。

最初，Java 被詹姆斯·高斯林称为“绿色对话”，当时的文件扩展名是“T2”。gt 。

后来，橡树被开发为绿色团队项目的一部分。橡树是力量的象征，在美国、罗马尼亚等许多国家，橡树也是国树。

橡树在 1995 年更名为 Java，因为橡树已经是橡树科技的商标。在选择 Java 这个词之前，团队建议了很多名字，比如**动态**、**革命**、**丝绸**、**雷震**、 **DNA** 等。

Java 是印度尼西亚的一个岛屿，这里出产了第一种咖啡或者我们称之为 Java 咖啡。Java 咖啡是一种浓缩咖啡豆。詹姆斯·高斯林在办公室附近喝咖啡时选择了这个名字。

JAVA 这个词没有首字母缩略词。这只是一个名字。

1995 年，Java 是《时代》杂志评选的最佳产品之一。

* * *

## Java 版本历史

这里我们列出了 Java 的所有版本以及这些版本中引入的主要特性。

| **版本名称** | **Coad 名称** | **发布日期** | **描述** |
| Java Alpha 和 Beta |  | One thousand nine hundred and ninety-five | 

*   This is the first version, but it has unstable API and ABIs.
*   This is the first version, but there are unstable APIs and APIs.

 |
| JDK 1.0 | 橡树 | 1996 年 1 月 | 

*   The first stable edition

 |
| JDK 1.1 |  | 1997 年 2 月 | 

*   AWT event modeling and reorganization.
*   Added inner class, Java bean, JDBC, RMI, reflection, JIT.
*   Added inner class, Java bean, JDBC, RMI, reflection, JIT.

 |
| J2SE 1.2 | 操场 | 1998 年 12 月 | 

*   JDK was replaced by J2SE.
*   Strictfp keyword is supported.
*   Swing API integrated with core class.
*   Assemble the frame.

 |
| J2SE 1.3 | 红隼 | 2000 年 5 月 | 

*   Hotspot JVM contains
*   RMI has been modified.
*   JNDI(Java Naming and Directory Interface) support
*   JPDA(Java Platform Debugger Architecture).
*   Contains proxy classes.

 |
| J2SE 1.4 | 梅林 | 2002 年 2 月 | 

*   Assertion keywords are supported.

*   Regular expressions are supported.
*   Support abnormal links.
*   Support abnormal links.
*   内含 Java 网站启动.
*   支持 API 首选项.

 |
| J2SE 5.0 | 泰格 | 2004 年 9 月 | 

*   Contains generics, metadata, auto-boxing/unboxing, enumeration, variables.
*   Each cycle is enhanced.
*   Support static import.

 |
| Java SE 6 | 野马 | 2006 年 12 月 | 

*   Win9x version is supported.
*   Support scripting language.
*   Improve the swing performance.
*   Support JDBC 4.0
*   Upgrade JAXB to 2.0.
*   And GUI JVM.

 |
| Java SE 7 | 海豚 | 2011 年 7 月 | 

*   Support dynamic language in JVM.
*   Contains 64-bit pointers.
*   Support serial switch.
*   Support resource management in test block.
*   Supports binary integer text quantity.
*   Underline in numeric text is supported.
*   Multiple exceptions are supported.
*   Contains the input/output library of.

 |
| Java se 8(lt) |  | 2014 年 3 月 | 

*   Support JSR 335 and JEP 126.
*   Supports unsigned integers.
*   Support date and time API.
*   包含 JavaFX .
*   支持 Windows XP .

 |
| Java SE 9 |  | 2017 年 9 月 | 

*   Supports multiple gigabyte heaps.
*   Contains a garbage collector.

 |
| Java SE 10 |  | 2018 年 3 月 | 

*   Support local variable type inference.
*   Support local variable type inference.
*   Contains application classes.

 |
| Java se 11(lt) |  | 2018 年 9 月 | 

*   Bug repair is supported.

*   Support transport layer security.

 |
| Java SE 12 |  | 2019 年 3 月 | 

*   Support JVM constant API.

 |
| Java SE 13 |  | 2019 年 9 月 | 

*   Update switch expression.
*   Contains text blocks.
*   Support legacy socket API.

 |
| Java SE 14 |  | 2020 年 3 月 | 

*   Support event flow.
*   改进了 NullPointerException .
*   Clear concurrent mark clearing (CMS) in garbage collector.

 |
| Java SE 15 |  | 2020 年 9 月 |  |
| Java SE 16 |  | 2021 年 3 月 |  |
| Java se 17(lt) |  | 2021 年 9 月 |  |

* * *

## Java 的演变

Java 最初是作为 Java 1.0 推出的，但在最初发布后不久，Java 1.1 就推出了。Java 1.1 重新定义了事件处理，增加了新的库元素。

在 **Java 1.2 中增加了** Swing 和 Collection 框架，从 **Thread** 类中弃用`suspend()`、`resume()`和`stop()`方法。

没有对 **Java 1.3** 进行重大更改，但是下一个版本 **Java 1.4** 包含了几个重要的更改。关键字`assert`，介绍了链式异常和基于通道的输入输出系统。

**Java 1.5** 被称为 **J2SE 5** ，它增加了以下主要新功能:

*   无商标消费品
*   释文
*   汽车尾气与汽车尾气排放
*   列举
*   对于每个循环
*   Varargs
*   静态导入
*   格式化输入输出
*   并发实用程序

下一个主要版本是 **Java SE 7** ，其中包括许多新的变化，例如:

*   现在**字符串**可以用来控制 Switch 语句。
*   多重捕捉异常
*   *资源试用*语句
*   二进制整数文字
*   *数字文字中的下划线*等。

**Java SE 8** 于 2014 年 3 月 18 日发布。JAVA 8 中引入的一些主要新特性是，

*   Lambda 表达式
*   新收集包`java.util.stream`提供流 API。
*   增强的安全性
*   包含纳斯霍恩 Javascript 引擎
*   并行数组排序
*   JDBC-ODBC 桥已被拆除等。

**Java SE 9** 于 2017 年 9 月发布。JAVA 9 中引入的一些主要新特性是，

*   平台模块系统(项目拼图)
*   接口私有方法
*   尝试-使用资源
*   匿名类
*   @SafeVarargs 注释
*   集合工厂方法
*   过程 API 改进

**Java SE 10** 于 2018 年 3 月发布。JAVA 10 中引入的一些主要新特性是，

*   支持局部变量类型推断。
*   支持局部变量类型推断。
*   包括应用类。

**Java SE 11** 于 2018 年 9 月发布。JAVA 11 中引入的一些主要新特性是，

*   支持错误修复。
*   包括长期支持(LTS)。
*   支持传输层安全性。

**Java SE 12** 于 2019 年 3 月发布。JAVA 12 中引入的一些主要新特性是，

*   支持 JVM 常量 API。
*   包括光盘档案。

**Java SE 13** 于 2019 年 9 月发布。JAVA 13 中引入的一些主要新特性是，

*   更新了开关表达式。
*   包括文本块。
*   支持传统套接字 API。

**Java SE 14** 于 2020 年 3 月发布。JAVA 14 中引入的一些主要新特性是，

*   支持事件流。
*   改进的 NullPointerException。
*   垃圾收集器中并发标记清除的移除。

* * *

## Java 的应用

Java 广泛应用于世界和人类生活的各个角落。Java 不仅用于软件，而且广泛用于硬件控制软件组件的设计。每年有超过 9.3 亿次 JRE 下载，30 亿部手机运行 java。

以下是 Java 的一些其他用法:

1.  开发桌面应用
2.  Linkedin.com、Snapdeal.com 等网络应用
3.  像安卓这样的移动操作系统
4.  嵌入式系统
5.  机器人和游戏等。

* * *

## Java 应用的类型

以下是我们可以使用 Java 开发的不同类型的应用:

### 1.独立应用

独立应用是运行在独立计算机进程上而不添加任何文件进程的应用。独立的应用也被称为 Java GUI 应用或**桌面应用**，它使用一些标准的 GUI 组件，如 AWT(抽象窗口工具包)、swing 和 JavaFX，并且这个组件被部署到桌面上。这些组件有按钮、菜单、表格、图形用户界面小部件工具包、三维图形等。使用这个组件开发了一个传统的软件，可以安装在每台机器上。

**示例:**媒体播放器、杀毒、油漆、POS 计费软件等。

### 2.网络应用

网络应用是客户端运行的客户端-服务器软件应用。Servlets、struts、JSP、Spring、hibernate 等。用于开发客户端-服务器应用。电子商务应用也是用 java 开发的，使用的是电子商务平台，即 Bullerfe。

**示例:**邮件、电商网站、银行网站等。

### 3.企业应用

企业应用是中间件应用。在整个企业中使用软件和硬件系统技术和服务。它是为企业领域设计的，例如银行业务系统。

**例:**电子商务、会计、银行信息系统等。

### 4.移动应用

对于移动应用，Java 使用 ME 或 J2ME 框架。这个框架是跨平台的，可以跨手机和智能手机运行应用。Java 也为 Android 中的**应用开发提供了平台。**

**例:** WhatsApp、Xender 等。

* * *

## 下载 JDK

要在您的系统中运行 Java 程序，您必须从这里下载并安装[**【JDK 工具包】**](http://www.oracle.com/technetwork/java/javase/downloads/index.html "Download JDK Kit") (推荐的 Java 版本是 Java 11，但您可以下载 Java 13 或 Java 14)。

* * *

* * *