# 设置 Java 环境和类路径

> 原文：<https://www.studytonight.com/java/setting-classpath-for-java.php>

一个**环境变量**是计算机上的一个动态“对象”，它存储一个值(像键值对)，可以被 Windows 中的一个或多个软件程序引用。与 java 一样，我们将设置一个名为“ **java** 的环境变量，其值将是 Java 目录中存在的 **/bin** 目录的路径。因此，每当一个程序需要 Java 环境时，它都会寻找 **java** 环境变量，该变量将为它提供执行目录的路径。

* * *

### 设置窗口路径 <small>( 2000/XP/vista/Window 7，8 )</small>

假设你已经在 **C:\程序文件/ Java / JDK 目录**中安装了 Java

**第一步**:右键点击我的电脑，选择属性。

![setting classpath in java](img/2fd7b30b12674510fefb971bb3b4bc46.png)

**第二步**:进入高级系统设置选项卡。

![setting classpath in java](img/b1f1bbbc7f236ef837889c1151f8e714.png)

**第三步**:点击环境变量按钮。

![setting classpath in java](img/8930c4987c9460a1b59a411a2d71aabc.png)

**步骤 4** :现在改变路径变量，使其也包含 JDK 安装目录的路径。

![setting classpath in java](img/2f08c32530ea600ee304589c575347db.png)

例如:-更改**C:\窗口/系统 32。**至**C:\ windows/system 32；c:\程序文件/ Java/ JDK** 。

* * *

### 为 95/98/ME 窗口设置路径

假设您已经在 C:\程序文件\ java\ JDK 目录中安装了 Java，请执行以下操作:

**第一步**:编辑 **C:\autoexec.bat** 文件，并在末尾增加以下一行。

```java
SET PATH =% PATH% C:\ PROGRAM FILE/JAVA/JDK/bin 
```

* * *

### 为 Linux、Unix、Solaris、免费 BSD 设置路径

**第 1 步**:环境变量路径应该设置为已经安装了 java 二进制文件的点。如果你做这个有困难，参考你的外壳。

**例如:**如果你使用 bash 作为你的外壳，那么你可以在末尾添加下面一行

```java
bash mc: export PATH=/ Path/to/java 
```

我们建议您下载最新的 Java 11 版本。Java 11 是 LTS(长期支持)版本，目前被广泛使用。您可以参考我们的逐步安装指南来安装 Java 11。

**推荐 Java 版本:** [下载最新版本的 JDK](https://www.studytonight.com/post/step-by-step-guide-to-install-jdk-11-on-windows)

* * *

* * *