# JDBC API

> 原文：<https://www.studytonight.com/java/java-sql-package.php>

JDBC 原料药主要分为两个包。每次当我们使用 JDBC 时，我们必须导入这些包来使用我们应用中的类和接口。

1.  `java.sql`
2.  `javax.sql`

### Java.sql 包

这个包包括执行几乎所有 JDBC 操作类和接口，例如创建和执行 SQL 查询。

### `java.sql`包的重要类和接口

| 类/接口 | 描述 |
| `java.sql.BLOB` | 提供对 BLOB(二进制大对象)SQL 类型的支持。 |
| `java.sql.Connection` | 创建与特定数据库的连接 |
| `java.sql.CallableStatement` | 执行存储过程 |
| `java.sql.CLOB` | 提供对 CLOB(字符大对象)SQL 类型的支持。 |
| `java.sql.Date` | 为日期 SQL 类型提供支持。 |
| `java.sql.Driver` | 使用驱动管理器创建驱动实例。 |
| `java.sql.DriverManager` | 这个类管理数据库驱动。 |
| `java.sql.PreparedStatement` | 用于创建和执行参数化查询。 |
| `java.sql.ResultSet` | 它是一个接口，提供逐行访问结果的方法。 |
| `java.sql.Savepoint` | 在事务中指定保存点。 |
| `java.sql.SQLException` | 封装所有与 JDBC 相关的异常。 |
| `java.sql.Statement` | 该接口用于执行 SQL 语句。 |
| 数据库元数据 | 关于数据库整体的综合信息。 |
| 驾驶练习 | 当驱动希望得到驱动管理员的通知时，必须实现的接口。 |
| 元数据 | 一个对象，可用于获取有关结果集对象中列的类型和属性的信息。 |
| rowid。rowid | 一个 SQL ROWID 值在 Java 编程语言中的表示(映射)。 |
| 保存点 | 保存点的表示，它是当前事务中的一个点，可以从 **Connection.rollback** 方法中引用。 |
| SQL data(SQL data) | 用于将 SQL 用户定义类型(UDT)自定义映射到 Java 编程语言类的接口。 |
| SQLInput | 包含表示 SQL 结构化类型或 SQL 独特类型实例的值流的输入流。 |
| sql 输出 | 用于将用户定义类型的属性写回数据库的输出流。 |
| SQLType | 用于标识通用 SQL 类型的对象，称为 JDBC 类型或供应商特定的数据类型。 |
| sql xml | 用于 SQL XML 类型的 JavaTM 编程语言中的映射。 |
| 声明 | 用于执行静态 SQL 语句并返回其产生的结果的对象。 |
| 结构体 | Java 编程语言中用于 SQL 结构化类型的标准映射。 |
| 包装材料 | JDBC 类的接口，当所讨论的实例实际上是代理类时，该接口提供检索委托实例的能力。 |

### Javax.sql 包

这个包也被称为 JDBC 扩展 API。它提供了访问服务器端数据的类和接口。

### `javax.sql`包的重要类和接口

| 类/接口 | 描述 |
| `javax.sql.ConnectionEvent` | 提供事件发生的信息。 |
| `javax.sql.ConnectionEventListener` | 用于注册**池连接**对象生成的事件。 |
| `javax.sql.DataSource` | 表示应用中使用的**数据源**接口。 |
| `javax.sql.PooledConnection` | 提供对象来管理连接池。 |
| 公共数据源 | 定义**数据源、XADataSource 和 ConnectionPoolDataSource** 之间通用方法的接口。 |
| 行集 | 该接口增加了对 JavaBeans 组件模型的 JDBC API 的支持。 |
| RowSetInternal | 行集对象实现的接口，以便将其自身呈现给**行集读取器或行集写入器**对象。 |
| RowSetListener | 必须由组件实现的接口，该组件希望在**行集**对象的生命周期中发生重大事件时得到通知。 |
| RowSetMetaData | 包含**行集**对象中列信息的对象。 |
| RowSetReader | 断开连接的**行集**对象调用的工具，用数据行填充自己。 |
| RowSetWriter | 实现**行集编写器**接口的对象，称为**编写器**。 |
| statesmenteventlistener | 一个对象，它注册在语句池中的 PreparedStatements 上发生的事件的通知。 |
| XAConnection | 为分布式事务提供支持的对象。 |
| XADataSource | 内部使用的**连接**对象的工厂。 |