# Java 程序：交换两个数字

> 原文：<https://www.studytonight.com/java-programs/java-program-to-swap-two-numbers>

在本教程中，我们将学习如何在 java 中交换两个变量。交换两个变量意味着交换两个变量的值。例如，如果变量 A 包含 X 值，变量 B 包含一个值，那么交换后 A 包含 Y 值，B 包含 X 值。但是在继续之前，如果你不熟悉 Java 中变量的概念，那么一定要查看关于 Java 中[变量](https://www.studytonight.com/java/variable.php)的文章。

**输入:**第一个变量:3

第二个变量:6

**输出:**第一变量:6

第二个变量:3

## 程序 1:用 Java 交换两个数字

在这个程序中，我们将看到如何通过使用第三个变量来交换两个数字。

### 算法

1.  开始

2.  创建 Scanner 类的实例。

3.  声明两个变量。

4.  要求用户初始化变量。

5.  交换前打印两个变量的值。

6.  声明一个临时变量。

7.  将第一个变量的值赋给临时变量。

8.  现在，将第二个变量的值赋给第一个变量。

9.  将包含第一个变量值的临时变量的值赋给第二个变量。

10.  打印两个变量的值。

11.  停下来。

下面是在 Java 中交换两个值的代码示例。

```java
//Java Program to Swap two numbers using a temporary variable
import java.util.*; 
public class Main
{
     public static void main(String []args)
     {
        //Take input from the user
        //Create an instance of the Scanner Class
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the first number");
        int num1=sc.nextInt();
        System.out.println("Enter the second number");
        int num2=sc.nextInt();
        System.out.println("Before Swapping numbers are: ");
        System.out.println("The first Number is "+num1);
        System.out.println("The second Number is "+num2);
        //Use a temporary variable to swap the numbers
        int temp=num1;
        num1=num2;
        num2=temp;
        System.out.println("After Swapping numbers are: ");
        System.out.println("The first Number is "+num1);
        System.out.println("The second Number is "+num2);
     }
}
```

输入第一个数字 3
输入第二个数字 5
换号前是:
第一个数字是 3
第二个数字是 5
换号后是:
第一个数字是 5
第二个数字是 3

## 程序 2:用 Java 交换两个数字

在这个程序中，我们将看到如何在不使用第三个变量的情况下交换两个数字。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明两个变量。

4.  要求用户初始化变量。

5.  交换前打印两个变量的值。

6.  从第一个变量中减去第二个变量，并将该值赋给第一个变量。

7.  将两个变量的值相加，并将其赋给第二个变量。

8.  从第二个变量中减去第一个变量的值，并将该值赋给第一个变量。

9.  打印两个变量的值。

10.  停止

下面是在 Java 中交换两个值的代码示例。

```java
//Java Program to Swap two numbers without using a temporary variable
import java.util.*; 
public class Main
{
     public static void main(String []args)
     {
        //Take input from the user
        //Create an instance of the Scanner Class
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the first number");
        int num1=sc.nextInt();
        System.out.println("Enter the second number");
        int num2=sc.nextInt();
        System.out.println("Before Swapping numbers are: ");
        System.out.println("First Number is "+num1);
        System.out.println("Second Number is "+num2);
        num1=num1-num2;
        num2=num1+num2;
        num1=num2-num1;
        System.out.println("After Swapping numbers are: ");
        System.out.println("First Number is "+num1);
        System.out.println("Second Number is "+num2);
     }
}
```

输入第一个数字 8
输入第二个数字 9
换号前是:
第一个数字是 8
第二个数字是 9
换号后是:
第一个数字是 9
第二个数字是 8

* * *

* * *