# Java 程序：打印 ASCII 值

> 原文：<https://www.studytonight.com/java-programs/java-program-to-print-the-ascii-values>

在本教程中，我们将学习如何在 Java 中打印字符的 ASCII 值。ASCII 是用于在电子设备上表示字符的标准。它是一个 7 位代码，由 33 个不可打印字符和 95 个可打印字符组成，包括字母、数字、标点符号和控制字符。

但是在继续之前，如果你不熟悉 java 中的类型转换的概念，那么一定要查看关于 Java 中[类型转换](https://www.studytonight.com/java/type-casting-in-java.php)的文章。

**输入:**输入字符:Z

**输出:**Z 的 ASCII 值为 90

## 程序 1:用 Java 打印 ASCII 值

在本程序中，我们将学习如何通过将字符分配给整数数据类型来打印字符的 ASCII 值。

### 算法

1.  开始

2.  创建 Scanner 类的实例。

3.  声明一个`Character`类型变量。

4.  要求用户初始化变量。

5.  声明一个`Integer`类型变量。

6.  将字符变量赋给整数变量。

7.  打印两个变量的值。

8.  停止

下面是打印 ASCII 值的 Java 代码。

```java
//Java Program to print the ASCII values 
import java.util.*;
public class Main
{
     //Driver code
     public static void main(String []args)
     {
        //Take input from the user
        //Create instance of the Scanner class 
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the character whose ASCII value you want to know ");
        char ch=sc.next().charAt(0);
        int value=ch;
        System.out.println("Character is "+ch+" and ASCII value is "+value);
     }
}
```

输入想要知道 r 的 ASCII 值的字符
字符为 r，ASCII 值为 114

## 程序 2:用 Java 打印 ASCII 值

在这个程序中，我们将学习如何通过类型转换打印字符的 ASCII 值。

### 算法

1.  开始

2.  创建 Scanner 类的实例。

3.  声明一个`Character`类型变量。

4.  要求用户初始化变量。

5.  声明一个`Integer`类型变量。

6.  使用(int)将`Character`类型转换为`Integer`类型

7.  将此赋值给字符变量。

8.  打印两个变量的值。

9.  停止

下面是打印 ASCII 值的 Java 代码。

```java
//Java Program to print the ASCII values 
import java.util.*;
public class Main
{
     //Driver code
     public static void main(String []args)
     {
        //Take input from the user
        //Create instance of the Scanner class 
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the character whose ASCII value you want to know ");
        char ch=sc.next().charAt(0);
        int value=(int)ch;
        System.out.println("Character is "+ch+" and ASCII value is "+value);
     }
}
```

输入想要知道其 ASCII 值的字符
字符为 B，ASCII 值为 66

## 程序 3:用 Java 打印 ASCII 值

在这个程序中，我们将学习如何打印英文字母的所有 ASCII 值。

### 算法:

1.  开始
2.  使用 for 循环遍历所有英文字母。
3.  通过使用(int)将`Character`类型转换为`Integer`类型来打印字符及其 ASCII 值。
4.  停止

下面是打印 ASCII 值的 Java 代码。

```java
//Java Program to print the ASCII values 
public class Main
{
     //Driver code
     public static void main(String []args)
     {
        for(char ch='A';ch<='Z';ch++)
        {
            System.out.println("The ASCII value of "+ch+" is "+(int)ch);
        }
     }
}
```

A 的 ASCII 值为 65
B 的 ASCII 值为 66
C 的 ASCII 值为 67
D 的 ASCII 值为 68
E 的 ASCII 值为 69
F 的 ASCII 值为 70
G 的 ASCII 值为 71
H 的 ASCII 值为 72
I 的 ASCII 值为 73
J 的 ASCII 值为 74
K 的 ASCII 值为 75
L 的 ASCII 值为 76
M 的 ASCII 值为 77
N 的 ASCII 值为 78
O 的 ASCII 值为 79
P 的 ASCII 值为 80
Q 的 ASCII 值为 81
R 的 ASCII 值为 82
S 的 ASCII 值为 83
T 的 ASCII 值为 84 U 的 ASCII 值为 85
V 的 ASCII 值为 86
W 的 ASCII 值为 87
X 的 ASCII 值为 88
Y 的 ASCII 值为 89
Z 的 ASCII 值为 90

* * *

* * *