# Java 程序：执行赋值操作

> 原文：<https://www.studytonight.com/java-programs/java-program-to-perform-assignment-operations>

在本教程中，我们将学习如何通过接受用户的输入来执行分配操作。但是在继续之前，如果你不熟悉 java 中赋值运算符的概念，那么一定要查看关于 Java 中[运算符](https://www.studytonight.com/java/operators-in-java.php)的文章。

**输入:** num1=10

num2=20

**输出:**

num1+=num2

num1 的值=30

num -=num2

num1 的值=10

上述问题出现了两种情况:

情况 1:当值被预定义时

情况 2:当值由用户定义时

让我们分别看看这些案例。

## 程序 1:执行分配操作

在本程序中，我们将在程序中预定义值时执行赋值操作。

### 算法:

1.  开始
2.  这里，我们将使用一个 switch case 从不同的赋值运算符中进行选择，如+=，-=，*=，/=，和%=。
3.  声明两个变量。
4.  初始化它。
5.  执行所有赋值运算符，如+=、-=、*=、/=、和%=。
6.  显示每个赋值操作的结果。
7.  停下来。

下面是相同的代码。

```java
//Java Program to perform Assignment Operator
import java.io.*; 

public class Main
{ 
    public static void main(String[] args) 
    { 

        // Declaring variables 
        int num1 = 10, num2 = 20; 
        int res;
        System.out.println("Initial value of num1 = " + num1); 
        System.out.println("Initial value of num2 = " + num2); 
        // Adding & Assigning values 
        num1 += num2; 
        // Displaying the assigned values 
        System.out.println("Value of num1 after += is " + num1);
        // Subtracting & Assigning values 
        num1 -= num2; 
        // Displaying the assigned values 
        System.out.println("Value of num1 after -= is " + num1);
        // Multiplying & Assigning values 
        num1 *= num2; 
        // Displaying the assigned values 
        System.out.println("Value of num1 after *= is " + num1);
        // Dividing & Assigning values 
        num1 /= num2; 
        // Displaying the assigned values 
        System.out.println("Value of num1 after /= is " + num1);
        // Moduling & Assigning values 
        num1 %= num2; 
        // Displaying the assigned values 
        System.out.println("Value of num1 after %= is " + num1); 
    } 
} 
```

num 1 初始值= 10
num 2 初始值= 20
num 1+后的值为 30
num 1-后的值为 10
num 1 * =后的值为 200
num 1/=后的值为 10
num 1% =后的值为 0

## 程序 2:执行分配操作

在这个程序中，我们将看到当值是用户定义的时，如何在 java 中执行赋值操作。这里，首先我们将要求用户输入值，然后我们将执行赋值操作

### 算法:

1.  开始
2.  这里，我们将使用一个 switch case 从不同的赋值运算符中进行选择，如+=，-=，*=，/=，和%=。
3.  为相同的声明一个变量。
4.  请用户初始化它。
5.  根据选择的操作，声明两个变量。
6.  要求用户初始化变量。
7.  执行赋值操作后显示结果。
8.  停下来。

下面是相同的代码。

```java
//Java Program to perform Assignment Operator
import java.util.*; 

public class Main
{ 
    public static void main(String[] args) 
    { 
        //Take input from the user
      //Create instance of the Scanner Class
      Scanner s=new Scanner(System.in);
       while(true)
        {
            System.out.println("");

            System.out.println("Choose the operation you want to perform ");
            System.out.println("Choose 1 for += ");
            System.out.println("Choose 2 for -= ");
            System.out.println("Choose 3 for *= ");
            System.out.println("Choose 4 for /= ");
            System.out.println("Choose 5 for %= ");
            System.out.println("Choose 6 for EXIT");

            int n = s.nextInt();
            switch(n)
            {
                case 1:
                    System.out.println("Enter the two numbers to perform operations ");
                    System.out.print("Enter the first number : ");
                    int x = s.nextInt();
                    System.out.print("Enter the second number : ");
                    int y = s.nextInt();
                    System.out.println("Initial value of x is " + x);
                    x+=y;
                    System.out.println("The value of x after += is " + x);
                    break;

                case 2:
                    System.out.println("Enter the two numbers to perform operations ");
                    System.out.print("Enter the first number : ");
                    int p = s.nextInt();
                    System.out.print("Enter the second number : ");
                    int q = s.nextInt();
                    System.out.println("Initial value of p is " + p);
                    p-=q;
                    System.out.println("The value of p after -= is " + p);
                    break;

                case 3:
                    System.out.println("Enter the two numbers to perform operations ");
                    System.out.print("Enter the first number : ");
                    int a = s.nextInt();
                    System.out.print("Enter the second number : ");
                    int b = s.nextInt();
                    System.out.println("The initial value of a is " + a);
                    a*=b;
                    System.out.println("The value of a after *= is " + a); 
                    break;

                case 4:
                     System.out.println("Enter the two numbers to perform operations ");
                    System.out.print("Enter the first number : ");
                    int c = s.nextInt();
                    System.out.print("Enter the second number : ");
                    int d = s.nextInt();
                    System.out.println("Initial value of c is " + c);
                    c/=d;
                    System.out.println("The value of c after /= is " + c); 
                    break;
                case 5:
                     System.out.println("Enter the two numbers to perform operations ");
                    System.out.print("Enter the first number : ");
                    int e = s.nextInt();
                    System.out.print("Enter the second number : ");
                    int f = s.nextInt();
                    System.out.println("Initial value of e is " + e);
                    e%=f;
                    System.out.println("The value of e after %= is " + e); 
                    break;
                case 6:
                    System.exit(0);
            }
        }
    } 
} 
```

选择要执行的操作
选择 1 代表+=
选择 2 代表-=
选择 3 代表*=
选择 4 代表/=
选择 5 代表%=
选择 6 代表退出
1
输入两个数字执行操作
输入第一个数字:
输入第二个数字:
x 的初始值为 5
x 在+=之后的值为 9

选择要执行的操作 要执行
选择 1 代表+=
选择 2 代表-=
选择 3 代表*=
选择 4 代表/=
选择 5 代表%=
选择 6 代表退出
2
输入两个数字执行操作
输入第一个数字:
输入第二个数字:
p 的初始值为 4
p 在-=之后的值为 1

选择要执行的操作【T25 +=
选择 2 代表-=
选择 3 代表*=
选择 4 代表/=
选择 5 代表%=
选择 6 代表 EXIT
3
输入两个数字执行操作
输入第一个数字:
输入第二个数字:
a 的初始值为 4
a 在*=之后的值为 20

选择你要执行的操作
选择 1 代表+ -=
选择 3 代表*=
选择 4 代表/=
选择 5 代表%=
选择 6 代表 EXIT
4
输入两个数字执行操作
输入第一个数字:
输入第二个数字:
c 的初始值为 8
c 在/=之后的值为 1

选择要执行的操作
选择 1 代表+=
选择 2 代表-=。 对于*=
选择 4 对于/=
选择 5 对于%=
选择 6 对于 EXIT
5
输入两个数字执行操作
输入第一个数字:
输入第二个数字:
e 的初始值为 7
e 在%=之后的值为 1

选择要执行的操作
选择 1 对于+=

* * *

* * *