# Java 程序：检查偶数和奇数

> 原文：<https://www.studytonight.com/java-programs/java-program-to-check-even-and-odd-number>

在本教程中，我们将学习如何检查输入的数字是偶数还是奇数。偶数是能被 2 整除的数，不能被 2 整除的数称为奇数。这里，在这个程序中，我们将检查这个数是否能被 2 整除。如果能整除，那么它就是偶数，如果不能整除，那么它就是奇数。但是在继续之前，如果你不熟悉 java 中条件语句的概念，那么一定要查看[条件语句](https://www.studytonight.com/java/conditional-statement.php)上的文章。

**输入:**输入数字:6

**输出:**输入的数字为偶数。

## 程序 1:检查数字是偶数还是奇数

在这个程序中，我们将看到当数字是用户定义的时，如何检查数字是偶数还是奇数。这意味着，这里我们将首先要求用户输入数字，然后我们将检查输入的数字是偶数还是奇数。

### 算法

1.  开始

2.  创建一个 Scanner 类的对象，从用户那里获取输入。

3.  声明一个变量来存储数字。

4.  要求用户初始化数字。

5.  检查这个数是否能被 2 整除。

6.  如果数字能被 2 整除，那么输入的数字就是偶数。

7.  如果输入的数字不能被 2 整除，那么输入的数字就是奇数。

8.  显示输出。

9.  停下来。

下面的例子说明了上述算法的实现。

```java
/*Java Program to check whether a number is even or odd*/
import java.util.Scanner;

public class Main
{
  public static void main(String args[])
  {
    //To take input from the user 
    //Create an object of scanner class
    Scanner input = new Scanner(System.in);
    int num;  //Declare a variable
    System.out.println("Enter a number:");
    num = input.nextInt();

    //If number is divisible by 2 then it's an even number
    //else odd number
    if ( num % 2 == 0 )
        System.out.println("The entered number is even");
     else
        System.out.println("The entered number is odd");
  }
}
```

输入数字:6
输入的数字是奇数

## 程序 2:检查数字是偶数还是奇数

在这个程序中，我们将看到如何使用三进制运算符检查数字是偶数还是奇数。这意味着，首先我们将要求用户输入数字，然后使用三进制运算符检查输入的数字是偶数还是奇数。

### 算法:

1.  开始

2.  创建一个 Scanner 类的对象，从用户那里获取输入。

3.  声明一个变量来存储数字。

4.  要求用户初始化数字。

5.  使用三进制运算符检查输入的数字是偶数还是奇数。

6.  如果输入的数字能被 2 整除，那么它就是偶数，否则就是奇数。

7.  显示结果。

8.  停止

下面的例子说明了上述算法的实现。

```java
/*Java Program to check whether a number is even or odd*/
import java.util.Scanner;

public class Main
{
  public static void main(String args[])
  {
    //To take input from the user 
    //Create an object of scanner class
    Scanner sc = new Scanner(System.in);
    System.out.println("Enter a number: ");
    int num = sc.nextInt();
    //Use Ternary Operator to check
    String check = (num % 2 == 0) ? "even" : "odd";

    System.out.println("The entered number "+ num + " is: " + check);

  }
}
```

输入数字:5
输入的数字 5 是:奇数

## 程序 3:检查数字是偶数还是奇数

在这个程序中，我们将看到如何使用按位异或来检查数字是偶数还是奇数。使用这种方法的逻辑是，偶数的按位异或运算将数字的值增加 1，否则，如果值为奇数，它将数字的值减少 1。

### 算法

1.  开始

2.  创建一个 Scanner 类的对象，从用户那里获取输入。

3.  声明一个变量来存储数字。

4.  要求用户初始化数字。

5.  使用按位异或检查数字是偶数还是奇数。

6.  如果与 1 按位异或后的数等于原数+ 1，则为偶数。

7.  如果不相等，那么它就是一个奇数。

8.  显示结果。

9.  停下来。

下面的例子说明了上述算法的实现。

```java
/*Java Program to check whether a number is even or odd*/
import java.util.Scanner;

public class Main
{
  public static void main(String args[])
  {
    //To take input from the user 
    //Create an object of scanner class
    Scanner sc = new Scanner(System.in);
    System.out.println("Enter a number: ");
    int num = sc.nextInt();
    //Check Using Bitwise XOR
    if ((num ^ 1) == num + 1) 
    { 
         System.out.println("The entered number "+ num +" is Even"); 
    } 
    else 
    { 
        System.out.println("The entered number "+ num +" is Odd"); 
    } 

  }
}
```

输入数字:52
输入的数字 52 为偶数

* * *

* * *