# Java 程序：检查字符串是否为空或`null`

> 原文：<https://www.studytonight.com/java-programs/java-program-to-check-if-a-string-is-empty-or-null>

在本教程中，我们将学习如何检查字符串是否为空。这可以通过各种方法来实现，比如如果输入的字符串长度为 0，那么它就是一个空字符串。我们还可以使用各种预定义的方法，如 equals()，isEmpty()，等来检查字符串是否为空。但是在进一步深入之前，如果你不熟悉字符串的概念，那么一定要查看 Java 中[Strings](https://www.studytonight.com/java/string-handling-in-java.php)的文章。

**输入:**输入字符串:苹果

**输出:**输入的字符串为空？:假

## 程序 1:检查字符串是否为空

在这个程序中，我们将学习如何使用关系运算符检查字符串是空的还是空的。

### 算法:

1.  开始

2.  声明一个字符串。

3.  用一些值初始化它。

4.  使用关系运算符检查输入的字符串是否为空。

5.  显示结果。

6.  声明另一个字符串并将其初始化为 null。

7.  使用关系运算符检查输入的字符串是否为空。

8.  显示结果。

9.  停下来。

下面的例子说明了上述算法的实现。

```java
/*Java Program to check if a string is empty or null*/
public class Main
{  
     public static void main(String[] args) 
     {  

        String str1 = "Study Tonight"; 
        String str2 = null; 

        System.out.println("Is string:  " + str1 +"  empty or null? " + isEmptyOrNull(str1)); 
        System.out.println("Is string:  " + str2 + "  empty or null? "+ isEmptyOrNull(str2)); 

    } 
    public static boolean isEmptyOrNull(String str) 
    { 
        // use == relational operator and return the result 
        if (str == null) 
            return true; 
        else
            return false; 
    }          
} 
```

字符串:今晚学习是空的还是空的？false
字符串:null 是空的还是 null？真实的

## 程序 2:检查字符串是否为空

在这个程序中，我们将学习如何使用关系运算符或 is empty()检查字符串是空的还是 null。

### 算法:

1.  开始

2.  声明字符串

3.  用一些值初始化它。

4.  使用关系运算符或 isEmpty()检查输入的字符串是否为空。

5.  显示结果。

6.  声明另一个字符串并将其初始化为 null。

7.  使用关系运算符或 isEmpty()检查输入的字符串是否为空。

8.  显示结果。

9.  停止

下面的例子说明了上述算法的实现。

```java
/*Java Program to check if a string is empty or null*/

public class Main  
{  
     public static void main(String[] args) 
     {  
        String str1 = "Study Tonight";
        System.out.println("Entered String is: "+str1);
        System.out.println("Is the entered string empty or null? "+str1 == null || str1.isEmpty());    //false
        String str2 = ""; 
        System.out.println("Entered String is: "+str2);
        System.out.println("Is the entered string empty or null? "
        +str2 == null || str2.isEmpty());    // true

    } 
} 
```

输入字符串为:今晚学习
假
输入字符串为:
真

## 程序 3:检查字符串是否为空

在这个程序中，我们将学习如何使用 length()方法检查字符串是否为空。如果长度=0，则它是空字符串。

### 算法:

1.  开始

2.  声明字符串

3.  用一些值初始化它。

4.  使用 length()检查输入的字符串是否为空。

5.  如果输入的字符串长度为 0，则为空字符串。

6.  显示结果。

7.  声明另一个字符串并将其初始化为 null。

8.  使用 length()检查输入的字符串是否为空。

9.  如果输入的字符串长度为 0，则为空字符串。

10.  显示结果。

11.  停止

下面的例子说明了上述算法的实现。

```java
/*Java Program to check if a string is empty or null*/

public class Main  
{  
     public static void main(String[] args) 
     {  
        String str1 = "Study Tonight";
        System.out.println("Entered String is: "+str1);
        System.out.println("Is the entered string empty or null? " +str1 == null || str1.length() == 0);    //false
        String str2 = ""; 
        System.out.println("Entered String is: "+str2);
        System.out.println("Is the entered string empty or null? "
        +str2 == null || str2.length() == 0);    // true
    } 
} 
```

输入字符串为:今晚学习
假
输入字符串为:
真

## 程序 4:检查字符串是否为空

在这个程序中，我们将学习如何检查字符串是否为空。在这里，我们将使用。方法对空字符串进行相等性检查。

### 算法:

1.  开始

2.  声明一个字符串。

3.  用一些值初始化它。

4.  使用 equals()方法对空字符串进行相等性检查。

5.  显示结果。

6.  声明另一个字符串并将其初始化为 null。

7.  使用 equals()方法对空字符串进行相等性检查。

8.  显示结果。

9.  停止

下面的例子说明了上述算法的实现。

```java
/*Java Program to check if a string is empty or null*/

public class Main  
{  
    private static String EMPTY = "";

     public static void main(String[] args) 
     {  
        String str1 = "Study Tonight";
        System.out.println("Entered String is: "+str1);

        System.out.println("Is the entered string empty or null? ");
        System.out.println(str1 == null || EMPTY.equals(str1));    // false
        System.out.println(str1 == null || str1.equals(EMPTY));    // false

        String str2 = ""; 
        System.out.println("Entered String is: "+str2);
        System.out.println("Is the entered string empty or null? ");
        System.out.println(str2 == null || EMPTY.equals(str2));    // true
        System.out.println(str2 == null || str2.equals(EMPTY));    // true        

    } 
} 
```

输入的字符串是:今晚学习
输入的字符串是空的还是空的？
假
假
输入的字符串是:
输入的字符串是空的还是空的？
真
真

* * *

* * *