# Java 程序：计算圆的周长

> 原文：<https://www.studytonight.com/java-programs/java-program-to-find-the-perimeter-of-a-circle>

在本教程中，我们将学习如何用 java 计算圆、矩形和三角形的周长。形状的周长被定义为包围/包围/勾勒形状的路径。圆是由平面上离给定点(中心)给定距离的所有点组成的形状。矩形被定义为具有四个直角的四边形。三角形被定义为具有三条边和三个顶点的多边形。但是在继续之前，如果你不熟悉数据类型的概念，那么一定要查看关于 Java 中[数据类型的文章](https://www.studytonight.com/java/datatypes-and-identifier.php)。

**输入:**输入圆的半径:5

输入矩形的长度:4

输入矩形的宽度:5

输入三角形的边数:3

输入三角形的边数:4

输入三角形的边数:5

**输出:**

圆的面积:31.4

矩形的面积:18.0

三角形的面积:12.0

上述情况有两种情况:

情况 1:当给定边和半径时

情况 2:当给定面积时

让我们分别看看这些案例。

## 程序 1:寻找圆、矩形和三角形的周长

在这个程序中，我们将看到如何在给定边和半径的情况下用 java 计算圆、矩形和三角形的周长。

### 算法:

1.  开始
2.  创建 Scanner 类的实例。
3.  声明变量来存储矩形、三角形和圆形的边和半径值。
4.  要求用户初始化变量。
5.  声明另一个变量来存储周长。
6.  创建 Main 类的对象。
7.  创建三种用户定义的方法来计算矩形、三角形和圆形的周长。
8.  使用公式计算它们的周长。
9.  显示结果。
10.  停止

下面的程序演示了如何用 java 计算圆、矩形和三角形的周长。

```java
//Java Program to Calculate the Perimeter of a Circle, Rectangle, and Triangle
import java.util.Scanner;
public class Main
{
    double pi = 3.14,perimeter;
    Scanner s = new Scanner(System.in);
    void circle()
    {
        System.out.println("Enter the radius of circle: ");
        int radius = s.nextInt();
        perimeter = 2 * pi * radius;
        System.out.println("The perimeter of the circle: "+perimeter);
    } 
    void rectangle()
    {
        System.out.println("Enter length of rectangle: ");
        int length = s.nextInt();
        System.out.println("Enter breadth of rectangle: ");
        int breadth = s.nextInt();
        perimeter = 2 * (length + breadth);
        System.out.println("The perimeter of the rectangle: "+perimeter);
    }
    void triangle()
    {
        System.out.println("Enter the length of the first side of triangle: ");
        int side1 = s.nextInt();
        System.out.println("Enter the length of the second side of triangle: ");
        int side2 = s.nextInt();
        System.out.println("Enter the length of the third side of triangle: ");
        int side3 = s.nextInt();
        perimeter = side1 + side2 + side3;
        System.out.println("The perimeter of the triangle: "+perimeter);
    }
     public static void main(String []args)
     {
        Main obj=new Main();
        obj.circle();
        obj.rectangle();
        obj.triangle();
     }
}
```

输入圆的半径:5
圆的周长:31.400000000000002】输入矩形的长度:2
输入矩形的宽度:3
矩形的周长:10.0
输入三角形第一条边的长度:6
输入三角形第二条边的长度:7
输入三角形第三条边的长度:8
三角形的周长:21.0

## 程序 2:寻找圆、矩形和三角形的周长

在这个程序中，我们将看到当面积给定时，如何在 java 中计算圆、矩形和三角形的周长。

### 算法:

1.  开始
2.  创建 Scanner 类的实例。
3.  声明变量来存储矩形、三角形和圆形区域的值。
4.  要求用户初始化变量。
5.  声明其他变量来存储矩形和三角形的其他参数。
6.  创建 Main 类的对象。
7.  创建三种用户定义的方法来计算矩形、三角形和圆形的周长。
8.  使用公式计算它们的周长。
9.  显示结果。
10.  停止

下面的程序演示了如何用 java 计算圆、矩形和三角形的周长。

```java
//Java Program to Calculate the Perimeter of a Circle, Rectangle, and Triangle
import java.util.Scanner;
public class Main
{
    double pi = 3.14,perimeter;
    Scanner s = new Scanner(System.in);
    void circle()
    {
        System.out.println("Enter the area of the circle: ");
       double area = s.nextDouble();
        perimeter = 2*(Math.sqrt(pi*area));
        System.out.println("The perimeter of the circle: "+perimeter);
    } 
    void rectangle()
    {
        System.out.println("Enter the length of the rectangle: ");
        double length = s.nextDouble();
        System.out.println("Enter the area of the rectangle: ");
        double area = s.nextDouble();
        double res=2*(area/length);
        perimeter =res+(2*length);
        System.out.println("The perimeter of the rectangle: "+perimeter);
    }
    void triangle()
    {
        System.out.println("Enter the length of the first side of triangle: ");
        double side1 = s.nextDouble();
        System.out.println("Enter the length of the second side of triangle: ");
        double side2 = s.nextDouble();
        System.out.println("Enter the length of the height of the triangle: ");
        double h = s.nextDouble();
        System.out.println("Enter the area of the triangle: ");
        double area = s.nextDouble();
        if(h<=side1 && h<=side2) {
        double res=2*(area/h);
        perimeter = side1 + side2 + res;
        System.out.println("The perimeter of the triangle: "+perimeter);
        }
        else
        {
            System.out.println("Enter the correct value of h");
        }
    }
     public static void main(String []args)
     {
        Main obj=new Main();
        obj.circle();
        obj.rectangle();
        obj.triangle();
     }
}
```

输入圆的面积:50
圆的周长:25.059928172283335
输入矩形的长度:2
输入矩形的面积:5
矩形的周长:9.0
输入三角形第一条边的长度:6
输入三角形第二条边的长度:7
输入三角形高度的长度:5
输入三角形的面积

* * *

* * *