# Java 程序：以三角形形式打印乘法表

> 原文：<https://www.studytonight.com/java-programs/java-program-to-print-the-multiplication-table-in-triangular-form>

在本教程中，我们将学习如何以**三角形形式**打印乘法表。在这种形式中，表格是按行和列显示的，在每一行中，只有相同列号的条目被填充。但是在继续之前，如果你不熟悉 java 中循环的概念，那么一定要查看关于 Java 中[循环](https://www.studytonight.com/java/loops-in-java.php)的文章。

**输入:**输入行数:7

**输出:**三角形表格:

One million two hundred and thirty-four thousand five hundred and sixty-seven

one

2 4

3 6 9

4 8 12 16

5 10 15 20 25

6 12 18 24 30 36

7 14 21 28 35 42 49

### **进场:**

1.  首先，输入行数。
2.  for(I = 0；I
3.  for(I = 0；I
4.  的嵌套循环(j = 0；j < = I；j++)，用于打印当前条目。

让我们看一下例子来理解上述方法的实现。

## 程序 1:以三角形形式打印乘法表

在这个程序中，我们将看到如何以三角形的形式打印乘法表。

### 算法:

1.  开始
2.  创建一个 BufferedReader 类的实例。
3.  声明一个变量来存储行数。
4.  要求用户初始化变量。
5.  使用 for 循环打印表格的第一行。
6.  现在用两个 for 循环来打印乘法表。
7.  显示结果。
8.  停下来。

下面的例子说明了上述算法的实现。

```java
//Java Program to Print the Multiplication Table in Triangular Form
import java.util.*;

public class Main 
{
    public static void main(String args[])
    {
        int rows, i, j;
        Scanner sc = new Scanner(System.in);
        System.out.println("Enter the number of rows: ");
        rows = sc.nextInt();
        // Loop to print multiplication
        // table in triangular form
        for (i = 1; i <= rows; i++) 
        {
            System.out.print(i+" ");
        }
        System.out.println();
        for (i = 1; i <= rows; i++) 
        {
            for (j = 1; j <= i; j++) 
            {
                System.out.print(i * j + " ");
            }
            System.out.println();
        }
    }
}
```

输入行数:6
1 2 3 4 5 6
1
2 4
3 6 9
4 8 12 16
5 10 15 20 25
6 12 18 24 30 36

## 程序 2:以三角形形式打印乘法表

在这个程序中，我们将看到如何使用 try-catch 块以三角形形式打印乘法表。

### 算法:

1.  开始
2.  创建一个 BufferedReader 类的实例。
3.  声明一个变量来存储行数。
4.  要求用户初始化变量。
5.  使用 try-catch 块来确保用户提供了正确的输入。
6.  使用 for 循环打印表格的第一行。
7.  现在用两个 for 循环来打印乘法表。
8.  显示结果。
9.  停下来。

下面的例子说明了上述算法的实现。

```java
//Java Program to Print the Multiplication Table in Triangular Form
import java.io.BufferedReader;
import java.io.InputStreamReader;

public class Main 
{
    public static void main(String[] args) 
    {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        int row;
        System.out.println("Enter the number of rows: ");
        try
        {
            row = Integer.parseInt(br.readLine());
        }
        catch(Exception e)
        {
            System.out.println("An error occurred");
            return;
        }
        int i,j;
        System.out.println("The table in triangular form is");
        for(i=1; i<=row; i++)
        {
            System.out.printf("%2d ",i);
        }
        System.out.println();
        for(i=1; i<=row; i++)
        {
            for(j=1; j<=i; j++)
            {
                System.out.printf("%2d ",i*j);
            }
            System.out.println();
        }
    }
}
```

输入行数:8
三角形表格为
1 2 3 4 5 6 7 8
1
2 4
3 6 9
4 8 12 16
5 10 15 20 25
6 12 18 24 30 36
7 14 21 28 35 42 49
8 16 24 32 40 48 56 64

* * *

* * *