# Java 程序：计算菱形面积

> 原文：<https://www.studytonight.com/java-programs/java-program-to-find-the-area-of-a-rhombus>

在本教程中，我们将学习如何在 java 中计算菱形的面积。菱形是四边长度都相同的四边形。菱形的面积可以定义为二维空间中菱形所包围的空间量。但是在继续之前，如果你不熟悉数据类型的概念，那么一定要查看关于 Java 中[数据类型的文章](https://www.studytonight.com/java/datatypes-and-identifier.php)。

**输入:**输入第一条对角线:6

输入第二个对角线:4

**输出:**菱形面积:24

下面是同样的图示。

![](img/4be80cd0f4dae14ab9d25d727888e218.png)

## Java 程序：程序 1:寻找菱形面积

在这个程序中，我们将学习如何使用底部和高度公式找到菱形的面积。

### 算法:

1.  开始
2.  创建 Scanner 类的实例。
3.  声明变量来存储菱形的底和高的值。
4.  要求用户初始化变量。
5.  声明另一个变量来存储菱形的面积。
6.  使用底部和高度公式计算面积。
7.  显示结果。
8.  停下来。

下面的例子说明了上述算法的实现。

```java
//Java Program to Calculate the Area of a Rhombus
import java.util.Scanner;
public class Main
{
     public static void main(String []args)
     {
        //Take input from the user 
        //Create an instance of the Scanner Class
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the base of the rhombus: ");
        double base=sc.nextDouble();
        System.out.println("Enter the height of the rhombus: ");
        double height=sc.nextDouble();
       if (base <= 0 || height <= 0)
            System.out.println("Length should be positve");
        else
            System.out.println("Area of rhombus = "+ (base * height));
     }
}
```

输入菱形底部:3
输入菱形高度:4
菱形面积= 12.0

## Java 程序：程序 2:寻找菱形面积

在这个节目中，我们将学习如何使用对角线来寻找菱形的面积。

### 算法:

1.  开始
2.  创建 Scanner 类的实例。
3.  声明变量来存储菱形对角线的值。
4.  要求用户初始化这些变量。
5.  声明另一个变量来存储菱形任意两条对角线之间的角度
6.  要求用户初始化变量。
7.  将其转换为弧度。
8.  计算角度的正弦值。
9.  用对角线公式计算菱形的面积，
10.  打印菱形的面积值。
11.  停下来。

下面的例子说明了上述算法的实现。

```java
//Java Program to Calculate the Area of a Rhombus
import java.util.Scanner;
public class Main
{
     public static void main(String []args)
     {
        //Take input from the user 
        //Create an instance of the Scanner Class
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the first diagonal of the rhombus: ");
        double d1=sc.nextDouble();
        System.out.println("Enter the second diagonal of the rhombus: ");
        double d2=sc.nextDouble();
       if (d1 <= 0 || d2 <= 0)
            System.out.println("Length should be positve");
        else
            System.out.println("Area of rhombus = "+ (d1 * d2) / 2);
     }
}
```

进入菱形第一对角线:30
进入菱形第二对角线:40
菱形面积= 600.0

## Java 程序：程序 3:寻找菱形面积

在这个节目中，我们将学习如何用三角学找到菱形的面积。

### 算法:

1.  开始
2.  创建 Scanner 类的实例。
3.  声明一个变量来存储菱形边的值。
4.  要求用户初始化变量。
5.  声明另一个变量来存储菱形两边之间的角度。
6.  要求用户初始化角度。
7.  将其转换为弧度。
8.  计算角度的正弦值。
9.  用三角公式计算菱形的面积。
10.  打印菱形的面积值。
11.  停下来。

下面的例子说明了上述算法的实现。

```java
//Java Program to Calculate the Area of a Rhombus
import java.util.Scanner;
public class Main
{
     public static void main(String []args)
     {
        //Take input from the user 
        //Create an instance of the Scanner Class
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the length of any side of the rhombus: ");
        double side=sc.nextDouble();
        System.out.println("Enter any interior angle: ");
        double a = sc.nextDouble();
        // converting values to radians
        double b = Math.toRadians(a);
        double area=side*side*(Math.sin(b));
       if (side <= 0)
            System.out.println("Length should be positve");
        else
            System.out.println("Area of rhombus = "+ area);
     }
}
```

输入菱形任意一边的长度:2
输入任意内角:30
菱形的面积= 1.99999999999

* * *

* * *