# Java 程序：打印半菱形星形图案

> 原文：<https://www.studytonight.com/java-programs/java-program-to-print-half-diamond-star-pattern>

在本教程中，我们将看到如何在 Java 中打印半菱形星形图案。首先，我们将要求用户初始化行数。然后，我们将使用循环来打印半菱形星形图案。但是在继续之前，如果你不熟悉 java 中循环的概念，那么一定要查看关于 Java 中[循环](https://www.studytonight.com/java/loops-in-java.php)的文章。

**输入:**输入行数:7

**输出:**模式为:

*****

******

*******

*** * ***

*** * * * * ***

*** * * * ***

***********

*** * * * ***

*** * * * * ***

*** * ***

*******

******

*****

这可以通过使用以下方法来实现:

方法 1:使用 For 循环

方法 2:使用 While 循环

方法 3:使用边做边循环

让我们看看这些方法中的每一种，以便更好地理解

## 程序 1:打印半菱形星形图案

在这个程序中，我们将看到如何使用 for 循环在 java 中打印半菱形星形图案。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明一个变量来存储行数。

4.  要求用户初始化变量。

5.  使用 for 循环打印图案。

6.  外部循环遍历行，内部循环遍历列

7.  第一个外部 for 循环将打印半菱形图案的一半，第二个外部 for 循环将打印半菱形图案的剩余一半。

8.  循环的第一个外部循环迭代，直到条件 i<=n 为假，内部循环将显示字符，直到条件 j

9.  第二个外部 for 循环迭代，直到条件 i>0 为假，内部循环将显示字符，直到 j<=i，第二个外部 for 循环将打印此模式。

10.  显示结果。

11.  停止

下面的例子说明了上述算法的实现。

```java
//Java Program to Print the Half Diamond Star Pattern
import java.util.*;
public class Main
{
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the number of rows: ");
        int n=sc.nextInt(); 
        int i, j;
        for (i = 0; i < n; i++)
        {
             for (j = 0; j < i + 1; j++)
                System.out.print("*");
           System.out.print("\n");
        }
        for (i = 1; i < n; i++) 
        {
            for (j = i; j < n; j++)
               System.out.print("*");
          System.out.print("\n");
        }
     }
}
```

输入行数:4
*
* *
* *
* *
* *
* *

## 程序 2:打印半菱形星形图案

在这个程序中，我们将看到如何使用 while 循环在 java 中打印半菱形星形图案。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明一个变量来存储行数。

4.  要求用户初始化变量。

5.  使用 while 循环打印图案。

6.  第一个 while 循环迭代，直到 i<=n。

7.  将内部循环变量初始化为 1。内部 while 循环将迭代直到 j++<=n。如果条件满足，它将打印模式。

8.  第二个 while 循环迭代，直到 i>0。

9.  将内部循环变量初始化为 1。内部 while 循环将迭代直到 j++<=i。如果条件满足，它将打印模式。

10.  显示结果。

11.  停止

下面的例子说明了上述算法的实现。

```java
//Java Program to Print the Half Diamond Star Pattern
import java.util.*;
public class Main
{
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the number of rows: ");
        int n=sc.nextInt(); 
        int i=1,j;
        while(i<=n)
        {
           j=1;
           while(j++<=i)
           {
               System.out.print("*");
           }
            System.out.println();
            i++;
        } 
        i=n-1;
        while(i>0)
        {
           j=1;
           while(j++<=i)
           {
                System.out.print("*");
           }
           System.out.println();
           i--;
        } 
     }
}
```

输入行数:7
*
* *
* *
* * *
* * *
* * *
* * *
* * *
* * *
* * *
* * *
* *
*

## 程序 3:打印半菱形星形图案

在这个程序中，我们将看到如何使用 do-while 循环在 java 中打印半菱形星形图案。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明一个变量来存储行数。

4.  要求用户初始化变量。

5.  使用两个边做边循环来打印图案。

6.  第一个 do-while 循环迭代，直到 l ++i<=n。

7.  将内部循环变量初始化为 1。内部 do-while 循环将迭代直到++j<=i。如果条件满足，它将打印模式。

8.  第二个 do-while 循环迭代，直到- i>0。

9.  将内部循环变量初始化为 1。内部 do-while 循环将迭代直到++j<=i。如果条件满足，它将打印模式。

10.  显示结果。

11.  停止

下面的例子说明了上述算法的实现。

```java
//Java Program to Print the Half Diamond Star Pattern
import java.util.*;
public class Main
{
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the number of rows: ");
        int n=sc.nextInt(); 
        int i=1;
        int j; 
        do 
        {
            j=1;
            do
            {
               System.out.print("*"); 
            }while(++j<=i); 
            System.out.println();
        } while(++i<=n); 
        i=n-1; 
        do 
        {
            j=1;
            do
            {
                System.out.print("*"); 
            }while(++j<=i); 
            System.out.println(); 
        } while(--i>0); 
     }
}
```

输入行数:7
*
* *
* *
* * *
* * *
* * *
* * *
* * *
* * *
* * *
* * *
* *
*

* * *

* * *