# Java 程序：检查字符是否是字母

> 原文：<https://www.studytonight.com/java-programs/java-program-to-check-whether-a-character-is-alphabet-or-not>

所有字符变量都有一个 ASCII 值供计算机使用。该值可用于检查字符是否是字母。

这里，在这个程序中，我们被赋予一个字符，我们的任务是检查给定的字符是否是字母表。

**输入:**输入元素:R

**输出:**是字母表。

上述问题可以通过以下方式解决:

方法 1:使用 if-else 语句

方法 2:使用三元运算符

方法 3:使用 ASCII 值

方法 4:使用 isAlphabetic()方法

让我们分别看一下这些方法。

## 程序 1:检查字符是否是字母

在这个方法中，我们将使用 if-else 语句来检查给定的字符是否是字母表。

### 算法:

1.  开始吧。
2.  声明一个变量。
3.  初始化它。
4.  使用 if-else 语句检查给定字符是否是字母表。
5.  显示结果。
6.  停下来。

下面是相同的代码。

下面的程序演示了如何使用 if-else 语句来检查给定的字符是否是字母表。

```java
//Java Program to check whether the given character is an alphabet or not
import java.util.Scanner;

public class CheckAlphabet
{

    // Driver method
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        char ch;     //Declare a character
        System.out.println("Enter the character ");
        ch=sc.next().charAt(0);   //Initialize the character

        //check whether alphabet or not using if-else statement

        if((ch>='A' && ch<='Z')||(ch>='a' && ch<='z'))
        {
             System.out.print(ch+" is an Alphabet ");
        }
        else
        {
             System.out.print(ch+" is not an Alphabet ");
        }
     }   
}
```

输入字符 B
B 是一个字母表

## 程序 2:检查字符是否是字母

在这个方法中，我们将使用三元运算符来检查给定的字符是否是字母表。

### 算法:

1.  开始吧。
2.  声明一个变量。
3.  初始化它。
4.  使用三元运算符检查给定字符是否是字母表。
5.  显示结果。
6.  停下来。

下面是相同的代码。

下面的程序演示了如何使用三元运算符来检查给定的字符是否是字母

```java
//Java Program to check whether the given character is an alphabet or not
import java.util.Scanner;

public class CheckAlphabet
{

    // Driver method
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        char ch;     //Declare a character
        System.out.println("Enter the character ");
        ch=sc.next().charAt(0);   //Initialize the character

        //check whether alphabet or not using if-else statement

        String res = (ch>= 'a' && ch<= 'z') || (ch>= 'A' && ch<= 'Z')
                ? ch+ " is an alphabet."
                : ch+ " is not an alphabet.";

        System.out.println(res);
     }

}
```

输入字符 d
d 是一个字母表。

## 程序 3:检查字符是否是字母

在这个方法中，我们将使用 ASCII 值来检查给定的字符是否是字母表。ASCII 值由 0 到 127 之间的整数值表示。小写字母的 ASCII 值从 97 到 122，大写字母的 ASCII 值从 65 到 90

### 算法:

1.  开始吧。
2.  声明一个变量。
3.  初始化它。
4.  检查输入字符的 ASCII 值。
5.  如果它位于 97 - 122 或 65 - 90 之间，那么它就是一个字母表。
6.  显示结果。
7.  停下来。

下面是相同的代码。

下面的程序演示了如何使用 ASCII 值来检查给定的字符是否是字母表。首先，字符被初始化。然后，将其值与所需条件进行比较。如果条件满足，那么它就是字母表，否则就不是。

```java
//Java Program to check whether the given character is an alphabet or not
import java.util.Scanner;

public class CheckAlphabet
{

    // Driver method
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        char ch;     //Declare a character
        System.out.println("Enter the character ");
        ch=sc.next().charAt(0);   //Initialize the character

        //check whether alphabet or not using if-else statement

       if((ch>=97 && ch<=122)||(ch>=65 && ch<=90))
       {
           System.out.print(ch+" is an Alphabet");
       }
       else
       {
          System.out.print(ch+" is not an Alphabet");
       }
     }

}
```

输入字符 9
9 不是字母表

## 程序 4:检查字符是否是字母

在这个方法中，我们将使用 isAlphabetic()方法来检查给定的字符是否是字母表。

### 算法:

1.  开始吧。
2.  声明一个变量。
3.  初始化它。
4.  使用 isAlphabetic()方法检查给定的字符是否是字母表。
5.  显示结果。
6.  停下来。

下面是相同的代码。

下面的程序演示了如何使用 isAlphabetic()方法来检查给定的字符是否是字母

```java
//Java Program to check whether the given character is an alphabet or not
import java.util.Scanner;

public class CheckAlphabet
{

    // Driver method
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        char ch;     //Declare a character
        System.out.println("Enter the character ");
        ch=sc.next().charAt(0);   //Initialize the character

        //check whether alphabet or not using if-else statement

        if (Character.isAlphabetic(ch)) 
        {
             System.out.println(ch + " is an alphabet.");
        }
        else 
       {
             System.out.println(ch + " is not an alphabet.");
       }

     }  
}
```

输入字符 89
89 不是字母表。

* * *

* * *