# Java 程序：计算自然数总和

> 原文：<https://www.studytonight.com/java-programs/java-program-to-calculate-the-sum-of-natural-numbers>

从 1 到 n 的所有正数，即 1，2，3，....，n 被称为一个**自然数**。所有这些数字的总和给了我们自然数的**总和**。

这里，给我们一个数，我们的任务是计算所有自然数的和。

**输入:**输入数字:1 2 3 4 5

**输出:**所有数字之和:15

## 程序 1:自然数的和

在这个方法中，我们将使用 for 循环来计算自然数的和。

### 算法

1.  开始
2.  声明数字。
3.  初始化数字。
4.  使用 for 循环计算总和。
5.  声明一个 sum 变量并将其初始化为 0。
6.  在每次迭代中更新该变量的值。
7.  打印最终值。
8.  停下来。

下面是相同的代码。

下面的程序演示了如何使用 for 循环来计算自然数的和。

```java
//Java Program to calculate the sum of natural numbers
import java.util.Scanner;

public class CalculateSum
{

    // Driver method
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        int num; //Declare the number
        System.out.println("Enter the number");
        num=sc.nextInt();    //Initialize the number

        int sum=0;   //Variable to calculate the sum
        for(int i=1; i<=num;i++)
        {
            sum=sum+i;
        }
        System.out.println("The sum of natural numbers is "+sum);
     }
}
```

输入数字 5
自然数之和为 15

## 程序 2:自然数的和

在这个方法中，我们将使用 while 循环来计算自然数的和。

### 算法

1.  开始
2.  声明数字。
3.  初始化数字。
4.  使用 while 循环计算总和。
5.  声明一个 sum 变量并将其初始化为 0。
6.  在每次迭代中更新该变量的值。
7.  打印最终值。
8.  停下来。

下面是相同的代码。

下面的程序演示了如何使用 while 循环来计算自然数的总和。

```java
//Java Program to calculate the sum of natural numbers
import java.util.Scanner;

public class CalculateSum
{

    // Driver method
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        int num; //Declare the number
        System.out.println("Enter the number");
        num=sc.nextInt();    //Initialize the number
        int i=1;
        int sum=0;   //Variable to calculate the sum
        while(i <= num)
        {
            sum += i;
            i++;
        }
        System.out.println("The sum of natural numbers is "+sum);
     }
}
```

输入数字 10
自然数之和为 55

## 程序 3:自然数的和

在这种方法中，我们将使用数学公式来计算自然数的和。

### 算法

1.  开始
2.  声明数字。
3.  初始化数字。
4.  使用公式计算总和。
5.  声明一个将存储最终总和的总和变量。
6.  使用公式 sum= num*(num+1)/2
7.  打印最终值。
8.  停下来。

下面是相同的代码。

下面的程序演示了如何使用公式计算自然数的总和。

```java
//Java Program to calculate the sum of natural numbers
import java.util.Scanner;

public class CalculateSum
{

    // Driver method
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        int num; //Declare the number
        System.out.println("Enter the number");
        num=sc.nextInt();    //Initialize the number

        //formula to calculate the sum of natural numbers     
        int sum= num *( num +1) / 2;

        System.out.println("The sum of natural numbers is "+sum);
     }
}
```

输入数字 18
自然数之和为 171

## 程序 4:自然数的和

在这个方法中，我们将使用函数来计算自然数的和。

### 算法

1.  开始
2.  声明数字。
3.  初始化数字。
4.  调用一个计算自然数总和的函数。
5.  声明一个将存储最终总和的总和变量。
6.  使用公式 sum= num*(num+1)/2 并返回总和。
7.  打印最终值。
8.  停下来。

下面是相同的代码。

下面的程序演示了如何使用函数来计算自然数的总和。

```java
//Java Program to calculate the sum of natural numbers
import java.util.Scanner;

public class CalculateSum
{
     static int sumOfNaturalNumbers(int n)   
     {   
          //formula to calculate the sum of natural numbers      
          return n * (n + 1) / 2;   
     }  

    // Driver method
     public static void main(String []args)
     {
        Scanner sc=new Scanner(System.in);
        int num; //Declare the number
        System.out.println("Enter the number");
        num=sc.nextInt();    //Initialize the number

        int sum=sumOfNaturalNumbers(num);

        System.out.println("The sum of natural numbers is "+sum);
     }
}
```

输入数字 12
自然数之和为 78

* * *

* * *