# Java 程序：嵌套`If`

> 原文：<https://www.studytonight.com/java-programs/java-nested-if-program>

在这个程序中，我们将使用 java 中的嵌套 if 语句执行各种程序。当在另一个 if 语句中有一个 if 语句时，它被称为嵌套 if 语句。有时，我们在另一个条件中测试一个条件，如果条件满足就返回一个值，如果条件不满足就返回另一个值。计算多个条件，并根据使用 if 语句嵌套的条件返回多个值。但是在继续之前，如果您不熟悉 java 中嵌套 if 语句的概念，那么一定要查看主题为【Java 中的 T0】条件语句的文章。

### 句法

```java
if(condition_1) {
   Statement1(s);

   if(condition_2) {
      Statement2(s);
   }
}
```

## 程序 1: Java 嵌套 if 程序

在这个程序中，我们将看到嵌套 if 语句在 java 中的实现。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明一个变量来存储数字。

4.  要求用户初始化数字。

5.  使用第一个 if 语句检查数字是否小于 100。

6.  使用内部 if 语句检查该数字是否大于 50。

7.  如果数字大于 50 小于 100，则打印输入的数字大于 50 小于 100 的消息。

8.  如果数字不大于 50 但小于 100，则打印输入的数字小于 100 的消息。

9.  如果数字大于 100，则打印输入的数字大于 100 的消息。

10.  停下来。

下面是嵌套 if-else 的 Java 代码示例。

```java
//Java nested if Program
import java.util.Scanner;
public class Main
{
     public static void main(String []args)
     {
        //Take input from the user
        //Create an instance of the Scanner class
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter a number: ");
        int num=sc.nextInt();
        if( num < 100 )
        { 
           System.out.println("The entered number is less than 100"); 
           if(num > 50)
           {
	          System.out.println("The entered number is greater than 50");
	       }
	    }
	    else
	    {
	        System.out.println("The entered number is greater than 100");
	    }
     }
}
```

输入数字:67
输入的数字小于 100
输入的数字大于 50

## 程序 2: Java 嵌套 if-else 程序

在这个程序中，我们将看到 java 程序中嵌套 if-else 语句的实现。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明两个变量来存储一个人的年龄和体重。

4.  要求用户初始化年龄和体重。

5.  使用第一个 if 语句检查该人是否超过 18 岁。

6.  如果此人超过 18 岁，则使用另一个 If 语句检查此人的体重是否超过 50。

7.  如果这个人的年龄在 18 岁以上，体重也在 50 以上，那么，打印这个人有资格献血的信息。

8.  如果此人超过 18 岁，但他/她的体重低于 50，则打印此人没有资格献血的信息。

9.  如果此人未满 18 岁，则打印年龄必须大于 18 岁的信息。

10.  显示结果。

11.  停止

下面是嵌套 if-else 的 Java 代码示例。

```java
//Java nested if-else Program
import java.util.Scanner;
public class Main
{
     public static void main(String []args)
     {
        //Take input from the user
        //Create an instance of the Scanner class
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the age: ");
        int age=sc.nextInt();
        System.out.println("Enter the weight: ");
        int weight=sc.nextInt();
        if(age>=18)
        {      
           if(weight>50)
           {    
              System.out.println("The person is eligible to donate blood");    
           }
           else
           {  
              System.out.println("The person is not eligible to donate blood");    
           }  
        }
        else
        {  
            System.out.println("Age must be greater than 18");  
        }  
     }
}
```

输入年龄:24
输入体重:49
此人无献血资格

## 程序 3: Java 嵌套 if-else 梯形程序

在这个程序中，我们将看到 java 程序中嵌套 if-else 语句的实现。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明一个变量来存储部门名称。

4.  要求用户初始化年份。

5.  使用第一个 if 语句检查学生的系。

6.  使用内部 if 语句检查学生在哪一年。

7.  显示结果。

8.  停止

下面是嵌套 if-else 的 Java 代码示例。

```java
//Java nested if Program
import java.util.Scanner;
public class Main
{
     public static void main(String []args)
     {
        //Take input from the user
        //Create an instance of the Scanner class
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the dept: ");
        String dept=sc.nextLine();
        int year;
        if(dept.equals("CSE"))
        { 
             System.out.println("Enter a year: ");
             year=sc.nextInt();
           System.out.println("The student is in the Computer Science department"); 
           if(year == 1)
           {
	          System.out.println("The student is in 1st year");
	       }
	       else if(year == 2)
	       {
	        System.out.println("The student is in 2nd year");
	       }
	       else if(year == 3)
	       {
	        System.out.println("The student is in 3rd year");
	       }
	       else if(year == 4)
	       {
	        System.out.println("The student is in 4th year");
	       }
	    }
	    else if(dept.equals("EEE"))
        { 
             System.out.println("Enter a year: ");
             year=sc.nextInt();
           System.out.println("The student is in the Electrical and Electronics department"); 
           if(year == 1)
           {
	          System.out.println("The student is in 1st year");
	       }
	       else if(year == 2)
	       {
	        System.out.println("The student is in 2nd year");
	       }
	       else if(year == 3)
	       {
	        System.out.println("The student is in 3rd year");
	       }
	       else if(year == 4)
	       {
	        System.out.println("The student is in 4th year");
	       }
	    }
	    else if(dept.equals("ME"))
        { 
             System.out.println("Enter a year: ");
             year=sc.nextInt();
           System.out.println("The student is in the Mechanical department"); 
           if(year == 1)
           {
	          System.out.println("The student is in 1st year");
	       }
	       else if(year == 2)
	       {
	        System.out.println("The student is in 2nd year");
	       }
	       else if(year == 3)
	       {
	        System.out.println("The student is in 3rd year");
	       }
	       else if(year == 4)
	       {
	        System.out.println("The student is in 4th year");
	       }
	    }
	    else
	    {
	        System.out.println("Enter a valid department");
	    }
     }
} 
```

进入院系:CSE
进入一年:2
学生在计算机系
学生在二年级

* * *

* * *