# Java 程序：`do-while`

> 原文：<https://www.studytonight.com/java-programs/java-do-while-programs>

在本教程中，我们将学习如何在不同的场景中实现 do-while 循环。但是在继续之前，如果你不熟悉 do-while 循环的概念，那么一定要查看 Java 中[Loops](https://www.studytonight.com/java/loops-in-java.php)的文章。

**语法:**

```java
do
{  
//code to be executed  
}while(condition); 
```

## Java 程序：程序 1:实现边做边循环

在这个程序中，如何使用 do-while 循环找到所有输入正数的和。

### 算法:

1.  开始
2.  创建 Scanner 类的实例。
3.  声明一个变量。
4.  要求用户初始化变量。
5.  声明另一个变量来存储所有正数的和。
6.  将其初始化为 0。
7.  使用边做边循环检查输入的数字是否为正数。
8.  每次输入正数时增加总和。
9.  如果输入了任何负数，请中断循环。
10.  显示总和。
11.  停下来。

下面是相同的代码。

```java
// Java program to find the sum of positive numbers using do-while loop
import java.util.Scanner;

public class Main 
{
  public static void main(String[] args) 
  {
    // Take input from the user
    // create an object of Scanner class
    Scanner sc = new Scanner(System.in);

    int sum = 0;
    int num = 0;

    // do...while loop continues 
    // until entered number is positive
    do {
      // add only positive numbers
      sum += num;
      System.out.println("Enter a number");
      num = sc.nextInt();
    } 
    while(num >= 0); 

    System.out.println("The sum of entered positive numbers is " + sum);
    sc.close();
  }
}
```

输入数字:4
输入数字:6
输入数字:2
输入数字:8
输入数字:5
输入数字:1
输入数字:3
输入数字:-9
输入的正数之和为 29

## Java 程序：程序 2:实现边做边循环

在这个程序中，我们将看到如何在 java 中实现 do-while 循环程序。在这里，我们将考虑一个场景，我们将找到一个特定数字的乘法表。我们将对相同的元素使用 do-while 循环，而不是为每个元素编写乘法表。我们将编写一次语句，并多次实现。

### 算法:

1.  开始
2.  创建 Scanner 类的实例。
3.  宣布一个数字
4.  要求用户初始化数字。
5.  使用 do-while 循环打印该数字的乘法表。
6.  显示结果。
7.  停下来。

下面是相同的代码。

```java
//Java Program to see the multiplication table using a do-while loop program
import java.util.*;

public class Main
{
     public static void main(String []args)
     {
        //Take input from the user
        //Create instance of the Scanner Class
        Scanner sc=new Scanner(System.in); 
        System.out.println("Enter the number: ");
        int n=sc.nextInt();      //Declare and initialize the number
        int i=1;
        System.out.println("The multiplication table of "+n+" is: ");
        //Infinite Loop Example      
        do
        {
           System.out.println(n+" * "+i+" = "+ (n*i));
            i++;
        }
        while(i<=10);
     }
}
```

输入数字:4
4 的乘法表为:
4 * 1 = 4
4 * 2 = 8
4 * 3 = 12
4 * 4 = 16
4 * 5 = 20
4 * 6 = 24
4 * 7 = 28
4 * 8 = 32
4 * 9 = 36
4 * 10 = 40

## Java 程序：程序 3:实现边做边循环

在这个程序中，我们将看到如何使用 do-while 循环无限次地执行某个任务。为此，我们将在 while 循环的条件语句中传递 true。这样做将使它成为一个不定式 do-while 循环。这里需要注意的一点是，为了退出无限循环，您需要按 ctrl+c。

### 算法:

1.  开始
2.  声明一个变量。
3.  将其初始化为 1。
4.  使用边做边循环打印消息。
5.  在 while 循环的条件下传递 true。
6.  执行该语句，直到条件为假。
7.  在每次迭代中增加变量。
8.  显示结果。
9.  停下来。

下面是相同的代码。

```java
//Java Program to see the implementation of an infinite do-while loop program

public class Main
{
     public static void main(String []args)
     {
        int i=1;
        System.out.println("Example of Infinite do while loop: ");
        //Infinite Loop Example      
        do
        {
           System.out.println(i+" Hello World!");
            i++;
        }
        while(true);
     }
}
```

无限边做边循环示例:
1 Hello World！
2 你好世界！
3 你好世界！
4 你好世界！
5 你好世界！
6 你好世界！
7 你好世界！
ctrl+c

* * *

* * *