# Java 程序：`break`语句

> 原文：<https://www.studytonight.com/java-programs/java-break-statement-programs>

在本教程中，我们将学习如何在不同的场景中使用 break 语句。但是在继续之前，如果你不熟悉 break 语句的概念，那么一定要查看 Java 中 [Break 语句](https://www.studytonight.com/java/break-continue-statement-in-java.php)的文章。

### 语法:

```java
jump-statement;    
break; 
```

## 程序 1:在 While 循环中的 Java Break 语句

在这个程序中，我们将看到如何在 while 循环中使用 break 语句，同时计算所有正数的和。

### 算法:

1.  开始
2.  为数字和总和声明变量。
3.  将总和初始化为 0。
4.  创建 Scanner 类的实例。
5.  使用 while 循环输入数字。
6.  检查数字是否为正数。
7.  在每次迭代中增加总和。
8.  如果输入了任何负数，请中断循环。
9.  显示总和。
10.  停下来。

下面是相同的代码。

```java
//Java Program to see the implementation of break statement
import java.util.Scanner;

public class Main 
{
    public static void main(String[] args) 
    {
        //Declare variables
        int num, sum = 0;
        //Take input from the user
        // create an object of Scanner
        Scanner sc = new Scanner(System.in);
        while (true) {
            System.out.println("Enter a number: ");
            // initialize the elements
            num = sc.nextInt();
            // if number is negative then the loop terminates
            if (num < 0) 
            {
                break;
            }
           sum += num;
        }
        System.out.println("The sum of all positive numbers is = " + sum);
    }
}
```

输入数字:2
输入数字:3
输入数字:5
输入数字:4
输入数字:-9
所有正数之和= 14

## 程序 2:边做边循环中的 Java Break 语句

在这个程序中，我们将看到如何在 do-while 循环中使用 break 语句，同时计算所有正数的总和。

### 算法:

1.  开始
2.  为数字和总和声明变量。
3.  将总和初始化为 0。
4.  创建 Scanner 类的实例。
5.  使用边做边循环输入数字。
6.  检查数字是否为正数。
7.  在每次迭代中增加总和。
8.  如果输入了任何负数，请中断循环。
9.  显示总和。
10.  停下来。

下面是相同的代码。

```java
//Java Program to see the implementation of break statement
import java.util.Scanner;

public class Main 
{
    public static void main(String[] args) 
    {
        //Declare variables
        int num, sum = 0;
        //Take input from the user
        // create an object of Scanner
        Scanner sc = new Scanner(System.in);

        do 
        {
            System.out.println("Enter a number: ");
            // initialize the elements
            num = sc.nextInt();
            // if number is negative then the loop terminates
            if (num < 0) 
            {
                break;
            }
           sum += num;
        }while (true);
        System.out.println("The sum of all positive numbers is = " + sum);
    }
}
```

输入数字:6
输入数字:7
输入数字:8
输入数字:5
输入数字:4
输入数字:-2
所有正数之和= 30

## 程序 3:For 循环中的 Java `break`语句

在这个程序中，我们将看到如何在 for 循环中使用 break 语句。

### 算法:

1.  开始
2.  使用从 1 到 10 迭代的 for 循环。
3.  如果遇到 6，打破循环。
4.  在 break 语句执行之前打印所有元素。
5.  停下来。

下面是相同的代码。

```java
//Java Program to see the implementation of break statement
import java.util.Scanner;

public class Main 
{
    public static void main(String[] args) 
    {
       System.out.println("The elements are: ");
       for(int i=1;i<10;i++)
       {
           if(i==6)
           {
               break;
           }
           System.out.println(i);
       }
    }
}
```

元素为:
1
2
3
4
5

* * *

* * *