# Java 程序：检查回文数字

> 原文：<https://www.studytonight.com/java-programs/java-program-to-check-palindrome-number>

在本教程中，我们将学习如何检查输入的数字是否是回文。回文数字是向后写时保持不变的数字或字符串。但是在继续之前，如果你不熟悉 java 中循环的概念，那么一定要查看关于 Java 中[循环](https://www.studytonight.com/java/loops-in-java.php)的文章

**输入:**输入数字:87876

**输出:**输入的数字 87876 不是回文数字。

## 程序 1:用 Java 检查回文

在下面的程序中，我们将看到如何检查输入的数字是否是回文。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明一个字符串变量。

4.  要求用户初始化变量。

5.  声明一个变量来存储反向数。

6.  将其初始化为空字符串。

7.  对相同的使用 for 循环。

8.  检查反转的数字/字符串是否与原始数字/字符串相同。

9.  如果相同，则将其打印为回文号。

10.  如果不一样，那就把它打印成不是回文号。

11.  显示结果。

12.  停下来。

下面是查找回文数字的 Java 代码。

```java
// Java program to find palindrome number
import java.util.*;
public class Main 
{  
   public static void main(String[] args) 
   {  
       //Take input from the user
       //Create instance of the Scanner class
       Scanner sc = new Scanner(System.in);  
       System.out.println("Enter the number: ");  
       String reverse = ""; 
       String num = sc.nextLine(); 
       int length = num.length();   
      for ( int i = length - 1; i >= 0; i-- )  
         reverse = reverse + num.charAt(i);  
      if (num.equals(reverse))  
         System.out.println("The entered string " +num +" is a palindrome.");  
      else  
         System.out.println("The entered string " +num +"  isn't a palindrome.");     
  }
} 
```

输入数字:212
输入的字符串 212 是回文。

## 程序 2:用 Java 检查回文数字

在下面的程序中，我们将看到如何检查输入的数字是否是回文。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明一个变量。

4.  要求用户初始化变量。

5.  声明一个变量来存储反向数。

6.  将其初始化为 0。

7.  使用 while 循环进行同样的操作。

8.  检查反转数字是否与原数字相同。

9.  如果相同，则将其打印为回文号。

10.  如果不一样，那就把它打印成不是回文号。

11.  显示结果。

12.  停下来。

下面是查找回文数字的 Java 代码。

```java
// Java program to find palindrome number
import java.util.*;
public class Main 
{  
   public static void main(String[] args) 
   {  
       //Take input from the user
       //Create instance of the Scanner class
       Scanner sc = new Scanner(System.in);  
       System.out.println("Enter the number: ");  
       int num=sc.nextInt();
       int r,sum=0;
       int temp=num;    
       while(num>0)
       {    
       r=num%10;    
       sum=(sum*10)+r;    
       num=num/10;    
       }    
        if(temp==sum)    
        System.out.println("The entered number "+temp+" is a palindrome number ");    
        else    
        System.out.println("The entered number "+temp+" is not a palindrome");    
  }  
} 
```

输入数字:8338
输入的数字 8338 是回文数字

## 程序 3:用 Java 检查回文数字

在下面的程序中，我们将看到如何检查输入的数字是否是回文。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明一个范围。

4.  要求用户初始化范围。

5.  调用一个检查是否回文的方法。

6.  声明一个变量来存储反向数。

7.  将其初始化为 0。

8.  使用 while 循环进行同样的操作。

9.  检查反转数字是否与原数字相同。

10.  如果一样，那就还真。

11.  如果不相同，则返回 false。

12.  显示结果。

13.  停下来。

下面是查找回文数字的 Java 代码。

```java
// Java program to find palindrome number
import java.util.*;
public class Main 
{  
   public static void main(String[] args) 
   {  
       //Take input from the user
       //Create instance of the Scanner class
       Scanner sc = new Scanner(System.in);  
       System.out.println("Enter the number: ");  
       int num1=sc.nextInt();
       System.out.println("Enter the number: ");  
       int num2=sc.nextInt();
       for(int i=num1;i<=num2;i++)
       {
           boolean temp=checkPalindrome(i);
           if(checkPalindrome(i))
           System.out.print(i+" ");
       }

  }
  public static boolean checkPalindrome(int num)
  {
      int r,sum=0;
       int temp=num;    
       while(num>0)
       {    
       r=num%10;    
       sum=(sum*10)+r;    
       num=num/10;    
       }    
        if(temp==sum)    
        return true;  
        else    
        return false;
  } 
} 
```

输入数字:10
输入数字:500
11 22 33 44 55 66 77 88 99 101 111 121 131 141 151 161 171 181 191 202 212 222 232 242 252 262 272 282 292 303 313 323 333 343 353 363 373 383

* * *

* * *