# Java 程序：打印方形星形图案

> 原文：<https://www.studytonight.com/java-programs/java-program-to-print-the-square-star-pattern>

在本教程中，我们将看到如何在 java 中打印方形星形模式。首先，我们将要求用户初始化行数。然后，我们将使用不同的循环来打印方形星形图案。但是在继续之前，如果你不熟悉 java 中循环的概念，那么一定要查看关于 Java 中[循环](https://www.studytonight.com/java/loops-in-java.php)的文章。

**输入:**输入行数:7

**输出:**模式为:

*******

*******

*******

*******

*******

*******

*******

这可以通过使用以下方法来实现:

方法 1:使用 For 循环

方法 2:使用 While 循环

方法 3:使用边做边循环

让我们看看这些方法中的每一种，以便更好地理解。

## Java 程序：程序 1:打印方形星形图案

在这个程序中，我们将看到如何使用 for 循环在 java 中打印方形星形图案。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明变量来存储行数。

4.  要求用户初始化行数。

5.  使用两个循环来打印图案。

6.  使用第一个 for 循环打印每行中的*号。

7.  使用第二个 for 循环在每一列中打印*号。

8.  显示结果。

9.  停下来。

让我们看下面的例子来理解上面算法的实现。

```java
//Java Program to Print the Square Star Pattern
import java.util.Scanner;
public class Main
{
    public static void main(String[] args)
    {
	    Scanner sc=new Scanner(System.in);
	    System.out.println("Enter the number of rows: ");
	    int n=sc.nextInt();	 
        for(int i = 1; i <= n; i++)
		{
			for(int j = 1; j <= n; j++)
			{
				System.out.print("*"); 
			}
			System.out.print("\n"); 
		}	     
    }
} 
```

输入行数:7
* * * * * T2】* * * * * * * T3】* * * * * T4】* * * * * T5】* * * * * T6】* * * * * * * * * T7

## Java 程序：程序 2:打印方形星形图案

在这个程序中，我们将看到如何使用 while 循环在 java 中打印方形星形图案。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明变量来存储行数。

4.  要求用户初始化行数。

5.  使用两个 while 循环来打印图案。

6.  为每个循环声明两个循环变量。

7.  将第一个循环变量初始化为 1。

8.  对行使用外部 while 循环。

9.  将第二个循环变量初始化为 1。

10.  列的内部 while 循环。

11.  如果条件满足，则打印*。

12.  显示结果。

13.  停止

让我们看下面的例子来理解上面算法的实现。

```java
//Java Program to Print the Square Star Pattern
import java.util.Scanner;
public class Main
{
    public static void main(String[] args)
    {
        //Take input from the user
	    Scanner sc=new Scanner(System.in);
	    System.out.println("Enter the number of rows: ");
	    int n=sc.nextInt();	
	    int i=1;
	    int j;
        while(i <= n)
		{
			j = 1;
			while(j <= n)
			{
				System.out.print("*"); 
				j++;
			}
			i++;
			System.out.print("\n"); 
		}	     
    }
} 
```

输入行数:7
* * * * * T2】* * * * * * * T3】* * * * * T4】* * * * * T5】* * * * * T6】* * * * * * * * * T7

## Java 程序：程序 3:打印方形星形图案

在这个程序中，我们将看到如何使用 do-while 循环在 java 中打印方形星形图案。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明变量来存储行数。

4.  要求用户初始化行数。

5.  使用两个边做边循环来打印图案。

6.  为每个循环声明两个循环变量。

7.  将第一个循环变量初始化为 1。

8.  对行使用外部 do-while 循环。

9.  将第二个循环变量初始化为 1。

10.  列的内部 do-while 循环。

11.  如果条件满足，则打印*。

12.  显示结果。

13.  停止

让我们看下面的例子来理解上面算法的实现。

```java
//Java Program to Print the Square Star Pattern
import java.util.Scanner;
public class Main
{
    public static void main(String[] args)
    {
        //Take input from the user
	    Scanner sc=new Scanner(System.in);
	    System.out.println("Enter the number of rows: ");
	    int n=sc.nextInt();	
	    int i=1;
	    int j;
        do
		{
			j = 1;
			do
			{
				System.out.print("*"); 
				j++;
			}while(j <= n);
			i++;
			System.out.print("\n"); 
		} while(i <= n);	     
    }
} 
```

输入行数:5
* * * * *
* * * * *
* * * * *
* * * * *
* * * *

* * *

* * *