# Java 程序：打印 X 星形图案

> 原文：<https://www.studytonight.com/java-programs/java-program-to-print-x-star-pattern>

在本教程中，我们将看到如何在 java 中打印 X 星形模式首先，我们将要求用户初始化行数。然后，我们将使用不同的循环来打印 X 星形图案。但是在继续之前，如果你不熟悉 java 中循环的概念，那么一定要查看关于 Java 中[循环](https://www.studytonight.com/java/loops-in-java.php)的文章。

**输入:**输入行数:7

**输出:**模式为:

* *

* *

* *

* *

* *

* *

*

* *

* *

* *

* *

* *

* *

这可以通过使用以下方法来实现:

方法 1:使用 For 循环

方法 2:使用 While 循环

方法 3:使用边做边循环

让我们看看这些方法中的每一种，以便更好地理解。

## Java 程序：程序 1:打印 X 星图案

在这个程序中，我们将看到如何使用 for 循环在 java 中打印 X 星形模式。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明变量来存储行数。

4.  要求用户初始化行数。

5.  使用 for 循环打印图案。

6.  在内部 for 循环中，从 j=1 迭代到 k，如果 j=i 或 j=k-i+1 显示“*”，则打印 charter，否则显示 space。

7.  这段代码将一直执行到内部 for 循环条件为假，然后进入外部 for 循环，for 循环将一直执行到条件 i<=k 为假。

8.  显示结果。

9.  停下来。

让我们看下面的例子来理解上面算法的实现。

```java
//Java Program to Print the X Star Pattern Using For Loop
import java.util.Scanner;
public class Main
{
    public static void main(String[] args)
    {
	    Scanner sc=new Scanner(System.in);
	    System.out.println("Enter the number of rows: ");
	    int n=sc.nextInt();	 
        int k=n*2-1;
	    for(int i=1;i<=k;i++)
        {
	        for(int j=1;j<=k;j++)
            {      
                if(j==i || j==k-i+1)
                System.out.print("*");
                System.out.print(" ");
            }
	        System.out.println();
        }            
    }
} 
```

输入行数:6
* *
* *
* *
* *
* *
*
* *
* *
* *
* *
* *

## Java 程序：程序 2:打印 X 星图案

在这个程序中，我们将看到如何使用 while 循环在 java 中打印 X 星形模式。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明变量来存储行数。

4.  要求用户初始化行数。

5.  使用 while 循环打印图案。

6.  While 循环首先检查条件，然后执行代码。

7.  首先检查 while 循环的条件，即 i<=k，如果是真的，则进入内部 while 循环。

8.  在内部 while 循环中，首先检查条件 j<=k，然后执行循环中的代码，直到条件为假，然后光标从内部循环出来并转到外部循环，这将持续到条件 i<=k 为假。

9.  显示结果。

10.  停止

让我们看下面的例子来理解上面算法的实现。

```java
//Java Program to Print the X Star Pattern Using While Loop
import java.util.Scanner;
public class Main
{
    public static void main(String[] args)
    {
	    Scanner sc=new Scanner(System.in);
	    System.out.println("Enter the number of rows: ");
	    int n=sc.nextInt();	 
        int i=1;
        int j;
	    int k=n*2-1;
	    while(i<=k)
        {
	        j=1;
		    while(j<=k) 
            {     
                if(j==i || j==k-i+1)
                System.out.print("*");
                System.out.print(" ");
		        j++;
            }
	    System.out.println();
	    i++;
       } 
    }
} 
```

输入行数:6
* *
* *
* *
* *
* *
*
* *
* *
* *
* *
* *

## Java 程序：程序 3:打印星形图案

在这个程序中，我们将看到如何使用 do-while 循环在 java 中打印 X 星形模式。

### 算法:

1.  开始

2.  创建 Scanner 类的实例。

3.  声明变量来存储行数。

4.  要求用户初始化行数。

5.  使用边做边循环打印图案。

6.  首先，执行内部 do-while 循环。

7.  内部循环中的代码一直执行到条件 j<=k 为假。它为 j=i，j=k-i+1 打印一个字符。除了这些 j 值，打印空间。

8.  如果条件为假，则光标会转到外部 do-while 循环。如果条件 i<=k 为假，外部 do 循环执行将停止。

9.  显示结果。

10.  停止

让我们看下面的例子来理解上面算法的实现。

```java
//Java Program to Print Star Pattern Using a do-while Loop
import java.util.Scanner;
public class Main
{
    public static void main(String[] args)
    {
	    Scanner sc=new Scanner(System.in);
	    System.out.println("Enter the number of rows: ");
	    int n=sc.nextInt();	 
        int i=1;
        int j;
	    int k=n*2-1;
	    do
        {
	        j=1;
            do
            {   
                if(j==i || j==k-i+1)
                System.out.print(“*”);
                System.out.print(" ");
		        j++;
            }
            while(j<=k);
	        System.out.println();
	        i++;
        }while(i<=k);      
    }
} 
```

输入行数:7
* *
* *
* *
* *
* *
* *
*
* *
* *
* *
* *
* *
* *

* * *

* * *