# Java 程序：比较字符串

> 原文：<https://www.studytonight.com/java-programs/java-program-to-compare-strings>

在本教程中，我们将学习如何比较两个字符串。但是在进一步深入之前，如果你不熟悉字符串的概念，那么一定要查看 Java 中[Strings](https://www.studytonight.com/java/string-handling-in-java.php)的文章。

**输入:**输入字符串:苹果

输入字符串:apple

**输出:**输入的两个字符串相等:假

## 程序 1:比较两个字符串

在这个程序中，我们将看到当字符串是用户定义的时，如何比较两个字符串。这意味着首先，我们将要求用户输入字符串，然后通过使用 equals()方法，我们将检查输入的字符串是否相等。

### 算法

1.  开始
2.  声明字符串
3.  请用户初始化它。
4.  使用 equals()方法比较两个字符串。
5.  打印输出。
6.  停止

下面是相同的 Java 语言代码。

```java
//Java Program to compare two strings
import java.util.*;
public class Main
{
    // Driver program 
    public static void main(String[] args) 
    {
        //Take input from the user
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the string: ");
        String s1=sc.nextLine();        
        System.out.println("Enter the string: ");
        String s2=sc.nextLine();
        //Compare two strings
        System.out.println("Are the two strings equal?" + s1.equals(s2));      
    }
}
```

输入字符串:你好
输入字符串:你好
两个字符串相等吗？真实的

## 程序 2:比较两个字符串

在这个程序中，我们将看到当字符串被预定义时，如何比较两个字符串。这里，我们将使用==运算符来比较字符串。

### 算法

1.  开始
2.  声明两个字符串
3.  初始化它们。
4.  使用==运算符检查两个字符串是否相等。
5.  打印输出。
6.  停下来。

下面是相同的 Java 语言代码。

```java
//Java Program to compare two strings
public class Main
{
   public static void main(String []args)
   {
      String s1 = "Study tonight";
      System.out.println("The entered string is "+s1);
      String s2 = "Study tonight";
      System.out.println("The entered string is "+s2);
      System.out.println("Are the two strings equal?");
      //Compare the strings using == operator
      if(s1 == s2)
      System.out.println("Yes the entered strings are equal ");
      else
      System.out.println("No the entered strings are not equal ");
   }
}
```

输入的弦是今晚学习
输入的弦是今晚学习
两根弦相等吗？
是，输入的字符串相等

## 程序 3:比较两个字符串

在这个程序中，我们将看到当字符串被预定义时，如何比较两个字符串。在这里，我们将使用不同的方法来比较字符串。

### 算法

1.  开始
2.  声明两个字符串
3.  初始化字符串
4.  首先，使用 equals()方法比较字符串。
5.  打印结果。
6.  现在，再次使用==运算符进行比较。
7.  这里，比较字符串和存储在另一个字符串中的值。
8.  显示输出。
9.  同样，使用==运算符来比较字符串。
10.  比较两个字符串。
11.  显示输出。
12.  同样，使用==运算符来比较字符串。
13.  这次比较存储在两个字符串变量中的值。
14.  打印结果。
15.  停下来。

下面是相同的 Java 语言代码。

```java
//Java Program to compare two strings
public class Main
{
   public static void main(String []args)
   {   
        String str1 = new String("Study Tonight");
        System.out.println("The entered string is: "+str1);
        String str2 = new String("Study Tonight");
        System.out.println("The entered string is: "+str2);        
        System.out.println("Are the two strings equal? (using equals() method)");
        boolean result = str1.equals("Study Tonight"); // true
        System.out.println(result);
        System.out.println("Are the two strings equal? (Comparing by using == )");
        result = str2 == "Study Tonight"; // false
        System.out.println(result);
        System.out.println("Are the two strings equal? (Comparing by using == )");
        result = str1 == str2; // false
        System.out.println(result);
        System.out.println("Are the two strings equal? (Comparing Both Strings)");
        result = "Study Tonight" == "Study Tonight"; // true
        System.out.println(result);
    }
}
```

输入的弦是:今晚学习
输入的弦是:今晚学习
两根弦相等吗？(使用 equals()方法)
真
两根弦相等吗？(使用==)比较
假
两个字符串相等吗？(使用==)比较
假
两个字符串相等吗？(比较两个字符串)
真

## 程序 4:比较两个字符串

在这个程序中，我们将看到当字符串被预定义时，如何比较两个字符串。这里，我们将使用 compareTo()方法来比较字符串。这里需要注意的一点是，如果字符串相等，compareTo 返回 0。

### 算法

1.  开始
2.  声明两个字符串
3.  初始化它们。
4.  使用 compareTo()方法检查两个字符串是否相等。
5.  打印输出。
6.  停下来。

下面是相同的 Java 语言代码。

```java
//Java Program to compare two strings
public class Main
{
   public static void main(String []args)
   {      
        String str1 = new String("Study Tonight");
        System.out.println("The entered string is: "+str1);
        String str2 = new String("Study Tonight");
        System.out.println("The entered string is: "+str2);
        System.out.println("Are the two strings equal?");
        System.out.println( str1.compareTo(str2) );
    }
}
```

输入的弦是:今晚学习
输入的弦是:今晚学习
两根弦相等吗？
0

* * *

* * *