# Java 程序：从字符串中删除所有空白

> 原文：<https://www.studytonight.com/java-programs/java-program-to-remove-all-the-white-space-from-the-string>

在本教程中，我们将学习如何从字符串中删除空格。这可以通过首先遍历字符串，然后检查字符串中是否有任何字符与空白字符匹配来实现。

如果有匹配的，那么任何内置的方法，比如 replace()都可以用来删除空白。这也可以通过使用循环来完成。但是在进一步深入之前，如果你不熟悉字符串的概念，那么一定要查看 Java 中[Strings](https://www.studytonight.com/java/string-handling-in-java.php)的文章。

**输入:**输入字符串:今晚学习

**输出:**去除空格后输入的字符串为:今晚学习

让我们看看例子，以便更好地理解。

## 程序 1:删除字符串中的空格

在这个程序中，我们将看到当字符串是用户定义的时候，如何从字符串中删除所有的空白。在这里，我们将要求用户输入一个字符串，然后我们将从字符串中删除空格。

### 算法

1.  开始

2.  声明字符串

3.  要求用户初始化字符串。

4.  使用 replaceAll 删除查找所有空白字符(制表符、空格、换行符等)的正则表达式\\s。)在字符串中加上" "(空格文字)。

5.  打印字符串

6.  停止

下面是从字符串中删除空白的 Java 代码。

```java
//Java Program to remove all the whitespace from a string
import java.util.*;
public class Main
{
     public static void main(String []args)
     {
         //Take input from the user
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the String :");
        String str=sc.nextLine();    //Initialize the String

        str = str.replaceAll("\\s", ""); 

        System.out.println("After Removing Whitespaces the entered string is:"+str); 
     }
}
```

输入字符串:今晚学习
删除空格后，输入的字符串是:今晚学习

## 程序 2:删除字符串中的空格

在这个程序中，我们将看到当字符串在程序中被预定义时，如何删除字符串中的所有空白。

### 算法

1.  开始

2.  声明字符串

3.  初始化它。

4.  使用 replaceAll 删除查找所有空白字符(制表符、空格、换行符等)的正则表达式\\s。)在字符串中加上" "(空格文字)。

5.  打印字符串

6.  停止

下面是从字符串中删除空白的 Java 代码。

```java
//Java Program to remove all the whitespace from a string
public class Main
{
     public static void main(String []args)
     {
        String str="Study   Tonight ";
        System.out.println("The entered string is: "+str);        
        str = str.replaceAll("\\s", ""); 
        System.out.println("After Removing Whitespaces the entered string is: "+str); 
     }
}
```

输入的字符串是:今晚学习
删除空格后，输入的字符串是:今晚学习

## 程序 3:在 Java 中删除字符串中的空白

在这个程序中，我们将看到当字符串是用户定义的时候，如何从字符串中删除所有的空白。在这里，我们将要求用户输入一个字符串，然后通过将其转换为字符数组来删除字符串中的空格。

### 算法

1.  开始

2.  声明字符串

3.  要求用户初始化字符串。

4.  将字符串转换为字符数组

5.  声明一个 StringBuffer 变量。

6.  使用 for 循环遍历字符串的所有字符

7.  使用 if 条件检查空格。

8.  如果找到了，则使用追加字符串。

9.  将字符串缓冲区转换为字符串

10.  打印字符串。

11.  停止

下面是从字符串中删除空白的 Java 代码。

```java
//Java Program to remove all the whitespace from a string
import java.util.*;
public class Main
{
     public static void main(String []args)
     {
        //Take input from the user
        Scanner sc=new Scanner(System.in);
        System.out.println("Enter the String :");
        String str=sc.nextLine();    //Initialize the String

        char[] strArray = str.toCharArray();  
        StringBuffer stringBuffer = new StringBuffer();  
        for (int i = 0; i < strArray.length; i++) 
        {  
            if ((strArray[i] != ' ') && (strArray[i] != '\t')) 
            {  
                stringBuffer.append(strArray[i]);  
            }  
        }  
        //Print the string after the removal of white space
        String noSpaceStr2 = stringBuffer.toString();  
        System.out.println("Removing all the white space from the string is: "+noSpaceStr2);  

     }
}
```

输入字符串:移除空白示例
从字符串中移除所有空白示例为:移除空白示例

* * *

* * *