# Java `LocalDate.atStartOfDay()`方法示例

> 原文：<https://www.studytonight.com/java-examples/java-localdate-atstartofday-method-with-examples>

Java `atStartOfDay()`方法属于`LocalDate`类。此方法用于将日期与该日期开始时的午夜时间相结合。

此方法不接受任何参数，并返回从午夜时的日期形成的 LocalDateTime。下面给出了该方法的语法。

## 句法

```java
public LocalDateTime atStartOfDay()
```

## 返回:

它返回该日期开始时午夜的本地日期时间。

现在，让我们举一些例子来理解这个方法的功能。

## 示例:结合日期和开始时间

这里我们使用 Java `now()`方法获取当前日期，然后调用`atStartOfDay()`方法将日期和一天的开始时间结合起来。

```java
import java.time.LocalDate;
import java.time.LocalDateTime;

public class Demo {  
	public static void main(String[] args){  

		// Getting date of today
		LocalDate localDate = LocalDate.now();
		// Displaying date
		System.out.println("Today's Date: \n"+localDate);
		// Getting todays start time
		LocalDateTime localDateTime = localDate.atStartOfDay();
		// Displaying date and time of start of today
		System.out.println("Today's Date with time: \n"+localDateTime);
	}
} 
```

今日日期:
2020-05-28
今日日期与时间:
2020-05-28 00:00

## 示例:结合特定日期和开始时间

如果我们想获得任何特定日期的开始时间(午夜时间)，那么只需使用`LocalDate`类的`of()`方法创建一个日期，然后组合时间。这里我们使用的是返回本地日期时间的`atStartOfDay()`方法。

```java
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.Month;

public class Demo {  
	public static void main(String[] args){  

		// Getting a date
		LocalDate localDate = LocalDate.of(2018, Month.JANUARY, 18);
		// Displaying date
		System.out.println("Date: \n"+localDate);
		// Getting start time of the date
		LocalDateTime localDateTime = localDate.atStartOfDay();
		// Displaying date and time of start of the date
		System.out.println("Date with start time: \n"+localDateTime);
	}
} 
```

日期:
2018-01-18
开始时间日期:
2018-01-18T00:00

## 实时示例:

在这里，您可以测试实时代码示例。您可以执行示例，甚至可以编辑和编写自己的示例来测试 Java 代码。

* * *

* * *