# Java `LocalDate.isAfter()`方法及示例

> 原文：<https://www.studytonight.com/java-examples/java-localdate-isafter-method-with-examples>

`isAfter()`方法用于检查该日期是否在指定日期之后。我们可以用它来检查日期是否早于指定日期。

该方法属于`LocalDate`类，位于`**java.time**`包中。下面给出了该方法的语法。

## 句法

```java
public boolean isAfter(ChronoLocalDate other)
```

## 参数:

它只接受一个 ChronoLocalDate 类型的参数。

## 返回:

它返回真或假的布尔值。

## 例子

让我们举个例子来检查一个日期是否早于另一个指定的日期。这里我们有两个日期，并使用`isAfter()`方法进行检查。

```java
import java.time.LocalDate;

public class Demo {  
	public static void main(String[] args){  

		// Take a date
		LocalDate localDate1 = LocalDate.of(2018, 2, 20);
		// Take another date
		LocalDate localDate2 = LocalDate.of(2018, 8, 10);
		// Displaying date
		System.out.println("is "+localDate1+" older than "+localDate2+": "+localDate1.isAfter(localDate2));
		// Displaying date
		System.out.println("is "+localDate2+" older than "+localDate1+": "+localDate2.isAfter(localDate1));
	}
} 
```

比 2018-08-10 大 2018-02-20:假
比 2018-02-20 大 2018-08-10:真

## 示例:

假设两个日期相同，那么使用`isAfter()`方法将总是返回**假。**

```java
import java.time.LocalDate;

public class Demo {  
	public static void main(String[] args){  

		// Take a date
		LocalDate localDate1 = LocalDate.of(2018, 2, 20);
		// Take another date
		LocalDate localDate2 = LocalDate.of(2018, 2, 20);
		// Displaying date
		System.out.println("is "+localDate1+" older than "+localDate2+": "+localDate1.isAfter(localDate2));
		// Displaying date
		System.out.println("is "+localDate2+" older than "+localDate1+": "+localDate2.isAfter(localDate1));
	}
} 
```

比 2018-02-20 大 2018-02-20:假
比 2018-02-20 大 2018-02-20:假

## 实时示例:

尝试一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *