# Java `LocalDate.CompareTo()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-compareto-method>

`compareTo()`方法用于比较一个日期和另一个日期。它返回一个整数值，并以`CronoLocalDate`的一个实例作为参数。这个方法对于比较 Java 应用中的两个日期很有用。下面给出了该方法的语法。

## 句法

```java
public int compareTo(ChronoLocalDate otherdate) 
```

## 因素

**其他日期:**另一个要比较的日期

## 返回

如果日期小于，则返回负值；如果大于，则返回正值

## 示例:

如果指定日期小于日期，`compareTo()`方法返回负整数。在本例中，我们有两个日期，并使用`compareTo()`检查指定日期是否早于其他日期。

```java
import java.time.LocalDate;

public class Demo {  
	public static void main(String[] args){  

		// Take a date
		LocalDate localDate1 = LocalDate.of(2018, 2, 20);
		// Displaying date
		System.out.println("First Date is : "+localDate1);
		// Take another date
		LocalDate localDate2 = LocalDate.of(2018, 2, 22);
		// Displaying date
		System.out.println("Another Date is : "+localDate2);
		// Using compareTo() method
		int val = localDate1.compareTo(localDate2);
		System.out.println(val);
	}
} 
```

第一个日期为:2018-02-20
另一个日期为:2018-02-22
日期，当地时间:-2

## 示例:

如果指定日期大于该日期，则返回正整数。您可以注意到下面的示例返回了两个日期之差的正整数。

```java
import java.time.LocalDate;

public class Demo {  
	public static void main(String[] args){  

		// Take a date
		LocalDate localDate1 = LocalDate.of(2018, 2, 20);
		// Displaying date
		System.out.println("First Date is : "+localDate1);
		// Take another date
		LocalDate localDate2 = LocalDate.of(2018, 2, 22);
		// Displaying date
		System.out.println("Another Date is : "+localDate2);
		// Using compareTo() method
		int val = localDate2.compareTo(localDate1);
		System.out.println(val);
	}
}
```

首日为:2018-02-20
另一日为:2018-02-22
2

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *