# Java `LocalDate.format()`方法示例

> 原文：<https://www.studytonight.com/java-examples/java-localdate-format-method-with-examples>

此方法用于将日期格式化为指定的格式。格式化日期需要一个参数`DateTimeFormatter`，并返回一个日期字符串。比如我们有一个 **yyyy/mm/dd** 格式的日期，想转换成 **dd/mm/yyyy** 格式，那么这个方法是有帮助的。方法的语法声明如下。

## 句法

```java
public String format?(DateTimeFormatter formatter)
```

## 参数:

**格式化器** -指定日期格式。

## 返回:

它返回一个格式化的日期字符串。

## 示例:格式化日期

让我们举一个格式化日期的例子，这里我们使用`ofPattern()`方法来指定格式模式，并在上面调用`format()`方法。它返回一个日期字符串。

```java
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

public class DateDemo {
public static void main(String[] args){  

		// Take a date
	    LocalDate date = LocalDate.parse("2018-02-03");
		// Displaying date
		System.out.println("Date : "+date);
		// Formatting Date
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("dd/MM/YYYY");
        String localDate = formatter.format(date);
        System.out.println("Date2 : "+localDate);

	}
}
```

日期:2018-02-03
日期 2 : 03/02/2018

## 示例:格式化当前日期

如果我们想格式化当前系统日期，那么只需使用`now()`方法获取当前日期，然后调用`format()`方法。见下面的例子。

```java
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

public class DateDemo {
public static void main(String[] args){  

		// Take a date
	    LocalDate date = LocalDate.now();
		// Displaying date
		System.out.println("Date : "+date);
		// Formatting Date
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("dd/MM/YYYY");
        String localDate = formatter.format(date);
        System.out.println("Date2 : "+localDate);

	}
}
```

日期:2020-06-01
日期:2020 年 01 月 06 日

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *