# Java `LocalDate.from()`方法及示例

> 原文：<https://www.studytonight.com/java-examples/java-localdate-from-method-with-examples>

该方法用于从`TemporalAccessor`实例获取 localdate。临时处理器是一个接口，任何继承它的对象都可以和`from()`方法一起使用。`from()`方法将时间对象转换为本地日期。下面给出了该方法的语法。

## 句法

```java
public static LocalDate from(TemporalAccessor temporal)
```

## 参数:

**时态** -要转换为 localdate 的对象。

## 返回:

它返回一个 localdate。

## 示例:date from()方法

在本例中，我们使用`from()`方法从`TemporalAccessor`对象获取 localdate。请注意，我们使用`of()`方法创建日期并存储到`TemporalAccessor`对象中，该对象进一步与`from()`方法一起使用以获取本地日期。

```java
import java.time.LocalDate;
import java.time.temporal.TemporalAccessor;

public class DateDemo {
public static void main(String[] args){  

		// Take a date
	    TemporalAccessor date = LocalDate.of(2012,06,02);
		// Displaying date
		System.out.println("Date : "+date);
		// from method
		LocalDate date2 = LocalDate.from(date);
		System.out.println(date2);

	}
}
```

日期:2012-06-02
2012-06-02

## 示例:

在这个例子中，我们使用`ZonedDateTime`来获取当前日期，并分配给 temporalaccessor 对象，该对象进一步与`from()`方法一起使用来获取 localdate。

```java
import java.time.LocalDate;
import java.time.ZonedDateTime;
import java.time.temporal.TemporalAccessor;

public class DateDemo {
public static void main(String[] args){  

		// Take a date
	    TemporalAccessor date = ZonedDateTime.now();
		// Displaying date
		System.out.println("Date : "+date);
		// from method
		LocalDate date2 = LocalDate.from(date);
		System.out.println(date2);

	}
}
```

日期:2020-06-01t 15:28:21.841342+05:30【亚洲/加尔各答】
2020-06-01

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *