# Java `LocalDate.get()`方法及示例

> 原文：<https://www.studytonight.com/java-examples/java-localdate-get-method-with-examples>

此方法用于从日期中获取指定字段的值。它接受`TemporalField`类型的参数并返回一个整数值。

我们可以使用`ChronoField`枚举从日期中获取字段，例如:月日、周日等。

## 句法

```java
public int get?(TemporalField field)
```

## 参数:

字段-要获取的字段，不为空

## 返回:

字段的值

## 示例:查找月中的某一天

让我们举个例子，用`get()`方法得到一个月中的某一天。我们使用`ChronoFiled`来指定日期字段。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoField;
import java.time.temporal.TemporalAccessor;
import java.time.temporal.TemporalField;

public class DateDemo {
public static void main(String[] args){  

		// Take a date
	    TemporalField field = ChronoField.DAY_OF_MONTH;
	    TemporalAccessor date = LocalDate.of(2012,06,02);

		// Displaying date
		System.out.println("Date : "+date);
		// get() method
		int val = date.get(field);
		System.out.println(val);

	}
}
```

日期:2012-06-02
2

## 示例:查找星期几

让我们通过指定`ChronoField`枚举的星期几来使用`get()`方法查找星期几。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoField;
import java.time.temporal.TemporalAccessor;
import java.time.temporal.TemporalField;

public class DateDemo {
public static void main(String[] args){  

		// Take a date
	    TemporalField field = ChronoField.DAY_OF_WEEK;
	    TemporalAccessor date = LocalDate.of(2012,06,02);

		// Displaying date
		System.out.println("Date : "+date);
		// get() method
		int val = date.get(field);
		System.out.println(val);

	}
}
```

日期:2012-06-02
6

## 活生生的例子

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *