# Java `LocalDate.getChronology()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-getchronology-method>

这种方法用于获取日期的年表。年表是指现代世界的历法系统。

**ISO-8601** 历法系统是当今世界大部分地区使用的现代民用历法系统。

此方法返回引用日历系统的等时图。下面给出了该方法的语法。

## 句法

```java
public IsoChronology getChronology()
```

## 参数:

它不接受任何参数。

## 返回:

它返回 ISO 年表。

## 举例时间:

让我们举一个例子，我们将使用`getChronology()`方法获得一个日期的年表。本示例返回 ISO 年表作为结果。

```java
import java.time.LocalDate;
import java.time.chrono.IsoChronology;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2018, 2, 20);
		System.out.println(localDate);
		IsoChronology iso = localDate.getChronology();
		System.out.println("date chronology : "+iso);
	}
}
```

2018-02-20
日期年表:ISO

## 另一个例子的时间:

这里我们有一个字符串日期，然后转换为 localdate 来获取年表。我们可以看到，它显示了国际标准化组织年表的结果。

```java
import java.time.LocalDate;
import java.time.chrono.IsoChronology;
public class DateDemo {

	public static void main(String[] args){  

		String date = "2015-02-06";
		LocalDate localDate = LocalDate.parse(date);
		System.out.println(localDate);
		IsoChronology iso = localDate.getChronology();
		System.out.println("date chronology : "+iso);
	}
}
```

2015-02-06
日期年表:ISO

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *