# Java `LocalDate.getDayOfMonth()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-getdayofmonth-method>

此方法用于从日期中获取一个月中的某一天。例如，我们有一个日期 2012/02/15，那么这个方法将返回 15 作为一个月中的一天。

它不接受任何参数，可以使用`LocalDate`对象调用。下面给出了该方法的语法。

## 句法

```java
public int getDayOfMonth()
```

## 因素

它不接受任何参数。

## 返回

它返回一个整数值。

## 举例时间:

在这个例子中，我们使用`getDayOfMonth()`方法得到一个日期中一个月的某一天。此方法返回一个显示一个月中某一天的整数值。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2018, 2, 20);
		System.out.println(localDate);
		int day = localDate.getDayOfMonth();
		System.out.println("day of month : "+day);
	}
}
```

2018-02-20
月日:20

## 另一个例子的时间:

如果我们有一个日期没有直接显示月日，那么我们仍然可以通过使用`getDayOfMonth()`方法获得月日。见下面的例子。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.ofYearDay(2012, 203);
		System.out.println(localDate);
		int day = localDate.getDayOfMonth();
		System.out.println("day of month : "+day);
	}
}
```

2012-07-21
月日:21

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *