# Java `LocalDate.getDayOfWeek()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-getdayofweek-method>

此方法用于获取日期的星期几。例如，我们有一个日期，想要得到一周中的某一天，比如:周日、周一等等，那么我们可以使用这个方法。

它不接受任何参数，并返回指定日期当天的全名。下面给出了该方法的语法。

## 句法

```java
public DayOfWeek getDayOfWeek()
```

## 参数:

它不接受任何参数。

## 返回:

它返回显示星期全名的星期几。

## 举例时间:

让我们举一个例子，通过使用`getDayOfWeek()`方法来获取日期的星期几。当我们想从一个日期中获得完整的日期名称时，这很有帮助。

```java
import java.time.DayOfWeek;
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2018, 2, 20);
		System.out.println(localDate);
		DayOfWeek dayOfWeek = localDate.getDayOfWeek();
        System.out.println("day of week : "+dayOfWeek);
	}
}
```

2018-02-20
星期几:星期二

## 另一个例子的时间:

让我们再举一个例子，在这个例子中，我们得到了代表未来很长一段时间的日期。我们将迎来 2050 年的某一天，如果没有这种方法，这是不容易实现的。

```java
import java.time.DayOfWeek;
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2050, 2, 25);
		System.out.println(localDate);
		DayOfWeek dayOfWeek = localDate.getDayOfWeek();
		System.out.println("day of week : "+dayOfWeek);
	}
}
```

2050-02-25
星期几:星期五

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *