# Java `LocalDate.getDayOfYear()`方法示例

> 原文：<https://www.studytonight.com/java-examples/java-localdate-getdayofyear-method-with-examples>

这种方法用来计算一年中的某一天。它在闰年返回一个介于 1 到 365 或 366 之间的整数值。例如，日期 2020/01/05 将返回 5 作为一年中的一天。

此方法不接受任何参数，并返回一个整数值。下面给出了该方法的语法。

## 句法

```java
public int getDayOfYear()
```

## 参数:

它不接受任何参数。

## 返回:

它返回一个整数值。

## 
时间举例:获取一年中的某一天

我们举个例子，用`getDayOfYear()`方法得到一年中的某一天。在这个例子中，我们有一个日期 2 月 25 日，这将导致 56 天。见下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2020, 2, 25);
		System.out.println(localDate);
		int year = localDate.getDayOfYear();
		System.out.println("day of year : "+year);
	}
}
```

2020-02-25
一年中的第几天:56

## 另一个例子的时间:

如果我们想知道包括今年的今天在内已经过去了多少天，我们可以将此方法与当前日期时间一起使用，从而得出一年中的总天数。见下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
		int year = localDate.getDayOfYear();
		System.out.println("day of year : "+year);
	}
}
```

2020-06-03
一年中的某一天:154

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *