# Java `LocalDate.getLong()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-getlong-method>

此方法用于获取日期字段的值。日期字段可以是日、月或年。如果我们想得到一个月的日期作为长型，使用`getLong()`方法。

此方法接受一个参数并返回一个`Long`类型值。下面给出了该方法的语法。

## 句法

```java
public long getLong(TemporalField field)
```

## 参数:

它需要一个临时字段类型的参数。

## 返回:

它返回一个`Long`类型值。

## 举个例子

让我们举一个例子来获得日期的一天作为`Long`类型。我们使用`getLong()`方法获取长值，并传递`ChronoField`常量，该常量返回一个长数值。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoField; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 10, 21);
		System.out.println(localDate);
		long day = localDate.getLong(ChronoField.DAY_OF_MONTH);
		System.out.println("Day of Month : "+day);
	}
}
```

2015-10-21
月日:21

## 再举一个例子

我们再举一个例子来理解`getLong()`方法的使用。这里我们从`ChronoField`中获取一年中的某一天作为`Long`类型值。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoField; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 10, 21);
		System.out.println(localDate);
		long day = localDate.getLong(ChronoField.DAY_OF_YEAR);
		System.out.println("Day of Year : "+day);
	}
}
```

2015-10-21
年月日:294

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *