# Java `LocalDate.getMonth()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-getmonth-method>

Java `getMonth()`方法用来获取某个日期的月份。它返回一月、二月等月份的全名。例如，我们有一个日期 2012/10/12，那么结果将是 10 月。

该方法属于`java.time`包中的`LocalDate`类。下面给出了这个例子的语法。

## 句法

```java
public Month getMonth()
```

## 参数

它不接受任何参数。

## 返回

它返回一年中的月份。

## 举例时间:

举个例子，用`getMonth()`方法获取月份名称。这里我们得到一个日期的月份，方法返回一个月的月份枚举。

```java
import java.time.LocalDate;
import java.time.Month; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 10, 21);
		System.out.println(localDate);
		Month month = localDate.getMonth();
		System.out.println("Month of date : "+month);
	}
}
```

2015-10-21
月份日期:10 月

## 另一个例子的时间:

让我们举另一个例子，我们从一个不包含月字段的日期获得月名，但是月能够获得月。见下面的例子。

```java
import java.time.LocalDate;
import java.time.Month; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.ofYearDay(2020, 120);
		System.out.println(localDate);
		Month month = localDate.getMonth();
		System.out.println("Month of date : "+month);
	}
}
```

2020-04-29
月日:4 月

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *