# Java `LocalDate.getYear()`方法及示例

> 原文：<https://www.studytonight.com/java-examples/java-localdate-getyear-method-with-examples>

Java `getYear()`方法用来获取某个日期的年份。此方法返回一个代表年份的整数值。例如，我们有一个日期 2015/02/01，结果将是 2015 年。

这个方法属于`LocalDate`类。它不接受任何参数，并返回一个整数值。下面给出了该方法的语法。

## 句法

```java
public int getYear()
```

## 因素

此方法不接受任何参数。

## 返回

它返回一个整数值。

## 举例时间:

让我们举个例子来获得一个日期的年份。在这个例子中，我们使用的是返回整数值的`getYear()`方法。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 10, 21);
		System.out.println(localDate);
		int year = localDate.getYear();
		System.out.println("Year of date : "+year);
	}
}
```

2015-10-21
年月日:2015

## 另一个例子的时间:

让我们举另一个例子来得到当前日期的当前年份。这里我们使用返回当前日期的`now()`方法得到当前日期。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
		int year = localDate.getYear();
		System.out.println("Year of date : "+year);
	}
}
```

2020-06-04
年月日:2020

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *