# Java `LocalDate.hashCode()`方法及示例

> 原文：<https://www.studytonight.com/java-examples/java-localdate-hashcode-method-with-examples>

Java `hashCode()`方法用来获取一个日期的哈希代码。哈希代码是由 JVM 分配给对象的整数。每次当我们创建一个`LocalDate`的对象时，JVM 都会创建一个 hashcode 数，通过使用`hashCode()`方法，我们可以得到这个整数值。

Java `hashCode()`方法不取任何参数，返回一个整数值。下面给出了该方法的语法。

## 句法

```java
public int hashCode()
```

## 返回:

它返回一个整数值。

## 举例时间:

让我们举一个例子来获取日期对象的哈希代码。在这个例子中，我们使用`hashCode()`方法得到一个整数 hashcode 值。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 10, 21);
		System.out.println(localDate);
		int hashcode = localDate.hashCode();
		System.out.println("hashcode of the above date : "+hashcode);
	}
}
```

2015-10-21
上述日期的 hashcode:4127381

## 再举一个例子

我们再举一个例子来理解`hashCode()`法。这里我们得到的是当前日期的 hashcode，当前日期是通过`now()`方法获取的。见下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
		int hashcode = localDate.hashCode();
		System.out.println("hashcode of current date : "+hashcode);
	}
}
```

2020-06-05
当前日期的 hashcode:4137349

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *