# Java `LocalDate.isBefore()`方法示例

> 原文：<https://www.studytonight.com/java-examples/java-localdate-isbefore-method-with-example>

Java `isBefore()`方法用于检查该日期是否在指定日期之前。如果该日期早于指定日期，则返回 true，否则返回 false。例如，如果我们有两个日期 2016/15/20 和 2015/15/12，并使用此方法，则第一个日期的结果将为假。

它接受`ChronoLocalDate`接口的单个参数，并返回真或假。下面给出了该方法的语法。

## 句法

```java
public boolean isBefore(ChronoLocalDate other)
```

## 参数:

它将一个日期作为参数与另一个日期进行比较。

## 返回:

如果该日期早于指定日期，则返回 true

## 举例时间:

让我们举个例子来检查一个日期是否在另一个日期之前。这里，我们使用返回 false 的`isBefore()`方法作为例子。见下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2016, 10, 21);
		System.out.println(localDate);
		// Date 2
		LocalDate localDate2 = LocalDate.of(2015, 10, 21);
		System.out.println(localDate2);
		boolean d  = localDate.isBefore(localDate2);
		System.out.println("is date1 before date2 : "+d);
	}
}
```

2016-10-21
2015-10-21
日期 1 在日期 2 之前:假

## 另一个例子的时间:

我们再举一个例子来理解`isBefore()`法。这里，第一个日期在第二个日期之前，这就是为什么该方法返回一个 true。见下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 10, 21);
		System.out.println(localDate);
		// Date 2
		LocalDate localDate2 = LocalDate.of(2016, 10, 21);
		System.out.println(localDate2);
		boolean d  = localDate.isBefore(localDate2);
		System.out.println("is date1 before date2 : "+d);
	}
}
```

2015-10-21
2016-10-21
是日期 1 先于日期 2:真

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *