# Java `LocalDate.isEqual()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-isequal-method>

Java `isEqual()`方法用于检查两个日期是否相等。检查日期是否等于另一个日期是有帮助的，例如，我们有两个日期 2012/12/10 和 2012/12/12，那么使用`isEqual()`方法将返回 false。

它接受`ChronoLocalDate`类型的参数，并返回真或假。下面给出了该方法的语法。

## 句法

```java
public boolean isEqual(ChronoLocalDate other)
```

## 参数:

**其他** -要比较的其他日期。

## 返回:

如果该日期等于指定日期，则为真。

## 举个例子

让我们举个例子来检查这两个日期是否相等。这里，我们使用两个不同的日期，并使用返回 false 的方法进行检查。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 10, 21);
		System.out.println(localDate);
		// Date 2
		LocalDate localDate2 = LocalDate.of(2016, 10, 21);
		System.out.println(localDate2);
		boolean d  = localDate.isEqual(localDate2);
		System.out.println("is date1 is equal date2 : "+d);
	}
}
```

2015-10-21
2016-10-21
是日期 1 等于日期 2:假

## 再举一个例子

我们再举一个例子来了解一下`isEqual()`法的用法。这里，我们使用两个不同的日期，并应用返回真的`isEqual()`方法。见下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 10, 21);
		System.out.println(localDate);
		// Date 2
		LocalDate localDate2 = LocalDate.of(2015, 10, 21);
		System.out.println(localDate2);
		boolean d  = localDate.isEqual(localDate2);
		System.out.println("is date1 is equal date2 : "+d);
	}
}
```

2015-10-21
2015-10-21
是日期 1 等于日期 2:真

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *