# Java `LocalDate.isLeapYear()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-isleapyear-method>

Java `isLeapYear()`方法用于检查日期是否为闰年。它根据国际标准化组织的日历系统规则检查闰年。

如果一年能被四整除而不留余数，那它就是闰年。例如，2004 年是闰年，它可以被 4 整除。1900 年不是闰年，因为它可以被 100 整除。

此方法不接受任何参数，返回 true 或 false。下面给出了该方法的语法。

## 句法

```java
public boolean isLeapYear()
```

## 参数:

它不接受任何参数。

## 返回:

它返回真或假。

## 举例时间:

让我们举个例子来检查一年是否是闰年。这里，我们有一个 2015 年，这不是闰年，这就是为什么该方法返回假。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 10, 21);
		System.out.println(localDate);
		boolean d  = localDate.isLeapYear();
		System.out.println("Is leap Year : "+d);
	}
}
```

2015-10-21
是闰年:假

## 另一个例子的时间:

我们再举一个例子来理解`isLeapYear()`方法的用法。在这里，我们有一年，并通过使用方法检查，返回真。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2020, 10, 21);
		System.out.println(localDate);
		boolean d  = localDate.isLeapYear();
		System.out.println("Is leap Year : "+d);
	}
}
```

2020-10-21
是闰年吗:是

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *