# Java `LocalDate.isSupported()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-issupported-method>

Java `isSupported()`方法用于检查是否支持指定的日期单位。日期单位是日期的一部分，如日、月、年等。例如，如果我们想在日期上检查一个月的字段，那么我们可以使用这个方法。

此方法接受一个参数，并返回 true 或 false。如果支持指定的字段，则返回 true，否则返回 false。

有支持的字段:

*   星期几

*   对齐 _ 周 _ 月 _ 日

*   年 _ 月 _ 日 _ 周 _ 对齐

*   月日

*   一年中的第 _ 天

*   纪元日

*   每月的第 _ 周

*   对齐 _ 周 _ 年

*   年月日

*   prolective _ MONTH

*   纪元年

*   年

*   时代

除上述单位外，所有其他`ChronoField`实例都将返回 false。

## 句法

```java
public boolean isSupported(TemporalField field)
```

## 参数:

它采用单个参数作为日期字段。

## 返回:

如果支持指定字段，则返回 true，否则返回 false。

## 举例时间:

让我们举个例子，检查指定的字段是否被日期支持。这里，我们使用 DAY_OF_MONTH 作为字段，输出为真。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoField; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2020, 10, 21);
		System.out.println(localDate);
		boolean d  = localDate.isSupported(ChronoField.DAY_OF_MONTH);
		System.out.println("Is day of Month Supported : "+d);
	}
}
```

2020-10-21
是否支持月日:真

## 另一个例子的时间:

我们再举一个例子来了解一下`isSupported()`法的用法。这里，我们使用的是指定日期不支持的 HOUR_OF_DAY 字段，因此我们得到的结果是 false。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoField; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2020, 10, 21);
		System.out.println(localDate);
		boolean d  = localDate.isSupported(ChronoField.HOUR_OF_DAY);
		System.out.println("Is Hour of Day Supported : "+d);
	}
}
```

2020-10-21
是否支持一天中的小时:假

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *