# Java `LocalDate.lengthOfMonth()`方法及示例

> 原文：<https://www.studytonight.com/java-examples/java-localdate-lengthofmonth-method-with-examples>

Java `lengthOfMonth()`方法用于获取日期中一个月的长度。一个月的长度代表一个月的总天数。比如我们有一个日期 **2012/01/25** 那么这个方法返回 **31** 作为结果。

它不接受任何参数，但返回一个整数值。下面给出了该方法的语法。

## 句法

```java
public int lengthOfMonth()
```

## 参数:

这不需要任何争论。

## 返回:

它返回一个整数值。

## 举个例子

让我们举个例子来得到月的长度。在这里，我们得到 10 月份的长度是 31。因此该方法返回 31 作为结果。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 10, 21);
		System.out.println(localDate);
		int length  = localDate.lengthOfMonth();
		System.out.println("Length of Month : "+length);
	}
}
```

2015-10-21
月长:31

## 再举一个例子

我们再举一个例子来了解一下`lengthOfMonth()`法的用法。这里，我们得到了二月的长度，有 28 或 29。所以根据年份，它会返回 28。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 02, 21);
		System.out.println(localDate);
		int length  = localDate.lengthOfMonth();
		System.out.println("Length of Month : "+length);
	}
}
```

2015-02-21
月长:28

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *