# Java `LocalDate.lengthOfYear()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-lengthofyear-method>

Java `lengthOfYear()`方法用于获取日期中一年的长度。一年的长度代表一年中的总天数。例如，我们有一个日期 2012/01/25，那么这个方法返回 366 作为结果。

它不接受任何参数，但返回一个整数值。下面给出了该方法的语法。

## 句法

```java
public int lengthOfYear()
```

## 参数:

这不需要任何争论。

## 返回:

它返回一个整数值。

## 举个例子

让我们举个例子来得到一年的长度。这里，我们得到 2015 年的长度是 365。因此该方法返回 365 作为结果。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2015, 02, 21);
		System.out.println(localDate);
		int length  = localDate.lengthOfYear();
		System.out.println("Length of Year : "+length);
	}
}
```

2015-02-21
年长度:365

## 再举一个例子

我们再举一个例子来了解一下`lengthOfYear()`法的用法。在这里，我们得到了闰年的长度，有 366 天。所以根据年份，它会返回 366。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2016, 02, 21);
		System.out.println(localDate);
		int length  = localDate.lengthOfYear();
		System.out.println("Length of Year : "+length);
	}
}
```

2016-02-21
年长度:366

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *