# Java `LocalDate.minus()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-minus-method>

Java `minus()`方法用于减去一个日期的字段。字段可以是一天、一个月或一年。此方法在减去指定字段后返回一个新日期。例如，我们有一个日期 2012/02/10，想要从该日期减去 2 天，那么减方法适用于此。

它需要两个参数，一个是字段的数量，第二个是字段的名称。减去指定字段后返回新的`LocalDate`。

## 句法

```java
public LocalDate minus(long amountToSubtract, TemporalUnit unit)
```

## 参数:

**amountToSubtract -** 要减去的字段量。

**单位-** 字段的名称如:日、月等。

## 返回:

它在减去后返回一个新的 localdate。

## 举个例子

我们举个例子，用`minus()`法减去两天。这里，我们提到第一个参数为 2，第二个参数为天。见下面的例子。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoUnit; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2016, 10, 21);
		System.out.println(localDate);
		localDate = localDate.minus(2,ChronoUnit.DAYS);
		System.out.println("New date : "+localDate);
	}
}
```

2016-10-21
新日期:2016-10-19

## 再举一个例子

我们再举一个例子来理解`minus()`方法的用法。在这里，日期减去 2 个月后，我们得到了一个新的`LocalDate`。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoUnit; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2016, 10, 21);
		System.out.println(localDate);
		localDate = localDate.minus(2,ChronoUnit.MONTHS);
		System.out.println("New date : "+localDate);
	}
}
```

2016-10-21
新日期:2016-08-21

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *