# Java `LocalDate.minusDays()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-minusdays-method>

Java `minusDays()`方法是用来减去一个日期的指定天数。它减去天数并返回一个新的`LocalDate`。例如，2009-01-10 减去一天将得到 2009-01-09。

它需要一个表示天数的`Long`类型参数，并返回一个新的`LocalDate`。下面给出了该方法的语法。

## 句法

```java
public LocalDate minusDays(long daysToSubtract)
```

## 参数:

它接受一个`Long`类型的参数。

## 返回:

它在减去天数后返回一个 localdate。

## 举例时间:

让我们举一个从日期中减去天数的例子。这里，我们使用`minusDays()`方法从日期中减去 2 天，结果得到一个新的日期。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2016, 10, 21);
		System.out.println(localDate);
		localDate = localDate.minusDays(2);
		System.out.println("New date : "+localDate);
	}
}
```

2016-10-21
新日期:2016-10-19

## 另一个例子的时间:

我们再举一个例子，从日期中减去指定的天数。这里，我们从当前日期减去 2 天。我们用`now()`方法得到当前日期，`minusDays()`方法得到减去日期后的新日期。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
		localDate = localDate.minusDays(2);
		System.out.println("New date : "+localDate);
	}
}
```

2020-06-10
新日期:2020-06-08

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *