# Java `LocalDate.minusMonth()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-minusmonth-method>

Java `minusMonth()`方法用于减去某个日期的指定月数。它减去月份并返回一个新的`LocalDate`。例如，2009-10-10 减去一个月将产生 2009-09-10。

它需要一个表示月数的`Long`类型参数，并返回一个新的`LocalDate`。下面给出了该方法的语法。

## 句法

```java
public LocalDate minusMonths(long monthsToSubtract)
```

## 参数:

它接受一个`Long`类型的参数。

## 返回:

它在从日期中减去指定月份后返回本地日期。

## 举例时间:

让我们举个例子，从日期中减去月份。这里，我们使用返回新的本地日期的`minusMonths()`方法减去 2 个月。见下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2016, 10, 21);
		System.out.println(localDate);
		localDate = localDate.minusMonths(2);
		System.out.println("New date : "+localDate);
	}
}
```

2016-10-21
新日期:2016-08-21

## 另一个例子的时间:

我们再举一个例子来理解`minusMonths()`法。这里，我们从当前日期减去 2 个月。请看下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
		localDate = localDate.minusMonths(2);
		System.out.println("New date : "+localDate);
	}
}
```

2020-06-10
新日期:2020-04-10

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *