# Java `LocalDate.minusWeeks()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-minusweeks-method>

Java `minusWeeks()`方法用于从一个日期减去指定的周数。它减去周并返回一个新的`LocalDate`。例如，2009-10-10 减去一周将产生 2009-10-03。

它需要一个表示周数的`Long`类型参数，并返回一个新的`LocalDate`。下面给出了该方法的语法。

## 句法

```java
public LocalDate minusWeeks(long weeksToSubtract)
```

## 参数:

它采用代表周数的 long 类型参数。

## 返回:

它在从日期中减去指定的星期后返回一个本地日期。

## 举例时间:

让我们举个例子，从一个日期中减去几周。这里，我们使用返回新的本地日期的`minusWeeks()`方法减去 2 周。见下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2016, 10, 21);
		System.out.println(localDate);
		localDate = localDate.minusWeeks(2);
		System.out.println("New date : "+localDate);
	}
}
```

2016-10-21
新日期:2016-10-07

## 另一个例子的时间:

我们再举一个例子来理解`minusWeeks()`法。这里，我们从当前日期减去 2 周。请看下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
		localDate = localDate.minusWeeks(2);
		System.out.println("New date : "+localDate);
	}
}
```

2020-06-10
新日期:2020-05-27

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *