# Java `LocalDate.now()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-now-method>

Java `LocalDate now()`方法用于获取当前本地日期。它根据区域设置返回默认系统日期。

我们可以用它从默认时区的系统时钟中获取当前日期。属于 Java `LocalDate`类，返回当前日期。下面给出了该方法的语法。

## 句法

```java
public static LocalDate now()
```

## 参数:

它不接受任何参数。

## 返回:

它返回一个本地日期。

## 举例时间:

让我们举个例子来获取当前的本地日期。这里，我们使用`now()`方法，该方法根据区域设置返回当前日期。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
	}
}
```

2020-06-11

## 另一个例子的时间:

让我们举另一个例子来获得当前日期。在这里，我们也使用 format 方法来获取所需格式的当前日期。请看下面的例子。

```java
import java.time.LocalDate;
import java.time.format.DateTimeFormatter; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();	
		System.out.println(localDate);
		DateTimeFormatter formatter = DateTimeFormatter.ofPattern("dd/MM/YYYY");
        String date = formatter.format(localDate);
        System.out.println("New date : "+date);
	}
}
```

2020-06-11
新日期:2020 年 6 月 11 日

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *