# Java `LocalDate.now(Clock)`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-nowclock-method>

Java `LocalDate` `now(Clock)`方法用于根据指定的时钟获取当前日期。时钟是一个抽象类，它提供静态方法来创建各种场景的日期。

我们可以使用时钟的方法根据世界各地的区域生成本地日期。

它从指定的时钟返回本地日期。下面给出了该方法的语法。

## 句法

```java
public static LocalDate now(Clock clock)
```

## 参数:

它采用时钟类型的单个参数。

## 返回:

它返回一个本地日期

## 举例时间:

让我们举个例子，用最好的系统时钟创建一个当前日期。这里，我们使用`Clock`类的`systemUTC()`方法，使用世界协调时时区转换为日期和时间。

```java
import java.time.Clock;
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now(Clock.systemUTC());	
		System.out.println(localDate);
	}
}
```

2020-06-11

## 另一个例子的时间:

让我们举另一个例子来获得当前日期。这里，我们使用`systemDefaultZone()`方法返回当前系统默认的基于时钟的日期。

```java
import java.time.Clock;
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now(Clock.systemDefaultZone());	
		System.out.println(localDate);
	}
}
```

2020-06-11

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *