# Java `LocalDate now(ZoneId)`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-nowzoneid-method>

Java `LocalDate` `now(ZoneId)`方法用于从指定时区的系统时钟中获取当前日期。它返回指定时区的当前本地日期。

时区是遵守统一标准时间的城市或国家的一个区域。例如亚洲/加尔各答、亚洲/钦奈等。

该方法将一个参数作为`ZoneId`来指定时区，并返回一个本地日期。下面给出了该方法的语法。

## 句法

```java
public static LocalDate now(ZoneId zone)
```

## 参数:

它只需要一个 ZoneId 参数。

## 返回:

它返回一个本地日期。

## 举例时间:

在这里，我们得到了默认系统时区的当前日期。我们使用`ZoneId`的`systemDefault()`方法获取默认时区。

```java
import java.time.LocalDate;
import java.time.ZoneId;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now(ZoneId.systemDefault());
		System.out.println(localDate);		
	}
}
```

2020-06-12

## 另一个例子的时间:

如果我们想要一个不同于系统默认的时区日期，那么我们可以使用`of()`方法通过时区。它根据指定的时区返回日期。

```java
import java.time.LocalDate;
import java.time.ZoneId;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now(ZoneId.of("Asia/Tokyo"));
		System.out.println(localDate);		
	}
}
```

2020-06-12

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *