# Java `LocalDate.of()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-of-method>

Java `LocalDate` `of()`方法用于从年、月、日获取`LocalDate`的一个实例。它可以通过传递年、月和日作为参数来创建日期。它在从参数创建日期后返回本地日期。例如，我们有三个整数值:2012、10 和 20，然后我们可以通过使用这些值来获得日期，该方法将返回一个日期，如:2012-10-20。

它返回一个带有指定年、月、日的`LocalDate`。日期必须对年和月有效，否则将引发异常。下面给出了该方法的语法。

## 句法

```java
public static LocalDate of(int year, int month, int dayOfMonth)
```

## 参数:

**年份-** 表示有效年份的整数值。

**月-** 表示有效月份的整数值。

**dayOfMonth -** 是表示有效日期的整数值。

## 返回:

它在组合指定的年、月和日之后返回一个本地日期。

## 举例时间:

让我们举一个例子，通过传递年、月和日作为参数来创建日期。在这里，我们可以看到结果是我们得到了一个有效的年份。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2012,10,12);
		System.out.println(localDate);		
	}
}
```

2012-10-12

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *