# Java `LocalDate.of()`方法和月份枚举

> 原文：<https://www.studytonight.com/java-examples/java-localdate-of-method-with-month-enum>

Java `LocalDate of()`方法用于从年、月、日获取`LocalDate`的一个实例。它可以用来创建以年、月、日为参数的日期。它在从参数创建日期后返回本地日期。

对于月份的值，它使用提供一年中所有月份的`Month` **枚举**。

它返回一个带有指定年、月、日的`LocalDate`。日期必须对年和月有效，否则将引发异常。下面给出了该方法的语法。

## 句法

```java
public static LocalDate of(int year, Month month, int dayOfMonth)
```

## 参数:

**年份-** 表示有效年份的整数值。

**月-** 这是一个表示有效月份的`Month`枚举值。

**dayOfMonth -** 是表示有效日期的整数值。

## 返回:

它在组合指定的年、月和日之后返回一个本地日期。

## 举例时间:

让我们举一个例子，用经过的年份、月份枚举和日期作为参数来创建日期。在这里，我们可以看到结果是我们得到了一个有效的年份。

```java
import java.time.LocalDate;
import java.time.Month;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2020,Month.APRIL,10);
		System.out.println(localDate);		
	}
}
```

2020-04-10

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *