# Java `LocalDate.ofEpochDay()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-ofepochday-method>

Java `LocalDate` `ofEpochDay()`方法用于从历元日计数中获取一个 LocalDate。纪元日是从 1970-01-01 简单递增的天数。

我们可以用它从指定的历元日计数中得到`LocalDate`的一个实例。例如，如果我们经过 31 个纪元日，那么我们得到 1970-02-01，它表示一个月之后的一个日期。

## 句法

```java
public static LocalDate ofEpochDay(long epochDay)
```

## 参数:

它接受一个`Long`类型的参数。

## 返回:

它返回一个本地日期。

## 举例时间:

我们举个例子，用`ofEpochDay()`方法提前 10 天得到日期。在这里，我们向该方法传递了 10 天，并获得了一个新的本地日期。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.ofEpochDay(10);
		System.out.println(localDate);		
	}
}
```

1970-01-11

## 另一个例子的时间:

我们再举一个例子来理解`ofEpochDay()`法。在这里，我们通过增加 365 个纪元日获得了一个提前 1 年的日期。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.ofEpochDay(365);
		System.out.println(localDate);		
	}
}
```

1971-01-01

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *