# Java `LocalDate.ofYearDay()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-ofyearday-method>

Java `LocalDate` `ofYearDay()`方法用于从指定的年份和天数中获取一个 LocalDate。例如，如果我们想知道 2015 年第 55 天的日期，那么结果将是 2015-02-24。

它是一个带有指定年份和日期的`LocalDate`。年中的某一天必须对该年有效，否则将引发异常。

## 句法

```java
public static LocalDate ofYearDay(int year, int dayOfYear) 
```

## 参数:

它需要两个参数，第一个是年，第二个是年月日。

## 返回:

它返回一个本地日期。

## 举例时间:

我们举个例子，用`ofYearDay()`方法得到 2015 年第 10 天的日期。在这里，我们将 2015 年作为年份，将 10 作为天数传递给方法，并获得新的本地日期。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.ofYearDay(2015, 10);
		System.out.println(localDate);		
	}
}
```

1970-01-11

## 另一个例子的时间:

我们再举一个例子来理解`ofYearDay()`法。这里，我们通过将 2015 年作为年，将 100 年作为日，得到 2015 年的第 100 天。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.ofYearDay(2015, 100);
		System.out.println(localDate);		
	}
}
```

2015-04-10

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *