# Java `LocalDate.parse()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-parse-method>

Java `LocalDate` `parse()`方法用于从文本日期中获取一个 LocalDate。它从文本字符串(如 2007-12-03)中返回`LocalDate`的实例。

它可用于将`String`类型的日期转换为 localdate 实例。该字符串必须以国际标准化组织`LocalDate`的格式表示有效日期。例如，2015-02-10 是有效的，而 20-10-2015 是无效的日期字符串。

## 句法

```java
public static LocalDate parse(CharSequence text)
```

## 参数:

它接受`String`类型的单个参数。

## 返回:

它在解析字符串日期后返回一个本地日期。

## 举例时间:

让我们举一个例子，从字符串日期中获取本地日期。在这里，我们使用`parse()`方法解析一个文本序列来获得`LocalDate`实例。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.parse("2015-12-10");
		System.out.println(localDate);		
	}
}
```

2015-12-10

## 另一个例子的时间:

让我们再举一个例子来理解一下`parse()`方法，它可以用来将字符串转换为 localdate。请注意，在本例中，字符串 date 被解析并转换为 localdate 对象。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.parse("2011-02-28");
		System.out.println(localDate);		
	}
}
```

2011-02-28

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *