# Java `LocalDate.parse()`和格式化器

> 原文：<https://www.studytonight.com/java-examples/java-localdate-parse-with-formatter>

Java `LocalDate parse()`方法用于从指定格式的文本日期中获取一个 localdate。它从文本字符串(如 2007-12-03)中返回`LocalDate`的实例。

该方法类似于[解析(CharSequence text)](https://www.studytonight.com/java-examples/java-localdate-parse-method) 方法，该方法解析不带日期格式的字符串日期。这两种方法的区别在于`parse(CharSequence text, DateTimeFormatter)`需要一个额外的参数。

它可用于将`String`类型的日期转换为 localdate 实例。该字符串必须以国际标准化组织`LocalDate`的格式表示有效日期。例如，2015-02-10 是有效的日期字符串。

## 句法

```java
public static LocalDate parse(CharSequence text, DateTimeFormatter formatter)
```

## 参数:

它接受参数首先是`String`类型的日期，其次是格式化器。

## 返回:

它在解析指定格式的字符串日期后返回本地日期。

## 举例时间:

让我们举一个例子，从字符串日期和日期格式中获取本地日期。这里，我们使用`parse()`方法解析一个指定格式的文本序列，得到`LocalDate`一个实例。

```java
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.parse("2011-02-28", DateTimeFormatter.ISO_LOCAL_DATE);
		System.out.println(localDate);		
	}
}
```

2011-02-28

## 另一个例子的时间:

让我们再举一个例子来理解一下`parse()`方法，它可以用来将字符串转换为 localdate。请注意，在本例中，字符串 date 被解析并转换为 localdate 对象。

```java
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
public class DateDemo {

	public static void main(String[] args){  
		DateTimeFormatter df = DateTimeFormatter.ofPattern("yyyy-MM-dd");
		LocalDate localDate = LocalDate.parse("2011-02-28", df);
		System.out.println(localDate);		
	}
}
```

2011-02-28

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *