# Java `LocalDate.plus(long, Temporal)`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-pluslong-temporal-method>

`plus()`方法用于将单位金额添加到日期中。单位可以是日、月、周等。

此方法返回添加了指定金额的该日期的副本。

我们可以使用`ChronoUnit`枚举给日期添加单位，因为它实现了`TemporalUnit`接口。`ChronoUnit`提供以下字段:

*   天

*   周末

*   月份

*   年

*   数十年

*   世纪

*   一千年

*   年代

## 句法

```java
public LocalDate plus(long amountToAdd, TemporalUnit unit)
```

## 参数:

**金额添加** -要添加到日期的单位金额。

**单位** -要添加的金额单位，如:天、月等。

## 返回:

在日期中添加单位后，它会返回一个新的 localdate。

## 举例时间:

让我们举个例子来给一个日期添加天数。这里我们用`plus()`方法给 localdate 加 10 天。结果，它会在 10 天后返回下个月的日期。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoUnit;
public class DateDemo {

	public static void main(String[] args){  
		LocalDate localDate = LocalDate.of(2011,02,28);
		System.out.println(localDate);
		localDate = localDate.plus(10, ChronoUnit.DAYS);
		System.out.println(localDate);		
	}
}
```

2011-02-28
2011-03-10

## 另一个例子的时间:

我们再举一个例子来理解`plus()`法。在这里，我们使用 WEEKS 单位来添加 2 周的日期，并获得 2 周后的日期。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoUnit;
public class DateDemo {

	public static void main(String[] args){  
		LocalDate localDate = LocalDate.of(2011,02,28);
		System.out.println(localDate);
		localDate = localDate.plus(2, ChronoUnit.WEEKS);
		System.out.println(localDate);		
	}
}
```

2011-02-28
2011-03-14

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *