# Java `LocalDate.plus(Temporal)`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-plustemporal-method>

`plus()`方法用于将单位金额添加到日期中。单位可以是日、月、周等。

它采用`TemporalAmount`类型的参数，并返回添加了指定金额的该日期的副本。

该数量通常为`Period`，但也可以是实现`TemporalAmount`接口的任何其他类型。

我们可以使用`Period`类给日期添加(日、月、年)，因为它实现了`TemporalAmount`接口。`Period`类提供以下方法:

*   of(整数年，整数月，整数天)

*   天数(整数天)

*   月数(整数个月)

*   工作周(整数周)

*   年数(年)

## 句法

```java
public LocalDate plus(TemporalAmount amountToAdd)
```

## 参数:

**金额添加** -要添加到日期的单位金额。

## 返回:

它返回一个新的 localdate。

## 举例时间:

让我们举个例子来给一个日期添加天数。这里我们用`plus()`方法给 localdate 加 10 天。结果，它会在 10 天后返回下个月的日期。

```java
import java.time.LocalDate;
import java.time.Period;
public class DateDemo {

	public static void main(String[] args){  
		LocalDate localDate = LocalDate.of(2011,02,28);
		System.out.println(localDate);
		localDate = localDate.plus(Period.ofDays(10));
		System.out.println(localDate);		
	}
}
```

2011-02-28
2011-03-10

## 另一个例子的时间:

我们再举一个例子来理解`plus()`法。在这里，我们使用 Period 类的`ofMonths()`方法添加 2 个月的日期，得到 2 个月后的日期。

```java
import java.time.LocalDate;
import java.time.Period;
public class DateDemo {

	public static void main(String[] args){  
		LocalDate localDate = LocalDate.of(2011,02,28);
		System.out.println(localDate);
		localDate = localDate.plus(Period.ofMonths(2));
		System.out.println(localDate);		
	}
}
```

2011-02-28
2011-04-28

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *