# Java `LocalDate.plusDays()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-plusdays-method>

Java plusDays()方法用于将指定的天数加到一个日期上。它增加天数并返回一个新的`LocalDate`。例如，2009-01-10 加上一天将导致 2009-01-11。

它需要一个表示天数的`Long`类型参数，并返回一个新的`LocalDate`。下面给出了该方法的语法。

## 句法

```java
public LocalDate plusDays(long daysToAdd)
```

## 参数:

它接受一个`Long`类型的参数。

## 返回:

它在添加天数后返回一个 localdate。

## 举例时间:

让我们举个例子来给一个日期添加天数。在这里，我们使用`plusDays()`方法添加 2 天到日期，结果我们得到一个新的日期。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2018, 10, 10);
		System.out.println(localDate);
		localDate = localDate.plusDays(2);
		System.out.println("New date : "+localDate);
	}
}
```

2018-10-10
新日期:2018-10-12

## 另一个例子的时间:

让我们再举一个例子，将指定的日期添加到日期中。在这里，我们将当前日期增加 2 天。我们使用`now()`方法获取当前日期，`plusDays()`方法在添加天数后获取新日期。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
		localDate = localDate.plusDays(2);
		System.out.println("New date : "+localDate);
	}
}
```

2020-06-17
新日期:2020-06-19

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *