# Java `LocalDate.plusMonths()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-plusmonths-method>

Java `plusMonths()`方法用于给一个日期加上指定的月数。它添加月份并返回一个新的`LocalDate`。例如，2009-10-10 加上一个月将导致 2009-11-10。

它需要一个表示月数的`Long`类型参数，并返回一个新的`LocalDate`。下面给出了该方法的语法。

## 句法

```java
public LocalDate plusMonths(long monthsToAdd)
```

## 参数:

它接受一个`Long`类型的参数。

## 返回:

它在将指定月份添加到日期后返回本地日期。

## 举例时间:

让我们举个例子来给一个日期添加月份。这里，我们通过使用返回新的本地日期的`plusMonths()`方法来添加 2 个月。见下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2016, 10, 21);
		System.out.println(localDate);
		localDate = localDate.plusMonths(2);
		System.out.println("New date : "+localDate);
	}
}
```

2016-10-21
新日期:2016-12-21

## 另一个例子的时间:

我们再举一个例子来理解加号`Months()`法。在这里，我们将当前日期增加 2 个月。请看下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
		localDate = localDate.plusMonths(2);
		System.out.println("New date : "+localDate);
	}
}
```

2020-06-17
新日期:2020-08-17

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *