# Java `LocalDate.plusWeeks()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-plusweeks-method>

Java plusWeeks()方法用于将一个日期加上指定的周数。它增加了周数并返回一个新的`LocalDate`。例如，2009-10-10 加上一周将产生 2009-10-17。

它需要一个表示周数的`Long`类型参数，并返回一个新的`LocalDate`。下面给出了该方法的语法。

## 句法

```java
public LocalDate plusWeeks(long weeksToAdd)
```

## 参数:

它采用一个 long 类型的参数，表示周数。

## 返回:

它在将指定的周添加到日期后返回本地日期。

## 举例时间:

让我们举个例子来给一个日期增加几周。这里，我们通过使用返回新的本地日期的`plusWeeks()`方法来添加 2 周。见下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2016, 10, 21);
		System.out.println(localDate);
		localDate = localDate.plusWeeks(2);
		System.out.println("New date : "+localDate);
	}
}
```

2016-10-21
新日期:2016-11-04

## 另一个例子的时间:

我们再举一个例子来理解`plusWeeks()`法。在这里，我们在当前日期的基础上增加了 5 周。请看下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
		localDate = localDate.plusWeeks(5);
		System.out.println("New date : "+localDate);
	}
}
```

2020-06-17
新日期:2020-07-22

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *