# Java `LocalDate.plusYears()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-plusyears-method>

此方法用于将指定的年份加到本地日期。它会返回一个添加了指定年数的`LocalDate`副本。

此方法分三步添加指定的年份字段:

1.  将输入年份添加到年份字段

2.  检查结果日期是否无效

3.  如有必要，将每月的某一天调整为最后一个有效日期

例如，2008-02-29(闰年)加上一年将导致无效日期 2009-02-29(标准年)。取而代之的是选择该月的最后一个有效日期 2007-02-28，而不是返回无效结果。

## 句法

```java
public LocalDate plusYears(long yearsToAdd)
```

## 参数:

需要一个`Long`类型的参数来指定年数。

## 返回:

它会在添加年份后返回一个本地日期。

## 举例时间:

在这个例子中，我们在本地日期上增加了一年。`plusYear()`方法在添加指定的年份后返回一个新的日期。请看下面的例子。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2019, 8, 10);
		System.out.println(localDate);
		localDate = localDate.plusYears(2);
		System.out.println("New date : "+localDate);
	}
}
```

2019-08-10
新日期:2021-08-10

## 另一个例子的时间:

如果在加上年份后，日期无效，那么结果将是该日期的最后一个有效日期。看，我们在闰年中添加了一年，这导致了一个无效的日期，所以编译器返回了该日期的最后一个有效日期。

```java
import java.time.LocalDate; 
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2012, 02, 29);
		System.out.println(localDate);
		localDate = localDate.plusYears(1);
		System.out.println("New date : "+localDate);
	}
}
```

2012-02-29
新日期:2013-02-28

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *