# Java `LocalDate.toEpochDay()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-toepochday-method>

Java toEpochDay()方法用于将此日期转换为大纪元日。历元日计数是简单的递增计数，其中第 0 天是 1970-01-01(国际标准化组织)。例如，我们有一个日期 1970-01-11，那么这个方法将返回 10 个纪元日。

它不接受任何参数，但返回一个表示总纪元天数的`Long`类型值。下面给出了该方法的语法。

## 句法

```java
public long toEpochDay()
```

## 参数:

它不接受任何参数。

## 返回:

它返回相当于该日期的纪元日。

## 举例时间:

我们举个例子，用`toEpochDay()`方法得到历元日。这里，我们使用的日期是 1970-01-10，总共包含 9 个纪元日。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(1970, 01, 10);
		System.out.println(localDate);
		long l = localDate.toEpochDay();
		System.out.println("Epoch Days : "+l);
	}
}
```

1970-01-10
纪元天数:9

## 另一个例子的时间:

我们再举一个例子来理解`toEpochDay()`法。在这里，我们有一个长期日期 2020-01-10，它总共返回 18271 个纪元日。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2020, 01, 10);
		System.out.println(localDate);
		long l = localDate.toEpochDay();
		System.out.println("Epoch Days : "+l);
	}
}
```

2020-01-10
纪元天数:18271

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *