# Java `LocalDate.toString()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-tostring-method>

该方法用于获取该日期的`String`表示。它将该日期返回为`String`，如 2017-12-03。

如果我们想把`LocalDate`对象转换成 String 对象，这是很有帮助的。输出将采用国际标准化组织 8601 格式`uuuu-MM-dd`。

它不接受任何参数，但返回一个`String`。下面给出了该方法的语法。

## 句法

```java
public String toString()
```

## 参数:

它不接受任何参数。

## 返回:

此日期的字符串表示形式。

## 举例时间:

让我们举个例子来获取 localdate 的字符串表示形式。这里，我们有一个 localdate 类的对象，并使用`toString()`方法获取字符串。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2020, 01, 10);
		System.out.println(localDate);
		String date = localDate.toString();
		System.out.println("String date : "+date);
	}
}
```

1970-01-10
纪元天数:9

## 另一个例子的时间:

我们再举一个例子来理解 `toString()`法。这里，我们使用`toString()`方法获取 localdate 对象的字符串表示。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.now();
		System.out.println(localDate);
		String date = localDate.toString();
		System.out.println("String date : "+date);
	}
}
```

2020-06-19
串日期:2020-06-19

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *