# Java `LocalDate.until(ChronoLocalDate)`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-untilchronolocaldate-method>

Java 直到()方法用于获取此日期和另一个日期之间的期间作为期间。它根据年、月和日计算两个日期之间的时间段。如果结束日期早于开始日期，结果将为负。负号在每年、每月和每天都是一样的。

它采用`ChronoLocalDate`类型的参数，该参数可以是实现它的任何类对象。给出了该方法的语法。

## 句法

```java
public Period until(ChronoLocalDate endDateExclusive)
```

## 参数:

**endDateExclusive -** 表示结束日期的日期。

## 返回:

它返回此日期和结束日期之间的期间。

## 举例时间:

让我们举个例子来得到两个日期之间的周期。这里，我们使用直到()方法来获取 2002-01-10 和 2005-10-12 日期之间的期间。

```java
import java.time.LocalDate;
import java.time.Period;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		Period period = localDate.until(LocalDate.of(2005,10,12));
		System.out.println("Total Periods : "+period);
	}
}
```

2002-01-10
总周期:P3Y9M2D

## 另一个例子的时间:

我们再举一个例子来理解`until()`法。在这里，我们得到两个日期的周期，并使用`getYears()`、`getMonths()`和`getDays()`得到周期的个体值。

```java
import java.time.LocalDate;
import java.time.Period;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		Period period = localDate.until(LocalDate.of(2005,10,12));
		System.out.println("Total Periods : "+period);
		System.out.println("Total Years : "+period.getYears());
		System.out.println("Total Months : "+period.getMonths());
		System.out.println("Total Days : "+period.getDays());
	}
}
```

2020-06-19
串日期:2020-06-19

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *