# Java `LocalDate.with()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-with-method>

Java with()方法用于通过设置指定字段的新值来获取新日期。它返回此日期的副本，并将指定字段设置为新值。

例如，我们有一个日期 2012-10-12，然后通过将 DAY_OF_MONTH 值指定为 15，我们得到一个新的日期 2012-10-15。

时态类型可以用时间域来指定。计时场支持的字段如下:

*   星期几

*   对齐 _ 周 _ 月 _ 日

*   年 _ 月 _ 日 _ 周 _ 对齐

*   月日

*   一年中的第 _ 天

*   纪元日

*   每月的第 _ 周

*   对齐 _ 周 _ 年

*   年月日

*   prolective _ MONTH

*   纪元年

*   年

*   时代

它需要两个参数，第一个是时态类型，第二个是`Long`类型。给出了该方法的语法。

## 句法

```java
public LocalDate with(TemporalField field, long newValue)
```

## 参数:

**字段-** 要在结果中设置的字段。

**新值-** 日期中字段的新值。

## 返回:

它基于此返回带有指定字段的本地日期。

## 举例时间:

让我们举一个例子，通过设置字段的新值来创建新日期。这里，我们使用`with()`方法设置日期的新日期。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoField;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		localDate = localDate.with(ChronoField.DAY_OF_MONTH, 15);
		System.out.println("New Date : "+localDate);
	}
}
```

2002-01-10
新日期:2002-01-15

## 另一个例子的时间:

我们再举一个例子来理解`with()`法。这里，我们通过指定年中的某一天值来设置新的日期值。

```java
import java.time.LocalDate;
import java.time.temporal.ChronoField;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		localDate = localDate.with(ChronoField.DAY_OF_YEAR, 35);
		System.out.println("New Date : "+localDate);
	}
}
```

2002-01-10
新日期:2002-02-04

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *