# Java `LocalDate.withDayOfMonth()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-withdayofmonth-method>

方法用于获取带有新的月日的日期。它返回这个`LocalDate`的一个副本，更改了月日。例如，我们有一个日期 2015-12-14，那么将月日设置为 10 将导致 2015-12-10。

如果结果日期无效，则会引发异常。

它需要一个 int 类型的参数。给出了该方法的语法。

## 句法

```java
public LocalDate withDayOfMonth(int dayOfMonth)
```

## 参数:

**日期月-** 要在结果日期中设置的月份中的某一天。

## 返回:

根据请求日期返回一个本地日期。

## 举例时间:

让我们举个例子，通过设置一个月中某一天的新值来创建一个新日期。在这里，我们使用`withDayOfMonth()`方法为日期设置新的一天。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		localDate = localDate.withDayOfMonth(30);
		System.out.println("New Date : "+localDate);
	}
}
```

2002-01-10
新日期:2002-01-30

## 实时示例:

尝试一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *