# Java `LocalDate.withDayOfYear()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-withdayofyear-method>

方法用于获取一年中新的一天的日期。它会返回一份更改了日期的本`LocalDate`。例如，我们有一个日期 2015-01-14，那么将一年中的某一天设置为 20 将导致 2015-01-20。

如果结果日期无效，则会引发异常。

它需要一个 int 类型的参数。给出了该方法的语法。

## 句法

```java
public LocalDate withDayOfYear(int dayOfYear)
```

## 参数:

**dayOfYear -** 在结果日期中设置的一年中的某一天。

## 返回:

根据请求日期返回一个本地日期。

## 举例时间:

让我们举个例子，通过设置一年中某一天的新值来创建一个新日期。在这里，我们使用`withDayOfYear()`方法为日期设置新的一天。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		localDate = localDate.withDayOfYear(30);
		System.out.println("New Date : "+localDate);
	}
}
```

2002-01-10
新日期:2002-01-30

## 另一个例子的时间:

我们再举一个例子来理解`withDayOfYear()`法。在这里，我们将一年中的某一天设置为 300，并获得一个新的日期。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		localDate = localDate.withDayOfYear(300);
		System.out.println("New Date : "+localDate);
	}
}
```

2002-01-10
新日期:2002-10-27

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *