# Java `LocalDate.withMonth()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-withmonth-method>

方法用于获取一年中新月份的日期。它会返回一份这个`LocalDate`的副本，并更改月份。例如，我们有一个日期 2015-01-14，那么将一年中的月份设置为 10 将导致 2015-10-14。

如果年月日对该年无效，它将被更改为该月的最后一个有效日期。

它需要一个 int 类型的参数。给出了该方法的语法。

## 句法

```java
public LocalDate withMonth(int month)
```

## 参数:

**月-** 要在结果中设置的年月。

## 返回:

根据请求月份的日期返回本地日期。

## 举例时间:

让我们举个例子，通过设置一年中某个月的新值来创建一个新日期。这里，我们使用`withMonth()`方法为日期设置一个新的月份。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		localDate = localDate.withMonth(10);
		System.out.println("New Date : "+localDate);
	}
}
```

2002-01-10
新日期:2002-10-10

## 另一个例子的时间:

我们再举一个例子来理解`withMonth()`法。在这里，我们将一年中的某个月设置为 12，并获得一个新的日期。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		localDate = localDate.withMonth(12);
		System.out.println("New Date : "+localDate);
	}
}
```

2002-01-10
新日期:2002-12-10

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *