# Java `LocalDate.withYear()`方法

> 原文：<https://www.studytonight.com/java-examples/java-localdate-withyear-method>

Java withYear()方法用于获取具有指定新年的日期。它返回一份带有年份变更的本`LocalDate`。例如，我们有一个日期 2015-01-14，然后将年份设置为 2010 将导致 2010-01-14。

如果年月日对该年无效，它将被更改为该月的最后一个有效日期。

它需要一个 int 类型的参数。给出了该方法的语法。

## 句法

```java
public LocalDate withYear(int year)
```

## 参数:

**年份-** 要在结果中设置的年份。

## 返回:

根据请求年份的日期返回本地日期。

## 举例时间:

让我们举个例子，通过设置一年的新值来创建一个新的日期。在这里，我们使用`withYear()`方法为日期设置新的一年。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		localDate = localDate.withYear(2011);
		System.out.println("New Date : "+localDate);
	}
}
```

2002-01-10
新日期:2011-01-10

## 另一个例子的时间:

我们再举一个例子来理解`withYear()`法。在这里，我们将年份设置为 20，并获得一个新的日期。

```java
import java.time.LocalDate;
public class DateDemo {

	public static void main(String[] args){  

		LocalDate localDate = LocalDate.of(2002, 01, 10);
		System.out.println(localDate);
		localDate = localDate.withYear(20);
		System.out.println("New Date : "+localDate);
	}
}
```

2002-01-10
新日期:0020-01-10

## 实时示例:

试着用一个真实的例子，用我们强大的在线 Java 编译器立即执行代码。

* * *

* * *