# 如何在 Java 中把`long`转换成字符串

> 原文：<https://www.studytonight.com/java-examples/how-to-convert-long-to-string-in-java>

在这篇文章中，我们将在 Java 中将 long 转换为[字符串](https://www.studytonight.com/java/string-handling-in-java.php)。long 是 Java 数据类型之一，用于存储大范围的数值，而 String 是字符序列。

要将`Long`类型转换为字符串，可以使用 string 类的`valueOf()`方法或 [Long](https://www.studytonight.com/java/wrapper-class.php) 类的`toString()`方法。Long 是 Java 中用于处理`Long`类型对象的包装类。

String 类的 valueOf()方法用于从 long 获取字符串。它接受一个参数并返回一个指定类型的字符串。

Long 类的 toString()方法返回一个`Long`类型值的字符串。

我们还使用了加号(+)运算符将 long 转换为 string，因为该运算符用于连接两个对象并返回一个字符串。

## 举例时间:

让我们举个例子把 long 转换成 string。这里，我们使用的是返回字符串的 String 类的`valueOf()`方法。

```java
public class Main {
	public static void main(String[] args){
		long val = 210;
		System.out.println(val);
		// long to String
		String str = String.valueOf(val);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

210
210
Java 岛

## 示例:

让我们再举一个例子，从`Long`类型中获取一个字符串。这里，我们使用 long 类的`toString()`方法，通过转换 Long 返回一个字符串。

```java
public class Main {
	public static void main(String[] args){
		long val = 210;
		System.out.println(val);
		// long to String
		String str = Long.toString(val);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

210
210
Java 岛

## 示例:

在本例中，我们使用加号(+)运算符将长值与字符串值连接起来。加号运算符在连接后返回一个字符串值。

```java
public class Main {
	public static void main(String[] args){
		long val = 210;
		System.out.println(val);
		// long to String
		String str = ""+val;
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

210
210
Java 岛

* * *

* * *