# 如何在 Java 中调用一个方法

> 原文：<https://www.studytonight.com/java-examples/how-to-call-a-method-in-java>

在本教程中，我们将学习如何在 [Java](https://www.studytonight.com/java/) 中调用[方法](https://www.studytonight.com/java/methods-in-java.php)。java 中的方法是一组特定的任务，它们在多次定义一次调用时起作用。这些方法可以是:

*   内置方法
*   用户定义的方法

![enlightened](img/bcefbc0bebd753ed2a05f55c0b74d9f0.png "enlightened") 要调用[静态方法](https://studytonight.com/java/static-in-java.php)我们不需要创建一个对象它可以通过使用方法名直接调用。

## 如何在 Java 中调用内置方法

在这个例子中，`Math.sqrt()`是一个内置的方法，它将一个数字作为参数并返回它的平方根。这里我们传递这个数字，它会返回这个数字的平方根。我们将这个调用分配给一个变量`ans` ，因为当这个方法返回一个数字时，应该有一个变量来接受这个值。

```java
public class StudyTonight 
{
	public static void main(String[] args)
	{
		double num=16;
		double ans = Math.sqrt(num);
		System.out.println("Square Root of "+num+" = "+ans);
	}
}
```

16.0 的平方根= 4.0

## 如何在 Java 中调用用户定义的方法

在给定的代码中，我们调用了两个方法`Show()`，这是一个静态方法，因此不需要创建对象。另一方面，`Hello()`是用户定义的非静态方法，要调用这样的方法必须创建对象。

```java
public class StudyTonight 
{
	public void Hello()
	{
		System.out.println("Hello");
	}

	public static void Show()
	{
		System.out.println("Show is Called");
	}
	public static void main(String[] args)
	{
		//calling static method
		Show();
		//calling method of other class
		StudyTonight obj = new StudyTonight();
		obj.Hello();
	}
}
```

节目叫
你好

### 结论:

Java 方法可以是用户定义的，也可以是内置的两种方法都是一样的，唯一不同的是程序员明确定义了自定义逻辑的用户定义方法。我们以同样的方式调用这两种方法。在调用这些方法时，我们需要注意参数和返回值。

* * *

* * *