# 如何在 Java 中获取文件扩展名

> 原文：<https://www.studytonight.com/java-examples/how-to-get-file-extension-in-java>

在这篇文章中，我们将学习如何使用 Java 代码获取文件的扩展名。文件的扩展名是一个标志，表示文件的类型，如 pdf、txt、doc 等。“计算机”字段中有几个文件扩展名，用于区分文件和其他文件。

扩展名是文件名的一部分，放在文件名的末尾，如 test.txt、officefile.doc 等。

这里，我们有一些例子展示了如何在 Java 程序中获取任何文件的扩展名。在读取文件并将文件上传到服务器时，知道文件扩展名非常有帮助，这样我们只能获得所需类型的文件。

## 举例时间:

让我们创建一个获取文件扩展名的示例。这里，我们有一个文本文件 **file.txt** ，我们正在获取它的扩展名。我们使用了`String`类的`lastIndexOf()`和`substring()`方法来识别扩展。

```java
import java.io.IOException;
public class Main {
	public static void main(String[] args) throws IOException{  
		String extension = "null";
		String fileName = "file.txt";
		int i = fileName.lastIndexOf('.');
		if (i > 0) {
		    extension = fileName.substring(i+1);
		}
		System.out.println(extension);
	}
}
```

txt

## 另一个例子的时间:

如果文件被加密或压缩，那么它可能有不止一个扩展名。在这种情况下，我们可以使用下面的 Java 代码，其中文件是压缩的，扩展名为. tar.gz。

```java
import java.io.IOException;
public class Main {
	public static void main(String[] args) throws IOException{  
		String extension = null;
		String fileName = "file.tar.gz";

		int i = fileName.lastIndexOf('.');
		if (i > 0) {
		    extension = fileName.substring(i+1);
		}
		System.out.println(extension);
	}
}
```

gz

* * *

* * *