# 在 Java 中检查是否存在文件

> 原文：<https://www.studytonight.com/java-examples/check-if-a-file-exists-in-java>

在这篇文章中，我们将检查文件是否存在于指定的位置或路径。我们正在使用 [Java](https://www.studytonight.com/java/overview-of-java.php) 代码来检查指定文件的存在。

File 类的`exists()`方法用于测试路径所表示的文件或目录是否存在。它也可以用来检查文件和目录的存在。

如果文件或目录存在，此方法返回 true。我们可以使用`isFile()`方法来检查现有的文件是文件只是不是目录。

这里，我们有一些使用 exists()和 isFile()方法的例子。

## 举例时间:

让我们举个例子来检查文件是否存在。这里，我们使用的是`exists()`方法，如果文件存在则返回 true，否则返回 false。请看下面的例子。

```java
import java.io.File;
import java.io.IOException;
public class Main {
	public static void main(String[] args) throws IOException{
		try {
		File file = new File("path/to/file/abc.txt");
        boolean isexist = file.exists();
        if(isexist) {
        	System.out.println("File is present");
        }else {
        	System.out.println("File does not present");
        }
		}catch(Exception e) {
			System.out.println(e);
		}
	}
}
```

文件存在

## 另一个例子的时间:

让我们举另一个例子来检查文件是否存在。

这里我们是用`isFile()`方法配合`exists()`方法来保证现有的文件是文件，而不是目录。如果现有文件是文件，`isFile()`方法返回真，否则返回假。

```java
import java.io.File;
import java.io.IOException;
public class Main {
	public static void main(String[] args) throws IOException{
		try {
		File file = new File("path/to/file/abc.txt");
        boolean isExist = file.exists();  // Check for valid path
        boolean isFile  = file.isFile();  // Check for file
        if(isExist && isFile) {
        	System.out.println("File is present");
        }else {
        	System.out.println("File does not present");
        }
		}catch(Exception e) {
			System.out.println(e);
		}
	}
}
```

文件存在

* * *

* * *