# 检查文件是否是目录

> 原文：<https://www.studytonight.com/java-examples/check-if-the-file-is-a-directory>

在这篇文章中，我们将检查目录是否存在于指定的位置或路径。`java.io.File`和`java.nio.Files`类都提供了检查目录的方法。

`isDirectory()`方法属于`File`类，如果目录存在，则返回 true。而`Files`类提供了一个静态方法`isDirectory()`，该方法将目录路径作为参数。

这里，我们已经创建了使用类`File`和`Files`检查目录的例子。

## 举例时间:

让我们举个例子，检查目录是否存在。这里，我们使用的是返回真或假的`File`类的 isDirectory()方法。

```java
import java.io.File;
import java.io.IOException;
public class Main {
	public static void main(String[] args) throws IOException{
		try {
		File file = new File("path/to/directory/");
        boolean isDirectory  = file.isDirectory();  // Check for directory
        if(isDirectory) {
        	System.out.println("It is a directory");
        }else {
        	System.out.println("It is not directory");
        }
		}catch(Exception e) {
			System.out.println(e);
		}
	}
}
```

是一个目录

## 另一个例子的时间:

让我们创建另一个示例来检查目录。这里，我们使用的是`Files`类的`isDirectory()`方法，该方法需要目录的路径，如果路径属于某个目录，则返回 true，否则返回 false。

```java
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
public class Main {
	public static void main(String[] args) throws IOException{
		try {
			Path path = Paths.get("path/to/directory/");
			boolean isDirectory  = Files.isDirectory(path);  // Check for directory
			if(isDirectory) {
				System.out.println("It is a directory");
			}else {
				System.out.println("It is not directory");
			}
		}catch(Exception e) {
			System.out.println(e);
		}
	}
}
```

是一个目录

* * *

* * *