# Java 字符串到数组的转换

> 原文：<https://www.studytonight.com/java-examples/java-string-to-array-conversion>

在这篇文章中，我们将使用 Java 代码将字符串转换为数组。字符串是一个字符序列和 Java 中的一个类，而数组是一个基于索引的数据结构，用于存储类似类型的元素。

这里，我们使用的是 String 类的`split()`方法，该方法用于根据指定的分隔符拆分字符串并返回一个数组。

这是一个常见的日常编程任务，其中我们有一些文本字符串，并希望将其作为数组处理，因此我们需要显式地将其转换为数组。

转换非常简单，不需要很多行代码。我们只需要使用 split()方法，参见下面的示例。

## 举例时间:

让我们举个例子来理解字符串到字符串数组的转换。这里，我们根据空间分隔符拆分数组，得到一个数组。

```java
public class Main {
	public static void main(String[] args){
		String msg = "StudyTonight.com is a technical portal";
		System.out.println(msg);
		// string to string array
		String[] arg = msg.split(" ");
		for (int i = 0; i < arg.length; i++) {
			System.out.println(arg[i]);
		}
	}
}
```

StudyTonight.com 是一个技术门户
StudyTonight.com
是
一个
技术门户

## 另一个例子的时间:

假设，我们有一个`URL`字符串，并希望将其作为一个数组，那么我们可以通过指定分隔符来拆分网址，如下例所示:“/”。它以字符串数组的形式返回网址字符串。

```java
public class Main {
	public static void main(String[] args){
		String msg = "StudyTonight.com/tutorial/java/string";
		System.out.println(msg);
		// string to string array
		String[] arg = msg.split("/");
		for (int i = 0; i < arg.length; i++) {
			System.out.println(arg[i]);
		}
	}
}
```

StudyTonight.com/tutorial/java/string
StudyTonight.com
教程
Java
弦

* * *

* * *