# 如何在 Java 中反转字符串

> 原文：<https://www.studytonight.com/java-examples/how-to-reverse-string-in-java>

在这篇文章中，我们将反转一个字符串。[字符串](https://www.studytonight.com/java/string-handling-in-java.php)是一个字符序列，也是 Java 中用来处理字符串数据的一个类。

要反转一个字符串，我们可以使用 [StringBuilder](https://www.studytonight.com/java/stringbuilder-class.php) 类的`reverse()`方法，或者用一种方便的方法将字符以相反的顺序排列成一个新的字符串。我们将借助例子来使用这两种方法。

StringBuilder 类似于 String 类，只是它是可变的。所以，它的内容是可以改变的。

reverse()方法不带任何参数，用于反转字符序列。它返回字符串生成器而不是字符串。所以，如果你想要字符串返回，那么使用`toString()`方法得到一个字符串对象。

## 举例时间:

让我们创建一个例子来得到字符串的反义词。这里，我们使用 StringBuilder，并将字符串参数传递给 StringBuilder 的构造器。之后通过使用 StringBuilder 类的 reverse()方法，我们得到一个反向字符串。

```java
public class Main {
	public static void main(String[] args){
		String str = "Studytonight";
		System.out.println(str);
		StringBuilder strb = new StringBuilder(str);
		strb.reverse();
		System.out.println(strb);
	}
}
```

学习夜
体操运动员

## 示例:

让我们举另一个例子来反转一个字符串。这里，我们使用 charAt()方法获取字符串的单个字符，并追加到一个新的字符串对象中，以获得一个新的字符串。

```java
public class Main {
	public static void main(String[] args){
		String str = "Studytonight";
		System.out.println(str);
		String str2 = "";
		for (int i = str.length()-1; i>=0; i--) {
			str2 += str.charAt(i);
		}
		System.out.println(str2);
	}
}
```

学习夜
体操运动员

* * *

* * *