# 如何在 Java 中把浮点数转换成字符串

> 原文：<https://www.studytonight.com/java-examples/how-to-convert-float-to-string-in-java>

在这篇文章中，我们将在 Java 中将`Float`类型转换为字符串。 [Float](https://www.studytonight.com/java/float-class.php) 是一个保存浮点值的数据类型，而 [String](https://www.studytonight.com/java/string-handling-in-java.php) 是一个字符序列和 Java 中的一个类。

要将浮点转换为字符串，有几种方法，如`String`类的`valueOf()`方法或`Float`类的`toString()`方法，或将表达式转换为字符串的简单字符串文字。

`valueOf()`方法属于返回指定值字符串的 String，Float 类的 to String()方法返回浮点值字符串。

在这里，我们将借助几个示例来查看所有这些转换。

## 举例时间:

让我们举一个例子，将 float 转换为 string。这里，我们使用 String 类的`valueOf()`方法从浮点值中获取一个字符串。

```java
public class Main {
	public static void main(String[] args){
		Float val = 12.50f;
		System.out.println(val);
		// Float to String
		String str = String.valueOf(val);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

12.5
12.5
Java 郎

## 示例:使用 toString()方法进行转换

让我们创建另一个示例来从 float 类型获取字符串。这里，我们使用的是 Float 类的`toString()`方法，该方法返回一个指定值的字符串。

```java
public class Main {
	public static void main(String[] args){
		Float val = 12.50f;
		System.out.println(val);
		// Float to String
		String str = Float.toString(val);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

12.5
12.5
Java 郎

## 示例:使用字符串进行转换

还有一种方法可以将 float 转换为 string。这里，我们使用一个字符串文字，并使用加号将它附加到浮点。这是 Java 的隐式转换，如果我们将任何类型连接到字符串文字，它将返回一个字符串。

```java
public class Main {
	public static void main(String[] args){
		Float val = 12.50f;
		System.out.println(val);
		// Float to String
		String str = ""+val;
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

12.5
12.5
Java 郎

* * *

* * *