# 如何在 Java 中把整型转换成字符串

> 原文：<https://www.studytonight.com/java-examples/how-to-convert-int-to-string-in-java>

在这篇文章中，我们将在 Java 中将 int 类型转换为 string。整数是一种保存浮点值的数据类型，而[字符串](https://www.studytonight.com/java/string-handling-in-java.php)是一个字符序列和 Java 中的一个类。

要将 int 转换为 string，有几种方法，如 String 类的`valueOf()`方法或 Integer 类的`toString()`方法，或者将表达式转换为 String 的简单字符串文字。

`valueOf()`方法属于返回指定值字符串的 String，`Integer`类的 to String()方法返回浮点值字符串。

在这里，我们将借助几个示例来查看所有这些转换。

## 举例时间:

让我们创建一个将 int 类型转换为字符串的示例。这里，我们使用的是从指定值返回字符串的`valueOf()`方法。

```java
public class Main {
	public static void main(String[] args){
		int val = 10;
		System.out.println(val);
		// int to String
		String str = String.valueOf(val);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

10
10
Java 岛

## 示例:使用 to String()方法将 int 转换为 String

让我们创建另一个将 int 类型转换为 string 的示例。这里，我们使用的是返回整型值字符串的 toString()方法。

```java
public class Main {
	public static void main(String[] args){
		int val = 10;
		System.out.println(val);
		// int to String
		String str = Integer.toString(val);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

10
10
Java 岛

## 示例:使用字符串进行转换

这是 int 到`String`类型的隐式转换。如果我们将任何类型的值连接成一个字符串，那么 Java 会将该表达式转换成一个字符串，并返回一个字符串作为结果。

```java
public class Main {
	public static void main(String[] args){
		int val = 10;
		System.out.println(val);
		// int to String
		String str = ""+val;
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

10
10
Java 岛

* * *

* * *