# 如何在 Java 中重复字符串`N`次

> 原文：<https://www.studytonight.com/java-examples/how-to-repeat-string-n-times-in-java>

在这篇文章中，我们将使用 Java 代码重复一个字符串 N 次。在处理字符串时，可能需要重复一个字符串，为此，Java 在`String`类中提供了`repeat()`方法。

`repeat()`方法是从 Java 11 版本添加到 String 类中的。

有几种方法可以对一个字符串进行重复，像使用`Collections`类的 nCopies()方法或者 repeat()方法或者 replace()方法对字符串也可以用来获取重复字符串。

## 示例时间:Java 11

让我们创建一个重复字符串的示例。这里，我们使用`String`类的 repeat()方法。重复字符串是最简单的方法。这个方法被添加到 Java 11 版本的 String 类中。

```java
public class Main {
	public static void main(String[] args){
		String str = "Studytonight";
		System.out.println(str);
		// Repeat String
		String newStr = str.repeat(3);
		System.out.println(newStr);
	}
}
```

今晚学习
今晚学习今晚学习

## 示例:使用字符串构造器和`replace()`方法重复

让我们创建一个例子，用 Java 重复字符串。这里我们用的是`replace()`方法，用来替换字符串，但是用一些逻辑代码，我们可以用它来重复字符串。这里，我们使用 char 数组创建一个字符串，并用提供的字符串替换数组的默认值。

```java
public class Main {
	public static void main(String[] args){
		String str = "Studytonight";
		System.out.println(str);
		// Repeat String
		String newStr = new String(new char[3]).replace("\0", str);
		System.out.println(newStr);
	}
}
```

今晚学习
今晚学习今晚学习

## 示例:使用 Java 8 重复字符串

如果您使用的是 Java 8 或更高版本，那么您可以使用`Collections`类的`nCopies()`方法，该方法使用`String`类的`join()`方法连接到字符串中。

```java
import java.util.Collections;

public class Main {
	public static void main(String[] args){
		String str = "Studytonight";
		System.out.println(str);
		// Repeat String
		String newStr = String.join("", Collections.nCopies(3, str));
		System.out.println(newStr);
	}
}
```

今晚学习
今晚学习今晚学习

* * *

* * *