# 如何从字符串中删除空格

> 原文：<https://www.studytonight.com/java-examples/how-to-remove-white-spaces-from-string>

在这篇文章中，我们将删除 Java 中字符串的前导和尾随空格。前导空格和尾随空格被附加到字符串的开头和结尾。例如，字符串“今晚学习”可以有前导空格，如“今晚学习”和尾随空格“今晚学习”。

为了删除空格，Java String 类提供了`strip()`、`stripLeading()`和`stripTrailing()`方法，这些方法是在 **Java 11 版本**中添加的。

strip()方法用于移除字符串的所有前导和尾随空格。它不接受任何参数，而是向调用方返回一个字符串。

stripLeading()方法用于从字符串中删除前导空格。如果我们想从字符串中只删除前导空格，那么您可以使用这个方法，而要只删除尾随空格，您可以使用 stripTrailing()方法。

## 示例时间:Java 11

让我们创建一个从字符串中删除空格的例子。这里，我们使用`strip()`方法去除字符串中所有的前导和尾随空格。

```java
public class Main {
	public static void main(String[] args){
		String str = "   Studytonight";
		System.out.println(str);
		System.out.println("hello"+str);
		// remove whitespace from String
		String newStr = str.strip();
		System.out.println(newStr);
		System.out.println("hello"+newStr);
	}
}
```

今晚学习
你好今晚学习
今晚学习
晚上好

## 示例:使用`stripLeading()`方法移除

让我们创建另一个示例来删除字符串中的空格。这里我们使用的是`stripLeading()`方法，去掉所有前导空格后返回一个字符串。

```java
public class Main {
	public static void main(String[] args){
		String str = "   Studytonight";
		System.out.println(str);
		System.out.println("hello"+str);
		// remove whitespace from String
		String newStr = str.stripLeading();
		System.out.println(newStr);
		System.out.println("hello"+newStr);
	}
}
```

今晚学习
你好今晚学习
今晚学习
晚上好

## 示例:使用`stripTrailing()`方法移除

让我们再创建一个示例来删除字符串中的空白。在这里，我们使用`stripTrailing()`方法在移除所有尾随空格后获得一个字符串。请看下面的例子。

```java
public class Main {
	public static void main(String[] args){
		String str = "   Studytonight  ";
		System.out.println(str);
		System.out.println("hello"+str+".com");
		// remove whitespace from String
		String newStr = str.stripTrailing();
		System.out.println(newStr);
		System.out.println("hello"+newStr+".com");
	}
}
```

今晚学习
你好今晚学习。今晚学习你好，Studytonight.com

* * *

* * *