# 如何在 Java 中将字符数组转换成字符串

> 原文：<https://www.studytonight.com/java-examples/how-to-convert-char-array-to-string-in-java>

在这篇文章中，我们将把字符数组转换成 Java 中的[字符串](https://www.studytonight.com/java/string-handling-in-java.php)。字符数组是字符和对象的集合，而`String`是字符序列和 Java 中的一个类。

在 Java 中，字符串是最常用的数据类型。所以，如果我们有一个字符数组，需要把它转换成字符串，那么我们需要把字符数组转换成字符串。

为了将字符数组转换成字符串，我们使用了`String`类的构造器`valueOf()`和`copyValueOf()`方法。

string 类为 char 数组参数提供了一个构造器来创建字符串。我们用它从字符数组中获取字符串。

`String`类的`valueOf()`方法接受字符数组参数，并返回一个字符串作为结果。类似地，`copyValueOf()`方法可以用来从 char 数组中获取字符串。这两种方法是相同的，我们可以使用其中的任何一种。

## 举例时间:

让我们创建一个从字符数组中获取字符串的例子。这里，我们使用一个字符串的构造器，它从一个字符数组中返回一个字符串。

```java
public class Main {
	public static void main(String[] args){
		char[] ch = {'a','e','i','o','u'};
		System.out.println(ch);
		// convert char to string
		String str = new String(ch);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
} 
```

aeiou
aeiou
Java . lang . string

## 示例:使用 valueOf()方法进行转换

让我们创建另一个示例，从 char 数组中获取字符串。这里，我们使用`valueOf()`方法将字符数组转换为字符串对象。

```java
public class Main {
	public static void main(String[] args){
		char[] ch = {'a','e','i','o','u'};
		System.out.println(ch);
		// convert char to string
		String str = String.valueOf(ch);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
} 
```

aeiou
aeiou
Java . lang . string

## 示例:使用 copyValueOf()方法进行转换

这里，我们使用`copyValueOf()`方法从一个字符数组中获取一个字符串。它与 valueOf()方法没有显著差异。

```java
public class Main {
	public static void main(String[] args){
		char[] ch = {'a','e','i','o','u'};
		System.out.println(ch);
		// convert char to string
		String str = String.copyValueOf(ch);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
} 
```

aeiou
aeiou
Java . lang . string

* * *

* * *