# 如何在 Java 中连接字符串

> 原文：<https://www.studytonight.com/java-examples/how-to-join-string-in-java>

在这篇文章中，我们将使用 Java 代码将两个或多个字符串连接成一个字符串。我们将字符串连接成由分隔符分隔的单个字符串。例如，我们有两个字符串“印度”和“新德里”，那么在连接时，我们使用“-”分隔符，因此结果字符串将是“印度-新德里”。

要连接多个字符串，我们使用的是[字符串](https://www.studytonight.com/java/string-handling-in-java.php)类的`join()`方法。`join()`方法有两个重载版本，其中一个以字符串为参数，第二个以 iterable (list，set)为参数，连接后返回单个字符串。

## 举个例子:

让我们创建一个示例，在连接多个字符串后获取一个字符串。在这里，我们使用`join()`方法，该方法将分隔符作为第一个参数，其他参数是字符串参数。

```java
public class Main {
	public static void main(String[] args){
		String str1 = "Mango";
		String str2 = "Orange";
		String str3 = "Apple";
		// Join all strings
		String str = String.join("-", str1, str2, str3);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
} 
```

芒果橙苹果
Java 郎串

## 示例:

让我们创建另一个连接字符串的例子。这里，我们使用`join(`方法将字符串列表连接成单个字符串。我们用连字符(-)来连接字符串。

```java
import java.util.Arrays;
import java.util.List;

public class Main {
	public static void main(String[] args){
		List <String> list = Arrays.asList("Mango","Orange","Apple");
		// Join all strings
		String str = String.join("-", list);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
} 
```

芒果橙苹果
Java 郎串

## 示例:Java 8

如果你使用的是 Java 8 或更高版本，那么我们可以使用列表的`stream()`方法，然后使用 Collectors 的`joining()`方法将所有字符串收集成一个。

```java
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public class Main {
	public static void main(String[] args){
		List <String> list = Arrays.asList("Mango","Orange","Apple");
		// Join all strings
		String str = list.stream().collect(Collectors.joining("-"));
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
} 
```

芒果橙苹果
Java 郎串

* * *

* * *