# 如何在 Java 中把字符转换成字符串

> 原文：<https://www.studytonight.com/java-examples/how-to-convert-char-to-string-in-java>

在这篇文章中，我们将在 Java 中将 char 转换为[字符串](https://www.studytonight.com/java/string-handling-in-java.php)。char 是用于存储单个字符的 Java 数据类型之一，而 String 是一个字符序列。

要将`Character`类型转换为字符串，我们可以使用`String`类的`valueOf()`方法或[字符](https://www.studytonight.com/java/character-class.php)类的`toString()`方法。字符是 Java 中的一个包装类，用于处理`Character`类型对象。

String 类的 valueOf()方法用于从字符中获取字符串。它接受一个参数并返回一个指定类型的字符串。

`Character`类的 toString()方法返回一个`Character`类型值的字符串。

我们还使用了加号(+)运算符将字符转换为字符串，因为该运算符用于连接两个对象并返回一个字符串。

## 举例时间:

让我们举一个将 char 转换成字符串的例子。这里，我们使用的是返回字符串的 String 类的`valueOf()`方法。

```java
public class Main {
	public static void main(String[] args){
		char ch = 's';
		System.out.println(ch);
		// char to String
		String str = String.valueOf(ch);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

s
s
Java.郎.弦

## 示例:

让我们再举一个例子，从一个`Character`类型中获取一个字符串。这里，我们使用的是 Character 类的`toString()`方法，它通过转换 char 返回一个字符串。

```java
public class Main {
	public static void main(String[] args){
		char ch = 's';
		System.out.println(ch);
		// char to String
		String str = Character.toString(ch);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

s
s
Java.郎.弦

## 示例:

在本例中，我们使用加号(+)运算符将字符值与字符串值连接起来。加号运算符在连接后返回一个字符串值。

```java
public class Main {
	public static void main(String[] args){
		char ch = 's';
		System.out.println(ch);
		// char to String
		String str = ""+ch;
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

s
s
Java.郎.弦

* * *

* * *