# 如何在 Java 中将`double`转换为字符串

> 原文：<https://www.studytonight.com/java-examples/how-to-convert-double-to-string-in-java>

在这篇文章中，我们将在 Java 中将 double 转换为 [String](https://www.studytonight.com/java/string-handling-in-java.php) 。double 是 Java 数据类型之一，用于存储大量浮点值，而 String 是一个字符序列。

要将 double 类型转换为 string，我们可以使用 String 类的`valueOf()`方法或 [Double](https://www.studytonight.com/java/double-class.php) 类的`toString()`方法。Double 是 Java 中用于处理`Double`类型对象的包装类。

String 类的 valueOf()方法用于从 double 获取字符串。它接受一个参数并返回一个指定类型的字符串。

Double 类的 toString()方法返回一个`Double`类型值的字符串。

我们还使用了加号(+)运算符将 double 转换为 string，因为该运算符用于连接两个对象并返回一个字符串。

## 举例时间:

让我们举一个例子把 double 转换成 string。这里，我们使用的是返回字符串的 String 类的`valueOf()`方法。

```java
public class Main {
	public static void main(String[] args){
		double val = 21.50;
		System.out.println(val);
		// double to String
		String str = String.valueOf(val);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

21.5
21.5
Java 郎

## 示例:

让我们再举一个例子，从双精度类型中获取一个字符串。这里，我们使用的是 double 类的`toString()`方法，它通过转换 Double 返回一个字符串。

```java
public class Main {
	public static void main(String[] args){
		double val = 21.50;
		System.out.println(val);
		// double to String
		String str = Double.toString(val);
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

21.5
21.5
Java 郎

## 示例:

在本例中，我们使用加号(+)运算符将双精度值与字符串值连接起来。加号运算符在连接后返回一个字符串值。

```java
public class Main {
	public static void main(String[] args){
		double val = 21.50;
		System.out.println(val);
		// double to String
		String str = ""+val;
		System.out.println(str);
		System.out.println(str.getClass().getName());
	}
}
```

21.5
21.5
Java 郎

* * *

* * *