# 如何在 Java 中重复字符串

> 原文：<https://www.studytonight.com/java-examples/how-to-multiply-string-in-java>

在本教程中，我们将学习如何在 [Java](https://www.studytonight.com/java/overview-of-java.php) 中乘法[字符串](https://www.studytonight.com/java/string-handling-in-java.php)。我们将使用 Java 的`String.repeat()` 和`StringBuffer.append()`方法来相乘 String。让我们看一些例子。

![yes](img/0da66de075b38eb701164b16191f2958.png "yes")为了充分利用本教程，建议尝试所有代码片段并按顺序理解主题。

## 将字符串相乘以重复字符序列。

```java
String str = "StudyTonight";
String repeated = str.repeat(3);
```

以上代码将只支持 ***Java 11*** 及以上。下面我们需要用到`StringBuffer().`为什么？

![enlightened](img/bcefbc0bebd753ed2a05f55c0b74d9f0.png "enlightened")字符串是不可变的。它不能被继承，一旦创建，我们就不能改变对象。

## 例子

我们正在使用`String`类的`repeat()`方法来相乘字符串并获得一个新的字符串对象。

```java
public class StudyTonight 
{
	public static void main(String[] args)
	{
		String str = "Studytonight";		 
        System.out.println( str.repeat(3) );
	}
}
```

今晚学习今晚学习

## 使用 StringBuffer.append()乘法字符串的示例

我们用`StringBuffer()`在`String` 上做操作，以后可以用`StringBuffer.toString()`法换成`String`。

```java
public class StudyTonight {

	public static void main(String[] args) {

		//original string
		String str = "studytonight ";
		//number of times repetition 
		int n=5;
		//empty stringbuffer
		StringBuffer str_bfr = new StringBuffer();
		for(int i=0;i<n;i++)
		{
			//append string to stringbuffer n times
			str_bfr.append(str);
		}
		//converting stringbuffer back to string using toString() method
		str = str_bfr.toString();
		System.out.print(str);
	}
}
```

今晚学习今晚学习今晚学习今晚学习今晚学习今晚学习

## 使用字符串乘字符串的示例。替换()

它是相同代码的最短变体，但需要 Java 1.5 及以上版本。这段代码的神奇之处在于不需要导入或库。其中`***n***`是你想要重复该字符串的次数， ***`str`*** 是要重复的字符串。

```java
public class StudyTonight {

	public static void main(String[] args) {
		String str = "studytonight ";
		int n=5;
		String repeated = new String(new char[n]).replace("\0", str);
		System.out.print(repeated);
	}
}
```

今晚学习今晚学习今晚学习今晚学习今晚学习今晚学习

### **结论**

我们可以在 java 中使用`StringBuffer.append()`在循环中附加一个特定的字符串来乘字符串，它将确保该字符串重复 n 次。另一种方法是使用 `String.replace()`方法，我们传递空字符(" \0 ")，它也称为字符串的结尾，第二个参数作为原始字符串对该字符的替换。`String.repeat()`也是能够演出同样名声的弦乐。

* * *

* * *