# Java 中的数组到`ArrayList`

> 原文：<https://www.studytonight.com/java-examples/array-to-arraylist-in-java>

在这篇文章中，我们将把一个数组转换成`ArrayList`。`ArrayList`是 Java 中`List`接口的实现类，用于存储基于索引的元素，而数组用于存储类似类型的元素。

可能会有这样一种情况，您正在处理数据集合，您的数据存储在一个数组中，并且您想要将它转换成`ArrayList`。

这里，我们使用的是`Arrays`类的`asList()`方法，它返回一个列表，然后我们可以从这个列表中获得`ArrayList`。

addAll()方法属于`Collections`类，可用于向`ArrayList`中添加数组元素。

## 举例时间:

让我们创建一个从数组元素获取`ArrayList`的例子。这里，我们在构造器内部使用`asList()`方法，因为 ArrayList 有一个构造器来获取列表作为参数。

```java
import java.util.ArrayList;
import java.util.Arrays;
public class Main {
	public static void main(String[] args){
		String[] fruits = {"Apple", "Orange", "Banana"};
		for (int i = 0; i < fruits.length; i++) {
			System.out.println(fruits[i]);
		}
		ArrayList<String> arrayList = new ArrayList<>(Arrays.asList(fruits));
		System.out.println(arrayList);

	}
}
```

苹果
橘子
香蕉
【苹果、橘子、香蕉】

## 另一个例子的时间:

让我们再举一个例子来理解数组到`ArrayList`的转换。这里，我们使用 addAll()方法将所有数组元素添加到一个 ArrayList 中。请看下面的例子。

```java
import java.util.ArrayList;
import java.util.Collections;
public class Main {
	public static void main(String[] args){
		String[] fruits = {"Apple", "Orange", "Banana"};
		for (int i = 0; i < fruits.length; i++) {
			System.out.println(fruits[i]);
		}
		ArrayList<String> arrayList = new ArrayList<>();
		Collections.addAll(arrayList, fruits);
		System.out.println(arrayList);

	}
}
```

苹果
橘子
香蕉
【苹果、橘子、香蕉】

* * *

* * *