# 如何在 Java 中将数组转换成列表

> 原文：<https://www.studytonight.com/java-examples/how-convert-an-array-to-a-list-in-java>

在本教程中，我们将学习如何在 [Java](https://www.studytonight.com/java/) 中将[数组](https://www.studytonight.com/java/array.php)转换为列表。要将数组转换为列表，我们有三种方法

1.  通过将数组的每个元素显式添加到列表中。
2.  通过使用`Arrays.asList()`方法。
3.  通过使用`Collections.addAll()`方法

## 示例:通过将数组中的每个元素添加到列表中，从数组创建列表。

在这个程序中，我们将迭代一个数组，并将每个元素添加到一个数组中。这是一种非常传统的方式，我们需要遍历整个数组来将元素添加到列表中。

```java
import java.util.*;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		List<String> courses= new ArrayList<String>();
		String array[] = {"Bangalore","Mumbai","Delhi","Noida"};   
		for(int i =0;i<array.length;i++)
		{
			courses.add(array[i]);
		}
		for(String course: courses)
		{
			System.out.println(course);
		}
	}
}
```

班加罗尔
【孟买】
【德里】

## 示例:使用`Arrays.asList()`方法从数组创建列表。

在给定的程序中，我们使用来自`Arrays` 类的`asList()`方法，该类接收一个数组并将其转换为列表。这个方法比上面的例子更有效，而且不需要遍历整个数组。

```java
import java.util.*;
public class StudyTonight 
{
	public static void main(String[] args) 
	{

		String courses[]={"Bangalore","Mumbai","Delhi","Noida"}; 
		List<String> courseList= new ArrayList<String>(Arrays.asList(courses));
		for (String course: courseList)
		{
			System.out.println(course);
		}
	}
}
```

班加罗尔
【孟买】
【德里】

## 示例:使用`Collections.addAll()`方法从数组创建列表。

在这个程序中，我们使用来自一个`Collections` 类的`addAll()` 方法，该方法接受两个参数，即列表和数组，并将该数组转换为列表。

```java
import java.util.*;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		String array[]={"Bangalore","Mumbai","Delhi","Noida"}; 
		List<String> courses= new ArrayList<String>();
		Collections.addAll(courses, array);
		for (String course: courses)
		{
			System.out.println(course);
		}
	}
}
```

班加罗尔
【孟买】
【德里】

![mail](img/6ad6846af98aad278a954670e0e6f06b.png "mail")结论:我们可以通过三种方法将 array 转换为 List，分别是将 Array 的每个元素显式添加到 List、使用`Arrays.asList()`方法和使用`Collections.addAll()`方法。这里，第一种方法非常直观和简单，但为此，我们需要遍历整个数组。

* * *

* * *