# 在 Java 中从数组创建`ArrayList`

> 原文：<https://www.studytonight.com/java-examples/create-an-arraylist-from-an-array-in-java>

在本教程中，我们将学习如何从 [Java](https://www.studytonight.com/java/) 中的[数组](https://www.studytonight.com/java/array.php)创建[`ArrayList`](https://www.studytonight.com/java/arraylist-in-collection-framework.php)。ArrayList 属于`java.util`包。`ArrayList`的大小是可变的，这一特性使它成为比数组更好的选择。主要有三种方法:

1.  通过将数组的每个元素显式添加到`ArrayList`中。
2.  通过使用`Arrays.asList()`方法。
3.  通过使用`Collections.addAll()`方法

## 例 1:

通过将每个元素添加到数组的`ArrayList`中，从数组创建`ArrayList`。

```java
import java.util.*;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		ArrayList<String> courses= new ArrayList<String>();
		String array[] = {"Java","Python","C","C++"};   
		for(int i =0;i<array.length;i++)
		{
			courses.add(array[i]);
		}
		for(String course: courses)
		{
			System.out.println(course);
		}
	}
}
```

Java
Python
C
C++

## 示例:使用`Arrays.asList()`方法从数组创建`ArrayList`。

在本例中，`Arrays` 类的`asList()`方法会将给定的数组转换为`ArrayList`。

```java
import java.util.*;
public class StudyTonight 
{
	public static void main(String[] args) 
	{

		String courses[]={"Java", "Python", "Android", "Web"};
		ArrayList<String> courseList= new ArrayList<String>(Arrays.asList(courses));
		for (String course: courseList)
		{
			System.out.println(course);
		}
	}
}
```

Java
python
Android
web

## 示例:使用`Collections.addAll()`方法从数组创建`ArrayList`。

在本例中，`Collections` 类的`addAll()`方法将数组转换为`ArrayList`。我们将两个参数传递给 addAll 方法，即 ArrayList 和 array。

```java
import java.util.*;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		String array[]={"C", "C++", "Java", "Python"};
		ArrayList<String> courses= new ArrayList<String>();
		Collections.addAll(courses, array);
		for (String course: courses)
		{
			System.out.println(course);
		}
	}
}
```

C
C++
Java
Python

### **结论:**

`ArrayList`的大小是可变的，这就是为什么将数组转换为`ArrayList`很有用。我们可以通过三种方式来实现:通过将数组的每个元素显式添加到 ArrayList 中，通过使用`Arrays.asList()`方法，以及通过使用`Collections.addAll()`方法

* * *

* * *