# Java 中整数列表到整型数组的转换

> 原文：<https://www.studytonight.com/java-examples/convert-integer-list-to-int-array-in-java>

在本文中，我们将学习如何在 [Java](https://www.studytonight.com/java/) 中将整数[列表](https://www.studytonight.com/java/abstract-list.php)转换为 int [数组](https://www.studytonight.com/java/array.php)。在 Java 中，有两种方法可以将整数列表转换为数组

1.  使用`stream.mapToInt()`方法
2.  使用`ArrayUtils.toPrimitive()`方法

## 示例:使用 stream.mapToInt()方法将整数列表转换为数组

在这个例子中，我们创建了一个整数列表。为了将这个`ArrayList`改为 Array，我们在列表中调用了`stream().mapToInt().toAttay()`方法，其结果将被分配给 array arr。

```java
import java.util.*;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		List<Integer> list = new ArrayList<Integer>();
		list.add(1);
		list.add(2);
		list.add(3);
		list.add(4);
		list.add(5);
		int[] arr = list.stream().mapToInt(i->i).toArray();
		for (int val : arr) {
			System.out.println(val);
		}
	}
}
```

1
2
3
4
5

## 示例:使用`ArrayUtils.toPrimitive()`方法将整数列表转换为整型数组

对于这个例子，我们需要一个外部包`org.apache.commons.lang3.ArrayUtils.`在一些 IDE 中，你已经可以找到或者需要通过下载 [JARs 文件导入。](https://mvnrepository.com/artifact/org.apache.commons/commons-lang3/3.11)

```java
import java.util.ArrayList;
import java.util.List;
import org.apache.commons.lang3.ArrayUtils;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		List<Integer> list = new ArrayList<Integer>();
		list.add(1);
		list.add(2);
		list.add(3);
		list.add(4);
		list.add(5);
		int[] arr = ArrayUtils.toPrimitive(list.toArray(new Integer[list.size()]));
		for (int val : arr) {
			System.out.println("int primitive: "+val);
		}
	}
}
```

1
2
3
4
5

### **结论**:

我们学习了如何在 java 中将整数列表转换成 int 数组。Java 中 stram API 的`ArrayUtils.toPrimitive()`和`stream().mapToInt()`有两种方法可以做到。

* * *

* * *