# 使用 Netbeans IDE 创建第一个 Servlet 应用

> 原文：<https://www.studytonight.com/servlet/creating-servlet-in-netbeans.php>

在[最后一课](steps-to-create-servlet-using-tomcat-server.php)中，我们创建了第一个 Servlet 应用，但是没有使用任何 IDE。IDE 是 IDE，它使创建应用变得容易得多。我们将学习如何在 NetBeans IDE 和 [Eclipse IDE](creating-servlet-in-eclipse.php) 上创建 Servlet 应用。然后你可以决定你想用哪一个。

使用 IDE 是创建 Servlet 应用最简单的方法。IDE 是一种软件应用，为计算机程序员提供软件开发工具。 **Eclipse** 、**mycplise**、 **Netbeans** 都是一些流行 Java IDE 的例子。

* * *

## 在 Netbeans IDE 中创建 Servlet 应用的步骤

要在 Netbeans IDE 中创建 servlet 应用，您需要遵循以下(简单的)步骤:

1.  Open Netbeans IDE, Select **File** -> **New Project**

    ![steps to create servlet application in netbeans](img/41b3c213978faa790df38197693d21b9.png)

* * *

3.  Select **Java Web** -> **Web Application**, then click on Next,

    ![steps to create servlet application in netbeans](img/be3aa3df66b935f0ac9c31c276f99248.png)

* * *

5.  Give a name to your project and click on Next,

    ![steps to create servlet application in netbeans](img/9d9761db05384bcd3d1223e99685df44.png)

* * *

7.  and then, Click **Finish**

    ![steps to create servlet application in netbeans](img/6aef93143d6c054bc2f554af1c13ae9f.png)

* * *

9.  The complete directory structure required for the Servlet Application will be created automatically by the IDE.

    ![steps to create servlet application in netbeans](img/a6b161189154865aa96dc916e32bfd99.png)

* * *

11.  To create a Servlet, open **Source Package**, right click on **default packages** -> **New** -> **Servlet**.

    ![steps to create servlet application in netbeans](img/f96250ac94db3b96f6540cb4a0a2a0cc.png)

* * *

13.  Give a Name to your Servlet class file,

    ![steps to create servlet application in netbeans](img/02053d0abbdd0d6bdb4a3a28314d8d65.png)

    ![steps to create servlet application in netbeans](img/941a270838146b0128382bf8899b29a2.png)

* * *

15.  Now, your Servlet class is ready, and you just need to change the method definitions and you will good to go.

    ![steps to create servlet application in netbeans](img/d0c3ee6a8f0aa4d2f9a663edc322e20a.png)

* * *

17.  Write some code inside your Servlet class.

    ![steps to create servlet application in netbeans](img/009f526c51f8fde344b6d49907339b4c.png)

* * *

19.  Create an HTML file, right click on **Web Pages** -> **New** -> **HTML**

    ![steps to create servlet application in netbeans](img/a5d93352c72fb0be758843890e44c628.png)

* * *

21.  Give it a name. We recommend you to name it `index`, because browser will always pick up the `index.html` file automatically from a directory. Index file is read as the first page of the web application.

    ![steps to create servlet application in netbeans](img/78efa449d59209cec4565f1d3e45e035.png)

* * *

23.  Write some code inside your HTML file. We have created a hyperlink to our Servlet in our HTML file.

    ![steps to create servlet application in netbeans](img/a78d070454aa138cd2284837c29afd57.png)

* * *

25.  Edit **web.xml** file. In the web.xml file you can see, we have specified the **url-pattern** and the **servlet-name**, this means when `hello` url is accessed our Servlet file will be executed.

    ![steps to create servlet application in netbeans](img/6596522a5bf541b588ab663adb3ee41e.png)

* * *

27.  Run your application, right click on your Project and select **Run**

    ![steps to create servlet application in netbeans](img/aa68a5a93b4097c7d916c3f105947948.png)

* * *

29.  Click on the link created, to open your Servlet.

    ![steps to create servlet application in netbeans](img/78fb2fbab259f6b87bb138f485772d95.png)

* * *

31.  Hurray! Our First Servlet class is running.

    ![steps to create servlet application in netbeans](img/4334a83ab6c47fe8e8cd257addbb0265.png)

* * *

* * *