# 使用 Eclipse IDE 创建第一个 Servlet 应用

> 原文：<https://www.studytonight.com/servlet/creating-servlet-in-eclipse.php>

**Eclipse** IDE 是业界最流行的 Java IDE。它是由一个开源社区开发的，可以从[](http://www.eclipse.org/)免费下载

* * *

## 使用 Eclipse IDE 创建 Servlet 的步骤

要在 Eclipse IDE 中创建一个 Servlet 应用，您需要遵循以下步骤:

1.  Goto **File** -> **New** -> **Dynamic Web Project**

    ![steps to create servlet application in eclipse](img/8a76e85f29840506c20366f4a29f79b7.png)

* * *

3.  Give a Name to your Project and click **Next**

    ![steps to create servlet application in eclipse](img/da3a286d4c5d403bbea2c594140fd2af.png)

    ![steps to create servlet application in eclipse](img/edd8335811dfdfeff478e3c1c9fa98db.png)

* * *

5.  Check **Generate web.xml Deployment Descriptor** and click **Finish**

    ![steps to create servlet application in eclipse](img/71aa4fd9cc043fb63ebde725c91d0594.png)

* * *

7.  Now, the complete directory structure of your Project will be automatically created by Eclipse IDE.

    ![steps to create servlet application in eclipse](img/a56d8c05a7285d31c005e5fbdc7523e8.png)

* * *

9.  Click on **First** project, go to **Java Resources** -> **src**. Right click on **src** select **New** -> **Servlet**

    ![steps to create servlet application in eclipse](img/c0421bdf8ef531306e8d9c5c9d2e1380.png)

* * *

11.  Give Servlet class name and click **Next**

    ![steps to create servlet application in eclipse](img/7320c9bef4e93df7abc1f3fabc5eb26f.png)

* * *

13.  Give your Servlet class a Nmae of your choice.

    ![steps to create servlet application in eclipse](img/c9fcc4cc22d0d08d28ea7af0dd2f9773.png)

* * *

15.  Leave everything else to default and click **Finish**

    ![steps to create servlet application in eclipse](img/241b11326aa915afc32b4fbc29fe161e.png)

* * *

17.  Now your Servlet is created, write some code inside it. You can take reference from the code in the picture below.

    ![steps to create servlet application in eclipse](img/8fa30fd452fb6ea389136e799dd664de.png)

* * *

19.  Add **servlet-api.jar** JAR file to your project. Click on **Libraries**, right click on **Web App Libraries** select **Build Path** -> **Configure Build Path**

    ![steps to create servlet application in eclipse](img/3bf2357d2479670fbee5bcfc1ad89ee5.png)

* * *

21.  Click on **Add External JARs**

    ![steps to create servlet application in eclipse](img/e3ba818cca82fc0d4c68b5be3a6c5d84.png)

* * *

23.  这个 JAR 现在被添加到项目的构建路径中。
24.  Select **servlet-api.jar** from **Apache Tomcat Directory**

    ![steps to create servlet application in eclipse](img/5a2a197cc3bf31ba2298884154a33c42.png)

    ![steps to create servlet application in eclipse](img/d49f299f6bab4ef92ec281aa894cd436.png)

* * *

26.  Now all you have to do is Start the server and run the application.

    ![steps to create servlet application in eclipse](img/5cb14d0cdea2bd9dd4945a3808e95df3.png)

### Eclipse 上的 Servlet 响应示例

步骤 1:在 eclipse 上创建一个动态项目。

![servlet-response](img/d58a49fe9d01331a1034b19405a02a48.png)

第二步:现在创建一个 HTML 文件。

![servlet-response](img/374ed209ec8ea7e110d170d538dcc730.png)

**并写出下面的代码。**

```java
	 <!DOCTYPE html>
<html>
<head>
<meta charset="ISO-8859-1">
<title>Insert title here</title>
</head>
<body>
<form action="display" method="get">
Enter User name: <input type="text" name="val1">
Enter Password: <input type="text" name="val2">
<input type="submit" value="login">
</form>
</body>
</html> 

```

步骤 3:现在在 web.xml 文件中添加下面的代码。

**web.xml 文件是一个部署描述符。这里有所有的配置。**

```java
	 <?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"  xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd" id="WebApp_ID" version="4.0">
 <servlet>
  	<servlet-name>abc3</servlet-name>
  	<servlet-class>com.app.studytonight.demo4</servlet-class>
  </servlet>
  <servlet-mapping>
  <servlet-name>abc3</servlet-name>
  <url-pattern>/display</url-pattern>
  </servlet-mapping>
</web-app> 

```

步骤 4:现在接下来创建一个 servlet。为此创建一个类。给出包名和类名。

![servlet-response](img/62691ccb91c2120411352d9e1b2c5baa.png)
![servlet-response](img/2e9fc9f6dc5b65e3634aaef2d507778f.png)

在类文件中添加下面的代码。

**演示 4.java**

```java
	 package com.app.studytonight;

import javax.servlet.http.*;
import javax.servlet.*;
import java.io.*;
public class demo4 extends HttpServlet{
   public void doGet(HttpServletRequest req,HttpServletResponse res)
   throws ServletException,IOException
   {
     res.setContentType("text/html");
     PrintWriter pwriter=res.getWriter();
     String uname=req.getParameter("val1");
     String pw=req.getParameter("val2");
     pwriter.println("User Details Page:");
     pwriter.println("Hello "+uname);
     pwriter.println("Your Password is **"+pw+"**");
     pwriter.close();
  }
} 

```

**现在，运行代码。**

![servlet-response](img/6aae0c6dac84de8cfc5f2aeb46d60989.png)
![servlet-response](img/5c688c3574ed0ed9adbfdfbf1a616b7a.png)

* * *

* * *