# JSP 指令标签

> 原文：<https://www.studytonight.com/jsp/jsp-directive-tag.php>

**指令标签**在页面翻译时给 Web 容器特殊指令。指令标签有三种类型:**页面**，**包括**和**标签库**。

| 管理的 | 描述 |
| `<%@ page ... %>` | 定义页面相关属性，如语言、会话、错误页面等。 |
| `<%@ include ... %>` | 定义要包含的文件。 |
| `<%@ taglib ... %>` | 声明页面中使用的标记库 |

稍后我们将讨论**包括**和**塔格利布**指令。您可以将 page 指令放在 JSP 文件中的任何地方，但是最好将其作为 JSP 页面的第一条语句。

**页面指令**定义了许多在翻译时与网络容器通信的页面相关属性。使用页面指令的基本语法是`<%@ page attribute="value" %>`，其中属性可以是以下之一:

*   导入属性
*   语言属性
*   扩展属性
*   会话属性
*   isThreadSafe 属性
*   isErrorPage 属性
*   错误页面属性
*   contentType 属性
*   自动刷新属性
*   缓冲属性

* * *

### 导入属性

import 属性定义了必须在 servlet 类定义中导入的一组类和包。例如

```java
 or 
```

 ** * *

### 语言属性

语言属性定义页面中使用的脚本语言。

* * *

### 扩展属性

extends 属性定义了从 JSP 页面生成的 servlet 类的超类的类名。

* * *

### 会话属性

会话属性定义了 JSP 页面是否参与 HTTP 会话。该值为真或假。

* * *

### isThreadSafe 属性

isThreadSafe 属性声明 JSP 是否是线程安全的。该值为真或假

* * *

### isErrorPage 属性

isErrorPage 属性声明当前 JSP 页面是否代表另一个 JSP 的错误页面。

* * *

### 错误页面属性

errorPage 属性表示另一个 JSP 页面，它将处理当前 JSP 页面引发的所有运行时异常。它指定另一个页面的 URL 路径，请求将被分派到该页面以处理当前 JSP 页面引发的运行时异常。

* * *

### contentType 属性

contentType 属性定义了 JSP 响应的 MIME 类型。

* * *

### 自动刷新属性

自动刷新属性定义缓冲输出是否自动刷新。默认值为“真”。

* * *

### 缓冲属性

buffer 属性定义了隐式 **out** 对象如何处理缓冲。

* * *

* * **