# JSP 标准标签（动作元素）

> 原文：<https://www.studytonight.com/jsp/jsp-action-element.php>

JSP 规范提供了在 JSP 页面中使用的**标准**(动作)标签。这些标签用于从您的 JSP 页面中移除或消除 scriptlet 代码，因为现在在技术上不建议使用 script let 代码。将 java 代码直接放在 JSP 页面中被认为是不好的做法。

标准标签以`jsp:`前缀开头。有许多 JSP 标准动作标签用于执行一些特定的任务。

以下是一些可用的 JSP 标准动作标签:

| 动作标签 | 描述 |
| `jsp:forward` | 将请求转发到新页面用法:`<jsp:forward page="Relative URL" />` |
| [`jsp:useBean`](usebean-tag.php) | 实例化一个 JavaBean 用法:`<jsp:useBean id="beanId" />` |
| [`jsp:getProperty`](getproperty-tag.php) | 从 JavaBean 实例中检索属性。用法:

```java
<jsp:useBean id="beanId" ... />
...
<jsp:getProperty name="beanId" property="someProperty" .../>
```

其中， **beanName** 是我们想要访问其属性的预定义 bean 的名称。 |
| [`jsp:setProperty`](getproperty-tag.php) | 将数据存储在任何 JavaBeans 实例的属性中。用法:

```java
<jsp:useBean id="beanId" ... />
...
<jsp:setProperty name="beanId" property="someProperty" 
value="some value"/>
```

其中， **beanName** 是我们想要访问其属性的预定义 bean 的名称。 |
| `jsp:include` | 将 JSP 页面的运行时响应包含到当前页面中。 |
| `jsp:plugin` | 生成特定于客户端浏览器的构造，为 Java 小程序生成一个 OBJECT 或 EMBED 标记 |
| `jsp:fallback` | 如果 java 插件在客户端不可用，则提供替换文本。如果没有加载包含的 jsp 插件，您可以使用它打印一条消息。 |
| `jsp:element` | 动态定义 XML 元素 |
| `jsp:attribute` | 定义动态定义的 XML 元素的属性 |
| `jsp:body` | 在标准或自定义标签中用于提供标签主体。 |
| `jsp:param` | 向请求对象添加参数。 |
| `jsp:text` | 用于在 JSP 页面和文档中编写模板文本。用法:`<jsp:text>Template data</jsp:text>` |

* * *

* * *