# JSP JavaBean 组件

> 原文：<https://www.studytonight.com/jsp/javabeans-component.php>

JavaBeans 组件是一个具有以下特性的 Java 类:

*   无参数构造器。
*   用访问器和变异器(getter 和 setter 方法)定义的属性。
*   类不能定义任何公共实例变量。
*   该类必须实现 **java.io.Serializable** 接口。

* * *

## JavaBean 的示例

让我们举一个简单的 Java 代码例子来理解我们所说的 JavaBean 是什么意思，

```java
import java.io.Serializable;

public class StudentBean implements Serializable
{
  private String name;
  private int roll;

  // constructor
  public StudentBean()
  {
    this.name = "";
    this.roll = "";
  }
  // getters and setters
  public void setName(String name)
  {
    this.name = name;
  }
  public String getName()
  {
    return name;
  }
  public int getRoll()
  {
    return roll;
  }
  public void setRoll(int roll)
  {
    this.roll = roll;
  }
} 
```

正如您在上面的代码中看到的，JavaBean 只不过是一个实现接口`Serializable`的 Java 类。

* * *

### 在 JSP 页面中使用 JavaBean

JavaBeans 可以在任何使用`<jsp:useBean>`标记的 JSP 页面中使用，例如:

```java
<jsp:useBean id="bean name" scope="fully qualified path of bean" typeSpec/> 
```

* * *

### 在 JSP 页面中使用任何 JavaBean 属性

JavaBeans 可以在任何使用 [`<jsp:useBean>`](usebean-tag.php) 标记、 [`<jsp:setProperty>`](setproperty-tag.php) 标记和 [`<jsp:getProperty>`](getproperty-tag.php) 标记的 JSP 页面中使用，例如:

```java
<jsp:useBean id="id" class="bean class name" scope="fully qualified path of bean">
   <jsp:setProperty name="beans id" property="property name" value="value"/>
   <jsp:getProperty name="beans id" property="property name"/>
   ...........
</jsp:useBean> 
```

我们将在下一个教程中详细了解`jsp:useBean`标签。

* * *

* * *