# `jsp:setProperty`标签

> 原文：<https://www.studytonight.com/jsp/setproperty-tag.php>

`setProperty`标记用于在 JavaBeans 实例中存储数据。`setProperty`标签的语法是:

```java
<jsp:setProperty name="beanName" property="*">
<!-- or -->
<jsp:setProperty name="beanName" property="propertyName">
<!-- or -->
<jsp:setProperty name="beanName" property="propertyName" param="parameterName">
<!-- or -->
<jsp:setProperty name="beanName" property="propertyName" value="propertyValue"> 
```

name 属性指定 javaBean 实例的名称。这必须与 [`jsp:useBean`](usebean-tag.php) 标签中指定的 id 属性相匹配。**属性**属性指定要访问的 bean 属性。

* * *

### Java Bean 的`setProperty`示例

下面是我们的 Java 类。

PersonBean.java

```java
 import java.io.Serializable;

public class PersonBean implements Serializable
{
  private String name;

  public PersonBean()
  {
    this.name="";
  }
  public void setName(String name)
  {
    this.name = name;
  }
  public String getName()
  {
    return name;
  }
} 
```

hello.jsp

```java
<html>
    <head>
        <title>Welcome Page</title>
    </head>
    <jsp:useBean id="person" class="PersonBean" scope="request" />
    <jsp:setProperty name="person" property="name" value="Viraj" />
    <body>
        Name of Person is : <jsp:getProperty name="person" property="name" />
    </body>
</html> 
```

输出将是→人名是:维拉杰

同样，我们也可以有一个非常复杂的 Java Bean，它有许多属性。我们可以使用[`jsp:useBean`](usebean-tag.php)[`jsp:setProperty`](setproperty-tag.php)[`jsp:getProperty`](getproperty-tag.php)轻松获取和设置所有属性。

* * *

* * *