# 如何将 Java 字符串转换为`long`

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-string-to-long>

在 Java 中，可以使用 [Long.parseLong()](https://www.studytonight.com/java-wrapper-class/java-long-parselong-string-method) 方法和 [Long.valueOf()](https://www.studytonight.com/java-wrapper-class/java-long-valueofstring-s-method) 方法将一个[字符串转换为一个长值。](https://www.studytonight.com/java/string-class-functions.php)

## Java ``Long.parseLong()`` 法

[parseLong()](https://www.studytonight.com/java-wrapper-class/java-long-parselong-string-method) 法是 [Long](https://www.studytonight.com/java/wrapper-class.php) 类的一部分。这是一种静态方法，用于将[字符串](https://www.studytonight.com/java/string-class-functions.php)转换为长值。

## 例 1:

这里，使用 [parseLong()](https://www.studytonight.com/java-wrapper-class/java-long-parselong-string-method) 方法将字符串值转换为长值。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		String s = "454"; //String Decleration 
		long i = Long.parseLong(s);  // Long.parseLong() converts the string into long
		System.out.println(i);  
	}
} 
```

454

## Java ``Long.valueOf()`` 法

()法的[值是](https://www.studytonight.com/java-wrapper-class/java-long-valueofstring-s-method)[龙](https://www.studytonight.com/java/wrapper-class.php)类的一部分。此方法用于将`String`转换为`Long`对象。

### 例 2:

在这里，字符串值被转换为长值。请看下面的例子。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		try
		{
			String s1 = "500"; //String declaration 
			Long i1 = Long.valueOf(s1);  // Long.valueOf() method converts a String into Long
			System.out.println(i1);       
			String s2 = "mohit"; //NumberFormatException
			Long i2 = Long.valueOf(s2);
			System.out.println(i2);
		}
		catch(Exception e)
		{
			System.out.println("Invalid input");
		}
	}
}
```

500
无效输入

## 使用`longValue()`方法的转换示例

这里，使用返回 long 对象的长值的`longValue()`方法将字符串值转换为长值。请看下面的例子。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		String s="454"; //String Decleration 
		Long obj = new Long(s);
		long n = obj.longValue(); 
		System.out.println("Long value is : " +n );
	}
} 
```

长值为:454

* * *

* * *