# 如何将 Java `long`转换为`String`

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-long-to-string>

在 Java 中，我们可以通过两种方式将`long`转换为[字符串](https://www.studytonight.com/java/string-handling-in-java.php)，或者使用 [valueOf()](https://www.studytonight.com/java/string-class-functions.php) 方法，或者使用 [toString()](https://www.studytonight.com/java-wrapper-class/java-long-tostring-method) 方法。

## 1.通过使用`String.valueOf()`方法

()方法的[值是](https://www.studytonight.com/java/string-class-functions.php)[字符串](https://www.studytonight.com/java/string-handling-in-java.php)类的一部分。这是一种将长值转换为字符串值的静态方法。

## 例 1:

这里，在方法中传递一个长值，并使用 [valueOf()](https://www.studytonight.com/java/string-class-functions.php) 方法将其转换为字符串。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		long n = 500L;  
		String s = String.valueOf(n); 
		System.out.println("The string value is " +s);  
	}
}
```

字符串值为 500

## 2.通过使用`Long.toString()`方法

[toString()](https://www.studytonight.com/java-wrapper-class/java-long-tostring-method) 方法是[龙](https://www.studytonight.com/java/wrapper-class.php)类的一部分。这是一种静态方法，也可用于将长值转换为字符串。

## 例 2:

这里，在`toString()`方法中传递一个长值以转换成字符串。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		long n = 500L;  

		String s = Long.toString(n); 
		System.out.println("The string value is " +s);
	}
}
```

字符串值为 500

## 3.通过使用连接过程

我们可以使用`+`运算符将长值与字符串对象连接起来，然后得到字符串作为结果。`+`运算符在连接后返回一个字符串对象。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		long n = 500L;  

		String longString = ""+n; //concatenation

		System.out.println("String is : "+longString);
	}
}
```

字符串为:500

* * *

* * *