# 如何将 Java 字符串转换为`float`

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-string-to-float>

在 Java 中，可以使用 [Float.parseFloat()](https://www.studytonight.com/java-wrapper-class/java-float-parsefloat-method) 方法和 [Float.valueOf()](https://www.studytonight.com/java-wrapper-class/java-float-valueof-string-val-method) 方法将字符串转换为浮点值。让我们看看转换。

## 1.通过使用``Float.parseFloat()`` 方法

[parseFloat()](https://www.studytonight.com/java-wrapper-class/java-float-parsefloat-method) 方法是 [Float](https://www.studytonight.com/java/wrapper-class.php) 类的一部分。这是一种`static`方法，用于将字符串转换为浮点值。

## 例 1:

这里，使用 [parseFloat()](https://www.studytonight.com/java-wrapper-class/java-float-parsefloat-method) 方法将字符串值转换为浮点值。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		String s = "454.86"; //String Decleration 
		float i = Float.parseFloat(s);  // Float.parseFloat() converts the string into float
		System.out.println(i);  
	}
} 
```

454.86

## 2.通过使用`Float.valueOf()`方法

()方法的[值是](https://www.studytonight.com/java-wrapper-class/java-float-valueof%20string-val-method)[浮动](https://www.studytonight.com/java/wrapper-class.php)类的一部分。此方法用于将`String`转换为`Float`对象。

## 例 2:

这里，使用`valueOf()`方法将字符串值转换为浮点值。

```java
public class Main
{  
	public static void main(String args[])
	{  
		try
		{
			String s1 = "500.778"; //String  
			float i1 = Float.valueOf(s1);  // Float.valueOf() method converts a String into float
			System.out.println(i1);  
			String s2 = "mohit"; //NumberFormatException
			float i2 = Float.valueOf(s2);
			System.out.println(i2);
		}
		catch(Exception e)
		{
			System.out.println("Invalid input");
		}
	}
}
```

500.778
无效输入

## 3.通过使用`floatValue()`方法

## 例 3:

这里，考虑到字符串中可能出现的额外空格，使用`floatValue()`方法将字符串转换为浮点值。

```java
public class StudyTonight
{
	public static void main (String[] args)
	{
		String s = "34.00";
		try
		{
			float f = Float.valueOf(s.trim()).floatValue();
			System.out.println("float value is = " + f);
		}
		catch (NumberFormatException nfe)
		{
			System.out.println("NumberFormatException: " + nfe.getMessage());
		}
	}
}
```

浮点值为= 34.0

* * *

* * *