# 如何将 Java 字符串转换为`double`

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-string-to-double>

在 Java 中，可以使用 [Double.parseDouble()](https://www.studytonight.com/java-wrapper-class/java-double-parsedouble-method) 方法将字符串转换为双精度值。另外，可以使用 [Double.valueOf()](http://www.studytonight.com/java-wrapper-class/java-double-valueofstring-s-method) 方法将[字符串](https://www.studytonight.com/java/string-handling-in-java.php)转换为 Double 对象。

每当从文本字段或文本区域接收到数据(数字)时，它都是以字符串的形式出现的，如果我们想要双精度类型，那么在执行任何数学运算之前，需要将其转换为双精度类型。这是通过 [parseDouble()](https://www.studytonight.com/java-wrapper-class/java-double-parsedouble-method) 方法完成的。

## 1.通过使用`Double.parseDouble()`方法

[parseDouble()](https://www.studytonight.com/java-wrapper-class/java-double-parsedouble-method) 方法是 [Double](https://www.studytonight.com/java/wrapper-class.php) 类的一部分。这是一个静态方法，用于将字符串转换为双精度值。

## 例 1:

这里，使用 parseDouble()方法将字符串值转换为`Double`类型值。请看下面的例子。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		String s="454.90"; //String Decleration 
		double i = Double.parseDouble(s);  // Double.parseDouble() converts the string into double
		System.out.println(i);  
	}
} 
```

454.9

## 2.使用`Double.valueOf()`方法购买

()法的[值是](https://www.studytonight.com/java-wrapper-class/java-double-valueofstring-s-method)[双](https://www.studytonight.com/java/wrapper-class.php)类的一部分。此方法用于将`String`转换为`Double`对象。

## 例 2:

这里，使用`valueOf()`方法将`String`值转换为双精度值。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		try
		{
			String s1 = "500.77"; //String declaration 
			double i1 = Double.valueOf(s1);  // Double.valueOf() method converts a String into Double
			System.out.println(i1);  
			String s2 = "mohit"; //NumberFormatException
			double i2 = Double.valueOf(s2);
			System.out.println(i2);
		}
		catch(Exception e)
		{
			System.out.println("Invalid input");
		}
	}
}
```

500.77
无效输入

## 例 3:

如果我们想要转换一个包含逗号的值，那么使用`replaceAll()`方法来替换逗号，使用`parseDouble()`方法来获得双精度值。这里，考虑到逗号，字符串值被转换为双精度值。

```java
public class StudyTonight
{  
   public static void main(String args[])
   {  

       String s = "4,54,8908.90"; //String Decleration 

       //replace all commas if present with no comma
       String s1 = s.replaceAll(",","").trim(); 

       // if there are any empty spaces also take it out.          
       String f = s1.replaceAll(" ", ""); 

       //now convert the string to double
       double result = Double.parseDouble(f);

       System.out.println("Double value is : "+ result);
    }

} 
```

双值为:4548908.9

* * *

* * *