# 如何将 Java `double`转换为字符串

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-double-to-string>

在 Java 中，我们可以通过以下两种方式将`double`转换为`String`:

*   通过使用 [String.valueOf()](https://www.studytonight.com/java/string-class-functions.php) 方法

*   通过使用 [Double.toString()](https://www.studytonight.com/java-wrapper-class/java-double-tostringdouble-d-method) 方法

## 1.通过使用`String.valueOf()`方法

()方法的[值是](https://www.studytonight.com/java/string-class-functions.php)[字符串](https://www.studytonight.com/java/string-handling-in-java.php)类的一部分。这是一个将双精度值转换为字符串值的静态方法。

## 例 1:

这里，方法中传递的双精度值被转换成`String`。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		double n = 500.88;  
		String s=String.valueOf(n); 
		System.out.println("The string value is " +s);
		System.out.println(n+100); //will return 600.88 because + is binary plus operator 
		System.out.println(s+100);//will return 500.88100 because + is string concatenation operator  
	}
}
```

字符串值为 500.88
600.88
500.88100

## 2.通过使用`Double.toString()`方法

[toString()](https://www.studytonight.com/java-wrapper-class/java-double-tostringdouble-d-method) 方法是[双](https://www.studytonight.com/java/wrapper-class.php)类的一部分。这是一种`static`方法，也可以用来将双精度值转换为字符串。

## 例 2:

这里，方法中传递的双精度值被转换为字符串。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		double n = 500.77;  
		String s = Double.toString(n); 
		System.out.println("The string value is " +s);
		System.out.println(n+100); //will return 600 because + is binary plus operator 
		System.out.println(s+100);//will return 500100 because + is string concatenation operator  
	}
}
```

字符串值为 500.77
600.77
500.77100

## 例 3:

这里，在方法中传递的双精度值被转换成一个`String`格式的数字，达到指定的位数。

```java
import java.text.DecimalFormat;
public class StudyTonight
{  
	public static void main(String args[])
	{  
		double num = 500.88;  
		System.out.println(String.format ("%f", num));
		System.out.println(String.format ("%.9f", num));
		DecimalFormat decimalFormat = new DecimalFormat("#,##0.000000");
		String numberAsString = decimalFormat.format(num);
		System.out.println(numberAsString);
	}
}
```

500.88 万
500.88 万
500.88 万

## 例 4:

这里，方法中传递的双精度值使用连接转换为`String`。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		double num = 500.88;  
		String s = num+""; //concat
		System.out.println(s);
	}
}
```

500.88

* * *

* * *