# 如何将 Java 字符串转换为字符

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-string-to-char>

在 Java 中，一个[字符串](https://www.studytonight.com/java/string-handling-in-java.php)可以通过使用 String 类的内置方法和自己的自定义代码转换成一个 char。以下是本主题中将用于将字符串转换为字符的方法。

*   [charAt()](https://www.studytonight.com/java/string-class-functions.php) 方法

*   [toCharArray()](https://www.studytonight.com/java/string-class-functions.php) 方法

## 1.通过使用`charAt()`方法

[charAt()](https://www.studytonight.com/java/string-class-functions.php) 方法是[弦](https://www.studytonight.com/java/string-handling-in-java.php)类的一部分。此方法用于返回指定索引的单个字符。必须注意的是，这个方法只返回一个字符，为了得到多个字符，应该使用循环。

## 例 1:

通过使用 [charAt()](https://www.studytonight.com/java/string-class-functions.php) 方法，从给定字符串中返回指定索引处的字符`charAt(0)`返回字符串的第一个字符。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		String s = "studytonight";  
		char c = s.charAt(0);//returns s  
		System.out.println("1st character is: " +c);  
	}
} 
```

第一个字符为:s

## 例 2:

这里，使用循环将整个字符串转换为字符。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		String s = "mohit";    
		for(int i=0; i<s.length();i++)
		{  
			char c = s.charAt(i);  
			System.out.println("char at "+i+"th index is: "+c);  
		}   
	}
} 
```

第 0 个索引处的字符为:m 第 1 个索引处的字符为:o 第 2 个索引处的字符为:h 第 3 个索引处的字符为:I 第 4 个索引处的字符为:t

## 2.通过使用`toCharArray()`方法

[toCharArray()](https://www.studytonight.com/java/string-class-functions.php) 方法是[弦](https://www.studytonight.com/java/string-handling-in-java.php)类的一部分。此方法将字符串转换为字符数组。

## 例 3:

这里，使用`toCharArray()`方法将字符串转换为字符数组。请看下面的例子。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		String s = "mohit";    
		for(int i=0; i<s.length();i++)
		{  
			char[] c = s.toCharArray();   
			System.out.println("char at "+i+"th index is: "+c[i]);  
		}   
	}
} 
```

第 0 个索引处的字符为:m 第 1 个索引处的字符为:o 第 2 个索引处的字符为:h 第 3 个索引处的字符为:I 第 4 个索引处的字符为:t

* * *

* * *