# 如何将 Java 字符转换为字符串

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-char-to-string>

在 Java 中，我们可以使用 String 类将 char 转换成[字符串](https://www.studytonight.com/java/string-handling-in-java.php)。类提供了返回字符串的方法。让我们用例子来看看。

## 1.通过使用`String.valueOf()`方法

[valueOf()](https://www.studytonight.com/java/string-class-functions.php) 方法是`String`类的一部分。这是一种将字符转换为字符串值的静态方法。

## 例 1:

这里，方法中传递的字符值被转换为字符串。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		char ch = 'D';  
		String s = String.valueOf(ch); //valueOf() method converts character into String
		System.out.println("The string value is " +s);
	}
}
```

字符串值为 D

## 2.通过使用`Character.toString()`方法

`toString()`法是[人物](https://www.studytonight.com/java/wrapper-class.php)类的一部分。这是一种静态方法，也可用于将字符转换为字符串。

## 例 2:

这里，在方法中传递一个字符值，并将其转换为`String`。请看下面的例子。

```java
package com.studytonight;

public class StudyTonight
{  
	public static void main(String args[])
	{  
		char ch = 'M';  
		String s  = Character.toString(ch); 
		System.out.println("The string value is " +s);
	}
}
```

字符串值为 M

## 例 3:

这里，在方法中传递一个字符值，并使用连接将其转换为字符串。我们使用+运算符将字符值与空字符串连接起来。+运算符在连接后返回一个字符串。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		char ch = 'D';  
		String s = "" + ch;
		System.out.println("The string is : "+s);
	}
}
```

弦是:D

## 例 4:

这里，通过创建字符值的字符串实例，将方法中传递的字符值转换为字符串。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		char ch = 'D';  
		String s = new String(new char[]{ch});
		System.out.println("The string is : "+s);
	}
}
```

弦是:D

## 例 5:

这里，方法中传递的字符值使用`toString()`转换为字符串。

```java
package com.studytonight;

public class StudyTonight
{  
	public static void main(String args[])
	{  
		char ch = 'D';  
		String s = new Character(ch).toString();
		System.out.println("The string is : "+s);
	}
}
```

弦是:D

* * *

* * *