# 如何将 Java 对象转换为字符串

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-object-to-string>

在 Java 中，可以使用`toString()`和`valueOf()`方法将一个对象转换为[字符串](https://www.studytonight.com/java/string-handling-in-java.php)。这两种方法都属于`String`类。我们可以将一个对象转换成`String`而不管它是不是用户定义的类、`StringBuffer`、`StringBuilder`等等。

## 例 1:

这里，类`Student`的对象是转换为字符串的用户定义的类。

```java
package com.studytonight;

class Student   // user-defined class
{
	String name;
	int id;

	public Student(String name, int id) {
		super();
		this.name = name;
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	@Override
	public String toString() {
		return "Name: "+name+" Id: "+id;
	}
}
public class StudyTonight
{  
	public static void main(String args[])
	{  
		Student ob = new Student("Irfan",12); //object of user-defined class Student
		System.out.println(ob +" "+ob.getClass());
		String s1 = ob.toString();  
		System.out.println(s1+" "+s1.getClass());    
	}
} 
```

姓名:伊尔凡 Id: 12 班 com . study 今夜.学生
姓名:伊尔凡 Id: 12 班 java.lang.String

## 例 2:

这里`StringBuilder`类对象转换为 String。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		String s = "Welcome to studytonight";  
		StringBuilder sb = new StringBuilder(s);
		String sr = sb.toString();
		System.out.println("String is: "+sr);
	}
}
```

字符串为:欢迎今晚学习

* * *

* * *