# 如何将 Java `int`转换为`long`

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-int-to-long>

在 Java 中，`int`值可以通过简单的赋值运算符转换成`long`值。这是因为这个转换是一个 [**隐式类型转换**](https://www.studytonight.com/java/type-casting-in-java.php) ，其中较低的数据类型会自动转换为较高的数据类型。

## 例 1:

这里，`int`值通过赋值运算符隐式转换为`long`值。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		int i = 500;  
		long l = i;  
		System.out.println(" The long value is : " +l); 
	}
}
```

长值为:500

此外，我们可以通过实例化`Long`类或使用 [Long.valueOf()](https://www.studytonight.com/java-wrapper-class/java-long-valueoflong-i-method) 方法将`int`值转换为 [Long](https://www.studytonight.com/java/wrapper-class.php) 对象。

## 例 2:

这里，通过实例化类并使用 [valueOf()](https://www.studytonight.com/java-wrapper-class/java-long-valueoflong-i-method) 方法，将`int`值转换为 [Long](https://www.studytonight.com/java/wrapper-class.php) 对象。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		int i = 200;  
		long l = Long.valueOf(i); //conversion using the valueOf() method  
		System.out.println(i);  
		System.out.println(l);  
	}
}
```

200
200

## 例 3:

这里，`int`值通过实例化长值隐式转换为`long`值。

```java
public class StudyTonight
{  
	public static void main(String args[])throws Exception
	{  
		int n = 232;
		long l = new Long(n);
		System.out.println("long value is : " +l);
	}
}
```

长值为:232

* * *

* * *