# 如何将 Java `long`转换为`int`

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-long-to-int>

在 Java 中，可以使用*类型转换*操作符将`long`转换为`int`。这是因为，为了将较高的数据类型转换为较低的数据类型，需要执行*类型转换*，这种类型的转换称为 [**类型转换**](https://www.studytonight.com/java/type-casting-in-java.php) 。

在 Java 中，类型转换是通过类型转换运算符*(数据类型)*来执行的。

## 例 1:

这里，使用类型转换操作符将原始`long`值转换为`int`。

```java
public class StudyTonight
{  
  public static void main(String args[])
  {  

   long l = 500L;  
   int i = (int)l;  //typecasting 
   System.out.println("The int value is " +i); 

  }
}
```

整数值为 500

另外，我们可以通过 [Long](https://www.studytonight.com/java/wrapper-class.php) 类的 [intValue()](https://www.studytonight.com/java-wrapper-class/java-long-intvalue-method) 方法将一个 [Long](https://www.studytonight.com/java/wrapper-class.php) 对象转换为一个 int。

## 例 2:

这里`Long`对象通过 [intValue()](https://www.studytonight.com/java-wrapper-class/java-long-intvalue-method) 方法转换为 int。

```java
public class StudyTonight
{  
  public static void main(String args[])
  {  

   Long l = new Long(50);  
   int i  = l.intValue();  
   System.out.println("The int value is : " +i);   

  }
}
```

int 值为:50

## 例 3:

这里，使用`Math`类的`toIntExact()`方法将原始`long`值转换为`int`。

```java
public class StudyTonight
{  
  public static void main(String args[])
  {  

   long l = 100L;
   int i = Math.toIntExact(l);
   System.out.println("The int value is " +i); 

  }
}
```

整数值为 100

* * *

* * *