# 如何将 Java `int`转换为`double`

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-int-to-double>

在 Java 中，`int`值可以通过简单的赋值运算符转换成`double`值。这是因为该转换是**类型提升(隐式类型转换)**的一个例子，其中较低的数据类型被自动转换为较高的数据类型。

## 例 1:

这里，`int`值通过赋值运算符隐式转换为`double`值。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		int i = 500;  
		double l = i;  
		System.out.println(" The double value is : " +l); 
	}
}
```

双值为:500.0

此外，我们可以通过实例化 [Double](https://www.studytonight.com/java/wrapper-class.php) 类或使用 [Double.valueOf()](https://www.studytonight.com/java-wrapper-class/java-double-valueofdouble-d-method) 方法将`int`值转换为 [Double](https://www.studytonight.com/java/wrapper-class.php) 对象。

## 例 2:

这里，通过实例化类并使用 [valueOf()](https://www.studytonight.com/java-wrapper-class/java-double-valueofdouble-d-method) 方法将`int`值转换为双精度值。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		int i = 200;  
		double d1 = new Double(i);  //conversion using the instantiation  
		double d2 = Double.valueOf(i); //conversion using the valueOf() method  
		System.out.println(d1);  
		System.out.println(d2);  
	}
}
```

200.0
200.0

* * *

* * *