# 如何将 Java `int`转换为`char`

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-int-to-char>

在 Java 中，一个`int`可以使用 [*打字*](https://www.studytonight.com/java/type-casting-in-java.php) 转换成一个`char`值。这是因为为了将较高的数据类型转换为较低的数据类型，需要执行类型转换。与整数值相关联的 ASCII 字符将存储在 char 变量中。

“0”与 int 变量相加，以获得 char 变量的实际值。另外，可以使用 [Character.forDigit()](https://www.studytonight.com/java-wrapper-class/java-character-fordigit-method) 方法。

## 打字

类型转换是通过类型转换运算符将较高的数据类型转换为较低的数据类型来完成的。

## 例 1:

这里采用了各种情况，将 int 转换为 char。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		int n1 = 65;  
		char ch1 = (char)n1;  
		System.out.println(ch1);  

		int n2 = 98;    
		char ch2 = (char)n2;   
		System.out.println(ch2); 

		int n3 = 102;    
		char ch3 = (char)(n3);  
		System.out.println(ch3); 
	}
}
```

A
b
f

## 使用`Character.forDigit()`方法转换

[forDigit()](https://www.studytonight.com/java-wrapper-class/java-character-fordigit-method) 方法是[字符](https://www.studytonight.com/java/wrapper-class.php)类的一部分，根据基数值返回特定数字的字符。

## 例 2:

这里，int 值(数字)根据基数值转换为 char。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		int r1 = 10;
		int r2 = 16;
		int a = 7;   
		char ch1= Character.forDigit(a,r1);    
		System.out.println(ch1);
		char ch2 = Character.forDigit(a,r2);    
		System.out.println(ch2);
	}
}
```

7
7

## 例 3:

这里，使用`toString()`和`charAt()`方法将 int 值(数字)转换为 char。请看下面的例子。

```java
public class StudyTonight
{  
    public static void main(String[] args)
    {  
      int a = 1;
      char b = Integer.toString(a).charAt(0);
      System.out.println(b);

    }  
} 
```

1

* * *

* * *