# 如何将 Java 字符串转换为布尔值

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-string-to-boolean>

在 Java 中，[字符串](https://www.studytonight.com/java/string-handling-in-java.php)可以通过`Boolean.parseBoolean(string)`和 valueOf()方法转换成布尔值。

为了获得布尔真，字符串必须包含“真”而不考虑大小写(大写**真**或小写**真**)。除“true”之外的任何其他字符串值都将返回布尔值 false。

## 1.`Boolean.parseBoolean(string)`方法

`parseBoolean()`方法是[布尔](https://www.studytonight.com/java/wrapper-class.php)类的一部分，用于将字符串值转换为布尔值。

### 语法:

以下是语法:

```java
public static boolean parseBoolean(String s) 
```

## 例 1:

这里，[字符串](https://www.studytonight.com/java/string-handling-in-java.php) s1 和 s2 将为布尔真，所有其他字符串将返回布尔假。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		String s1 = "true";  
		String s2 = "TRUE";  
		String s3 = "studytonight";  

		boolean b1=Boolean.parseBoolean(s1);  
		boolean b2=Boolean.parseBoolean(s2);  
		boolean b3=Boolean.parseBoolean(s3);  

		System.out.println(b1);  
		System.out.println(b2);  
		System.out.println(b3);  
	}
}
```

真
真
假

此外，可以使用`Boolean.valueOf()`方法将`String`转换为`Boolean`对象。

## 2.`Boolean.valueOf()`方法

`valueOf()`方法是`Boolean`类的一部分，返回传递的`String`值的[布尔](https://www.studytonight.com/java/wrapper-class.php)对象。

## 例 2:

这里，返回传递的字符串的布尔值。

```java
public class StudyTonight
{  
	public static void main(String args[])
	{  
		String s1 = "true";    
		String s2 = "TRUE";    
		String s3 = "studytonight";    

		boolean b1 = Boolean.valueOf(s1);    
		boolean b2 = Boolean.valueOf(s2);    
		boolean b3 = Boolean.valueOf(s3);    

		System.out.println(b1);    
		System.out.println(b2);    
		System.out.println(b3); 
	}
}
```

真
真
假

* * *

* * *