# 如何将 Java 日期转换为时间戳

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-date-to-timestamp>

在 Java 中，[日期](https://www.studytonight.com/java-8/java-8-date-and-time-api)可以通过使用`TimeStamp`类的构造器转换成`TimeStamp`，该类是`java.sql`包的一部分。

必须注意的是，时间戳类的构造器将日期作为长值作为参数，因此必须使用`java.util`包的`Date`类的`getTime()`方法将日期转换为长值。

## 例 1:

这里[日期](https://www.studytonight.com/java-8/java-8-date-and-time-api)转换为`TimeStamp`。

```java
import java.sql.Timestamp;
import java.util.Date;  

public class CoreJava
{    
	public static void main(String args[])
	{    
		Date d = new Date();  //object of Date class
		Timestamp t = new Timestamp(d.getTime());  
		System.out.println(t);                     
	}    
} 
```

2020-09-24 04:41:32.471

## 例 2:

这里，时间戳值是使用`java.text`包的`SimpleDateFormat`类的构造器以 **yyyy-MM-dd HH:mm: ss** 格式格式化的。

```java
import java.sql.Timestamp;    
import java.util.Date; 
import java.text.SimpleDateFormat;

 public class StudyTonight
 {    
   public static void main(String args[])
    {    
      Date d = new Date();  
      Timestamp t = new Timestamp(d.getTime());  
      SimpleDateFormat f = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");  
      System.out.println(f.format(t));                        
    }    
} 
```

2020-09-24 04:49:06

## 例 3:

这里，字符串[日期](https://www.studytonight.com/java-8/java-8-date-and-time-api)使用`Timestamp`类的`valueOf()`方法转换为`TimeStamp`。

```java
import java.sql.Timestamp;    
import java.util.Date; 
import java.text.SimpleDateFormat;

public class CoreJava
{    
	public static void main(String args[])
	{    
		String input = "2007-11-11 12:13:14" ;
		Timestamp ts = Timestamp.valueOf( input ) ; 
		SimpleDateFormat f = new SimpleDateFormat("yyyy-MM-dd ");  
		System.out.println(f.format(ts));
	}    
} 
```

2007-11-11

* * *

* * *