# 如何将 Java 二进制转换为十进制

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-binary-to-decimal>

在 Java 中，可以使用[integer . parsent()](https://www.studytonight.com/java-wrapper-class/java-integer-parseint-string-int-method)方法和自己创建的自定义代码将二进制转换为十进制。让我们看看例子。

## 1.`Integer.parseInt()`方法

[parseInt()](https://www.studytonight.com/java-wrapper-class/java-integer-parseint-string-int-method) 方法是 [Integer](https://www.studytonight.com/java/wrapper-class.php) 类的一部分，该类根据指定的基数将字符串转换为 Int。

## 例 1:

这里，二进制字符串被转换成十进制值。如果二进制文件是`String`类型的，或者我们可以先将值转换为字符串，然后应用 parseInt()方法，那么这个例子非常有用。请看下面的例子。

```java
public class Studytonight
{    
	public static void main(String args[])
	{    
		String b1 = "111010";
		String b2 = "11001010";
		String b3 = "1110";

		int d1 = Integer.parseInt(b1,2);
		int d2 = Integer.parseInt(b2,2);
		int d3 = Integer.parseInt(b3,2);

		System.out.println("Decimal value is : " +d1);
		System.out.println("Decimal value is : " +d2);
		System.out.println("Decimal value is : " +d3);
	}    
}
```

小数值为:58
小数值为:202
小数值为:14

## 例 2:

如果您不想使用任何内置方法，那么就使用这个将二进制值转换为十进制值的自定义代码。请看下面的例子。

```java
public class CoreJava
{    
	public static int decimalconvt(int bin)
	{  
		int dec = 0;  
		int n = 0;  

		while(true)
		{  
			if(bin == 0)
			{  
				break;  
			}
			else 
			{  
				int t = bin % 10;  
				dec+= t * Math.pow(2, n);  
				bin = bin/10;  
				n++;  
			}  
		}  
		return dec;
	}
	public static void main(String args[])
	{    
		System.out.println("Decimal of 1010001 is: "+decimalconvt(1010001));  
		System.out.println("Decimal of 1010110 is: "+decimalconvt(1010110));  
		System.out.println("Decimal of 11111011 is: "+decimalconvt(11111011));  
	}    
}
```

1010001 的小数为:81
1010110 的小数为:86
11111011 的小数为:251

* * *

* * *