# 如何将 Java 十进制转换为二进制

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-decimal-to-binary>

在 Java 中，十进制值可以通过 [Integer.toBinaryString()](https://www.studytonight.com/java-wrapper-class/java-integer-tobinarystring-method) 方法或自己的自定义代码转换成二进制值。让我们看看例子。

## 1.`Integer.toBinaryString()`方法

[toBinaryString()](https://www.studytonight.com/java-wrapper-class/java-integer-tobinarystring-method) 方法是 [Integer](https://www.studytonight.com/java/wrapper-class.php) 类的一部分，它将十进制转换为二进制字符串，二进制字符串还可以转换为其他类型，如`int`或`float`。

## 例 1:

这里，使用`toBinaryString()`方法将十进制值转换为二进制字符串。请看下面的例子。

```java
public class StudyTonight
{    
	public static void main(String args[])
	{    
		int d1 = 7;
		int d2 = -232;
		int d3 = 90902;

		String b1 = Integer.toBinaryString(d1);
		String b2 = Integer.toBinaryString(d2);
		String b3 = Integer.toBinaryString(d3);

		System.out.println("Binary value is : " +b1);
		System.out.println("Binary value is : " +b2);
		System.out.println("Binary value is : " +b3);
	}    
}
```

二进制值为:111
二进制值为:1111111111111111100011000
二进制值为:101100011000010110

## 例 2:

可以使用自定义逻辑将十进制值转换为二进制值。当您不想使用任何内置方法时，就是这种情况。

```java
public class StudyTonight
{    
	public static void main(String [] args)
	{  
		int dec = 343;
		int bin[] = new int[30];    
		int i = 0;    
		while(dec > 0)
		{    
			bin[i++] = dec%2;    
			dec = dec/2;    
		}    
		for(int j = i-1; j >= 0 ;j--)
		{    
			System.out.print(bin[j]);    
		}    
		System.out.println();
	}
}
```

101010111

* * *

* * *