# 如何将 Java 十进制转换为十六进制

> 原文：<https://www.studytonight.com/java-type-conversion/how-to-convert-java-decimal-to-hexadecimal>

在 Java 中，Decimal 可以使用[integer . to exstring()](https://www.studytonight.com/java-wrapper-class/java-integer-tohexstring-method)方法或自己的自定义代码转换成十六进制。让我们看看例子。

## 1.`Integer.toHexString()`方法

[to exstring()](https://www.studytonight.com/java-wrapper-class/java-integer-tohexstring-method)方法是 [Integer](https://www.studytonight.com/java/wrapper-class.php) 类的一部分，该类将十进制字符串转换为十六进制字符串，而十六进制字符串又可以转换为`int`或`float`类型。

## 例 1:

这里，使用`toHexString()`方法将十进制值转换为十六进制字符串。

```java
public class StudyTonight
{    
	public static void main(String args[])
	{    
		int d1 = 7;
		int d2 = -232;
		int d3 = 90902;

		String h1 = Integer.toHexString(d1);
		String h2 = Integer.toHexString(d2);
		String h3 = Integer.toHexString(d3);

		System.out.println("Binary value is : " +h1);
		System.out.println("Binary value is : " +h2);
		System.out.println("Binary value is : " +h3);
	}    
}
```

二进制值为:7
二进制值为:ffffff18
二进制值为:16316

## 例 2:

可以使用自定义逻辑将十进制值转换为十六进制值。

```java
public class StudyTonight
{    
	public static void main(String [] args)
	{  
		int dec = 34673;
		int r;  
		String hex = "";   
		char hexch[]={'0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F'};  
		while(dec>0)  
		{  
			r = dec % 16;   
			hex = hexch[r]+hex;   
			dec = dec/16;  
		}  
		System.out.println("The hexadecimal value is " +hex);  
	}
}
```

十六进制值为 8771

* * *

* * *