# Java `Integer.byteValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-bytevalue-method>

Java `byteValue()`方法属于`java.lang`包的`Integer` 类，覆盖了`Number`类的`byteValue()`方法。此方法在缩小图元转换(将较高数据类型转换为较低数据类型)后，返回整数对象的**等效字节**。

简而言之，该方法用于**将整数对象转换为字节值。**

### 语法:

```java
public byte byteValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后会创建`Byte`类型对象的数字等价物。

## 例 1:

在这里，使用`byteValue()`函数，整数值被转换成其数字字节等价物。

```java
import java.lang.Integer;

public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        //converting integer object into byte
          Integer x = 95;
          byte i=x.byteValue();
          System.out.println(" Equivalent byte value is " +i);

          Integer y = -25;  
          byte d = y.byteValue();  
          System.out.println(" Equivalent byte value is " +d);
      }  
}
```

等效字节值为 95
等效字节值为-25

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的字节值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              int i = sc.nextInt();  
              Integer n = i ;  
              byte val = n.byteValue();  
              System.out.println("Byte Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid integer"); 
           }
    }
}
```

输入要转换的值:67
字节值为:67
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *要转换的值:---93
字节值为:-93

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *