# Java `Integer.doubleValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-doublevalue-method>

Java `doubleValue()`方法属于`Integer`类。此方法在扩展原始类型转换(将较低的数据类型转换为较高的数据类型)后返回整数的**双等值**。

简而言之，该方法用于**将一个整数对象转换为一个双精度值。**

### 语法:

```java
public double doubleValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后创建的双精度类型对象的等效数值。

## 例 1:

在这里，使用`doubleValue()`函数，整数值被转换成其数值的双等值。

```java
import java.lang.Integer;

public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        //converting integer object into double
          Integer x = 99;
          double i=x.doubleValue();
          System.out.println(i);

          Integer y = 23;  
          double d = y.doubleValue();  
          System.out.println(d);
      }  
} 
```

99.0
23.0

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并得到等价的双精度值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              int i = sc.nextInt();  
              Integer n = i ;  
              double val = n.doubleValue();  
              System.out.println("Double Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid integer"); 
           }
    }
} 
```

输入要转换的值:800
双精度值为:800.0
* * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:89f
不是有效的整数

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *