# Java `Integer.equals()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-equals-method>

Java `equals()`方法属于`Integer`类。此方法用于将当前使用的整数对象的值与参数的值进行比较。它的返回类型为布尔值，即如果整数对象的值等于参数的值，则返回 true 如果整数对象的值不等于参数的值，则返回 false。

该方法覆盖了`Object`类的`equals()`方法。

### 语法:

```java
public boolean equals(Object obj)
```

### 参数:

传递的参数是要检查是否与整数相等的对象。

### 返回:

如果 Integer 对象值的值等于作为参数传递的值，则返回`true`，如果 Integer 对象值的值不等于作为参数传递的值，则返回`false` 。

## 例 1:

这里检查整数对象 ob1、ob2、ob3 是否相等。

```java
public class StudyTonight 
{  
    public static void main(String[] args) 
    {          
        Integer ob1 = 20; 
        Integer ob2 = 40; 
        Integer ob3 = 40;  

         //Checking for objects with equal and unequal values
        System.out.println("ob1 and ob2 equal?  "+ob1.equals(ob2));  
        System.out.println("ob2 and ob3 equal?  "+ob2.equals(ob3));

    }  
} 
```

ob1 和 ob2 相等？假
ob2 和 ob3 相等？真实的

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并得到想要的结果。

```java
import java.util.Scanner;  
public class StudyTonight 
{  
    public static void main(String[] args)
    {          
        try
        {
          Scanner sc = new Scanner(System.in);  
          System.out.print("Enter first integer: ");  
          Integer n1 = sc.nextInt();  
          System.out.print("Enter second integer ");  
          Integer n2 = sc.nextInt();  
          boolean r = n1.equals(n2);  
            if (r==true)
             {               
               System.out.println("Same numbers entered");  
             }  
           else
             {  
               System.out.println("Different numbers entered");  
             }
        }
        catch(Exception e)
        {
          System.out.println("Invalid input!!Please check");
        }
    }  
} 
```

输入第一个整数:78
输入第二个整数 23
输入不同的数字
*******输入第一个整数:
输入第二个整数:89
输入第二个整数 89
输入相同的数字
*************************输入第一个整数:0x 09
输入无效！！请检查

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *