# Java `Integer.floatValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-floatvalue-method>

Java `floatValue()`方法属于`java.lang`包的`Integer`类。此方法在扩大基本转换(将较低的数据类型转换为较高的数据类型)后，返回整数的**浮动等价物**。

简而言之，该方法用于将整数对象转换为浮点值。

### 语法:

```java
public float floatValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后创建的整数对象的浮点等价物。

## 例 1:

在这里，使用`floatValue()`函数，整数对象被转换成它的浮点等价物。

```java
import java.lang.Integer;

public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        //converting integer object into float
          Integer x = 65;
          float i=x.floatValue();
          System.out.println(i);

          Integer y = 90;  
          float d = y.floatValue();  
          System.out.println(d);
      }  
} 
```

65.0
90.0

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等价的浮点值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              int i = sc.nextInt();  
              Integer n = i ;  
              float val = n.floatValue();  //converting integer object into float
              System.out.println("Float Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid integer"); 
           }
    }
}
```

输入要转换的值:23
浮点值为:23.0

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *