# Java `Integer.highestOneBit()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-highestonebit-method>

Java `highestOneBit()`方法是`java.lang`包的`Integer`类的一部分。此方法用于返回作为参数在最高阶(最左侧)位置传递的单个一位整数值，如果传递的参数为零，则返回零。

例如，int 17 的输入将返回 16；因为 17 可以用二进制表示为 10001，所以它将返回最左边的位，等于 16。

### 语法:

```java
public static int highestOneBit(int n)
```

### 参数:

传递的参数是要返回其最高位的整数值。

### 返回:

返回最高位位置的单个一位整数值，如果传递的参数为零，则返回零。

## 例 1:

这里，20 的二进制表示是 10100，因此最高一位是 16，在负二进制的情况下，将考虑等价的二进制补码，并相应地取最高位。

```java
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        int i=20;
        int j=-12;

        System.out.println(" highest-order one-bit Integer is: "+Integer.highestOneBit(i));  
        System.out.println(" highest-order one-bit Integer is: "+Integer.highestOneBit(j));  
    }  
}
```

最高阶一位整数为:16
最高阶一位整数为:-2147483648

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args)
    {  
        try
        {
           System.out.print("Enter the number : ");  
           Scanner sc = new Scanner(System.in);  
           Integer i = sc.nextInt();  
           System.out.println("Highest-order one-bit Integer is: "+Integer.highestOneBit(i));  
        }
        catch(Exception e)
        {

        }
    }
} 
```

输入数字:90
最高阶一位整数为:64
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T3】输入数字:-54
最高阶一位整数为:-2147483648

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *