# Java `Integer.intValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-intvalue-method>

Java `intValue()`方法属于`java.lang`的`Integer` 类，继承自`Number`类。这是一个实例方法，返回指定数字的**整数等价物**。

一般是**拆箱**的方法。虽然在 Java 5 引入后，转换是自动完成的(自动装箱)，但是了解装箱和拆箱的概念对你来说很重要。

**拆箱:**将`Integer`转换为`int`被称为拆箱

**拳击:**一个`int` 到 `Integer` 的转换称为拳击。

### 语法:

```java
public int intValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

对象转换为 int(原始类型)后的数值。

### 例外:

这种方法可以遇到的例外是`NullPointerException.`

## 例 1:

在这里，使用`intValue()`函数，整数对象被转换为其数值 int 等价物。

```java
import java.lang.Integer;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {                  
          Integer n1 = 25;  
          Integer n2 = 46;

          int i = n1.intValue(); // returns the value of the Integer object n1 as an int
          int j = n2.intValue(); // returns the value of the Integer object n2 as an int

          System.out.println("int value is " + i);  
          System.out.println("int value is " + j); 

        }  
}
```

int 值为 25
int 值为 46

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的 int 值。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args)
    {                  
        try
        {
           System.out.print("Enter The Value ");  
           Scanner sc = new Scanner(System.in);  
           int i = sc.nextInt();  
           Integer n = i; 
           System.out.println("Integer Value is: " + n.intValue()); //Converting the Integer object into int  
        }
        catch(Exception e)
        {
           System.out.println(" Invalid Input!!");
        }
   }
}
```

输入数值 38
整数值为:38
***********************输入数值学习 java
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *