# Java `Integer.longValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-longvalue-method>

Java `longValue()`方法属于`java.lang`包的`Integer` 类，继承自`Number`类。该方法返回整数对象的**长等价物**。

简而言之，该方法用于将整数对象转换为长值。

### 语法:

```java
public long longValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后创建的整数对象的长等价物。

## 例 1:

这里，使用`longValue()`函数，整数对象被转换成它的长等价物。

```java
import java.lang.Integer;

public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        //converting integer object into long
          Integer x = 15;
          long i=x.longValue();
          System.out.println("Long value is " +i);

          Integer y = 67;  
          long d = y.longValue();  
          System.out.println("Long value is " +d);
      }  
} 
```

长值为 15
长值为 67

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的长值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              int i = sc.nextInt();  
              Integer n = i ;  
              long val = n.longValue();  //converting integer object into long
              System.out.println("Long Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid integer"); 
           }
    }
}
```

输入要转换的值:67
长值为:67

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *