# Java `Integer.lowestOneBit()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-lowestonebit-method>

Java `lowestOneBit()`方法是`java.lang`包的`Integer`类的一部分。此方法用于返回作为参数在最低顺序(最右侧)位置传递的单个一位整数值，如果传递的参数为零，则返回零。

例如，int 17 的输入将返回 1；由于 17 可以用二进制表示为 10001，因此它将返回最接近的右位，它等于 1。

### 语法:

```java
public static int lowestOneBit(int n)
```

### 参数:

传递的参数是要返回其最低位的整数值。

### 返回:

如果传递的参数为零，则返回最低顺序位置的单个一位整数值和零。

## 例 1:

这里，17 的二进制等效值是 10001，因此最低一位是 1，在负二进制的情况下，将考虑等价的二进制补码，并相应地取最低位。

```java
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        int i=17;
        int j=-12;

        System.out.println(" lowest-order one-bit Integer is: "+Integer.lowestOneBit(i));  
        System.out.println(" lowest-order one-bit Integer is: "+Integer.lowestOneBit(j));  
    }  
}
```

最低阶一位整数为:1
最低阶一位整数为:4

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args)
    {  
        try
        {
           System.out.print("Enter the number : ");  
           Scanner sc = new Scanner(System.in);  
           Integer i = sc.nextInt();  
           System.out.println("Lowest-order one-bit Integer is: "+Integer.lowestOneBit(i));  
        }

        catch(Exception e)
        {

        }
    }
} 
```

输入数字:87
最低阶一位整数为:1
*****************输入数字:-65
最低阶一位整数为:1

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *