# Java `Integer.parseInt(String)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-parseint-string-val-method>

Java `parseInt(String s)`方法是`java.lang`包的`Integer`类的一部分。此方法用于将字符串值解析为带符号的十进制整数值。

必须注意的是，除了用于定义整数符号的第一个字符之外，字符串中传递的字符必须都是十进制的。可以是 **ASCII 减号“-”符号**来表示负值，也可以是 **ASCII 加号“+”符号**来表示正值。

### 语法:

```java
public static int parseInt(String s) throws NumberFormatException
```

### 参数:

传递的参数是字符串值，其带符号的十进制整数对象将被返回。

### 返回:

返回作为参数传递的字符串值的带符号十进制整数对象。

## 例 1:

这里，传递了两个字符串，并作为它们各自的带符号十进制整数对象返回。

```java
import java.lang.Integer;

public class StudyTonight 
{  
	public static void main(String[] args) 
	{  
		String s1 = "23"; 
		String s2 = "-23";
		int n1 = Integer.parseInt(s1);  //converts the passed string as signed positive integer
		int n2 = Integer.parseInt(s2);  //converts the passed string as signed negative integer

		System.out.println("Equivalent Integer object is : " + n1);
		System.out.println("Equivalent Integer object is : " + n2);
	}  
} 
```

等效整数对象为:23
等效整数对象为:-23

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Integer;
import java.util.Scanner;

public class StudyTonight 
{  
	public static void main(String[] args) 
	{  
		try
		{
			System.out.println("Enter Value");
			Scanner sc = new Scanner(System.in);
			String s = sc.nextLine();
			int n = Integer.parseInt(s);  //converts the passed string as signed integer
			System.out.println("Equivalent Integer object is : " + n);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入值
287
等效整数对象为:287
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入值
-456
等效整数对象为:-456
* * * * * * * * * * * * * * * * * * * * * * *输入值
0x567
无效！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *