# Java `Integer.parseUnsignedInt(String)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-parseunsignedint-string-method>

Java `parseUnsignedInt(String s)`方法是`java.lang`包的`Integer`类的一部分。此方法用于将字符串值解析为无符号十进制整数对象。

必须注意的是，除了用于定义整数符号的第一个字符之外，字符串中传递的字符必须都是十进制的。ASCII 加号“+”用于描述正值。

### 语法:

```java
public static int parseUnsignedInt(String s) throws NumberFormatException
```

### 参数:

传递的参数是要返回其无符号十进制整数对象的字符串值。

### 返回:

返回作为参数传递的字符串值的无符号十进制整数对象。

## 例 1:

这里，传递了两个字符串，并作为它们各自的无符号十进制整数对象返回。

```java
import java.lang.Integer;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {      
        String s1 = "23"; 
        String s2 = "132";
        int n1 = Integer.parseUnsignedInt(s1);  //converts the passed string as unsigned integer
        int n2 = Integer.parseUnsignedInt(s2);  //converts the passed string as unsigned integer

        System.out.println("Equivalent Integer object is : " + n1);
        System.out.println("Equivalent Integer object is : " + n2);    
    }  
} 
```

等效整数对象为:23
等效整数对象为:132

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Integer;
import java.util.Scanner;

public class StudyTonight {
  public static void main(String[] args) {
    try {
      System.out.println("Enter Value");
      Scanner sc = new Scanner(System. in );
      String s = sc.nextLine();
      int n = Integer.parseUnsignedInt(s); //converts the passed string as unsigned integer

      System.out.println("Equivalent Integer object is : " + n);
    }
    catch(Exception e) {
      System.out.println("Invalid Input!!");
    }
  }
}
```

输入值
45
等效整数对象为:45
* * * * * * * * * * * * * * * * * * * * * T4】输入值
-34
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *