# Java `Integer.reverse()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-reverse-method>

Java `reverse()`方法是`java.lang`包的 Integer 类的一部分。此方法用于返回通过反转传递的整数值的二进制补码表示的位的顺序而获得的值。

### 语法:

```java
public static int reverse(int i) 
```

### 参数:

传递的参数是一个整数值，其二进制等价值将被反转。

### 返回:

通过反转传递的参数的二进制补码表示的位的顺序而获得的值。

## 例 1:

这里，为了更好地理解该方法，取一个正数和一个负数。`Integer.toBinaryString()`方法用于表示数字的二进制等价形式。

```java
import java.lang.Integer;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
          int a = 202;  
          int b = -50;  
          System.out.println("Original Number = " + a);             
          System.out.println("Binary Representation is = " + Integer.toBinaryString(a)); 
          System.out.println("Number after reversal " + Integer.reverse(a));//reversal of the number

          System.out.println("\n Original Number = " + b);               
          System.out.println("Binary Representation is = " + Integer.toBinaryString(b));           
          System.out.println("Number after reversal = " + Integer.reverse(b));  
    }  
} 
```

原数= 202
二进制表示为= 11001010
反转后数 1392508928

原数= -50
二进制表示为= 11111111111111111111001110
反转后数= 1946157055

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.print("Enter Original Value ");  
           Scanner sc = new Scanner(System.in);  
           int i = sc.nextInt();  
           System.out.println("Actual Number = " + i);  
           System.out.println("Binary Representation = " + Integer.toBinaryString(i)); // returns the integer value into its binary equivalent 
           System.out.println("After reversing = " + Integer.reverse(i)); //returns the value obtained by reversal of bits
        }
        catch(Exception e)
        {
           System.out.println("Invalid Input");
        }

    }  
} 
```

输入原值 78
实际数值= 78
二进制表示= 1001110
换向后= 1912602624
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入原值-98
实际数值= -98
二进制表示= 111111111111111110011110
换向后= 21111111111111110

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *