# Java `Integer.reverseBytes()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-reversebytes-method>

Java `reverseBytes()`方法是`java.lang`包的 Integer 类的一部分。此方法用于返回通过反转传递的整数值的二进制补码表示的字节顺序而获得的值。

### 语法:

```java
public static int reverseBytes(int i) 
```

### 参数:

传递的参数是其字节要反转的整数值。

### 返回:

通过反转传递的参数的二进制补码表示的字节顺序获得的值。

## 例 1:

这里，为了更好地理解该方法，取一个正数和一个负数。`Integer.toBinaryString()`方法用于以二进制等价形式表示数字。

```java
import java.lang.Integer;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
          int a = 342;  
          int b = -23;  
          System.out.println("Original Number = " + a);             
          //converts number to equivalent binary string 
          System.out.println("Binary Representation is = " + Integer.toBinaryString(a)); 
          //reversal of the bytes
          System.out.println("Number after reversal " + Integer.reverseBytes(a)); 

          System.out.println("\n Original Number = " + b);               
          System.out.println("Binary Representation is = " + Integer.toBinaryString(b));           
          System.out.println("Number after reversal = " + Integer.reverseBytes(b));  
    }  
} 
```

原数= 342
二进制表示为= 101010110
反转后数 1442906112

原数= -23
二进制表示为= 11111111111111111101001
反转后数= -369098753

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.print("Enter Original Value ");  
           Scanner sc = new Scanner(System.in);  
           int i = sc.nextInt();  
           System.out.println("Actual Number = " + i);  
           // returns the integer value into its binary equivalent 
           System.out.println("Binary Representation = " + Integer.toBinaryString(i)); 
           //returns the value obtained by reversal of bytes
           System.out.println("After reversing = " + Integer.reverseBytes(i)); 
        }
        catch(Exception e)
        {
           System.out.println("Invalid Input");
        }

    }  
} 
```

输入原值 54
实际数值= 54
二进制表示= 110110
换向后= 905969664
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T5】输入原值-43
实际数值= -43
二进制表示= 11111111111111111010101
换向后=-7041

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *