# Java `Integer.signum()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-signum-method>

Java `signum()`是`java.lang`包的 Integer 类的一部分。此方法用于返回传递的值的 signum 函数值。

符号函数是提取实数符号的函数。因此，signum 函数值返回:

1;如果该值为正

0;如果该值为零

-1;如果该值为负

### 语法:

```java
public static int signum(int i)
```

### 参数:

要返回其符号值的整数值。

### 返回:

返回作为参数传递的整数值的符号值。正数、零和负数的值分别为 1、0 或-1。

## 例 1:

这里显示了正、负和零的符号函数值:

```java
import java.lang.Integer;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
      int a = 9;
      int b = -4;
      int c = 0;
      //signum value for positive number  
      System.out.println("Signum value of " + a + " is " +Integer.signum(a)); 
      //signum value for negative number
      System.out.println("Signum value of " + b + " is " +Integer.signum(b)); 
      // signum value for zero
      System.out.println("Signum value of " + c + " is " +Integer.signum(c)); 
    }  
} 
```

希格诺值 9 为 1
希格诺值-4 为-1
希格诺值 0 为 0

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args)
    {  
        try
        {
           System.out.print("Enter Value :");       
           Scanner sc = new Scanner(System.in);  
           int a = sc.nextInt();  
           int res = Integer.signum(a);  //return the signum value
           System.out.print("Signum value is "+res);
        }
        catch(Exception e)
        {
          System.out.println("Invalid Input!!");
        }   
    }  
} 
```

输入值:65
希格诺值为 1
*****************输入值:-34
希格诺值为-1
*********输入值:0
希格诺值为 0

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *