# Java `Integer.toOctalString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-tooctalstring-method>

Java `toOctalString()`方法是`java.lang`包的`Integer`类的一部分。此方法用于将作为无符号整数传递的值的八进制等效值作为字符串返回。

例如:对于值 **200** ，返回的等效八进制字符串将是 **310** 。

### 语法:

```java
public static String toOctalString (int i) 
```

### 参数:

传递的参数是一个整数值，将返回其等价的 8 进制**八进制**的字符串表示形式。

### 返回:

返回作为等效的 8 进制八进制值传递的参数的字符串表示形式。

## 例 1:

这里，为了更好地理解该方法，取一个正数和一个负数。

```java
import java.lang.Integer;
public class StudyTonight
{  
    public static void main(String[] args) 
    {          
        int i = 284; 
        int j = -56;
        System.out.println("Actual number is = " + i);  
        //returns the integer value in octal base 8 as a string
        System.out.println("Octal equivalent is = " + Integer.toOctalString(i));

        System.out.println("Actual number is = " + j);  
        //returns the integer value in octal base 8 as a string
        System.out.println("Octal equivalent is = " + Integer.toOctalString(j)); 
    }  
} 
```

实际数为= 284
八进制当量为= 434
实际数为= -56
八进制当量为= 37777777710

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args) 
    {          
        try
        {
            System.out.print("Enter the Number = ");  
            Scanner sc = new Scanner(System.in);  
            int i = sc.nextInt();  
            System.out.println("Actual Number is  = " + i);  
            //returns the integer value in octal base 8 as a string
            System.out.println("Octal representation is = " + Integer.toOctalString(i)); 
        }  
        catch(Exception e)
        {
            System.out.println("Invalid Number");
        }
    }
} 
```

输入数字= 243
实际数字为= 243
八进制表示为= 363
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入数字= -45
实际数字为= -45
八进制表示为= 3777777723
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入数字= 0x97
无效数字

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *