# Java `Integer.toString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-tostring-int-method>

Java `toString()`方法是`java.lang`包的`Integer`类的一部分。此方法返回作为参数传递的整数值的等效字符串对象。

简而言之，该方法用于将**整数值**转换为字符串。

### 语法:

```java
public static String toString(int i) 
```

### 参数:

传递的参数是要返回其等效字符串的整数值。

### 返回:

返回作为参数传递的整数值的等效字符串。

## 例 1:

在这里，整数值被转换成其等价的字符串表示形式。

```java
import java.lang.Integer;
public class StudyTonight
{  
    public static void main(String[] args)
    {  
        int a = 40;
        int b = -56;
        System.out.println("Equivalent String is : "+Integer.toString(a));   
        System.out.println("Equivalent String is : "+Integer.toString(b));   
    }  
} 
```

等效串为:40
等效串为:-56

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
            System.out.print("Enter the value ");  
            Scanner sc = new Scanner(System.in);  
            int val = sc.nextInt();  
            String s = Integer.toString(val); //converting to string
            System.out.println("String value is : "+ s);          
        }
        catch(Exception e)
        {
            System.out.println("Invalid input!!");
        }
    }  
} 
```

输入值 78
字符串值为:78
*****输入值-55
字符串值为:-55
*******输入值 0x412
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *