# Java `Integer.toString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-integer-tostring-int-int-method>

Java `toString()`方法是`java.lang`包的`Integer`类的一部分。此方法用于返回在传递的基(基数)中作为参数传递的整数值的字符串等价物。例如，`toString(65,10)`将返回 65，因为基数 10 中 65 的值是 65，而`toString(65,8)`将返回 101，因为基数 8 中 65 的值是 101。

必须注意，如果基数值小于`Character.MIN_RADIX` 或大于 `Character.MAX_RADIX` ，则使用基数 10。

### 语法:

```java
public static String toString(int i, int radix) 
```

### 参数:

传递的参数是`int i`和`int radix`，前者的等效字符串将被返回，后者定义了字符串转换的基础。

### 返回:

根据作为参数传递的基数值传递的整数值的等效字符串。

## 例 1:

这里，根据基数值，整数值被转换成其等价的字符串表示。

```java
public class Main 
{  
    public static void main(String[] args) 
    {            
        int a = 40;
        int b = 8;
        int c = 40;
        int d = 16;
        System.out.println("Equivalent String is : "+Integer.toString(a,b));   
        System.out.println("Equivalent String is : "+Integer.toString(c,d)); 
    }  
} 
```

等效串为:50
等效串为:28

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  
public class StudyTonight 
{  
    public static void main(String[] args) 
    {            
        try
        {
           System.out.println("Enter the value and base ");  
           Scanner sc = new Scanner(System.in);  
           int val = sc.nextInt();  
           int b = sc.nextInt();  
           System.out.println("Output: "+Integer.toString(val, b));  //returns string with equivalent base
        }
        catch(Exception e)
        {
           System.out.println("Invalid Input!!");
        }
    }  
} 
```

输入数值和基数
67 8
输出:103
*******输入数值和基数
91 16
输出:5b
*******输入数值和基数
0x34
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *