# Java `Float.byteValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-bytevalue-method>

Java `byteValue()`方法属于`java.lang`包的`Float` 类，覆盖了`Number`类的`byteValue()`方法。此方法在缩小图元转换(将较高数据类型转换为较低数据类型)后，返回浮点对象的**字节等效物**。

简而言之，该方法用于**将浮点对象转换为字节值。**

### 语法:

```java
public byte byteValue() 
```

### 参数:

它不接受任何参数。

### 返回:

转换后会创建`Byte`类型对象的数字等价物。

## 例 1:

这里，使用`byteValue()`函数，浮点值被转换为其数字字节等价物。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        //converting float object into byte
          Float x = 34f;
          byte i=x.byteValue();
          System.out.println(" Equivalent byte value is " +i);

          Float y = 19.67f;  
          byte d = y.byteValue();  
          System.out.println(" Equivalent byte value is " +d);
      }  
}
```

等效字节值为 34
等效字节值为 19

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的字节值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              float i = sc.nextFloat();  
              Float n = i ;  
              byte val = n.byteValue();  
              System.out.println("Byte Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid float"); 
           }
    }
}
```

输入要转换的值:57.22
字节值为:57
*****************输入要转换的值:0x945
不是有效的浮点数

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *