# Java `Float.compareTo()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-compareto-method>

Java `compareTo()`方法属于 Float 类。这个方法类似于同一个类的`compare()`方法，但是唯一的区别是这里的浮点对象是数字比较的，而不是浮点值。

`object1.compareTo(float object2)`方法返回该值

*   0;如果对象 1 等于对象 2

*   -1;如果对象 1 小于对象 2

*   1;如果对象 1 大于对象 2

### 语法:

```java
public int compareTo(Float f2)
```

### 参数:

参数包括要比较的浮点对象。

### 返回:

0，-1，1，具体取决于参数浮点值的值。

## 例 1:

这里，四个对象 n1、n2、n3、n4 被取用各自的浮点值，并被检查其值是小于、大于还是等于比较值。

```java
import java.lang.Float;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {          
      Float ob1 = 100.0f;  
      Float ob2 = 200.0f;  
      Float ob3 = 300.0f;  
      Float ob4 = 100.0f;  

        System.out.println(ob1.compareTo(ob2));  //Output will be less than zero

        System.out.println(ob3.compareTo(ob1)); // Output will be greater than zero  

        System.out.println(ob1.compareTo(ob4));  // Output will be equal to zero
    }  
} 
```

-1
1
0

## 例 2:

这里，创建了一个浮点对象数组，数组中的每个对象都与数组中的第一个对象进行比较。

```java
import java.lang.Float;

public class StudyTonight 
{  
    public static void main(String[] args) 
     {          
      Float [] ob = {-100.0f,-200.0f,300.0f,-100.0f}; 
          for(int i=0;i<4;i++)
            {
               System.out.println(ob[0].compareTo(ob[i]));  // comparing each object of array with first object
            }
      }  
} 
```

0
1
-1
0

## 例 3:

这里有一个通用的例子，用户可以输入他选择的数字并获得所需的输出。`try`和`catch`块用于处理程序执行期间发生的任何异常。(例如，用户输入字符串等。代替浮点值)。

```java
import java.util.Scanner; 
import java.lang.Float;
public class StudyTonight 
{  
    public static void main(String[] args) 
    {      
        Scanner sc = new Scanner(System.in);  
        System.out.print("Enter first and second number ");  
        try
          {
           Float n1 = sc.nextFloat();  
           Float n2 = sc.nextFloat();  
           int r =  n1.compareTo(n2);    
             if(r > 0)
             {  
               System.out.println("first number is greater");  
             }
             else if(r< 0) 
             {  
               System.out.println("second number is greater");  
             } 
             else
             {  
               System.out.println("both numbers are equal");
             }
           }
          catch(Exception e)
            {
              System.out.println("Error!!");
            }

     }  
} 
```

输入第一个和第二个数字 67.12 90.34
第二个数字更大
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入第一个和第二个数字 909.46 100.3
第一个数字更大
***********输入第一个和第二个数字 0x598 89
错误！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *