# Java `Float.doubleValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-doublevalue-method>

Java `doubleValue()`方法属于`Float` 类。此方法在扩大的基本转换(将较低的数据类型转换为较高的数据类型)后，返回浮点的**双等值**。

简而言之，该方法用于**将浮点对象转换为双精度值。**

### 语法:

```java
public double doubleValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后创建的双精度类型对象的数值等价物。

## 例 1:

在这里，使用`doubleValue()`函数，浮点值被转换为其数值的双等值。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        //converting Float object into double
          Float x = 99.12f;
          double i=x.doubleValue();
          System.out.println("Equivalent double value is " +i);

          Float y = 23.23f;  
          double d = y.doubleValue();  
          System.out.println("Equivalent double value is " +d);
      }  
} 
```

等效双精度值为 99.12000274658203
等效双精度值为 23。58966 . 88888888886

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并得到等价的双精度值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              float i = sc.nextFloat();  
              Float f = i ;  
              double val = f.doubleValue();  
              System.out.println("Double Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid float value"); 
           }
    }
}
```

输入要转换的值:734.86
双精度值为:734.8599853515625
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:0x00.5
不是有效的浮点数

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *