# Java `Float.floatValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-floatvalue-method>

Java `floatValue()`方法属于`java.lang`的`Float` 类，继承自`Number`类。这是一个实例方法，返回指定数字的**浮动等价物**。

一般是**拆箱**的方法。虽然在 Java 5 引入后，转换是自动完成的(自动装箱)，但是了解装箱和拆箱的概念对你来说很重要。

**拆箱:**将`Float`转换为`float`被称为拆箱

**拳击:**一个`float` 到 `Float` 的转换称为拳击。

### 语法:

```java
public float floatValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

将对象转换为浮点后，返回其浮点值。

## 例 1:

在这里，使用`floatValue()`函数，float 对象被转换成它的 Float 等价物。

```java
import java.lang.Float;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {                  
          Float n1 = 25.5f;  
          Float n2 = 46.2f;

          float i = n1.floatValue(); // returns the value of the Float object n1 as an float
          float j = n2.floatValue(); // returns the value of the Float object n2 as an float

          System.out.println("float value is " + i);  
          System.out.println("float value is " + j); 

        }  
}
```

浮动值为 25.5
浮动值为 46.2

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等价的浮点值。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args)
    {                  
        try
        {
           System.out.print("Enter The Value ");  
           Scanner sc = new Scanner(System.in);  
           Float f = sc.nextFloat();  
           Float n = f; 
           System.out.println("Float Value is: " + n.floatValue()); //Converting the Float object into float  
        }
        catch(Exception e)
        {
           System.out.println(" Invalid Input!!");
        }
   }
}
```

输入值 352.4
浮点值为:352.4
* * * * * * * * * * * * * * * * * * * * * * *输入值 0x77
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *