# Java `Float.hashCode()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-hashcode-method>

`hashCode()`方法是`java.lang`包的`Float`类的一部分。它用于返回给定输入的哈希代码。hashcode 被定义为与 Java 中的每个对象相关联的唯一原始整数值。

该方法返回的结果与`floatToIntBits(float)`方法返回的结果是相同的整数表示。此方法覆盖`Object` 类的方法。

### 语法:

```java
public int hashCode() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

与浮点对象关联的等效基本整数值(哈希代码)。

## 例 1:

这里使用`hashCode()`函数，返回 Float 值的 hashcode 值。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args)  
    {   
        Float n1 = 81.69445f;
        Float n2 = -27.90355f;

        int hv1 = n1.hashCode();//Returning the hash code value for the object n1
        int hv2 = n2.hashCode();//Returning the hash code value for the object n2
        System.out.println("Hash code Value : " + hv1);
        System.out.println("Hash code Value : " + hv2);  
    }  
} 
```

哈希码值:1118004111
哈希码值:-1042335112

## 例 2:

这里有一个用户定义的例子，任何使用这个代码的人都可以输入自己选择的值，并获得等效的哈希代码。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args)
      {  
        try
        {
          System.out.print("Enter input: ");  
          Scanner sc = new Scanner(System.in);         
          Float n = sc.nextFloat();  
          int hv = n.hashCode(); //Returning the hash code value for the object 
          System.out.println("Hash code Value for the given input is: " + hv);

        }
        catch(Exception e)
        {
          System.out.println("Invalid Input!!");
        }

      }  
} 
```

输入:45.89034
给定输入的哈希码值为:1110937525
* * * * * * * * * * * * * * * * * * * * * * * * * * *输入:-90.34
给定输入的哈希码值为:-1028346348
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入:0x98
无效！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *