# Java `Float.intBitsToFloat()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-intbitstofloat-method>

Java `intBitsToFloat()`方法是`java.lang`包的`Float`类的一部分。根据 **IEEE 754** 浮点“单一格式”位布局，此方法返回作为参数传递的整数位值的浮点值。

根据 IEEE 754 浮点表示，32 位和 64 位浮点数可以表示如下:

![32 bit floating point representation](img/1d3b6f351b920b577ff1ed16e4e065e6.png)

![64 bit floating point representation](img/9a2069ff8eb53eaeac1cd00230769b9a.png)

### 语法:

```java
public static float intBitsToFloat(int bits) 
```

### 参数:

传递的参数是要返回浮点值的 int 值。

### 返回:

传递的 int 位的等效浮点值。

## 例 1:

这里，整数位值被转换为其等效的浮点值。

```java
import java.lang.Float;

public class StudyTonight
{     
   public static void main(String[] args) 
   {  
       int n1 = 69;
       int n2 = -645;

       Float f1=Float.intBitsToFloat(n1);  
       System.out.println("value after conversion = "+f1);

       Float f2 = Float.intBitsToFloat(n2);  
       System.out.println("value after conversion = "+f2);
    }  
} 
```

换算后的值= 9.7E-44
换算后的值= NaN

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Float;
import java.util.Scanner;

public class StudyTonight
{  
    public static void main(String[] args)
    {
        try
        {
            System.out.println("Enter value");
            Scanner sc = new Scanner(System.in);
            int n = sc.nextInt();
            System.out.println(" Float value is = "+ Float.intBitsToFloat(n)); //int bits converted to float 
        }
        catch(Exception e)
        {
          System.out.println("Invalid Input!!");
        }  
   }
} 
```

输入值
84
浮点值为= 1.18E-43
*************输入值
-712
浮点值为= NaN
*********输入值
0x560
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *