# Java `Float.intValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-intvalue-method>

Java `intValue()`方法属于`java.lang`的`Float`类，继承自`Number`类。这是一个实例方法，在一个缩小的原始类型转换(从一个较高的数据类型转换成一个较低的数据类型)后，返回 Float 对象的 **int 等价物**。

简而言之，该方法用于**将浮点对象转换为整数值。**

### **语法:**

```java
public int intValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后创建的浮点对象的整数等价物。

## 例 1:

在这里，使用`intValue()`函数，浮点对象被转换成它的原始 int 等价对象。

```java
import java.lang.Float;
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        //Converting Float object into int
        Float x = 56.667f;
        int i = x.intValue();
        System.out.println(i);

        Float y = -90.0f;  
        int d = y.intValue();  
        System.out.println(d);
    }  
} 
```

56
-90

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等价的浮点值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              float i = sc.nextFloat();  
              Float n = i ;  
              int val = n.intValue();  //converting Float object into int
              System.out.println("Integer Value is: " + val);  
           }
           catch(Exception e)
           {
              System.out.println("not a valid float"); 
           }
    }
} 
```

输入要转换的值:78.433
整数值为:78
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:—73.8
整数值为:—73
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:0x77.9
不是有效的浮点数

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *