# Java `Float.isFinite()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-isfinite-method>

Java `isFinite()`方法是`java.lang`包的`Float`类的一部分。此方法用于检查传递的浮点值是否为有限浮点值。它返回布尔值`true`表示有限的浮点值，`false`表示 NaN 和无穷大的值。

### 语法:

```java
public static boolean isFinite(float f) 
```

### 参数:

传递的参数是浮点值`f`，它将被检查是否是有限的。

### 返回:

如果传递的浮点值具有有限值，则返回`true`，对于无限值和 NaN 值，则返回`false`。

## 例 1:

这里，根据作为参数传递的浮点值返回布尔值。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        float f1 = 578648.67f;  
        float f2 = f1/0.0f; 
        float f3 = -f1/0.0f;
        float f4 = 0X06792345;
        float f5 = 0.0f/0.0f;

        System.out.println("The value is : " +Float.isFinite(f1)); //returns true for finite value  
        System.out.println("The value is : " +Float.isFinite(f2)); //returns false for infinite value 
        System.out.println("The value is : " +Float.isFinite(f3)); //returns false for infinaite value 
        System.out.println("The value is : " +Float.isFinite(f4)); // returns true for finite value
        System.out.println("The value is : " +Float.isFinite(f5)); // returs false for NaN 
    }    
} 
```

值为:真
值为:假
值为:假
值为:真
值为:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Float;
import java.util.Scanner;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.println("Enter the value");
           Scanner sc = new Scanner(System.in);
           float f = sc.nextFloat();

           boolean b = Float.isFinite(f);
           if(b == true)
           {
               System.out.println("Value is finite");
           }
           else
           {
               System.out.println("Value is infinite");
           }
         }  
         catch(Exception e)
         {
             System.out.println("Invalid Input");
         }
    }
} 
```

输入值
78.905
值是有限的
* * * * * * * * * * * * * * T4】输入值
NaN
值是无限的
* * * * * * * * * * * * * * * T8】输入值
0x000673
无效输入

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *