# Java `Float.isInfinite()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-isinfinite-method>

Java `isInfinite()`方法是`java.lang`包的`Float`类的一部分。该方法与`isFinite()` 方法完全相反，用于检查传递的浮点值是否为无限浮点值。它返回布尔值`false`表示有限的浮点值，`true`表示 NaN 和无穷大的值。

### 语法:

```java
public static boolean isInfinite() 
```

### 参数:

此方法中不传递任何参数。

### 返回:

如果传递的浮点值具有有限值，则返回`false`，对于无限值和 NaN 值，则返回`true`。

## 例 1:

这里，根据作为参数传递的浮点值返回一个布尔值。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        Float f1 = 528648.67f;  
        Float f2 = f1/0.0f; 
        Float f3 = -f1/0.0f;
        Float f4 = 0.0f/0.0f;

        System.out.println("The value is : " +f1.isInfinite()); //returns false for finite value  
        System.out.println("The value is : " +f2.isInfinite()); //returns true for infinite value 
        System.out.println("The value is : " +f3.isInfinite()); //returns true for infinite value 
        System.out.println("The value is : " +f4.isInfinite()); // returns false for finite value       

    }  
} 
```

值为:假
值为:真
值为:真
值为:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Float;
import java.util.Scanner;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.println("Enter the value");
           Scanner sc = new Scanner(System.in);
           float f = sc.nextFloat();
           Float i = f;

           boolean b = i.isInfinite();
           if(b== true)
           {
             System.out.println("Value is infinite");
           }
           else
           {
             System.out.println("Value is finite");
           }
         }

         catch(Exception e)
         {
           System.out.println("Invalid Input");
         }  
    }
} 
```

输入值
789E85689
值为无穷大
* * * * * * * * * * * * * T4】输入值
523.87
值为有限

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *