# Java `Float.isInfinite()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-isinfinite-float-val-method>

Java `isInfinite()`方法是`java.lang`包的`Float`类的一部分。该方法与`isFinite()` 方法完全相反，用于检查传递的浮点值是否为无限浮点值。它返回布尔值`false`表示有限的浮点值，`true`表示 NaN 和无穷大的值。

### 语法:

```java
public static boolean isInfinite(float v) 
```

### 参数:

传递的参数是浮点值 f，它将被检查是否为无穷大。

### 返回:

如果传递的浮点值具有有限值，则返回`false`，对于无限值和 NaN 值，则返回`true`。

## 例 1:

这里，根据作为参数传递的浮点值返回等价值。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        float f1 = 528648.67f;  
        float f2 = f1/0.0f; 
        float f3 = -f1/0.0f;
        float f4 = 0X06792345;
        System.out.println("The value is : " +Float.isInfinite(f1)); //returns false for finite value  
        System.out.println("The value is : " +Float.isInfinite(f2)); //returns true for infinite value 
        System.out.println("The value is : " +Float.isInfinite(f3)); //returns true for infinaite value 
        System.out.println("The value is : " +Float.isInfinite(f4)); // returns false for finite value
    }  
} 
```

值为:假
值为:真
值为:真
值为:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Float;
import java.util.Scanner;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.println("Enter the value");
           Scanner sc = new Scanner(System.in);
           float f = sc.nextFloat();
           boolean b = Float.isInfinite(f);
           if(b == true)
           {
               System.out.println("Value is infinite");
           }
           else
           {
               System.out.println("Value is finite");
           }
         }

         catch(Exception e)
         {
             System.out.println("Invalid Input");
         }   
    }
} 
```

输入数值
565.98
数值是有限的
* * * * * * * * * * * * * * * * * T4】输入数值
76E4367
数值是无限的

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *