# Java `Float.isNaN(float)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-isnan-float-val-method>

Java `isNaN(float v)`方法是`java.lang`包的`Float`类的一部分。此方法用于检查传递的浮点值是否为非数字。它为 NaN 值返回布尔值`true`，为非 NaN 值返回`false`。

### 语法:

```java
public boolean isNaN(float v) 
```

### 参数:

传递的参数是检查 NaN 值的浮点值。

### 返回:

返回布尔值`true`表示 NaN 值，`false`表示非 NaN 值。

## 例 1:

这里，根据作为参数传递的浮点值返回等价值。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        float f1 = 67.78f;  
        float f2 = 0f; 
        float f3 = -f1/0.0f;
        float f4 = f2/0.0f;
        float f5 = 0.0f/0.0f;

        System.out.println("The value is : " +Float.isNaN(f1)); //returns false for finite value  
        System.out.println("The value is : " +Float.isNaN(f2)); //returns false for infinite value 
        System.out.println("The value is : " +Float.isNaN(f3)); //returns false for infinaite value 
        System.out.println("The value is : " +Float.isNaN(f4)); // returns true for NaN value
        System.out.println("The value is : " +Float.isNaN(f5)); // returs true for NaN 
    }  
} 
```

值为:假
值为:假
值为:假
值为:真
值为:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Float;
import java.util.Scanner;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.println("Enter the value");
           Scanner sc = new Scanner(System.in);
           float i = sc.nextFloat(); 
           boolean b = Float.isNaN(i);
           if(b == true)
           {
               System.out.println("Value is NaN");
           }
           else
           {
               System.out.println("Value is non NaN");
           }
         }

         catch(Exception e)
         {
             System.out.println("Invalid Input");
         }   
    }
} 
```

输入值
NaN
值为 NaN
*****************输入值
734.87
值为 non NaN

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *