# Java `Float.longValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-longvalue-method>

Java `longValue()`方法属于`java.lang`包的`Float` 类，继承自`Number`类。这个方法在一个基本的缩小转换(从较高类型到较低类型的转换)后返回浮点对象的**长等价物**。

简而言之，该方法用于**将浮点对象转换为长值。**

### 语法:

```java
public long longValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后创建的浮点对象的长等价物。

## 例 1:

这里，使用`longValue()`方法，将 Float 对象转换为它的长等价物。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        //converting Float object into long
          Float x = 15.90f;
          long i=x.longValue();
          System.out.println("Long value is " +i);

          Float y = 67.41f;  
          long d = y.longValue();  
          System.out.println("Long value is " +d);
      }  
}
```

长值为 15
长值为 67

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的长值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              float i = sc.nextFloat();  
              Float n = i ;  
              long val = n.longValue();  //converting Float object into long
              System.out.println("Long Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid float"); 
           }
    }
}
```

输入要转换的值:94.90
长值为:94
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:0X900.9
不是有效的浮点数

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *