# Java `Float.max()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-max-method>

Java `max()`方法是`java.lang`包的`Float`类的一部分。该方法返回的结果与`Math`类的`Math.max()`方法相同。此方法用于返回作为参数传递的两个数字中数值较大的值(最大值)。

如果传递了一个正数和一个负数，则返回正值，但是如果传递的两个数字都是负数，则返回较小的数值。

### 语法:

```java
public static float max(float a, float b) 
```

### 参数:

传递的参数是用户用来检查传递的两个数字的最大值的浮点值。

### 返回:

作为参数传递的两个值中数值较大的值。

## 例 1:

这里，取一个正数和一个负数，因此返回正值，如果两者都为负值，则返回较小的值。

```java
import java.lang.Float;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  
          float x = 5485.324f;  
          float y = -3242.821f; 
          float z = -5645.578f;

          System.out.println("Greater number is " + Float.max(x, y));  // print the larger number between x and y 
          System.out.println("Greater number is " + Float.max(y, z));  // print the larger number between y and z
    }  
}
```

较大的数字为 5485.324
较大的数字为-3242.821

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.println("Enter the Two values: ");  
           Scanner sc= new Scanner(System.in);  
           float a = sc.nextFloat();  
           float b = sc.nextFloat();  

           System.out.println("Larger value is " + Float.max(a, b)); //Print the larger number between a and b      
        }
        catch(Exception e)
        {
          System.out.println("Invalid input!!");
        }   
    }  
} 
```

输入两个值:
67.90 -23.04
较大值为 67.9
* * * * * * * * * * * * * * * * * * * T4】输入两个值:
-83.09 -67.3
较大值为-67.3

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *