# Java `Float.min()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-min-method>

Java `min()`方法是`java.lang`包的`Float`类的一部分。该方法返回的结果与`Math`类的`Math.min()`方法相同。此方法用于返回作为参数传递的两个数字中数值较小的值(最小值)。

如果传递了一个正数和一个负数，则返回负值，但是如果传递的两个数字都是负数，则返回更大的数值。

### 语法:

```java
public static float min(float a, float b) 
```

### 参数:

传递的参数是用户用来检查传递的两个数字的最小值的数值。

### 返回:

作为参数传递的两个值中数值较低的值。

## 例 1:

这里，取一个正数和一个负数，因此返回负值，如果两者都是负数，则返回更大的值。

```java
import java.lang.Float;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {        
          float x = 5485.704f;  
          float y = -3242.032f; 
          float z = -5645.899f;

          System.out.println("Lower number is " + Float.min(x, y));  // print the larger number between x and y 
          System.out.println("Lower number is " + Float.min(y, z));  // print the larger number between y and z
    }  
}
```

下数为-3242.032
下数为-5645.899

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.println("Enter the Two values: ");  
           Scanner sc= new Scanner(System.in);  
           float a = sc.nextFloat();  
           float b = sc.nextFloat();               

           System.out.println("Smaller value is " + Float.min(a, b)); //Print the larger number between a and b  
        }
        catch(Exception e)
        {
          System.out.println("Invalid Input!!");
        }   
    }  
} 
```

输入两个值:
68.3452 -94.456
较小的值为-94.456
* * * * * * * * * * * * * * * * * * * * * * * T4】输入两个值:
-27.56 -45.98
较小的值为-45.98

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *