# Java `Float.parseFloat()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-parsefloat-method>

Java `parseFloat()`方法是`java.lang`包的`Float`类的一部分。此方法用于将字符串值解析为其等效的浮点值。该方法返回的值与 Float 类的`valueOf()`方法返回的值相同。

### 语法:

```java
public static float parseFloat(String s) throws NumberFormatException 
```

### 参数:

传递的参数是字符串值，它的等效浮点值将被返回。

### 返回:

返回与作为参数传递的字符串值相对应的等效浮点值。

### 例外:

`NullPointerException` -如果传递的字符串为空

`NumberFormatException` -如果传递的字符串不包含可解析的`float`。

## 例 1:

这里，传递了两个字符串，并作为它们各自的浮点值返回。

```java
import java.lang.Float;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {   
        String s1 = "23.685"; 
        String s2 = "-23.056";
        //converts the passed string into its corresponding float value
        float n1 = Float.parseFloat(s1);  
        //converts the passed string into its corresponding float value
        float n2 = Float.parseFloat(s2);  

        System.out.println("Equivalent Float value is : " + n1);
        System.out.println("Equivalent Float value is : " + n2);        
    }  
} 
```

等效浮动值为:23.685
等效浮动值为:-23.056

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Float;
import java.util.Scanner;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  
        try
        {
            System.out.println("Enter Value");
            Scanner sc = new Scanner(System.in);
            String s = sc.nextLine();
            Float n = Float.parseFloat(s);  //converts the passed string as float value

            System.out.println("Equivalent Float value is : " + n);
        }
        catch(Exception e)
        {
            System.out.println("Invalid Input!!");
        }
    }  
} 
```

输入值
845
等效浮动值为:845.0
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入值
-523
等效浮动值为:-523.0
* * * * * * * * * * * * * * * * * * * * *输入值
莫希特
无效！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *