# Java `Float.shortValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-shortvalue-method>

Java `shortValue()`方法属于`java.lang`包的`Float` 类。此方法在缩小图元转换(将较高数据类型转换为较低数据类型)后，返回浮点对象的**短等效物**。

简而言之，该方法用于**将浮点对象转换为短值。**

### 语法:

```java
public short shortValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

返回作为参数传递的浮点对象的短值。

## 例 1:

这里，使用`shortValue()`方法，浮点值被转换为其数值的短等价物。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        //converting Float object into short
        Float x = 99.98f;
        short i = x.shortValue();
        System.out.println(" Equivalent short value is " +i);

        Float y = 23.45f;  
        short d = y.shortValue();  
        System.out.println(" Equivalent short value is " +d);
    }  
}
```

等值短值为 99
等值短值为 23

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等价的短值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
            System.out.print("Enter the value to be converted : ");  
            Scanner sc = new Scanner(System.in);  
            float i = sc.nextFloat();  
            Float n = i ;  
            short val = n.shortValue();  
            System.out.println("Short Value is: " + val);  
         }
         catch(Exception e)
         {
             System.out.println("not a valid float"); 
         }
    }
}
```

输入需要转换的数值:695.845
短数值为:695
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入需要转换的数值:-64.90
短数值为:-64
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入需要转换的数值:0x68
不是有效的浮点数

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *