# Java `Float.toHexString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-tohexstring-method>

Java `toHexString()`方法是`java.lang`包的`Float`类的一部分。此方法用于返回传递的浮点值的绝对十六进制等效字符串。

必须注意的是，非数字(NaN)浮点值将返回值**“NaN”**。

### 语法:

```java
public static String toHexString(float f) 
```

### 参数:

传递的参数是浮点值，将返回等效十六进制的字符串表示形式。

### 返回:

返回作为等效十六进制值传递的浮点值的字符串表示形式。

## 例 1:

这里，为了更好地理解该方法，取一个正数和一个负数。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args) 
    {          
        float i = 132.67f; 
        float j = -52.45f;
        System.out.println("Actual number is = " + i);  
        //returns the float value in hexadecimal string
        System.out.println("Hexadecimal equivalent is = " + Float.toHexString(i)); 

        System.out.println("Actual number is = " + j);  
        //returns the float value in hexadecimal string   
        System.out.println("Hexadecimal equivalent is = " + Float.toHexString(j)); 
    }  
} 
```

实际数为= 132.67
十六进制等值为= 0x1.09570ap7
实际数为= -52.45
十六进制等值为= -0x1.a3999ap5

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
            System.out.print("Enter the Number = ");  
            Scanner sc = new Scanner(System.in);  
            float i = sc.nextFloat();  
            System.out.println("Actual Number is  = " + i);  
            //returns the float value in hexadecimal string 
            System.out.println("Hexadecimal representation is = " + Float.toHexString(i)); 
        }  
        catch(Exception e)
        {
            System.out.println("Invalid Number");
        }
    }
}
```

输入数字= 95.76
实际数字为= 95.76
十六进制表示为= 0x 1.7 f0a 3ep 6
* * * * * * * * * * * * * * * * * * *输入数字= -52.911
实际数字为= -52.911
十六进制表示为=-0x 1.749 BAP 5
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入数字=-52.911
输入

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *