# Java `Float.toString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-tostring-method>

Java `toString()`方法是`java.lang`包的`Float`类的一部分。此方法返回字符串对象，其值等效于浮点对象。

简而言之，该方法用于将**浮动对象**转换为字符串。

### 语法:

```java
public String toString() 
```

### 参数:

此方法中不传递任何参数。

### 返回:

返回浮点对象的字符串表示形式。

## 例 1:

在这里，浮动对象被转换成其等效的字符串表示形式。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        Float a = 50.67f;       
        String s1 = a.toString();  // return a string value 
        System.out.println("Equivalent String is " + s1);              

        Float b = -18.80f;            
        String s2 = b.toString();  // return a string value 
        System.out.println("Equivalent String is " + s2);  
      }  
} 
```

等效串为 50.67
等效串为-18.8

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
     public static void main(String[] args) 
     {  
          try
          {
              System.out.print("Enter the value ");  
              Scanner sc = new Scanner(System.in);  
              Float val = sc.nextFloat();  
              String s = val.toString();   //converting to string
              System.out.println("String value is : "+ s);  
          }
          catch(Exception e)
          {
              System.out.println("Invalid input!!");
          }
     }  
} 
```

输入值 85.98
字符串值为:85.98
*****输入值-69.43
字符串值为:-69.43
*****输入值 0x590
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *