# Java `Float.toString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-tostring-float-val-method>

Java `toString()`方法是`java.lang`包的`Float`类的一部分。此方法返回作为参数传递的浮点值的等效字符串对象。

简而言之，该方法用于将**浮点值**转换为字符串。

### 语法:

```java
public static String toString(float f)
```

### 参数:

传递的参数是要返回其等效字符串的浮点值。

### 返回:

返回作为参数传递的浮点值的等效字符串。必须注意的是，字符串**“NaN”**是为浮点值 NAn 返回的。

## 例 1:

这里，浮点值被转换为其等效的字符串表示形式。

```java
import java.lang.Float;

public class StudyTonight
{  
    public static void main(String[] args)
    {  
        float a = 40.95f;
        float b = -56.27f;
        System.out.println("Equivalent String is : " + Float.toString(a));   
        System.out.println("Equivalent String is : " + Float.toString(b));   
    }  
} 
```

等效串为:40.95
等效串为:-56.27

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
            System.out.print("Enter the value ");  
            Scanner sc = new Scanner(System.in);  
            float val = sc.nextFloat();  
            String s = Float.toString(val); //converting to string
            System.out.println("String value is : "+ s);  
        }
        catch(Exception e)
        {
            System.out.println("Invalid input!!");
        }
    }  
}
```

输入值 NaN
字符串值为:NaN
*****输入值 90.476
字符串值为:90.476
*****输入值 0x590
无效！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *