# Java `valueOf(float)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-valueof-float-val-method>

Java `valueOf(float f)`方法是`java.lang`包的`Float`类的一部分。此方法用于返回作为参数传递的浮点值的等效`Float`对象。

### 语法:

```java
public static Float valueOf(float f) 
```

### 参数:

传递的参数是要返回其等效浮点对象的浮点值。

### 返回:

返回作为参数传递的浮点值的浮点对象。

## 例 1:

在这里，浮点对象表示返回传递的浮点值。

```java
import java.lang.Float;

public class StudyTonight 
{  
    public static void main(String[] args)
    {  
        float n1 = 35.96f;  //initialization of Float object
        float n2 = -45.564f;
        float n3 = Float.POSITIVE_INFINITY; 
        float n4 = Float.NEGATIVE_INFINITY;  
        float n5 =Float.NaN;  

        //returns a Float object representing the float specified              
        System.out.println("Equivalent Float object Value = " + Float.valueOf(n1));
        System.out.println("Equivalent Float object Value = " + Float.valueOf(n2));
        System.out.println("Equivalent Float object Value = " + Float.valueOf(n3));
        System.out.println("Equivalent Float object Value = " + Float.valueOf(n4));
        System.out.println("Equivalent Float object Value = " + Float.valueOf(n5));
    }  
} 
```

等效浮动对象值= 35.96
等效浮动对象值= -45.564
等效浮动对象值=无穷大
等效浮动对象值= -无穷大
等效浮动对象值= NaN

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Float;
import java.util.Scanner;

public class StudyTonight 
{  
    public static void main(String[] args)
    {    
        try
        {
            System.out.println("Enter the value");
            Scanner sc=new Scanner(System.in);
            float x = sc.nextFloat();
            System.out.println("Equivalent Float object Value = " + Float.valueOf(x));//returns a Float object representing the float specified 
        }
        catch(Exception e)
        {
             System.out.println("Invalid input!!");
        }
    }  
}
```

输入值
NaN
等效浮点对象值= NaN
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入值
78.23
等效浮点对象值= 78.23
* * * * * * * * * * * * * * * * * * * * * * * * * * *输入值
0x595
无效！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *