# Java `valueOf(String)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-float-valueof-string-val-method>

Java `valueOf(String s)`方法是`java.lang`包的`Float`类的一部分。此方法用于返回作为参数传递的字符串值的等效浮点对象。需要注意的是，这个方法返回的值可以解释为`new Float(Float.parseFloat(s))`。

### 语法:

```java
public static Float valueOf(String s) throws NumberFormatException
```

### 参数:

传递的参数是要返回其等效浮点对象的字符串。

### 例外:

**`NumberFormatException` :** 当输入字符串不可解析时，会出现此异常。

### 返回:

返回作为参数传递的字符串值的浮点对象。

## 例 1:

在这里，浮点对象表示是作为传递的字符串值返回的。

```java
import java.lang.Float;

public class StudyTonight 
{  
    public static void main(String[] args)
    {  
        String s1 = "909.89f";
        String s2 = "-253.67f";
        String s3 = "NaN";

        System.out.println("Equivalent Float object Value = " + Float.valueOf(s1));//returns a Float object representing the String specified 
        System.out.println("Equivalent Float object Value = " + Float.valueOf(s2));   
        System.out.println("Equivalent Float object Value = " + Float.valueOf(s3));     
    }  
} 
```

等效整数对象值= 909.89
等效整数对象值= -253.67
等效整数对象值= NaN

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Float;
import java.util.Scanner;

public class StudyTonight 
{  
    public static void main(String[] args)
    {    
        try
        {
            System.out.println("Enter the string value");
            Scanner sc=new Scanner(System.in);
            String x = sc.next();
            System.out.println("Equivalent Float object Value = " + Float.valueOf(x));//returns a Float object representing the string specified 
        }
        catch(NumberFormatException e)
        {
            System.out.println("Invalid input!!");
        }
    }  
} 
```

输入字符串值
NaN
等效整型对象值= NaN
* * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入字符串值
9.45
等效浮点对象值= 9.45
* * * * * * * * * * * * * * * * * * * * * * *输入字符串值
0x690
无效！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *