# Java `Character.charCount()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-charcount-method>

Java `charCount()`方法是`java.lang`包的`Character`类的一部分。此方法用于确定字符表示所需的字符值总数，即计算字符值总数。

### 语法:

```java
public static int charCount(int codePoint) 
```

### 参数:

传递的参数是`int codePoint`，它是要测试多个字符值的字符。

### 返回:

如果参数值等于或大于 0X10000，则返回 2，否则返回 1。

## 例 1:

这里，传递不同的整数检查点值，并返回表示所需的字符值数量。对于小于 0X10000 的值，将返回 1，对于更大的值，将返回 2。

```java
import java.lang.Character;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  
       int cp1 = 88;  
       int cp2 = 2389067;  

       int c1 = Character.charCount(cp1);  
       System.out.println(cp1 + " requires "+ c1 + " values.");  // Check the number of char values required for representation

       int c2 = Character.charCount(cp2);  
       System.out.println(cp2 + " requires " + c2 + " values.");  
    }  
} 
```

88 需要 1 个值。
2389067 需要 2 个值。

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 

public class StudyTonight
{  
   public static void main(String[] args)  
     {  
        Scanner sc = new Scanner(System.in);  
        try
        {
          System.out.println("Enter the number");  
          int a= sc.nextInt();  
          System.out.println("The value required is: "+   +Character.charCount(a));

        }
        catch(Exception e)
        {
          System.out.println("Invalid Number!!");
        }
     }  
}
```

输入数字
77
需要的值是:1
* * * * * * * * * * * * * * * * * * * * * * * T4】输入数字
89898
需要的值是:2
************************输入数字
0x5778
无效数字！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *