# Java `Character.codePointAt()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-codepointat-char-int-int-method>

Java `codePointAt()`方法是`Character`类的一部分。此方法返回字符数组中指定索引处的代码点，在该处使用索引小于指定限制的元素。如果在特定索引处，给定索引处的字符值在低代理范围内，则返回与该对对应的代码点；否则，如果字符数组中的字符值在高代理范围内，则以下索引小于指定的限制。

### 语法:

```java
public static int codePointAt(char[] a, int index,int limit) 
```

### 参数:

传递的参数是:

*   `char`数组

*   `int`字符数组中字符值的索引

*   `int`限制可以在字符数组中使用的最后一个索引。

### 返回:

返回传递的索引处字符的代码点值。

## 例 1:

这里，返回指定索引处字符的代码点值。

```java
public class StudyTonight
{  
  public static void main(String args[])
  {  
    char[] ch1 = new char[] { 'm', 'o', 'h', 'i', 't' };  
    System.out.println("The input is : Mohit");  

    int i1  = 2, l1 = 4;  
    int r1 = Character.codePointAt(ch1, i1, l1);  

    System.out.println("Unicode code point is : " + r1 );  
    char[] ch2 = new char[] { 's', 't', 'u', 'd', 'y','t', 'o', 'n','i','g','h','t' };  
    System.out.println("The input is : StudyTonight");  

    int i2  = 2, l2 = 3;  
    int r2 = Character.codePointAt(ch2, i2, l2);  
    System.out.println("Unicode code point is : " + r2 );
  }
}
```

输入为:莫希特
Unicode 码点为:104
输入为:今晚学习
Unicode 码点为:117

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得想要的输出。

```java
import java.lang.Character;
import java.util.Scanner;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
          System.out.println("Enter char array");
          Scanner sc = new Scanner(System.in);
          char []ch = sc.nextLine().toCharArray();
          System.out.println("Enter index");
          int n = sc.nextInt();
          System.out.println("Enter limit");
          int l = sc.nextInt();
          System.out.println("The codepoint value is : " +Character.codePointAt(ch,n,l));  
        }
        catch(Exception e)
        {
          System.out.println("Invalid Input");
        }
    }  
}
```

进入 char 数组
mitshubishi
进入 index
4
进入 limit
7
码点值为:104
***************进入 char 数组
java 是爱
进入 index
6
进入 limit
9
码点值为:115
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *进入 char 数组
Java 是爱
进入 index
6】进入 limit
9
码点值为:115

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *