# Java `Character.codePointAt()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-codepointat-charsequence-int-method>

Java `codePointAt()`方法是`Character`类的一部分。此方法返回字符序列中指定索引处的代码点。如果特定索引处的字符序列中的字符值在高代理范围内，则后面的索引将小于字符序列的长度；否则，如果字符序列中的字符值在低代理范围内，则返回对应于给定代理对的补充代码点。

### 语法:

```java
public static int codePointAt(CharSequence seq, int index)
```

### 参数:

传递的参数是

*   `CharSequence`序列

*   `int`字符数组中字符值的索引。

### 返回:

返回传递的索引处字符的代码点值。

## 例 1:

这里，返回指定索引处的字符序列的码点值。

```java
import java.lang.Character;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        CharSequence s = "Welcome to StudyTonight";  
        System.out.println("Input String is : " +s); 
        int index = 4;  
        System.out.println("The codePoint value is : " +Character.codePointAt(s,index));  
    }  
}
```

输入字符串为:欢迎今晚学习
码点值为:111

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得想要的输出。

```java
import java.lang.Character;
import java.util.Scanner;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
          System.out.println("Enter charSequence");
          Scanner sc = new Scanner(System.in);
          CharSequence s = sc.nextLine();
          System.out.println("Enter index");
          int n = sc.nextInt();
          System.out.println("The codepoint value is : " +Character.codePointAt(s,n));   
        }
        catch(Exception e)
        {
          System.out.println("Invalid Input");
        }
    }  
}
```

进入 charSequence
莫希特
进入索引
2
码点值为:104
**********************进入 charSequence
神大
进入索引
4
码点值为:105

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *