# Java `Character.charPointBefore()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-codepointbeforecharsequence-int-method>

Java `charPointBefore()`方法是`Character`类的一部分。该方法返回**字符序列**指定索引前的码点。必须注意的是，如果字符序列中位于(**索引-1** )的字符值在低代理范围内，(**索引-2** )不是负数，并且如果字符序列中位于(索引-2)的字符值在高代理范围内，则返回指向该代理对的补充代码点。否则，将返回(index-1)处的字符值。

### 语法:

```java
public static int codePointBefore(charSequence seq, int index) 
```

### 参数:

传递的参数是

*   `charSequence`数组

*   `int`要返回字符序列中字符值的代码点之前的索引。

### 返回:

返回指定索引之前的字符序列中`char`值的码点。

## 例 1:

这里，返回指定索引之前字符序列中字符的代码点值。

```java
import java.lang.Character;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        CharSequence s = "Welcome to StudyTonight";  
        System.out.println("Input charSequence is : " +s); 
        int index = 4;  
        System.out.println(Character.codePointBefore(s,index));  
    }  
} 
```

输入字符顺序为:欢迎今晚学习
99

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得想要的输出。

```java
import java.lang.Character;
import java.util.Scanner;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
          System.out.println("Enter charSequence");
          Scanner sc = new Scanner(System.in);
          CharSequence s = sc.nextLine();
          System.out.println("Enter index");
          int n = sc.nextInt();
          System.out.println("The codepoint value is : " +Character.codePointBefore(s,n));      
        }
        catch(Exception e)
        {
          System.out.println("Invalid Input");
        }
    }  
}
```

进入 charSequence
神大神
进入索引
2
码点值为:111
**********************进入 charSequence
莫希特
进入索引
4
码点值为:105

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *