# Java `Character.codePointCount()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-codepointcountcharsequence-seq-int-beginindex-int-endindex-method>

Java `codePointCount()`方法是`Character`类的一部分。此方法返回文本范围内的 Unicode 代码点计数，该计数从指定的开始索引开始，到指定的结束索引结束。

### 语法:

```java
public static int codePointCount(CharSequence seq, int beginIndex, int endIndex) 
```

### 参数:

传递的参数是:

*   `CharSequence`序列，

*   beginIndex 是文本范围的第一个字符。

*   endIndex 是文本范围的最后一个索引。

### 返回:

返回指定文本范围内的 Unicode 码点数。

## 例 1:

这里，返回指定文本范围内的 Unicode 代码点计数。

```java
import java.lang.Character;

public class StudyTonight
{    
   public static void main(String [] args)throws Exception
   {   
        CharSequence cs = "Learning Java is fun";  
        System.out.println("Learning Java is fun");  
        int begin = 0;  
        int end = cs.length();   
        int r = Character.codePointCount(cs, begin,end);  
        System.out.println("The count is : "+r);  
   } 
}
```

学 Java 很好玩
计数:20

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得想要的输出。

```java
import java.lang.Character;
import java.util.Scanner;

public class StudyTonight
{    
   public static void main(String [] args)throws Exception
   {   
        try
        {
          System.out.println("Enter charSequence");
          Scanner sc = new Scanner(System.in);
          CharSequence s = sc.nextLine();
          System.out.println("Enter begin index");
          int n1 = sc.nextInt();
          System.out.println("Enter end index");
          int n2 = sc.nextInt();
          System.out.println("The codepoint count is : " +Character.codePointCount(s,n1,n2));  

        }
        catch(Exception e)
        {
          System.out.println("Invalid Input");
        } 
   }
}
```

输入字符序列
欢迎来到 Java
输入开始索引
2
输入结束索引
6
代码点计数为:4
* * * * * * * * * * * * * * * * * * * * * * * * * * * T8】输入字符序列
注意
输入开始索引
10
输入结束索引
6
无效输入

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *