# Java `Character.compare(char,char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-compare-method>

Java `compare(char x,char y)`方法是`Character`类的一部分。此方法用于对两个字符值进行数字比较，并返回大于或小于或等于零的值。

*   0;如果 x 等于 y
*   > 0;如果 x 大于 y 并且
*   < 0;如果 x 小于 y

必须注意的是，该方法返回的值与`Character.valueoOf(x).compareTo(Character.valueOf(y))`方法返回的值相同。

### 语法:

```java
public static int compare(char x, char y)
```

### 参数:

传递的参数是`char x`和`char y`，这是要比较的两个字符值。

### 返回:

根据 x 和 y 的值，返回值 0，> 0，< 0。

## 例 1:

这里，使用 compare()方法传递字符值以进行比较。

```java
import java.lang.Character;
public class StudyTonight
{    
   public static void main(String [] args)throws Exception
   {   
        char x = 'A';  
		char y = 'B';
		char z = 'A';
		char w = 'D';
		int cmp1 = Character.compare(x, y); //return value<0
		int cmp2 = Character.compare(x, z); //return value=0
		int cmp3 = Character.compare(x, w); // return value>0
		System.out.println(cmp1);
		System.out.println(cmp2);
		System.out.println(cmp3);    
   }
}
```

-1
0
-3

## 例 2:

这里有一个通用的例子，用户可以输入自己选择的字符并获得所需的输出。

```java
import java.util.Scanner; 
import java.lang.Character;
public class StudyTonight 
{  
	public static void main(String[] args) 
	{      
		Scanner sc = new Scanner(System.in);  
		System.out.print("Enter first and second character ");  
		try
		{
			char x = sc.next().charAt(0);  
			char y = sc.nextLine().charAt(0);  
			int r =  Character.compare(x, y);    
			if(r > 0)
			{  
				System.out.println("first character is greater");  
			}
			else if(r < 0) 
			{  
				System.out.println("second character is greater");  
			} 
			else
			{  
				System.out.println("both characters are equal");
			}
		}
		catch(Exception e)
		{
			System.out.println("Error!!");
		}          
	}  
} 
```

输入第一个和第二个字符 j k
第一个字符较大
*************************第一个和第二个字符 1 5
第一个字符较大

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *