# Java `Character.forDigit()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-fordigit-method>

Java `forDigit()`方法是`Character`类的一部分。此方法根据指定的基数返回指定数字的特定字符表示形式。必须注意，如果`int digit`的值不是指定基数的有效数字，或者如果基数的值不是有效基数，则返回*空*字符。

此外，如果基数的值大于或等于`MIN_RADIX`且小于或等于`MAX_RADIX`，则基数的值有效。

如果`0 <= digit < radix`，则`digit`参数有效。

如果数字小于 10，则返回`'0' + digit`。否则，返回`'a' + digit - 10`值。

### 语法:

```java
public static char forDigit(int digit, int radix) 
```

### 参数:

传递的参数是要转换为字符的数字和基数，它们将为转换提供基础。

### 返回:

返回指定索引中指定数字的字符表示形式。

## 例 1:

这里，根据指定的基数返回指定数字的字符表示。

```java
public class StudyTonight 
{  
    public static void main(String[] args)
    {          
        int n1 = 8;  
        int n2 = 23;  
        int n3 = 30;       
        char ch1 = Character.forDigit(n1, 9);  
        char ch2 = Character.forDigit(n2, 25);  
        char ch3 = Character.forDigit(n3, 36);  
        System.out.println("The char representation of " + n1 + " in radix 9 is " + ch1);  
        System.out.println("The char representation of " + n2 + " in radix 25 is " + ch2);  
        System.out.println("The char representation of " + n3 + " in radix 36 is " + ch3); 
    }  
} 
```

基数 9 中 8 的字符表示是 8
基数 25 中 23 的字符表示是 n
基数 36 中 30 的字符表示是 u

## 例 2:

这里有一个通用的例子，用户可以输入他选择的输入并获得所需的输出。

```java
import java.util.Scanner;  
public class StudyTonight 
{  
	public static void main(String[] args)
	{         
		try
		{
			Scanner sc = new Scanner(System.in);
			System.out.print("Enter digit:"); 
			int d = sc.nextInt();
			System.out.print("Enter radix:");  
			int r = sc.nextInt();  
			char result = Character.forDigit(d, r);  
			System.out.println("The character at radix \'" + r + "\' for the digit " + d + "  is : " + result);   
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input");
		}     
	}  
} 
```

输入数字:12
输入基数:16
数字 12 的基数为“16”的字符为:c
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入数字:6
输入基数:10
数字 6 的基数为“10”的字符为:6

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *