# Java `Character.getDirectionality()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-getdirectionality>

Java `getDirectionality()`方法是`Character`类的一部分。字符方向基本上是计算文本视觉顺序的属性，此方法用于返回给定字符的 Unicode 方向属性。

**注意:**未定义的字符值返回`DIRECTIONALITY_UNDEFINED` 值。

### 语法:

```java
public static byte getDirectionality(char ch) 
```

### 参数:

传递的参数是要返回其字符方向的字符值。

### 返回:

返回字符值的方向性属性。

## 例 1:

这里，使用`getDirectionality()`方法返回字符的方向性。

```java
public class StudyTonight 
{  
	public static void main(String[] args)
	{         
		char ch1 = 'M';  
		char ch2 = '8';  
		byte b1 = Character.getDirectionality(ch1);  
		byte b2 = Character.getDirectionality(ch2);  
		System.out.println("The directionality of " + ch1 + " is " + b1);  
		System.out.println("The directionality of " + ch2 + " is " + b2);  
	}  
} 
```

M 的方向性为 0
8 的方向性为 3

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并得到想要的结果。

```java
import java.util.Scanner;
public class StudyTonight 
{  
	public static void main(String[] args)
	{         
		try
		{
			System.out.print("Enter the value:");  
			Scanner sc = new Scanner(System.in);  
			char[] val = sc.nextLine().toCharArray();  

			for (char ch : val)
			{  
				byte r = Character.getDirectionality(ch);   
				System.out.println("The directionality property for the character " + ch+ " is " + r);       
			}
		}
		catch(Exception e)
		{
			System.out.println("Invalid error");
		}
	}
} 
```

输入值:莫希特
字符 m 的方向性属性为 0
字符 o 的方向性属性为 0
字符 h 的方向性属性为 0
字符 I 的方向性属性为 0
字符 t 的方向性属性为 0
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
输入值:1001
字符 1 的方向性属性为 3
字符 0 的方向性属性为 3
字符 0 的方向性属性为 3
字符 1 的方向性属性为 3

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *