# Java `Character.getDirectionality()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-getdirectionality-codepoint-method>

Java `getDirectionality()`方法是`Character`类的一部分。此方法用于返回指定字符(Unicode 代码点)的 Unicode 方向性属性，该属性基本上是计算文本视觉顺序的属性。

未定义的字符值返回`DIRECTIONALITY_UNDEFINED` 值。

### 语法:

```java
public static byte getDirectionality(int codePoint) 
```

### 参数:

传递的参数是要返回其字符方向的 Unicode 代码点值。

### 返回:

返回 Unicode 代码点值的方向性属性。

## 例 1:

这里，返回字符的方向性属性(Unicode 代码点值)。

```java
public class StudyTonight 
{  
    public static void main(String[] args)
    {         
      int n1 = 45;  
      int n2 = 98;  
      byte b1 = Character.getDirectionality(n1);  
      byte b2 = Character.getDirectionality(n2);   
      System.out.println("The directionality of " + (char)n1 + " is " + b1);  
      System.out.println("The directionality of " + (char)n2 + " is " + b2);          
    }  
} 
```

的方向性为 4
的方向性为 0

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并得到想要的结果。

```java
import java.util.Scanner;
public class StudyTonight 
{  
	public static void main(String[] args)
	{         
		try
		{
			System.out.print("Enter the codepoint value:");  
			Scanner sc = new Scanner(System.in);  
			int n = sc.nextInt();  

			byte r = Character.getDirectionality(n);   
			System.out.println("The directionality property of " + (char)n + " is " + r);       
		}       
		catch(Exception e)
		{
			System.out.println("Invalid error");
		}
	}
} 
```

输入码点值:55
7 的方向性属性为 3
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入码点值:101
e 的方向性属性为 0

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *