# Java `Character.getName()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-getname-method>

Java `getName()`方法是`Character`类的一部分。此方法返回指定代码点的字符的指定 Unicode 名称，如果指定代码点未指定，则返回`null`。如果 Unicode 数据文件没有为字符指定名称，则返回的名称与表达式的结果相同。

### 语法:

```java
public static String getName(int codePoint)
```

### 参数:

传递的参数是`int codepoint`，它是字符的 Unicode 码点。

### 返回:

返回字符的 Unicode 名称，如果代码点未赋值，则返回 null。

## 例 1:

这里，分配给字符的名称是通过使用 getName()方法返回的。

```java
public class StudyTonight 
{  
    public static void main(String[] args)
    {         
      int cp1 = 99;  
      int cp2 = 22;  
      int cp3 = 00;  
      int cp4 = 55;  
      int cp5 = 112;       
      String r1 = Character.getName(cp1); //return name for the specified character
      String r2 = Character.getName(cp2);  
      String r3 = Character.getName(cp3);  
      String r4 = Character.getName(cp4);
      String r5 = Character.getName(cp5);
      System.out.println("The character " + (char)cp1 + " has name : " + r1);  
      System.out.println("The character " + (char)cp2 + " has name : " + r2);  
      System.out.println("The character " + (char)cp3 + " has name : " + r3);  
      System.out.println("The character " + (char)cp4  + " has name : " + r4);
      System.out.println("The character " + (char)cp5  + " has name : " + r5);
    }
} 
```

字符 C 有名称:拉丁文小写字母 C
字符有名称:同步空闲
字符有名称:空
字符 7 有名称:数字七
字符 P 有名称:拉丁文小写字母 P

## 例 2:

这里有一个通用的例子，用户可以输入他选择的输入并获得所需的输出。

```java
import java.util.Scanner;
public class StudyTonight 
{  
	public static void main(String[] args)
	{         
		try
		{
			System.out.println("Enter the Unicode codepoint"); 
			Scanner sc = new Scanner(System.in);
			int cp = sc.nextInt();   
			String r = Character.getName(cp);  
			System.out.println("The character " + (char)cp + " has name : " + r);
		}
		catch(Exception e)
		{
			System.out.println("Invalid input");
		} 
	}
} 
```

输入 Unicode 码点
65
字符 A 有名称:拉丁文大写字母 A
*************************输入 Unicode 码点
34
字符“有名称:引号
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入 Unicode 码点
r
无效输入

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *