# Java `Character.getNumericValue(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-getnumericvalue-char-method>

Java `getNumericValue(char ch)`方法是`Character`类的一部分。此方法返回指定的的 int 值。如果指定字符没有任何 int(数字)值，则返回 *-1* ，如果该字符有不能表示为非负整数的数值(例如分数或十进制值)，则返回 *-2* 。

### 语法:

```java
public static int getNumericValue(char ch) 
```

### 参数:

传递的参数是要返回整数值的字符。

### 返回:

以非负整数形式返回指定字符的数值。

## 例 1:

这里，字符的数值非负 int 值是使用`getNumericValue()`方法获取的。

```java
public class StudyTonight 
{  
	public static void main(String[] args)
	{         
		char ch1 = 'A';  
		char ch2 = 'G';  
		char ch3 = 'M';  
		char ch4 = '7';  
		char ch5 = 'Q';      
		int r1 = Character.getNumericValue(ch1); //return int value for the specified character
		int r2 = Character.getNumericValue(ch2);  
		int r3 = Character.getNumericValue(ch3);  
		int r4 = Character.getNumericValue(ch4);
		int r5 = Character.getNumericValue(ch5);      
		System.out.println("The character " + ch1 + " has int value : " + r1);  
		System.out.println("The character " + ch2 + " has int value : " + r2);  
		System.out.println("The character " + ch3 + " has int value : " + r3);  
		System.out.println("The character " + ch4 + " has int value : " + r4);
		System.out.println("The character " + ch5 + " has int value : " + r5);      
	}
} 
```

字符 A 有 int 值:10
字符 G 有 int 值:16
字符 M 有 int 值:22
字符 7 有 int 值:7
字符 Q 有 int 值:26

## 例 2:

这里有一个通用的例子，用户可以输入他选择的输入并获得所需的输出。

```java
import java.util.Scanner;
public class StudyTonight 
{  
	public static void main(String[] args)
	{         
		try
		{
			System.out.println("Enter the character"); 
			Scanner sc = new Scanner(System.in);
			char ch = sc.next().charAt(0);      
			int r = Character.getNumericValue(ch);  
			System.out.println("The character " + ch + " has value : " + r);
		}
		catch(Exception e)
		{
			System.out.println("Invalid input");
		}
	}
} 
```

输入字符
H
字符 H 有值:17
***************输入字符
4
字符 4 有值:4

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *