# Java `Character.getNumericValue(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-getnumericvalue-codepoint-method>

Java `getNumericValue(int codepoint)`方法是`Character`类的一部分。此方法返回位于指定 Unicode 代码点的字符的整数值。如果字符没有任何 int 值，则返回 *-1* ，如果字符不能表示为非负整数(例如分数或十进制值)，则返回 *-2* 。

### 语法:

```java
public static int getNumericValue(int codepoint) 
```

### 参数:

传递的参数是要返回整数值的 Unicode 代码点字符。

### 返回:

以非负整数形式返回指定字符的值。

## 例 1:

这里，传递的是 Unicode 代码点字符的非负值。

```java
public class StudyTonight 
{  
	public static void main(String[] args)
	{         
		int cp1 = 66;  
		int cp2 = 53;  
		int cp3 = 03;  
		int cp4 = 90;  
		int cp5 = 84;   
		int r1 = Character.getNumericValue(cp1); //return int value for the specified code point
		int r2 = Character.getNumericValue(cp2);  
		int r3 = Character.getNumericValue(cp3);  
		int r4 = Character.getNumericValue(cp4);
		int r5 = Character.getNumericValue(cp5);      
		System.out.println("The character " + (char)cp1 + " has int value : " + r1);  
		System.out.println("The character " + (char)cp2 + " has int value : " + r2);  
		System.out.println("The character " + (char)cp3 + " has int value : " + r3);  
		System.out.println("The character " + (char)cp4 + " has int value : " + r4);
		System.out.println("The character " + (char)cp5 + " has int value : " + r5);      
	}
} 
```

字符 B 有 int 值:11
字符 5 有 int 值:5
字符有 int 值:-1
字符 Z 有 int 值:35
字符 T 有 int 值:29

## 例 2:

这里有一个通用的例子，用户可以输入他选择的输入并获得所需的输出。

```java
import java.util.Scanner;
public class StudyTonight 
{  
	public static void main(String[] args)
	{         
		try
		{
			System.out.println("Enter the codepoint"); 
			Scanner sc = new Scanner(System.in);
			int cp = sc.nextInt();

			int r = Character.getNumericValue(cp);  

			System.out.println("The character " + cp + " has value : " + r);
		}
		catch(Exception e)
		{
			System.out.println("Invalid input");
		}
	}
} 
```

输入码点
77
字符 77 有值:22
*****输入码点
12
字符 12 有值:-1
*************输入码点
无效输入

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *