# Java `Character.getType(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-gettype-char-method>

Java `getType(char ch)`方法是`Character`类的一部分。此方法返回一个值，该值指示指定字符值的一般类别。

必须注意，这种方法不适合补充字符。为了支持补充字符，使用方法`getType(int codePoint)`。

### 语法:

```java
public static int getType(char ch) 
```

### 参数:

传递的参数是将返回其常规类别值的字符。

### 返回:

返回表示字符一般类别的整数值。

## 例 1:

这里，通过使用`getType()`方法返回代表字符的一般类别的整数值。

```java
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		char ch1 = 'A';
		char ch2 = '*';
		char ch3 = '7';
		char ch4 = '#';
		char ch5 = 'b';
		int n1 = Character.getType(ch1);
		int n2 = Character.getType(ch2);
		int n3 = Character.getType(ch3);
		int n4 = Character.getType(ch4);
		int n5 = Character.getType(ch5);
		System.out.println("The value of " + ch1 + " is : " + n1);
		System.out.println("The value of " + ch2 + " is : " + n2);
		System.out.println("The value of " + ch3 + " is : " + n3);
		System.out.println("The value of " + ch4 + " is : " + n4);
		System.out.println("The value of " + ch5 + " is : " + n5);
	}
}
```

A 的值为:1
的值*为:24
的值为:9
的值#为:24
的值 b 为:2

## 例 2:

这里有一个通用的例子，用户可以输入他选择的输入并获得所需的输出。

```java
import java.util.Scanner;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		try 
		{
			System.out.println("Enter the character");
			Scanner sc = new Scanner(System. in );
			char ch = sc.next().charAt(0);
			int r = Character.getType(ch);
			System.out.println("The character " + ch + " has type value : " + r);
		}
		catch(Exception e) 
		{
			System.out.println("Invalid input");
		}
	}
}
```

输入字符
y
字符 121 有类型值:2
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入字符
(
字符 40 有类型值:21

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *