# Java `Character.hashCode(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-hashcode-char-method>

`hashCode(char ch)`方法与 Java 1.8 或更高版本兼容，并且是`java.lang`包的`Character`类的一部分。它用于返回作为参数传递的字符值的哈希代码。

此方法兼容`Character`类的[**hashcode()**](https://www.studytonight.com/java-wrapper-class/java-character-hashcode-method)方法。

### 语法:

```java
public static int hashCode(char ch) 
```

### 参数:

该参数包括要生成哈希代码的字符值。

### 返回:

与作为参数传递的字符值关联的唯一整数值(哈希代码)。

## 例 1:

这里，使用`hashCode(char ch)`方法，在传递的字符值中返回 hashcode。

```java
import java.lang.Character;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		int hv1 = Character.hashCode('J'); //generate the hashcode of the passed argument
		int hv2 = Character.hashCode('w');
		System.out.println("Hash code Value is: " + hv1);
		System.out.println("Hash code Value is: " + hv2);
	}
}
```

哈希码值为:74
哈希码值为:119

## 例 2:

这里有一个用户定义的例子，任何使用这个代码的人都可以输入自己选择的值，并获得等效的哈希代码。

```java
import java.util.Scanner;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		try 
		{
			System.out.print("Enter the value: ");
			Scanner sc = new Scanner(System. in );
			Character ch = sc.next().charAt(0);
			int hv = Character.hashCode(ch); // Returning hash code value for this object
			System.out.println("Hash code is: " + hv);
		}
		catch(Exception e) 
		{
			System.out.println("Invalid Input!!");
		}
	}
}
```

输入值:y
哈希码为:121
* * * * * * * * * * * * * * * * * *
输入值:6
哈希码为:54

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *