# Java `Character.highSurrogate(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-highsurrogate-codepoint-method>

`highSurrogate(int codePoint)`方法是`Character`类的一部分。此方法返回当前指示指定代理项对的 UTF-16 编码中的补充字符的代理项对。如果指定的字符无效，则返回未指定的字符。

### 语法:

```java
public static char highSurrogate(int codePoint) 
```

### 参数:

传递的参数是测试的 Unicode 代码点补充字符。

### 返回:

返回当前指示 Unicode 补充字符的 UTF-16 中的补充字符的代理项对。

## 例 1:

这里，使用`highSurrogate()`方法返回补充字符的代理对。

```java
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		int cp1 = 55;
		int cp2 = 5277;

		char r1 = Character.highSurrogate(cp1);
		char r2 = Character.highSurrogate(cp2);

		System.out.println("The surrogate for  " + (char) cp1 + " is :" + r1);
		System.out.println("The surrogate for  " + (char) cp2 + " is :" + r2);
	}
}
```

7 的代孕是:？
代孕为？是:？

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		try 
		{
			System.out.print("Enter the unicode codepoint: ");
			Scanner sc = new Scanner(System. in );
			int i = sc.nextInt();
			char ch = Character.highSurrogate(i);
			System.out.println("The surrogate for  " + (char) i + " is :" + ch);
		}
		catch(Exception e) 
		{
			System.out.println("Invalid Input!!");
		}
	}
}
```

输入 unicode 码位:856754
的代孕码？是:？
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入 unicode 码位:121
y 的代称是:？

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *