# Java `Character.isAlphabetic()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isalphabetic-method>

Java `isAlphabetic()`方法是`Character`类的一部分。此方法用于检查指定的字符是否是字母。

如果由``getType(codePoint)`` 提供的字符具有以下特征，则该字符被认为是字母表:

*   大写字母
*   小写字母
*   TITLECASE_LETTER
*   修饰符 _LETTER
*   其他字母
*   字母 _ 数字或
*   Unicode 标准定义的其他字母。

### 语法:

```java
public static boolean isAlphabetic(int codePoint) 
```

### 参数:

传递的参数是 Unicode 代码点字符，要检查它是否是字母表。

### 返回:

如果指定的字符是字母，返回布尔值`true` ，否则返回 `false.`

## 例 1:

这里，`isAlphabetic()` 方法检查指定的字符是否是字母表。

```java
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		int cp1 = 56;
		int cp2 = 88;

		boolean b1 = Character.isAlphabetic(cp1);
		boolean b2 = Character.isAlphabetic(cp2);

		System.out.println((char) cp1 + " is alphabet? " + b1);
		System.out.println((char) cp2 + " is alphabet? " + b2);

	}
}
```

8 是字母表？假
X 是字母表？真实的

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值并获得输出。

```java
import java.util.Scanner;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		try 
		{
			System.out.print("Enter Unicode codepoint input: ");
			Scanner sc = new Scanner(System. in );
			int cp = sc.nextInt();
			boolean b = Character.isAlphabetic(cp);

			if (b == true) 
			{
				System.out.println((char) cp + " is an alphabet");
			}
			else 
			{
				System.out.println((char) cp + " is not an alphabet");
			}
		}
		catch(Exception e) 
		{
			System.out.println("Invalid Input!!");
		}
	}
}
```

输入 Unicode 码点输入:101
e 是字母表
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入 Unicode 码点输入:48
0 不是字母表

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *