# Java `Character.isBmpCodePoint()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isbmpcodepoint-method>

Java `isBmpCodePoint()`方法是`Character`类的一部分。此方法用于确定指定的 Unicode 代码点字符是否是基本多语言平面(BMP)范围的一部分。

必须注意，指定的 Unicode 代码点可以用单个字符值来表示。

### 语法:

```java
public static Boolean isBmpCodePoint(int codePoint) 
```

### 参数:

传递的参数是 Unicode 代码点字符，将检查它是否位于 BMP 中。

### 返回:

如果指定的码点在`MIN_VALUE`和`MAX_VALUE` 之间，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查 Unicode 代码点值是否位于 BMP 中。

```java
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		int cp1 = 78;
		int cp2 = 48;
		int cp3 = 90;
		int cp4 = 34;
		int cp5 = -67;

		boolean b1 = Character.isBmpCodePoint(cp1);
		boolean b2 = Character.isBmpCodePoint(cp2);
		boolean b3 = Character.isBmpCodePoint(cp3);
		boolean b4 = Character.isBmpCodePoint(cp4);
		boolean b5 = Character.isBmpCodePoint(cp5);

		System.out.println("The value for " + (char) cp1 + " is :  " + b1);
		System.out.println("The value for " + (char) cp2 + " is :  " + b2);
		System.out.println("The value for " + (char) cp3 + " is :  " + b3);
		System.out.println("The value for " + (char) cp4 + " is :  " + b4);
		System.out.println("The value for " + (char) cp5 + " is :  " + b5);
	}
}
```

N 的值为:真
0 的值为:真
Z 的值为:真
的值为:真
的值为？是:假的

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		try 
		{
			System.out.print("Enter the unicode codepoint: ");
			Scanner sc = new Scanner(System. in );
			int i = sc.nextInt();
			boolean b = Character.isBmpCodePoint(i);
			System.out.println("The value for  " + (char) i + " is :" + b);
		}
		catch(Exception e) 
		{
			System.out.println("Invalid Input!!");
		}
	}
}
```

输入 unicode 码位:-22
的值为？为:假
* * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入 unicode 码位:76
L 的值为:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *