# Java `Character.isDefined(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isdefined-char-method>

Java `isDefined(char ch)`方法是`Character`类的一部分。此方法用于检查指定的字符是否定义为 Unicode。对于要用 Unicode 定义的字符，字符必须满足以下两个条件之一(或同时满足这两个条件):

*   字符必须在`UnicodeData`文件中有一个条目。
*   字符的值在`UnicodeData`文件定义的范围内。

### 语法:

```java
public static boolean isDefined(char ch) 
```

### 参数:

传递的参数是要检查是否用 Unicode 定义的字符值。

### 返回:

如果在 Unicode 中定义了指定的字符，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是用 Unicode 定义的。

```java
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		char cp1 = 'A';
		char cp2 = '0';
		char cp3 = '*';
		char cp4 = '%';
		char cp5 = '^';

		boolean b1 = Character.isDefined(cp1);
		boolean b2 = Character.isDefined(cp2);
		boolean b3 = Character.isDefined(cp3);
		boolean b4 = Character.isDefined(cp4);
		boolean b5 = Character.isDefined(cp5);

		System.out.println(cp1 + " is defined?? :  " + b1);
		System.out.println(cp2 + " is defined?? :  " + b2);
		System.out.println(cp3 + " is defined?? :  " + b3);
		System.out.println(cp4 + " is defined?? :  " + b4);
		System.out.println(cp5 + " is defined?? :  " + b5);
	}
}
```

定义了 A？？:真
0 定义？？:真
*被定义了？？:真
%定义？？:真
^定义？？:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		try 
		{
			System.out.print("Enter the character: ");
			Scanner sc = new Scanner(System. in );
			char ch = sc.next().charAt(0);
			boolean b = Character.isDefined(ch);
			System.out.println(ch + " is defined?? : " + b);
		}
		catch(Exception e) 
		{
			System.out.println("Invalid Input!!");
		}
	}
}
```

输入字符:-
-定义为:真
*********************输入字符:7
7 定义为？？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *