# Java `Character.isDefined(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isdefined-codepoint-method>

Java `isDefined(int codepoint)`方法是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符是否以 Unicode 定义。对于要用 Unicode 定义的代码点字符，字符必须满足以下两个条件之一(或同时满足这两个条件):

*   字符必须在`UnicodeData`文件中有一个条目。
*   字符的值在`UnicodeData`文件定义的范围内。

### 语法:

```java
public static boolean isDefined(int codePoint) 
```

### 参数:

传递的参数是 Unicode 代码点字符值，用于检查它是否是以 Unicode 定义的。

### 返回:

如果在 Unicode 中定义了指定的代码点字符，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，使用`isDefined()`方法检查字符是否以 Unicode 定义。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 66;  
		int cp2 = 78;  
		int cp3 = 101;  
		int cp4 = 90;   
		int cp5 = 121;  

		boolean b1 = Character.isDefined(cp1);  
		boolean b2 = Character.isDefined(cp2);  
		boolean b3 = Character.isDefined(cp3);  
		boolean b4 = Character.isDefined(cp4);  
		boolean b5 = Character.isDefined(cp5);  

		System.out.println((char)cp1 +" is defined?? :  "+b1);  
		System.out.println((char)cp2 +" is defined?? :  "+b2);   
		System.out.println((char)cp3 +" is defined?? :  "+b3);   
		System.out.println((char)cp4 +" is defined?? :  "+b4);   
		System.out.println((char)cp5 +" is defined?? :  "+b5);   
	}  
} 
```

B 定义了吗？？:真
N 定义？？:真
e 定义？？:真
Z 定义？？:真
y 定义？？:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the unicode codepoint value: ");  
			Scanner sc = new Scanner(System.in);         
			int cp = sc.nextInt();  
			boolean b = Character.isDefined(cp);
			System.out.println((char)cp + " is defined?? : "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入 unicode 码点值:88
X 是否定义？？:true
* * * * * * * * * * * * * * * * * * * * * * * * * * *输入 unicode 码点值:121
y 定义？？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *