# Java `Character.isDigit(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isdigitchar-ch-method>

Java `isDigit(char ch)`方法是`Character`类的一部分。此方法检查指定的字符是否为数字。如果`Character.getType(ch)`提供的通用类别类型为`DECIMAL_DIGIT_NUMBER`，则字符被定义为数字。

一些包含数字的 Unicode 范围是:

*   `'\u0030'`到`'\u0039'`，ISO-LATIN-1 位数(`'0'`到`'9'`
*   `'\u0660'`至`'\u0669'`，阿拉伯-印度数字。
*   `'\u06F0'`至`'\u06F9'`，扩展阿拉伯-印度数字。
*   `'\u0966'`至`'\u096F'`，天成文书数字。
*   `'\uFF10'`至`'\uFF19'`，全角数字。

### 语法:

```java
public static boolean isDigit(char ch) 
```

### 参数:

传递的参数是要检查是否是数字的字符值。

### 返回:

如果指定的字符是数字，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，使用`isDigit()`方法检查字符是否是数字。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = 'A';  
		char ch2 = 'u';  
		char ch3 = '8';  
		char ch4 = '4';  
		char ch5 = '*';  

		boolean b1 = Character.isDigit(ch1);  
		boolean b2 = Character.isDigit(ch2);  
		boolean b3 = Character.isDigit(ch3);  
		boolean b4 = Character.isDigit(ch4);  
		boolean b5 = Character.isDigit(ch5);  

		System.out.println(ch1 +" is a digit??:  "+b1);  
		System.out.println(ch2 +" is a digit??:  "+b2);  
		System.out.println(ch3 +" is a digit??:  "+b3);  
		System.out.println(ch4 +" is a digit?? : "+b4);  
		System.out.println(ch5 +" is a digit??:  "+b5);  
	}  
} 
```

A 是数字？？:false
u 是数字？？:假
8 是数字？？:真
4 是数字？？:真
*是数字？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isDigit(ch);
			System.out.println(ch + " is a digit?? : "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入字符:y
y 是数字？？:假
*****************输入字符:2
2 是数字？？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *