# Java `Character.isDigit(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isdigit-codepoint-method>

`isDigit(int codePoint)`法是`Character`类的一部分。此方法检查指定的 Unicode 代码点字符是否为数字。如果`Character.getType(ch)`提供的通用类别类型为`DECIMAL_DIGIT_NUMBER`，则字符被定义为数字。

一些包含数字的 Unicode 范围是:

*   `'\u0030'`到`'\u0039'`，ISO-LATIN-1 位数(`'0'`到`'9'`
*   `'\u0660'`至`'\u0669'`，阿拉伯-印度数字。
*   `'\u06F0'`至`'\u06F9'`，扩展阿拉伯-印度数字。
*   `'\u0966'`至`'\u096F'`，天成文书数字。
*   `'\uFF10'`至`'\uFF19'`，全角数字。

### 语法:

```java
public static boolean isDigit(int codePoint) 
```

### 参数:

传递的参数是要检查是否是数字的 Unicode 代码点字符值。

### 返回:

如果指定的字符是数字，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，使用`isDigit()`方法检查码点是否是数字。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 88;  
		int cp2 = 34;  
		int cp3 = 50;  
		int cp4  = 83;   
		int cp5  = 55;  

		boolean b1 = Character.isDigit(cp1);  
		boolean b2 = Character.isDigit(cp2);  
		boolean b3 = Character.isDigit(cp3);  
		boolean b4 = Character.isDigit(cp4);  
		boolean b5 = Character.isDigit(cp5);  

		System.out.println((char)cp1 +" is a digit??:  "+b1);  
		System.out.println((char)cp2 +" is a digit??:  "+b2);  
		System.out.println((char)cp3 +" is a digit??:  "+b3);  
		System.out.println((char)cp4 +" is a digit?? : "+b4);  
		System.out.println((char)cp5 +" is a digit??:  "+b5);  
	}  
} 
```

X 是数字？？:假
“是数字吗？？:假
2 是数字？？:真
S 是数字？？:假
7 是数字？？:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the codepoint: ");  
			Scanner sc = new Scanner(System.in);         
			int cp = sc.nextInt();  
			boolean b = Character.isDigit(cp);
			System.out.println((char)cp + " is a digit?? : "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入码点:54
6 是数字？？:真
***********************输入代号点:66
B 是数字？？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *