# Java `Character.isHighSurrogate()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-ishighsurrogate-method>

Java `isHighSurrogate()`方法是`Character`类的一部分。此方法用于检查指定的字符是否是高代理代码单元(前导代理代码单元)。

必须注意的是，这些值可以用来表示 UTF-16 编码中的补充字符，不能用来单独表示字符。

### 语法:

```java
public static boolean isHighSurrogate(char ch) 
```

### 参数:

传递的参数是要检查高代理代码单元的字符。

### 返回:

如果指定的字符是高代理代码单元，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是高代理代码单元。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = 'A';  
		char ch2 = 'u';  
		char ch3 = '\ud800';  
		char ch4 = '4';  
		char ch5 = '*';  

		boolean b1 = Character.isHighSurrogate(ch1);  
		boolean b2 = Character.isHighSurrogate(ch2);  
		boolean b3 = Character.isHighSurrogate(ch3);  
		boolean b4 = Character.isHighSurrogate(ch4);  
		boolean b5 = Character.isHighSurrogate(ch5);  

		System.out.println(ch1 +" is a high-surrogate?:  "+b1);  
		System.out.println(ch2 +" is a high-surrogate?:  "+b2);  
		System.out.println(ch3 +" is a high-surrogate?:  "+b3);  
		System.out.println(ch4 +" is a high-surrogate? : "+b4);  
		System.out.println(ch5 +" is a high-surrogate?:  "+b5);  
	}  
} 
```

A 是高代孕？:假
u 是高代孕？:假
？是高代孕吗？:真
4 是高代孕？:假
*是高代孕？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isHighSurrogate(ch);
			System.out.println(ch + " is a high-surrogate? : "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入字符 f
f 是高代孕？:假
* * * * * * * * * * * * * * * * * * * * * * * * * * * *输入人物 8
8 是高代孕？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *