# Java `Character.isIdentifierIgnorable(char ch)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isidentifierignorablechar-ch-method>

Java `isIdentifierIgnorable(char ch)`方法是`Character`类的一部分。此方法用于检查指定字符在 Java 中是否可以被视为可忽略字符或 Unicode 标识符。

被视为可忽略字符或 Unicode 标识符的字符有:

*   非空白的国际标准化组织控制字符。
    *   `'\u0000'`至`'\u0008'`
    *   `'\u000E'`至`'\u001B'`
    *   `'\u007F'`至`'\u009F'`
*   所有具有`FORMAT`通用类别值的字符。

### 语法:

```java
public static boolean isIdentifierIgnorable(char ch) 
```

### 参数:

传递的参数是要检查可忽略字符的字符。

### 返回:

如果指定字符是可忽略字符，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否为可忽略字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = 'g';  
		char ch2 = 'D';  
		char ch3 = '@';  
		char ch4  = 'e';   
		char ch5  = '8';  

		boolean b1 = Character.isIdentifierIgnorable(ch1);  
		boolean b2 = Character.isIdentifierIgnorable(ch2);  
		boolean b3 = Character.isIdentifierIgnorable(ch3);  
		boolean b4 = Character.isIdentifierIgnorable(ch4);  
		boolean b5 = Character.isIdentifierIgnorable(ch5);  

		System.out.println(ch1 +" is a ignorable?: "+b1);  
		System.out.println(ch2 +" is a ignorable?: "+b2);  
		System.out.println(ch3 +" is a ignorable?: "+b3);  
		System.out.println(ch4 +" is a ignorable?: "+b4);  
		System.out.println(ch5 +" is a ignorable?: "+b5);  
	}  
} 
```

g 是可忽略的？:false
D 是可忽略的？:假的
是个可鄙的？:false
e 是可忽略的？:假的
8 是个可鄙的？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{ 
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isIdentifierIgnorable(ch);
			System.out.println(ch + " is a ignorable? : "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入字符:t
t 是可忽略的？:假
**********************输入人物:2
2 是可忽略的？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *