# Java `Character.isIdentifierIgnorable(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isidentifierignorableint-codepoint-method>

Java `isIdentifierIgnorable(int codePoint)`方法是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符在 Java 中是否可以被视为可忽略字符或 Unicode 标识符。

被视为可忽略字符或 Unicode 标识符的字符有:

*   非空白的国际标准化组织控制字符。
    *   `'\u0000'`至`'\u0008'`
    *   `'\u000E'`至`'\u001B'`
    *   `'\u007F'`至`'\u009F'`
*   所有具有`FORMAT`通用类别值的字符。

### 语法:

```java
public static boolean isIdentifierIgnorable(int codePoint) 
```

### 参数:

传递的参数是要检查可忽略字符的 Unicode 代码点字符。

### 返回:

如果指定的 Unicode 代码点字符是可忽略字符，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否为可忽略字符。

```java
public class StudyTonight
{ 
	public static void main(String[] args)
	{  
		int cp1 = 0x008f;  
		int cp2 = 0x004f;  
		int cp3 = 50;  
		int cp4  = 83;   
		int cp5  = 55;  

		boolean b1 = Character.isIdentifierIgnorable(cp1);  
		boolean b2 = Character.isIdentifierIgnorable(cp2);  
		boolean b3 = Character.isIdentifierIgnorable(cp3);  
		boolean b4 = Character.isIdentifierIgnorable(cp4);  
		boolean b5 = Character.isIdentifierIgnorable(cp5);  

		System.out.println((char)cp1 +" is a ignorable?:  "+b1);  
		System.out.println((char)cp2 +" is a ignorable?:  "+b2);  
		System.out.println((char)cp3 +" is a ignorable?:  "+b3);  
		System.out.println((char)cp4 +" is a ignorable? : "+b4);  
		System.out.println((char)cp5 +" is a ignorable?:  "+b5);  
	}  
} 
```

是可忽略的吗？:真
O 是可忽略的？:假的
2 是个可鄙的？:false
S 是可忽略的？:假的
7 是个可鄙的？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the codepoint: ");  
			Scanner sc = new Scanner(System.in);         
			int cp = sc.nextInt();  
			boolean b = Character.isIdentifierIgnorable(cp);
			System.out.println((char)cp + " is a ignorable? : "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入码点:787
？是可忽略的。:假
*************************输入编码点:0x565
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *