# Java `Character.isIdeographic()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isideographic-method>

Java `isIdeographic()`方法是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符是否是 Unicode 标准定义的 CJKV(中文、日文、韩文和越南文)表意文字。

### 语法:

```java
public static boolean isIdeographic(int codePoint)
```

### 参数:

传递的参数是要检查的 Unicode 代码点字符。

### 返回:

如果指定的字符是 CJKV 表意字符，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否为 CJKV 表意文字。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 13477;  
		int cp2 = 12712;  
		int cp3 = 50;  
		int cp4 = 83453;   
		int cp5 = -55;  

		boolean b1 = Character.isIdeographic(cp1);  
		boolean b2 = Character.isIdeographic(cp2);  
		boolean b3 = Character.isIdeographic(cp3);  
		boolean b4 = Character.isIdeographic(cp4);  
		boolean b5 = Character.isIdeographic(cp5);  

		System.out.println((char)cp1 +" is a CJKV ideograph??:  "+b1);  
		System.out.println((char)cp2 +" is a CJKV ideograph??:  "+b2);  
		System.out.println((char)cp3 +" is a CJKV ideograph??:  "+b3);  
		System.out.println((char)cp4 +" is a CJKV ideograph?? : "+b4);  
		System.out.println((char)cp5 +" is a CJKV ideograph??:  "+b5);  
	}  
} 
```

？是 CJKV 表意文字吗？:真
？是 CJKV 表意文字吗？:假
2 是 CJKV 表意文字？:假
？是 CJKV 表意文字吗？:假
？是 CJKV 表意文字吗？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the codepoint: ");  
			Scanner sc = new Scanner(System.in);         
			int cp = sc.nextInt();  
			boolean b = Character.isIdeographic(cp);
			System.out.println((char)cp + " is a CJKV ideograph?? : "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入码点:12139
？是 CJKV 表意文字吗？？:假
* * * * * * * * * * * * * * * * * * * * * * * * * * * *输入代号点:13772
？是 CJKV 表意文字吗？？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *