# Java `Character.isISOControl(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isisocontrolint-codepoint-method>

Java `isISOControl(int codePoint)`是``Character`` 类的一部分。此方法用于检查指定的 Unicode 代码点字符是否为国际标准化组织控制字符。

如果一个字符的代码在`'\u000'`到`'\u001F'`的范围内或者在`'\u007F'` 到`'\u009F'`的范围内，则该字符是一个 ISO 控制字符。

### 语法:

```java
public static boolean isISOControl(int codePoint)
```

### 参数:

传递的参数是要为国际标准化组织控制检查的 Unicode 代码点字符。

### 返回:

如果指定的 Unicode 代码点字符是国际标准化组织控制字符，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查 Unicode 代码点字符是否为国际标准化组织控制字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 28;  
		int cp2 = 32;  
		int cp3 = 122;  
		int cp4 = 90;   
		int cp5 = 1232;  

		boolean b1 = Character.isISOControl(cp1);  
		boolean b2 = Character.isISOControl(cp2);  
		boolean b3 = Character.isISOControl(cp3);  
		boolean b4 = Character.isISOControl(cp4);  
		boolean b5 = Character.isISOControl(cp5);  

		System.out.println((char)cp1 +" is a ISO control?:  "+b1);  
		System.out.println((char)cp2 +" is a ISO control?:  "+b2);  
		System.out.println((char)cp3 +" is a ISO control?:  "+b3);  
		System.out.println((char)cp4 +" is a ISO control? : "+b4);  
		System.out.println((char)cp5 +" is a ISO control?:  "+b5);  
	}  
} 
```

是 ISO 质控品吗？？:真
是 ISO 质控？？:假
z 是 ISO 质控品？？:假
Z 是 ISO 质控？？:假
？是 ISO 质控品吗？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the unicode character: ");  
			Scanner sc = new Scanner(System.in);         
			int cp = sc.nextInt();  
			boolean b = Character.isISOControl(cp);
			System.out.println((char)cp + " is an ISO Control? : "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入 unicode 字符:29
是 ISO Control 吗？:true
* * * * * * * * * * * * * * * * * * * * * * * * * * *输入 unicode 字符:40
(是 ISO Control 吗？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *