# Java `Character.isJavaIdentifierPart(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isjavaidentifierpartchar-ch-method>

Java `isJavaIdentifierPart(char ch)`是`Character`类的一部分。此方法用于确定指定的字符是否是 Java 标识符的一部分。

必须注意，此方法不处理补充字符。如果满足以下任一条件，字符就是 Java 标识符的一部分:

*   这是一封信
*   是货币符号(如`'$'`)
*   是连接标点符号(如`'_'`)
*   这是一个数字
*   它是一个数字字母(如罗马数字字符)
*   这是一个组合标记
*   这是一个无间距标记
*   `isIdentifierIgnorable`返回角色的`true`。

### 语法:

```java
public static boolean isJavaIdentifierPart(char ch)
```

### 参数:

传递的参数是要检查 Java 标识符的字符。

### 返回:

如果指定的字符是 Java 标识符的一部分，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是 Java 标识符的一部分。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = ':';  
		char ch2 = 'D';  
		char ch3 = '$';  
		char ch4  = '_';   
		char ch5  = '%';  

		boolean b1 = Character.isJavaIdentifierPart(ch1);  
		boolean b2 = Character.isJavaIdentifierPart(ch2);  
		boolean b3 = Character.isJavaIdentifierPart(ch3);  
		boolean b4 = Character.isJavaIdentifierPart(ch4);  
		boolean b5 = Character.isJavaIdentifierPart(ch5);  

		System.out.println(ch1 +" is a part of Java identifier??:  "+b1);  
		System.out.println(ch2 +" is a part of Java identifier??:  "+b2);  
		System.out.println(ch3 +" is a part of Java identifier??:  "+b3);  
		System.out.println(ch4 +" is a part of Java identifier?? : "+b4);  
		System.out.println(ch5 +" is a part of Java identifier??:  "+b5);  
	}  
} 
```

:是 Java 标识符的一部分吗？？:false
D 是 Java 标识符的一部分？？:true
$是 Java 标识符的一部分？？:true
_ 是 Java 标识符的一部分？？:true
%是 Java 标识符的一部分？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isJavaIdentifierPart(ch);
			System.out.println(ch + " is a part of Java identifier??: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入字符:“
”是 Java 标识符的一部分？？:false
*******输入字符:$
$是 Java 标识符的一部分？？:true
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入字符:。
。是 Java 标识符的一部分？？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *