# Java `Character.isJavaIdentifierStart(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isjavaidentifierstartchar-ch-method>

Java `isJavaIdentifierStart(char ch)`是`Character`类的一部分。此方法用于确定指定的字符是否是 Java 标识符中的第一个字符。

必须注意，此方法不处理补充字符。

### 语法:

```java
public static boolean isJavaIdentifierStart(char ch)
```

### 参数:

传递的参数是要检查 Java 开始标识符的字符。

### 返回:

如果指定的字符是 Java 开始标识符的一部分，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是 Java 开始标识符的一部分。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = ':';  
		char ch2 = 'D';  
		char ch3 = '$';  
		char ch4  = '_';   
		char ch5  = '%';  

		boolean b1 = Character.isJavaIdentifierStart(ch1);  
		boolean b2 = Character.isJavaIdentifierStart(ch2);  
		boolean b3 = Character.isJavaIdentifierStart(ch3);  
		boolean b4 = Character.isJavaIdentifierStart(ch4);  
		boolean b5 = Character.isJavaIdentifierStart(ch5);  

		System.out.println(ch1 +" is a part of Java start identifier??:  "+b1);  
		System.out.println(ch2 +" is a part of Java start identifier??:  "+b2);  
		System.out.println(ch3 +" is a part of Java start identifier??:  "+b3);  
		System.out.println(ch4 +" is a part of Java start identifier?? : "+b4);  
		System.out.println(ch5 +" is a part of Java start identifier??:  "+b5);  

	}  
} 
```

:是 Java 开始标识符的一部分吗？？:false
D 是 Java 开始标识符的一部分？？:true
$是 Java 启动标识符的一部分？？:true
_ 是 Java 启动标识符的一部分？？:true
%是 Java 启动标识符的一部分？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isJavaIdentifierStart(ch);
			System.out.println(ch + " is a part of Java start identifier??: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入字符:@
@是 Java 开始标识符的一部分？？:false
* * * * * * * * * * * * * * * * * * * * * * *输入字符:7
7 是 Java 启动标识符的一部分？？:false
* * * * * * * * * * * * * * * * * * * * * * *输入字符:m
m 是 Java 启动标识符的一部分？？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *