# Java `Character.isJavaIdentifierStart(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isjavaidentifierstartint-codepoint-method>

Java `isJavaIdentifierStart(int codePoint)`是`Character`类的一部分。此方法用于确定指定的 Unicode 代码点字符是否是 Java 标识符中的第一个字符。

必须注意，此方法不处理补充字符。

### 语法:

```java
public static boolean isJavaIdentifierStart(int codePoint)
```

### 参数:

传递的参数是要检查 Java 开始标识符的 Unicode 代码点字符。

### 返回:

如果指定的字符是 Java 开始标识符的一部分，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是 Java 开始标识符的一部分。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 48;  
		int cp2 = 61;  
		int cp3 = 119;  
		int cp4 = 90;   
		int cp5 = 1232;  

		boolean b1 = Character.isJavaIdentifierStart(cp1);  
		boolean b2 = Character.isJavaIdentifierStart(cp2);  
		boolean b3 = Character.isJavaIdentifierStart(cp3);  
		boolean b4 = Character.isJavaIdentifierStart(cp4);  
		boolean b5 = Character.isJavaIdentifierStart(cp5);  

		System.out.println((char)cp1 +" is a part of Java start identifier??:  "+b1);  
		System.out.println((char)cp2 +" is a part of Java start identifier??:  "+b2);  
		System.out.println((char)cp3 +" is a part of Java start identifier??:  "+b3);  
		System.out.println((char)cp4 +" is a part of Java start identifier??:  "+b4);  
		System.out.println((char)cp5 +" is a part of Java start identifier??:  "+b5);  
	}  
} 
```

0 是 Java 开始标识符的一部分？？:false
=是 Java 开始标识符的一部分吗？？:false
w 是 Java 开始标识符的一部分？？:真
Z 是 Java 开始标识符的一部分？？:真的
？是 Java 开始标识符的一部分？？:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode codepoint: ");  
			Scanner sc = new Scanner(System.in);         
			int cp = sc.nextInt();  
			boolean b = Character.isJavaIdentifierStart(cp);
			System.out.println((char)cp + " is a part of Java start identifier??: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入 Unicode 码点:77
M 是 Java 开始标识符的一部分？？:true
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入 Unicode 码点:43
+是 Java 起始标识符的一部分？？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *