# Java `Character.isLetter(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isletterchar-ch-method>

Java `isLetter(char ch)`方法是`Character`类的一部分。此方法用于检查指定的字符是否是字母。

如果由`Character.getType(ch)`提供的字符的一般类别类型是以下任何一种，则该字符被视为字母:

*   `UPPERCASE_LETTER`
*   `LOWERCASE_LETTER`
*   `TITLECASE_LETTER`
*   `MODIFIER_LETTER`
*   `OTHER_LETTER`

不是所有的字母都有大小写。许多字符是字母，但既不是大写也不是小写，也不是标题大小写。

### 语法:

```java
public static boolean isLetter(char ch)
```

### 参数:

传递的参数是要检查字母的字符。

### 返回:

如果指定的字符是字母，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是字母。

```java
public class StudyTonight
{ 
	public static void main(String[] args)
	{  
		char ch1 = ':';  
		char ch2 = 'D';  
		char ch3 = '8';  
		char ch4  = 'w';   
		char ch5  = '%';  

		boolean b1 = Character.isLetter(ch1);  
		boolean b2 = Character.isLetter(ch2);  
		boolean b3 = Character.isLetter(ch3);  
		boolean b4 = Character.isLetter(ch4);  
		boolean b5 = Character.isLetter(ch5);  

		System.out.println(ch1 +" is a letter??:  "+b1);  
		System.out.println(ch2 +" is a letter??:  "+b2);  
		System.out.println(ch3 +" is a letter??:  "+b3);  
		System.out.println(ch4 +" is a letter?? : "+b4);  
		System.out.println(ch5 +" is a letter??:  "+b5);  
	}  
} 
```

:是字母吗？？:假
D 是字母？？:真
8 是字母？？:假
w 是字母？？:真
%是信？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isLetter(ch);
			System.out.println(ch + " is a Letter?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入字符:6
6 是字母？:假
*******************输入字符:u
u 是字母？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *