# Java `Character.isJavaLetter(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isletterint-codepoint-method>

Java `isJavaLetter(int codePoint)` 方法是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符是否为字母。

如果由`Character.getType(ch)`提供的字符的一般类别类型是以下任何一种，则该字符被视为字母:

*   `UPPERCASE_LETTER`
*   `LOWERCASE_LETTER`
*   `TITLECASE_LETTER`
*   `MODIFIER_LETTER`
*   `OTHER_LETTER`

不是所有的字母都有大小写。许多字符是字母，但既不是大写也不是小写，也不是标题大小写。

### 语法:

```java
public static boolean isLetter(int codePoint)
```

### 参数:

传递的参数是要检查字母的 Unicode 代码点字符。

### 返回:

如果指定的字符是字母，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是字母。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 48;  
		int cp2 = 61;  
		int cp3 = 119;  
		int cp4 = 90;   
		int cp5 = 1232;  

		boolean b1 = Character.isLetter(cp1);  
		boolean b2 = Character.isLetter(cp2);  
		boolean b3 = Character.isLetter(cp3);  
		boolean b4 = Character.isLetter(cp4);  
		boolean b5 = Character.isLetter(cp5);  

		System.out.println((char)cp1 +" is a letter??:  "+b1);  
		System.out.println((char)cp2 +" is a letter??:  "+b2);  
		System.out.println((char)cp3 +" is a letter??:  "+b3);  
		System.out.println((char)cp4 +" is a letter??:  "+b4);  
		System.out.println((char)cp5 +" is a letter??:  "+b5);  
	}  
} 
```

0 是字母？？:假
=是字母？？:假
w 是字母？？:真
Z 是字母？？:真的
？是一封信？？:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isLetter(cp);
			System.out.println((char)cp + " is a  Letter?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入 Unicode 字符:48
0 是字母？:false
*********输入 Unicode 字符:70
F 是字母？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *