# Java `Character.isLetterOrDigit(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isletterordigitchar-ch-method>

Java `isLetterOrDigit(char ch)`方法是`Character`类的一部分。此方法用于检查指定的字符是字母还是数字。

如果`Character.isLetter(char ch)`或`Character.isDigit(char ch)`为字符返回`true`，则字符可以被认为是字母或数字。

### 语法:

```java
public static boolean isLetterOrDigit(char ch)
```

### 参数:

传递的参数是要检查数字或字母的字符。

### 返回:

如果指定的字符是数字或字母，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是数字或字母。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = ':';  
		char ch2 = 'D';  
		char ch3 = '8';  
		char ch4  = 'w';   
		char ch5  = '%';  

		boolean b1 = Character.isLetterOrDigit(ch1);  
		boolean b2 = Character.isLetterOrDigit(ch2);  
		boolean b3 = Character.isLetterOrDigit(ch3);  
		boolean b4 = Character.isLetterOrDigit(ch4);  
		boolean b5 = Character.isLetterOrDigit(ch5);  

		System.out.println(ch1 +" is a letter or digit??:  "+b1);  
		System.out.println(ch2 +" is a letter or digit??:  "+b2);  
		System.out.println(ch3 +" is a letter or digit??:  "+b3);  
		System.out.println(ch4 +" is a letter or digit?? : "+b4);  
		System.out.println(ch5 +" is a letter or digit??:  "+b5);  
	}  
} 
```

:是字母还是数字？？:false
D 是字母还是数字？？:true
8 是字母还是数字？？:true
w 是字母还是数字？？:true
%是字母还是数字？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isLetterOrDigit(ch);
			System.out.println(ch + " is a  Java Letter or digit?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入字符:2
2 是 Java 字母还是数字？:true
*********输入字符:2
2 是 Java 字母还是数字？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *