# Java `Character.isLetterOrDigit(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isletterordigitint-codepoint-method>

Java `isLetterOrDigit(int codePoint)` 方法是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符是字母还是数字。

如果`Character.isLetter(char ch)`或`Character.isDigit(char ch)`为字符返回`true`，则字符可以被认为是字母或数字。

### 语法:

```java
public static boolean isLetterOrDigit(int codePoint)
```

### 参数:

传递的参数是要检查数字或字母的 Unicode 代码点字符。

### 返回:

如果指定的字符是数字或字母，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是字母或数字。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 48;  
		int cp2 = 61;  
		int cp3 = 119;  
		int cp4 = 90;   
		int cp5 = 1232;  

		boolean b1 = Character.isLetterOrDigit(cp1);  
		boolean b2 = Character.isLetterOrDigit(cp2);  
		boolean b3 = Character.isLetterOrDigit(cp3);  
		boolean b4 = Character.isLetterOrDigit(cp4);  
		boolean b5 = Character.isLetterOrDigit(cp5);  

		System.out.println((char)cp1 +" is a letter or digit??:  "+b1);  
		System.out.println((char)cp2 +" is a letter or digit??:  "+b2);  
		System.out.println((char)cp3 +" is a letter or digit??:  "+b3);  
		System.out.println((char)cp4 +" is a letter or digit??:  "+b4);  
		System.out.println((char)cp5 +" is a letter or digit??:  "+b5);  
	}  
} 
```

0 是字母还是数字？？:true
=是字母还是数字？？:false
w 是字母还是数字？？:true
Z 是字母还是数字？？:真的
？是字母还是数字？？:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isLetterOrDigit(cp);
			System.out.println((char)cp + " is a  Letter or digit?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入 Unicode 字符:77
M 是字母还是数字？:true
***********输入 Unicode 字符:44
，是字母还是数字？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *