# Java `Character.isLowerCase(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-islowercaseint-codepoint-method>

Java `isLowerCase(int codePoint)`方法是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符是否是小写字母。

此方法不处理补充字符。如果字符的一般类别类型(由`Character.getType(ch)`提供)是`LOWERCASE_LETTER`，或者它具有 Unicode 标准定义的贡献属性 Other _ 小写，则该字符为小写。

### 语法:

```java
public static boolean isLowerCase(int codePoint) 
```

### 参数:

传递的参数是要检查是否是小写字符的 Unicode 代码点字符。

### 返回:

如果指定字符是小写字符，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否为小写。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 48;  
		int cp2 = 61;  
		int cp3 = 119;  
		int cp4 = 90;   
		int cp5 = 1232;  

		boolean b1 = Character.isLowerCase(cp1);  
		boolean b2 = Character.isLowerCase(cp2);  
		boolean b3 = Character.isLowerCase(cp3);  
		boolean b4 = Character.isLowerCase(cp4);  
		boolean b5 = Character.isLowerCase(cp5);  

		System.out.println((char)cp1 +" is a lowercase??:  "+b1);  
		System.out.println((char)cp2 +" is a lowercase??:  "+b2);  
		System.out.println((char)cp3 +" is a lowercase??:  "+b3);  
		System.out.println((char)cp4 +" is a lowercase??:  "+b4);  
		System.out.println((char)cp5 +" is a lowercase??:  "+b5);  
	}  
} 
```

0 是小写吗？？:false
=是小写字母吗？？:false
w 是小写字母？？:真
Z 是小写字母？？:假
？是小写字母吗？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isLowerCase(cp);
			System.out.println((char)cp + " is a lowercase?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入 Unicode 字符:78
N 是小写字母？:false
*******************输入 Unicode 字符:101
e 是小写？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *