# Java `Character.isMirrored(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-ismirroredchar-ch-method>

Java `isMirrored(char ch)` 是`Character`类的一部分。此方法用于检查指定字符是否按照 Unicode 规范进行了镜像。

如果字符的字形在从右向左的文本中显示时是水平镜像的，则称该字符是镜像的。例如，`'\u0028'`左括号在语义上被定义为一个*左括号*。这将在从左到右的文本中显示为“(”但在从右到左的文本中显示为“)”。

### 语法:

```java
public static boolean isMirrored(char ch)
```

### 参数:

传递的参数是要检查是否镜像的字符。

### 返回:

如果指定字符被镜像，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否镜像。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = '{';  
		char ch2 = 'c';  
		char ch3 = '8';  
		char ch4  = '[';   
		char ch5  = '%';  

		boolean b1 = Character.isMirrored(ch1);  
		boolean b2 = Character.isMirrored(ch2);  
		boolean b3 = Character.isMirrored(ch3);  
		boolean b4 = Character.isMirrored(ch4);  
		boolean b5 = Character.isMirrored(ch5);  

		System.out.println(ch1 +" is mirrored??:  "+b1);  
		System.out.println(ch2 +" is mirrored??:  "+b2);  
		System.out.println(ch3 +" is mirrored??:  "+b3);  
		System.out.println(ch4 +" is mirrored?? : "+b4);  
		System.out.println(ch5 +" is mirrored??:  "+b5);  
	}  
} 
```

{是镜像？？:真
c 镜像？？:假
8 是镜像？？:false
【是否镜像？？:真
%被镜像？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isMirrored(ch);
			System.out.println(ch + " is Mirrored?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入字符:+
+是否镜像？:假
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入人物:(
)(是镜像吗？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *