# Java `Character.isMirrored(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-ismirroredint-codepoint-method>

Java `isMirrored(int codePoint)` 是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点是否按照 Unicode 规范进行了镜像。

如果字符的字形在从右向左的文本中显示时是水平镜像的，则称该字符是镜像的。例如，`'\u0028'`左括号在语义上被定义为一个*左括号*。这将在从左到右的文本中显示为“(”但在从右到左的文本中显示为“)”。

### 语法:

```java
public static boolean isMirrored(int codePoint)
```

### 参数:

传递的参数是要检查是否镜像的 Unicode 代码点字符。

### 返回:

如果指定字符被镜像，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否镜像。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 48;  
		int cp2 = 60;  
		int cp3 = 119;  
		int cp4 = 93;   
		int cp5 = 1232;  

		boolean b1 = Character.isMirrored(cp1);  
		boolean b2 = Character.isMirrored(cp2);  
		boolean b3 = Character.isMirrored(cp3);  
		boolean b4 = Character.isMirrored(cp4);  
		boolean b5 = Character.isMirrored(cp5);  

		System.out.println((char)cp1 +" is mirrored??:  "+b1);  
		System.out.println((char)cp2 +" is mirrored??:  "+b2);  
		System.out.println((char)cp3 +" is mirrored??:  "+b3);  
		System.out.println((char)cp4 +" is mirrored??:  "+b4);  
		System.out.println((char)cp5 +" is mirrored??:  "+b5);  
	}  
} 
```

0 是否镜像？？:假
<是否镜像？？:真
w 是镜像？？:false
]是否镜像？？:真的
？是镜像的吗？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isMirrored(cp);
			System.out.println((char)cp + " is mirrored?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入 Unicode 字符:93
是否镜像？:true
*********************输入 Unicode 字符:98
b 镜像？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *