# Java `Character.isSpaceChar(char ch)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isspacecharchar-ch-method>

Java `isSpaceChar(char ch)` 法是`Character`类的一部分。此方法用于检查指定字符是否为 Unicode 空格字符。

此方法不处理补充字符。当且仅当 Unicode 标准将字符指定为空格字符时，该字符才被视为空格字符。如果角色的一般类别类型为以下任一类型，则该方法返回`true`:

*   `SPACE_SEPARATOR`
*   `LINE_SEPARATOR`
*   `PARAGRAPH_SEPARATOR`

### 语法:

```java
public static boolean isSpaceChar(char ch)
```

### 参数:

传递的参数是要检查是否是空格字符的字符。

### 返回:

如果指定字符是空格字符，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是空格字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = 'h';  
		char ch2 = '\u2028';  
		char ch3 = '\u2078';  
		char ch4  = '0';   
		char ch5  = ' ';  

		boolean b1 = Character.isSpaceChar(ch1);  
		boolean b2 = Character.isSpaceChar(ch2);  
		boolean b3 = Character.isSpaceChar(ch3);  
		boolean b4 = Character.isSpaceChar(ch4);  
		boolean b5 = Character.isSpaceChar(ch5);  

		System.out.println(ch1 +" is space character??:  "+b1);  
		System.out.println(ch2 +" is space character??:  "+b2);  
		System.out.println(ch3 +" is space character??:  "+b3);  
		System.out.println(ch4 +" is space character?? : "+b4);  
		System.out.println(ch5 +" is space character??:  "+b5);  
	}  
} 
```

h 是空格字符？？:假
？是空间性格？？:真的
？是空间性格？？:假
0 是空格字符？？:假
是空间人物吗？？:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isSpaceChar(ch);
			System.out.println(ch + " is a space character?: "+b);

		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入字符:u
u 是空格字符？:假
*************************输入字符:1
1 是空格字符？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *