# Java `Character.IsSpaceChar(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isspacecharint-codepoint-method>

Java `IsSpaceChar(int CodePoint)`方法是`Character`类的一部分。此方法用于检查指定字符是否为 Unicode 空格字符。

此方法还处理补充字符。当且仅当 Unicode 标准将字符指定为空格字符时，该字符才被视为空格字符。如果角色的一般类别类型为以下任一类型，则该方法返回`true`:

*   `SPACE_SEPARATOR`
*   `LINE_SEPARATOR`
*   `PARAGRAPH_SEPARATOR`

### 语法:

```java
public static boolean isSpaceChar(int codePoint)
```

### 参数:

传递的参数是要检查其是否为空格字符的 Unicode 代码点字符。

### 返回:

如果指定字符是空格字符，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是空格字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 32;  
		int cp2 = 60;  
		int cp3 = 119;  
		int cp4 = 93;   
		int cp5 = 1232;  

		boolean b1 = Character.isSpaceChar(cp1);  
		boolean b2 = Character.isSpaceChar(cp2);  
		boolean b3 = Character.isSpaceChar(cp3);  
		boolean b4 = Character.isSpaceChar(cp4);  
		boolean b5 = Character.isSpaceChar(cp5);  

		System.out.println((char)cp1 +" is a space character??:  "+b1);  
		System.out.println((char)cp2 +" is a space character??:  "+b2);  
		System.out.println((char)cp3 +" is a space character??:  "+b3);  
		System.out.println((char)cp4 +" is a space character??:  "+b4);  
		System.out.println((char)cp5 +" is a space character??:  "+b5);  
	}  
} 
```

是空格字符吗？？:真
<是空格字符？？:假
w 是空格字符？？:false
]是空格字符？？:假
？是一个空格字符？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isSpaceChar(cp);
			System.out.println((char)cp + " is a space character?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}
} 
```

输入 Unicode 字符:32
是空格字符吗？:true
*********输入 Unicode 字符:77
M 是空格字符？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *