# Java `Character.issuplementarycode point()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-issupplementarycodepoint-method>

Java `issuplementarycode point()`是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符是否在补充字符范围内。

补充字符是指代码点在 U+10000 到 U+10FFFF 范围内的字符，即那些在 Unicode 的原始 16 位设计中无法表示的字符。

### 语法:

```java
public static boolean isSupplementaryCodePoint(int codePoint)
```

### 参数:

传递的参数是要检查是否在补充字符范围内的 Unicode 代码点字符。

### 返回:

如果指定的 Unicode 代码点字符位于补充字符范围内，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否在补充字符范围内。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 67;  
		int cp2 = 75567;  
		int cp3 = 119;  
		int cp4 = 93;   
		int cp5 = 65545;  

		boolean b1 = Character.isSupplementaryCodePoint(cp1);  
		boolean b2 = Character.isSupplementaryCodePoint(cp2);  
		boolean b3 = Character.isSupplementaryCodePoint(cp3);  
		boolean b4 = Character.isSupplementaryCodePoint(cp4);  
		boolean b5 = Character.isSupplementaryCodePoint(cp5);  

		System.out.println((char)cp1 +" is in supplentary character range??:  "+b1);  
		System.out.println((char)cp2 +" is in supplentary character range??:  "+b2);  
		System.out.println((char)cp3 +" is in supplentary character range??:  "+b3);  
		System.out.println((char)cp4 +" is in supplentary character range??:  "+b4);  
		System.out.println((char)cp5 +" is in supplentary character range??:  "+b5);  
	}  
} 
```

C 在补充字符范围内？？:假
？在补充字符范围内。？:真
w 在补充字符范围内？？:false
]在补充字符范围内？？:false
在补充字符范围内？？:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isSupplementaryCodePoint(cp);
			System.out.println((char)cp + " is in supplentary range?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入 Unicode 字符:76776
？在供货范围内。:true
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入 Unicode 字符:1212
？在供货范围内。:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *