# Java `Character.isTitleCase(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-istitlecasechar-ch-method>

Java `isTitleCase(char ch)`是`Character`类的一部分。此方法用于检查指定字符是否为标题字符。

此方法不支持补充字符。如果`Character.getType(ch)`提供的通用类别类型为`TITLECASE_LETTER`，则字符为标题大小写字符。

这些是该方法返回的一些 Unicode 字符`true`:

*   `LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON`
*   `LATIN CAPITAL LETTER L WITH SMALL LETTER J`
*   `LATIN CAPITAL LETTER N WITH SMALL LETTER J`
*   `LATIN CAPITAL LETTER D WITH SMALL LETTER Z`

### 语法:

```java
public static boolean isTitleCase(char ch)
```

### 参数:

传递的参数是要检查是否是标题大小写的字符。

### 返回:

如果指定字符是标题大小写字符，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是标题大小写字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = 'N';  
		char ch2 = 'd';  
		char ch3 = '\u01f2';  
		char ch4  = '0';   
		char ch5  = '7';  

		boolean b1 = Character.isTitleCase(ch1);  
		boolean b2 = Character.isTitleCase(ch2);  
		boolean b3 = Character.isTitleCase(ch3);  
		boolean b4 = Character.isTitleCase(ch4);  
		boolean b5 = Character.isTitleCase(ch5);  

		System.out.println(ch1 +" is title case character??:  "+b1);  
		System.out.println(ch2 +" is title case character??:  "+b2);  
		System.out.println(ch3 +" is title case character??:  "+b3);  
		System.out.println(ch4 +" is title case character?? : "+b4);  
		System.out.println(ch5 +" is title case character??:  "+b5);  
	}  
} 
```

N 是题格字符？？:假
d 是题格字符？？:假
？标题是大小写字符吗？？:真
0 是标题大小写字符？？:假
7 是题格人物吗？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isTitleCase(ch);
			System.out.println(ch + " is title case??: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入字符:R
R 是标题大小写？？:假
********************输入人物:1
1 是标题格？？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *