# Java `Character.isTitleCase(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-istitlecaseint-codepoint-method>

Java `isTitleCase(int codePoint)`是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符是否是 Titlecase 字符。

此方法还支持补充字符。如果`Character.getType(ch)`提供的通用类别类型为`TITLECASE_LETTER`，则字符为标题大小写字符。

这些是该方法返回的一些 Unicode 字符`true`:

*   `LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON`
*   `LATIN CAPITAL LETTER L WITH SMALL LETTER J`
*   `LATIN CAPITAL LETTER N WITH SMALL LETTER J`
*   `LATIN CAPITAL LETTER D WITH SMALL LETTER Z`

### 语法:

```java
public static boolean isTitleCase(int codePoint)
```

### 参数:

传递的参数是要检查是否是标题大小写的 Unicode 代码点字符。

### 返回:

如果指定字符是标题大小写字符，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是标题大小写字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 0x01c8;  
		int cp2 = 60;  
		int cp3 = 119;  
		int cp4 = 0x01c1;   
		int cp5 = 1232;  

		boolean b1 = Character.isTitleCase(cp1);  
		boolean b2 = Character.isTitleCase(cp2);  
		boolean b3 = Character.isTitleCase(cp3);  
		boolean b4 = Character.isTitleCase(cp4);  
		boolean b5 = Character.isTitleCase(cp5);  

		System.out.println((char)cp1 +" is a title case??:  "+b1);  
		System.out.println((char)cp2 +" is a title case??:  "+b2);  
		System.out.println((char)cp3 +" is a title case??:  "+b3);  
		System.out.println((char)cp4 +" is a title case??:  "+b4);  
		System.out.println((char)cp5 +" is a title case??:  "+b5);  
	}  
} 
```

？是所有权案件吗？？:真
<是标题案例吗？？:假
w 是个标题案例？？:假
？是所有权案件吗？？:假
？是所有权案件吗？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isTitleCase(cp);
			System.out.println((char)cp + " is a title case?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}
}
```

输入 Unicode 字符:23232
？是所有权案件吗？:false
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入 Unicode 字符:112
p 是标题大小写？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *