# Java `Character.isUnicodeIdentifierPart(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isunicodeidentifierpartint-codepoint-method>

Java `isUnicodeIdentifierPart(int codePoint)`是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符是否可能是 Unicode 标识符的一部分，而不是第一个字符。

此方法还支持补充字符。当且仅当下列陈述之一为真时，字符可以是 Unicode 标识符的一部分:

*   这是一封信
*   是连接标点符号(如`'_'`)
*   这是一个数字
*   它是一个数字字母(如罗马数字字符)
*   这是一个组合标记
*   这是一个无间距标记

### 语法:

```java
public static boolean isUnicodeIdentifierPart(int codePoint)
```

### 参数:

传递的参数是要检查的 Unicode 代码点字符，它是否是 Unicode 标识符的一部分，而不是第一个字符。

### 返回:

如果指定的代码点字符是 Unicode 标识符的一部分，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是 Unicode 标识符的一部分。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 32;  
		int cp2 = 60;  
		int cp3 = 119;  
		int cp4 = 93;   
		int cp5 = 1232;  

		boolean b1 = Character.isUnicodeIdentifierPart(cp1);  
		boolean b2 = Character.isUnicodeIdentifierPart(cp2);  
		boolean b3 = Character.isUnicodeIdentifierPart(cp3);  
		boolean b4 = Character.isUnicodeIdentifierPart(cp4);  
		boolean b5 = Character.isUnicodeIdentifierPart(cp5);  

		System.out.println((char)cp1 +" is a part of Unicode identifier??:  "+b1);  
		System.out.println((char)cp2 +" is a part of Unicode identifier??:  "+b2);  
		System.out.println((char)cp3 +" is a part of Unicode identifier??:  "+b3);  
		System.out.println((char)cp4 +" is a part of Unicode identifier??:  "+b4);  
		System.out.println((char)cp5 +" is a part of Unicode identifier??:  "+b5);  
	}  
} 
```

是 Unicode 标识符的一部分吗？？:false
<是 Unicode 标识符的一部分吗？？:false
w 是 Unicode 标识符的一部分？？:true
]是 Unicode 标识符的一部分？？:假
？是 Unicode 标识符的一部分？？:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isUnicodeIdentifierPart(cp);
			System.out.println((char)cp + " is a part of Unicode Identifier?: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}
} 
```

输入 Unicode 字符:78
N 是 Unicode 标识符的一部分？:true
* * * * * * * * * * * * * * * * * * * * * * *输入 Unicode 字符:44
，是 Unicode 标识符的一部分吗？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *