# Java `Character.isUnicodeIdentifierStart(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isunicodeidentifierstartchar-ch-method>

Java `isUnicodeIdentifierStart(char ch)`是`Character`类的一部分。此方法用于检查指定字符是否允许作为 Unicode 标识符中的第一个字符。

此方法不支持补充字符。当且仅当下列条件之一成立时，字符才能以 Unicode 标识符开头:

*   `isLetter(ch)`返回`true`
*   `getType(ch)`返回`LETTER_NUMBER`。

### 语法:

```java
public static boolean isUnicodeIdentifierStart(char ch)
```

### 参数:

传递的参数是要检查是否允许作为 Unicode 标识符中的开始字符的字符。

### 返回:

如果允许指定字符作为 Unicode 标识符的第一个字符，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否允许作为 Unicode 标识符的开始字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = '0';  
		char ch2 = 'd';  
		char ch3 = 'D';  
		char ch4 = '$';   
		char ch5 = '_';  

		boolean b1 = Character.isUnicodeIdentifierStart(ch1);  
		boolean b2 = Character.isUnicodeIdentifierStart(ch2);  
		boolean b3 = Character.isUnicodeIdentifierStart(ch3);  
		boolean b4 = Character.isUnicodeIdentifierStart(ch4);  
		boolean b5 = Character.isUnicodeIdentifierStart(ch5);  

		System.out.println(ch1 +" is a start Unicode identifier??:  "+b1);  
		System.out.println(ch2 +" is a start Unicode identifier??:  "+b2);  
		System.out.println(ch3 +" is a start Unicode identifier??:  "+b3);  
		System.out.println(ch4 +" is a start Unicode identifier?? : "+b4);  
		System.out.println(ch5 +" is a start Unicode identifier??:  "+b5);  
	}  
} 
```

0 是起始 Unicode 标识符？？:false
d 是起始 Unicode 标识符？？:true
D 是起始 Unicode 标识符？？:true
$是起始 Unicode 标识符吗？？:false
_ 是起始 Unicode 标识符吗？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isUnicodeIdentifierStart(ch);
			System.out.println(ch + " is a start Unicode identifier??: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入字符:2
2 是起始 Unicode 标识符？？:false
*******************输入字符:G
G 是起始 Unicode 标识符？？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *