# Java `Character.isUnicodeIdentifierStart(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isunicodeidentifierstartint-codepoint-method>

Java `isUnicodeIdentifierStart(int codePoint)`是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符是否允许作为 Unicode 标识符中的第一个字符。

此方法还支持补充字符。当且仅当下列条件之一成立时，字符才能以 Unicode 标识符开头:

*   `isLetter(ch)`返回`true`
*   `getType(ch)`返回`LETTER_NUMBER`。

### 语法:

```java
public static boolean isUnicodeIdentifierStart(int codePoint)
```

### 参数:

传递的参数是要检查是否允许作为 Unicode 标识符中的开始字符的 Unicode 代码点字符。

### 返回:

如果允许指定的 Unicode 码点字符作为 Unicode 标识符的第一个字符，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否允许作为 Unicode 标识符的开始字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 32;  
		int cp2 = 60;  
		int cp3 = 119;  
		int cp4 = 93;   
		int cp5 = 1232;  

		boolean b1 = Character.isUnicodeIdentifierStart(cp1);  
		boolean b2 = Character.isUnicodeIdentifierStart(cp2);  
		boolean b3 = Character.isUnicodeIdentifierStart(cp3);  
		boolean b4 = Character.isUnicodeIdentifierStart(cp4);  
		boolean b5 = Character.isUnicodeIdentifierStart(cp5);  

		System.out.println((char)cp1 +" is a start Unicode identifier??::  "+b1);  
		System.out.println((char)cp2 +" is a start Unicode identifier??::  "+b2);  
		System.out.println((char)cp3 +" is a start Unicode identifier??::  "+b3);  
		System.out.println((char)cp4 +" is a start Unicode identifier??::  "+b4);  
		System.out.println((char)cp5 +" is a start Unicode identifier??::  "+b5);  
	}  
} 
```

是起始 Unicode 标识符吗？？* false
<是起始 Unicode 标识符吗？？* false
w 是起始 Unicode 标识符？？* true
]是起始 Unicode 标识符？？*假
？是起始 Unicode 标识符吗？？*真实

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isUnicodeIdentifierStart(cp);
			System.out.println((char)cp + " is a start Unicode identifier??: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}
} 
```

输入 Unicode 字符:67
C 是起始 Unicode 标识符？？:true
*********************输入 Unicode 字符:55
7 是起始 Unicode 标识符？？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *