# Java `Character.isUpperCase(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isuppercasechar-ch-method>

Java `isUpperCase(char ch)`方法是`Character`类的一部分。此方法用于检查指定字符是否为大写字符。

此方法不支持补充字符。如果`Character.getType(ch)`提供的通用类别类型为`UPPERCASE_LETTER`，则字符为大写。或者它具有由 Unicode 标准定义的贡献属性 Other _ 大写。

### 语法:

```java
public static boolean isUpperCase(char ch)
```

### 参数:

传递的参数是要检查是否是大写字符的字符。

### 返回:

如果指定的字符是大写字符，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是大写字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = '0';  
		char ch2 = 'd';  
		char ch3 = 'D';  
		char ch4 = 'k';   
		char ch5 = 'P';  

		boolean b1 = Character.isUpperCase(ch1);  
		boolean b2 = Character.isUpperCase(ch2);  
		boolean b3 = Character.isUpperCase(ch3);  
		boolean b4 = Character.isUpperCase(ch4);  
		boolean b5 = Character.isUpperCase(ch5);  

		System.out.println(ch1 +" is uppercase character??:  "+b1);  
		System.out.println(ch2 +" is uppercase character??:  "+b2);  
		System.out.println(ch3 +" is uppercase character??:  "+b3);  
		System.out.println(ch4 +" is uppercase character?? : "+b4);  
		System.out.println(ch5 +" is uppercase character??:  "+b5);  
	}  
} 
```

0 是大写字符？？:false
d 是大写字符？？:假
D 是大写字符？？:true
k 是大写字符？？:false
P 是大写字符？？:真

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isUpperCase(ch);
			System.out.println(ch + " is a uppercase character??: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入字符:e
e 是大写字符？？:false
*****************输入字符:U
U 是大写字符？？:真

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *