# Java `Character.isUpperCase(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-isuppercaseint-codepoint-method>

Java `isUpperCase(int codePoint)`方法是`Character`类的一部分。此方法用于检查指定的 Unicode 代码点字符是否是大写字符。

此方法还支持补充字符。如果`Character.getType(ch)`提供的通用类别类型为`UPPERCASE_LETTER`，则字符为大写。或者它具有由 Unicode 标准定义的贡献属性 Other _ 大写。

### 语法:

```java
public static boolean isUpperCase(int codePoint)
```

### 参数:

传递的参数是要检查是否是大写字符的 Unicode 代码点字符。

### 返回:

如果指定的代码点字符是大写字符，则返回布尔值`true`，否则返回`false`

## 例 1:

这里，检查字符是否是大写字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 73;  
		int cp2 = 60;  
		int cp3 = 119;  
		int cp4 = 80;   
		int cp5 = 1232;  

		boolean b1 = Character.isUpperCase(cp1);  
		boolean b2 = Character.isUpperCase(cp2);  
		boolean b3 = Character.isUpperCase(cp3);  
		boolean b4 = Character.isUpperCase(cp4);  
		boolean b5 = Character.isUpperCase(cp5);  

		System.out.println((char)cp1 +" is uppercase??::  "+b1);  
		System.out.println((char)cp2 +" is uppercase??::  "+b2);  
		System.out.println((char)cp3 +" is uppercase??::  "+b3);  
		System.out.println((char)cp4 +" is uppercase??::  "+b4);  
		System.out.println((char)cp5 +" is uppercase??::  "+b5);  
	}  
} 
```

我是大写？？*真
<是大写？？* false
w 是大写？？* false
P 是大写？？*真
？是大写的？？*真实

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isUpperCase(cp);
			System.out.println((char)cp + " is UpperCase??: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}
}
```

输入 Unicode 字符:77
M 为大写？？:true
*********************输入 Unicode 字符:96
是大写吗？？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *