# Java `Character.isWhiteSpace(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-iswhitepsacechar-ch-method>

Java `isWhiteSpace(char ch)`方法是`Character`类的一部分。根据 Java，这个方法用来检查指定的字符是否是空白。

此方法不支持补充字符。当且仅当字符满足以下条件之一时，它才是 Java 空白字符:

*   是 Unicode 空格字符(`SPACE_SEPARATOR`、`LINE_SEPARATOR`或`PARAGRAPH_SEPARATOR`)，但也不是非破空格(`'\u00A0'`、`'\u2007'`、`'\u202F'`)。
*   是`'\t'`，U+0009 水平制表。
*   是`'\n'`，U+000A 线进给。
*   是`'\u000B'`，U+000B 垂直制表。
*   是`'\f'`，U+000C 形式进料。
*   是`'\r'`，U+000D 回车。
*   是`'\u001C'`，U+001C 文件分隔符。
*   是`'\u001D'`，U+001D 组分隔符。
*   是`'\u001E'`，U+001E 记录分隔符。
*   是`'\u001F'`，U+001F 单元分离器。

### 语法:

```java
public static boolean isWhitespace(char ch)
```

### 参数:

传递的参数是要检查是否是 Java 空白字符的字符。

### 返回:

如果指定的字符是 Java 空白字符，返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是 Java 空白字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = '\n';  
		char ch2 = 'd';  
		char ch3 = '\t';  
		char ch4 = 'k';   
		char ch5 = 'P';  

		boolean b1 = Character.isWhitespace(ch1);  
		boolean b2 = Character.isWhitespace(ch2);  
		boolean b3 = Character.isWhitespace(ch3);  
		boolean b4 = Character.isWhitespace(ch4);  
		boolean b5 = Character.isWhitespace(ch5);  

		System.out.println(ch1 +" is Java whitespace character??:  "+b1);  
		System.out.println(ch2 +" is Java whitespace character??:  "+b2);  
		System.out.println(ch3 +" is Java whitespace character??:  "+b3);  
		System.out.println(ch4 +" is Java whitespace character?? : "+b4);  
		System.out.println(ch5 +" is Java whitespace character??:  "+b5);  
	}  
} 
```

是 Java 空白字符吗？？:true
d 是 Java 空白字符？？:false
是 Java 空白字符吗？？:true
k 是 Java 空白字符？？:false
P 是 Java 空白字符？？:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			boolean b = Character.isWhitespace(ch);
			System.out.println(ch + " is a Java whitespace character??: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入字符:t
t 是 Java 空白字符？？:false
*****输入字符:n
n 是 Java 空白字符？？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *