# Java `Character.isWhiteSpace(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-iswhitepsaceint-codepoint-method>

Java `isWhiteSpace(int codePoint)`方法是`Character`类的一部分。根据 Java，这个方法用来检查指定的 Unicode 代码点字符是否是空白。

此方法还支持补充字符。当且仅当字符满足以下条件之一时，它才是 Java 空白字符:

*   是 Unicode 空格字符(`SPACE_SEPARATOR`、`LINE_SEPARATOR`或`PARAGRAPH_SEPARATOR`)，但也不是非破空格(`'\u00A0'`、`'\u2007'`、`'\u202F'`)。
*   是`'\t'`，U+0009 水平制表。
*   是`'\n'`，U+000A 线进给。
*   是`'\u000B'`，U+000B 垂直制表。
*   是`'\f'`，U+000C 形式进料。
*   是`'\r'`，U+000D 回车。
*   是`'\u001C'`，U+001C 文件分隔符。
*   是`'\u001D'`，U+001D 组分隔符。
*   是`'\u001E'`，U+001E 记录分隔符。
*   是`'\u001F'`，U+001F 单元分离器。

### 语法:

```java
public static boolean isWhitespace(int codePoint)
```

### 参数:

传递的参数是要检查其是否为 Java 空白字符的 Unicode 代码点字符。

### 返回:

如果指定的代码点字符是 Java 空白字符，则返回布尔值`true`，否则返回`false`。

## 例 1:

这里，检查字符是否是 Java 空白字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 10;  
		int cp2 = 60;  
		int cp3 = 119;  
		int cp4 = 11;   
		int cp5 = 1232;  

		boolean b1 = Character.isWhitespace(cp1);  
		boolean b2 = Character.isWhitespace(cp2);  
		boolean b3 = Character.isWhitespace(cp3);  
		boolean b4 = Character.isWhitespace(cp4);  
		boolean b5 = Character.isWhitespace(cp5);  

		System.out.println((char)cp1 +" is a Java Whitespace??::  "+b1);  
		System.out.println((char)cp2 +" is a Java Whitespace??::  "+b2);  
		System.out.println((char)cp3 +" is a Java Whitespace??::  "+b3);  
		System.out.println((char)cp4 +" is a Java Whitespace??::  "+b4);  
		System.out.println((char)cp5 +" is a Java Whitespace??::  "+b5);  
	}  
} 
```

是 Java 空白吗？？* true
<是 Java 空白？？* false
w 是一个 Java 空白？？* false
是 Java 空白？？*真
？是一个 Java 空白？？*假的

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode character: ");  
			Scanner sc = new Scanner(System.in);        
			int cp = sc.nextInt(); 
			boolean b = Character.isWhitespace(cp);
			System.out.println((char)cp + " is a Java Whitespace??: "+b);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}
}
```

输入 Unicode 字符:12
是 Java 空白？？:true
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入 Unicode 字符:76
L 是 Java 空白？？:假

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *