# Java `Character.offsetByCodePoints(char[], int, int, int, int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-offsetbycodepointschar-a-int-start-int-count-int-index-int-codepointoffset-method>

Java `offsetByCodePoints(char[] a, int start, int count, int index, int codePointOffset)`方法是`Character`类的一部分。该方法返回给定的`char`子数组内的索引，该索引与给定的`index`偏移`codePointOffset`码点。`start`和`count`参数指定了`char`数组的子数组。在`index`和`codePointOffset`给定的文本范围内，未配对的代理人各算一个码点。

### 语法:

```java
public static int offsetByCodePoints(char[]a, int start, int count, int index, int codePointOffset) 
```

### 参数:

传递的参数是:

*   一`char`阵
*   `start` -子数组第一个`char`的索引
*   `count` -子数组的长度，单位为`char` s
*   `index` -要偏移的索引
*   `codePointOffset` -代码点的偏移量

### 返回:

返回指定子数组中的索引。

### 例外情况:

`NullPointerException` -如果字符数组为空。

## 例 1:

这里返回 char 数组的指定子数组中的索引。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char[] ch = new char[] { 'm', 'o', 'h', 'i', 't' };  
		int start = 1;  
		int count = 4;  
		int r = Character.offsetByCodePoints(ch, start, count, 1, 3);  
		System.out.println("The index within the specified range is : " + r);  
	}
}
```

指定范围内的指数为:4

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			Scanner sc = new Scanner(System.in); 
			System.out.print("Enter the characters in array: ");
			char[] ch = sc.next().toCharArray();
			System.out.print("Enter start,count,index and codePointOffset");
			int start = sc.nextInt();
			int count = sc.nextInt();
			int index = sc.nextInt();
			int offset = sc.nextInt();

			int r = Character.offsetByCodePoints(ch, start, count, index, offset);  
			System.out.println("The index within the specified range is : " + r);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}
}
```

输入数组中的字符:今晚学习
输入开始、计数、索引和码点偏移量 1 5 1 2
指定范围内的索引为:3
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入数组中的字符:你好
输入开始、计数、索引和码点偏移量 1 2 1 3
输入无效！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *