# Java `Character.toChars()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-tochars-method>

Java `toChars()`方法是`Character`类的一部分。此方法将指定的 Unicode 代码点字符转换为存储在字符数组中的 UTF-16 表示形式。

必须注意，如果指定的代码点是 BMP(基本多语言平面或平面 0)值，则生成的 char 数组具有与`codePoint`相同的值，如果指定的代码点是补充代码点，则生成的`char`数组具有相应的代理项对。

### 语法:

```java
public static char[] toChars(int codePoint) 
```

### 参数:

传递的参数是要转换的 Unicode 代码点值。

### 返回:

返回一个`char`数组，该数组包含作为参数传递的代码点的 UTF-16 表示。

## 例 1:

这里，指定的代码点值被转换为一个字符数组。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp = 67;  
		char ch[] = Character.toChars(cp);  

		System.out.print("The char array according to UTF-16: " );  

		for (int i = 0; i < ch.length; i++) 
		{  
			System.out.print( ch[i] );  
		}    
	}  
} 
```

根据 UTF-16: C 的字符数组

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the codepoint value: ");  
			Scanner sc = new Scanner(System.in);         
			int cp = sc.nextInt();  
			char ch[] = Character.toChars(cp);	
			System.out.print("The char array according to UTF-16: " );  

			for (int i = 0; i < ch.length; i++) 
			{  
				System.out.print( ch[i] );  
			}  
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入码点值:88
按照 UTF-16 的字符数组:X
* * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入码点值:101
按照 UTF-16 的字符数组:e

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *