# Java `Character.toChars(int, char[], int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-tocharsint-codepoint-char-dst-int-dstindexmethod>

Java `toChars(int codePoint, char[] dst, int dstIndex)` 方法是`Character`类的一部分。此方法用于将指定的 Unicode 代码点字符转换为其 UTF-16 表示形式。

### 语法:

```java
public static int toChars(int codePoint, char[] dst, int dstIndex)
```

### 参数:

传递的参数是:

*   `codePoint` -要转换的 Unicode 码位字符。
*   `dst` -存储指定代码点的 UTF-16 值的`char`数组。
*   `dstIndex` -存储转换值的`dst`数组的起始索引。

### 返回:

如果代码点是 BMP 代码点，则返回值 1；如果代码点是补充代码点，则返回值 2。

### 例外情况:

*   `IllegalArgumentException` -如果指定的`codePoint`不是有效的 Unicode 码点。
*   `NullPointerException` -如果指定的`dst`为空。
*   `IndexOutOfBoundsException`

## 例 1:

这里，指定的代码点被转换成相应的 UTF-16 表示。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 0x0066;  
		int cp2 = 66;  

		char ch1[] = Character.toChars(cp1);  
		char ch2[] = Character.toChars(cp2);  

		int r1 = Character.toChars(cp1, ch1, 0);  
		int r2 = Character.toChars(cp2, ch2, 0);  

		System.out.println("The value is : "+r1);
		System.out.println("The value is : "+r2);
	}  
}
```

值为:1
值为:1

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the codepoint value: ");  
			Scanner sc = new Scanner(System.in);         
			int cp = sc.nextInt();  
			char ch[] = Character.toChars(cp);	

			int r = Character.toChars(cp, ch, 0);
			System.out.print("The char array according to UTF-16: "+r ); 
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入码点值:878
按照 UTF-16: 1 的字符数组
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入码点值:09
按照 UTF-16: 1 的字符数组

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *