# Java `Character.toLowerCase(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-tolowercaseint-codepoint-method>

Java `toLowerCase(int codePoint)`方法是`Character`类的一部分。此方法使用 Unicode 数据文件提供的大小写映射信息将指定的 Unicode 代码点字符参数转换为小写。

### 语法:

```java
public static char toLowerCase(int codePoint) 
```

### 参数:

传递的参数是要转换的 Unicode 代码点字符值。

### 返回:

返回指定字符的小写等价物(如果有)；否则，角色本身。

## 例 1:

在这里，指定的代码点被转换为其等效的小写字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 78;  
		int cp2 = 102;  
		int cp3 = 66;  
		int cp4 = 48;   
		int cp5 = 1232;  

		char ch1 = Character.toLowerCase((char)cp1);  
		char ch2 = Character.toLowerCase((char)cp2);  
		char ch3 = Character.toLowerCase((char)cp3);  
		char ch4 = Character.toLowerCase((char)cp4);  
		char ch5 = Character.toLowerCase((char)cp5);  

		System.out.println("The lowercase character is :"+ch1);  
		System.out.println("The lowercase character is :"+ch2); 
		System.out.println("The lowercase character is :"+ch3);  
		System.out.println("The lowercase character is :"+ch4);  
		System.out.println("The lowercase character is :"+ch5);  
	}  
}
```

小写字符为:n
小写字符为:f
小写字符为:b
小写字符为:0
小写字符为:？

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode codepoint: ");  
			Scanner sc = new Scanner(System.in);         
			int cp = sc.nextInt();  
			char cc = Character.toLowerCase((char)cp);
			System.out.println("The lowercase character is : "+cc);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入 Unicode 码位:77
小写字符为:m
***********************输入 Unicode 码位:100
小写字符为:d

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *