# Java `Character.toString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-tostring-method>

Java `toString()`方法是`java.lang`包的`Character`类的一部分。此方法返回表示此字符值的字符串对象。结果是一个长度为 1 的字符串，其唯一的组成部分是由这个`Character`对象表示的原始`char`值。该方法覆盖了`Object`类的`toString()`方法。

简而言之，该方法用于将**字符对象**转换为字符串。

### 语法:

```java
public String toString() 
```

### 参数:

此方法中不传递任何参数。

### 返回:

返回字符对象的字符串表示形式。

## 例 1:

在这里，字符对象被转换成其等效的字符串表示形式。

```java
public class StudyTonight
{  
	public static void main(String[] args) 
	{  
		Character ch1 = 'D';       
		String s1 = ch1.toString();  // return a string value 
		System.out.println("The string value is " + s1);              

		Character ch2 = 'u';                    
		String s2 = ch2.toString();  // return a string value 
		System.out.println("The String value is " + s2);  
	}  
} 
```

字符串值为 D
字符串值为 u

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  
public class StudyTonight
{  
	public static void main(String[] args) 
	{  
		try
		{
			System.out.print("Enter the value ");  
			Scanner sc = new Scanner(System.in);  
			Character ch = sc.next().charAt(0);  
			String s = ch.toString(); //converting to string
			System.out.println("String value is : "+ s);          
		}
		catch(Exception e)
		{
			System.out.println("Invalid input!!");
		}
	}  
} 
```

输入值 U
字符串值为:U
***********输入值 w
字符串值为:w

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *