# Java `Character.toString(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-tostringchar-c-method>

Java `toString(char c)`方法是`Character`类的一部分。此方法返回指定字符值的等效字符串对象。结果是一个长度仅由指定的`char.`组成的字符串。该方法不处理补充字符。

该方法用于将**字符值**转换为字符串。

### 语法:

```java
public static String toString(char c) 
```

### 参数:

传递的参数是要返回其等效字符串的字符值。

### 返回:

返回作为参数传递的字符值的等效字符串。

## 例 1:

在这里，字符值被转换成其等效的字符串表示形式。

```java
public class StudyTonight
{  
    public static void main(String[] args)
    {  
        char ch1 = 'A';
        char ch2 = 't';
        System.out.println("Equivalent String is : "+Character.toString(ch1));   
        System.out.println("Equivalent String is : "+Character.toString(ch2));   
    }  
} 
```

等效串为:A
等效串为:t

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
            System.out.print("Enter the value ");  
            Scanner sc = new Scanner(System.in);  
            char ch = sc.next().charAt(0);  
            String s = Character.toString(ch); //converting to string
            System.out.println("String value is : "+ s);          
        }
        catch(Exception e)
        {
            System.out.println("Invalid input!!");
        }
    }  
} 
```

输入值 m
字符串值为:m
*************输入值 J
字符串值为:J

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *