# Java `Character.toString(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-tostringint-codepoint-method>

Java `toString(int codePoint)`方法是`Character`类的一部分。此方法返回指定 Unicode 代码点字符值的等效字符串对象。结果是长度为 1 的字符串，仅由指定的`char.`组成。该方法还处理补充字符。

该方法兼容 Java 11 或更高版本，用于将**字符值**转换为字符串。

### 语法:

```java
public static String toString(int codePoint) 
```

### 参数:

传递的参数是 Unicode 代码点字符值，其等效字符串将被返回。

### 返回:

返回作为参数传递的代码点字符的等效字符串。

## 例 1:

在这里，字符值被转换成其等效的字符串表示形式。

```java
public class StudyTonight
{  
    public static void main(String[] args)
    {  
        int cp1 = 88;
        int cp2 = 100;
        System.out.println("Equivalent String is : "+Character.toString(cp1));   
        System.out.println("Equivalent String is : "+Character.toString(cp2));   
    }  
}
```

等效串为:X
等效串为:d

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
            System.out.print("Enter the value ");  
            Scanner sc = new Scanner(System.in);  
            int cp = sc.nextInt();  
            String s = Character.toString(cp); //converting to string
            System.out.println("String value is : "+ s);          
        }
        catch(Exception e)
        {
            System.out.println("Invalid input!!");
        }
    }  
} 
```

输入值 85
字符串值为:U
***********输入值 102
字符串值为:f

* * *

* * *