# Java `Character.toTitleCase(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-totitlecasechar-ch-method>

Java `toTitleCase(char ch)`方法是`Character`类的一部分。此方法使用 UnicodeData 文件中的大小写映射信息将指定的字符参数转换为 titlecase。

必须注意的是，如果一个字符没有显式的标题大小写映射，并且根据 UnicodeData，它本身不是标题大小写字符，那么大写映射将作为等价的标题大小写映射返回。如果 char 参数已经是 titlecase 字符，将返回相同的字符值。

### 语法:

```java
public static char toTitleCase(char ch) 
```

### 参数:

传递的参数是要转换为 titlecase 的字符值。

### 返回:

返回指定字符的标题大小写值。

## 例 1:

在这里，字符被转换成等价的标题字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = 'F';  
		char ch2 = 'n';
		char ch3 = '1';

		char ch11 = Character.toTitleCase(ch1);  
		char ch22 = Character.toTitleCase(ch2);
		char ch33 = Character.toTitleCase(ch3);

        System.out.println("The titlecase character is : "+ch11);  
		System.out.println("The titlecase character is : "+ch22); 
		System.out.println("The titlecase character is : "+ch33); 
	}  
}
```

标题栏字符为:F
标题栏字符为:N
标题栏字符为:1

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			char cc = Character.toTitleCase(ch);
			System.out.println("The titlecase character is : "+cc);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
} 
```

输入字符:s
片头字符为:S
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T3】输入字符:U
片头字符为:U

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *