# Java `Character.toUpperCase(char)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-touppercasechar-ch-method>

Java `toUpperCase(char ch)`方法是`Character`类的一部分。此方法使用 Unicode 数据文件提供的大小写映射信息将给定的字符参数转换为大写。

必须注意的是`Character.isUpperCase(Character.toUpperCase(ch))`对于某些范围的字符，尤其是那些符号或表意字符，并不总是返回`true`。

### 语法:

```java
public static char toUpperCase(char ch) 
```

### 参数:

传递的参数是要转换的字符值。

### 返回:

返回指定字符的大写等价物(如果有)；否则，角色本身。

## 例 1:

在这里，指定的字符被转换为其等效的大写字符。

```java
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		char ch1 = 'F';  
		char ch2 = 'n';
		char ch3 = '1';

		char ch11 = Character.toUpperCase(ch1);  
		char ch22 = Character.toUpperCase(ch2);
		char ch33 = Character.toUpperCase(ch3);

        System.out.println("The uppercase character is : "+ch11);  
		System.out.println("The uppercase character is : "+ch22); 
		System.out.println("The uppercase character is : "+ch33); 
	}  
}
```

大写字符为:F
大写字符为:N
大写字符为:1

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the character: ");  
			Scanner sc = new Scanner(System.in);         
			char ch = sc.next().charAt(0);  
			char cc = Character.toUpperCase(ch);
			System.out.println("The uppercase character is : "+cc);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入字符:g
大写字符为:G
*************输入字符:7
大写字符为:7

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *