# Java `Character.toUpperCase(int)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-touppercaseint-codepoint-method>

Java `toUpperCase(int codePoint)`方法是`Character`类的一部分。此方法使用 Unicode 数据文件提供的大小写映射信息将指定的 Unicode 代码点字符参数转换为大写。

### 语法:

```java
public static int toUpperCase(int codePoint) 
```

### 参数:

传递的参数是要转换的 Unicode 代码点字符值。

### 返回:

返回指定字符的大写等价物(如果有)；否则，角色本身。

## 例 1:

在这里，指定的字符被转换为其等效的大写字符。

```java
class StudyTonight
{  
	public static void main(String[] args)
	{  
		int cp1 = 78;  
		int cp2 = 102;  
		int cp3 = 66;  
		int cp4 = 48;   
		int cp5 = 123;  

		int ch1 = Character.toUpperCase(cp1);  
		int ch2 = Character.toUpperCase(cp2);  
		int ch3 = Character.toUpperCase(cp3);  
		int ch4 = Character.toUpperCase(cp4);  
		int ch5 = Character.toUpperCase(cp5);  

		System.out.println("The uppercase character code point is :"+ch1);  
		System.out.println("The uppercase character code point is :"+ch2); 
		System.out.println("The uppercase character code point is :"+ch3);  
		System.out.println("The uppercase character code point is :"+ch4);  
		System.out.println("The uppercase character code point is :"+ch5);  
	}  
}
```

大写字符码点为:78
大写字符码点为:70
大写字符码点为:66
大写字符码点为:48
大写字符码点为:123

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 
public class StudyTonight
{  
	public static void main(String[] args)
	{  
		try
		{
			System.out.print("Enter the Unicode codepoint: ");  
			Scanner sc = new Scanner(System.in);         
			int cp = sc.nextInt();  
			int cc = Character.toUpperCase(cp);
			System.out.println("The uppercase character is : "+(char)cc);
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入 Unicode 码位:101
大写字符为:E
***************输入 Unicode 码位:113
大写字符为:Q

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *