# Java `Character.valueOf()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-character-valueof-method>

Java `valueOf()`方法是`Character`类的一部分。此方法返回表示指定字符值的字符对象。

必须注意的是，如果不需要新的`Character`实例，该方法通常应该优先于构造器`Character(char)`使用，因为该方法可能通过缓存频繁请求的值而产生显著更好的空间和时间性能。

### 语法:

```java
public static Character valueOf(char c)
```

### 参数:

传递的参数是要返回其字符实例的字符值。

### 返回:

返回传递的参数的字符实例。

## 例 1:

这里，返回传递的字符值的字符实例。

```java
public class StudyTonight 
{  
    public static void main(String[] args)
    {  
      System.out.println("Equivalent Character object Value = " + Character.valueOf('G'));//returns a Character object representing the character specified 
      System.out.println("Equivalent Character object Value = " + Character.valueOf('m'));//returns a Character object representing the character specified   
    }  
}
```

等效角色对象值= G
等效角色对象值= m

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;
public class StudyTonight 
{  
	public static void main(String[] args)
	{    
		try
		{
			System.out.println("Enter the value");
			Scanner sc=new Scanner(System.in);
			char ch = sc.next().charAt(0);
			System.out.println("Equivalent Character object Value = " + Character.valueOf(ch));//returns a Character object representing the character specified 
		}
		catch(Exception e)
		{
			System.out.println("Invalid input!!");
		}
	}  
} 
```

输入值
J
等效字符对象值= J
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入值
i
等效字符对象值= i

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *