# Java `Double.byteValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-bytevalue-method>

Java `byteValue()`方法属于`java.lang`包的`Double` 类，覆盖了`Number`类的`byteValue()`方法。此方法在缩小图元转换(将较高数据类型转换为较低数据类型)后，返回 Double 对象的**字节等价物**。

简而言之，该方法用于**将 Double 对象值转换为字节值。**

### 语法:

```java
public byte byteValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后会创建`Byte`类型对象的数字等价物。

## 例 1:

在这里，使用`byteValue()`函数，双精度值被转换为其数字字节等价物。

```java
import java.lang.Double;

public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        //converting Double object into byte
          Double x = 34.689;
          byte i=x.byteValue();
          System.out.println(" Equivalent byte value is " +i);

          Double y = 19.67;  
          byte d = y.byteValue();  
          System.out.println(" Equivalent byte value is " +d);
      }  
}
```

等效字节值为 34
等效字节值为 19

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的字节值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              double i = sc.nextDouble();  
              Double n = i ;  
              byte val = n.byteValue();  
              System.out.println("Byte Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid double"); 
           }
    }
}
```

输入要转换的值:89.55
字节值为:89
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T3】输入要转换的值:-70.66
字节值为:-70
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:0x66
不是有效的双精度

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *