# Java `Double.doubleToRawLongBits()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-doubletorawlongbits-method>

Java `doubleToRawLongBits()`方法是`java.lang`包的 Double 类的一部分。这是一个静态方法，根据 **IEEE 754** 浮点“双格式”位布局，返回作为参数传递的数字的浮点值。

### 语法:

```java
public static long doubleToRawLongBits(double value) 
```

### 参数:

传递的参数是双精度值，其标准长位将被返回。

### 返回:

返回作为参数传递的双精度值的标准长位值。

## 例 1:

这里，取一些随机的双精度值，并返回各自的长位。

```java
import java.lang.Double;
public class StudyTonight 
{  
    public static void main(String[] args)
    {         
        double n1 = 90.85;  
        System.out.println(" value in long Bits = "+ Double.doubleToRawLongBits(n1)); //double value converted into long bits        
        double n2 = n1/0.0;  
        System.out.println(" value in long Bits = "+Double.doubleToRawLongBits(n2));  //double value as positive infinity          
        double n3 = -n1/0.0;  //argument is negative infinity 
        System.out.println(" value in long Bits = "+Double.doubleToRawLongBits(n3));           
        double n4 = 0.0/0.0; //argument is NaN
        System.out.println(" value in long Bits = "+Double.doubleToRawLongBits(n4));   
    }  
}
```

长位值= 4636093417345410662
长位值= 9218868437227405312
长位值= -4503599627370496
长位值= 9221120237041090560

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Double;
import java.util.Scanner;
public class StudyTonight 
{  
    public static void main(String[] args)
    {  
        try
        {
            System.out.println("Enter value");
            Scanner sc = new Scanner(System.in);
            double d = sc.nextDouble();
            System.out.println(" value in long Bits = "+ Double.doubleToRawLongBits(d)); //double value converted into long bits 
        }
        catch(Exception e)
        {
            System.out.println("Invalid Input!!");
        } 
   }  
}
```

输入长位数值
NaN
长位数值= 92211120237041090560
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入长位数值
55.88
长位数值= 463306128158795121
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T8】输入数值
！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *