# Java `Double.doubleValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-doublevalue-method>

Java `doubleValue()`方法属于`java.lang`的`Double` 类，继承自`Number`类。这是一个返回指定数字的**双等价**的实例方法。

一般是**拆箱**的方法。虽然在 Java 5 引入后，转换是自动完成的(自动装箱)，但是了解装箱和拆箱的概念对你来说很重要。

**拆箱:**将`Double`转换为`double`被称为拆箱

**拳击:**一个`double` 到 `Double` 的转换称为拳击。

### 语法:

```java
public double doubleValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

对象转换为双精度值后的数值。

## 例 1:

在这里，使用`doubleValue()`函数，双对象被转换成它的数字双等价物。

```java
import java.lang.Double;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {                  
          Double n1 = 25.99;  
          Double n2 = 46.71;

          double i = n1.doubleValue(); // returns the value of the Double object n1 as an double
          double j = n2.doubleValue(); // returns the value of the Double object n2 as an double

          System.out.println("equivalent double value is " + i);  
          System.out.println("equivalent double value is " + j); 

        }  
}
```

等值双值为 25.99
等值双值为 46.71

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并得到等价的双精度值。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args)
    {                  
        try
        {
           System.out.print("Enter The Value ");  
           Scanner sc = new Scanner(System.in);  
           double i = sc.nextDouble();  
           Double n = i;
           System.out.println("Double Value is: " + n.doubleValue()); //Converting the Double object into double  
        }
        catch(Exception e)
        {
           System.out.println(" Invalid Input!!");
        }
   }
}
```

输入值 NaN
双值为:NaN
*********************输入值 09.77
双值为:9.77
*****输入值 0x556
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *