# Java `Double.equals()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-equals-method>

Java `equals()`方法属于`Double` 类。此方法用于将当前使用的双对象的值与参数的值进行比较。它的返回类型是布尔值，即如果双对象的值等于参数的值，则返回`true`，如果双对象的值不等于参数的值，则返回`false`。

该方法覆盖了`Object`类的`equals()`方法。

### 语法:

```java
public boolean equals(Object obj)
```

### 参数:

传递的参数是要检查是否与双对象相等的对象。

### 返回:

如果双对象值的值等于作为参数传递的值，则返回`true`，如果双对象值的值不等于作为参数传递的值，则返回`false` 。

## 例 1:

这里，使用 equals()方法检查双对象 ob1、ob2 和 ob3 是否相等。

```java
import java.lang.Double;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {          
        Double ob1 = 20.0; 
        Double ob2 = 40.0; 
        Double ob3 = 40.0;  

         //Checking for objects with equal and unequal values
        System.out.println("ob1 and ob2 equal?  "+ob1.equals(ob2));  
        System.out.println("ob2 and ob3 equal?  "+ob2.equals(ob3));

    }  
}
```

ob1 和 ob2 相等？假
ob2 和 ob3 相等？真实的

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并得到想要的结果。

```java
import java.util.Scanner; 

public class StudyTonight 
{  
    public static void main(String[] args)
    {          
        try
        {
          Scanner sc = new Scanner(System.in);  
          System.out.print("Enter first double value: ");  
          Double n1 = sc.nextDouble();  
          System.out.print("Enter second double value ");  
          Double n2 = sc.nextDouble();  
          boolean r = n1.equals(n2);  
            if (r==true)
             {               
               System.out.println("Same numbers entered");  
             }  
           else
             {  
               System.out.println("Different numbers entered");  
             }
        }
        catch(Exception e)
        {
          System.out.println("Invalid input!!Please check");
        }
    }  
} 
```

输入第一个双精度值:88.66
输入第二个双精度值 88.66
输入相同的数字
*******************输入第一个双精度值:98.99
输入第二个双精度值 98.998
输入不同的数字
*******************输入第一个双精度值:0x88.8
输入无效！！请检查

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *