# Java `Double.hashCode(double)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-hashcode-double-value-method>

`hashCode(double value)`方法兼容 Java 1.8 或更高版本，是`java.lang`包 Double 类的一部分。它用于返回作为参数传递的 double 的哈希代码。

该方法兼容`Double`类`Double**.hashCode()**`。

### 语法:

```java
public static int hashCode(double value) 
```

### 参数:

该参数包括将生成哈希代码的双精度值。

### 返回:

与作为参数传递的双精度值关联的唯一整数值(哈希代码)。

## 例 1:

这里，使用`hashCode(double value)`方法，传递的双精度值被转换为其各自的 hashcode。

```java
import java.lang.Double;

public class StudyTonight

{  
    public static void main(String[] args)  
    {  
        int hv1 = Double.hashCode(27.56930); //generate the hashcode of the passed argument
        int hv2 = Double.hashCode(-81.4889); 
        System.out.println("Hash code Value is: " + hv1); 
        System.out.println("Hash code Value is: " + hv2);
    }  
}
```

哈希码值为:-450228899
哈希码值为:-479354970

## 例 2:

这里有一个用户定义的例子，任何使用这个代码的人都可以输入自己选择的值，并获得等效的哈希代码。

```java
import java.util.Scanner; 

public class StudyTonight
{  
    public static void main(String[] args)
    {  
      try
      {
         System.out.print("Enter the value: ");  
         Scanner sc = new Scanner(System.in);         
         double i = sc.nextDouble();  
         int hv = Double.hashCode(i);  // Returning hash code value for this object
         System.out.println("Hash code is: " + hv);

      }
      catch(Exception e)
      {
        System.out.println("Invalid Input!!");
      }

    }  
} 
```

输入值:89.55
哈希码为:1936019456
* * * * * * * * * * * * * * * * * * * * * * T3】输入值:-664.8
哈希码为:-1495097344
* * * * * * * * * * * * * * * * * * * * * * * * *输入值:0x667
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *