# Java `Double.intValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-intvalue-method>

Java `intValue()`方法属于`java.lang`的`Double` 类，继承自`Number`类。这是一个实例方法，在一个缩小的原始类型转换(将一个较高的数据类型转换为一个较低的数据类型)后，返回双对象的 **int 等价物**。

简而言之，该方法用于**将 Double 对象值转换为原始整数值。**

### **语法:**

```java
public int intValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后创建的双对象的整数等价物。

## 例 1:

这里，使用`intValue()`函数，双对象被转换为其整数等价物。

```java
import java.lang.Double;

public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        //converting Double object into int
          Double x = 56.667;
          int i = x.intValue();
          System.out.println(i);

          Double y = -90.0;  
          int d = y.intValue();  
          System.out.println(d);
      }  
} 
```

56
-90

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并得到等价的双精度值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              double i = sc.nextDouble();  
              Double n = i ;  
              int val = n.intValue();  //converting Double object into int
              System.out.println("Integer Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid double"); 
           }
    }
}
```

输入需要转换的值:78.943
整数值为:78
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *要转换的值:—098.543
整数值为:—98
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *要转换的值:0x678
不是有效的双精度

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *