# Java `Double.isInfinite()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-isinfinite-double-value-method>

Java `isInfinite()`方法是`java.lang`包的`Double`类的一部分。该方法与`isFinite()` 方法完全相反，用于检查传递的双精度值是否为无穷大。它返回布尔值`false`为有限值，`true`为 NaN 和无限值。

### 语法:

```java
public static boolean isInfinite(double d) 
```

### 参数:

传递的参数是双精度值 d，它将被检查是否为无穷大。

### 返回:

如果传递的双精度值具有有限值，则返回`false`，对于无限值和 NaN 值，则返回`true`。

## 例 1:

这里，根据作为参数传递的双精度值返回布尔值。

```java
import java.lang.Double;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        double d1 = 528648.67;  
        double d2 = d1/0.0; 
        double d3 = -d1/0.0;
        double d4 = 0X06792345;

             System.out.println("The value is : " +Double.isInfinite(d1)); //returns false for finite value  
             System.out.println("The value is : " +Double.isInfinite(d2)); //returns true for infinite value 
             System.out.println("The value is : " +Double.isInfinite(d3)); //returns true for infinaite value 
             System.out.println("The value is : " +Double.isInfinite(d4)); // returns false for finite value            

    }  
} 
```

值为:假
值为:真
值为:真
值为:假

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Double;
import java.util.Scanner;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.println("Enter the value");
           Scanner sc = new Scanner(System.in);
           double d = sc.nextDouble();

           boolean b = Double.isInfinite(d);
           if(b== true)
           {
             System.out.println("Value is infinite");
           }
           else
           {
             System.out.println("Value is finite");
           }
         }

         catch(Exception e)
         {
           System.out.println("Invalid Input");
         }

    }

} 
```

输入值
7856678E7896
值为无穷大
***************输入值
976865.689
值为有限
***************输入值
00x45
无效输入

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *