# Java `Double.longBitsToDouble()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-longbitstodouble-method>

Java `longBitsToDouble()`方法是`java.lang`包的`Double`类的一部分。根据 **IEEE 754** 浮点“双格式”位布局，此方法返回作为参数传递的长位的双精度值。

### 语法:

```java
public static double longBitsToDouble(long bits) 
```

### 参数:

传递的参数是长值，其双精度值将被返回。

### 返回:

传递的长位的等效双精度值。

## 例 1:

在这里，长比特值被转换成其等价的双比特值。

```java
import java.lang.Double;
public class StudyTonight
{     
 public static void main(String[] args) 
   {  

             long n1 = 69;
             long n2 = -645;

             Double d1 = Double.longBitsToDouble(n1);  
             System.out.println("value after conversion = "+d1);

             Double d2 = Double.longBitsToDouble(n1);  
             System.out.println("value after conversion = "+d2);
    }  
} 
```

换算后的值= 3.4E-322
换算后的值= 3.4E-322

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Double;
import java.util.Scanner;
public class StudyTonight
{  
    public static void main(String[] args)
    {  
        try
        {
            System.out.println("Enter value");
            Scanner sc = new Scanner(System.in);
            long n = sc.nextLong();
            System.out.println(" Double value is = "+ Double.longBitsToDouble(n)); //long bits converted to double 
        }
        catch(Exception e)
        {
          System.out.println("Invalid Input!!");
        }        
    }    
} 
```

输入值
556
双值为= 2.747 e-321
* * * * * * * * * * * * * * * * * * * * * * * * * T4】输入值
-88
双值为= NaN
*******************输入值
0x338
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *