# Java `Double.longValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-longvalue-method>

Java `longValue()`方法属于`java.lang`包的`Double` 类，继承自`Number`类。这个方法在一个基本的缩小转换(从较高类型到较低类型的转换)后返回双对象的**长等价物**。

简而言之，该方法用于将双对象转换为长值。

### 语法:

```java
public long longValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后创建的双对象的长等价物。

## 例 1:

这里，使用`longValue()`方法，双对象被转换成它的长等价物。

```java
import java.lang.Double;
public class StudyTonight
{  
    public static void main(String[] args) 
      {  
        //converting Double object into long
          Double x = 125.90;
          long i=x.longValue();
          System.out.println("Long value is " +i);

          Double y = 617.41;  
          long d = y.longValue();  
          System.out.println("Long value is " +d);
      }  
}
```

长值为 125
长值为 617

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的长值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              double d = sc.nextFloat();  
              Double n = d ;  
              long val = n.longValue();  //converting Double object into long
              System.out.println("Long Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid double"); 
           }
     }
}
```

输入要转换的值:56.44
长值为:56
* * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:—885.99
长值为:—885
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:0x465
不是有效的双精度

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *