# Java `Double.parseDouble()`方法

Java `parseDouble()`方法是`java.lang`包的`Double`类的一部分。此方法用于将字符串值解析为其等效的 Double 值。此方法返回的值与 Double 类“`valueOf()`方法返回的值相同。

### 语法:

```java
public static double parseDouble(String s) throws NumberFormatException
```

### 参数:

传递的参数是字符串值，其等效的 Double 值将被返回。

### 返回:

返回与作为参数传递的字符串值相对应的等效双精度值。

### 例外:

`NullPointerException` -如果传递的字符串为空

`NumberFormatException` -如果传递的字符串不包含可解析的双精度值。

## 例 1:

在这里，传递了两个字符串，并作为它们各自的等效 Double 值返回。

```java
import java.lang.Double;
public class StudyTonight 
{  
    public static void main(String[] args) 
       {          
        String s1 = "21.62"; 
        String s2 = "-73.056";
        double n1 = Double.parseDouble(s1);  //converts the passed string into its corresponding double value
        double n2 = Double.parseDouble(s2);  //converts the passed string into its corresponding doube value        
        System.out.println("Equivalent Double value is : " + n1);
        System.out.println("Equivalent Double value is : " + n2);

       }  
} 
```

等值双值为:21.62
等值双值为:-73.056

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Double;
import java.util.Scanner;

public class StudyTonight 
{  
    public static void main(String[] args) 
      {  
         try
          {
            System.out.println("Enter Value");
            Scanner sc = new Scanner(System.in);
            String s = sc.nextLine();
            Double n = Double.parseDouble(s);  //converts the passed string as double value

            System.out.println("Equivalent Double value is : " + n);
          }
          catch(Exception e)
          {
            System.out.println("Invalid Input!!");
          }
      }  
} 
```

输入值
855.88
等效双精度值为:855.88
* * * * * * * * * * * * * * * * * * * * * * * T4】输入值
-445.6
等效双精度值为:-445.6
* * * * * * * * * * * * * * * * * * * * * * * * *输入值
0x554
无效！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *