# Java `Double.sum()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-sum-method>

Java `sum()`方法是`java.lang`包的`Double`类的一部分。此方法返回作为参数传递的双精度值的数值总和(即根据+运算符简单地将作为参数传递的两个数字相加)。

### 语法:

```java
public static double sum(double a, double b) 
```

### 参数:

传递的参数包括要返回其相加的两个双精度值。

### 返回:

返回作为参数传递的两个双精度值的总和。

## 例 1:

这里，为了更好地理解该方法，取一些正数和负数。

```java
import java.lang.Double;
public class StudyTonight
{  
    public static void main(String[] args) 
    {          
        double a = 10.84;  
        double b = 29.132;  
        double c = -67.99;
        System.out.println("The sum of a and b is = " + Double.sum(a, b));  // It will return the sum of a and b
        System.out.println("The sum of a and b is = " + Double.sum(b, c));  // It will return the sum of a and b        
    }      
}
```

a 和 b 的和为= 39.972
a 和 b 的和为=-38.999999999999

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
          System.out.println("Enter the two values : ");  
          Scanner sc = new Scanner(System.in);  
          double a = sc.nextDouble();  
          double b = sc.nextDouble();  
          System.out.println("sum is = " + Double.sum(a, b));  // will return the sum of a and b. 
        }
        catch(Exception e)
        {
          System.out.println("Invalid Input");
        }        
    }  
} 
```

输入两个值:
89.66 95.88
之和为= 185.54
* * * * * * * * * * * * * * * * * * * * * * * T4】输入两个值:
-66.009 -443.99
之和为=-509.999
* * * * * * * * * * * * * * * * * * *输入两个值:
0x667 0x554
无效输入

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *