# Java `Double.toHexString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-tohexstring-method>

Java `toHexString()`方法是`java.lang`包的`Double`类的一部分。此方法用于返回传递的双精度值的绝对十六进制等效字符串。

必须注意的是，对于非数字(NaN)值，将返回值**“NaN”**。

### 语法:

```java
public static String toHexString(double d) 
```

### 参数:

传递的参数是要返回等效十六进制字符串表示形式的双精度值。

### 返回:

返回作为等效十六进制值传递的双精度值的字符串表示形式。

## 例 1:

这里，为了更好地理解该方法，取一个正数和一个负数。

```java
import java.lang.Double;

public class StudyTonight
{  
    public static void main(String[] args) 
    {          
        double i = 132.67; 
        double j = -52.45;
        System.out.println("Actual number is = " + i);  
        System.out.println("Hexadecimal equivalent is = " + Double.toHexString(i)); //returns the double value in hexadecimal string

        System.out.println("Actual number is = " + j);  
        System.out.println("Hexadecimal equivalent is = " + Double.toHexString(j)); //returns the double value in hexadecimal string

    }  
}
```

实际数为= 132.67
十六进制等值为= 0x1.09570a3d70a3dp7
实际数为= -52.45
十六进制等值为=-0x 1 . a 3999999999 ap5

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {          
        try
        {
          System.out.print("Enter the Number = ");  
          Scanner sc = new Scanner(System.in);  
          double i = sc.nextDouble();  
          System.out.println("Actual Number is  = " + i);  
          System.out.println("Hexadecimal representation is = " + Double.toHexString(i)); //returns the double value in hexadecimal string 
        }  
        catch(Exception e)
        {
          System.out.println("Invalid Number");
        }
    }
} 
```

输入数字= 89.77
实际数字为= 89.77
十六进制表示为= 0x 1.67147 AE 147 AE 1p 6
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入数字= -72.96
实际数字为= -72.96
十六进制表示为=-0x 1.23 D70 a3 d 70 a3 dp6
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *