# Java `Double.toString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-tostringdouble-d-method>

Java `toString()`方法是`java.lang`包的`Double`类的一部分。此方法返回作为参数传递的双精度值的等效字符串对象。

简而言之，该方法用于将一个**双精度值**转换为字符串。

### 语法:

```java
public static String toString(double d)
```

### 参数:

传递的参数是要返回其等效字符串的双精度值。

### 返回:

返回作为参数传递的双参数的字符串表示形式。必须注意的是，字符串**“NaN”**是为双精度值 NaN 返回的。

## 例 1:

这里，返回传递的双参数的字符串表示形式。

```java
import java.lang.Double;

public class StudyTonight
{  
    public static void main(String[] args)
      {  
        double a = 40.95;
        double b = -56.27;
        System.out.println("Equivalent String is : "+Double.toString(a));   
        System.out.println("Equivalent String is : "+Double.toString(b));   
      }  
}
```

等效串为:40.95
等效串为:-56.27

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
     public static void main(String[] args) 
       {  
          try
           {
             System.out.print("Enter the value ");  
             Scanner sc = new Scanner(System.in);  
             double val = sc.nextDouble();  
             String s = Double.toString(val); //converting to string
             System.out.println("String value is : "+ s);  

           }
         catch(Exception e)
           {
             System.out.println("Invalid input!!");
           }

        }  
} 
```

输入值 NaN
字符串值为:NaN
*****输入值 34.88
字符串值为:34.88
*******输入值 0x699
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *