# Java `Double.valueOf(double)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-double-valueofdouble-d-method>

Java `valueOf(double d)`方法是`java.lang`包的`Double`类的一部分。此方法用于返回作为参数传递的双精度值的等效双精度对象。

### 语法:

```java
public static Double valueOf(double d) 
```

### 参数:

传递的参数是双精度值，其等效的双精度对象将被返回。

### 返回:

返回作为参数传递的双精度值的双精度对象。

## 例 1:

在这里，Double 对象返回传递的双精度值。

```java
import java.lang.Double;
public class StudyTonight 
{    
    public static void main(String[] args)
    {  
          double n1 = 35.96;  //initilisation of Double object
          double n2 = -45.564;
          double n3 = Double.POSITIVE_INFINITY; 
          double n4 = Double.NEGATIVE_INFINITY;  
          double n5 = Double.NaN;  

          System.out.println("Equivalent Double object Value = " + Double.valueOf(n1));//returns a Double object representing the float specified 
          System.out.println("Equivalent Double object Value = " + Double.valueOf(n2));
          System.out.println("Equivalent Double object Value = " + Double.valueOf(n3));
          System.out.println("Equivalent Double object Value = " + Double.valueOf(n4));
          System.out.println("Equivalent Double object Value = " + Double.valueOf(n5));      
    }     
}
```

等效双对象值= 35.96
等效双对象值= -45.564
等效双对象值=无穷大
等效双对象值= -无穷大
等效双对象值= NaN

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Double;
import java.util.Scanner;
public class StudyTonight 
{   
    public static void main(String[] args)
    {    
       try
       {
         System.out.println("Enter the value");
         Scanner sc=new Scanner(System.in);
         double x = sc.nextDouble();
         System.out.println("Equivalent Double object Value = " + Double.valueOf(x));//returns a Double object representing the float specified 
        }
       catch(Exception e)
        {
         System.out.println("Invalid input!!");
        }        
    }  
}
```

输入值
NaN
等效双对象值= NaN
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入值
90.66
等效双对象值= 90.66
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入值
0x445.8
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *