# Java `Long.byteValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-bytevalue-method>

Java `byteValue()`方法属于`java.lang`包的`Long`类，覆盖了`Number`类的`byteValue()`方法。此方法在缩小图元转换(将较高数据类型转换为较低数据类型)后，返回 **Long** 对象的**字节等效物**。

简而言之，该方法用于**将 Long 对象转换为字节值**。

### 语法:

```java
public byte byteValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后会创建一个`byte`类型对象的数值等价物。

## 例 1:

这里，使用`byteValue()`方法，长值被转换成其数字字节等价物。

```java
import java.lang.Long;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        //converting Long object into byte
        Long x = 9567858997L;
        byte i=x.byteValue();
        System.out.println("Equivalent byte value is " +i);

        Long y = -2590556789L;  
        byte d = y.byteValue();  
        System.out.println("Equivalent byte value is " +d);
    }  
}
```

等效字节值为 53
等效字节值为-117

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的字节值。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
            System.out.print("Enter the value to be converted : ");  
            Scanner sc = new Scanner(System.in);  
            long i = sc.nextLong();  
            Long n = i ;  
            byte val = n.byteValue();  
            System.out.println("Byte Value is: " + val);  
        }
        catch(Exception e)
        {
            System.out.println("not a valid long"); 
        }
    }
}
```

输入要转换的值:7055
字节值为:-113
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:-6789
字节值为:123
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:0x5674
不是有效的长

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *