# Java `Long.compareTo()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-compareto-method>

Java `compareTo()`方法属于`Long`类。这个方法类似于同一个类的`compare()`方法，但是唯一的区别是这里的长对象是数字比较而不是长值比较。

`compareTo(long object2)`方法返回该值

*   0;如果对象 1 等于对象 2

*   -1;如果对象 1 小于对象 2

*   1;如果对象 1 大于对象 2

### 语法:

```java
public int compareTo(Long anotherLong)
```

### 参数:

参数包括要比较的龙对象。

### 返回:

0，-1，1，具体取决于参数 long 值的值。

## 例 1:

这里，四个`Long`对象 n1、n2、n3、n4 被取各自的正值，并被检查其值是小于、大于还是等于比较值。

```java
import java.lang.Long;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {          
        Long ob1 = 100L;  
        Long ob2 = 200L;  
        Long ob3 = 300L;  
        Long ob4 = 100L;  

        System.out.println(ob1.compareTo(ob2));  //Output will be less than zero

        System.out.println(ob3.compareTo(ob1)); // Output will be greater than zero  

        System.out.println(ob1.compareTo(ob4));  // Output will be equal to zero
    }  
} 
```

-1
1
0

## 例 2:

这里，创建一个`Long`对象的数组，并将数组中的每个对象与数组中的第一个对象进行比较。

```java
import java.lang.Long;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {          
        Long [] ob = {-100L,-200L,300L,-100L}; 
        for(int i=0;i<4;i++)
        {
            System.out.println(ob[0].compareTo(ob[i]));  // comparing each object of array with first object
        }
    }  
}
```

0
1
-1
0

## 例 3:

这里有一个通用的例子，用户可以输入他选择的数字并获得所需的输出。`try`和`catch`块( [Java Try and Catch](https://www.studytonight.com/java/try-and-catch-block.php) )用于处理程序执行过程中发生的任何异常。(例如，用户输入字符串等。代替长的)。

```java
import java.util.Scanner; 
import java.lang.Long;
public class StudyTonight 
{  
    public static void main(String[] args) 
    {      
        Scanner sc = new Scanner(System.in);  
        System.out.print("Enter first and second number ");  
        try
        {
            Long n1 = sc.nextLong();  
            Long n2 = sc.nextLong();  
            int r =  n1.compareTo(n2);    
            if(r > 0)
            {  
                System.out.println("first number is greater");  
            }
            else if(r< 0) 
            {  
                System.out.println("second number is greater");  
            } 
            else
            {  
                System.out.println("both numbers are equal");
            }
        }
        catch(Exception e)
        {
            System.out.println("Error!!");
        }
    }  
} 
```

输入第一个和第二个数字 453 576
第二个数字更大
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入第一个和第二个数字 555 123
第一个数字更大
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入第一个和第二个数字 0x66 0x234
错误！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *