# Java `Long.divideUnsigned()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-divideunsigned-method>

Java `divideUnsigned()`方法属于`Long`类。此方法用于返回第一个参数除以第二个参数得到的商(无符号)。结果，即商总是作为无符号值。

### 语法:

```java
public static long divideUnsigned(long dividend, long divisor)
```

### 参数:

传递的参数将是`long` **被除数**和`long` **除数**，被除数将进行除法运算。

### 返回:

当第一个参数(即被除数)除以第二个参数(即除数)时，返回无符号商。

## 例 1:

这里，正常的除法过程发生在所有长值都有符号的时候。

```java
import java.lang.Long;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  
        long a = 100L;  
        long b = 5L;
        long c = 3L;        
        System.out.println("Quotient of\t" + a+ "/" +b+ "\t is \t" +Long.divideUnsigned(a, b));  
        System.out.println("Quotient of\t" + a+ "/" +c+ "\t is \t" +Long.divideUnsigned(a, c));  
    }   
} 
```

100/5 的商是 20
100/3 的商是 33

## 例 2:

这里，长值 100L 用-5 到+5 的数字除，以明确方法的概念。有符号整数的输出为零，无符号整数的相应商为零。

```java
import java.lang.Long;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  
        long a = 100L;  
        try
        {
            for(long i=-5L;i<=5L;i++)
            {
                if(i==0)
                {
                    System.out.println("Division with zero not possible");
                }
                else
                {
                    System.out.println("Quotient of\t" + a+ "/" +i+ "\t is \t" +Long.divideUnsigned(a, i));  
                } 
            }
        }
        catch(Exception e)
        {
            System.out.println("Exception occurred", e);  
        }  
    }        
} 
```

100/-5 的商为 0
100/-4 的商为 0
100/-3 的商为 0
100/-2 的商为 0
100/-1 的商为 0
除零不可能
100/1 的商为 100
100/2 的商为 50
100/3 的商为 33
100/4 的商为

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *