# Java `Long.doubleValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-doublevalue-method>

Java `doubleValue()`方法属于`Long`类。此方法在扩大基本转换(将较低的数据类型转换为较高的数据类型)后，返回`Long`的**双等价**。

简而言之，这种方法用于**将一个 Long 对象转换为一个原始双值**。

### 语法:

```java
public double doubleValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

它返回长对象的双精度值。

## 例 1:

这里，使用`doubleValue()`方法，长值被转换成其数值的双等值。

```java
import java.lang.Long;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        //converting Long object into double
        Long x = 99L;
        double i=x.doubleValue();
        System.out.println(i);       

        Long y = 23L;  
        double d = y.doubleValue();  
        System.out.println(d);
    }  
} 
```

99.0
23.0

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并得到等价的双精度值。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
            System.out.print("Enter the value to be converted : ");  
            Scanner sc = new Scanner(System.in);  
            long i = sc.nextLong();  
            Long n = i ;  
            double val = n.doubleValue();  
            System.out.println("Double Value is: " + val);  
        }
        catch(Exception e)
        {
            System.out.println("not a valid long"); 
        }
    }
}
```

输入要转换的值:63
双精度值为:63.0
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:-56
双精度值为:-56.0
* * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:0x754
不是有效的长

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *