# Java `Long.intValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-intvalue-method>

Java `intValue()`方法属于`java.lang`的`Long`类，继承自`Number`类。这是一个实例方法，在一个窄化原始类型转换(将一个较高的数据类型转换为一个较低的数据类型)后，返回 Long 对象的 int 等效项。

简而言之，该方法用于**将长对象转换为整数值。**

### **语法:**

```java
public int intValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

转换后创建的 Long 对象的整数等价物。

## 例 1:

在这里，使用`intValue()`方法，龙对象被转换成它的原始 int 等价物。

```java
import java.lang.Long;

public class StudyTonight
{  

    public static void main(String[] args) 
     {  
        //converting Long object into int
        Long x = 56L;
        int i = x.intValue();
        System.out.println(i);

        Long y = -90L;  
        int d = y.intValue();  
        System.out.println(d);
     }  
} 
```

56
-90

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的 int 值。

```java
import java.util.Scanner;  
public class StudyTonight
{  
    public static void main(String[] args) 
    {  
         try
           {
              System.out.print("Enter the value to be converted : ");  
              Scanner sc = new Scanner(System.in);  
              long i = sc.nextLong();  
              Long n = i ;  
              int val = n.intValue();  //converting Long object into int
              System.out.println("Integer Value is: " + val);  
           }
         catch(Exception e)
           {
              System.out.println("not a valid long"); 
           }
    }
} 
```

输入要转换的值:376
整数值为:376
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T3】输入要转换的值:-23232
整数值为:-23232
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入要转换的值:0x443
不是有效的长

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *