# Java `Long.longValue()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-longvalue-method>

Java `longValue()`方法属于`java.lang`的`Long` 类，继承自`Number`类。这是一个返回指定数字的**长等价物**的实例方法。

一般是**拆箱**的方法。虽然在 Java 5 引入后，转换是自动完成的(自动装箱)，但是了解装箱和拆箱的概念对你来说很重要。

**拆箱:**将`Long`转换为`long`被称为拆箱

**拳击:**一个`long` 到 `Long` 的转换称为拳击。

### 语法:

```java
public long longValue() 
```

### 参数:

此方法中没有传递任何参数。

### 返回:

对象转换为长(基元)后的数值。

### 例外:

这种方法可以遇到的例外是`NullPointerException.`

## 例 1:

这里，使用`longValue()`方法，将长对象转换为其数值长等价物。

```java
import java.lang.Long;

public class StudyTonight 
{  
    public static void main(String[] args) 
       {                  
          Long n1 = 25L;  
          Long n2 = 46L;

          long i = n1.longValue(); // returns the value of the Long object n1 as a long
          long j = n2.longValue(); // returns the value of the Long object n2 as a long

          System.out.println("long value is " + i);  
          System.out.println("long value is " + j); 

        }  
}
```

长值为 25
长值为 46

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的长值。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args)
    {                  
        try
        {
           System.out.print("Enter The Value ");  
           Scanner sc = new Scanner(System.in);  
           long i = sc.nextLong();  
           Long n = i; 
           System.out.println("Long Value is: " + n.longValue()); //Converting the Long object into long  
        }
        catch(Exception e)
        {
           System.out.println(" Invalid Input!!");
        }
    }
}
```

输入值 856
长值为:856
*****************输入值-434
长值为:-434
*************输入值 0x434
无效！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *