# Java `Long.max()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-max-method>

Java `max()`方法是`java.lang`包的`Long`类的一部分，由`Math`类的`Math.max()`方法指定。此方法用于返回作为参数传递的两个数字中数值较大的值(最大值)。

如果传递了一个正数和一个负数，则返回正值，但是如果传递的两个数字都是负数，则返回较小的数值。

### 语法:

```java
public static long max(long a, long b)
```

### 参数:

传递的参数是用户用来检查传递的两个数字的最大值的长值。

### 返回:

作为参数传递的两个值中数值较大的值。

## 例 1:

这里，取一个正数和一个负数，因此返回正值，在两个负数都为负值的情况下，返回幅度较小的值。

```java
import java.lang.Long;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  

          long x = 5485L;  
          long y = -3242L; 
          long z = -5645L;

          System.out.println("Greater number is " + Long.max(x, y));  // print the larger number between x and y 
          System.out.println("Greater number is " + Long.max(y, z));  // print the larger number between y and z
    }  
}
```

更大的数字是 5485
更大的数字是-3242

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.println("Enter the Two values: ");  
           Scanner sc= new Scanner(System.in);  
           long a = sc.nextLong();  
           long b = sc.nextLong();  

           System.out.println("Larger value is " + Long.max(a, b)); //Print the larger number between a and b 

        }
        catch(Exception e)
        {

        }

    }  
} 
```

输入两个值:
-674 -754
较大的值是-674
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入两个值:
890 -423
较大的值是 890

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *