# Java `Long.min()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-min-method>

Java `min()`方法是`java.lang`包的`Long`类的一部分，由`Math`类的`Math.min()`方法指定。此方法用于返回作为参数传递的两个数字(长)中数值较小的值(最小值)。

如果传递了一个正数和一个负数，则返回负值，但是如果传递的两个数字都是负数，则返回更大的数值。

### 语法:

```java
public static long min(long a, long b)
```

### 参数:

传递的参数是用户用来检查传递的两个数字的最小值的长值。

### 返回:

作为参数传递的两个长值中数值较低的值。

## 例 1:

这里，取一个正数和一个负数，因此返回负值，在两个负数都为负数的情况下，返回幅度较大的值。

```java
import java.lang.Long;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {      
          long x = 5485L;  
          long y = -3242L; 
          long z = -5645L;

          System.out.println("Lower number is " + Long.min(x, y));  // print the smaller number between x and y 
          System.out.println("Lower number is " + Long.min(y, z));  // print the smaller number between y and z
    }  
}
```

下数为-3242
下数为-5645

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner; 

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.println("Enter the Two values: ");  
           Scanner sc= new Scanner(System.in);  
           long a = sc.nextLong();  
           long b = sc.nextLong();  

           System.out.println("Smaller value is " + Long.min(a, b)); //Print the smaller number between a and b 

        }
        catch(Exception e)
        {

        } 
    }  
} 
```

输入两个值:
856 786
较小的值为 786
* * * * * * * * * * * * * * * * * * * * * T4】输入两个值:
-675 -434
较小的值为-675

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *