# Java `Long.parseUnsignedLong(String)`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-parseunsignedlongstring-s-method>

Java `parseUnsignedLong(String s)`方法是`java.lang`包的`Long`类的一部分。此方法用于将字符串值解析为无符号十进制 Long 对象。

必须注意的是，除了用于定义整数符号的第一个字符之外，字符串中传递的字符必须都是十进制的。ASCII 加号“+”用于描述正值。

### 语法:

```java
public static long parseUnsignedLong(String s) throws NumberFormatException
```

### 参数:

传递的参数是字符串值，其无符号十进制**长对象**将被返回。

### 返回:

返回作为参数传递的字符串值的无符号十进制 **Long** 对象。

## 例 1:

这里，两个字符串作为各自的无符号十进制 Long 对象传递和返回。

```java
import java.lang.Long;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {     
        String s1 = "23"; 
        String s2 = "132";
        long n1 = Long.parseUnsignedLong(s1);  //converts the passed string as unsigned long
        long n2 = Long.parseUnsignedLong(s2);  //converts the passed string as unsigned long

        System.out.println("Equivalent Long object is : " + n1);
        System.out.println("Equivalent Long object is : " + n2);    
    }  
}
```

当量长物体为:23
当量长物体为:132

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.lang.Long;
import java.util.Scanner;

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  
        try
        {
            System.out.println("Enter Value");
            Scanner sc = new Scanner(System.in);
            String s = sc.nextLine();
            long n = Long.parseUnsignedLong(s);  //converts the passed string as unsigned long

            System.out.println("Equivalent Long object is : " + n);
          }
        catch(Exception e)
        {
            System.out.println("Invalid Input!!");
        }
    }  
}
```

输入值
956
等效长对象为:956
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入值
-577
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *