# Java `Long.reverse()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-reverse-method>

Java `reverse()`方法是`java.lang`包的`Long`类的一部分。此方法用于返回通过颠倒传递的长值的二进制补码表示的位的顺序而获得的值。

### 语法:

```java
public static long reverse(long i) 
```

### 参数:

传递的参数是长值，其二进制等价值将被反转。

### 返回:

通过反转传递的参数的二进制补码表示的位的顺序而获得的值。

## 例 1:

这里，为了更好地理解该方法，取一个正数和一个负数。`Long.toBinaryString()`方法用于在其二进制表示中表示长值。

```java
import java.lang.Long;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
          long a = 202L;  
          long b = -50L;  
          System.out.println("Original Number = " + a);             
          System.out.println("Binary Representation is = " + Long.toBinaryString(a)); //long value as a binary string 
          System.out.println("Number after reversal is:" + Long.reverse(a));//reversal of the number

          System.out.println("\n Original Number = " + b);               
          System.out.println("Binary Representation is = " + Long.toBinaryString(b));           
          System.out.println("Number after reversal is: " + Long.reverse(b));  
    }  
} 
```

原数= 202
二进制表示为= 11001010
反转后的数为:5980780305148018688

原数= -50
二进制表示为= 1111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.print("Enter Original Value ");  
           Scanner sc = new Scanner(System.in);  
           long i = sc.nextLong();  
           System.out.println("Actual Number = " + i);  
           System.out.println("Binary Representation = " + Long.toBinaryString(i)); // returns the long value as a binary equivalent 
           System.out.println("After reversing = " + Long.reverse(i)); //returns the value obtained by reversal of bits
        }
        catch(Exception e)
        {
           System.out.println("Invalid Input");
        }

    }  
} 
```

输入原值 78
实际数= 78
二进制表示= 1001110
倒车后= 8214565720323784704
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入原值-50
实际数= -50
二进制表示= 11111111111111111111111

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *