# Java `Long.reverseBytes()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-reversebytes-method>

Java `reverseBytes()`方法是`java.lang`包的`Long`类的一部分。此方法用于返回通过反转传递的长值的二进制补码表示的字节顺序而获得的值。

### 语法:

```java
public static long reverseBytes(long i) 
```

### 参数:

传递的参数是其字节要反转的长值。

### 返回:

通过反转传递的参数的二进制补码表示的字节顺序获得的值。

## 例 1:

这里，为了更好地理解该方法，取一个正数和一个负数。`Long.toBinaryString()`方法用于以二进制等价形式表示数字。

```java
import java.lang.Long;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
          long a = 342;  
          long b = -23;  
          System.out.println("Original Number = " + a);             
          System.out.println("Binary Representation is = " + Long.toBinaryString(a)); //represents number to equivalent binary string 
          System.out.println("Number after reversal " + Long.reverseBytes(a)); //reversal of the bytes

          System.out.println("\n Original Number = " + b);               
          System.out.println("Binary Representation is = " + Long.toBinaryString(b));           
          System.out.println("Number after reversal = " + Long.reverseBytes(b));  
    }  
} 
```

原数= 342
二进制表示为= 101010110
反转后数 6197234562238513152
T4】原数= -23
二进制表示为= 1111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight 
{  
    public static void main(String[] args) 
    {  
        try
        {
           System.out.print("Enter Original Value ");  
           Scanner sc = new Scanner(System.in);  
           long i = sc.nextLong();  
           System.out.println("Actual Number = " + i);  
           System.out.println("Binary Representation = " + Long.toBinaryString(i)); // represents the long value into its binary equivalent 
           System.out.println("After reversing = " + Long.reverseBytes(i)); //returns the value obtained by reversal of bytes
        }
        catch(Exception e)
        {
           System.out.println("Invalid Input");
        }

    }  
}
```

输入原值 56
实际数值= 56
二进制表示= 111000
换向后= 4035225266123964416
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *输入原值-299
实际数值= -299
二进制表示= 111111111111111111111111

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *