# Java `Long.signum()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-signum-method>

Java `signum()`是`java.lang`包的`Long`类的一部分。此方法用于返回传递的值的 signum 函数值。

一个**符号函数**是一个**提取实数**符号的函数。

### 语法:

```java
public static int signum(long i)
```

### 参数:

要返回其签名值的长值。

### 返回:

返回作为参数传递的长值的符号值。正值、零值和负值的值分别为 1，0，-1。

## 例 1:

这里显示了正、负和零的符号函数值。

```java
import java.lang.Long;

public class StudyTonight
{  
    public static void main(String[] args) 
    {  
        long a = 9L;
        long b = -4L;
        long c = 0L;
        System.out.println("Signum value of " + a + " is " +Long.signum(a)); //signum value for positive number  
        System.out.println("Signum value of " + b + " is " +Long.signum(b)); //signum value for negative number
        System.out.println("Signum value of " + c + " is " +Long.signum(c)); // signum value for zero
    }  
} 
```

希格诺值 9 为 1
希格诺值-4 为-1
希格诺值 0 为 0

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
    public static void main(String[] args)
    {  
        try
        {
           System.out.print("Enter Value :");       
           Scanner sc = new Scanner(System.in);  
           long a = sc.nextLong();  
           long res = Long.signum(a);  //return the signum value
           System.out.print("Signum value is "+res);
        }
        catch(Exception e)
        {
           System.out.println("Invalid Input!!");
        } 
    }  
}
```

输入值:8556
希格诺值为 1
*****输入值:-56
希格诺值为-1
*****输入值:0
希格诺值为 0

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *