# Java `Long.toBinaryString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-tobinarystring-method>

Java `toBinaryString()`方法是`java.lang`包的`Long`类的一部分。此方法用于返回作为无符号长字符串传递的值的二进制等效值 base 2。

例如:对于值 54，返回的等效二进制字符串将是 110110。

### 语法:

```java
public static String toBinaryString (long i) 
```

### 参数:

传递的参数是长值，其字符串表示将返回基 2 的等效二进制数。

### 返回:

返回作为等效 2 进制值传递的参数的字符串表示形式。

## 例 1:

这里，为了更好地理解该方法，取一个正数和一个负数。

```java
import java.lang.Long;

public class StudyTonight
{  
    public static void main(String[] args) 
    {          
        long i = 121L; 
        long j = -53L;
        System.out.println("Actual number is = " + i);  
        System.out.println("Binary equivalent is = " + Long.toBinaryString(i)); //returns the long value in binary base 2 as a string

        System.out.println("Actual number is = " + j);  
        System.out.println("Binary equivalent is = " + Long.toBinaryString(j)); //returns the long value in binary base 2 as a string        
    }  
}
```

实际数为= 121
二进制等值为= 1111001
实际数为= -53
二进制等值为= 111111111111111111111111111111111111111111111111111111111001011

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
	public static void main(String[] args) 
	{  
		try
		{
			System.out.print("Enter the Number = ");  
			Scanner sc = new Scanner(System.in);  
			long i = sc.nextLong();  
			System.out.println("Actual Number is  = " + i);  
			System.out.println("Binary representation is = " + Long.toBinaryString(i)); //returns the long value in binary base 2 as a string 
		}  
		catch(Exception e)
		{
			System.out.println("Invalid Number");
		}
	}
} 
```

输入数字= 755
实际数字为= 755
二进制表示为= 1011110011
* * * * * * * * * * * * * * * * * * * * * * * * * * * T4】输入数字= -677
实际数字为= -677
二进制表示为= 1111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *