# Java `Long.toString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-tostring-method>

Java `toString()`方法是`java.lang`包的 Long 类的一部分。此方法返回 String 对象，其值等效于传递的长值的带符号十进制表示形式。该方法覆盖了`Object`类的`toString()`方法。

简而言之，该方法用于将**长对象**转换为字符串

### 语法:

```java
public String toString() 
```

### 参数:

此方法中不传递任何参数。

### 返回:

返回长对象的字符串表示形式。

## 例 1:

在这里，Long 对象被转换为带符号的十进制表示，并作为字符串返回。

```java
import java.lang.Long;

public class StudyTonight
{  
	public static void main(String[] args) 
	{  
		Long a = 50L;       
		String s1 = a.toString();  // return a string value 
		System.out.println("Equivalent String is " + s1);              

		Long b = -18L;            
		String s2 = b.toString();  // return a string value 
		System.out.println("Equivalent String is " + s2);  
	}  
}
```

等效串为 50
等效串为-18

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
	public static void main(String[] args) 
	{  
		try
		{
			System.out.print("Enter the value ");  
			Scanner sc = new Scanner(System.in);  
			Long val = sc.nextLong();  
			String s = val.toString(); //converting to string
			System.out.println("String value is : "+ s);  
		}
		catch(Exception e)
		{
			System.out.println("Invalid input!!");
		}
	}  
}
```

输入值 755
字符串值为:755
*****输入值-5889
字符串值为:-5889
*******输入值 0x588
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *