# Java `Long.toString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-tostringlong-i-method>

Java `toString()`方法是`java.lang`包的`Long`类的一部分。此方法返回作为参数传递的长值的等效字符串对象，即它将传递的长值转换为带符号的十进制表示形式，并将其作为字符串返回。

简而言之，该方法用于将**长值**转换为字符串。

### 语法:

```java
public static String toString(long i) 
```

### 参数:

传递的参数是要返回其等效字符串的长值。

### 返回:

返回作为参数传递的长值的等效字符串。

## 例 1:

在这里，长值被转换为其等价的带符号十进制表示形式，并作为字符串返回。

```java
import java.lang.Long;

public class StudyTonight
{  
	public static void main(String[] args)
	{  
		long a = 40L;
		long b = -56L;
		System.out.println("Equivalent String is : "+Long.toString(a));   
		System.out.println("Equivalent String is : "+Long.toString(b));   
	}  
} 
```

等效串为:40
等效串为:-56

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
	public static void main(String[] args) 
	{  
		try
		{
			System.out.print("Enter the value ");  
			Scanner sc = new Scanner(System.in);  
			long val = sc.nextLong();  
			String s = Long.toString(val); //converting to string
			System.out.println("String value is : "+ s);  
		}
		catch(Exception e)
		{
			System.out.println("Invalid input!!");
		}
	}  
}
```

输入值 7554
字符串值为:7554
*****输入值-6990
字符串值为:-6990
***********输入值 0x 690
输入值 0x690
无效！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *