# Java `Long.toString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-tostringlong-iint-radix-method>

Java `toString()`方法是`java.lang`包的`Long`类的一部分。此方法用于返回在传递的基(基数)中作为参数传递的长值的字符串等价物。

如果第一个参数为负，结果的第一个元素是 ASCII 负号`'-'` ( `'\u002d'`)。如果第一个参数不是负数，则结果中不会出现符号字符。还必须注意，如果基数值小于`Character.MIN_RADIX` 或大于 `Character.MAX_RADIX` ，则使用基数 10。

### 语法:

```java
public static String toString(long i, int radix) 
```

### 参数:

传递的参数是`long i`和`int radix`，前者的转换字符串将被返回，后者定义了字符串转换的基础。

### 返回:

根据作为参数传递的基数值传递的长值的等效字符串。

## 例 1:

这里，长值根据基数值转换成其等价的字符串表示形式。

```java
import java.lang.Long;

public class StudyTonight
{  
	public static void main(String[] args)
	{  
		long a = 78L;
		int d = 10;
		int h = 16;
		int o = 8;
		int b = 2;
		String s1 = Long.toString(a,d); //Returns the string representation of the long value with radix 10  
		System.out.println("Equivalent String Value = " + s1);   

		String s2 = Long.toString(a,h);  //Returns the string representation of the long value with radix 16  
		System.out.println("Equivalent String Value = " + s2);  

		String s3 = Long.toString(a, o); //Returns the string representation of the long value with radix 8   
		System.out.println("Equivalent String Value = " + s3);  

		String s4 = Long.toString(a, b);  //Returns the string representation of the long value with radix 2  
		System.out.println("Equivalent String Value = " + s4);  
	}  
}
```

等效字符串值= 78
等效字符串值= 4e
等效字符串值= 116
等效字符串值= 1001110

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  
public class StudyTonight 
{  
	public static void main(String[] args) 
	{  
		try
		{
			System.out.println("Enter the value and base ");  
			Scanner sc = new Scanner(System.in);  
			long val = sc.nextLong();  
			int b = sc.nextInt();  
			System.out.println("Output: "+Long.toString(val, b));  //returns string with equivalent base
		}
		catch(Exception e)
		{
			System.out.println("Invalid Input!!");
		}
	}  
}
```

输入数值和基数
7955 8
输出:17423
*****输入数值和基数
输入数值和基数
808 16
输出:328
*******************输入数值和基数
0x67 8
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *