# Java `Long.toUnsignedString()`方法

> 原文：<https://www.studytonight.com/java-wrapper-class/java-long-tounsignedstring-method>

Java `toUnsignedString()`方法是`java.lang`包的`Long`类的一部分。此方法将作为参数传递的长值的字符串对象作为无符号十进制值返回。

简而言之，该方法用于将**长值**转换为无符号字符串。

### 语法:

```java
public static String toUnsignedString(long i) 
```

### 参数:

传递的参数是长值，其无符号十进制值的字符串表示形式将被返回。

### 返回:

返回以字符串形式作为参数传递的长值的无符号十进制等效值。

## 例 1:

在这里，长值被转换为其等效的无符号十进制值，并表示为字符串。

```java
import java.lang.Long;

public class StudyTonight
{  
    public static void main(String[] args)
      {  
        long a = 40L;
        long b = -56L;
        System.out.println("Equivalent String is : "+Long.toUnsignedString(a));  //returns the unsigned decimal value as a String
        System.out.println("Equivalent String is : "+Long.toUnsignedString(b));  
      }  
} 
```

等效字符串为:40
等效字符串为:18446744073709551560

## 例 2:

这里有一个用户定义的例子，任何使用这段代码的人都可以输入自己选择的值，并获得等效的输出。

```java
import java.util.Scanner;  

public class StudyTonight
{  
	public static void main(String[] args) 
	{  
		try
		{
			System.out.print("Enter the value ");  
			Scanner sc = new Scanner(System.in);  
			long val = sc.nextLong();  
			String s = Long.toUnsignedString(val); //converting to unsigned decimal value as a String
			System.out.println("String value is : "+ s);  
		}
		catch(Exception e)
		{
			System.out.println("Invalid input!!");
		}
	}  
} 
```

输入值 94
字符串值为:94
*****************输入值-52
字符串值为:18446744073709551564
* * * * * * * * * * * * * * *输入值 0x799
无效输入！！

## 实时示例:

在这里，您可以测试实时代码示例。您可以为不同的值执行示例，甚至可以编辑和编写您的示例来测试 Java 代码。

* * *

* * *