# 下划线关键字

> 原文：<https://www.studytonight.com/java-9/underscore-keyword>

在 Java 8 之前，下划线(_)在 Java 中可以用作变量名，但是从 Java 9 版本开始，下划线不能用作标识符或变量名。

从 Java 9 开始，Java 就将下划线(_)作为保留字。

在 Java 9 和更高版本中，如果我们使用下划线字符(“_”)作为标识符，源代码将不再被编译，编译器将报告编译时错误。

让我们看一些例子来理解，下划线作为变量的使用是如何随着版本的变化而变化的。

## 示例时间:Java 8

在本例中，我们使用下划线(_)作为变量名，并使用 Java 8 版本进行编译。看到它执行良好并产生输出。

```java
public class Main { 
	public static void main(String[] args){

		int _ = 20;
		System.out.println(_);

	}
}
```

20

## 示例:Java 9

如果我们使用 Java 9 执行这个例子，那么编译器会抛出一个编译时错误，指示下划线是保留字，不能用作变量名。

```java
public class Main { 
	public static void main(String[] args){

		int _ = 20;
		System.out.println(_);

	}
}
```

“_”不应用作标识符，因为它是来源级别 1.8 的保留关键字

## 示例:

如果我们在变量名中使用下划线，那么编译器可以正常工作。在像 first_name 这样的变量中使用下划线仍然有效。但是使用 _ only 作为变量名不再有效。请看下面的例子。

```java
public class Main { 
	public static void main(String[] args){

		int _a = 20;
		System.out.println(_a);

	}
} 
```

20

## 示例:

在本例中，我们将下划线用于参数名并执行。它工作正常，见下面的例子。

```java
public class Main {  
	public static void main(String[] args){

		int sum = add(10,20);
		System.out.println(sum);
	}   

	static int add(int _a, int _b) {
		return _a+_b;
	}
}
```

30

* * *

* * *