# Java 11 字符串新方法

> 原文：<https://www.studytonight.com/java-11/java-11-string-new-methods>

Java 11 为`String`类增加了新的方法，以便更好地处理字符串。这些方法是:

*   `isBlank()`

*   `lines()`

*   `strip()`

*   `stripLeading()`

*   `stripTrailing()`

*   `repeat()`

我们将通过例子讨论每种方法。

## Java 字符串`isBlank()`方法

此方法用于检查字符串是否为空。如果字符串为空或只包含空格代码点，则返回 **true** ，否则返回 **false** 。该方法的语法如下:

```java
public boolean isBlank()
```

### 基本示例:

In this example, we have two string values, one is non-blank and the other one is blank to check using the isBlank() method.

```java
public class Main {  
	public static void main(String[] args){
		String str = "Studytonight";
		boolean r = str.isBlank();
		System.out.println(r);
		str = "";
		r = str.isBlank();
		System.out.println(r);	
	}        
}
```

假
真

## Java 字符串`lines()`方法

此方法用于获取从字符串中提取的由行终止符分隔的行流。该方法的语法如下:

```java
public Stream<String> lines()
```

### 基本示例:

在这个例子中，我们使用`lines()`方法得到了字符串的一个流。绳子在像“ **\n** ”、“ **\r** 这样的端点断裂。

```java
import java.util.stream.Stream;

public class Main {  
	public static void main(String[] args){
		String str = "Studytonight \n is a \r technical \n portal"; 

        Stream<String> lines = str.lines();

        lines.forEach(System.out::println);	
	}        
}
```

今晚学习
是一个
技术
门户

## Java 字符串`strip()`方法

此方法用于删除字符串中的所有前导和尾随空格。如果您想仅删除前导空格，则使用`stripLeading()`方法，对于尾随空格，则使用`stripTrailing()`方法。下面给出了这些方法的语法。

```java
public String strip()
public String stripLeading()
public String stripTrailing()
```

### 基本示例:

In this example, we are using `strip()` method to remove all leading and trailing methods of a string.

```java
public class Main {  
	public static void main(String[] args){
		String str = "      Studytonight portal "; 
		System.out.println(str);
        String str2 = str.strip();
        System.out.println(str2);

	}        
}
```

研究今夜门户
研究今夜门户

### `strip()`的另一个例子:

在这个例子中，我们使用`stripLeading()`方法删除字符串中的所有前导空格。

```java
public class Main {  
	public static void main(String[] args){
		String str = "      Studytonight portal"; 
		System.out.println(str);
        String str2 = str.stripLeading();
        System.out.println(str2);

	}        
}
```

研究今夜门户
研究今夜门户

### 例 3:

在这个例子中，我们使用`stripTrailing()`方法从字符串中移除所有的尾随空格。

```java
public class Main {  
	public static void main(String[] args){
		String str = "    Studytonight portal   "; 
		System.out.println(str);
		System.out.println(str.length());
        String str2 = str.stripTrailing();
        System.out.println(str2);
        System.out.println(str2.length());

	}        
}
```

研究今夜门户
25
研究今夜门户
22

## Java 字符串`repeat()`方法

此方法用于在指定时间重复字符串。它返回一个字符串，该字符串的值是重复指定次数的该字符串的连接。

```java
public String repeat(int count)
```

### 基本示例:

在本例中，我们使用`repeat()`方法多次重复字符串:

```java
public class Main {  
	public static void main(String[] args){
		String str = "@"; 
		System.out.println(str);
		String str2 = str.repeat(3);
		System.out.println(str2);
		str = "mac";
		System.out.println(str);
		str2 = str.repeat(5);
		System.out.println(str2);
	}        
}
```

@
@ @
MAC
MAC MAC MAC MAC MAC MAC

* * *

* * *