# Java 文件的不编译执行

> 原文：<https://www.studytonight.com/java-11/execute-java-file-without-compilation>

从 Java 11 开始，Java 提供了无需编译即可运行 Java 代码的灵活性。这意味着我们可以在一个步骤中执行 Java 代码。

在 Java 11 之前，如果我们先执行 Java 文件，那么我们需要编译代码，然后运行代码。整个过程需要两个主要步骤:

*   编译 Java 代码

*   运行 Java 代码

为了编译代码，我们使用 **javac java_file.java** 命令。和

为了运行这个文件，我们在终端中使用 **java java_file** 命令(windows 中的 cmd)。

但是如果我们使用 Java 11，那么我们不需要遵循这两个步骤。只需使用单个命令 **java java_file.java** ，它将通过产生所需的结果来执行文件。

<u>**注意:**</u> 如果我们有单个文件的源代码，这个特性是适用的。这意味着所有代码都在一个文件中，没有外部依赖。

## 举例时间:

这是一个简单的 Java 示例，我们将使用 Java 11 编译器来执行。

```java
public class Main {
	public static void main(String[] args){
		System.out.println("This code is executed without explicit compilation!");
	}
}
```

该代码执行时没有显式编译！

## 练习:

尝试用单个命令(java java _ file.java)使用 **Java 8** 运行上述代码，并分析输出。

* * *

* * *