# Java `Arrays.deepToString()`方法

> 原文：<https://www.studytonight.com/java-util/java-arrays-deeptostring-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中的`deepToString()`方法。此方法接受一个数组，并将数组的“深层内容”转换为纯字符串。如果指定的数组是`null`，该方法返回`"null"`。

## 句法

这是`deepToString()` 方法的语法，从语法中我们可以看到它接受一个数组并返回一个`String`。

```java
public static String deepToString(Object[] a)
```

## `deepToString()`方法示例

在这个例子中，我们可以清楚地观察到，给定的二维数组被转换成一个普通的字符串。在字符串格式中，所有数组都用“`["`”和“`]"` ”封闭，数组的所有元素都用“`,"`(逗号)分隔。

```java
import java.util.Arrays;
class StudyTonight { 
	public static void main(String args[]) 
	{ 
		int[][] array = {
				{ 8, 7, 4 }, 
				{ 3, 6, 5 },
				{ 0, 2, 1 } };
		System.out.println("Array in string format: "+Arrays.deepToString(array));
	} 
}
```

字符串格式的数组:[[8，7，4]，[3，6，5]，[0，2，1]]

> ![enlightened](img/bcefbc0bebd753ed2a05f55c0b74d9f0.png "enlightened")为什么不用`toString()`法代替`deepToString()`？原因是`toString()`方法适用于一维数组，但不适用于多维数组。

## 带有多维数组的 toString()示例

将以下程序的输出与上面示例的输出进行比较。我们可以发现`toString()`方法在多维数组上不起作用，这就是为什么我们使用`deepToString()`方法将数组转换为 String。

```java
import java.util.Arrays;
class StudyTonight { 
	public static void main(String args[]) 
	{ 
		int[][] array = {
				{ 8, 7, 4 }, 
				{ 3, 6, 5 },
				{ 0, 2, 1 } };
		System.out.println("Array in string format: "+Arrays.toString(array));
	} 
}
```

字符串格式数组:[[I@53bd815b、[I@2401f4c3、[I@7637f22]

### 结论:

在本教程中，我们学习了如何使用`deepToString()`方法转换多维数组。我们还了解到`toString()`方法不适用于多维数组。

* * *

* * *