# Java `Arrays.setAll()`方法

> 原文：<https://www.studytonight.com/java-util/java-arrays-setall-method>

在本教程中，我们将学习 Java 中`Arrays`类的`setAll()` 方法。该方法设置了`generator`指定的所有元素。这个生成器是一个根据定义计算某个值的函数。

## 句法

此方法设置指定数组的所有元素，使用提供的生成器函数计算每个元素。

```java
static void	setAll(double[] array, IntToDoubleFunction generator)
```

### setAll()方法的重载方法列表

此表包含`setAll()`方法的所有重载变体。

| 方法 | 描述 |
| --- | --- |
| **静态 void setAll(double[]数组，IntToDoubleFunction 生成器)** | 此方法设置指定数组的所有元素，使用提供的生成器函数计算每个元素。 |
| **静态 void setAll(int[]数组，IntUnaryOperator 生成器)** | 此方法设置指定数组的所有元素，使用提供的生成器函数计算每个元素。 |
| **静态 void setAll(long[]数组，IntToLongFunction 生成器)** | 此方法设置指定数组的所有元素，使用提供的生成器函数计算每个元素。 |
| **静< T >虚空 setAll(T【】阵，IntFunction <？延伸 T >发电机)** | 此方法设置指定数组的所有元素，使用提供的生成器函数计算每个元素。 |

## 示例:setAll()方法

在下面的例子中，我们创建了一个大小为 10 的数组。创建数组后，我们通过使用一个生成器函数来设置每个数组元素的值，该函数将生成一个索引号的平方。最后，我们可以通过查看代码的输出来验证它。

```java
import java.util.Arrays;
class StudyTonight { 
	public static void main(String args[]) 
	{ 
		int arr[] = new int[10];
		Arrays.setAll(arr, (index)-> index*index);
		for(int num:arr)
		{
			System.out.print(num+" ");
		}
	} 
}
```

0 1 4 9 16 25 36 49 64 81

## setAll()方法的所有重载方法示例

在下面的例子中，我们实现了`setAll()`方法的所有重载方法。上面已经讨论了所有的原型。我们可以在不同生成器的输出中看到所有生成的数组。在这个例子中，我们使用了一个生成器，它将乘以 index*index，并为当前索引的元素设置这个数字。

```java
import java.util.Arrays;
public class StudyTonight 
{
	public static void main(String[] args) 
	{
		//Example of static void setAll(int[] array, IntUnaryOperator generator)
		int array1[] = new int[10];
		Arrays.setAll(array1, (index)-> index*index);
		System.out.println(Arrays.toString(array1));

		//Example of static void setAll(long[] array, IntToLongFunction generator)
		long array2[] = new long[10];
		Arrays.setAll(array2, (index)-> index*index);
		System.out.println(Arrays.toString(array2));

		//Example of static void setAll(double[] array, IntToDoubleFunction generator)
		double array3[] = new double[10];
		Arrays.setAll(array3, (index)-> index*index);
		System.out.println(Arrays.toString(array3));
	}
}
```

【0、1、4、9、16、25、36、49、64、81】
【0、1、4、9、16、25、36、49、64、81】
【0.0、1.0、4.0、9.0、16.0、25.0、36.0、49.0、64.0、81.0】

### 结论

在本教程中，我们学习了如何使用 `setAll()`方法为数组元素设置值。此方法设置指定数组的所有元素，使用提供的生成器函数计算每个元素。

* * *

* * *