# Java `Arrays.toString()`方法

> 原文：<https://www.studytonight.com/java-util/java-arrays-tostring-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中`Arrays`类的`toString()`方法。此方法返回给定数组内容的字符串。字符串表示形式由一系列数组元素组成，用方括号(`"[]"`)括起来。相邻元素之间用字符`"`,`“`隔开。每个元素都被转换成字符串，如`String.valueOf(boolean)`。如果给定的数组是`null`，该方法返回`"null"`。

### 语法:

```java
static String toString(datatype[] array)
```

### `toString()`方法重载方法列表

此表包含`toString()`方法的所有重载变体。

| 方法 | 描述 |
| --- | --- |
| 静态字符串 toString(布尔[]数组) | 此方法返回指定数组内容的字符串表示形式。 |
| 静态字符串 toString(字节[]数组) | 此方法返回指定数组内容的字符串表示形式。 |
| 静态字符串 toString(char[]数组) | 此方法返回指定数组内容的字符串表示形式。 |
| 静态字符串 toString(双[]数组) | 此方法返回指定数组内容的字符串表示形式。 |
| 静态字符串 toString(浮点[]数组) | 此方法返回指定数组内容的字符串表示形式。 |
| 静态字符串 toString(int[]数组) | 此方法返回指定数组内容的字符串表示形式。 |
| 静态字符串 toString(长[]数组) | 此方法返回指定数组内容的字符串表示形式。 |
| 静态字符串 toString(短[]数组) | 此方法返回指定数组内容的字符串表示形式。 |
| 静态字符串到字符串(对象[]数组) | 此方法返回指定数组内容的字符串表示形式。 |

## 带有原始数据类型数组的 `toString()` 方法示例

在下面的示例中，我们有一个不同数据类型的数组，即`boolean`、`byte`、`char`、`double`、`float`、`int`、`long`、`Object` 和`short`。我们正在使用`toString()`方法将所有数组转换为字符串。

```java
import java.util.Arrays;
class StudyTonight{ 
	public static void main(String args[]) 
	{  
		boolean[] boolArray = new boolean[] { false, true, false, false }; 
		System.out.println("String of boolean Array: "+Arrays.toString(boolArray));

		byte[] byteArray = new byte[] { 42, 60, 10 };         
		System.out.println("String of byte Array: "+Arrays.toString(byteArray)); 

		char[] charArray = new char[] {'s', 't', 'u', 'd', 'y', 't', 'o', 'n', 'i', 'g', 'h', 't'}; 
		System.out.println("String of char Array: "+Arrays.toString(charArray)); 

		double[] doubleArray = new double[] { 4.4, 1.1, 2.2, 6.6 }; 
		System.out.println("String of double Array: "+Arrays.toString(doubleArray)); 

		float[] floatArray = new float[] { 1f, 3f, 6f, 9f }; 
		System.out.println("String of float Array: "+Arrays.toString(floatArray)); 

		int[] intArray = new int[] { 1, 2, 3, 4 }; 
		System.out.println("String of int Array: "+Arrays.toString(intArray)); 

		long[] longArray = new long[] { 9, 8, 7, 6, 5 }; 
		System.out.println("String of long Array: "+Arrays.toString(longArray)); 

		Object[] objectArray = new Object[] {4, 5, 3, 7, 9}; 
		System.out.println("String of Object Array: "+Arrays.toString(objectArray)); 

		short[] shortArray = new short[] { 1, 2, 3, 4 }; 
		System.out.println("String of short Array: "+Arrays.toString(shortArray)); 
	}
}
```

布尔数组的字符串:[false，true，false，false]
字节数组的字符串:[42，60，10]
字符数组的字符串:[s，t，u，d，y，t，o，n，I，g，h，t]
双数组的字符串:[4.4，1.1，2.2，6.6]
浮点数组的字符串:[1.0，3.0，6.0，9.0]
int 数组的字符串:[1，2，3]

## `toString()`方法示例

在下面给出的例子中，我们将一个类的给定对象数组转换成字符串，并使用`toString()`方法打印出来。

```java
import java.util.Arrays;
class Student { 
	int rollno; 
	String name;
	public Student(int rollno, String name) 
	{ 
		this.rollno = rollno; 
		this.name = name; 
	} 
	@Override
	public String toString() 
	{ 
		return this.rollno + " " + this.name;
	} 
} 
class StudyTonight{ 
	public static void main(String args[]) 
	{  
		Student arr[] = new Student[5];
		arr[0]=new Student(1, "AAA");
		arr[1]=new Student(2, "BBB");
		arr[2]=new Student(3, "CCC");
		arr[3]=new Student(4, "DDD");
		arr[4]=new Student(5, "EEE");		 
		System.out.println(Arrays.toString(arr));
	}
}
```

【1 个 AAA，2 个 BBB，3 个 CCC，4 个 DDD，5 个 EEE】

### 结论:

在本教程中，我们学习了如何在不同类型的数组上实现`toString()`方法。我们还学习了如何将一个类的对象数组转换成字符串，在这种情况下，我们需要覆盖 string 方法。

* * *

* * *