# Java `BufferedOutputStream`类

> 原文：<https://www.studytonight.com/java-file-io/java-bufferedoutputstream-class>

在本教程中，我们将学习 Java 中的`BufferedOutputStream` 类。这个类为输出流创建一个缓冲区，这样比直接写入文件更有效。它使处理比正常方法更快。

### 句法

```java
OutputStream os= new BufferedOutputStream(new FileOutputStream("E:\\studytonight\\myfile.txt")); 
```

### Java `BufferedOutputStream`类构造器

| 构造器 | 描述 |
| --- | --- |
| `BufferedOutputStream(OutputStream os)` | 此方法创建新的缓冲输出流，用于将数据写入指定的输出流。 |
| `BufferedOutputStream(OutputStream os, int size)` | 此方法创建新的缓冲输出流，用于将数据写入具有指定缓冲区大小的指定输出流。 |

### 方法

| **方法** | **描述** |
| `void write(int b)` | 此方法将指定的字节写入缓冲输出流。 |
| `void write(byte[] b, int off, int len)` | 此方法从给定的偏移量开始，将指定字节输入流中的字节写入指定的字节数组 |
| `void flush()` | 此方法刷新缓冲的输出流。 |

### 使用 BufferedOutputStream 将数据写入文件的示例

在下面给出的例子中，我们将使用文件输出流和缓冲输出流向文件中写入字符串“今晚你好，学习”。与我们对简单文件输出流所做的一样，这里我们也使用`write()` 方法将该特定数据写入文件。

```java
import java.io.BufferedOutputStream;
import java.io.FileOutputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{  
		FileOutputStream fout=new FileOutputStream("E:\\studytonight\\myfile.txt");    
		BufferedOutputStream bout=new BufferedOutputStream(fout);    
		String s="Hello Studytonight";    
		byte b[]=s.getBytes();    
		bout.write(b);    
		bout.flush();    
		bout.close();    
		fout.close();    
		System.out.println("Data written to the file successfully.");   
	}  
}
```

数据成功写入文件。

### 结论:

在本教程中，我们学习了`BufferedOutputStream` 课。`BufferedOutputStream` 创建一个缓冲区，因此与普通的文件输出流类相比，这是非常快速和有效的。

* * *

* * *