# Java `FilterOutputStream`类

> 原文：<https://www.studytonight.com/java-file-io/java-filteroutputstream-class>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中的`FilterOutputStream`类。`FilterOutputStream` 类的 write()方法过滤数据并将其写入流，过滤是基于流完成的。

### 句法

下面的代码片段给出了`FilterOutputStream` 类的内部语法声明。

```java
public class FilterOutputStream extends OutputStream 
```

### Java 筛选器输出流类方法

`FilterOutputStream` 类支持的所有方法如下表所示:

| **方法** | **描述** |
| `void write(int b)` | 此方法用于将指定的字节写入输出流。 |
| `void write(byte[] array)` | 这个方法是用来写`array`的。输出流的长度字节。 |
| `void write(byte[] b, int off, int len)` | 此方法用于将偏移量处的 len 字节写入输出流。 |
| `void flush()` | 此方法用于刷新输出流。 |
| `void close()` | 此方法用于关闭输出流。 |

### FilterOutputStream 类的示例

在这个程序中，我们使用`FilterOutputStream` 类的`write()`方法将数据写入文件 output.txt。

```java
import java.io.File;
import java.io.FileOutputStream;
import java.io.FilterOutputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		File data = new File("E:\\studytonight\\output.txt");  
		FileOutputStream file = new FileOutputStream(data);  
		FilterOutputStream filter = new FilterOutputStream(file);  
		String s="Hello Studytonight";      
		byte b[]=s.getBytes();      
		filter.write(b);     
		filter.flush();  
		filter.close();  
		file.close();  
		System.out.println("Data is written to the file successfully...");  
	}  
}
```

数据成功写入文件...

输出. txt

```java
Hello Studytonight
```

### 结论

在本教程中，我们学习了 FilterOutputStream 类及其各种方法。这个类过滤数据并将其写入流，过滤是基于流完成的。

* * *

* * *