# Java `Console`类

> 原文：<https://www.studytonight.com/java-file-io/java-console-class>

在本教程中，我们将学习 Java 中的`Console` 类。Java Console 类用于从控制台获取输入。这个类提供了从控制台读取文本的各种方法。

### 句法

这是`Console`类的语法声明。

```java
public final class Console extends Object implements Flushable 
```

### Java `Console`类方法

| 方法 | 描述 |
| --- | --- |
| `Reader reader()` | 它用于检索与控制台关联的读取器对象。 |
| `String readLine()` | 它用于从控制台读取单行文本。 |
| `String readLine(String fmt, Object... args)` | 它提供格式化的提示，然后从控制台读取单行文本。 |
| `char[] readPassword()` | 它用于读取控制台上没有显示的密码。 |
| `char[] readPassword(String fmt, Object... args)` | 它提供格式化的提示，然后读取控制台上没有显示的密码。 |
| `Console format(String fmt, Object... args)` | 它用于将格式化的字符串写入控制台输出流。 |
| `Console printf(String format, Object... args)` | 它用于将字符串写入控制台输出流。 |
| `It is used to write a string to the console output stream.` | 它用于检索与控制台关联的 PrintWriter 对象。 |
| `void flush()` | 它用于刷新控制台。 |

### Java 控制台示例

在下面的例子中，我们使用 `readLine()`方法从用户处读取数据。readLine()方法用于从控制台读取单行文本。

```java
package studytonight;
import java.io.Console;
public class StudyTonight 
{
	public static void main(String args[])
	{
		Console console=System.console();    
		System.out.println("Enter your name: ");    
		String user=console.readLine();    
		System.out.println("Hello "+user);    
	}
}
```

输入你的名字:今晚学习
你好今晚学习

### 读取密码的 Java 控制台示例

在下面的例子中，我们正在使用`readPassword()`方法从用户那里读取密码，而读取该密码不会显示在控制台上。

```java
package studytonight;
import java.io.Console;
public class StudyTonight 
{
	public static void main(String args[])
	{
		Console console=System.console();    
		System.out.println("Enter your password: ");    
		char[] ch=console.readPassword();    
		String pass=String.valueOf(ch);
		System.out.println("Password: "+pass);    
	}
}
```

输入您的密码:
密码:786

### 结论

在这个例子中，我们学习了 Java 中的 Console 类。Java Console 类用于从控制台获取输入。这个类提供了从控制台读取文本的各种方法。如果我们使用`Console`类读取密码，它将不会显示在控制台上。

* * *

* * *