# Java `FilePermission`类

> 原文：<https://www.studytonight.com/java-file-io/java-filepermission-class>

在本教程中，我们将学习 Java 中的`FilePermission` 类。`FilePermission`类用于表示对文件或目录的访问。所有权限都与路径相关。

### 句法

以下语法是`FilePermission`类的声明。

```java
public final class FilePermission extends Permission implements Serializable 
```

### 构造器

| 方法 | 描述 |
| --- | --- |
| `ByteArrayOutputStream()` | 创建初始容量为 32 字节的新字节数组输出流，但如果需要，其大小会增加。 |
| `ByteArrayOutputStream(int size)` | 创建一个新的字节数组输出流，具有指定大小的缓冲区容量，以字节为单位。 |

### Java `FilePermission`类方法

| 方法 | 描述 |
| --- | --- |
| `int hashCode()` | 它用于返回对象的哈希代码值。 |
| `String getActions()` | 它用于返回操作的“规范字符串表示”。 |
| `boolean equals(Object obj)` | 它用于检查两个文件权限对象是否相等。 |
| `boolean implies(Permission p)` | 它用于检查文件权限对象的指定权限。 |
| `PermissionCollection newPermissionCollection()` | 它用于返回用于存储文件权限对象的新权限集合对象。 |

文件权限可以是`read`、`write`、`delete`、`readlink` 和`execute`。

### 带有 getActions()方法的 Java 文件权限示例:

在下面的例子中，我们正在创建一个具有读取、删除和写入权限的文件`myfile.txt`。之后，我们使用`getActions()`方法检查给定文件的权限。

```java
package studytonight;
import java.io.FilePermission;
public class StudyTonight 
{
	public static void main(String args[])
	{
		 FilePermission fp_obj = new FilePermission("myfile.txt", "read, delete, write"); 
		 System.out.print("File permissions for myfile.txt: "+fp_obj.getActions());
	}
}
```

【myfile.txt 文件权限:读、写、删除

### 带有 hashCode()方法的 Java 文件权限示例

在下面的例子中，我们为 FilePermission 对象生成 hashCode，该对象作为参数传递给这个函数。

```java
package studytonight;
import java.io.FilePermission;
public class StudyTonight 
{
	public static void main(String args[])
	{
		FilePermission obj=new FilePermission("myfile.txt", "read, delete, write");   
		int hashCode = obj.hashCode(); 
		System.out.println("hashCode value of obj: " + hashCode); 
	}
}
```

obj 的 hashCode 值:1700113143

### 结论

在本教程中，我们学习了 Java 中的 FilePermission 类。`FilePermission`类用于表示对文件或目录的访问。所有权限都与路径相关。

* * *

* * *