# Java `CharArrayWriter`类

> 原文：<https://www.studytonight.com/java-file-io/java-chararraywriter-class>

在本教程中，我们将学习 Java 中的`CharArrayWrite` 类。此类创建一个用于写入数据的缓冲区。该缓冲区没有固定大小，当数据写入流时，它会自动增长。还有其他方法，如`toCharArray()`和`toString()`从缓冲区中检索数据。

### 句法

这是 CharArrayWriter 类的语法。

```java
public class CharArrayWriter extends Writer 
```

### Java CharArrayWriter 类方法

CharArrayWriter 类的方法如下表所示。

| 方法 | 描述 |
| --- | --- |
| `int size()` | 此方法用于返回缓冲区的当前大小。 |
| `char[] toCharArray()` | 此方法用于返回输入数据的副本。 |
| `String toString()` | 此方法用于将输入数据转换为字符串。 |
| `CharArrayWriter append(char c)` | 此方法用于将指定的字符追加到编写器中。 |
| `CharArrayWriter append(CharSequence csq)` | 此方法用于将指定的字符序列附加到编写器。 |
| `CharArrayWriter append(CharSequence csq, int start, int end)` | 此方法用于将指定字符的子序列附加到编写器。 |
| `void write(int c)` | 此方法用于将字符写入缓冲区。 |
| `void write(char[] c, int off, int len)` | 此方法用于将字符写入缓冲区。 |
| `void write(String str, int off, int len)` | 此方法用于将字符串的一部分写入缓冲区。 |
| `void writeTo(Writer out)` | 此方法用于将缓冲区的内容写入不同的字符流。 |
| `void flush()` | 此方法用于冲洗流。 |
| `void reset()` | 此方法用于重置缓冲区。 |
| `void close()` | 此方法用于关闭流。 |

### CharArrayWriter 类示例

在下面的例子中，我们使用`CharArrayWriter` 类操作来实现写操作。这里我们首先创建了 CharArrayWriter 类的一个对象。然后我们创建一个 FileWriter 类的对象，并使用 writeTo()方法将数据写入文件。

```java
package studytonight;
import java.io.CharArrayWriter;
import java.io.FileWriter;
public class StudyTonight 
{
	public static void main(String args[]) throws Exception
	{
		CharArrayWriter writer=new CharArrayWriter();    
		writer.write("Hello Studytonight");    
		FileWriter fileWriter=new FileWriter("E:\studytonight\\output.txt");   
		writer.writeTo(fileWriter);    
		fileWriter.close();    
		System.out.println("Data is written to the file successfully...");    
	}
}
```

数据成功写入文件...

输出. txt

```java
Hello Studytonight
```

### CharArrayWriter 类示例

在这个例子中，我们正在实现`public void write(String str, int offset, int length)`方法。这里 str 是我们想要写入的字符串，offset 是字符串中的起始索引，length 是要从字符串中写入的字符数。我们可以在下面的程序中看到，我们正在使用`toString()`方法从`CharArrayWriter` 中提取字符串。

```java
package studytonight;
import java.io.CharArrayWriter;
public class StudyTonight 
{
	public static void main(String args[]) throws Exception
	{
		CharArrayWriter writer = new CharArrayWriter(); 
		String str = "Hello Studytonight"; 
		writer.write(str, 6, 12);
		System.out.println(writer.toString()); 
	}
}
```

今晚学习

### 结论:

在本教程中，我们学习了 CharArrayWriter 类，这个类可以用来将公共数据写入多个文件。此类创建一个用于写入数据的缓冲区。该缓冲区没有固定大小，当数据写入流时，它会自动增长。

* * *

* * *