# Java `StringReader`类

> 原文：<https://www.studytonight.com/java-file-io/java-stringreader-class>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中的`StringReader` 类。在这个类中，我们可以指定一个字符串作为单独读取字符的来源。此类属于`java.io`套餐。

### 句法

这是`StringReader`类的语法声明。我们可以看到这个类扩展了 Reader 类。

```java
public class StringReader extends Reader 
```

### `String`类的方法

`StringReader` 方法的所有方法如下表所示:

| 方法 | 描述 |
| --- | --- |
| `int read()` | 此方法用于读取单个字符。 |
| `int read(char[] cbuf, int off, int len)` | 此方法用于将字符读入数组的一部分。 |
| `boolean ready()` | 此方法用于判断流是否准备好被读取。 |
| `boolean markSupported()` | 此方法用于判断流是否支持 mark()操作。 |
| `long skip(long ns)` | 此方法用于跳过流中指定数量的字符 |
| `void mark(int readAheadLimit)` | 此方法用于标记流中的当前位置。 |
| `void reset()` | 此方法用于重置流。 |
| `void close()` | 此方法用于关闭流。 |

### Java 字符串读取器示例

在下面的例子中，我们使用的是`read()`方法，这个方法逐个读取字符串的每个字符。我们也可以用另一种方式实现这个方法，即`read(char[] array, int start, int length)`这里`array`是来源，`start` 是我们要开始阅读的起始位置，`length`是字符串的长度。

```java
package studytonight;
import java.io.StringReader;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try{
			String str = "Hello"; 
			StringReader reader= new StringReader(str); 
			int ch; 
			for (int i = 0; i < 5; i++) { 
				ch = reader.read(); 
				System.out.print((char)ch);
			} 
			reader.close(); 
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
} 
```

你好

### 结论

在本教程中，我们学习了`StringReader` 课。此类指定一个字符串作为单独读取字符的源。这个班属于`java.io`班。

* * *

* * *