# Java `CharArrayWriter.writeTo()`方法

> 原文：<https://www.studytonight.com/java-file-io/chararraywriter-writeto-method-in-java>

在本教程中，我们将从 Java 中的`CharArrayWriter` 类了解`writeTo()`方法。Java 中 CharArrayWriter 类的 writeTo(Writer)方法用于将 CharArrayWriter 的内容写入另一个字符流。

### 句法

这是`writeTo()`方法的语法，该方法接受 Writer，即作为目标流的输出流，不返回值。如果出现输入/输出错误，该方法将抛出**异常**。

```java
public void writeTo(Writer out)    throws IOException
```

## 示例 CharArrayWriter 的 WriteTo 方法

在这个例子中，我们首先实现`writeTo()`方法，我们使用`write()`方法将数据写入`CharArrayWriter` ，然后在`CharArrayWriter` 上调用`writeTo()`方法，我们将其他 out 方法作为参数传递，它会将相同的数据复制到`CharArrayWriter` 的 out 对象中，该对象可以使用 `toString()`方法进行验证。

```java
import java.io.CharArrayWriter;
public class StudyTonight 
{
	public static void main(String[] args) throws Exception
	{ 
		CharArrayWriter charArrayWriter = new CharArrayWriter(); 
		String str = "Hello Studytonight"; 
		charArrayWriter.write(str); 
		CharArrayWriter out = new CharArrayWriter(); 
		charArrayWriter.writeTo(out); 
		System.out.println(out.toString()); 
	} 
}
```

你好，今晚学习

## 示例 CharArrayWriter 的 WriteTo 方法

在这个例子中，我们正在实现`writeTo()`方法，首先我们已经使用`write()`方法将数据写入到`CharArrayWriter` 中，然后在`CharArrayWriter` 上，我们正在调用`writeTo()`方法，并且我们传递其他 out 方法作为参数，并且它将相同的数据复制到`CharArrayWriter` 的 out 对象中，该对象可以使用 `toString()`方法进行验证。

```java
import java.io.CharArrayWriter;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		CharArrayWriter charArrayWriter = new CharArrayWriter(); 
		charArrayWriter.write("Hello Studytonight"); 
		CharArrayWriter out = new CharArrayWriter(); 
		charArrayWriter.writeTo(out); 
		System.out.println(out.toString()); 
	} 
}
```

你好，今晚学习

### 结论

在本教程中，我们学习了 Java 中的 CharArrayWriter 类。Java 中 **CharArrayWriter** 类的 **writeTo(Writer)** 方法用于将 CharArrayWriter 的内容写入另一个字符流。

* * *

* * *