# Java `CharArrayWriter.write()`方法

> 原文：<https://www.studytonight.com/java-file-io/chararraywriter-write-method-in-java>

在本教程中，我们将学习 Java 中`CharArrayWriter`类的`write()`方法。write()方法用于将字符写入缓冲区。当数据写入流时，缓冲区会自动增长。可以使用 toCharArray()和 toString()方法检索数据。

### 句法

此方法用于以整数的形式向编写器写入字符。这种`write()`方法一次向`CharArrayWriter`写入一个字符。

```java
public void write(int c)
```

此方法用于以字符数组的形式向编写器写入字符。这是一个重载方法。

```java
public void write(char[] c, int offset, int length)
```

此方法用于以字符串数组的形式向编写器写入字符。这是一个重载方法。

```java
public void write(String str, int offset, int length)
```

### 示例 Java 中的编写器字符

在这个例子中，我们将一个字符传递给`CharArrayWriter` 的 `write()`方法来检查写了什么，我们有一个方法 toString()，它会告诉我们字符数组写入器的数据

```java
import java.io.CharArrayWriter;
public class StudyTonight 
{
	public static void main(String[] args) 
	{ 
		CharArrayWriter charArrayWriter = new CharArrayWriter(); 
		charArrayWriter.write(65); 
		System.out.println(charArrayWriter.toString()); 
	} 
}
```

A

### 示例 Java 中的编写器字符

在本例中，我们将一个字符数组传递给 write()方法，它将把它写入 CharArrayWriter 我们可以指定在传递字符的开始索引和结束索引后，要写入的数组中的字符范围。

```java
import java.io.CharArrayWriter;
public class StudyTonight 
{
	public static void main(String[] args) 
	{ 
		CharArrayWriter charArrayWriter = new CharArrayWriter(); 
        char[] arr = { 'H', 'E', 'L', 'L', 'O', 'S', 'T', 'U', 'D', 'Y', 'T', 'O', 'N', 'I', 'G', 'H', 'T'}; 
        charArrayWriter.write(arr, 0, 5); 
		System.out.println(charArrayWriter.toString()); 
	} 
}
```

你好

### 示例 Java 中的编写器字符

在这个程序中，我们将字符串传递给 write()方法，我们还传递开始索引和结束索引，以确保它只从这个特定的范围写入数据。

```java
import java.io.CharArrayWriter;
public class StudyTonight 
{
	public static void main(String[] args) 
	{ 
		CharArrayWriter charArrayWriter = new CharArrayWriter(); 
        String str = "Hello Studytonight"; 
        charArrayWriter.write(str, 8, 5); 
		System.out.println(charArrayWriter.toString()); 
	} 
}
```

你好

### 结论

在本教程中，我们学习了 Java 中 CharArrayWrite 类的 write()方法。Java CharArrayWriter 的 write()方法用于将字符写入缓冲区。

* * *

* * *