# Java `CharArrayWriter.size()`方法

> 原文：<https://www.studytonight.com/java-file-io/chararraywriter-size-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中`CharaArrayWriter` 类的`size()` 方法。该方法有助于获取[字符写入器](https://www.studytonight.com/java-file-io/java-chararraywriter-class)的当前缓冲区大小。

### 句法

这是 size()方法的语法声明此方法不接受任何参数，并返回当前缓冲区的大小。

```java
public int size()
```

### ChaArrayWriterClass 的 size()方法示例

在下面给出的例子中，我们向一个 [CharArrayWriter](https://www.studytonight.com/java-file-io/java-chararraywriter-class) 类的对象写入两个字符，这样它的大小就变成了 2，当我们在 CharArrayWriter 类上调用 size()方法时，这个方法将返回 2 作为缓冲区的大小。

```java
import java.io.CharArrayWriter;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	    { 
	        CharArrayWriter arr = new CharArrayWriter(); 
	        arr.write(65);
	        arr.write(66);
	        //calculates the current size of buffer
	        int size = arr.size();
	        System.out.println("Current size of buffer: "+size);

	    } 
}
```

当前缓冲区大小:2

### 大小()方法示例

在这个例子中，我们不是写，而是将数据附加到 CharArrayWriter，然后检查缓冲区大小，它仍然会给出正确的输出。这表明它不依赖于向 CharSequence 写入数据的方法，但是输出取决于缓冲区的大小。

```java
import java.io.CharArrayWriter;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException
	{
		CharArrayWriter charArrayWriter= new CharArrayWriter();

		CharSequence sequence1 = "study";
		CharSequence sequence2 = "tonight";

		charArrayWriter.append(sequence1);
		charArrayWriter.append(sequence2);

		System.out.println("String: "	+ charArrayWriter.toString());
		System.out.println("Size: "	+ charArrayWriter.size());
	}   
}
```

字符串:今晚学习
大小:12

### 结论:

在本教程中，我们学习了 [CharArrayWriter](https://www.studytonight.com/java-file-io/java-chararraywriter-class) 类的 size()方法。这个方法有助于获取 CharArrayWriter 当前缓冲区的大小。

* * *

* * *