# Java `CharArrayWriter.toCharArray()`方法

> 原文：<https://www.studytonight.com/java-file-io/chararraywriter-tochararray-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中的 t `oCharArray()` 方法。此方法在`java.io`包中可用此方法从流中返回字符数组。此方法是非静态方法，因此我们必须创建一个对象来调用此方法。

### 句法

这是 toCharArray()方法的语法，这个方法不接受任何参数但是返回 char 数组。

```java
public char[] toCharArray();
```

![enlightened](img/bcefbc0bebd753ed2a05f55c0b74d9f0.png "enlightened")这里有一个有趣的注意点， `toCharArray()` 方法在将`CharacterWriterArray` 转换为字符数组时不会抛出异常。

### toCharArray()方法示例

在这个例子中，我们有一个字符数组，并将其附加到[字符数组写入器](https://www.studytonight.com/java-file-io/java-chararraywriter-class)中。在将它写入 CharArrayEriter 之后，我们可以简单地使用 toCharArray()方法将其转换为 char 数组，它将返回一个字符数组。

```java
import java.io.CharArrayWriter;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		CharArrayWriter writer = new CharArrayWriter(); 
		char[] myText = { 'H', 'E', 'L', 'L', 'O' }; 
		for (char c : myText)
		{ 
			writer.append(c); 
		} 
		char[] arr = writer.toCharArray();
		System.out.print("toCharArray : ");
		for (char c : arr) 
		{ 
			System.out.print(" " + c); 
		}
	} 
}
```

to chararray:H . E . L . O

### toCharArray()方法示例:

在本例中，我们将给定的 [CharArrayWriter](https://www.studytonight.com/java-file-io/java-chararraywriter-class) 转换为与上述示例相同的字符数组，但不同的是，我们创建了带有附加字符序列的 CharArrayWriter，并且它仍然工作良好，因此我们可以得出结论，在所有情况下，toCharArray()方法都会将给定的 CharArrayWriter 转换为字符数组。

```java
import java.io.CharArrayWriter;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException
	{
		CharArrayWriter charArrayWriter= new CharArrayWriter();

		CharSequence sequence1 = "study";
		CharSequence sequence2 = "tonight";

		charArrayWriter.append(sequence1);
		charArrayWriter.append(sequence2);

		char[] arr = charArrayWriter.toCharArray();
		System.out.print("toCharArray : ");
		for (char c : arr) 
		{ 
			System.out.print(" " + c); 
		}
	}   
}
```

toCharArray : s t u d y t o n i g h t

### 结论:

在本教程中，我们学习了 Java 中的[CharArrayWriter](https://www.studytonight.com/java-file-io/java-chararraywriter-class)to chararray()方法。此方法从流中返回字符数组。此方法用于将 CharacaterWriterArray 流转换为字符数组。

* * *

* * *