# Java `CharArrayWriter.toString()`方法

> 原文：<https://www.studytonight.com/java-file-io/chararraywriter-tostring-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [CharArrayWriter](https://www.studytonight.com/java-file-io/java-chararraywriter-class) 类的 toString()方法。这个方法属于`java.io`包。该方法用于将缓冲区数据表示为来自该`CharArrayWriter`流的字符串。此方法不会在流的字符串表示时引发异常。

### 句法

这是 Java 中 toString()方法的声明语法。它不接受任何参数。该方法的返回类型是字符串，它将现有缓冲区数据作为字符串返回

```java
public String toString();
```

### toString()方法示例

在这个例子中，我们使用 write 方法将 arr 写入到 [CharArrayWriter](https://www.studytonight.com/java-file-io/java-chararraywriter-class) 中，然后我们将它作为一个流获取。该方法用于将缓冲区数据表示为来自该`CharArrayWriter`流的字符串。

```java
import java.io.CharArrayWriter;
public class StudyTonight 
{
	public static void main(String[] args) throws Exception 
	{  
		char[] arr = { 's', 't', 'u','d', 'y', 't' ,'o' ,'n' ,'i' ,'g', 'h', 't' };  
		CharArrayWriter charArrayWriter = new CharArrayWriter();  
		charArrayWriter.write(arr);  
		String str = charArrayWriter.toString();  
		System.out.print(str);  
	}    
}
```

今晚学习

### toString()方法示例

这是演示 toString()方法的另一个示例。在这个例子中，我们使用 append 方法将数据写入 CharArrayWriter，我们使用 append 方法传递了两个字符串，它正在返回它。该方法用于将缓冲区数据表示为来自该`CharArrayWriter`流的字符串。

```java
import java.io.CharArrayWriter;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException
	{
		CharArrayWriter charArrayWriter= new CharArrayWriter();

		CharSequence sequence1 = "study";
		CharSequence sequence2 = "tonight";

		charArrayWriter.append(sequence1);
		charArrayWriter.append(sequence2);

		System.out.println("String: "	+ charArrayWriter.toString());
	}   
}
```

字符串:今晚学习

### 结论:

在本教程中，我们学习了 Java 中的 toString()方法 [CharArrayWriter](https://www.studytonight.com/tutorials/?subject=java-file-io&url=java-chararraywriter-class) toString()方法，该方法用于将缓冲区数据表示为来自这个`CharArrayWriter`流的字符串。此方法不会在流的字符串表示时引发异常。

* * *

* * *