# Java `CharArrayWriter.append()`方法

> 原文：<https://www.studytonight.com/java-file-io/chararraywriter-append-method-in-java>

在本教程中，我们将从 [Java](https://www.studytonight.com/java/) 中的 [`CharArrayWriter`](https://www.studytonight.com/java-file-io/java-chararraywriter-class) 类中学习`append()`方法。该方法有三种不同的重载方法，以提供更好的追加方式。此方法将数据附加到 CharArrayWriter 上，并将字符附加到其中后返回 [**CharArrayWriter**](https://www.studytonight.com/java-file-io/java-chararraywriter-class) 。

### 句法

追加方法的这种重载方法会将一个字符作为参数追加一个[字符数组写入器](https://www.studytonight.com/java-file-io/java-chararraywriter-class)。该方法在追加字符后返回**字符数组编辑器**。

```java
public CharArrayWriter append(char c)
```

追加方法的这个重载方法将把一个字符序列作为输入来追加一个 CharArrayWriter。该方法在追加字符后返回 **CharArrayWriter** 。

```java
public CharArrayWriter append(CharSequence sequence)
```

追加方法的这个重载方法将把一个字符序列作为输入来追加一个 CharArrayWriter，因为它还需要两个参数作为起始索引，并作为结束索引来结束给定的字符序列。该方法在追加字符后返回 **CharArrayWriter** 。

```java
public CharArrayWriter append(CharSequence sequence, int start, int end ) 
```

### 追加()方法的示例

这是 append()方法的重载方法之一，它将接收唯一的字符作为输入并将其追加，然后在将字符追加到其中后返回 [**CharArrayWriter**](https://www.studytonight.com/java-file-io/java-chararraywriter-class) 。

```java
import java.io.CharArrayWriter;
public class StudyTonight 
{
	public static void main(String[] args) 
	{  
		CharArrayWriter charArrayWriter = new CharArrayWriter();  
		charArrayWriter.append('A');
		charArrayWriter.append('B');
		charArrayWriter.append('C');
		System.out.println(charArrayWriter.toString());  
	}  
}
```

ABC

### 追加()方法的示例

此方法将接收一个字符串并将其附加到 CharacterWriter。一旦字符串被附加到字符书写器，它将返回它。在下面给出的代码中，我们通过传递字符串调用了这个方法两次，在 toString 方法之后，我们检索到它，我们可以看到它附加了那些字符串。

```java
import java.io.CharArrayWriter;
public class StudyTonight 
{
	public static void main(String[] args) 
	{  
		CharArrayWriter charArrayWriter = new CharArrayWriter();  
		charArrayWriter.append("Hello ");
		charArrayWriter.append("Studytonight");
		System.out.println(charArrayWriter.toString());  
	}  
}
```

你好，今晚学习

### 追加()方法的示例

这个例子与上面的例子非常相似，唯一的区别是在将 CharSequence 作为参数传递给 append 方法的同时，我们还传递了 start 和 end 参数，这些参数将确保给定的 CharSequence 根据它被切片。然后在追加字符后返回 **CharArrayWriter** 。

```java
import java.io.CharArrayWriter;
public class StudyTonight 
{
	public static void main(String[] args) 
	{  
		CharArrayWriter charArrayWriter = new CharArrayWriter();  
		CharSequence charSequence="Welcome to Studytonight";
		charArrayWriter.append(charSequence, 3, 11);
		System.out.println(charArrayWriter.toString());  
	}  
}
```

来到

### ![mail](img/6ad6846af98aad278a954670e0e6f06b.png "mail")结论:

在本教程中，我们学习了 append()方法。该方法有三种不同的重载方法，以提供更好的追加方式。该方法将数据追加到[字符写入器](https://www.studytonight.com/java-file-io/java-chararraywriter-class)上，并将字符追加到其中后返回**字符写入器**。

* * *

* * *