# Java `CharArrayWriter.flush()`方法

> 原文：<https://www.studytonight.com/java-file-io/chararraywriter-flush-method-in-java>

在本教程中，我们将学习 Java 中`CharArrayWriter` 类的 `flush()` 方法。Java 中的 [CharArrayWriter](http://www.studytonight.com/java-file-io/java-chararraywriter-class) 类的 **flush()** 方法用于刷新流。

### 句法

下面是 flush()方法的语法，这个方法不接受任何参数，也不返回任何东西。

```java
public void flush()
```

### 例 1

下面是 flush()方法的例子，我们正在使用 write()方法将字符数组写入 CharArrayWriter 对象，它会将所有数据写入其中。写入数据后，我们调用 flush()方法，该方法将流刷新到基础流。

```java
import java.io.CharArrayWriter;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
        char[] arr = {'S', 't', 'u', 'd', 'y', 't', 'o', 'n', 'i', 'g', 'h', 't'}; 

        CharArrayWriter charArrayWriter = new CharArrayWriter(); 

        for (char c: arr)
        { 
        	charArrayWriter.write(c); 
        } 

        System.out.println("Size of charArrayWriter : "+ charArrayWriter.size()); 

        charArrayWriter.flush(); 
	} 
}
```

字符写入器的大小:12

### 例 2

下面是 flush()方法的例子，我们正在使用 append()方法将字符数组写入 CharArrayWriter 对象，它会将所有数据写入其中。写入数据后，我们调用 flush()方法，该方法将流刷新到基础流。

```java
import java.io.CharArrayWriter;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 

		CharArrayWriter chw = new CharArrayWriter();

        CharSequence csq = "Hello World";

        chw.append(csq);

        chw.flush();

        System.out.println(chw.toString());
	} 
}
```

你好世界

### 结论:

在本教程中，我们学习了 Java 中 CharArrayWriter 类的 flush()方法。Java 中 **CharArrayWriter** 类的 **flush()** 方法用于刷新流。

* * *

* * *