# Java `CharArrayWriter.reset()`方法

> 原文：<https://www.studytonight.com/java-file-io/chararraywriter-reset-method-in-java>

在本教程中，我们将学习`Java`中`CharArrayWriter` 课的`reset()` 方法。`CharArrayWriter`类的`reset()` 方法用于重置流，这样您就可以再次使用它，而不会扔掉已经分配的流。

### 句法

这是 reset 方法的语法，该方法不接受任何参数，也不返回值。

```java
 public void reset();
```

### 例 1

下面是[chararraywriter](https://www.studytonight.com/java-file-io/java-chararraywriter-class)类的 reset()方法的例子，首先我们追加字符串并打印，然后我们再次尝试写入数据，但是在此之前，我们调用了 reset()方法来重置缓冲区的分配。

```java
import java.io.CharArrayWriter;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 

		CharArrayWriter chw = new CharArrayWriter();  
		CharSequence csq = "Hello Studytonight";  
		chw.append(csq);  
		System.out.println(csq);  
		chw.reset();  
		csq = "Hello World";  
		chw.append(csq);  
		System.out.println(chw.toString()); 
	} 
}
```

你好今晚学习
你好世界

### 例 2

这里我们可以看到调用`reset()`方法后 [`CharArrayWriter`](https://www.studytonight.com/java-file-io/java-chararraywriter-class) 的大小和调用`reset()`方法前的大小的区别。这个方法用来重置缓冲区，这样它就可以再次使用，而不会扔掉已经分配的缓冲区，这就是为什么我们得到的 CharArrayWriter 的缓冲区大小是 5，并且在 reset()方法调用后它是 0，因为所有分配的缓冲区都被清除了。

```java
import java.io.CharArrayWriter;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		CharArrayWriter charArrayWriter= new CharArrayWriter(); 

		for (int c = 65; c < 70; c++) 
		{ 

			charArrayWriter.write(c); 
		} 
		System.out.println("Size of charArrayWriter: "+ charArrayWriter.size()); 

		charArrayWrite.reset(); 
		System.out.println("Size of charArrayWriter: "+ charArrayWriter.size()); 
	} 
}
```

字符写入器大小:5
字符写入器大小:0

### 结论:

在本教程中，我们从 Java 中的 [`CharArrayWriter`](https://www.studytonight.com/java-file-io/java-chararraywriter-class) 类中学习了 reset()方法。`CharArrayWriter`类的`reset()` 方法用于重置流，这样您就可以再次使用它，而不会扔掉已经分配的流。

* * *

* * *