# Java `OutputStreamWriter.write()`方法

> 原文：<https://www.studytonight.com/java-file-io/outputstreamwriter-write-method-in-java>

在本教程中，我们将从 [Java](https://www.studytonight.com/java/) 中的 [`OutputStreamWriter`](https://www.studytonight.com/java-file-io/java-outputstreamwriter) 类中了解`write()` 方法。此方法用于将数据写入输出流。这个方法有三种重载方法。

### 例 1

在本例中，我们使用 write()方法将数据写入输出流，这里我们实现了 write()方法的重载方法之一。void write(String str，int off，int len)这个方法接受我们将要写在输出流上的字符串，我们还传递了从该点开始写入数据的偏移量，我们还传递了该数据的长度。基于所有这些参数，它将对数据进行切片并将其写入输出流。

```java
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;

class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		String str = "Hello Studytonight";
		try
		{
			OutputStream outputStream = new FileOutputStream("E:\\studytonight\\output.txt");
			OutputStreamWriter writer = new OutputStreamWriter(outputStream);

			writer.write(str, 0, 5);
			writer.flush();	
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	} 
}
```

输出. txt

```java
Hello
```

### 例 2

在本例中，我们使用 write()方法将数据写入输出流，这里我们实现了`write()`方法的重载方法之一。`void write(char c)`该方法接受单个字符并将其写入输出流。

```java
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;

class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{
			OutputStream outputStream = new FileOutputStream("E:\\studytonight\\output.txt");
			OutputStreamWriter writer = new OutputStreamWriter(outputStream);

			writer.write('A');
			writer.flush();	
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	} 
}
```

输出. txt

```java
A
```

### 例 3

在本例中，我们使用 write()方法将数据写入输出流，这里我们实现了 write()方法的重载方法之一。void write(char arr[]，int off，int len)这个方法接受我们将要在输出流上写入的字符串，我们还传递了从该点开始写入数据的偏移量，我们还传递了该数据的长度。基于所有这些参数，它将对数据进行切片并将其写入输出流。

```java
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;

class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		char arr[] = {'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K'};
		try
		{
			OutputStream outputStream = new FileOutputStream("E:\\studytonight\\output.txt");
			OutputStreamWriter writer = new OutputStreamWriter(outputStream);

			writer.write(arr, 3, 5);
			writer.flush();	
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	} 
}
```

输出. txt

```java
DEFGH
```

### 结论

在本教程中，我们学习了 Java 中的 [OutputStreamWriter](https://www.studytonight.com/java-file-io/java-outputstreamwriter) write()方法。此方法用于将数据写入输出流。

* * *

* * *