# Java `OutputStreamWriter.getEncoding()`方法

> 原文：<https://www.studytonight.com/java-file-io/outputstreamwriter-getencoding-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [OutputStreamWriter](https://www.studytonight.com/tutorials/?subject=java-file-io&url=java-outputstreamwriter) 类的`getEncoding()` 方法。此方法返回此流使用的字符编码的名称。如果编码具有历史名称，则返回该名称；否则，将返回编码的规范名称。

### 句法

这是`getEncoding()`方法的语法声明，它不取任何参数，返回对应流的编码。

```java
public String getEncoding()
```

### 例 1

在本例中，我们将数据写入文件。一旦我们将文本写入输出流，流数据就有了特定的编码。为了检查编码，我们将调用方法 getEncoding()来检查流的编码。

```java
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try 
		{
			OutputStream outputStream = new FileOutputStream("E:\\studytonight\\output.txt");
			OutputStreamWriter writer = new OutputStreamWriter(outputStream);
			writer.write('A');
			writer.flush();
			System.out.println("" + writer.getEncoding());
		} 
		catch (Exception e)
		{
			System.out.print("Error: "+e.toString());
		}
	} 
}
```

Cp1252

### 例 2

在本例中，我们将数据写入文件。一旦我们将文本写入输出流，流数据就有了特定的编码。为了检查编码，我们将调用方法 getEncoding()来检查流的编码。

```java
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		char arr[] = {'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K'};
		try
		{
			OutputStream outputStream = new FileOutputStream("E:\\studytonight\\output.txt");
			OutputStreamWriter writer = new OutputStreamWriter(outputStream);

			writer.write(arr, 3, 5);

			System.out.print("Encoding: "+writer.getEncoding());

			writer.flush();	
		}
		catch (Exception e)
		{
			System.out.print("Error: "+e.toString());
		}
	} 
}
```

编码:Cp1252

### 结论

在本教程中，我们学习了 Java 中 [OutputStreamWriter](https://www.studytonight.com/java-file-io/java-outputstreamwriter) 类的 getEncoding()方法。此方法返回此流使用的字符编码的名称。

* * *

* * *