# Java `OutputStreamWriter.close()`方法

> 原文：<https://www.studytonight.com/java-file-io/outputstreamwriter-close-method-in-java>

在本教程中，我们将在 [Java](https://www.studytonight.com/java/) 中学习 [`OutputStreamWriter`](https://www.studytonight.com/tutorials/?subject=java-file-io&url=java-outputstreamwriter) 类的 close()方法。close()方法在 java.io 包中可用。此方法关闭流，首先刷新它。一旦流被关闭，进一步的 write()或 flush()调用将导致引发 IOException。关闭以前关闭的流没有效果。

### 句法

这是`close()` 方法的语法。方法的返回类型是 void，它不返回任何内容。

```java
 public void close();
```

### 例 1

在这个例子中，我们创建了 [`OutputStreamWriter`](https://www.studytonight.com/java-file-io/java-outputstreamwriter) 对象，并向其写入数据，之后，我们调用 close()方法，该方法关闭流，首先刷新它。

```java
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{
			OutputStream outputStream = new FileOutputStream("E:\\studytonight\\output.txt");
			OutputStreamWriter writer = new OutputStreamWriter(outputStream);

			writer.write('A');

			writer.close();	
		}
		catch (Exception e)
		{
			System.out.print("Error: "+e.toString());
		}
	} 
}
```

输出. txt

```java
A
```

### 例 2

在这个例子中，我们创建了 [`OutputStreamWriter`](https://www.studytonight.com/java-file-io/java-outputstreamwriter) 对象，并向其写入数据，之后，我们调用 close()方法，该方法关闭流，首先刷新它。

```java
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{   
	         OutputStream os = new FileOutputStream("E:\\studytonight\\output.txt");
	         OutputStreamWriter writer = new OutputStreamWriter(os);

	         FileInputStream in = new FileInputStream("E:\\studytonight\\output.txt");

	         writer.write('S');

	         writer.close();

	         System.out.println("" + (char) in.read());
		}
		catch (Exception e)
		{
			System.out.print("Error: "+e.toString());
		}
	} 
}
```

S

输出. txt

```java
S
```

### 结论

在本教程中，我们将在`Java`中学习 [`OutputStreamWriter`](https://www.studytonight.com/java-file-io/java-outputstreamwriter) 关闭()方法。close()方法用于关闭流前的第一次刷新，关闭流后调用的 write()或 flush()方法将导致异常。

* * *

* * *