# Java `OutputStreamWriter.flush()`方法

> 原文：<https://www.studytonight.com/java-file-io/outputstreamwriter-flush-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [OutputStreamWriter](https://www.studytonight.com/java-file-io/java-outputstreamwriter) 类的 flush()方法。该方法在`java.io`包中提供。这是一个非静态方法，只能用类对象访问，如果我们试图用类名访问这个方法，那么我们会得到一个错误。此方法刷新流。

### 句法

这是`flush()`方法的语法，不接受任何参数，方法的返回类型为 void，不返回任何内容。

```java
public void flush()
```

### 例子

在这个例子中，我们正在创建一个 [OutputStreamWriter](https://www.studytonight.com/java-file-io/java-outputstreamwriter) 类的对象，并将数据写入其中。为了刷新流，我们在 OutputStreamWriter 上调用这个方法。

```java
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{   
	         OutputStream os = new FileOutputStream("E:\\studytonight\\output.txt");
	         OutputStreamWriter writer = new OutputStreamWriter(os);

	         FileInputStream in = new FileInputStream("E:\\studytonight\\output.txt");

	         writer.write('A');

	         writer.flush();

	         System.out.println("" + (char) in.read());
		}
		catch (Exception e)
		{
			System.out.print("Error: "+e.toString());
		}
	} 
}
```

A

输出. txt

```java
A
```

### 结论

在本教程中，我们学习了 Java 中的 [OutputStreamWriter](https://www.studytonight.com/java-file-io/java-outputstreamwriter) flush()方法。此方法刷新流。该方法在`java.io`包中提供。它不接受任何参数，并且该方法的返回类型为 void，因此它不返回任何内容。

* * *

* * *