# Java `ByteArrayInputStream.available()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-bytearrayinputstream-available-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中[Bytearrainputstream](https://www.studytonight.com/java-file-io/java-bytearrayinputstream-class)类的`available()`方法。此方法提供可以从此输入流中读取的剩余字节数。这是一个非静态方法，在 java.io 包中可用，只能使用类对象访问。它可能会在检查字节时引发异常。

### 语法:

这是此方法的语法声明。它不接受任何参数，并返回要从此输入流中读取的剩余字节总数。

```java
public int available() 
```

## 示例:可用的`ByteArrayInputStream`()方法

在本例中，通过使用 available()方法，我们将检查缓冲区中有多少字节可用，它将返回许多字节的 int 值。这里它返回值 4，我们可以清楚地看到四个元素在给定的缓冲区中。

```java
import java.io.ByteArrayInputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		byte[] buffer = { 4, 7, 8, 3, 1 }; 

		ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(buffer); 

		int number = byteArrayInputStream.available(); 

		System.out.println("Remaining bytes in buffer: "+ number); 
	}  
}
```

缓冲区剩余字节:5

### 示例:可用的`ByteArrayInputStream`()方法

在下面给出的缓冲区中，只有一个字节可用，因此该方法返回一个 1 值来指示给定缓冲区中有 1 个字节可用。

```java
import java.io.ByteArrayInputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		byte[] buffer = {1}; 

		ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(buffer); 

		int number = byteArrayInputStream.available(); 

		System.out.println("Remaining bytes in buffer: "+ number); 
	}  
}
```

缓冲区中的剩余字节:1

### ![mail](img/6ad6846af98aad278a954670e0e6f06b.png "mail")结论:

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中[Bytearrainputstream](https://www.studytonight.com/java-file-io/java-bytearrayinputstream-class)类的`available()`方法，该方法用于返回当前输入流中读取器要读取的实际剩余字节数。

* * *

* * *