# Java `ByteArrayInputStream.skip(long)`方法

> 原文：<https://www.studytonight.com/java-file-io/java-bytearrayinputstream-skip-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中[Bytearrainputstream](https://www.studytonight.com/java-file-io/java-bytearrayinputstream-class)类的`skip(long x)`方法。此方法用于从输入流中跳过 x 字节的输入。这是一个非静态方法，在 java.io 包中可用，只能使用类对象访问。如果通过类名访问，它将引发异常。但是它不会在跳过字节时抛出异常。

### 语法:

这是`skip(long x)` 方法的语法声明。它接受单个强制参数 **x** ，该参数指定要跳过的字节数并返回跳过的字节数。

```java
public long skip(long x)
```

## 示例:`ByteArrayInputStream`跳过()方法

在这个例子中，我们实现了 skip()方法来跳过输入流中的字符，在当前流中有 5 个元素。首先我们读取 5，然后使用参数 1 调用 skip 方法，这意味着它将只跳过一个字符，然后我们再次读取，因此在本例中，我们在读取时跳过了缓冲区中的元素 6。

```java
import java.io.ByteArrayInputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		try 
		{
			byte[] buf = { 5, 6, 7, 8, 9 }; 

			ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(buf); 

			System.out.println(byteArrayInputStream.read()); 

			byteArrayInputStream.skip(1); 

			System.out.println(byteArrayInputStream.read()); 
			System.out.println(byteArrayInputStream.read()); 
		} 
		catch(Exception e) 
		{
			e.printStackTrace();
		}
	}  
}
```

5
7
8

## 示例:`ByteArrayInputStream`跳过()方法

这个例子与上面给出的例子相同，但是这次我们跳过了前 3 个字符，所以它不会读取前 3 个字符，而是从第 4 个字符开始读取。

```java
import java.io.ByteArrayInputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		try 
		{
			byte[] buf = { 5, 6, 7, 8, 9 }; 

			ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(buf); 

			byteArrayInputStream.skip(3); 

			System.out.println(byteArrayInputStream.read()); 
			System.out.println(byteArrayInputStream.read()); 
		} 
		catch(Exception e) 
		{
			e.printStackTrace();
		}
	}  
}
```

8
9

### ![mail](img/6ad6846af98aad278a954670e0e6f06b.png "mail")结论:

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中[Bytearrainputstream](https://www.studytonight.com/java-file-io/java-bytearrayinputstream-class)[T5】类的`skip(long x)` 方法。Java 中 ByteArrayInputStream 类的`skip(long x)` 用于从输入流中跳过 x 字节的输入。它接受单个参数 **x** ，该参数指定要跳过的字节数，并返回跳过的字节数。](https://www.studytonight.com/java-file-io/java-bufferedreader-class)

* * *

* * *