# Java `BufferedWriter.newLine()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-bufferedwriter-newline-method>

在本教程中，我们将学习 Java 中`BufferedWriter` 类的`newLine()`方法。此方法用于在缓冲区写新行。有了这个功能，`BufferedWriter` 将从下一行开始写。换行符()添加了一个行分隔符，行分隔符字符串由系统属性`line.separator`定义，并且不一定是单个换行符(' \n ')。

### 句法

下面是这个方法的语法。此方法不接受任何参数，也不返回值。

```java
public void newLine() throws IOException
```

### 不使用换行符()的 BufferedWriter 示例:

在这个例子中，我们可以看到输出是单行的，唯一的原因是我们直接在 BufferedWriter 上写了两个字符，而没有使用 newLine()，所以它是单行写的。

```java
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.StringWriter;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		StringWriter stringWriter = new StringWriter(); 
		BufferedWriter buffWriter = new BufferedWriter(stringWriter);
		buffWriter.write(65); 
		buffWriter.write(66); 
		buffWriter.flush(); 
		System.out.println( stringWriter.getBuffer()); 
	} 
}
```

AB

### BufferedWriter newLine()示例:

这个程序和上面给出的程序是一样的，唯一的区别是我们在写完第一个字符后使用了 newLine()方法，这就是为什么输出中的字符是多行的。我们两次调用了 newLine()方法，这就是为什么它在输出中添加了两行空行。

```java
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.StringWriter;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		StringWriter stringWriter = new StringWriter(); 
		BufferedWriter buffWriter = new BufferedWriter(stringWriter);
		buffWriter.write(65); 
		buffWriter.newLine();
		buffWriter.newLine();
		buffWriter.write(66); 
		buffWriter.flush(); 
		System.out.println( stringWriter.getBuffer()); 
	} 
}
```

甲
T2【乙】

![enlightened](img/bcefbc0bebd753ed2a05f55c0b74d9f0.png "enlightened")Java 中**newLine()**BufferedWriter**类的**方法用于将下一行分隔为新行。它用作缓冲写入器流中的写入分隔符。

### ![mail](img/6ad6846af98aad278a954670e0e6f06b.png "mail")结论:

在本教程中，我们学习了 Java 中 BufferedWriter 类的 newLine()方法。newLine()添加的是一个行分隔符，行分隔符字符串由系统属性`line.separator`定义，不一定是单个 newline ('\n ')字符。

* * *

* * *