# Java `FileWriterclose.close()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-filewriter-close-method>

在本教程中，我们将在 [Java](https://www.studytonight.com/java/) 中学习 [F](https://www.studytonight.com/tutorials/?subject=java-file-io&url=java-filewriter-class) [ileWriter](https://www.studytonight.com/java-file-io/java-filewriter-class) 类的`close()`方法。此方法用于关闭此`FileWriter`流。当我们在关闭流后调用它的任何方法时，都不会产生异常。该方法在`java.io`包中提供。关闭编写器会释放其中的任何值或与之关联的任何资源。

### 句法

这是一个`close()` 方法的语法声明，它不接受任何参数，方法的返回类型是`void`，它什么也不返回。

```java
public void close()
```

## 示例:关闭`FileWriter`

这里，在这个例子中，我们将实现 close()方法，一旦我们创建了编写器，我们就执行工作，然后调用 close()方法来释放与编写器相关的相应资源。当我们在关闭流后调用它的任何方法时，都不会产生异常。

```java
import java.io.FileWriter;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{    
			FileWriter fileWriter=new FileWriter("E:\\studytonight\\output.txt");    
			String str = "Hello Studytonight";
			fileWriter.write(str);    
			fileWriter.close();    
			System.out.println("Data Written to the file successfully");
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}    
	} 
}
```

数据成功写入文件

输出. txt

```java
Hello Studytonight
```

## 示例:关闭`FileWriter`实例

在这里，我们实现了 close()方法，在这个例子中，我们首先使用 write()方法向编写器写入数据，然后调用 close()方法来释放资源，当我们在关闭流后调用它的任何方法时都不会产生异常。

```java
import java.io.FileWriter;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{    
			FileWriter fileWriter=new FileWriter("E:\\studytonight\\output.txt");    
			char c='A';
			fileWriter.write(c);    
			fileWriter.close();    
			System.out.println("Data Written to the file successfully");
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}    
	} 
}
```

数据成功写入文件

输出. txt

```java
A
```

### 结论

在本例中，我们学习了 close()方法，该方法用于关闭`FileWriter`流。当我们在关闭流后调用它的任何方法时，都不会产生异常。该方法在`java.io`包中提供。

* * *

* * *