# Java `CharArrayReader.skip()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-chararrayreader-skip-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 的 [CharArrayReader](https://www.studytonight.com/java-file-io/java-chararrayreader-class) 类的`skip()`方法。此方法的任务是跳过流中提供的字符数。方法会阻止流或引发异常，以防它通过跳过到达流的末尾。

### 句法

下面是这个方法的语法，其中要传递的字符数被接受为参数，实际跳过的字符数由方法返回。

```java
public long skip(long n) throws IOException 
```

## 示例:在 Java 中使用 Skip()方法跳过字符

在本例中，我们使用`skip()`方法跳过流中的字符，在调用该方法时，我们传递了 2 作为要跳过的字符数，这就是为什么输出会显示跳过 2 个字符后的流数据。

```java
import java.io.CharArrayReader;
class StudyTonight
{
	public static void main(String[] args)  
	{ 
		try
		{
			char[] ch = { 'A', 'B', 'C', 'D', 'E' };  
			CharArrayReader charArrayReader = new CharArrayReader(ch);  
			int value = 0;  
			while ((value = charArrayReader.read()) != -1) 
			{  
				char c = (char) value;  
				System.out.print(c + " ");  
				charArrayReader.skip(2);  
			}  
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	} 
}
```

公元

## 示例 2:使用 CharArrayReader 跳过字符

这里，我们使用 skip()方法在从流中读取数据后跳过 1 个字符。当我们从这个流中读取数据时，我们将从这个流中获得备用数据输出。

```java
import java.io.CharArrayReader;
class StudyTonight
{
	public static void main(String[] args)  
	{ 
		try
		{
			char[] ch = { 'A', 'B', 'C', 'D', 'E' };  
			CharArrayReader charArrayReader = new CharArrayReader(ch);  
			int value = 0;  
			while ((value = charArrayReader.read()) != -1) 
			{  
				char c = (char) value;  
				System.out.print(c + " ");  
				charArrayReader.skip(1);  
			}  
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	} 
}
```

阿、中、东

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 的 [CharArrayReader](https://www.studytonight.com/java-file-io/java-chararrayreader-class) 类的`skip()`方法，该方法用于跳过流中指定数量的字符，该数量在方法中作为参数传递。

* * *

* * *