# Java `CharArrayReader.ready()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-chararrayreader-ready-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [CharArrayReader](https://www.studytonight.com/java-file-io/java-chararrayreader-class) 类的`ready()`方法。此方法检查流是否准备好被读取，并且众所周知，char 数组读取器始终准备好被读取。

### 句法

该方法不需要参数，返回布尔值`true`，如果流准备好被读取，则返回`false`。

```java
public boolean ready() throws IOException 
```

## 示例 CharArrayReader 的就绪方法

在这个例子中，我们将说明 ready()方法是如何工作的，通常，我们在从流中读取数据之前调用这个方法，因为如果流准备好读取，这个方法将返回`true` ，否则它将返回`false` 值。

```java
import java.io.CharArrayReader;
class StudyTonight
{
	public static void main(String[] args)  
	{ 
		try 
		{
			char[] ch = { 'A', 'B', 'C', 'D', 'E' };

			CharArrayReader charArrayReader = new CharArrayReader(ch);

			boolean isReady = charArrayReader.ready();

			System.out.println("CharArrayReader is ready -> " + isReady);
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	} 
} 
```

CharArrayReader 就绪- >真

## 示例 CharArrayReader 的就绪方法

这里，我们正在实现`ready()`方法来检查流是否准备好从流中读取数据，只有在流准备好读取数据之后，我们才会从流中读取数据。

```java
import java.io.IOException;
import java.io.Reader;
import java.io.StringReader;
class StudyTonight
{
	public static void main(String[] args)  
	{ 
		String s = "studytonight.com";  
		Reader reader = new StringReader(s);  
		try 
		{  
			if(reader.ready())
			{
				for (int i = 0; i < 12; i++)
				{  
					char c = (char) reader.read();  
					System.out.print("" + c);  
				}  
			}
			reader.close();  
		} 
		catch (IOException e) 
		{  
			System.out.println("Error: "+e.toString());  
		}  
	} 
}
```

今晚学习

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中 [CharArrayReader](https://www.studytonight.com/java-file-io/java-chararrayreader-class) 类的`ready()`方法，该方法用于验证流是否准备好被读取，如果准备好，则返回布尔值`true`，否则返回`false`。

* * *

* * *