# Java `CharArrayReader.markSupported()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-chararrayreader-marksupported-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [CharArrayReader](https://www.studytonight.com/java-file-io/java-chararrayreader-class) 类的`markSupported()`方法。该方法验证流是否支持`mark()`方法。char 数组读取器支持`mark()`方法。

### 句法

该方法不需要参数，返回类型为布尔型，如果可以调用`mark()`方法则返回 true，否则返回 false。

```java
public boolean markSupported()
```

### 示例 1: CharArrayReader 标记支持

在这个例子中，我们将演示如何使用 markSupported()方法，我们使用这个方法来检查流是否支持 mark 方法。当我们调用此方法时，如果流支持 mark()方法，它将返回 true，如果不支持 mark()方法，它将返回 false。

```java
import java.io.CharArrayReader;
class StudyTonight
{
	public static void main(String[] args)  
	{ 
		try 
		{ 
			char[] str = {'H', 'e', 'l', 'l', 'o', 'w', 'o', 'r', 'l', 'd'}; 	  
			CharArrayReader reader = new CharArrayReader(str); 	  
			System.out.println("Is CharArrayReader markSupported: "+ reader.markSupported()); 	  
			reader.close(); 
		} 
		catch (Exception e) 
		{ 
			System.out.println("Error: "+e.toString()); 
		} 
	} 
} 
```

是否支持 CharArrayReader 标记:真

### 示例 1: CharArrayReader 标记支持

这里我们将使用 markSupported()方法来检查当前流是否支持 mark()方法，当我们调用此方法时，如果流支持 mark()方法，它将返回 true，如果不支持 mark()方法，它将返回 false。

```java
import java.io.CharArrayReader;
class StudyTonight
{
	public static void main(String[] args)  
	{ 
		char[] ch = {'H', 'e', 'l', 'l', 'o'};  
		CharArrayReader charArrayReader = new CharArrayReader(ch);  
		boolean bool = charArrayReader.markSupported();  
		System.out.println("Is mark supported : " + bool);  
	} 
}
```

是否支持标记:真

### 结论:

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中 [CharArrayReader](https://www.studytonight.com/java-file-io/java-chararrayreader-class) 类的`markSupported()`方法，该方法用于检查当前流是否支持`mark()`方法的调用。

* * *

* * *