# Java `FilterReader.close()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-filterreader-close-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [FilterReader](https://www.studytonight.com/java-file-io/java-filterreader) 类的`close()`方法。此方法关闭流并释放与其关联的所有系统资源。调用此方法会使调用`read()`、`ready()`、`mark()`、`reset()`或`skip()`方法无效。这个非静态方法在 java.io 包中可用，只能使用类对象访问，试图通过类名调用它会导致错误。

## 句法

这是此方法的语法声明，它不接受任何参数或返回值。

```java
public void close()
```

## 示例 1:在 Java 中关闭 FilterReader

在这个例子中，我们已经创建了一个 FilterReader 流来读取数据，在这个特殊的例子中，我们正在检查这个流是否支持 mark()方法，一旦与这个流相关的操作完成，我们就调用 close()方法来释放所有链接的或者当前为这个流分配的资源，在这之后我们就不能使用这个流了。

```java
import java.io.FilterReader;
import java.io.Reader;
import java.io.StringReader;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			Reader reader = new StringReader("Hello Studeytonight"); 
			FilterReader fileReader = new FilterReader(reader){};

			boolean isSupported = fileReader.markSupported();			
			System.out.println("The Stream Supports the mark() method: "+isSupported);	

			fileReader.close(); 
			System.out.println("FilterReader is closed successfully...");			
		}
		catch(Exception e)
		{
			System.out.print("Error: "+e.toString());
		}
	} 
}
```

流支持标记()方法:真
过滤器读取器成功关闭...

## 示例 1:在 Java 中关闭 FilterReader

在本例中，我们从`FIlterReader` 流中读取数据，读取完成后，我们使用 close()方法关闭该流，以释放与该流链接的所有资源。

```java
import java.io.FilterReader;
import java.io.Reader;
import java.io.StringReader;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			Reader reader = new StringReader("Hello Studeytonight"); 
			int i;
			FilterReader filterReader = new FilterReader(reader) {};

			while ((i = filterReader.read()) != -1) {
				char  c = (char) i;
				System.out.print(c);
			}

			filterReader.close(); 
			System.out.println("\nFileReader is closed successfully...");
		}
		catch(Exception e)
		{
			System.out.print("Error: "+e.toString());
		}
	} 
}
```

学生好今晚
`FileReader`成功关闭...

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中 [FilterReader](https://www.studytonight.com/java-file-io/java-filterreader) 类的`close()`方法，该方法用于关闭流并释放所有链接到它的资源。它在 java.io 包中可用，应该只使用类对象来访问。

* * *

* * *