# Java `FilterReader.skip()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-filterreader-skip-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [FilterReader](https://www.studytonight.com/java-file-io/java-filterreader) 类的`skip()`方法。这个方法，当被调用时，跳过这个过滤器读取器提供的 `n` 字符数。它是一个非静态方法，在 java.io 包中可用，只能使用类对象访问，当使用类名访问时会引发 IOException。

### 句法

下面是这个方法的语法声明。它以`n`要跳过的字符数为参数，返回跳过的字符总数。

```java
public long skip(long n)
```

## 示例 1:跳过 Java 中的字符

在本例中，我们将使用方法`skip()` 在阅读时跳过流中的一些字符。在这里，我们每次从流中读取数据时都会调用这个方法，这样我们就可以将输出作为流的替换字符。

```java
import java.io.FileReader;
import java.io.FilterReader;
import java.io.Reader;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			Reader reader = new FileReader("E:\\studytonight\\output.txt");  
			FilterReader filterReader = new FilterReader(reader) {};  
			int i;  
			while ((i = filterReader.read()) != -1) 
			{  
				System.out.print((char) i);  
				filterReader.skip(1);
			}  
			filterReader.close();  
			reader.close();  
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

1 3 5 7 9

输出. txt

```java
1 2 3 4 5 6 7 8 9 10
```

## 示例 1:跳过 Java 中的字符

通过使用 skip()方法，我们可以一次跳过多个字符，例如在下面给出的程序中，我们调用 skip()方法，并传递 4 作为跳过的参数，因此它将跳过流中的前 4 个字符，并从第 5 个字符开始读取。

```java
import java.io.FileReader;
import java.io.FilterReader;
import java.io.Reader;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			Reader reader = new FileReader("E:\\studytonight\\output.txt");  
			FilterReader filterReader = new FilterReader(reader) {};  
			int i;  			
			filterReader.skip(4);
			while ((i = filterReader.read()) != -1) 
			{  
				System.out.print((char) i);  
			}  
			filterReader.close();  
			reader.close();  
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

今晚

输出. txt

```java
Studytonight
```

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中 [FilterReader](https://www.studytonight.com/java-file-io/java-filterreader) 类的`skip()`方法，该方法用于跳过流中给定数量的字符，方法是将要跳过的字符数作为参数，并返回实际跳过的字符数。

* * *

* * *