# Java `BufferedReader.close()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-bufferedreader-close-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中[bufferedeeder](https://www.studytonight.com/java-file-io/java-bufferedreader-class)类的 close()方法。此方法用于关闭此`BufferedReader` 流，并释放与此流链接的所有其他系统资源。这是一个非静态方法，只能用类对象访问，如果我们试图用类名访问这个方法，那么我们会得到一个错误。

### 句法

这是 close()方法的语法声明，该方法不接受任何参数，也不返回任何参数。

```java
public void close() throws IOException 
```

## 示例 1:关闭缓冲区缓存器实例

在这个例子中，我们将实现 close()方法，首先我们从文件中读取所需的数据，一旦数据被成功读取，然后我们调用 close()方法来关闭我们从中读取数据的 BufferedReaader 流，它将释放与该流链接的所有其他系统资源。

```java
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
        FileReader fileReader  = new FileReader("E://studytonight//output.txt"); 

        BufferedReader buffReader = new BufferedReader(fileReader); 

        while (buffReader.ready()) 
        { 
        	char c = (char)buffReader.read();
            System.out.print(c);  
        } 
        fileReader.close();
        bufferReader.close();
	} 
}
```

你好，今晚学习

输出. txt

```java
Hello Studytonight
```

## 示例 1:关闭`FileReader`实例

在这里，我们已经创建了`BufferedReader`，之后我们使用`readLine()`方法读取数据，然后我们调用 close()方法释放与之相关的所有系统资源。

```java
import java.io.BufferedReader;
import java.io.FileReader;
class StudyTonight
{
	public static void main(String[] args)  
	{ 
		try 
		{
			FileReader	fileReader = new FileReader("E://studytonight//output.txt"); 
			BufferedReader buffReader = new BufferedReader(fileReader);
			System.out.println(buffReader.readLine()); 
			fileReader.close();
			buffReader.close();			
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	} 
}
```

ABC

输出. txt

```java
ABC
```

### 结论

在本教程中，我们学习了 Java 中 BufferedReader 类的 close()方法。他的方法用于关闭这个`BufferedReader` 流，并释放与这个流链接的所有其他系统资源。这是一个非静态方法，只能用类对象访问，如果我们试图用类名访问这个方法，那么我们会得到一个错误。

* * *

* * *