# Java `BufferedReader.skip()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-bufferedreader-skip-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中[bufferedeeler](https://www.studytonight.com/java/java-io-stream.php)类的`skip()`方法。在流中跳过在方法中作为参数传递的字符数。可以在`java.io`包中找到。

### 句法

下面是该方法的语法声明，“n”表示要跳过的字符数，它返回该方法跳过的实际字符数。

```java
public long skip(long n) throws IOException 
```

### 例 1

在这个例子中，我们使用`FileReader`和缓冲`Reader`类从文件中读取数据，我们还通过调用 `ready()` 方法检查缓冲读取器是否准备好读取。当缓冲读取器准备就绪时，我们打印每个字符，并使用 skip()方法跳过 1 个字符，我们将在输出屏幕上获得替换字符。

```java
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
        FileReader fileReader  = new FileReader("E://studytonight//output.txt"); 

        BufferedReader buffReader = new BufferedReader(fileReader); 

        while (buffReader.ready()) 
        { 
            System.out.print((char)buffReader.read());  
            buffReader.skip(1); 
        } 
	} 
}
```

hlosyoih

输出. txt

```java
Hello Studytonight
```

### 例 2

这里我们实现的程序与上面例子中给出的相同，但是我们在每次迭代中从文件中读取时会跳过两个字符，所以这次输出会有所不同。

```java
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
        FileReader fileReader  = new FileReader("E://studytonight//output.txt"); 

        BufferedReader buffReader = new BufferedReader(fileReader); 

        while (buffReader.ready()) 
        { 
            System.out.print((char)buffReader.read());  
            buffReader.skip(2); 
        } 
	} 
}
```

Hlsdog

输出. txt

```java
Hlsdog
```

### 结论

在本教程中，我们学习了 Java 中`BufferedReader`类的`skip()`方法，该方法用于跳过流中的 n 个字符。

* * *

* * *