# Java `BufferedReader.readLine()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-bufferedreader-readline-method>

在本教程中，我们将学习[buffere reader](https://www.studytonight.com/java-file-io/java-bufferedreader-class)类的`readLine()` 方法。Java 中`BufferedReader` 类的`readLine()`方法是用来一次读取一行文本的。一条线的终点由这些符号`‘\n’`或`‘\r’`或`EOF`检测。

### 句法

这是 readLine()方法的语法声明，该方法不返回任何值，而是从输入源读取后返回一个字符串。

```java
public String readLine() throws IOException
```

### 例 1

在这个例子中，我们实现了`readLine()`方法，这个方法读取一行文本。在此，该线被考虑直到`'\n'`或`'\r'` 发生。如果我们到达一个流的末尾，它将返回一个`null` 值。

```java
import java.io.BufferedReader;
import java.io.InputStreamReader;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			BufferedReader reader =new BufferedReader(new InputStreamReader(System.in));
			System.out.println("Enter your name: ");
			String name = reader.readLine();   
			System.out.println("Hello "+name);
		}
		catch(Exception e)
		{
			System.out.print(false);
		}
	}
}
```

输入你的名字:
Java
你好 Java

### 例 2

在本例中，我们从给定的文件中一行行地读取文本，该文件是输入数据的来源。readLine()方法一次读取整行。一条线的终点由这些符号`‘\n’`或`‘\r’`或`EOF`检测。

```java
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		String line = null;
		try 
		{
			FileReader	fileReader = new FileReader("E://studytonight//output.txt"); 
			BufferedReader br = new BufferedReader(fileReader);
			while ((line = br.readLine()) != null) 
			{
				System.out.println(line);
			}       
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	} 
}
```

你好，今晚学习

输出. txt

```java
Hello studytonight
```

### 结论

在本教程中，我们学习了`BufferedReader` 类的`readLine()`方法。Java 中`BufferedReader` 类的`readLine()`方法用于一次读取一行文本。一条线的终点由这些符号`‘\n’`或`‘\r’`或`EOF`检测。

* * *

* * *