# Java `BufferedReader.markSupported()`方法

> 原文：<https://www.studytonight.com/java-file-io/bufferedreader-marksupported-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中[buffere reader](https://www.studytonight.com/java-file-io/java-bufferedreader-class)类的 `markSupported()` 方法。Java 中`BufferedReader` 类的`markSupported()` 方法用于验证流是否支持`mark()` 方法。如果流支持`mark()`，则返回布尔值 true，否则返回 false。

### 句法

这是`markSupported()` 方法的语法声明，这个方法不接受任何参数。此方法返回一个**布尔**值，指示流对 mark()方法的支持能力。

```java
public boolean markSupported()
```

### 例 1

在本例中，我们正在检查给定的流是否支持 mark()方法，在本例中，markSupported()方法正在返回真值，这意味着该流支持 mark()方法

```java
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try 
		{
			FileReader	fileReader = new FileReader("E://studytonight//output.txt"); 
			BufferedReader br = new BufferedReader(fileReader);
			System.out.println(br.markSupported());  
			fileReader.close();
			br.close();
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	} 
}
```

真

### 例 2

在本例中，我们正在检查给定的流是否支持 mark()方法，在本例中，markSupported()方法返回了 false 值，这意味着该流不支持 mark()方法

```java
import java.io.BufferedReader;
import java.io.FileReader;
class StudyTonight
{
	public static void main(String[] args)  
	{ 
		try 
		{
			FileReader	fileReader = new FileReader("E://abc.txt"); 
			BufferedReader br = new BufferedReader(fileReader);
			System.out.println(br.markSupported());  
			fileReader.close();
			br.close();
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	} 
}
```

假

### 结论:

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中[buffere reader](https://www.studytonight.com/java-file-io/java-bufferedreader-class)类的`markSupported()` 方法。Java 中`BufferedReader` 类的`markSupported()` 方法用于验证流是否支持`mark()` 方法。如果流支持`mark()`，则返回布尔值 true，否则返回 false。

* * *

* * *