# Java `BufferedReader.ready()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-bufferedreader-ready-method>

在本教程中，我们将在 [Java](https://www.studytonight.com/java/) 中学习[buffere reader](https://www.studytonight.com/java-file-io/java-bufferedreader-class)类的`ready()`方法。这个方法检查缓冲流是否准备好被读取。缓冲的字符流只在两种情况下进行，要么缓冲区不为空，要么主流准备就绪。

### 句法

这是这个方法的语法。该方法不需要参数，如果流准备好被读取，则返回`true`，否则返回`false`。

```java
public boolean ready() throws IOException 
```

## 示例 1:buffere reader ready()方法

在这个例子中，我们正在检查流是否准备好读取。在这个例子中，当我们调用 ready()方法时，它正在打印 true，这意味着给定的流已经准备好从中读取数据。

```java
import java.io.BufferedReader;
import java.io.FileReader;
class StudyTonight
{
	public static void main(String[] args)  
	{ 
		try 
		{
			FileReader	fileReader = new FileReader("E://studytonight//output.txt"); 
			BufferedReader br = new BufferedReader(fileReader);

			boolean ready = br.ready();

			System.out.println("Stream is ready to read: "+ready);  
			fileReader.close();
			br.close();
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	} 
}
```

流已准备好读取:真

## 示例 2:buffere reader ready()方法

在本例中，我们检查流是否准备好读取，然后从流中读取字符，直到 ready()方法给出 true 输出。一旦 ready()方法返回 false 输出，我们就停止从中读取数据。

```java
import java.io.BufferedReader;
import java.io.FileReader;
class StudyTonight
{
	public static void main(String[] args)  
	{ 
		try 
		{
			FileReader	fileReader = new FileReader("E://studytonight//output.txt"); 
			BufferedReader buffReader = new BufferedReader(fileReader);
			boolean ready = buffReader.ready();
			while (ready) 
			{ 
				System.out.print((char)buffReader.read()); 
				ready = buffReader.ready(); 
			} 
			fileReader.close();
			buffReader.close();			
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	} 
}
```

你好，今晚学习

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中[buffere reader](https://www.studytonight.com/java/java-io-stream.php)类的`ready()`方法，该方法确认缓冲流是否准备好被读取，并根据读取结果返回真或假。

* * *

* * *