# Java `FileReader.read()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-filereader-read-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中[`FileReader`](https://www.studytonight.com/java-file-io/java-filereader-class)类的`read()`方法。此方法用于读取和返回单个字符，其形式为包含所读取字符的字符值的整数值。

### 句法

此方法将读取的字符作为 0 到 65535 范围内的整数返回。如果它返回-1 作为 int 值，则所有数据都已被读取，并且可以关闭 FileReader。

```java
public abstract int read()
```

## 示例 1:使用`FileReader`阅读

在本例中，我们调用 FileReader 类的 read()方法从文件中读取数据，该方法一次读取一个字符，并以整数格式返回其 ASCII 值。要打印实际数据，我们必须将其输入字符。

```java
import java.io.FileReader;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{   		
			FileReader fileReader=new FileReader("E:\\studytonight\\output.txt");    
			char c=(char) fileReader.read();
			System.out.print(c);    
			fileReader.close();    
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

S

输出. txt

```java
Studytonight
```

## 示例 2:使用`FileReader`读取

在下面的例子中，我们从文件中读取数据。首先我们创建了一个`FileReader`，然后使用`read()`方法读取每个字符，并将其打印在控制台上。

```java
import java.io.FileReader;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{   		
			FileReader fileReader=new FileReader("E:\\studytonight\\output.txt");    
			int i;    
			while((i=fileReader.read())!=-1)    
				System.out.print((char)i);    
			fileReader.close();    
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

欢迎今晚来学习

输出. txt

```java
Welcome to Studytonight
```

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中 [FileReader](https://www.studytonight.com/java-file-io/java-filereader-class) 类的`read()`方法，该方法用于读取单个字符并以整数值的形式返回，范围为 0 到 65535，如果已经到达流的末尾，则返回-1。

* * *

* * *