# Java `FileWriter.write()`方法

> 原文：<https://www.studytonight.com/java-file-io/filewriter-write-method-in-java>

在本教程中，我们将在 [Java](https://www.studytonight.com/java/) 中学习 [`FileWriter`](https://www.studytonight.com/tutorials/?subject=java-file-io&url=java-filewriter-class) 类的`write()`方法。此方法用于将数据写入文件。我们可以使用重载方法中的任何方法将数据写入文件。此方法可以接受字符串、字符和字符数组。

### 句法

这些是重载 write()方法的语法声明，这个方法接受完整的 String、简单字符和字符数组。此方法用于将字符串写入`FileWriter`。

```java
public void write(String text)
```

此方法用于将单个字符写入 FileWriter。

```java
public void write(char c)
```

此方法用于将字符数组写入`FileWriter`。

```java
public void write(char[] c)
```

## 示例 1:使用`FileWriter`写入数据

在这个例子中，我们实现了 FileWriter 类的`write()`方法的例子。，此方法接受字符串并将其写入文件。为了更好地理解`write()`方法的概念，我们在控制台以及下面代码后面的文件中提供了输出。

```java
import java.io.FileWriter;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{    
			FileWriter fileWriter=new FileWriter("E:\\studytonight\\output.txt");    
			String str = "Hello Studytonight";
			fileWriter.write(str);    
			fileWriter.close();    
			System.out.println("Data Written to the file successfully");
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}    
	} 
}
```

数据成功写入文件

输出. txt

```java
Hello Studytonight
```

## 示例 2:使用`FileWriter`写入数据

这里，我们有一个只接受字符数组的方法 write，在获取字符数组后，它会将其写入我们拥有的`FileWriter`。将数据写入文件后，我们可以检查文件的数据，以验证源数据。

```java
import java.io.FileWriter;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{    
			FileWriter fileWriter=new FileWriter("E:\\studytonight\\output.txt");    
			char arr[] = {'S', 't', 'u', 'd', 'y', 't', 'o', 'n', 'i', 'g', 'h', 't'};
			fileWriter.write(arr);    
			fileWriter.close();    
			System.out.println("Data Written to the file successfully");
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}    
	} 
}
```

数据成功写入文件

输出. txt

```java
Studytonight
```

## 示例 3:使用`FileWriter`写入数据

这个例子类似于我们在上面的例子中看到的，方法接受字符并将其写入文件。为了更好地理解`write()`方法的概念，我们在控制台以及下面代码后面的文件中提供了输出。

```java
import java.io.FileWriter;
import java.io.IOException;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{    
			FileWriter fileWriter=new FileWriter("E:\\studytonight\\output.txt");    
			char c='A';
			fileWriter.write(c);    
			fileWriter.close();    
			System.out.println("Data Written to the file successfully");
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}    
	} 
}
```

数据成功写入文件

输出. txt

```java
A
```

### 结论

在本教程中，我们学习了 FileWriter 类的 write()方法。此方法用于将数据写入文件。我们可以使用重载方法中的任何方法将数据写入文件。此方法可以接受字符串、字符和字符数组。

* * *

* * *