# Java `PipedWriter.write()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-pipedwriter-write-method>

在本教程中，我们将学习 Java 中 [PipedWriter](https://www.studytonight.com/java-file-io/java-pipedwriter-class) 类的 write()方法。此方法用于将数据写入输出管道流。

### 句法

这是 `write()`方法的语法声明，它不返回任何东西，因为它的返回类型是无效的。

```java
public void write(char[] cbuf, int off, int len)
```

### 示例:`PipedWriter`写入()方法

在本例中，write()方法将指定的字符写入`PipedWriter`。此外，我们还有另一个重载方法`write(char[] arr, int offset, int maxlen)`，在这个方法中，arr 是源数组，offset 是开始写入的索引，`maxlen` 是要写入的字符串的长度。

```java
import java.io.PipedReader;
import java.io.PipedWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			PipedReader reader = new PipedReader(); 
			PipedWriter writer = new PipedWriter(); 
			reader.connect(writer); 
			char[] arr = {'H', 'E', 'L', 'L', 'O'}; 
			writer.write(arr, 0, 5); 
			while(true) 
			{ 
				System.out.print((char) reader.read());           
			} 
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

你好

### 示例 2:`PipedWriter`写入()方法

在这个例子中，我们实现了[`PipedWriter`](https://www.studytonight.com/tutorials/?subject=java-file-io&url=java-pipedwriter-class)类的 write()方法来写入数据。首先我们创建了`PipedWriter` 类和`PipedReader` 类的对象，然后使用 connect()方法连接了这两个方法。现在我们将字符写到`PipedWriter` 中，并再次使用`PipedReader`阅读。

```java
import java.io.PipedReader;
import java.io.PipedWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			PipedReader reader = new PipedReader(); 
			PipedWriter writer = new PipedWriter(); 
			reader.connect(writer); 

			writer.write(72); 
			System.out.println((char)reader.read()); 
			writer.write(69); 
			System.out.println((char)reader.read()); 
			writer.write(76); 
			System.out.println( (char)reader.read());   
			writer.write(76); 
			System.out.println( (char)reader.read());   
			writer.write(79); 
			System.out.println( (char)reader.read());   
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

H
E
L
L
O

### 结论

在本教程中，我们学习了[pipe dwriter](https://www.studytonight.com/tutorials/?subject=java-file-io&url=java-pipedwriter-class)类的 write()方法。这个方法有两个重载方法，它从指定字符[数组](https://www.javatpoint.com/array-in-java)的偏移量开始向这个管道输出流写入 len 字符。

* * *

* * *