# Java `PipedWriter.close()`方法

> 原文：<https://www.studytonight.com/java-file-io/pipedwriter-close-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中`PipedWriter`类的`close()`方法。此方法属于`java.io` 包，用于关闭此 [`PipedWriter`](https://www.studytonight.com/java-file-io/java-pipedwriter-class) 流，释放所有与该流链接的系统资源。

### 句法

这是 close()方法的语法声明，此方法不接受任何参数，也不返回任何参数，但它可能会在关闭流时引发异常。

```java
public void close() throws IOException 
```

### 示例 1:关闭`PipedWriter`实例

在下面的例子中，我们已经创建了一个[PipedReader](https://www.studytonight.com/java-file-io/java-pipedwriter-class)类的对象，并且在这个类的帮助下，我们创建了 PipeDreader 类的对象。在创建了这两个对象之后，我们调用了 PipedWriter 类上的 close()方法来释放与这个流链接的所有资源，在这种情况下它可以正常工作。

```java
import java.io.IOException;
import java.io.PipedReader;
import java.io.PipedWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		PipedWriter pipedWriter = new PipedWriter();  
		PipedReader pipedReader = new PipedReader(pipedWriter);  
		pipedWriter.close();   
		System.out.println("PipedWriter is closed...");  
	} 
}
```

`PipedWriter`关闭...

### 示例 2:关闭`PipedWriter`实例

在这个例子中，我们试图说明当流已经关闭并且我们试图写入流时，它是如何抛出异常的。在这里，我们可以看到我们关闭了[`PipedWriter`](https://www.studytonight.com/java-file-io/java-pipedwriter-class)流，然后我们试图写入数据，这就是为什么它抛出了一个异常，并显示消息“管道未连接”

```java
import java.io.IOException;
import java.io.PipedReader;
import java.io.PipedWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{
			PipedWriter pipedWriter = new PipedWriter();
			PipedReader pipedReader = new PipedReader();
			pipedWriter.close();
			pipedWriter.close();		 
			pipedWriter.write(65);
		} 
		catch (Exception e) 
		{
			System.out.println("Error: "+e.toString());
		}
	} 
}
```

错误:java.io.IOException:管道未连接

### 结论

在本教程中，我们学习了 close()方法`PipedWriter`类，该方法属于`java.io` 包，用于关闭这个`PipedWriter`流，释放所有与该流链接的系统资源。

* * *

* * *