# Java `PipedWriter.flush()`方法

> 原文：<https://www.studytonight.com/java-file-io/pipedwriter-flush-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中`PipedWriter` 类的`flush()`方法。该方法在 `java.io`包中提供。此方法用于刷新此[pipe dwriter](https://www.studytonight.com/ava-file-io/java-pipedwriter-class)流，并强制从任何缓冲输出中写出字符。I t 是一个非静态的方法，它只能用类对象访问，如果我们试图用类名访问这个方法，那么我们会得到一个错误。

### 句法

这是`flush()`方法的语法声明，这个方法不接受任何参数，也不返回任何东西，因为它的返回类型是 void。

```java
 public void flush();
```

### 例 1

在这个例子中，我们创建了`PipedWriter` 和`PipedReader` 类的对象，然后我们写入数据，然后我们使用 connect()方法连接了读取器和写入器。为了冲出小溪，我们称之为`flush()`法。

```java
import java.io.IOException;
import java.io.PipedReader;
import java.io.PipedWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		PipedWriter writer = new PipedWriter();
		PipedReader reader = new PipedReader();

		try 
		{
			writer.connect(reader);
			writer.write(65);
			writer.flush();
			System.out.println("Writer flushed.");

			for (int i = 0; i < 2; i++) 
			{
				System.out.println("" + (char) reader.read());
			}
		} 
		catch (IOException ex) 
		{
			ex.printStackTrace();
		}
	} 
}
```

作家满脸通红。
A

### 例 1

在本例中，我们实现了 flush()方法来刷新给定的[`PipedWriter`](https://www.studytonight.com/ava-file-io/java-pipedwriter-class)流，并强制从任何缓冲输出中写入字符。

```java
import java.io.IOException;
import java.io.PipedReader;
import java.io.PipedWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		int val = 65;
		try 
		{
			PipedWriter pipedWriter = new PipedWriter();
			PipedReader pipedReader = new PipedReader();

			pipedWriter.connect(pipedReader);

			for (int i = 0; i < 3; ++i) 
			{
				pipedWriter.write(val);
				val++;
			}

			pipedWriter.flush();

			for (int i = 0; i < 3; ++i) 
			{			
				char ch = (char) pipedReader.read();
				System.out.print("" + ch);
			}

			pipedWriter.close();
			pipedWriter.close();
		} 
		catch (Exception e) 
		{
			System.out.println("Error: "+e.toString());
		}
	} 
}
```

ABC

### 结论:

在本教程中，我们学习了 flush()方法，该方法用于刷新此[`PipedWriter`](https://www.studytonight.com/ava-file-io/java-pipedwriter-class)流，并强制从任何缓冲输出中写入字符。

* * *

* * *