# Java `PipedReader.connect()`方法

> 原文：<https://www.studytonight.com/java-file-io/pipedreader-connect-method-in-java>

在本教程中，我们将在 [Java](https://www.studytonight.com/java/) 中学习[`PipedReader`](https://studytonight.com/java-file-io/java-pipedreader)。当该`PipedReader` 先前没有连接到任何其他`PipedWriter`时，该方法用于使该`PipedReader` 连接到给定的`PipedWriter` (源)。

### 语法:

这是管道`Writer`类的连接方法的语法声明，它接受管道编写器的对象作为源，但是这个方法不返回任何东西。

```java
public void connect(PipedWriter source);
```

## 示例:用 Java 连接 PipReader

在本例中，我们将了解 connect()方法是如何工作的，我们使用该方法将`PipedWriter`与管道检测器连接起来，换一种方式，我们可以说该方法使管道读取器连接到`PipedWriter` src。

```java
import java.io.PipedReader;
import java.io.PipedWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			PipedReader reader = new PipedReader(); 
			PipedWriter writer = new PipedWriter(); 
			reader.connect(writer); 

			writer.write(72); 
			System.out.println((char)reader.read()); 
			writer.write(69); 
			System.out.println((char)reader.read()); 
			writer.write(76); 
			System.out.println( (char)reader.read());   
			writer.write(76); 
			System.out.println( (char)reader.read());   
			writer.write(79); 
			System.out.println( (char)reader.read());   
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
} 
```

H E L L O

## 示例:用 Java 连接 PipReader

在这里，我们实现了管道检测器类的连接方法，我们使用这个方法来连接管道检测器和管道检测器。换句话说，我们可以说这个方法使管道读取器连接到`PipedWriter` src。

```java
import java.io.PipedReader;
import java.io.PipedWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			PipedReader reader = new PipedReader(); 
			PipedWriter writer = new PipedWriter(); 
			reader.connect(writer); 
			char[] arr = {'H', 'E', 'L', 'L', 'O'}; 
			writer.write(arr, 0, 5); 
			while(true) 
			{ 
				System.out.print((char) reader.read());           
			} 
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
} 
```

你好

### 结论

在本教程中，我们学习了`PipedReader` 类的`connect()` 方法，该方法用于在此`PipedReader`先前未连接到任何其他`PipedWriter`时，使此`PipedReader` 连接到给定的`PipedWriter` (源)。

* * *

* * *