# Java `PipedReader.ready()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-pipedreader-ready-method>

在本教程中，我们将在 [Java](https://www.studytonight.com/java/) 中学习[管道工具](https://www.studytonight.com/java-file-io/java-pipedreader)类的`ready()`方法。此方法验证此管道检测器流是否准备好读取。如果循环缓冲区不为空，管道字符流就准备好了。它是一个非静态方法，在 java.io 包中可用，只能用类对象访问，试图用类名访问它会抛出一个 IOException。

### 句法

这是此方法的语法声明。它不接受任何参数，如果流准备好被读取，它返回`true`，否则它返回`false`。

```java
public boolean ready()
```

## 示例:检查管道清洁器是否准备好

在下面的例子中，我们正在检查给定的管道检测器是否准备好读取，这里这个方法返回的真值表示给定的方法是读取的。

```java
import java.io.PipedReader;
import java.io.PipedWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			PipedWriter pipedWriter=new PipedWriter();  
			PipedReader pipedReader=new PipedReader(pipedWriter);  
			pipedWriter.write("Hello Studytonight");  
			System.out.println("PipedReader is ready: "+pipedReader.ready());
			pipedReader.close();  
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

`PipedReader`准备好了:真

## 示例 2:检查管道清洁器是否准备好

在下面的例子中，我们正在检查给定的管道检测器是否准备好读取，这里这个方法返回一个假值，所以我们可以清楚地说给定的管道检测器没有准备好读取数据。

```java
import java.io.PipedReader;
import java.io.PipedWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			PipedWriter pipedWriter=new PipedWriter();  
			PipedReader pipedReader=new PipedReader(pipedWriter);  
			boolean status = pipedReader.ready();
			System.out.println("pipedReader.ready(): " + status);
			pipedReader.close();
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

PipeDrader . ready():false

### 结论

在本教程中，我们在 [Java](https://www.studytonight.com/java/) 中学习了[管道工具](https://www.studytonight.com/java-file-io/java-pipedreader)类的`ready()`方法。用于检查该管道检测器流是否准备好被读取。如果准备好了，它返回，不阻塞下一个`read()`的流，否则，它返回`false`。

* * *

* * *