# Java `PipedReader.close()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-pipedreader-close-method>

在本教程中，我们将在 [Java](https://www.studytonight.com/java/) 中学习[移液器](https://www.studytonight.com/java-file-io/java-pipedreader)类的`close()`方法。该方法属于`java.io` 包，用于关闭该 PipedReader 流，释放所有与该流链接的系统资源。

### 句法

这是 close()方法的语法声明，此方法不接受任何参数，也不返回任何参数，但它可能会在关闭流时引发异常。

```java
public void close() throws IOException 
```

## 示例:在 Java 中关闭`PipedReader`实例

在本例中，我们演示了`close()`方法的使用，当我们从流中读取数据时，我们使用`close()`方法关闭该流。调用此函数后，所有与流相关的资源都会被释放，在此之后我们就不能使用流了。

```java
import java.io.PipedReader;
import java.io.PipedWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			PipedWriter pipedWriter=new PipedWriter();  
			PipedReader pipedReader=new PipedReader(pipedWriter);  
			pipedWriter.write("Hello Studytonight");  
			System.out.println("Closing pipedReader");  
			pipedReader.close();  
			System.out.println("Done!");
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

关闭清管器
完成！

## 示例:在 Java 中关闭`PipedReader`实例

在下面的程序中，我们在使用`PipedReader` 之前关闭它，所以它会抛出一个错误:`java.io.IOException: Pipe closed`，因为所有与之链接的资源都消失了，所以它不会正常工作。

```java
import java.io.PipedReader;
import java.io.PipedWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			PipedWriter pipedWriter=new PipedWriter();  
			PipedReader pipedReader=new PipedReader(pipedWriter);  
			pipedReader.close();  

			pipedWriter.write("Hello Studytonight");  
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

错误:java.io.IOException:管道关闭

### 结论

在本教程中，我们学习了`close()`方法[pipeldreader](https://www.studytonight.com/java-file-io/java-pipedreader)类，该方法属于`java.io` 包，用于关闭该 pipeldreader 流并释放所有与该流链接的系统资源。

* * *

* * *