# Java `StringWriter.write()`方法

> 原文：<https://www.studytonight.com/java-file-io/stringwriter-write-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [StringWriter](https://www.studytonight.com/java-file-io/java-stringwriter-class) 类的`write()` 方法。正如我们之前了解到的，这个类用于在流上写数据，这些 overloadings write()方法是写数据最重要的方法。此方法将数据写入流。

### 句法

这是 write()方法的语法声明，这个方法不返回任何东西。

```java
public void write(String str,int off,int len)
```

### 例 1

在本例中，我们将演示在 StringWriter 类中使用 write 方法。这里我们将三个参数作为输入，这些参数是字符串的来源、偏移量(它是开始读取源数据的位置)和字符串的长度。当我们根据参数调用此方法时，它会将字符串写入缓冲区。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		String str = "Hello Studytonight";
		StringWriter stringWriter = new StringWriter();

		stringWriter.write(str, 0, 5);

		System.out.println("" + stringWriter.toString());
	} 
}
```

你好

### 例 2

在本例中，我们使用 write()方法的重载方法之一，该方法接受单个字符作为参数，并将其写入流。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		StringWriter stringWriter = new StringWriter();

		stringWriter.write('A');

		System.out.println("" + stringWriter.toString());
	} 
}
```

A

### 例 3

在本例中，我们将演示在 StringWriter 类中使用 write 方法。这里我们将三个参数作为输入，这些参数是 char 数组的来源、偏移量(它是开始读取源数据的位置)和字符串的长度。当我们根据参数调用此方法时，它会将特定范围的字符数组写入缓冲区。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		char arr[] = {'S', 't', 'u', 'd', 'y', 't', 'o', 'n', 'i', 'g', 'h', 't'};
		StringWriter stringWriter = new StringWriter();

		stringWriter.write(arr, 0, 5);

		System.out.println("" + stringWriter.toString());
	} 
}
```

学习

### 结论

在本教程中，我们学习了 Java 中 [StringWriter](http://www.studytonight.com/tutorials/?subject=java-file-io&url=java-stringwriter-class) 类的 write()方法。该方法用于将数据写入流中，并与其他重载方法一起提供对源数据的切片和范围的灵活性。

* * *

* * *