# Java `StringWriter.toString()`方法

> 原文：<https://www.studytonight.com/java-file-io/stringwriter-tostring-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [StringWriter](https://www.studytonight.com/ava-file-io/java-stringwriter-class) 类的 `toString()`方法。该方法用于用字符串表示缓冲区电流值。该方法在`java.io`包中提供。这是一个非静态方法，只能用类对象访问，如果我们试图用类名访问这个方法，那么我们会得到一个错误。

### 句法

这是 toString()方法的语法声明，它不接受任何参数并返回一个字符串。

```java
public String toString(); 
```

### 例 1

在本例中，我们将看到如何使用`toString()`方法将数据写入`StringWriter`。当我们调用 toString()方法时，它将提取缓冲区的当前值，并以字符串的形式返回。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		StringWriter stringWriter = new StringWriter();  
		stringWriter.write("Hello Studytonight");  
		System.out.println("" + stringWriter.toString());
	} 
}
```

你好，今晚学习

### 例 2

在这个例子中，我们创建了一个 StringWriter 类的对象，然后我们调用 toString()方法来读取缓冲区的数据，它将以字符串格式返回缓冲区的值。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{ 
			StringWriter stringWriter = new StringWriter(); 

			String string = "Hello Studytonight"; 

			stringWriter.write(string); 

			System.out.println("String = "+ stringWriter.toString()); 
		} 
		catch (Exception e) 
		{ 
			System.out.println(e); 
		} 
	} 
}
```

字符串=你好今晚学习

### 结论

在本教程中，我们学习了 [Java](http://www.studytonight.com/java/) 中 [StringWriter](http://www.studytonight.com/java-file-io/java-stringwriter-class) 类的`toString()`方法。这个方法用来用字符串表示缓冲区的当前值。t 是一个非静态的方法，它只能用类对象访问，如果我们试图用类名访问这个方法，那么我们会得到一个错误。

* * *

* * *