# Java `StringWriter.getBuffer()`方法

> 原文：<https://www.studytonight.com/java-file-io/stringwriter-getbuffer-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [StringWriter](https://www.studytonight.com/java-file-io/java-stringwriter-class) 类的`getBuffer()`方法。此方法用于获取保存当前缓冲值的 StringBuffer。该方法在`java.io`包中提供。这是一个非静态方法，只能用类对象访问，如果我们试图用类名访问这个方法，那么我们会得到一个错误。

### 句法

这是`getBuffer()`方法的语法声明，不接受任何参数，返回`StringBuffer`。

```java
public StringBuffer getBuffer();
```

### 例 1

在这个例子中，我们实现了`StringWriter` 类的 `getBuiffer()` 方法。首先，我们使用`write()` 方法将文本写入`StringWriter` ，以验证我们使用的是`getBuffer()` 方法，它将返回`StringBuffer`。；

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		StringWriter stringWriter = new StringWriter();

		stringWriter.write("Hello Studytonight");

		System.out.println("" + stringWriter.getBuffer());
	} 
}
```

你好，今晚学习

### 例 2

下面是另一个例子来说明`getBuffer()` 方法是如何工作的。在将数据写入 StringWriter 之后，我们调用 getBuffer()方法，该方法将返回相应 StringWriter 持有的缓冲区。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{ 
			StringWriter writer = new StringWriter(); 
			String str = "Studytonight"; 
			writer.write(str); 
			StringBuffer stringBuffer = writer.getBuffer(); 

			System.out.println("StringBuffer = " + stringBuffer); 
		} 
		catch (Exception e) 
		{ 
			System.out.println(e); 
		} 
	} 
}
```

串缓冲=书房夜

### 结论

在本教程中，我们学习了`Java`中`StringWriter` 课的`getBuffer()`方法。此方法用于获取保存当前缓冲区值的 StringBuffer。此方法在 java.io 包中可用。

* * *

* * *