# Java `StringWriter.flush()`方法

> 原文：<https://www.studytonight.com/java-file-io/stringwriter-flush-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [StringWriter](https://www.studytonight.com/java-file-io/java-stringwriter-class) 类的`flush()` 方法。此方法用于刷新编写器，这意味着此方法将删除编写器中存在的所有数据。它既不接受任何参数，也不返回值。

### 句法

这是`flush()`方法的语法声明，这个方法不接受任何参数作为输入，也不返回任何东西，因为它的返回类型是 void。

```java
public void flush()
```

### 例 1

在下面的例子中，我们正在实现 `flush()`方法是如何工作的，这个方法用于从写入器中移除写入的数据，这里我们已经将数据写入到写入器中，然后我们通过调用 flush()方法来刷新它。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		StringWriter stringWriter = new StringWriter();

		String str = "Hello Studytonight";

		stringWriter.write(str);

		stringWriter.flush();

		System.out.println("" + stringWriter.toString());
	} 
}
```

你好，今晚学习

### 例 2

这里，我们实现了一个`flush()` 方法的例子来清除编写器。一旦我们将数据写入其中，我们就称之为 flush 方法。此方法用于刷新编写器，这意味着此方法将删除编写器中存在的所有数据。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try
		{ 
			StringWriter writer = new StringWriter(); 
			writer.write(65); 
			System.out.println(writer.toString()); 
			writer.flush(); 
		} 
		catch (Exception e)
		{ 
			System.out.println(e); 
		} 
	} 
}
```

A

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中 [StringWriter](https://www.studytonight.com/java-file-io/java-stringwriter-class) 类的`flush()` 方法。此方法用于刷新编写器，这意味着此方法将删除编写器中存在的所有数据。它既不接受任何参数，也不返回值。

* * *

* * *