# Java `StringWriter.close()`方法

> 原文：<https://www.studytonight.com/java-file-io/stringwriter-close-method-in-java>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [StringWriter](https://www.studytonight.com/java-file-io/java-stringwriter-class) 类的`close()`方法。此方法用于关闭此`StringWriter`流。当我们在关闭流后调用它的任何方法时，都不会产生异常。该方法在`java.io`包中提供。关闭编写器会释放其中的任何值或与之关联的任何资源。

### 句法

这是一个`close()` 方法的语法声明，它不接受任何参数，方法的返回类型是`void`，它什么也不返回。

```java
public void close()
```

### 例 1

这里，在这个例子中，我们将实现 close()方法，一旦我们创建了编写器，我们就执行工作，然后调用 close()方法来释放与编写器相关的相应资源。当我们在关闭流后调用它的任何方法时，都不会产生异常。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		String str = "Hello Studytonight"; 
		try
		{ 
			StringWriter writer = new StringWriter(); 
			writer.write(str); 

			System.out.println(writer.toString()); 

			writer.close(); 
		} 
		catch (Exception e)
		{ 
			System.out.println(e); 
		} 
	} 
}
```

你好，今晚学习

### 例 2

在这里，我们实现了 close()方法，在这个例子中，我们首先使用 write()方法向编写器写入数据，然后调用 close()方法来释放资源，当我们在关闭流后调用它的任何方法时都不会产生异常。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		try 
		{ 
			StringWriter writer = new StringWriter(); 
			writer.write(65); 
			System.out.println(writer.toString()); 

			writer.close(); 
		} 
		catch (Exception e) 
		{ 
			System.out.println(e); 
		} 
	} 
}
```

A

### 结论

在这个例子中，我们学习了 close()方法，这个方法用于关闭这个 StringWriter 流。当我们在关闭流后调用它的任何方法时，都不会产生异常。该方法在`java.io`包中提供。

* * *

* * *