# Java `StringWriter.append()`方法

> 原文：<https://www.studytonight.com/java-file-io/stringwriter-append-method-in-java>

在本教程中，我们将在 [Java](https://www.studytonight.com/java/) 中学习 [StringWriter](https://www.studytonight.com/java-file-io/java-stringwriter-class) 类的`append()`方法。这个方法用于将字符序列附加到现有的字符串写入器中，这个方法有另外三个重载方法来提供对字符序列进行切片和相应编写的灵活性。

### 句法

这是`append()`方法的语法声明，该方法接受`CharSequence`作为参数并返回 StringWriter。

```java
public StringWriter append(CharSequence csq)
```

### 例 1

在这个例子中，我们实现了我们正在使用的`append()`方法，该方法只接受一个字符并将其附加到编写器中。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		StringWriter stringWriter = new StringWriter();
		stringWriter.append('A');
		System.out.println("" + stringWriter.toString());
	} 
}
```

A

### 例 2

这里，在这个例子中，我们正在实现`StringWriter`类的另一个`append()`方法，这个方法接受`CharSequence` 并将其附加到现有的编写器中，这里我们可以看到使用`toString()`方法在 StringWriter 内部编写的`CharSequence`。

```java
import java.io.*;  
public class StudyTonight
{  
	public static void main(String[] args) 
	{  
		CharSequence csq1="study";  
		CharSequence csq2="tonight";  
		StringWriter printWriter=new StringWriter();  
		printWriter.append(csq1);  
		printWriter.append(csq2);  
		System.out.println(printWriter.toString());
	}  
} 
```

今晚学习

### 例 3

这里我们实现的是`append()`方法的另一个重载方法，这个方法接受三个参数，CharSequence 是数据的来源，起始索引和结束索引指定 CharSequence 的范围，然后将它追加到 StringWriter 中。

```java
import java.io.IOException;
import java.io.StringWriter;
class StudyTonight
{
	public static void main(String[] args) throws IOException 
	{ 
		StringWriter stringWriter = new StringWriter();
		CharSequence charSequence = "Hello Studytonight";
		stringWriter.append(charSequence, 0, 5);
		System.out.println("" + stringWriter.toString());
	} 
}
```

你好

### 结论

在本教程中，我们学习了`StringWriter`类的`append()`方法。此方法用于将字符序列追加到现有的字符串编辑器中。

* * *

* * *