# Java `DataInputStream.readInt()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-datainputstream-readint-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [DataInputStream](https://www.studytonight.com/java-file-io/java-datainputstream-class) 类的`readInt()`方法。此方法用于读取四个输入字节的数据值并返回一个整数值。

它从输入流中读取接下来的四个字节，并将它们解释为`Integer`类型。这是一个非静态方法，可在 **java.io** 包中获得。

### 句法

这是这个方法的语法。它不接受任何参数，并返回从当前输入流的下四个字节解释的整数值。

```java
public final int readInt() throws IOException
```

## 示例:使用 Java 中的`DataInputStream`读取整数

在这个例子中，我们实现了 readInt()方法来从文件中读取`Integer`类型的数据。这里，我们将运行循环，直到数据在文件中可用，一旦数据在文件中不可用，我们将停止从文件中读取数据。

```java
import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		FileInputStream inputStream  = new FileInputStream("E:\\studytonight\\output.txt"); 
		DataInputStream dataInputStream = new DataInputStream(inputStream); 
		while(dataInputStream.available()>0)
		{	           
            System.out.print(" "+dataInputStream.readInt());  
        }  
	}  
}
```

1 2 3 4 5

file //output.txt

```java
1 2 3 4 5
```

## 示例 2:使用 Java 中的 DataInputStream 读取整数数据

这里，我们使用`readInt()`方法从文件中读取数据，该示例与上面提到的示例相同，但是我们从读取数据的位置更改了文件。。示例文件中包含的数据显示在下面给出的文件中:

```java
import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		FileInputStream inputStream  = new FileInputStream("E:\\studytonight\\file.txt"); 
		DataInputStream dataInputStream = new DataInputStream(inputStream); 
		while(dataInputStream.available()>0)
		{	           
            System.out.print(" "+dataInputStream.readInt());  
        }  
	}  
}
```

10 20 30 40 50

file.txt

```java
10 20 30 40 50
```

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中 [DataInputStream](https://www.studytonight.com/java-file-io/java-datainputstream-class) 类的`read()`方法，该方法从当前输入流中读取数据值的下四个字节，并将其作为整数值返回。必须仅使用类对象来访问它，因为尝试使用类名访问它将引发 IOException。

* * *

* * *