# Java `DataInputStream.readChar()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-datainputstream-readchar-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [DataInputStream](https://www.studytonight.com/java-file-io/java-datainputstream-class) 类的`readChar()`方法。此方法用于读取两个输入字节(即 16 位)并返回一个字符值。它读取由[数据输出流](https://www.studytonight.com/java-file-io/java-dataoutputstream-class)类的`writechar()`方法写入的字符字节。

### 句法

这是这个方法的语法。它不接受任何参数，并返回由当前输入流的两个字节解释的带符号字符值。

```java
public final char readChar() throws IOException
```

## 示例:使用 Read char()方法读取字符

在这个例子中，我们正在实现`readChar()`方法，一次从文件中读取 16 位数据，首先我们检查流的指针是否在正确的位置，并且没有到达文件的末尾。这里，我们从文件中读取数据并在控制台上打印，作为参考，文件中的数据是在这个程序输出后给出的。

```java
import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		FileInputStream inputStream  = new FileInputStream("E:\\studytonight\\output.txt"); 
		DataInputStream dataInputStream = new DataInputStream(inputStream); 
		while(dataInputStream.available()>0)
		{	           
            System.out.print(" "+dataInputStream.readChar());  
        }  
	}  
}
```

A B C D E F

输出. txt
A B C D E F

## 示例:ReadChar()方法中的 EOFException

这里，我们面临一个异常，当我们在读取文件时到达文件的末尾时抛出。它抛出一个名为文件结束异常`EOFException.`的异常

```java
import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		FileInputStream inputStream  = new FileInputStream("E:\\studytonight\\output.txt"); 

		DataInputStream dataInputStream = new DataInputStream(inputStream); 

		System.out.print(" "+dataInputStream.readChar());          
	}  
}
```

线程“main”Java . io . eofexception
在 Java . base/Java . io . datainputstream . readchar(datainputstream . Java:369)
在今晚的学习中出现异常。study south . main(study south . Java:16)

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中 [DataInputStream](https://www.studytonight.com/java-file-io/java-datainputstream-class) 类的`readChar()`方法，该方法读取两个输入字节，并返回当前输入流的 [DataOutputStream](https://www.studytonight.com/java-file-io/java-dataoutputstream-class) 类的`writechar()`方法编写的一个字符值。

* * *

* * *