# Java `DataInputStream.readUTF()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-datainputstream-readutf-method>

在本教程中，我们将学习 [Java](https://www.studytonight.com/java/) 中 [DataInputStream](https://www.studytonight.com/java-file-io/java-datainputstream-class) 类的`readUTF()`方法。此方法用于读取使用修改的 UTF-8(统一文本格式)编码的字符串。字符串从 UTF 解码并作为字符串返回。

这是一个非静态方法，可在 **java.io** 包中获得。

### 句法

这是这个方法的声明。它不接受任何参数，并返回一个 Unicode 字符串。

```java
public final String readUTF()
```

## 示例 1:用 Java 阅读 UTF 字符

此方法用于读取由 UTF-8 编码的数据，此方法以字符串的格式返回数据，在本例中，它返回“Hello World”。

```java
import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		FileInputStream inputStream  = new FileInputStream("E:\\studytonight\\file.txt"); 

		DataInputStream dataInputStream = new DataInputStream(inputStream); 

		while(dataInputStream.available()>0) 
		{
			String k = dataInputStream.readUTF();           
			System.out.print(k+" ");
		}
	}  
}
```

你好世界

## 示例 2:用 Java 阅读 UTF 字符

当没有要从文件中读取的数据时，它将抛出一个异常，也称为文件结束异常，因为此时指针指向最后一个位置并将抛出`EOFException`。

```java
import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.IOException;
public class StudyTonight 
{
	public static void main(String[] args) throws IOException 
	{ 
		FileInputStream inputStream  = new FileInputStream("E:\\studytonight\\file.txt"); 
		DataInputStream dataInputStream = new DataInputStream(inputStream); 
		while(dataInputStream.available()>0) 
		{
			String k = dataInputStream.readUTF();           
			System.out.print(k+" ");
		}
	}  
}
```

执行绪「main」Java . io . eofeexception
at Java . base/Java . io . datainputstream . readfully(datainputstream . Java:201)
at Java . base/Java . io . datainputstream . read utf(datainputstream . Java:613)
at Java . base/Java . io . datainputstream . read utf(datainputstream . Java:568)】studytonight . main(studytonight . Java:16)

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中 [DataInputStream](https://www.studytonight.com/java-file-io/java-datainputstream-class) 类的`readUTF()`方法，该方法读取一个以 UTF-8 格式编码的字符串。字符串从 UTF 解码并作为字符串返回。

* * *

* * *