# Java `FilterWriter.flush()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-filterwriter-flush-method>

在本教程中，我们将学习`FilterWriter` 课中的`flush()`方法。`flush()`方法属于`java.io` 包，用于从该 FilterWriter 流中清除字符串。这个方法是一个非静态的方法，它只能用类对象访问，如果我们试图用类名访问这个方法，那么我们会得到一个错误。此方法可能会在刷新流时引发异常。

### 句法

这是 flush 方法的语法声明。此方法将清空字符串。

```java
public void flush()
```

> ![enlightened](img/bcefbc0bebd753ed2a05f55c0b74d9f0.png "enlightened") **IOException** :当得到任何输入输出错误时，这个异常可能会抛出。

## 冲洗()方法的示例

在下面的示例中，我们使用 flush()方法从 FilterWriter 中清除字符串。

```java
import java.io.FilterWriter;
import java.io.StringWriter;
import java.io.Writer;
public class StudyTonight
{
	public static void main(String[] args) 
	{
		try
		{
			Writer writer = new StringWriter(10);
			FilterWriter filterWriter = new FilterWriter(writer) {};
			filterWriter.write('S');
			filterWriter.write('t');
			filterWriter.write('u');
			filterWriter.write('d');
			filterWriter.write('y');
			filterWriter.flush();
			String str = writer.toString();
			System.out.println(str);
			filterWriter.flush();
		}
		catch(Exception e)
		{
			System.out.println("Exception: "+e.toString());
		}

	}
}
```

学习

这个方法是非静态方法，如果我们试图用类名调用它，它会导致一个错误:

```java
FilterWriter.flush();
```

线程“main”Java . lang . error:未解决的编译问题:
无法从 FilterWriter 类型对非静态方法 flush()进行静态引用

### 结论

在本教程中，我们学习了 [Java](https://www.studytonight.com/java/) 中[`FileWriter`](https://www.studytonight.com/java-file-io/java-filewriter-class)类的`flush()`方法，该方法用于从`FileWriter`流中清除字符串。它是一个非静态方法，在 java.io 包中可用，只能用类对象访问，试图用类名访问它会导致错误。

* * *

* * *