# Java `FilterWriter.write()`方法

> 原文：<https://www.studytonight.com/java-file-io/java-filterwriter-write-method>

在本教程中，我们将从 [Java](https://www.studytonight.com/java/) 中的`FilterWriter` 类学习`write()` 方法。我们使用 write()方法将数据写入 FilterWriter，我们有三种不同的 write()方法重载方法。

### 句法

该方法有三种重载形式，以支持各种数据及其切片部分。

这个重载方法将接收三个参数，一个字符数组，偏移量表示数据中的起始位置，最后一个参数表示数据的长度，这样它就写入了字符数组的一部分。

```java
void write(char[] cbuf, int off, int len)
```

这是另一个重载方法，它将一个整数作为字符的 ASCII 码，并将其写入流，它只写入一个字符。

```java
void write(int c)
```

这是另一个重载方法，它将接受字符串作为源数据，偏移量作为开始写入的起始位置以及要写入文件的数据长度。

```java
void write(String str, int off, int len)
```

## write()方法示例

在下面的程序中，我们从字符串数组 str 中写入数据，因为我们传递了偏移值 2，所以它将在跳过 0、1 和 2 个索引后从读取第三个索引开始，文本长度将为 8 个字符。

```java
import java.io.FileWriter;
import java.io.FilterWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			char str[]={'s', 't', 'u', 'd', 'y', 't', 'o', 'n', 'i', 'g', 'h', 't'};
			FileWriter fileWriter = new FileWriter("E:\\studytonight\\output.txt");         
			FilterWriter filterWriter = new FilterWriter(fileWriter) {};             
			filterWriter.write(str, 2, 8);  
			filterWriter.close();  
			System.out.println("Data is written to the file successfully...");
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

数据成功写入文件...

输出. txt

udytonig

## write()方法示例

在这个例子中，我们看到最简单的重载方法 write()，它将接受整数作为 ASCII 代码，并将它写入输出流。

```java
import java.io.FileWriter;
import java.io.FilterWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			FileWriter fileWriter = new FileWriter("E:\\studytonight\\output.txt");         
			FilterWriter filterWriter = new FilterWriter(fileWriter) {};             
			filterWriter.write(65);  
			filterWriter.close();  
			System.out.println("Data is written to the file successfully...");
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

数据成功写入文件...

输出. txt

A

## write()方法示例

这个例子类似于第一个例子，我们使用了字符数组，唯一的区别是这里我们使用了字符串而不是数组，我们传递 2 作为 ana 偏移量，8 是要写入输出流的字符串长度。

```java
import java.io.FileWriter;
import java.io.FilterWriter;
public class StudyTonight 
{
	public static void main(String args[])
	{
		try
		{
			String str = "studytonight";
			FileWriter fileWriter = new FileWriter("E:\\studytonight\\output.txt");         
			FilterWriter filterWriter = new FilterWriter(fileWriter) {};             
			filterWriter.write(str, 2, 8);  
			filterWriter.close();  
			System.out.println("Data is written to the file successfully...");
		}
		catch(Exception e)
		{
			System.out.println("Error: "+e.toString());
		}
	}
}
```

数据成功写入文件...

输出. txt

```java
udytonig
```

### 结论

在本教程中，我们学习了 Java 中 FilterWriter 的 write()方法。这个方法有三种重载方法，`void write(char[] cbuf, int off, int len)`、`void write(int c`)和`void write(String str, int off, int len)`方法。

* * *

* * *