# Linux 中的`wget`命令

> 原文：<https://www.studytonight.com/linux-guide/wget-command-in-linux>

Wget 是 Linux 中的一个实用命令，用于从 web 下载文件。我们可以用它从 HTTP、HTTPS 或 FTP 服务器下载文件。

我们也可以用它来下载一个网站。它提供了几个选项，可以根据需要下载文件。所以，让我们开始学习。

## 在 Linux 中使用 wget 下载一个文件

您可以使用此命令从网站下载文件。您可以使用命令传递文件路径，无需任何选项。这是一个简单的命令，在文章的后面，我们将学习使用 flag/options。

```sh
$ wget https://www.mysite.com/filename.zip
```

该实用程序预装在所有 Linux 发行版中，但如果不可用，请使用这些命令下载。

## 在 Ubuntu 和 Debian 上安装 Wget

```sh
$ sudo apt install wget
```

## 在 CentOS 上安装 Wget

如果您使用的是 CentOS 操作系统，请使用此命令下载并安装 wget。

```sh
$ sudo yum install wget
```

## 在 Fedora 上安装 Wget

如果您使用的是 Fedora 操作系统，请使用此命令下载并安装 wget。

```sh
$ sudo dnf install wget
```

###`wget`命令语法

这是 Linux 中`wget`命令的一般结构。

```sh
$ wget [option] [url]
```

## 如何用 wget 下载文件

要从网站下载文件，请使用带有文件位置的`wget`命令。它会将文件存储在您计算机的当前目录中。

```sh
$ wget https://www.mysite.com/filename.zip
```

## 用不同的名称保存下载的文件

如果您想为下载的文件设置一个新名称，那么使用`wget`命令的`-o`选项。默认文件以原始名称下载，如果已经存在同名文件，可能会导致覆盖。

```sh
$ wget -O latest-hugo.zip https://github.com/gohugoio/hugo/archive/master.zip
```

## 将文件下载到特定目录

如果您想将下载的文件存储在当前目录以外的目录中，请使用`wget`命令的`-p`选项。给定的命令

```sh
$ wget -P /mnt/iso https://releases.ubuntu.com/20.04.2.0/ubuntu-20.04.2.0-desktop-amd64.iso
```

## 限制下载速度

该命令提供了设置下载速度限制的选项，以便您可以根据需要调整下载。限速选项可以做到这一点。您可以将该值作为 1m(1 Mb)、10k(10 kb)等传递。

```sh
wget --limit-rate=1m https://dl.google.com/py/g52.14.1.linux-amd64.tar.gz
```

## 恢复下载

有时下载会因为网络不良或任何其他原因而停止，请不要担心，您可以使用`wget`命令的`-c`选项恢复下载。该命令将要求服务器从停止的位置开始。

```sh
$ wget -c https://releases.ubuntu.com/20.04.2.0/ubuntu-20.04.2.0-desktop-amd64.iso
```

## 后台下载

如果你想把下载过程放在后台，那么使用-b 选项和命令，它会隐藏这个过程并在后台继续。

```sh
wget -b https://releases.ubuntu.com/20.04.2.0/ubuntu-20.04.2.0-desktop-amd64.iso
```

## 通过文件传输协议下载

从 FTP 服务器下载需要用户名和密码以及`wget`命令。因此，请提供适当的有效凭据来下载文件。

```sh
wget --ftp-user=FTP_USERNAME --ftp-password=FTP_PASSWORD ftp://ftp.mysite.com/filename.tar.gz
```

## 创建网站的镜像

如果您想下载任何网站的副本，请使用命令的`-m`选项。它会将站点的镜像下载到您的本地计算机上。

```sh
wget -m https://mysite.com
```

## 结论

wget 是 Linux 中的一个命令，它有助于从网上下载文件。它允许从 HTTP、HTTPS 和 FTP 服务器下载文件。我们可以用它来下载当前目录或不同目录下的文件，在后台下载，甚至可以通过命令使用一个特殊的标志来控制下载速度。

* * *

* * *