# 如何更改文件所有权

> 原文：<https://www.studytonight.com/linux-guide/how-to-change-file-ownership-chown>

Linux 是一个多用户操作系统，有时我们在公共文件夹中有所有用户都可以访问的文件。为了维护安全性以及处理数据访问，Linux 使用所有权。同样，您拥有的对象不能被其他任何人访问，除非上级给予权限，Linux 使用`chown`(更改所有者)命令确保您的文件只被指定的用户或组访问。有了一些经验`chown`甚至可以用来设置文件的组。

### `chown`语法

```sh
chown [OPTION]... [OWNER][:[GROUP]] FILE...
chown [OPTION]... --reference=RFILE FILE...
```

## 与`chown`一起使用的常用选项

| 

[计]选项

 | 

描述

 |
| --- | --- |
| -c-变化 | 就像一个冗长的报告，但只有在发生变化时才报告 |
| 安静，安静 | 隐藏大多数错误消息 |
| -v，-冗长 | 为每个处理的文件输出诊断 |
| -参考=RFILE | 引用并应用 RFILE 所有权 |
| -R，-递归 | 递归地将权限应用于文件和目录 |

要对文件进行任何编辑并观察更改，让我们看看文件的当前所有者。

## 文件所有者详细信息:

```sh
ls -l fileName
```

![List File Ownership](img/dfc15525b242b8d4779131542057d369.png)

这里的“`delta`”分别是“`.bashrc`”文件所属的所有者、和组。

## 将所有权变更给其他用户

1.  使用命令`adduser userName`创建一个新用户，通过在命令前面加上`sudo`来使用 sudo 权限，或者通过启动一个提升的 shell，使用命令`sudo -s`来登录，并启动一个交互 shell(一个交互 shell 在提示的末尾有`#`，而不是通常的`$`)。

2.  使用命令`ls -l fileName`列出文件信息。

3.  要更改文件所有权，请运行`chown <userName|userID> fileName`。

4.  要查看是否已经进行了更改，我们可以再次运行`ls -l fileName`，或者我们可以根据所需的详细程度和用例，在`chown`命令中使用`-c`或`-v`标志。![chown example](img/60ba09b34b9f67db01fc3b232c9f6773.png)

## 更改集团所有权，并使用`chown`选项

1.  我们已经看到了如何编辑文件的所有者用户。使用`chown`命令，组所有权的一些特殊情况如下
    1.  我们可以使用以下格式的命令来更改我们的组

        ```sh
        chown [OPTION]... :[GROUP] FILE...
        ```

        这将只改变指定文件的组。

    2.  同时更改用户和组的所有权

        ```sh
        chown [OPTION]... [USER]: FILE... # When Group is to be made login group of User
        chown [OPTION]... [USER]:[GROUP] FILE... # When User, and Group are to be explicitly changed
        ```

        ![Changing User and Group both](img/b86a7a2eb0f79fc74c07350e783dff61.png)

2.  带`-c`标志的`chown`(如有变更，报告)![chown -c example](img/48e60666bd21c6814c9083b2ff7d1cd1.png)

3.  `chown`带有`-v`标志(报告所有更改和错误)和`--reference`标志(对所有作为参数传递的文件使用引用的文件所有权)![chown -v, and --ref example](img/867fd032717e3c4d1938e1c90152b680.png)

## 结论

我们已经看到了如何在基于*nix 的操作系统上，在终端中使用`chown`来操纵所有权和确保文件的安全性。我们还介绍了合适的日常需求选项，并举例说明了命令的使用。

`chown`也可以用来操纵组所有权，正如 1.1 中上一节所规定的，当这样使用时，`chown`的行为类似于`chgrp`。

* * *

* * *