# 如何在 Linux 中创建文件？

> 原文：<https://www.studytonight.com/linux-guide/how-to-create-a-file-in-linux>

当您使用 Linux 操作系统或任何风格的 Linux(如 Ubuntu、CentOS 等)并想要创建一个新文件时，您可以使用`touch`命令或`cat`命令或使用编辑器(如 **vim** 和 **nano** 等)来创建，这些在您的 Linux 安装中可能可用，也可能不可用，但您可以尝试。

在本教程中，我们将从最基本的方法开始介绍所有这些方法，然后继续介绍在 Linux 中创建文件的一些特定场景。

## 使用`touch`命令:

如果只是想创建一个没有内容的文件，那么可以使用`touch`命令在 Linux 中创建一个文件。

如果您想创建一个名为**study now . txt**的文件，那么运行以下命令:

```sh
touch studytonight.txt
```

执行这个命令不会给出任何输出，只会在当前目录下创建一个名为**study now . txt**的新文件。您可以通过运行`ls`命令列出目录中存在的文件来验证这一点。

```sh
ls -l
```

-rw-rw-r - 1 没人没人 0 7 月 2 日 16:11 今晚学习

我们也可以使用`touch`命令创建多个文件:

```sh
touch file1.txt file2.txt file3.txt
```

如果您想在此文件中添加任何内容/文本，可以使用 **Vim** 或 **Nano** 编辑器。

## 使用`cat`命令

现在让我们看看创建文件的第二种方法，这次是在其中包含一些内容。如果你想在 Linux 中创建一个文件，里面有一些内容，那么使用`cat`命令是一个很好的选择。

```sh
cat > studytonight.txt
```

然后输入想要添加到文件中的内容，如“ *Hello World！*”或其他，然后按 **CTRL + D 保存文件**退出。

同样，您可以使用`ls`命令查看文件是否已创建。要查看文件的内容，您可以再次使用`cat`命令，但不要使用尖括号。

```sh
cat studytonight.txt
```

你好世界！

## 使用代码编辑器，如 Vim 或 Nano

我们还可以使用 Linux 操作系统中可用的代码编辑器来创建和编辑文件。要检查您是否安装了这些编辑器，请在您的终端中键入`nano`或`vim`。

### 使用纳米编辑器创建文件:

要使用 nano 编辑器在 Linux 中创建新文件，请使用以下命令:

```sh
# nano /path/to/file/name-of-file.extension
nano test.txt
```

上面的命令将打开 Nano 编辑器来创建一个新文件，现在你可以键入你想要添加到你的文件中的文本。完成后，**按 CTRL + X，**这是**退出**的命令，编辑会让你**保存文件**，然后**按 Y 键**确认，你的新文件就被保存了。

### 使用 Vim 编辑器创建文件:

要使用 vim 编辑器在 Linux 中创建新文件，请使用以下命令:

```sh
vim test.txt
# or vi text.txt also works
```

上面的命令会创建一个空文件，**向里面插入文本，先按 I** ，然后输入文本，一旦完成，**按 ESCAPE** 退出插入模式，然后输入 **:wq！**点击**进入**。是的，这个有点难用。

## 结论:

在本文中，我们介绍了在 Linux 中创建文件的不同方法。您可以创建一个空文件或带有一些文本的文件，甚至可以使用我们刚刚讨论的编辑器 Nano 和 Vim 编辑现有文件。

* * *

* * *