# 如何在 Linux 中创建目录(`mkdir`命令)

> 原文：<https://www.studytonight.com/linux-guide/how-to-create-directory-in-linux-mkdir-command>

在 Linux 中，如果你想创建一个新的目录，你可以使用`mkdir`命令。`mkdir`命令用于**在 Linux 中创建一个目录**。

在进入我们如何创建目录(或者用 Windows 术语来说——一个文件夹)之前，首先让我们看看`mkdir`命令是如何工作的。

## 使用`mkdir`命令

以下是`mkdir`命令的语法:

```sh
mkdir [OPTION] [DIRECTORY]
```

使用`mkdir`命令时，我们可以提供一些选项和一个或多个目录的**路径。**

要查看可用选项，您可以在 yout 终端中运行以下命令:`mkdir --help`

现在让我们看看如何在 Linux 中使用`mkdir`命令创建一个目录。

## 创建目录

我们将从使用`mkdir`命令创建一个目录开始:

```sh
mkdir studytonight
```

上述命令将在当前工作目录中创建一个名为**study night**的新目录。您可以使用`ls`命令列出当前目录中的文件和目录。

```sh
ls -l
```

drwxrwxr-x 2 没人没人 6 7 月 2 日 17:29 今晚学习

默认情况下，**目录在当前目录**内创建。如果我们想在其他位置创建目录，那么我们可以在创建目录时提供完整的路径。

我们举个例子吧。假设我们有一个目录结构:

*home:
-some user:
-learn-Linux
-test-Linux*

我们目前在目录*中，某个用户*想要在目录 *test-linux* 中创建一个名为 **sample** 的新目录，我们可以使用以下命令:

```sh
mkdir text-linux/sample
```

让我们再创建一个目录。考虑到您当前位于目录 *test-linux* 中，并且想要在目录 *learn-linux* 中创建一个名为 **sample** 的目录，我们可以使用以下命令来完成:

```sh
mkdir ../learn-linux/sample
```

开头的**两个点**代表我们要移出*测试-linux* 目录，然后进入*学习-linux* 目录，在那里创建一个名为**样本**的目录。

<u>**注意:**</u> 创建目录时，如果您没有访问任何位置，并且试图在那里创建目录，您可能会出现**权限被拒绝错误**。

## 与父目录一起创建目录

如果我们想要创建一个目录结构，例如在上面给定的目录结构中，如果您当前在 *someuser* 目录中，并且您想要在目录 **practice-linux** 中创建一个目录**示例**，您会怎么做？注意，**我们在*中没有练习-linux 目录，有些用户*目录**中没有练习-Linux 目录。

我们也可以使用`mkdir`命令创建父目录，同时使用`-p`选项创建目录。

让我们看看这是如何工作的，

```sh
mkdir -p practice-linux/sample
```

当我们运行上面的命令时，一个新的目录**练习-linux** 将被创建，并且在其中一个**样本**目录也将被创建。这就是`mkdir`命令的`-p`选项的神奇之处。

同样，您可以使用-p 选项创建多级父目录。

## 创建多个目录

如果我们想一次创建多个目录，我们可以使用`mkdir`命令轻松完成。

```sh
mkdir dir1 dir2 dir3
```

上面的命令将在当前目录中创建 3 个目录。

drwxrwxr-x 2 没人没人 6 7 月 2 日 17:50 dir1
drwxrwxr-x 2 没人没人 6 7 月 2 日 17:50 dir2
drwxrwxr-x 2 没人没人 6 7 月 2 日 17:50 dir3

看看有多简单。同样，您可以通过运行一个命令来提供不同的路径，以便在不同的位置创建多个目录。

## 使用自定义权限创建目录

当我们在 Linux 中使用`mkdir`命令创建目录时，分配给它的默认模式/权限是 **755，这意味着所有人都有读取和执行权限**，但不是每个人都可以写入这个目录。如果您想提供自定义权限，如 700，或 644，甚至更严格的 444，我们可以使用`mkdir`命令使用`-m`选项(**代表模式**)来实现。

这里有一个例子，

```sh
mkdir -m 444 dir1
```

没人没人没人没人

这将创建一个具有 444 模式/权限的新目录，您可以在代表权限的输出 **dr - r - r -** 的开头看到。我们可以使用 Linux 中的 chmod 命令来更改任何目录或文件的权限。

## 结论

在本教程中，我们介绍了如何在 Linux 中创建一个目录或创建多个目录。我们还学习了如何在父目录不存在的情况下创建父目录以及创建目录。

* * *

* * *