# Linux `tail`命令

> 原文：<https://www.studytonight.com/linux-guide/linux-tail-command>

**尾部**命令显示一个或多个文件或管道数据的最终部分(默认为 10 行)。它还可以用来实时监控文件的变化。

tail 命令最典型的**应用之一**是观察和分析日志和其他随时间变化的文件，通常与 grep 等附加工具配对。
本教程将教你如何使用 Linux tail 命令以及**实用的**例子和最常见的 tail 参数的大量解释。

## `tail`命令语法

在深入研究如何利用尾部**命令**之前，让我们从检查基本语法开始。

`tail`命令**表达式**采用以下形式:

```sh
tail [OPTION]... [FILE]...
```

**选项** -尾部选项。我们将在以下几节中讨论最常见的可能性。
**文件** -零个或多个输入文件名。如果没有提供文件，或者当文件为-时，tail 将读取标准输入。

## 如何使用`tail`命令

在最简单的形式中，**尾**命令在没有任何参数的情况下使用时将显示前 10 行。

```sh
tail filename.txt
```

## 如何显示特定的行数

使用-n(—线)选项选择要显示的线的**号**:

```sh
tail -n <NUMBER> filename.txt
```

或者，您可以跳过字母 n，直接使用**连字符** (-)和数字(中间没有空格)(中间没有空格)。

显示名为**文件名**的文件的最后 50 行。txt，您可以使用:

```sh
tail -n 50 filename.txt
```

以下示例将产生与上述命令相同的结果:

```sh
tail -50 filename.txt 
```

## 如何显示特定的字节数

使用-c(—字节)选项**显示**指定的字节。

```sh
tail -c <NUMBER> filename.txt 
```

例如，要显示名为 filename.txt 的文件中最后 500 个字节的数据，可以使用:

```sh
tail -c 500 filename.txt
```

您也可以在数字后添加一个乘数**后缀**，以定义要显示的字节数。b 乘以 512，kB 乘以 1000，K 乘以 **1024** ，MB 乘以 1000000，M 乘以 1048576，以此类推。

以下程序将显示文件 **filename.txt** 的最后两千字节(2048):

```sh
tail -c 2k filename.txt 
```

## 如何查看文件中的更改

要查看**文件**的更改，请使用-f(—跟随)选项:

```sh
tail -f filename.txt 
```

该功能对于**监控**日志文件非常方便。例如，要显示最新的 10 行 **/var/log/nginx/error.log 文件**，并监控文件中您将使用的更改:

```sh
tail -f /var/log/nginx/error.log 
```

要在查看文件时中断`tail`命令，请使用**Ctrl+c**

要在文件**重新生成**时监控文件，请使用-F 选项。

```sh
tail -F filename.txt 
```

当尾部**命令**正在跟踪旋转的日志文件时，该选项很有帮助。与-F 选项一起使用时，当文件再次变为**可访问**时，tail 命令将重新打开文件。

## 如何显示多个文件

如果向**尾**命令提供了许多文件作为输入，它将显示每个文件的最近 10 行。

```sh
tail filename1.txt filename2.txt 
```

您可以使用与显示单个文件时相同的**参数**。

此示例显示文件文件名 1.txt 和文件名 2.txt 的最后 20 行:

```sh
tail -n 20 filename1.txt filename2.txt
```

## 如何在其他命令中使用 Tail

`tail`命令可以通过管道将标准输出从其他公用设施转移到其他公用设施，与其他**命令**一起使用。

例如，要监视 apache 访问日志文件并仅显示包含 IP 地址 **192.168.42.12、**的行，您可以使用:

```sh
tail -f /var/log/apache2/access.log | grep 192.168.42.12 
```

以下 ps 命令将列出按 **CPU** 使用情况排序的前 10 个运行进程:

```sh
ps aux | sort -nk +3 | tail -5 
```

## 结论

到目前为止，您应该已经对如何利用 **Linux `tail`命令有了相当的了解。**是对 head 命令的补充，head 命令将第一行发布到终端。

* * *

* * *