# 如何更改文件或目录的权限

> 原文：<https://www.studytonight.com/linux-guide/how-to-changes-the-permissions-of-a-file-or-directory>

在本教程中，我们将学习如何在 Linux 中更改文件或目录的访问权限。在继续学习本教程之前，您应该首先对 Linux 中的[文件权限有一个基本的了解。](https://www.studytonight.com/linux-guide/understanding-file-permissions-in-linux-unix)

Linux 中的文件权限可以用来限制对任何文件或目录的访问。我们还可以向任何用户提供特定的权限，如**只读**、**读写、**或**读写执行**权限。

我们将使用`chmod`命令来处理 Linux 中文件和目录的权限。

## Linux `chmod`命令

每当我们在 Linux 中创建新的文件或目录时，默认情况下，会为该文件/目录配置一些权限，这决定了谁(创建该文件的用户、任何来宾用户或其他人)可以访问该文件或目录以及以何种模式访问，如**只读模式**、**读写更多**或**读写执行模式**。

现在，如果您想更改任何文件的访问模式，限制对它的访问或允许对它的自由访问，我们可以通过使用 Linux 中的`chmod`命令来实现。

### 句法

```sh
chmod [Options] [Mode] [File]chmod [Options] [Mode] [File]
```

我们将通过示例和支持选项来讨论这个命令。

### Linux chmod 选项

下表包含了 Linux 中 chmod 命令的选项。

| [计]选项 | 描述 |
| --- | --- |
| -c，-变化 | 它用于对所有实际更改的文件进行诊断。 |
| -f，-无声，-相当 | 它用于抑制大多数错误消息。 |
| -v，- verbose | 它用于递归地更改文件和目录。 |
| -R，-递归 | 它用于递归地更改文件和目录。 |
| -帮助 | 它用于显示帮助消息，然后退出。 |
| -版本 | 它用于给出版本信息，然后退出。 |

## Linux 命令模式

Linux 以两种不同的模式支持该命令:

*   数字符号
*   符号符号

### 数字符号:

在数字表示法中，三位八进制数(0-7)序列用于设置权限。每个数字都有自己的类别。第一个数字代表用户，第二个数字代表组，最后一个数字代表其他人。如果数字超出范围，那么它们将被认为是零。

| seven | 读、写、执行。 |
| six | 读写。 |
| five | 读取并执行。 |
| four | 只读。 |
| three | 编写并执行。 |
| Two | 只写。 |
| one | 仅执行。 |
| Zero | 没有。 |

### 符号表示法:

符号表示法是指定权限的字母组合。一些重要的字母是(u)代表用户(g)代表组(o)代表其他人，以及(a)代表所有用户。

| rwx | 读、写、执行。 |
| rw- | 读写。 |
| r-x | 读取并执行。 |
| r - | 只读。 |
| -wx | 编写并执行。 |
| -w- | 只写。 |
| - x | 仅执行。 |
| - | 没有。 |

### 示例:Linux `chmod`命令

让我们看看一些既有数字符号又有符号符号的示例命令。

下面的命令将只允许所有者读取文件。

![chmod command](img/c5c1916ba205f0166f1879e2973b0ba9.png)

![chmod command](img/f99d7d83f46ed34ff93330b5b2c87816.png)

执行命令后，任何一个文件都将被锁定进行编辑。

### 示例:组用户的权限

以下命令将授予用户和组读取文件的权限。

```sh
$ chmod 220 hello.txt
```

![chmod command](img/68fd7918fafc21a353959edfd270d5f5.png)

### 示例:读写和执行权限

以下命令将授予每个人读取、写入和执行文件的权限。

```sh
$ chmod 777 hello.txt
```

![chmod command](img/005c3524dc482baf2f5b2ac666db8bd2.png)

## 结论

在本教程中，我们介绍了如何在 Linux 操作系统中使用 chmod(更改模式)命令更改文件或目录的权限，并提供了可用的选项和合适的示例。

* * *

* * *