# 如何使用`rmdir`命令删除空目录

> 原文：<https://www.studytonight.com/linux-guide/how-to-removes-empty-directories-usinig-rmdir-command>

在 Linux 中，如果我们想删除空目录，我们使用`rmdir` 命令。

`rmdir` (删除目录)`rmdir` 命令用于从文件系统中删除一个空目录。

*   如果目录不是空的，那么我们不能通过`rmdir` 命令删除目录。
*   删除目录时要小心，因为当我们以图形方式删除文件或目录时，该目录实际上被移动到废纸篓，可以很容易地恢复，但是通过`rmdir` 命令删除的目录不能恢复。

## rmdir 的一般语法

```sh
rmdir [OPTION]... DIRECTORY...
```

`rmdir` 命令可用选项的简要说明。

| 选择 | 描述 |
| --- | --- |
| -忽略-非空故障 | 忽略仅因为目录非空而导致的每个故障。 |
| -p，-父母 | 删除 DIRECTORY 及其祖先；例如，“rmdir -p a/b/c”类似于“rmdir a/b/c a/b a”。 |
| -v，- verbose | 为每个处理的目录输出一个诊断。 |
| -帮助 | 显示此帮助并退出。 |
| -版本 | 输出版本信息并退出。 |

## 示例:使用`rmdir`命令删除一个空目录。

在这个例子中，hope 是影子父目录中的一个空目录使用`rmdir <directory name>`可以删除一个空目录。

![remove an empty directory linux](img/07529b32fad925a8a2faa164f445e0db.png)

## 示例:删除子目录和父目录。

在本例中，我们将使用`-p`或带有`rmdir`命令的`--parents`删除子目录和父目录。

![Remove the child directory as well as the parent directory.](img/b3e9669dbc3deacd85ad607f18483534.png)

## 示例:在`rmdir`命令中使用- ignore-fail-on-non-empty 选项。

在此示例中，使用此选项不会报告仅因为目录非空而发生的故障。可以看到，影子是一个非空目录，仍然没有错误报告。

![Use of --ignore-fail-on-non-empty option with rmdir command](img/590d4f2f7b9464385c52b4b13720a0ac.png)

## 结论

在本教程中，我们介绍了如何使用不同的选项从文件系统中删除空目录。如果指定的目录有内容，那么我们不能使用`rmdir`命令删除该目录。

* * *

* * *