# Linux 中的`diff`命令

> 原文：<https://www.studytonight.com/linux-guide/diff-command-in-linux>

![Diff](img/c0015da38b2d0b84933570a0983fcd1f.png)

**diff** 程序逐行比较两个文件，并生成一个更改列表。作为一种特殊情况，diff 将标准输入的副本与其自身进行比较。“如何在 **Linux** 中使用 diff 命令”是本文的主题。

## “差异”指令的未来前景

识别文件的一个版本和另一个版本之间的**差异**。

比较两个**配置**或应用文件。

制作一个补丁文件，可以与 Linux / Unix 应用补丁一起使用。

## 什么是“diff”命令，它是如何工作的？

例如，我们有两个名为 **file.txt** 和 **file1.txt** 的文件。如下图所示，数据已输入 file.txt

```sh
I need to go out and get some apples.

I have to do some laundry.

I need to bathe the dog.

I'm going to have to have the automobile detailed.
```

**文件 1.txt** 中的数据如下:

```sh
I need to go out and get some apples.

I've got some laundry to do.

The automobile needs to be washed.

I need to conduct some research on the dog.
```

要比较这两个文件，请使用如下所示的 **diff** 命令—

```sh
$ diff /home/linux/Desktop/file.txt /home/linux/Desktop/file1.txt linux@linux
```

前面命令的输出应该如下:

```sh
$ diff /home/linux/Desktop/file.txt /home/linux/Desktop/file1.txt linux@linux
```

```sh
I have to do the laundry.

I need to bathe the dog.

I'm going to have to have the automobile detailed. > —- I've got some laundry to do.

> I'm going to have to wash the automobile.

> I need to acquire the dog's information.
```

结果的**选择**应该如下:

**a**-我已经将文本保存到文件中。

**c**-文件已被修改。

**d**-执行删除操作。

第一个文件中的行

>第二个文件的行

根据输出，必须更改第一个文件中的第 2 行到第 4 行，以匹配第二个文件中的第 2 行到第 4 行。

再举一个例子:两个文本文件应该是这样的:

```sh
file.txt

I'm going to the store.

I need to go out and get some apples.

I'll bathe the dog when I come home.

file1.txt

I'm going to the store.

I need to go out and get some apples.

Oh, and I need to get some shredded cheese as well.

I'll bathe the dog when I come home.
```

要比较这两个文件，请使用 **diff** 命令。命令应该这样写:

```sh
/home/linux/Desktop/file.txt /home/linux/Desktop/file1.txt /home/linux/Desktop/file2.txt /home/linux/Desktop/file2.txt /home/linux/Desktop/
```

前面命令的输出应该如下:

```sh
2a3

Oh, and I need to get some shredded cheese as well.
```

结果中的 2a3 表示“必须在第一个文件的第 2 行之后插入一行**:第二个文件的第 3 行。”**

 **恭喜你！你现在明白了如何在 Linux 中使用 diff 工具。“在我们即将发布的 Linux 文章中，我们将了解更多关于这些**命令**的信息。继续读！

* * *

* * ***