# 如何提取 TGZ 文件？

> 原文：<https://www.studytonight.com/linux-guide/how-to-extract-tar-gz-file>

Linux 使用`tar`命令提取 tar 存档文件。Tar 是为归档磁带文件而创建的 **T** 猿 **Ar** 细香葱的缩写。

它通常用于创建和提取 tar.gz 文件。相同的命令可用于创建和提取文件。它提供了几个选项，可以用于多种目的，如创建、移动、提取档案等。

在本文中，我们将学习如何在 Linux 中提取 tar.gz 档案文件。

### 在 Linux 中提取 tar.gz 文件的命令

```sh
tar -xf archive.tar.gz
```

这里，-x 表示提取，而-f 表示文件。

tar 支持广泛的压缩程序，如 gzip、lzip、bzip2、lzma、xz 等。

## 正在提取 tar.gz 文件

tar 预装在所有的 Linux 版本中，因此您可以使用下面的命令直接使用它。

```sh
$ tar -xf archive.tar.gz
```

这里，-x 用于提取存档文件。

上述命令将提取当前目录中的文件。除此之外，**如果你在基于图形用户界面的系统上工作，**那么你可以通过右击文件并选择全部提取来直接提取文件。它还会将文件提取到同一目录中。

如果你想获得所有解压文件到终端控制台的详细信息，那么使用-v 选项和`tar`命令。

```sh
$ tar -xvf archive.tar.gz
```

这里，-v 表示控制台的详细输出。

## 将 tar.gz 文件提取到不同的目录

我们知道，默认情况下，文件是在同一个目录中提取的，但是我们可以通过使用`tar`命令中的-C 选项来更改目录。例如，如果我们想在今晚的研究中将文件移动到一个文件夹中，那么使用这个命令。

```sh
$ tar -xvf archive.tar.gz -C /home/studytonight/myfolder
```

## 从 tar.gz 文件中提取特定文件

有时，我们只想从档案中提取选择性文件。在这种情况下，请在命令中指定文件名。

```sh
$ tar -xvf archive.tar.gz file1 file2 file3
```

它将只从归档中提取文件 1、文件 2 和文件 3。

我们可以使用相同的命令从归档文件中提取特定的目录。在给出文件或目录名时，请确保名称正确，因为不正确的名称会导致命令失败。

## 从 tar.gz 文件中提取相似文件

如果你想从档案中提取类似类型的文件，如 txt、pdf 或 doc 等。然后在`tar`命令中使用星号(*)通配符，将只提取指定的文件。

```sh
$ tar -xvf archive.tar.gz --wildcards *.txt
```

它将只从档案中提取 txt 文件。

## 列出 tar.gz 文件

要检查 tar 归档文件中的文件列表，我们可以在命令中使用-t 选项。

```sh
$ tar -tvf archive.tar.gz
```

它会将所有文件输出到控制台，而不提取文件。因为我们使用了-v 选项，所以它将向控制台显示详细的输出。

## 结论

`tar`命令可用于压缩和解压缩文件。要将文件压缩到 tar.gz，请使用-c 选项，要提取文件，请使用-x 选项和命令。它还提供了几个选项，例如将提取文件移动到不同的目录，或者使用-v 选项获得详细的输出。这篇详细的文章涵盖了`tar`命令的所有方面。

* * *

* * *