# 如何在 Ubuntu 20.04 中安装谷歌 Chrome？

> 原文：<https://www.studytonight.com/linux-guide/how-to-install-google-chrome-in-ubuntu-2004>

谷歌 chrome 是一款用于网上冲浪的网络浏览器。它是谷歌公司的产品，也是市场上最受欢迎的浏览器之一。

它提供了巨大的功能和出色的性能，这使得它成为当今每个程序员的选择，无论是在 windows、Linux 还是 macOS 上工作。

在本文中，我们将学习如何将其安装到 Ubuntu 20.04 中。那么，让我们开始吧。

### 1.下载谷歌浏览器

首先使用以下命令下载谷歌 chrome。它会将文件下载并存储到您的本地系统中。使用`Ctrl+Alt+t`组合键打开终端，输入该命令。

```sh
$ wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
```

成功下载后，安装安装程序，使其可在计算机上运行。

### 2.安装谷歌浏览器

使用这个命令安装谷歌浏览器。因为我们正在安装安装程序，所以您必须拥有管理员权限。使用 Sudo 与命令一起使用。在开始安装之前，它会询问密码，所以请输入您的密码并让它安装。

```sh
$ sudo apt install ./google-chrome-stable_current_amd64.deb 
```

成功完成这个命令后，谷歌 chrome 已经安装完毕。所以，现在你可以打开它开始工作了。

### 3.打开谷歌 Chrome

从谷歌 chrome 开始，只需点击 windows 键，或者搜索并输入 chrome，就会出现一个图标。所以，只要点击这个图标，谷歌浏览器就会打开。

![chrome](img/a240d4e969851b659638989f1fa682d1.png)

按下回车键或点击后，将打开一个新窗口，您可以开始浏览。

![chrome](img/39aea03c683e690d57d7066c8bfe4540.png)

一切就绪，我们已经成功地在本地计算机上安装了 chrome。让我们来探索 chrome 的一些其他操作。

### 更新谷歌 Chrome

您不需要担心更新 chrome，因为在安装过程中，系统中添加了一个文件，该文件会自动检查最新版本，并在 chrome 可用时进行更新。您可以使用以下命令检查文件。

```sh
$ cat /etc/apt/sources.list.d/google-chrome.list
```

它将向终端屏幕显示以下输出。

```sh
### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
```

### 移除谷歌浏览器

在这种情况下，如果你想从你的本地系统中删除谷歌浏览器，那么使用下面的命令。

```sh
$ sudo apt-get purge google-chrome-stable
$ mv ~/.config/google-chrome/ ~/.config/google-chrome.bak/ 
```

第一个命令将完全删除 chrome，第二个命令将配置文件移动到备份目录。

## 结论

最后，我们学会了在本地系统中安装谷歌 chrome。我们可以用最新版本更新 chrome，甚至可以在需要的时候移除。本教程帮助你一步一步地安装 chrome。

* * *

* * *