# 如何检查你的 Ubuntu 版本？

> 原文：<https://www.studytonight.com/linux-guide/how-to-check-your-ubuntu-version>

Ubuntu 是一个流行的开源操作系统。它被 Linux 爱好者广泛使用，它的 Gnome 特性给了它一个新的优势，使它在其他开源系统中很受欢迎。

当我们打开 ubuntu 的时候，会想到一个问题，我用的是什么版本的 ubuntu？然后我们开始搜索以了解版本细节。

在本文中，我们将学习检查您当前安装的 ubuntu 的版本。所以，让我们从探索开始。

## 使用 Gnome 图形检查 Ubuntu 版本

检查版本是最简单的方法之一，只需到桌面的右上角点击，然后选择设置即可。

![ubuntu version](img/9c7d20a125ae89d640add07724d33ca2.png)

选择设置后，将显示以下屏幕，点击左侧菜单中的关于部分，它将显示我们当前系统的所有细节。

![ubuntu version](img/6f5e5f343f6a0e345b9e768619a98746.png)

## 使用 hostnamectl 命令检查 Ubuntu 版本

`hostnamectl`命令可以用来检查当前的 Ubuntu 版本，因为它返回了与主机名设置相关的所有细节。

![hostname](img/d06621812e0de7dcaa1f05731c1584a4.png)

## 使用 lsb_release 命令检查 Ubuntu 版本

`lsb_release`命令可以用来获取 Ubuntu 版本。它返回操作系统的分发信息。这里， **-a** 用于打印所有信息。

![lsb release](img/5f796b3197399eb9ae114f4c1d50c1f4.png)

如果我们只想获得单行信息，那么使用这个命令使用 **-d** 选项。

![lsb release -d](img/47f3aa6426ee135319fc985c2775fb9c.png)

## 使用 cat/etc/发布命令检查 Ubuntu 版本

`cat`命令用于显示文件的内容。在这里，我们使用它来显示包含系统标识文本的 **/etc/issue** 文件的内容。

![cat](img/6a3177ec280df6fde8ba9e332c603093.png)

## 使用 cat /etc/os-release 命令检查 Ubuntu 版本

如果您使用的是最新版本的 ubuntu 16 或更高版本，这个命令对您很有用。 **os-release** 文件包含与操作系统及其版本相关的信息。

![ubuntu version](img/d1643761b81167723f26368cb3740ca2.png)

## 结论

在本文中，我们学习了如何了解和获取 Ubuntu 版本。我们使用了 Gnome 图形、lsb 命令、os-release、/etc/issue 等文件。希望看完文章后，能轻松拿到你的系统版本。

* * *

* * *