# 如何在 Ubuntu 18.04 上安装 Kodi

> 原文：<https://www.studytonight.com/linux-guide/how-to-install-kodi-on-ubuntu>

![How to Install Kodi on Ubuntu 18.04](img/deea3266962626268c53e2fb8ef4dad1.png)

Kodi(以前叫 XBMC)是你的家庭影院。这是一个免费的**开源** (GPL)软件媒体播放器和**娱乐**中心，大多数操作系统都可以访问，包括 Linux、OSx、视窗、iOS 和安卓。

你可以通过遥控器在电视上使用它，因为它提供了一个 **10 英尺**的用户界面。

## Kodi 功能

*   不仅是**媒体播放器**，更是终极娱乐中心软件。
*   **每个操作系统都可以访问的跨平台**
*   从本地和网络存储媒体以及**互联网**播放几乎所有类型的电影、音乐、播客和其他数字媒体文件
*   良好的界面

## 如何在 Ubuntu 18.04 上安装 Kodi

在 **Ubuntu** 上安装应用有多种方法。您可以使用 apt-get 命令和 Ubuntu 软件管理器安装 Kodi。

让我们详细探索每一种**方法**，尽管您应该利用任何方法。

**注意:**这些方法应该适用于 Ubuntu 17.04、Ubuntu 16.04 或者其他基于 Debian 的 **Linux** 发行版。

### 用 apt-get 安装

您需要管理员或 Sudo 权限才能安装。登录 Ubuntu，按 **CTRL + ALT + T** 并执行以下指令打开终端。

首先，使用 apt-get update 命令更新源列表。

```sh
$ Sudo apt-get update
```

运行以下命令安装 **Kodi** 。

```sh
$ Sudo apt-get install Kodi
```

## 购电协议代码

Kodi 团队提供 **PPA** 进行安装。这些仓库是，

最终版本构建——这是稳定的版本。

**(PPA:team-xbmc/PPA)**–https://launch pad . net/~ team-xbmc/+archive/PPA

测试版和发布候选版–

**ppa:团队-xbmc/不稳定**-https://launchpad.net/~team-xbmc/+archive/unstable

夜间构建–

**ppa:团队-xbmc/xbmc-每晚**-https://launchpad.net/~team-xbmc/+archive/xbmc-nightly

**注意:**这个 PPA 只提供 Ubuntu i386 和 Ubuntu amd64 版本，不提供可以运行在**树莓 Pi 上的 Ubuntu armhf 版本。**

我们要安装一个**稳定的**版本。所以使用以下说明。

```sh
sudo apt-get install software-properties-common

sudo add-apt-repository ppa:team-xbmc/ppa

sudo apt-get update

sudo apt-get install Kodi
```

### 税务更新

只需执行一个通用的系统/包，或者在终端中使用以下命令来升级 Kodi 的最新版本。

```sh
sudo apt-get update

sudo apt-get upgrade
```

### 正在卸载 Kodi

如果您需要删除和清除程序，并最终删除/清除**应用**设置文件，请使用以下命令:

```sh
sudo apt-get update

sudo apt-get uninstall Kodi*

sudo apt-get purge kodi*
```

然后删除设置文件夹以清除所有设置和库数据。这不会抹掉任何电影或音乐，而只是设置和**库**数据本身:

```sh
rm -r ~/.kodi/
```

## 使用 Ubuntu 软件安装

如果不熟悉命令，可以利用 **Ubuntu** 软件进行安装。

点击应用，打开 **Ubuntu 软件**。搜索 Kodi，然后单击安装按钮。

应该会在一段时间后安装。你可以注意到 Ubuntu 软件中的运行和删除按钮，你可以用它来启动或删除 **Kodi** 。

* * *

* * *