# 如何使用`df`命令检查 Linux 中的磁盘空间

> 原文：<https://www.studytonight.com/linux-guide/how-to-check-disk-space-in-linux-using-df-command>

可以在 **Linux** 和 Unix 操作系统上使用`df`命令获取系统磁盘空间**消耗**的完整报告。

## 使用测向命令

`df`命令的一般语法如下:

```sh
df [OPTIONS]... FILESYSTEM...
```

在没有任何**参数**的情况下使用时，df 程序将提供所有已装载文件系统的信息:

```sh
$df
```

输出

```sh
Filesystem     1K-blocks      Used Available Use% Mounted on
dev              8172848         0   8172848   0% /dev
run              8218640      1696   8216944   1% /run
/dev/nvme0n1p3 222284728 183057872  27865672  87% /
tmpfs            8218640    150256   8068384   2% /dev/shm
tmpfs            8218640         0   8218640   0% /sys/fs/cgroup
tmpfs            8218640        24   8218616   1% /tmp
/dev/nvme0n1p1    523248    107912    415336  21% /boot
/dev/sda1      480588496 172832632 283320260  38% /data
tmpfs            1643728        40   1643688   1% /run/user/1000
```

每行都有以下几列:

**“文件系统”**–文件系统的名称。
**“1K 块”**-1K 块中文件系统的大小。
**【已利用】**-1K 区块的已用空间。
**【可用】**-1K 区块的可用空间。
**“使用百分比”**–已利用空间的比例。
**“挂载于”**是挂载文件系统的目录。

要专门显示特定文件系统的信息，请向`df`命令提供其名称或装载点。
例如，要查看装载到系统根目录(/)的文件系统上的可用空间，可以使用 **df /dev/nvme0n1p3** 或 **df /来查看。**

```sh
$df / 
```

```sh
Filesystem     1K-blocks      Used Available Use% Mounted on
/dev/nvme0n1p3 222284728 183057872  27865672  87% /
```

## 以人类可读格式显示磁盘空间使用情况

默认情况下，df 程序以 **1 千字节**块显示磁盘空间，以千字节显示已用和可用的磁盘空间。

要以人类可读的格式(千字节、兆字节、千兆字节等)显示有关磁盘设备的信息，请使用带有-h 选项的 **`df`命令**:

```sh
$df -h 
```

```sh
Filesystem      Size  Used Avail Use% Mounted on
dev             7.8G     0  7.8G   0% /dev
run             7.9G  1.8M  7.9G   1% /run
/dev/nvme0n1p3  212G  176G   27G  88% /
tmpfs           7.9G  145M  7.7G   2% /dev/shm
tmpfs           7.9G     0  7.9G   0% /sys/fs/cgroup
tmpfs           7.9G   24K  7.9G   1% /tmp
/dev/nvme0n1p1  511M  106M  406M  21% /boot
/dev/sda1       459G  165G  271G  38% /data
tmpfs           1.6G   16K  1.6G   1% /run/user/1000
```

## 文件系统类型

**-T** 选项指示 df 列出文件系统类型:

```sh
df -t
```

该报告添加了一个名为“ **Kind** ”的额外列，指示文件系统的类型:

输出

```sh
Filesystem     Type     1K-blocks      Used Available Use% Mounted on
dev            devtmpfs   8172848         0   8172848   0% /dev
run            tmpfs      8218640      1744   8216896   1% /run
/dev/nvme0n1p3 ext4     222284728 183666100  27257444  88% /
tmpfs          tmpfs      8218640    383076   7835564   5% /dev/shm
tmpfs          tmpfs      8218640         0   8218640   0% /sys/fs/cgroup
tmpfs          tmpfs      8218640        24   8218616   1% /tmp
/dev/nvme0n1p1 vfat        523248    107912    415336  21% /boot
/dev/sda1      ext4     480588496 172832632 283320260  38% /data
tmpfs          tmpfs      1643728        40   1643688   1% /run/user/1000
```

如果您希望将列表限制为特定类型的文件系统，请使用-t 选项，后跟类型。

下面是一个演示如何显示所有 ext4 分区的示例:

```sh
df -t ext4
```

输出:

```sh
Filesystem     1K-blocks      Used Available Use% Mounted on
/dev/nvme0n1p3 222284728 183666112  27257432  88% /
/dev/sda1      480588496 172832632 283320260  38% /data
```

与上面类似，通过-x 选项，您可以将输出限制为非指定类型的文件系统:

```sh
df -x tmpfs
```

输出:

```sh
Filesystem     1K-blocks      Used Available Use% Mounted on
dev              8172848         0   8172848   0% /dev
run              8218640      1696   8216944   1% /run
/dev/nvme0n1p3 222284728 183057872  27865672  87% /
/dev/nvme0n1p1    523248    107912    415336  21% /boot
/dev/sda1      480588496 172832632 283320260  38% /data
```

## 显示信息节点使用情况

inode 是 Unix 和 Linux 文件系统中的一种数据结构，它保存文件或目录中的**信息**，如其大小、所有者、设备节点、套接字、管道等。，除了爸爸。

当与 **-i** 选项一起使用时，`df`命令提供关于文件系统信息节点使用情况的信息。

以下命令将以人类可读的格式显示装载到系统**根目录** /的文件系统上的信息节点信息:

```sh
df -ih /
```

输出:

```sh
Filesystem     Inodes IUsed IFree IUse% Mounted on
/dev/nvme0n1p3    14M  1.9M   12M   14% /
```

当使用 **-I** 选项时，输出的每一行包含以下列:

**“文件系统”**–文件系统的名称。

**“索引节点”** -文件系统上的索引节点总数。

**“我使用了”** -已使用的索引节点数。

**“IFree”**-可用(未使用)索引节点的数量。

**“利用率百分比”**–已利用信息节点的比例。

**“挂载于”**是挂载文件系统的目录。

**输出格式**

`df`命令还使您能够更改**输出**格式。

要定义希望在命令输出中显示的字段，请使用—输出[**=字段列表]** 选项。

**字段列表**是输出中以逗号分隔的列列表。每个字段只能使用一次。有效的字段名是:

**源** -文件系统源。

**fstype** -文件系统类型。

**itotal** -索引节点总数。

**使用的** -使用的索引节点数。

**无效** -可用信息节点的数量。

**ipcent** -已用信息节点的百分比。

**大小** -总磁盘空间。

**已用** -已用磁盘空间。

**可用** -可用磁盘空间。

**百分比** -已用空间的百分比。

**文件:**文件名在命令行给出。

**目标** -挂载点。

例如，以人类可读的**格式显示每个 ext4 分区的输出，只显示文件系统名称和大小以及您将使用的已用空间百分比:**

 **```sh
df -h -t ext4 —output=source,size,pcent
```

输出:

```sh
Filesystem      Size Use%
/dev/nvme0n1p3  212G  88%
/dev/sda1       459G  38%
```

## 结论

我们已经教了你如何使用 **`df`命令**来接收文件系统磁盘空间使用的报告。通过在终端上输入 man df 来读取所有可能的`df`命令选项。

要了解文件和目录的磁盘空间利用率，请使用 **du 程序。**

* * *

* * ***