# 如何使用`grep`命令排除

> 原文：<https://www.studytonight.com/linux-guide/how-to-exclude-using-grep-command>

**grep** 命令行工具对于在文本数据中搜索匹配特定字符串、字符、短语或正则表达式的行和片段非常有帮助。虽然 grep 的大多数用户都支持**对**数据进行语法匹配排序，但是如果您希望使用 grep 来排除某个单词或字符串呢？用 grep 排除行匹配就像在 grep 中发现并**打印**匹配一样有帮助，所以我们来探讨一下如何用 grep 排除字符串匹配和排除单词。

显然，你会想要一些**命令行**知识和 grep 的接触来发现这是有帮助的。如果你想跟着做，你可以启动终端程序，自己试一试。由于 grep 是一个**操作系统**中立的应用，你可以在苹果操作系统、Linux、Unix 或其他任何使用 grep 的系统上使用排除方法。

## 如何用`grep`命令排除一个单词

排除具有字符串或**句法**匹配的行的最基本方法是使用 grep 和-v 参数。

例如，假设我们使用 cat 在命令行显示一个文件，但是我们想要省略任何包含短语“ **ThisWord** ”的行，那么语法如下:

```sh
cat example.txt | grep -v "ThisWord"
```

结果将是示例. txt 文本文件，但省略了包含与“ **ThisWord** 匹配的字符串的每一行。

您也可以直接在文件上使用 grep，并根据术语或**语法**排除行匹配，如下所示:

```sh
grep -v "ThisWord" example.txt
```

使用最适合你的**独特的**套路的东西。

## 如何用`grep`命令排除多个字符串或单词

现在你知道了如何排除单个单词的匹配，下一个**自然**问题是关于使用 grep 省略几个单词。这也很简单，还有其他一些方法可以利用-v 选项和 **-e 标志来实现。**

首先，我们举前面的例子，在一个管道连接到 grep 的文件上使用 cat，并消除匹配两个术语的任何**行**；“单词 1”和“单词 2”，如下所示:

```sh
cat example.txt | grep -v -e "Word1" -e "Word2"
```

任何包含“字 1”或“字 2”的行都将从打印结果中省略**。**

 **您也可以直接在与之前相同的文件上使用 **grep** :

```sh
grep -v -e "Word1" -e "Word2" example.txt
```

另一个选项是通过使用管道分隔每个匹配项，使用 **grep** 分割要排除的内容，如下所示:

```sh
grep -Ev "word1|word2" example.txt
```

如果您在一个示例**文本文件中尝试这些选项中的任何一个，**您将看到结果是相同的，无论您选择什么技术，每个都省略了具有指定短语、语法、单词或文本匹配的行。

* * *

* * ***