# 如何在 Linux 中使用`mv`命令移动文件

> 原文：<https://www.studytonight.com/linux-guide/how-to-move-files-in-linux-using-the-mv-command>

有些行动是例行公事；人们理所当然的**恰恰**他们是多么的容易。但是，当你转移到一个新的平台，同样简单的动作开始需要你大脑一小部分的执行能力。其中一项工作就是将文件从一个区域转移到另一个区域。当然，这通常被认为是在电脑上完成的最简单的任务之一。然而，当你切换到 **Linux** 平台时，你可能会发现自己在想，“现在，我如何传输文件？”

如果你熟悉 Linux，你就会知道通向同样结果的道路总是数不胜数。移动文件也不例外。你可以选择命令行的强度或者图形用户界面的易用性——无论哪种方式，你都会重新定位那些文件。

让我们来看看你是如何把那些文件传送出去的。

## 命令行移动

许多初入 **Linux** 的人面临的挑战之一是不得不使用命令行的想法。一开始可能会很可怕。尽管当代的 Linux 界面可能有助于保证你很少不得不使用这个“老派”工具，但是如果你忽视它，你将会失去很多力量。**重新定位**文件的命令就是一个很好的例子。

重新定位文件的命令是 **mv** 。这是基础，也是你将在平台上学习的第一批指令之一。与其简单地为**命令**设置语法和常规开关，然后让您处理剩下的事情，不如让我们来看看如何使用这个工具。

`mv`命令做了一件事——它将文件从一个地方复制到另一个地方。这可能有点欺骗性，因为 mv 也用于重命名文件。怎么做？很简单。这里有一个例子。假设你在/home/jack/，有文件 **testfile** ，你想把它重命名为 testfile2(同时保持它在同一个地方)(同时保持它在准确的位置)。为此，您可以使用`mv`命令，如下所示:

```sh
mv /home/jack/testfile /home/jack/testfile2
```

或者，如果你已经在 **/home/jack:** 里面

```sh
mv testfile testfile2
```

上述指令将把 **/home/jack/testfile** 重新定位到 **/home/jack/testfile2** -本质上是重命名文件。但是如果你只是想重新定位文件呢？假设您希望保持您的主目录(在本例中为/home/jack)没有丢失的文件。您可以使用以下命令将测试文件传输到/home/jack/Documents:

```sh
mv /home/jack/test file /home/jack/Documents/
```

您已经使用上述命令将文件移动到新的位置，同时**保持**旧文件名。

如果你有一堆你想移动的文件怎么办？幸运的是，您不必为每个文件执行 mv **命令**。您可以使用通配符来帮助您。这里有一个例子:

您的 **~/Downloads 目录**中有很多. mp3 文件(~/–是表示您的主目录的一种简单方法–在我们前面的示例中，它是/home/jack/)，您希望它们出现在~/Music 中。您可以通过一个命令快速重新定位它们，如下所示:

```sh
mv ~/Downloads/*.mp3 ~/Music/
```

该命令将从**下载**目录传输以. mp3 结尾的每个文件，并将它们放入音乐目录。

如果您希望将文件重新定位到当前工作目录的父目录中，有一种简单的方法可以实现。假设你有文件**测试文件**存储在~/Downloads 中，并且你希望它在你家**目录**中。如果您目前在~/Downloads 目录中，您可以将其向上移动一个文件夹(到~/),如下所示:

```sh
mv testfile ../
```

“那个../"表示将文件夹上移一层。如果你被埋得更深，比如说 **~/Downloads/today/** ，你仍然可以通过以下方式快速重新定位该文件:

```sh
mv testfile ../../
```

只要记住，每一个**../**表示向上一级。

可以看到，从**命令行**传输文件一点都不难。

* * *

* * *