# 如何在 Debian 9 上安装 PostgreSQL

> 原文：<https://www.studytonight.com/linux-guide/how-to-install-postgresql-on-debian-9>

![postgreSQL](img/b6289854239d5e39ec5e1b277b4c8ef5.png)

**PostgreSQL** 是一个开源的对象关系数据库系统。它是用于生产服务器的顶级数据库服务器之一。这篇文章将允许你在 **Debian 9** 伸展 pc 机上安装 PostgreSQL 数据库服务器。

## 步骤 1–启用 Apt 仓库

首先，需要在机器上导入 **PostgreSQL** 包签名密钥。使用以下命令导入密钥。

```sh
wget -q https://www.postgresql.org/media/keys/ACCC4CF8.asc -O - | sudo apt-key add -
```

现在根据您的操作系统在您的系统上添加 PostgreSQL apt 仓库。使用以下命令在**官方** PostgreSQL 网站上显示这些内容。

```sh
sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt/ stretch-pgdg main" >> /etc/apt/sources.list.d/pgdg.list
```

## 步骤 2–在 Debian 9 上安装 PostgreSQL

此时此刻，您已经成功地将 **PostgreSQL** 官方仓库添加到您的系统中。现在更新仓库列表。之后，按照以下说明在我们的 **Ubuntu** 系统中安装最新的 PostgreSQL 服务器。

```sh
sudo apt-get update
sudo apt-get install PostgreSQL PostgreSQL-contrib
```

## 步骤 3–连接到 PostgreSQL

安装完 PostgreSQL 数据库服务器后，创建一个角色为“Postgres”的用户“ **Postgres** ”。它还创建了一个同名的系统帐户“Postgres”。因此，要连接到 Postgres 服务器，请以 Postgres 用户的身份登录您的电脑，并连接**数据库**。

```sh
sudo su - postgres \spsql
```

现在您已经登录到 **PostgreSQL** 数据库服务器。使用数据库命令**提示符**中的以下命令验证登录详细信息。

```sh
postgres-# \conninfo
```

要断开与 PostgreSQL 数据库的连接**命令提示符**，编写以下命令并按回车键。它将带您回到 Debian 命令提示符。

```sh
postgres-# \q
```

## 第 4 步–结论

您的 **PostgreSQL** 安装已经在您的**德比安 9** 机器上成功完成。

* * *

* * *