# 如何在 CentOS 7 上安装 Anaconda

> 原文：<https://www.studytonight.com/linux-guide/how-to-install-anaconda-on-centos-7>

  ** Anaconda ** Python 是一个 Python 发行版，包含了几个供数据科学家使用的工具。这些也是 Python 包。在 Python 上，您可以手动安装它们。然而，默认情况下，Anaconda **Python** 会附带它们。这篇文章将教你如何在 CentOS 7 上安装 Anaconda Python。

Anaconda Python 是一个 **Python** 发行版，可以下载。

1.  首先，去蟒蛇的官方网站，https://www.anaconda.com。
2.  在页面右上角，点击绿色“**下载**”图标。应该看到下面一页。
3.  现在再向下滚动一点，找到下一部分。查看是否选择了“ **Linux** ”。要下载蟒蛇，点击“**下载**”根据您的需要，您可以选择 Python 2.7 或 Python 3.6。不确定的话选择 Python 3.6。
4.  浏览器会提示您保存文件。选择**保存文件**，然后选择**确定**下载过程现在应该开始了。这是一个相当大的文件。因此，下载可能需要一些时间才能完成。

**验证下载文件的完整性:**在这一部分，我将教你如何检查下载文件的完整性。

这是一个**关键**点。因为尝试从错误文件安装软件可能会导致安装失败。不检查文件的完整性也是一种安全风险。如果我们正在下载的程序的网站上提供了校验和，我们应该检查它。鉴于蟒蛇**蟒蛇**给了它们，我认为使用它们是谨慎的。

完成**下载**后，转到你下载文件的地方。在我的情况下，这是我的**主页**目录中的下载目录。

要将目录更改为主页/下载，请使用以下**命令**:

```sh
cd /Downloads cd /Downloads cd /Downloads cd
```

如果我显示/Downloads 目录的内容，你可以看到 **Anaconda** Python 的安装文件。**“anaconda 3-5 . 0 . 1-Linux-x86 64 . sh**”是编写时的安装文件。

要生成下载文件的 **SHA256** 哈希，请使用以下命令:

```sh
Anaconda3-5.0.1-Linux-x86 64.sh $ sha256sum
```

沿着这些**线**应该可以看到一些东西。

使用任何浏览器，进入**https://docs.anaconda.com/anaconda/install/hashes/all**。应该看到下面一页。本页提供了每一个已经出版的蟒蛇**蟒蛇**版本的散列。这个页面可能是可信的，因为它是 Anaconda Python 官方文档的一部分。

要验证散列，只需复制我们之前制作的散列，并在这个**网站**上查找。如果匹配，哈希有效；否则，它是不正确的。

要调出搜索栏，请使用 **Ctrl+F** 。搜索栏显示在屏幕底部。

在框中，放入我们之前创建的哈希。找到了匹配项，如屏幕截图中的绿色所示。因此，下载的文件状况良好。

## **蟒蛇安装**

我们现在准备安装**蟒蛇**蟒蛇。打开终端，进入蟒蛇**下载的目录**。

要转到**下载**目录，请使用以下命令:

```sh
cd /Downloads cd /Downloads cd /Downloads cd
```

要启动**安装**，使用以下命令:

```sh
Anaconda3-5.0.1-Linux-x86 64.sh $ bash Anaconda3-5.0.1-Linux-x86 64.sh 
```

要继续安装，请按**进入** >。按回车键后，您应该会看到以下窗口。这是 Anaconda Python 的许可协议。点击进入或空格键，您可以阅读**许可**协议。

若要**继续**，请输入“是”，并在您缔结许可协议时按下“回车”>。

**Anaconda** Python 现在应该会提示你它将安装在哪里。**/家庭/您的用户/蟒蛇 3** 是默认位置。如果您愿意，您可以选择更新它。但我会坚持默认。完成后，点击进入>继续。

蟒蛇**安装**现在应该开始了。因为安装文件有些大，可能需要一些**时间**才能完成。

**Anaconda** Python 安装程序可能会询问安装后是否要将 Anaconda Python 添加到 **CentOS 7 PATH** 变量中。然后，您可以运行 anaconda python，而无需给出整个安装路径。这是大多数人想要的。要继续，输入“是”并点击“输入>”。

安装完成**时，应该会看到类似这样的内容。**

 **## 安装检查:

打开一个新的终端，执行以下**命令**查看蟒蛇**蟒蛇**是否安装成功。

```sh
—version conda
```

这就完成了 **CentOS 7 上**蟒蛇**的安装。**

* * *

* * ***