# 如何在 CentOS 7 上设置或更改时区

> 原文：<https://www.studytonight.com/linux-guide/how-to-set-or-change-timezone-on-centos-7>

![timezone](img/8116654a90c54401fbf4a435b8efb0a7.png)

当启动一个新的服务器时，你几乎总是需要建立**时区**。在某些情况下，您可能希望调整时区。

我们很多人忘记在服务器上设置正确的时区。如果选择不正确的时区，服务器的报告和日志将受到影响。因此，在本文中，我们将教您如何在 **CentOS 7** 中配置时区。

为基于 **CentOS 的 VPS** 设置正确的时区对于可靠地记录时间戳至关重要；否则，您可能最终会报告带有错误日期和时间戳的事件或错误日志。

除了记录和报告，为 crontabs 和计划流程指定的时间也很重要。时区设置不正确可能会导致操作执行与计划不同。幸运的是，您需要运行一些可访问的命令来更改 **CentOS 7 中的时区！**

总的来说，未能选择正确的时区不会损害您的**操作**，但会显著提高您的工作效率并消除日志中的任何歧义。

我们来看看如何在 **CentOS 7 中更改时区。**

## 在 CentOS 7 中，如何检查设置的时区？

首先，我们必须使用 SSH**将**连接到我们的 VPS 服务器。如果您遇到问题，请参考 **PuTTY** 说明！

日期**命令**，如下图所示，可用于确定您当前的时区:

时间将以以下格式显示:

现在时间是 2019 年 3 月 15 日星期五 **14:52:20** UTC。

或者，可以使用**时间日期**命令。该命令可用于:

*   检查时间戳和日期。
*   更改日期和时间。
*   设置系统时区，并启用与远程服务器的自动时钟同步。

基本命令如下:

以下是输出示例:

当地时间为 2019 年 3 月 15 日星期五 **14:54:51** UTC。

```sh
Fri, March 15th, 2019 at 14:54:51 UTC
n/a n/a n/a n/a n/a n/
Host (UTC, +0000) is the time zone.
n/a n/a n/a n/a n/a n/
```

是， **NTP** 同步。
当地时区 RTC:无夏令时生效:不适用
当地时间、世界时、时区均包含在此部分。

## 在 CentOS 7 中，如何列出时区？

一旦看到当前时区，您可能希望显示所有可能的**时区**设置。要查看所有可能的时区，请使用以下命令:

你会得到一份详细的列表，上面按字母顺序列出了所有的时区。使用 grep 模式，您可以进一步缩小搜索范围。例如，考虑以下情况:

## 如何在 CentOS 7 中更改时区？

一旦你整理了一份**时区**的列表，你可以选择最适合你需求的一个。在 **CentOS 7** 中，您可以使用以下命令更改时区:

在上面的命令中，您可以根据需要更改时区。我们也可以从这里指定一个特定的时间和日期。这可以通过以下格式完成**:**

 **例如，如果您希望时间为**2019 年 3 月 16 日**，当前时间为 **09:20:00** ，您可以键入:

进行这些更改后，使用 timedatectl 验证时区**信息**。

## 在 CentOS 7 中，如何设置硬件时钟？

系统时钟由 **Linux** 内核处理，与硬件时钟不一样。BIOS 时钟是这个的另一个名字。当系统关闭时，硬件时钟被激活。硬件时钟可以使用 **Linux** 命令设置。

使用以下**命令**查看硬件时钟是否配置为本地时区:

这将提供以下结果，表明**硬件**时钟没有设置时区:

附近的 TZ 没有 RTC。

然后，使用下面的**命令**，将您的硬件时钟调整到本地时区:

您可以使用以下命令撤消更改:

如何同步**CentOS 7****网络时间协议** (NTP)是一种互联网协议，用于同步多台计算机上的系统时钟。timedatectl 命令可用于使用 NTP 自动将系统时区与远程服务器同步。

为此，我们必须首先在系统上安装 **NTP** 。使用以下命令开始与远程 NTP 服务器同步:

如果您希望撤消这些修改，请使用下面的命令。时间**同步**将因此被禁用:

## 结论

我们学习了如何在 **CentOS 7** 上配置时区，以及如何使用 **NTP** 设置系统时间、日期、硬件时钟时间和同步系统。选择合适的时区对于准确的日志记录、自动化程序等至关重要！

在 CentOS 7 上，更改时区很简单。是的，您可以随时查阅 **timedatectl** 命令的文档页面来了解更多参数。

* * *

* * ***