# 在 Mac OS 上安装 docker

Docker 提供了一个桌面应用，非常容易在 Mac 操作系统上安装和运行。就像我们在 windows 10 上安装 docker 桌面应用和老版本的 docker 工具箱一样。同样，最新的 docker 桌面应用适用于 Mac OS，而**适用于旧版本的 Mac OS**我们将不得不设置 **docker 工具箱**来运行 Docker。

## Docker 电脑系统要求

你应该让你的 Mac OS 运行不早于 2010 年的硬件**，因为 docker 桌面应用将需要英特尔对**内存管理单元(MMU)虚拟化**的硬件支持，包括**扩展页表(EPT)** 和**无限制模式**。**

 **Mac OS **版本应为 10.13 或更新版本**，为以下版本之一:**卡特琳娜****莫哈韦**或**高塞拉**

以及最少 **4 GB 内存**。

## 在 Mac OS 上安装 docker

从[Docker 中心-Docker 桌面下载**Docker. dmg** 文件。](https://hub.docker.com/editions/community/docker-ce-desktop-mac/)

点击下载的 docker.dmg 文件到**打开并挂载**。打开后，您将看到以下弹出窗口:

![Install docker desktop for Mac OS](img/f958ad27998c0d3085fbe6433f34af85.png)

按照弹出窗口中的指示，**将 docker.app 图标拖放到应用**文件夹中，开始安装。

安装完成后，**卸载 docker.dmg** 文件。

## Mac 上的“开始坞站桌面”

双击**应用文件夹**或**启动面板**中的 **Docker 图标**。

![start docker desktop on mac os](img/27ce38bd3488e8a741bd78fadca33ac3.png)

由于 docker 应用需要特权访问，您将被要求输入您的**系统密码**。

![start docker desktop app on mac os](img/299407ff431f4199aa8ed713f00860cf.png)

点击**确定**，并提供您的系统密码继续。

一旦 Docker 开始工作，你会看到**鲸鱼图标出现在顶部导航栏**中，你可以点击它查看更多 Docker 相关选项。

![start docker on mac OS](img/4069dead907f512780f8a72c8ec173fc.png)

要验证 Docker 是否已成功启动，**在终端运行以下命令**:

```sh
docker --version
```

![docker --version command output](img/2cf82a9fa0ec6f5c2fadfc882ea14b25.png)

## 卸载坞站(Mac OS)

要从 Mac OS 卸载 docker desktop 应用，请单击顶部导航栏中的 **Docker 鲸图标**，从 Docker 菜单选项中，单击**故障排除**，然后单击**卸载**卸载 Docker Desktop 应用。

![Uninstalling docker from Mac OS](img/b6af9646fb4a63220ff24f43d716f0d1.png)

因此，在本教程中，我们学习了在 Mac OS 上安装 docker 桌面应用。从下一个教程开始，我们将开始玩 docker，并开始学习 docker 的概念。

* * *

* * ***