# VCS 是如何工作的？

> 原文：<https://www.studytonight.com/github/vcs-in-git>

那么`VCS`到底是做什么的呢？在我们继续之前，让我们先了解一些基本术语。

你可能会遇到诸如**源代码管理**或**修订控制**这样的交叉术语，而不是**版本控制**，但这些是可互换的术语，请记住它们的含义是一样的。然而，在本课程的剩余部分，我们将坚持使用**版本控制系统**。

你和你的团队正在处理的所有文件的集合被称为`Repository`。它还包含一些特殊数据，如变更发生的顺序、变更的描述以及负责该特定变更的人员。

项目的变更可能需要几个小时、几天甚至几周才能完成。将未完成的工作视为一件事是不公平的。您需要告诉 VCS，您已经完成了更改，并且希望将其保存为版本，以便它可以为您跟踪。告诉 VCS 一个版本已经完成的行为叫做`committing`。因此，版本通常被称为`commits`。

VCS 隐藏了多次提交的复杂性，因此您的项目看起来干净整洁。它通过将所有数据存储在标记为隐藏的文件夹中来做到这一点，这样在您需要与它们交互之前，您不会意识到它们存在于您的计算机上。

但是如果你的仓库在一个隐藏的文件夹里呢？这是 VCS 的第三大功能。它允许您查看项目历史记录。您可以检查项目昨天、一个月前甚至一年前的样子，通常只需一个命令。

它们还允许您与其他团队成员共享您的仓库，以便于协作。开发人员经常在一个项目上一起工作，`VCS`只是让他们更容易。

所以现在让我们理解为什么我们使用`Git`。有很多可用的版本控制系统，但 Git 是其中最受欢迎的。让我们看看为什么！

* * *

* * *