# GIT：推送拉取

> 原文：<https://www.studytonight.com/github/push-pull-in-git>

现在我们已经建立了彼此对话的仓库，让我们看看它们之间的`pushing`和`pulling`变化。假设我们将开发一个数据库特性。

#### 推送命令

创建一个名为`data_feature`的分支和一个你选择的文件并提交。我们想向我们的合作伙伴展示我们的新功能，但是他们的本地机器上还没有我们的更改。

```sh
The easiest way to do this is to push our changes to the remote repository: $ git push
```

哇哦。这是一个很大的错误信息。总结一下:

*   `matching`表示 git push 将把你所有的本地分支推到远程的同名分支。这使得你很容易不小心推了一个你不想推的树枝。
*   `simple`表示 git push 将仅将当前分支推送到 git pull 将从中拉出的分支，并检查它们的名称是否匹配。这是一种更直观的行为，这就是为什么默认值被更改为。

此设置仅影响本地客户端的行为，并且可以通过显式指定要在命令行上推送的分支来覆盖。其他客户端可以有不同的设置，它只影响当您没有指定要推送哪些分支时会发生什么。

![Pushing and Pulling in GIT](img/ad4450ac47cfd66b2bcef08dda46494c.png)

因此，让我们通过键入以下内容将 **push.default** 设置为新的方式:

```sh
$ git config --global push.default simple
```

在我们继续之前，请记住我们的新分支还不存在于我们的远程仓库中。我们需要明确要求 Git 通过向`push`命令提供分支名称来跟踪这个新分支的变化。

默认情况下， **$ git push** 的第一个参数必须是一个遥控器的名称。如果你不提供一个，Git 会自动假设你说的是原点。继续输入 **$ git 推送原始数据 _ 功能**

![Pushing and Pulling in GIT](img/030321ac988bd31b5b5bfc01402b0444.png)

啊！成功的信息。终于。转到您的`awesome_project`并检查分支是否已创建。很好，都在那里。当您在原点时，签出新分支，编辑文件并提交它。现在回头对同一个文件再做一些更改(是的，我们知道这很混乱，但我们保证这一切都是值得的)。现在试着推动改变。

![Pushing and Pulling in GIT](img/7142c14eabf2587e7e20045b2bd4e8c0.png)

哦哦。错误。看起来我们没有及时了解遥控器的变化，因此无法推送。那么我们如何随着遥控器的变化更新自己呢？

* * *

#### 拉动命令

你可能已经猜到了，因为有一个 **$ git push** 命令，所以有一个 **$ git pull** 命令。语法与 push 命令非常相似。我们说我们想要拉，我们指定我们想要从哪个远程拉，以及我们想要为哪个分支获取历史。

![Pushing and Pulling in GIT](img/748fe904fda6c6e5202092b8a346474d.png)

Git 试图把这些信息拉过来，哦，对了。在两个仓库中，我们对同一个文件进行了编辑，git 不知道如何修复它。它的工作方式非常类似于合并，只是它合并了来自两个仓库的更改。召回合并冲突？我们这里有一个。

![Pushing and Pulling in GIT](img/fcd9fe33a3bc1022b92daf19d583f8f3.png)

继续解决冲突(你现在很清楚这一点)。将文件添加到临时区域并提交。我们的 git 拉现在应该完成了，所以再次尝试推动。现在一切正常。

这一切都是关于从我们的克隆体推进到起源和从起源牵引到我们的克隆体。反过来呢？让我们回到我们的`awesome_project`，进行编辑并提交。运行 **$ git push** 和呃-哦。

![Pushing and Pulling in GIT](img/818109264ed433bce9c12e20a0ca3578.png)

丑陋的错误信息。关于未配置推送位置的信息。在您与远程仓库的大多数交互中，您将从您的原点推动和拉动变更。在这种情况下，我们自己创建了这个仓库，这就是为什么我们需要指定我们要推送到的目的地。啊，一切都好。

![Pushing and Pulling in GIT](img/646d8ca8f403f2b5e97d4f42e4dfeb5b.png)

一旦你得到一些练习，你会很容易做到这一点。接下来，我们将了解最受欢迎的仓库托管服务`GitHub`。

* * *

* * *