# 什么是持续集成？

> 原文：<https://www.studytonight.com/jenkins/continuous-integration-overview>

持续集成是一个过程，在这个过程中，所有的开发活动(每天的活动)都通过编译和构建项目在给定的时间点进行集成，并经过良好的测试。持续集成背后的基本思想是通过团队中的开发人员进行大量的签入来确保最终没有编译问题。此外，这将有助于在开发过程的早期阶段识别任何编译问题。

在这个过程中，所有开发人员的活动都在中央系统(进行所有签入的仓库)进行协作和合并。在这个过程中，主要目标还是消除“集成问题”。每一个集成都是自动构建、部署和全面测试的。

* * *

### 关于竞争情报的一些历史

短语**持续整合**最早是由**格雷迪·布奇**在 1994 年创造的。他在面向对象分析&设计应用中创造了这个短语，以解释小的内部发布如何在开发微过程中发挥重要作用。1997 年，一个叫肯特·贝克的美国软件工程师和另一个叫罗恩·杰弗里斯的人，随着不断的集成，发明了*极限编程*。

连续集成(CI)最初是为了与在测试驱动开发环境中编写的自动化单元测试结合使用而发明的。即在开发人员机器的本地环境中运行所有单元测试，并确保在将所有测试推入主仓库之前，所有测试都成功通过，没有任何其他问题。这是一个额外的注意事项，以避免在主流的工作副本上出现任何损坏，尤其是当开发人员在同一个模块上工作时。

* * *

### 竞争情报的最佳实践

1.  维护一个适当的代码库。
2.  自动化构建过程。
3.  确保每个开发人员每天都将文件提交给主流。
4.  每一个承诺都应该建立。
5.  构建的结果应该是透明的，这样所有的开发人员每天都会意识到构建的质量。
6.  在生产环境中测试构建。
7.  应该立即修复损坏的构件。
8.  每个人都应该能够从主流获得最新版本。
9.  自动化部署过程。

* * *

### 竞争情报的优势

1.  降低风险水平。
2.  不再整合流程。
3.  许多糟糕的代码味道& bugs 可以在开发过程的早期阶段减少。
4.  频繁的部署过程更容易、更快。
5.  通过使用像 Jenkins(早期被称为哈德逊)和巡航控制这样的工具，很容易实现这个过程。

* * *

* * *