# Jenkins 集成服务器

> 原文：<https://www.studytonight.com/jenkins/jenkins-integration-server>

在前一章中，我们研究了“持续集成”的概念。为了为启用了配置项的项目创建环境，需要一个工具。于是，Jenkins 投入了行动。Jenkins 是一个开源工具，用于实现持续集成。

由于甲骨文公司的一些问题，Jenkins 项目从哈德逊开始。Jenkins 基本上是一个运行在 servlet 容器中的基于服务器的系统，这个容器就是 apache tomcat。它支持许多工具，如 Git、SVN、Mercurial 和 Clearcase。Jenkins 最初是由一个名为“T2”的开发人员创办的。

* * *

## Jenkins 是做什么的？

Jenkins 的主要工作是执行基于触发器配置的步骤列表。以下是 Jenkins 触发时执行的步骤/任务列表:

1.  执行代码编译&用 ANT、Maven 或 Gradle 构建软件。
2.  运行内部 shell 脚本
3.  将生成的版本存档
4.  最后开始集成测试的执行。
5.  监控上述任务的执行。
6.  在任何步骤失败的情况下停止构建。
7.  通知用户每次构建的成功或失败。

* * *

### Jenkins 关注什么？

Jenkins 主要关注 2 项重要活动:

1.  **软件的持续构建:**只不过是创建一个持续的集成环境
2.  **监视外部作业的执行:**这监视定义的作业- CRON 作业。

* * *

### Jenkins 的特点

1.  易于安装和配置。
2.  构建细节的永久链接可读 URL。
3.  通知的电子邮件集成。
4.  JUnit 测试报告。
5.  标记支持每一个成功的构建。
6.  分布式构建。
7.  用于管理依赖关系的文件指纹
8.  插件支持

* * *

### Jenkins 最佳实践

以下是与 Jenkins 合作时的一些最佳实践:

1.  始终确保 Jenkins-用户身份验证的安全。
2.  使用文件指纹来管理依赖关系。
3.  将 Jenkins 与 JIRA 这样的问题跟踪系统整合在一起。
4.  始终配置 Jenkins 以生成趋势报告。
5.  在磁盘空间较多的分区空间上安装 Jenkins。
6.  为维护和开发项目设置不同的作业。
7.  删除未使用的作业之前先将其存档。
8.  向团队的所有开发人员发送电子邮件通知。
9.  每次成功构建后的标记、分支、基线。

* * *

* * *