# 设定成功的阈值

> 原文：<https://www.studytonight.com/scrum-framework/threshold-for-success>

您的下一步是创建您的团队可以用来完成这项工作的边界。

每个故事都有自己的接受标准，这意味着当故事被标记为完成时。这个定义**做到了**，陈述了所有故事的最低要求。对于我们团队中被认为已经完成的故事，它必须在预发布环境中进行良好的测试，或者对于我们团队中被认为已经完成的故事，它已经过代码审查，并且所有错误都已修复。

这些验收标准可以在计划 scrum 时设定，也可以由产品所有者设定。

接下来，您的产品负责人需要对 Backlog 进行优先排序。这就是所谓的**Backlog 整理**。这仅仅意味着故事是按价值顺序连续排序的。故事的结果越有价值，它在 Backlog 中的优先级就越高。

最后，你需要建立你的**Sprint 持续时间**。Scrum 说你的 Sprint 可以是一到四周的长度，更倾向于较短的时间尺度。

### Scrum 中的故事和评估

有两种估计。有**实际估算**和**相对估算**。实际估计是你在看地图时使用的。从 A 点到 b 点有 25 英里，这个很具体。然后，是相对估计，即将事物相互比较，以获得某事物的大致概念。像这个蛋糕和那个馅饼一样宽。

在 scrum 中，我们使用两种评估。我们使用相对估计，通过相互比较用户故事来获得我们工作的大致规模。这给了我们对事物有多大的整体感觉或估计。

故事本身是用户想要如何与我们的产品互动的粗略指南。因为这是对需求的粗略陈述，所以我们不能太具体地说它有多大。此外，由于这只是一个粗略的划分，我们不希望利益相关者认为我们确切地知道要做什么。

故事点是我们用来表达相对大小的度量单位。估计意味着轻量级和快速。不应该花几天甚至几个小时来决定你会在某件事上付出多少努力。虽然这可能需要一点点练习，但一旦你掌握了窍门，你就会飞过去。

* * *

#### 理解的现实生活例子

让我们举一个例子，我们必须开发一个类似于**study now**的网站，具有一些基本的功能。我们将如何计划和分配工作:

1.  首先，将向产品所有者提供所有重复使用的信息。关于项目的信息通常由客户提供，如果它是外包项目，并且如果它是公司本身的产品，则产品架构师设计需求并提供给产品所有者。
2.  一旦所有的要求都清楚了，在我们的例子中是:
    *   包含网站信息的主页
    *   个人资料页面
    *   登录/注册机制
    *   等等...
3.  在这种情况下，创建**个人资料页面**和**登录/挑选机制**将是**史诗**，因为这将涉及许多要完成的小子任务。然而，创建主页可以是一个故事。
4.  当我们说**登录/唤醒机制**是一部史诗时，我们的意思是，它由以下故事组成:
    *   为数据对象定义数据模型(创建表)，如保存用户数据的用户表等。
    *   为登录和注册创建用户界面
    *   然后完成登录/注册系统的后端
    *   集成测试开发的系统。这在 Scrum 中非常重要，无论你构建了什么小部分，你都要测试它。
5.  所有创建的故事都被分配了故事点，如完成该任务所需的时间。这取决于以下标准:
    *   需要完成的工作量
    *   工作的复杂性
    *   工作中涉及的风险或不确定性
6.  **故事点**是时间的度量。斐波那契数列大多用于故事点。可以是 1、2、3、5、8、13 等等，其中 1 表示任务需要一个完整工作日的努力。
7.  计划扑克是围绕 Scrum 计划创建的一项活动，旨在使其更具互动性。你可以很容易地谷歌如何玩规划扑克，或者访问这个[链接](https://en.wikipedia.org/wiki/Planning_poker)
8.  因此 scrum famework 只不过是我们在不知情的情况下已经在做的事情。这是在一个时间框架内计划和执行以产生最佳结果的最佳方式之一。是的，他们对任何事物都有特定的术语。

* * *

* * *