# 规则引擎的优势

> 原文：<https://www.studytonight.com/drools/advantage-rule-engine>

以下是规则引擎的一些主要优势:

## 更容易理解

对于业务分析师或新开发人员来说，规则比用 Java 或其他命令式语言编写的程序更容易理解。

* * *

## 提高可维护性

由于规则更容易理解，开发人员可以花更多的时间来解决实际问题。

* * *

## 应对不断变化的复杂性

添加新规则、修改或删除现有规则比更改更容易，例如`Java`程序。与命令式实现相比，这对其他规则的影响很小。

* * *

## 灵活性:

它能更好地处理需求的变化或数据模型的变化。**更改**或**重写**应用从来都不是一件容易的事情。然而，由于规则带来的形式主义，改变规则比改变一个`Java`程序容易得多。

* * *

## 合理的性能

得益于 Drools 背后的 **Rete 算法**；理论上，系统的性能不取决于规则的数量。随着 Drools 的每一次发布，通过加入 **Rete 节点共享**、**节点索引**、**并行执行**等各种优化，引擎的性能越来越好。所有这些既有利于旧规则，也有利于新规则。

* * *

## 将需求转化为规则

业务规则的表示是一致的。比如，我们拿一些业务规则在`Java`中实现。开发人员根据他们的经验，倾向于使用不同的方法来解决问题。我们会发现可能的解决方案会有很大的不同。而有了规则，这种多样化就不那么明显了。就是因为我们表达的是**“什么”**，而不是**“怎么样”**。因此，即使是新开发人员也更容易阅读代码。

* * *

## 能够将企业管理应用到我们的规则中

这建立在先前一致表示的优势之上。如果我们有一致的表示，引入适用于我们所有规则的新特性就容易得多(例如，**审核**、**记录**、**报告**或**性能优化**)

* * *

## 可重用性:

规则保存在一个地方(将业务逻辑与系统的其他部分分离)，这意味着更容易重用。例如，假设您已经为您的应用编写了一些验证规则，稍后需要进行一些数据的批量导入，因此您可以简单地在您的批量导入应用中重用验证规则。

* * *

## 紧密建模应用

规则更紧密地模拟应用不变量。命令式的解决方案倾向于根据所选择的算法，在操作上强加任意的并且经常是不必要的排序。这就隐藏了应用的原始不变量。

* * *

## 统一

Drools 平台带来了规则和流程的统一。从进程调用规则很容易，反之亦然。

* * *

## 重新部署

甚至可以在不停止整个应用的情况下更改/重新部署规则和流程。

* * *

* * *