# Drools：何时不使用规则引擎

> 原文：<https://www.studytonight.com/drools/not-use-rule-engine>

**规则引擎**有很多优点，但这并不意味着它可以解决所有的应用。不是**灵丹妙药**适合**业务层**所以要明智使用。

以下是需要思考的要点:

*   如果你的项目很小，可能少于 T2 的 20 条规则，那么规则引擎可能是一个过度杀伤。但是，做决定之前要三思，因为很多系统都是从小处着手，但是随着更多需求的实现，突然变得不可收拾。
*   如果你的业务逻辑是**定义明确的**或者**静态的**，不经常变化；您不需要在运行时更改规则。
*   如果你的规则是**简单的**、**独立的**，通常只跨越一个单一的对象(例如，检查一个用户的年龄小于 21 岁)。你不需要一个**规则引擎**如果在伪代码中，你没有超过两个嵌套的 if-then 语句。同样，请仔细考虑这一点，因为每个系统的复杂性都会随着时间的推移而增加。
*   如果你最关心的是性能。您是否正在实现一些**算法**，您希望对其执行进行精确控制？你有记忆受限的环境吗？
*   如果你的项目是**一次性的努力**，并且它永远不会被再次使用或者随着时间的推移而被维护。
*   Drools 有一个学习曲线。因此，开发人员必须了解语法和规则的执行。

为了更详细地阐述这一点，比如一个贷款授予应用，其中的规则是有限的，它们不会随着时间的推移而改变，或者在这类应用中没有添加新的参数或字段。可以改变的是可以从**静态最终字段**中读取的利率。

第二个例子，比如一个库管理应用，在设计应用时，有一组固定的规则，一旦实现，它们就不会频繁改变，或者根本不会改变。因此，在这种系统中，不使用`Drools`是明智，因为这对**性能**和**控制**没有好处。

如果您打算使用每 3 个月就有新监管机构加入的交易应用，以及监管您的应用的新法律/规则和每天被告知要实施的新规则，并且更改非常频繁，建议使用 **Drools** 。

* * *

* * *