# Drools：规则语法

> 原文：<https://www.studytonight.com/drools/rule-syntax>

**Drools 规则资源(DRL)** 有不同的语法，涵盖了以下部分的语法:

## Drools：规则中的条件

一个规则可以包含许多条件/模式:

*   学生(id == 001)
*   员工(姓名= =“Vivek”)

以上条件检查学生证是否为 **1** ，员工姓名是否为**维维克**。

* * *

## Drools：规则中的变量

Drools 中的变量名以`$`美元符号开头。

```
$student : Student()
```

`$student`是**学生()**班级的变量。

这类似于 java 中的`Student student = new Student()`。Drools 可以处理所有的原生 Java 类型，甚至`Enum`。

* * *

## Drools：规则中的注释

在 Drools 5.x 中，`#`或`//`可以作为**单行评论**

对于多行注释:

```
/* 
	Another line 
*/

```

* * *

## Drools：规则中的函数

**功能**是一个便利功能。它们可以用于**条件**和**后果**。如果要对规则的 then 部分进行修改，可以调用一个普通的**静态 java 助手**函数。

```
function double calculateAreaofSquare(double value) 
{ 
    return value * value; 
}

```

* * *

## Drools：方言

**方言**指定任何处于**条件**或**结果**的代码表达式中使用的语法。默认值为`Java`。`Drools`目前还支持一种叫做`mvel`的方言。

默认的**方言**可以在包级别指定如下:

```
package org.mycompany.somePackage
dialect "mvel"

```

* * *

## Drools：MVEL 方言

**mvel** 是一种基于 Java 的应用的表达语言。`mvel`支持字段和方法/getter 访问。它基于 Java 语法。

* * *

## Drools：无循环属性

此属性通知规则引擎，对于每个匹配的事实，规则只能激活一次。如果规则中有一个通用条件，那么应该使用这个属性来避免无限循环的情况。

* * *

## Drools:突出

`Salience`是规则语法的一个非常重要的特征。

冲突解决策略使用它来决定首先触发哪个规则。如果有两个规则，并且两个规则都满足条件，则使用显著性来确定规则触发的顺序。它有一个属性，该属性接受任何返回 int 类型数字的表达式(正数和负数都有效)。该值越高，冲突解决策略就越有可能启动规则。

```
salience ($account.balance * 5)
salience 100
```

默认显著性值为 **0** 。当只给某些规则赋值时，我们应该记住这一点。在**规则语法**中还有很多其他特性/参数，但是我们已经讨论了重要的特性/参数。

* * *

* * *