# 如何从`.drl`文件中调用外部函数

> 原文：<https://www.studytonight.com/drools/external-function-drl-file>

让我们演示如何从`DRL`文件中的 java 文件调用静态函数。在同一个包中创建一个类`Utility.java``com.sample`

```
public class Utility {

	public static void writeHello(String name) {
		System.out.println("HELLO" + name + "!!!!!!");
	}

}
```

然后我们在 drl 文件中添加导入语句，从 drl 文件中调用`writeHello`方法。同样，我们在使用的 drl 文件中添加了语法

* * *

## 此场景的用例:

以下是用例的逐步解释:

*   很多时候你需要计算你的**对象**的参数，这些参数是你在 **DRL 的**中使用的，或者为此你需要检查特定的变量是某个**静态数据**的一部分还是某个**静态配置**的一部分，基于这个决定你想要执行你的规则， 因此，在这些地方，最好在您的`DRL`文件或您的`Utility`类中调用一个**外部函数**，以便可以在这些函数中进行处理，并且规则可以作用于您的函数的输出。
*   Drools 主要是为**业务层**准备的，即评估如果满足特定条件下下一步该做什么，因此如果特定规则需要的话，处理部分可以在功能上完成，从而给出规定。
*   另一个例子是，Java 是一种**面向对象语言**，但它仍然允许您编写**静态/助手**函数来进行一些计算，并使用静态方法，而无需启动任何对象。它违背了面向对象的编程概念，但是我们仍然可以直接调用方法而不创建对象，所以类似地 Drools 也提供了这个特性。

* * *