# 什么是 POM？

> 原文：<https://www.studytonight.com/maven/pom-in-maven>

描述 maven 项目中的 POM 最简单的方法是，它只不过是任何 maven 项目的核心元素。基本上，任何 maven 项目都由一个名为 pom.xml 的可配置文件组成，它代表缩写**项目对象模型**。这个 pom.xml 将总是位于任何 maven 项目的根目录中。这个文件代表了 maven 中最基本的单元。

**pom.xml** 基本上包含了已建或待建项目的相关信息。它包含了关于项目中包含的配置细节、依赖关系和插件的所有必要信息。简单来说，它包含了项目构建生命周期的细节。

**以下是可以在 pom.xml 文件中处理的一些配置:**

*   项目中使用的依赖项(Jar 文件)
*   使用的插件(报告插件)
*   项目版本
*   参与项目的开发人员
*   邮寄名单
*   报告
*   构建配置文件

* * *

## 示例 Pom.xml 文件

简单 java 项目的典型 pom.xml 如下图所示。

![Sample POM Xml file](img/0f0ce87f21172db713aa99636899f14f.png)

一个 pom.xml 总是从名为`<project>`的根元素开始，在这个元素下所有其他需要的配置都将被创建。开发人员应确保在定义 pom.xml 文件之前定义以下元素列表，这些元素被称为 **maven 坐标**:

1.  **groupId** -正如名称本身所示，这是一个对组织中的任何项目都是唯一的 Id。
2.  **artifactId** -即使名字写为“Id”，这也基本上是定义了任何项目的名称。
3.  **版本** -该元素用于导出任何项目的版本，以便在项目开发阶段进行重大变更/实现时将版本分类。

每当执行项目任务时，maven 都会扫描 pom 中的条目。Xml 文件。这将使 maven 能够读取所有配置、定义的构建概要文件、配置的仓库以及所有其他重要细节，然后相应地执行任务。

**注意:**实际上 pom.xml 在 maven 1 中更早就被用在 project.xml 的名称中。随着 maven 2 版本的推出，它被重命名为 pom.xml

* * *

## 超级聚甲醛

所有 maven 项目的 pom.xml 文件总是扩展超级 pom.xml 文件。这个超级 pom.xml 基本上定义了所有 maven 项目共享和使用的一组默认配置。这个超级 pom.xml 不需要开发人员编写。这将是 maven 安装的默认设置。

一个典型的超级 pom.xml 可以在附件中找到。点击下面的链接下载。

[下载超级 POM Xml 文件](resource/super_pom.xml)

* * *

### 马文的目标

maven 中的目标只不过是导致编译、构建和管理项目的特定任务。maven 中的一个目标可以与零个或多个构建阶段相关联。唯一重要的是在 pom.xml 中为给定项目定义的目标的顺序，因为执行的顺序完全取决于定义的目标的顺序。

[下载 Maven 目标 Xml 文件](resource/maven_goals.xml)

* * *

* * *