# 什么是 Maven 快照？

> 原文：<https://www.studytonight.com/maven/maven-snapshot>

基本上，当开发一个大规模的应用时，这个过程需要在应用中进行一系列的更改，直到它被确认准备好作为最终版本。因为，可能有多个团队在不同的模块集上处理一个应用。

考虑两个团队，A & B 在 2 个不同的模块上工作，并说团队 B 将依赖于团队 A 提供的服务。说团队 A 参与了一些主要的关键修复工作，这些修复将每天进行检查。所以必须通知 B 队，A 队还有一些未完成的工作，A 队还没有发布最终版本，这就是小牛的**快照**出现的地方。

**快照**是一个特殊版本，表示正在进行的项目的当前开发副本。对于每个构建，maven 总是检查项目的快照。

因此，每当 maven 找到项目的较新快照时，它都会下载并替换本地仓库中项目的较旧`.jar`文件。

快照版本总是会在项目上进行一些更新/更改。此外，快照应该只存在于开发阶段，不会有发布版本。这意味着项目的构建将随时改变，并且它仍在开发过程中。

* * *

## 快照与版本

在 **SNAPSHOT** 的情况下，Maven 会在每次**corejavattorials**项目构建时自动获取最新的 SNAPSHOT(数据服务:1.0-SNAPSHOT)。

在**版本**的情况下，maven 一旦下载了上面提到的版本，比如 javassimples:1.0，那么它就永远不会尝试下载仓库中可用的更新的 1.0。为了下载更新的代码，CoreJavaTutorials 版本将升级到 1.1。

```
<project  
   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 
   http://maven.apache.org/xsd/maven-4.0.0.xsd">
   <modelVersion>4.0.0</modelVersion>
   <groupId>CoreJavaTutorials</groupId>
   <artifactId>CoreJavaTutorials</artifactId>
   <version>1.0-SNAPSHOT</version>
   <packaging>jar</packaging>
   <url>http://maven.apache.org</url>
</project> 
```

* * *