# 在 Maven 中生成 Javadocs

> 原文：<https://www.studytonight.com/maven/generating-javadocs-in-maven>

Maven 提供了一个很酷的特性，为一个项目生成 javadocs。每个开发人员都知道，拥有我们项目的代码文档是至关重要的，maven 的这一特性有助于实现这一点。

Maven 使用 **maven-javadoc** 插件来生成项目的 javadoc。这个插件内部使用**JDK \ bin \ javadocs . exe**命令生成 javadoc。当使用`mvn install`命令部署项目时，它会为项目生成 javadocs。

* * *

## 马文:配置 Javadocs 插件

javadoc 插件可以在 **pom.xml** 中为任何项目进行配置，如下所示:

```
<build>
	<plugins>
		<plugin>
			<groupId>org.apache.maven.plugins</groupId>
			<artifactId>maven-javadoc-plugin</artifactId>
			<executions>
				<execution>
					<id>attach-javadocs</id>
					<goals>
						<goal>jar</goal>
					</goals>
				</execution>
			</executions>
		</plugin>
	</plugins>
</build> 
```

* * *

## 马文:生成 Javadocs

在项目的 pom.xml 中添加了上述插件后，您所要做的就是打开命令提示符，转到项目目录，例如:Java \ workspace \ javassimples，运行命令`maven install`。

![Generating Javadocs in Maven](img/817fd40b3dd6e7ead5496b142aefb9de.png)

![Generating Javadocs in Maven](img/eb5a34bb43414fae4b56873d19a7e919.png)

生成的 javadocs 可以在项目的位置找到:**D:\ Java \ workspace \ JavaSimples \ target \ API docs**。

* * *