# Ruby 简介

> 原文：<https://www.studytonight.com/ruby/introduction-to-ruby>

**Ruby** 是松本由纪弘开发的面向对象编程语言。Ruby 是一种**动态编程语言**，具有复杂但同时**表达语法**。Ruby 还有一个核心类库，拥有丰富而强大的 API。

Ruby 的灵感来自其他低级和面向对象的编程语言，如 *Lisp* 、 *Smalltalk* 和 *Perl* ，并且使用 C 和 Java 程序员容易学习的语法。

Ruby 是一种动态的开源编程语言，注重简单性和生产力，它有一个优雅的语法，易于阅读和编写。

虽然用 Ruby 编程很容易，但它不是一种简单的语言。

* * *

## Ruby 的特性

1.  **面向对象:**Ruby 中的每一个值都是一个对象，甚至是最原始的东西，比如字符串、数字，甚至是真假。所以，Ruby 是一种纯面向对象的语言。每个对象都有一个类，每个类都有一个超类。
2.  **动态:** Ruby 是一种非常动态的编程语言。Ruby 程序不像 C 或 Java 程序那样编译。程序中的所有东西都是由运行时的代码构建的。程序也可以在运行时修改自己的定义。
3.  **单例类:**Ruby 中的每个对象都有两个类:一个`regular class`和一个`singleton class`。一个对象的单例类是无名类，它唯一的实例就是那个对象。单例类是自动创建的，让 Ruby 变得简单而优雅。
4.  **元编程:**Ruby 中的一切都是对象。您可以在程序运行时使用它们来了解它们，甚至修改它们。这种技术被称为元编程。
5.  **灵活性:**可以将方法添加到现有的类中而不进行子类化，可以重载操作符，甚至可以在运行时重新定义标准库的行为。
6.  **变量和作用域:**程序员不需要在 ruby 中声明变量或变量作用域。变量的名称自动确定其范围。

    | 示例: |
    | --- |
    | `var`是局部变量 |
    | `$var`是全局变量 |
    | `@var`是一个实例变量 |
    | `@@var`是类变量 |

* * *

## Ruby:高级特性

*   处理错误的例外。
*   垃圾收集器。
*   与操作系统无关的线程化，即使在 DOS 等操作系统上也能编写多线程应用。
*   你可以用 c 语言编写 Ruby 的扩展。

### 为什么你应该选择鲁比？

*   Ruby 是一种服务器端脚本语言。
*   Ruby 可以嵌入到 HTML 中。
*   Ruby 的语法类似于许多编程语言，如 C 和 Java。
*   Ruby 几乎支持所有的平台，比如 Windows、Mac 和 Linux。
*   Ruby 可以很容易地连接到 Oracle、MySQL、DB2。

* * *

* * *