# 使用 Ruby 交互式 Shell

> 原文：<https://www.studytonight.com/ruby/using-the-ruby-shell>

它也被称为 irb。它允许我们键入 ruby 表达式或语句。打开命令提示符并键入 irb。(Windows 和麦金塔都有)。

![Using Ruby Shell Command](img/b06998cb7a234efd75683f525f235488.png)

如上图所示，我们可以编写 ruby 表达式和语句。引号内输入的文本称为**字符串**。我们可以对两个字符串执行连接操作。

我们可以简单地将值存储到变量中，

```rb
name = “Welcome to Ruby!”
```

Ruby 是一种**区分大小写的**编程语言。所以，**名称**不同于**名称**和**名称**。

我们还可以执行一些复杂的操作。请参见下面打印从 1 到 9 的数字的代码片段。

```rb
i = 1
while 	i < 10
	print i
end
```

![Wrong Example](img/d39d8d80f514d3a2fe90518c84b9ced9.png)

输出:

![Wrong Output](img/9d7185f4412ebd0ce4eb8f5bb0beac12.png)

哇哦！！刚刚发生了什么？看到输出后，您可能会感到困惑。我们说它打印 1 到 9。但是它显示了所有的 1，而且也太多了。这是因为变量`i`没有增加。按 **Ctrl + C** 终止执行。

下面的代码从 1 到 9 打印

```rb
i = 1
while 	i < 10
	print i
	i += 1
end
```

我们也可以在`irb`中定义函数。函数是执行特定任务的一组语句。这是一个返回数字平方的函数。

```rb
*def* square(n)
	return n * n
end
```

**调用函数:** `square (4)`

调用该函数并将 **4** 作为参数通过执行操作`4 * 4`返回 **16** 。同样，求圆面积的函数。

```rb
*def* circle(radius)
	return radius * radius * 3.14
end
```

**调用函数:** `circle (5)`，传递 **5** 作为参数。此功能通过乘以`5 * 5 * 3.14`返回 **78.5**

* * *

## Ruby 脚本

我们将从文本编辑器而不是命令提示符运行 ruby。您可以使用任何文本编辑器，如*记事本*、*记事本++* 、*崇高*、*括号*。Ruby 脚本有。rb 分机。所以，你必须保存扩展名为`.rb`的文件。现在，在您的编辑器中输入以下代码，并以任何带有`.rb`扩展名的名称保存它:

```rb
puts "Welcome to Ruby!"
```

我们先把这个保存为**吧。要运行程序，进入命令提示符，输入`ruby first.rb`。如果在安装期间选择了*“将 Ruby 可执行文件添加到您的路径”*选项，您也可以通过简单地键入`first.rb`来运行。**

![Using Ruby Shell Command](img/a8ea4e15eb0fed82625cae083bc7b063.png)

同样，您可以在麦金塔中使用任何文本编辑器，并遵循与在 Windows 中相同的过程。

* * *

* * *