# Ruby 中的注释

> 原文：<https://www.studytonight.com/ruby/comments-in-ruby>

`Comments`是`Ruby`中不可执行的语句。`Comments`隐藏在**Ruby 解释器**中，因此这些行被忽略。它们用于增加程序的可读性。我们可以在程序的任何地方写注释，除了在**变量**里面，因为 **Ruby 解释器**认为它是一个**字符串**。

* * *

## Ruby:单行注释

使用 Ruby 中的`#(Hash)`符号创建`Single line comment`。

```rb
print “Hello World”	 #Used to Display the Text
```

每当，`Ruby`在一行中找到#时，其后的所有内容都将被忽略。

* * *

## Ruby:多行注释

**使用代码块 **=begin / =end** 创建多行注释**

```rb
=begin
This is used
to illustrate
multiple line comments
in Ruby language.
=end
```

```rb
The statements inside this block are ignored by the Ruby Interpreter.
```

* * *

#### 有效的注释示例:

```rb
Puts “4 * 6 = #{4*6}”	#Multiplies 4 with 6 and Displays result
```

* * *