# Ruby 字符串数据类型

> 原文：<https://www.studytonight.com/ruby/strings-in-ruby>

可以使用`single quotes`或`double quotes`在 Ruby 中形成弦。

引号内的任何字符如**数字**或**字母**或**符号**均为`Strings`。

![String Data Type example in Ruby](img/8fe7d050204ef4309dea4e165cd6782b.png)

我们已经学习了在字符串中添加换行符。同样，其他字符也可以嵌入字符串中。

```rb
name = *"Bharath\tKumar"*
```

*   `\t`添加制表符空间
*   `\s`增加空间

对于创建字符串，这是使用双引号而不是单引号的额外优势。如果使用双引号，可以在字符串中使用单引号作为`apostrophe`。

```rb
str = "Bharath's"
```

*   但是不能在单引号中直接使用单引号。
*   但是有一种方法可以做到这一点，使用一个特殊的字符`\`作为转义字符，从而告诉编译器/解释器下一个字符有一些特殊的含义，就像`\n`的情况一样。在其他情况下，像撇号一样，反斜杠`\`告诉编译器/解释器下面的字符没有特殊含义，并且下面的字符是字符串的一部分。

```rb
str = 'Bharath\'s'
```

使用双引号内的`\'`在字符串中包含撇号。

在下图中，当在字符串的单引号中使用单引号时，您可以看到我们无法退出交互模式。所以，不可取。

![Including apostrophe in a String by using escape characters in Ruby](img/70262ff2536ad47261b8571689e1e709.png)

* * *

## 鲁比:这里的关键字

要创建多行字符串并将其存储在变量中，使用`HERE`关键字。

![Here keyword example in Ruby](img/4219e185f7c17e5e3edaeaaf79c5b1a0.png)

这以两个小于符号`<<`开始，关键字**在这里**表示，直到您再次看到关键字**在这里**，将所有值存储在变量中。

```rb
quote = << *HERE*
	What you do
	today can
	improve
	all your
	tomorrows
	*HERE*

```

因此，值`What you do\ntoday can\nimprove\nall your\ntomorrows`存储在变量`quote`中。这是在变量中存储大块文本的最简单方法。

* * *

## Ruby:分裂法

分割是一个有用的方法，用于获取字符串并分割成多个部分。它的语法是:

```rb
*<String Value>*.split(<*DELIMITER*>)
```

其中，分隔符是指定的字符串将被一分为二的点。

![Split method in String data type in Ruby](img/b2189a63ef45b4b6a52ead356b5a7a3f.png)

```rb
first,last = "Bharath,Kumar".*split*(/,/)
```

这里`comma (,)`是分隔符。我们使用`slashes (/)`来定界(转义)分隔符。

执行此语句时，逗号前的文本首先分配给变量**，逗号后的文本最后分配给变量**。****

 ****因此在上图中，值`Bharath`被分配给变量`first`，值`Kumar`被分配给变量`last`。

* * *

## Ruby:挤压法

`Squeeze`用于从字符串中删除尾随空格。以下是它的语法:

```rb
*<String Value>*.squeeze
```

![Squeeze method in String data type in Ruby](img/446cfa038738aa65dd2bb10f331bcc80.png)

在上图中，您可以先记下变量**中的空格数。当使用挤压方法打印第一个变量时，它会删除尾随空格。**

 *** * *******