# Ruby 中的数组

> 原文：<https://www.studytonight.com/ruby/arrays-in-ruby>

数组存储相同数据类型的多个值。数组类似于**范围**，唯一不同的是范围必须代表连续的序列。另一方面，数组包含数据集合；它不需要是连续的序列。阵列的真实例子有:

*   **装鸡蛋的鸡蛋纸盒**
*   **棋盘**及其棋子等

![Example of Array](img/fcf4f327ec90a438aaae03dc9fa48a9a.png)

**数组的表示**

数字 **0** 到 **7** 称为数组`Index`。它们用于访问数组元素。

## Ruby:定义数组

我们通过将**放在数据周围的方括号**来定义数组。例如，

```rb
numbers = [1,3,5,7,9]
```

这里`numbers`是`integers`类型的 **5** 号(数据)的集合。

![Array Example in Ruby](img/a19e589fb95348834f387e2f05f2d35c.png)

数组的元素通过使用数组名后跟索引来访问。例如，`numbers`数组的第一个元素被**号【0】**访问

![Accessing Array Elements in Ruby](img/1c530c1b398220da6acef406074dbc35.png)

为了总结等级数组的所有元素，使用以下语句。

```rb
Sum = grades[0] + grades[1] + grades[2] + grades[3]
```

![Sum of ELements of Array in Ruby](img/f2b100a3736d579d63639f331bb054d2.png)

然而，有更有效的方法来访问数组的所有元素。当我们进入关于循环的课程时，我们会看到这些。到目前为止，要访问数组元素，您需要指定它的索引。有时称为**偏移**。

* * *

### Ruby:把序列变成数组

序列(范围)可以使用`to_a`方法转换为数组。

![Turning Range into Array in Ruby](img/4af1489968e8bee3657b3d882482a709.png)

* * *

## 鲁比:什么是哈希？

`Hash`是存储数据集合的另一种数据结构。它通常被称为**关联结构**，因为我们以`key-value`对存储数据。联想结构的一个经典例子是**词典**，其中单词是**键**，单词的定义是**值**。在 hash 中，为了找到值，我们必须查看键。

下面是一个演示如何在 ruby 中定义散列的例子:

```rb
pincode = {
		'Abc' = '123',
		'xyz' = '980',
		'def' = '456',
	}	

```

![Hash in Ruby](img/aef9e98554dad006e430f828d2f49f5c.png)

![Representation of Hash in Ruby](img/97cc4227b8b79a1f16028a6fcbfdddf1.png)

### Ruby:散列的表示

我们通过像数组下标一样将**键**呈现给**散列名称**来从`hash`中检索值。

要检索 Praveen 的号码:`numbers['Praveen']`

如果我们试图用一个不存在的键来检索一个值，它会返回`nil`。

![Accessing Hash elements in Ruby example](img/c9bedc56b2bfa04af0f6fc58b4db2f43.png)

这样可以保证**键**是否存在。如果返回`nil`，则表示密钥不存在。

* * *