# Ruby 中的循环

> 原文：<https://www.studytonight.com/ruby/loops-in-ruby>

**循环**用于根据**条件**重复执行一组语句。有时需要一次又一次地执行一组语句。例如，检查数组中的数字是否是质数。

* * *

## 鲁比:当循环

**While 循环**用于重复执行一个代码块或代码段，直到条件变为假。

**While 循环**的语法:

```rb
while (condition)
statements
end
```

首先检查条件，如果是真的，重复`while block`中的语句。在每次迭代结束时，再次检查条件。当条件被发现为**假**时，`while`循环终止。

考虑下面打印**“你好，世界”** 5 次的例子。

![While loop example in Ruby](img/26eeb933cc5a16b54966c9944d392c0d.png)

现在让我们检查它的输出

![While loop example in Ruby](img/4d1d75ccd1c08c3ffc07ed2bfec54a5b.png)

哦，等等！这是什么？应该只印了**“你好，世界”**5 次。但是发生了什么？

变量**计数**用值 **1** 初始化，当计数变为 **5** 时，循环将终止。但是在 while 循环中，没有递增 count 值的语句。因为条件永远不会变假，所以不会终止。这叫`Infinite loop`。

![While loop example in Ruby](img/9ee0fa97f02a9f256fae77af369ca7aa.png)

现在，在这段代码中，您可以看到**计数**的值增加了 **1** 。因此，每次执行循环时，**计数**的值递增，如果**计数**的值变为 **6** ，则条件失败并退出循环。现在，让我们看看输出。

![While loop example in Ruby](img/e4fb400dccf9e37ff358a7b40f9a056b.png)

这就是我们的预期产量。条件失败后，从`while block`出来，执行`while block`后面的下一条语句。

下一个程序打印前十个数字的总和。

![While loop example in Ruby](img/7b6e58dd18e2dd51bbd68cfec2216087.png)

* * *

## 鲁比:直到循环

`Until loop`与`while loop`非常相似。

**while loop** 和**while loop**的唯一区别在于 **while loop** 重复执行语句集，直到条件变为 **false** 和**直到循环**重复执行语句集，直到条件变为 **true** 。`Until`与`while`相反。

**While 循环**的语法:

```rb
until (condition)
statements
end
```

检查条件，如果是**假**它执行`until block`里面的语句，当条件变成**真**时，它退出循环。

![Until loop example in Ruby](img/db5298802b4cfcd9ed1f03b4d6e93b95.png)

循环执行，直到**计数**变为 **6** 。当计数变为 6 时，条件将为**真**，并且**退出**循环。程序的输出是:

![Until loop example in Ruby](img/3592230e9d84e24c6f0f58edbad569ac.png)

打印前 10 个数字总和的程序

![Until loop example in Ruby](img/ff532c6df398f80ad2625140c66a0aa0.png)

上述程序的输出是:

![Until loop example in Ruby](img/ae7052a1a5a19c20af4776222ce8f745.png)

* * *

## Ruby:每个迭代器

![Each loop example in Ruby](img/fe42e8e892f5c30dc337e92b203b8bb5.png)

```rb
Each Iterator is used to iterate over an array
```

它取出容器或数组的每个元素，并分配给变量 **x** 。使用变量 **x** 的值，我们可以进行我们想要的操作。

* * *

## 鲁比:用于循环中

就像`while`和`unless`循环重复执行一组语句。利用这一点，我们还可以遍历容器。

![For in loop example in Ruby](img/ef86497a9e6fa8263652425fc4e317c3.png)

在这段代码中，它取出数组 **nums** 的每个元素，并将其存储在单个元素(变量) **num** 中。然后使用该值，我们可以执行所需的操作。上面代码的输出是:

![For in loop example in Ruby](img/fadbd00025e0515c46e392bc411cdb19.png)

要使用 for 循环对 10 个数字求和:

![For in loop example in Ruby](img/54f4a4cb8725f6b354623ef3b22023d5.png)

它的输出是:

![For in loop example in Ruby](img/4408f2c2bd908b3ab252771cfccd7f2b.png)

* * *