# Ruby 中的迭代器

> 原文：<https://www.studytonight.com/ruby/iterator-in-ruby>

`Iterators`允许我们遍历一个范围，并在一个范围内做一定次数的事情。演示`Iterator`比描述更容易。

* * *

## Ruby:时代迭代器

![Times Iterator example in Ruby](img/7b6a4561152e69a1e303e884efade02e.png)

这段代码执行 do 块中的语句的次数在`times`关键字之前。`times`关键字知道从 1 开始，到`times`关键字之前指定的数字为止。

```rb
Here, 5 is given. So, it prints "Hello, World" for 5 times.
```

* * *

## 鲁比:向上迭代器

![Upto Iterator example in Ruby](img/2cbc5dec672d2b47aa8642cc81e7d245.png)

它从`upto`关键字之前指定的数字开始，直到`upto`关键字中指定的数字，遍历整个范围。在我们的例子中，从 1 到 10。对于每次迭代，它将值存储到变量 **x** 中。使用变量 **x** 中的值，我们可以通过在 do 块中指定它来执行我们想要的操作。

上面代码的输出是:

![Upto Iterator example in Ruby](img/f1181e2ca6d49dc45fbeb64c67a303ee.png)

同样，我们可以将前十个数字的值相加，

![Upto Iterator example in Ruby](img/58cbb831e81a9db8e90717cc2866343b.png)

* * *

## Ruby:步骤迭代器

![Step Iterator example in Ruby](img/4fb474a3900b48f849787e655ec20f6d.png)

有点类似`upto`迭代器。

![Step Iterator example in Ruby](img/9d31f3dae92d7fc191e5195a395b71f3.png)

它在用户指定的范围内迭代。对于每次迭代，它增加由**步数计数器**指定的变量`x`的值。

上述程序的输出是:

![Step Iterator example in Ruby](img/37c51b87f933e933fefd208357120d3e.png)

打印最多 10 个奇数的总和

![Step Iterator example in Ruby](img/161e55de9f82251829b1c815128d7637.png)

上述程序的输出是:

![Step Iterator example in Ruby](img/4b8ec49309d92a031b0dd1194647a904.png)

请记住，**迭代器**与传统编程语言中的`while`和`do while`循环相比，提供了更大的灵活性。

* * *

* * *