# Ruby 方法

> 原文：<https://www.studytonight.com/ruby/methods-in-ruby>

**方法**也称为**功能**。方法用于执行特定的一组**指令**

#### 例如，

*   Word 中**文件菜单**有**保存**、**打开**等不同操作。,
*   **保存**专门保存单据，并包含相应的编码。
*   **打开命令**用于打开文档。

**函数**取**参数**，有**返回类型**。

**参数**就像给函数的**输入**，而**返回类型**就是函数的**输出**。

**返回类型**在 ruby 中可以是两种类型:

1.  通过使用表达式
2.  通过使用`return`关键字。

**方法**的语法:

```rb
def *methodname*(arguments)
    statements
    return
end
```

![defining a method in Ruby](img/7e93dfc668fd66eea831f0223c0362c8.png)

在上面的代码中，有一个名为`square`的方法，只有一个参数。名为`number`的变量被赋予了 **3** 的值。另一个名为`numbersqr`的变量被赋予了该函数返回的值。这里，我们通过指定名称和传递参数来调用函数。

```rb
square(number). It is called function calling statement.
```

变量`number`被传递给函数，该函数被分配给函数中的局部变量`num`，该数字被相乘，并且函数返回被分配给变量`numbersqr`的值。

这是上述程序的输出:

![defining a method in Ruby](img/352a92db71b7cb32bb80a88a40d831d0.png)

值 **9** 从函数返回，分配给变量`numbersqr`，并使用`print`方法显示。在本例中，函数的返回类型是使用表达式。

* * *

## 具有多个参数的 Ruby 方法

![defining a method with more than one parameter in Ruby](img/be9c588d9b1db37af3ff146f6dd5c187.png)

在这个程序中，有两种方法`square`和`power`。**幂法**取**两个**参数。此方法将**基础变量**中的值提升至`exp`变量中的值后返回该值。此方法显式返回该值。即使用`return`关键字返回该值。

```rb
def *power* (base, exp)
    product = 1
    while exp > 0
        product *= *base*
        exp -= 1
    end
    return product
end
```

当通过传递以下参数调用该函数时:`power (3, 3)`。它将 3 的值乘以 3 的幂。

在这个程序中，函数调用语句是在 print 方法内部编写的。这指定被调用的函数在程序中的任何地方。

首先调用 square 方法，它返回值并存储在变量`numbersqr`中。现在，当调用幂方法时，我们传递变量`numbersqr`和`number`。因此，返回`numbersqr ^ number`的值。

在我们的例子中，`9^3`或`9*9*9`即 **729** 是从函数中返回的。

![defining a method in Ruby](img/93e6343850beeabeec7684474d4b4324.png)

* * *