# 游戏工程导论

> 原文：<https://www.studytonight.com/3d-game-engineering-with-unity/introduction>

这门课程需要很大的耐心和奉献精神，在本教程中，你将学习到许多有趣的元素和组件，这些元素和组件你一直想知道，关于游戏是如何开发和设计的。

这是一个教程，它将为你提供游戏开发所需的所有内部架构和组件的详细概述。

* * *

## 什么是游戏？

嗯，你们都听说过**游戏**这个术语。游戏可以被定义为一种为了娱乐而注册的活动，作为一种准备好的游戏形式，基本上是为了娱乐和/或作为一种教育工具。

根据数学模型研究**博弈论**，在玩游戏时，参与游戏的候选人之间要么是赢，要么是输，要么是平局，这是基于游戏过程中所做的动作或决定。

几乎每款游戏的关键组成部分都是它的目标、规则和惯例、挑战和互动。当一个玩家玩任何游戏时，它通常涉及精神或身体刺激，并且经常两者都有。这最终也提升了人类的感官、反应和思考能力(我们将在**游戏工程和玩**部分的优势中讨论)。许多游戏有助于发展实用技能(如模拟游戏)，而其他游戏则是一种锻炼形式(虚拟现实和面向 X 盒的游戏)，而其他一些游戏有助于发展教育或心理潜力。

* * *

## 什么是电子游戏？

视频游戏可以定义为在电子设备上运行的游戏，该游戏涉及人类与用户界面(UI)进行交互，以在任何视频设备(如电视屏幕或计算机监视器)上生成视觉响应。这种电子游戏由用户玩时，会处理一组图形、图像甚至音频，使游戏更具互动性。

简单来说，视频游戏就是人类通过电脑、电视、智能手机、平板电脑或其他游戏机“玩”的数字娱乐平台(它是一种软件形式)。视频游戏中的**视频**一词是人们使用光栅显示设备(在某些地方仍在使用)时出现的传统附加词，但在 20 世纪后，该术语被用于任何类型的能够产生二维或三维图像/视频的显示设备。

### 游戏开发

游戏开发是创建视频游戏的过程，包括在一些平台/软件上开发游戏。开发由游戏开发者承担，可以是**游戏工程师**(用于构建整体结构和游戏玩法)**设计师**(用于设计对象和动画)**编码师**(用于编码并赋予游戏生命，包括逻辑、分数和其他计算)**项目经理**(用于管理和推广游戏)**游戏测试员**(游戏开发完成后将对游戏进行测试，以发现游戏中的 bug，如有)。所有这些人力资源都归属于游戏开发者，开发完整游戏的过程被称为**游戏工程**。

第一个电子游戏是在 1960 年开发和发行的。但是为了运行这些游戏，需要大型计算机，而普通大众(在当时)无法使用。后来，商业游戏在 20 世纪 70 年代随着第一代电子游戏以及游戏机和家用电脑(台式机)的出现而诞生。

* * *

### 谁是游戏开发者？

游戏开发人员是从零开始创建游戏的人，他们像专门从事视频游戏开发的软件开发人员一样工作——开发人员的重点在于创建视频游戏。一个游戏开发者的团队可能从一个承担所有任务的人(开发一个完整的游戏)到一个开发游戏的大型商业公司——责任在各个学科之间分配，如编程、设计、艺术和游戏策划、测试等。

需要注意的是，一个小游戏可以由一两个人开发(比如马里奥、拼图、迷宫)，但涉及到 GTA、IGI、NFS、COD 等大型游戏时，则需要一整个开发团队的努力才能完成游戏并取得成功。

有开发人员专门从事不同的游戏开发软件(如统一 3D、虚幻等)或动画软件(如自动索引玛雅、搅拌机等)。此外，开发人员可能专门从事某个游戏平台或游戏控制台(如任天堂的 Wii U、索尼的 PlayStation 4、微软的 X-box 等)，而其他开发人员可能为个人电脑或智能手机等特定设备开发游戏。

### 游戏开发工具

游戏开发工具是专门的软件解决方案，允许和促进视频游戏更容易的开发。在开发游戏时，开发团队可能需要动画软件来设计玩家、树木或游戏中使用的任何其他对象；或者一个程序员可能需要 **Visual Studio** 或者 **MonoDevelop** 编辑器来注入特定的代码来移动一个游戏对象，所有这些工具都在 Game development tools 下。换句话说，我们可以说开发完整游戏所需的工具属于游戏开发工具的范畴。所有这些工具都有助于设计游戏。

* * *

* * *