# 游戏开发概念

> 原文：<https://www.studytonight.com/3d-game-engineering-with-unity/game-development-concepts>

游戏开发是计算机科学最令人兴奋的领域之一，也是软件开发行业的重要组成部分。电脑游戏在全球范围内构成了一个庞大且不断扩大的市场。

交互式数字媒体和游戏以及娱乐应用在个人电脑的日常用户中掀起了巨大的热潮，并在提供经济实力方面发挥了重要作用(因为游戏不是免费的)，这是一个不容忽视的因素。

因此，游戏开发也将不断产生新的想法和互动设备，使游戏玩得更有吸引力和刺激。对于这款游戏，开发者需要接受良好的培训，并配备他们的开发技能。

游戏开发的一个重要特点是，学习者和开发者应该想出新的想法和一个朗朗上口的情节，把剩下的留在这门课上，因为到本教程结束时，你将拥有游戏开发所需的特定技能。据观察，德国通过在德国各地建立游戏学院，为愿意开发游戏的学习者提供设施，这些学院侧重于与游戏开发相关的特定培训。

在这里，**study now**为读者提供了一个免费的机会来建立自己的学院，按照自己的节奏学习，并根据自己的想法和技能开发游戏。

* * *

## 如何开发一款好游戏？

成为一名优秀的游戏开发人员需要大量的实践，根据你的想法和一步一步的方法来工作。

第一步，就是拿出一个游戏的计划/蓝图。不遵循适当开发方法的游戏会遇到以下问题:

*   开发所需的时间更多。
*   超出预算。
*   倾向于不合理的错误。

所以，给新游戏开发者的建议是，在继续设计和编写游戏之前，修正一个明确的目标，弄清楚你的游戏需要什么。游戏开发的这一阶段称为**需求捕获**或**规划阶段**。您也可以使用形式化语言，如**统一建模语言(UML)** (我们将在后面的章节中详细讨论)。在“需求捕获”或“规划阶段”，游戏开发人员可以使用案例图，快速收集关于需求的见解(例如，需要多少设计师、程序员、测试人员或开发工具——游戏引擎、动画工具和其他建模工具以及游戏玩法或故事情节或游戏的目标和级别),以有效管理和成功完成您的游戏开发。

* * *

### 游戏工程团队管理

你的开发团队将不得不面对某些挑战(如果你不是单独开发游戏的话)。您或团队成员可能面临的一些问题包括:

*   每天都有新的功能和工具在网上发布，您的团队成员必须管理和升级他们的技能。
*   可能会有内部纠纷或个人问题，你的团队经理应该巧妙地处理。
*   好的测试人员应该被雇佣来使你的游戏没有错误，否则你的游戏可能无法达到相当高的人气，甚至无法达到你设定的目标。

因此，项目经理应该选择合适的、熟练的设计师、开发人员和测试人员，让团队协同工作。

### 游戏开发就是软件开发

游戏开发所需的步骤和阶段遵循类似于软件开发的阶段，以及一些成功完成游戏的额外阶段。由于游戏开发是软件开发行业的主要部分，因此游戏开发也经历了 **SDLC(软件开发生命周期)**的各个阶段以及一些额外的阶段。让我们详细解释一下这些阶段。

软件开发生命周期是软件工程中用于开发预期软件产品的结构良好且安排有序的阶段序列。同样的结构也需要游戏开发者遵循。这些阶段是:

1.  **Communication:**

    这里，用户发起开发期望游戏的请求。然后他/她联系开发商或项目管理公司，并试图讨论条款。然后在成功达成协议后，第二阶段将开始。如果用户自己是 hame 开发者，那么它直接从阶段 2 开始。

2.  **Requirement Gathering:**

    在这一阶段，游戏开发团队讨论进行项目的要求，项目经理将决定项目所需的人力资源数量。该团队将与不同的利益相关方进行讨论，以讨论不同领域的问题，目的是根据他们的要求提供尽可能多的信息。

3.  **System Analysis:**

    在这个阶段，开发者将决定一个成功的游戏开发计划的路线图，直到发布，并尝试提出适合项目的最佳软件模型(我们将在下一章详细讨论软件工程模型)。该阶段还包括事先正确理解产品的局限性或现有系统中所需的变更。

4.  **Systems Design:**

    在开发的这个阶段，期望的特性和详细的工作，包括游戏，目标和水平的设置，屏幕布局，玩家和游戏对象模型；在游戏、商业规则、流程图(UML、DFD)、伪代码和其他文档(GDDs)中创建动画。

5.  **Development Phase:**

    游戏的真正代码将在这个阶段编写。这可以来自一个伪代码或一组写在 GDD(游戏设计文件)的算法。

6.  **Integration and Testing Phase:**

    在这一阶段，游戏的演示版本发布，试用期为 15 天或 1 个月。这是由团队自己正式完成的，以检查错误和受欢迎程度。随着这款游戏的部分发行，推广也在 YouTube 等网站和其他游戏网站开始。同时，测试人员被雇来检查游戏中的错误。

7.  **Final Release Phase:**

    测试和推广完成后，游戏的最终发布就完成了。

8.  **Maintenance Phase:**

    在这个开发阶段，游戏的适当维护是有保证的。检查游戏是否运行平稳或变得过时，同时收集、分析并使用来自游戏用户的反馈来改进游戏本身。

9.  **Patches and Cheat-Codes:**

    团队自己发布**补丁**(bug 的热修复)和**作弊代码**，这样新手玩家也有动力玩完整个游戏，并找到轻松进行关卡的兴趣。还有 **mods** (修改器)也是在游戏发布 6-10 个月后发布的，也是更新游戏增加额外特性和功能的补丁(增加新自行车或插入新型号的枪)。

因此，所有这些阶段都必须遵循，才能让游戏成功。

* * *

* * *