# 游戏开发生命周期模型

> 原文：<https://www.studytonight.com/3d-game-engineering-with-unity/game-development-models>

因为在最后一章，有很多话题/术语没有解释清楚，所以让我们试着帮助你理解整个画面。首先，让我们讨论一下软件/游戏开发生命周期模型，这通常是在公司或个人公司遵循的。

如果你是一个初级游戏开发人员，我们理解你很难遵循这些生命周期模型，但是了解它们并没有坏处。

* * *

## 生命周期模型

有很多提议的软件/游戏开发生命周期模型，它们在开发过程中遵循特定的生命周期。这些模型也被称为**流程&开发模型**。所有这些模型都遵循一系列循环形成的步骤，这是其类型所独有的，以确保其开发阶段的成功。

所有公司和游戏开发商都遵循的一些著名开发模式如下:

### 瀑布模型

它是最古老和最常用的模型，遵循简单和直接的方法——根据这种方法，首先完成一个阶段，然后进入下一个阶段(不后退)。瀑布模型的每个阶段都依赖于前一阶段传递的信息。更容易理解和有效管理。

这种模式在游戏开发的早期(1980 年代到 1990 年代中期)非常流行，因为在整个开发过程中需求是不变的。但是现在，需求每天都在变化，因此遵循这种模式不是一个好的选择。它可以用于小游戏项目。

![Waterfall Game Development Model](img/17eab09a16669cc48c94e38d62ce4987.png)

* * *

### 螺旋模型

这是一个灵活的模型。螺旋模型有一个重复的方法，以循环的方式前进，项目以**螺旋**的形式一遍又一遍地经历四个阶段，直到完成，因此允许几轮细化。

![Spiral Game Development Model](img/e5d07aedb169c05d40d962d9be3701ff.png)

在游戏开发中，螺旋生命周期模型的典型步骤是:

1.  设计和规划
2.  实施计划，或者换句话说，编写游戏代码。
3.  **玩测试**:这包括玩游戏和分析游戏的改进，寻找 bugs 问题等。
4.  对当前进展的评估。理解我们做对了什么，做错了什么，用新的观察点，回到第一步。

#### 螺旋模型的优势

1.  风险很低。
2.  应该总是从核心特性的开发开始。
3.  一个工作原型在更短的时间内就准备好了。
4.  这种模式允许更快的变化。
5.  该模型与 [SCRUM](/scrum-framework/) 配合良好。

* * *

### 迭代模型

这里不是从完全已知的需求开始，您还可以在迭代之后开始实现一组软件需求、测试、评估和插入进一步的需求。在每一次迭代中，都会产生新的游戏版本。这种冲洗和重复一直持续到整个项目准备就绪。

![Iterative Game Development Model](img/6fdd9f8c5b24635e85723f1a6c5887bc.png)

* * *

### v 形模型

这个模型也被称为**验证**和**验证**模型，这个模型诞生于瀑布模型，并且在其每个开发阶段具有并行运行测试活动的特征。和瀑布模型一样，V 型模型的每个阶段都依赖于它的前一个阶段。当所有的需求在手之前都很清楚的时候，这个模型就完美地发挥了它的作用，因为很难有一个向后的动作来做出任何改变。

* * *

### 大爆炸模型

它并不完全遵循 SDLC 方法论，或者换句话说，这个模型并不遵循任何特定的过程，在游戏开发时，只有非常少的时间花在规划和设计这个模型上。大量资源集中用于发展。这是一种不常见的方法，通常用于只有两到三个开发人员在开发游戏的小项目。

* * *

### 敏捷模型

在这个模型中，产品被分解成一组特性，因此它被用于快速交付工作产品，因此被认为是非常合理的开发方法。该模型生成项目的持续版本，每个版本都有小的和增量的变更，这些变更是从以前发布的版本更新而来的。在每个周期，项目都经过测试，然后发布。

关于敏捷的详细信息:[敏捷原则](/scrum-framework/agile-principles)

* * *

* * *