# 不同类型的游戏

> 原文：<https://www.studytonight.com/3d-game-engineering-with-unity/genres-of-game>

我们开发的所有游戏都属于不同的预定义类别之一，这些类别也被称为游戏类型。在开发游戏之前，游戏工程师或项目负责人必须决定他想为他的观众开发什么类型的游戏。所以在这一章中，你将学习游戏的类型以及它们的特点。

游戏的类型定义了游戏的确切类别，并可以通过类似的游戏特性来传递，比如——目标和故事情节的类型、关卡和摄像头点(即 FPS、TPS)、游戏展示的功能和故事情节。游戏的类型不是由内容或游戏模式来定义的，而是由游戏所具有的共同挑战和特点来定义的。例如， **FIFA** 和**PES-Pro Evolution football**具有相似的属性和目标，因为两者都是足球比赛，当球队通过进球赢得比赛时，球员的得分或难度水平会提高，就像现实生活中的足球比赛一样。一个游戏的类型是由发现的相似性决定的，并被列在一个共同的标题下，在这里，国际足联和 PES 将归入*体育-类型游戏*。

## 所有游戏类型的列表

这里我们列出了游戏分类的主要类型。

### 游戏类型:动作

操作类别有一些子类别，如下所示:

*   **潜行游戏:**这些游戏倾向于强调技巧和精确打击更明显和毫不掩饰的射手。例如:金属齿轮系列、IGI 系列等。
*   **生存游戏:**这些游戏在敌对状态下以玩家最少的资源开始，伴随着开放的世界局势，目标是收集资源、工艺工具、炮兵和武器&保护，以便在游戏进行过程中玩家的生存。
*   **射击游戏:**在这些游戏中，玩家会抽取一系列武器，为远处发生的动作做出贡献。
*   **平台游戏:**这些游戏设置在三维(3D)环境中，玩家引导角色穿过障碍物，在游戏中前进。

* * *

### 游戏类型:冒险

就像冒险电影一样，以冒险为故事情节的游戏充满了虚构的风景、人物等。这些游戏描绘了一种不同的游戏方式，没有过度的反射、硬核挑战或动作。重点在于玩家通过与环境互动来解决谜题或谜团。**马里奥**、**铁皮**都是冒险游戏的例子。冒险游戏的一些类别有:

*   **图形冒险**
*   **视觉小说(基于小说和故事)** -哈利波特(使用 PlayStations、X Box 和其他游戏机播放)
*   **互动冒险(基于电影)** - Tin-Tin，蝙蝠侠等
*   **实时 3D 冒险** -记忆的阴影

* * *

### 游戏类型:角色扮演游戏

在这样的游戏中，玩家被选中在充满无数**冒险者**的故事情节中扮演主要角色，并且擅长特定的技能组合，并且玩家在故事情节中的进步增加了他的技能和力量。这一类别是最著名的类型之一，由世界各地的游戏玩家玩。以下是角色扮演游戏的一些子类别列表:

*   **Rogue like Game:**它是一个子流派，名字来源于 1980 年电脑游戏 **Rogue** 的游戏性元素。Nethack 是 roguelike 游戏的另一个例子。
*   **奇幻游戏:**暗黑破坏神、最终幻想、波斯王子等游戏有一个充满不寻常的角色和反派的世界，玩家必须完成充满挑战和神秘的关卡，还有一些隐藏的路线需要解锁才能继续游戏。
*   **沙盒 RPG(开放世界 RPG):** 这些都是现代游戏，玩家被赋予了完全的自由，可以自由漫游，做任何事情(即玩家不会被岩石&栅栏、单一目标等限制在单一路径上)。这类游戏的例子有著名的**侠盗猎车手(GTA)** 系列、**看门狗系列**等。这些游戏提供了一个大的地理区域来探索游戏的主要目标和任务。
*   **大型多人在线角色扮演游戏(MMORPG):** 这一术语于 20 世纪 90 年代商业化出现，自 1978 年以来一直存在。这包括数百名玩家在同一平台上实时互动和合作。

* * *

### 游戏类型:模拟游戏

这些主要是设计和开发来紧密模拟(复制)我们现实生活或虚构环境的所有方面。模拟游戏的不同子类别如下

*   **养殖模拟**
*   **车辆模拟**
*   **生活模拟**
*   **管理模拟**

* * *

### 游戏类型:策略游戏

这里的主要焦点在于游戏性，这需要一个谨慎和熟练的心态和一个好的计划来取得胜利。著名游戏工程师安德鲁·罗林斯(Andrew Rollings)说，在大多数策略游戏中，“玩家被赋予了一个游戏的神一样的愿景，世界相对于它而存在，并以某种方式控制着他指挥下的单位。”

*   **4X 游戏:** 4X 游戏是指具有四个主要目标的特定形式的策略视频游戏的类型，这四个主要目标是-
    1.  **探索**
    2.  **展开**
    3.  **开拓**
    4.  **消灭**
*   **实时策略(RTT)和战争游戏:**实时策略游戏的特点是在游戏内获取资源、建造基地等资产，玩家为了应对不断变化的游戏状态，不得不不断做出具体的决策和执行某些动作。例如:《帝国时代》等。
*   **塔防:**塔防游戏的格式和玩法都非常简单。通过部署合适的防御系统来摧毁敌军，让你的塔变得坚固。
*   **多人在线战斗竞技场(MOBA):** MOBA 游戏也被称为**动作实时战略(ARTS)** 游戏，这是战略游戏的一个分支，起源于一个实时战略游戏，玩家控制两个团队中的一个角色。

* * *

### 游戏类型:体育游戏

这些游戏模仿了在设备上进行的任何传统体育运动的游戏性。像棒球、篮球、足球等现实世界的运动都是以电脑游戏的形式出现的。随着你技能水平的提高，你的游戏也会模仿真正的职业运动员以及他们的移动和比赛方式。其子类型有:

*   **赛车**
*   **室内运动**
*   **户外运动**
*   **战斗**
*   **竞争和杂项**

* * *

### 科教游戏

有几个案例，许多家长和老师抱怨孩子玩电子游戏，但有几个伟大的教育游戏，实际上可以帮助孩子和孩子，甚至成年人学习新事物和收集知识。

* * *

### 其他杂项游戏类型

其他各类游戏有:

*   **休闲游戏**
*   **编程游戏**
*   **逻辑游戏**
*   **音乐游戏**
*   **派对游戏**
*   **琐事游戏**
*   **棋盘游戏/卡牌游戏**

* * *

## 理解游戏类型的好处

在开始游戏开发之前，了解游戏的类型是非常关键的。如果你在为某个游戏开发项目的客户工作，试着去理解你的客户心目中的游戏类型，它会帮助你完成以下工作:

1.  设计游戏的主题。一个冒险游戏在有森林背景的情况下看起来不错，而一个为学生设计的游戏在有彩色背景的情况下看起来不错。
2.  游戏声音也取决于游戏的类型。
3.  游戏中使用血腥和暴力只建议 18 岁以上年龄组的玩家玩动作游戏。

因此，一旦游戏的类型被定义，你就会有很多想法。

* * *

* * *