# 为游戏创建动画的基础知识

> 原文：<https://www.studytonight.com/3d-game-engineering-with-unity/basics-of-animation>

您可以将动画视为通过快速显示一系列彼此差异最小的图像来制造运动错觉和变形错觉的技术或过程。只要放一本翻书。

![Flip Book animation example](img/5ca7315e95bca9880e7f84c81f7837c5.png)

创作动画的技术人员被称为**动画师**，他们是有创造力的人，拥有开发动画的专门技能。这些动画可以是模拟媒体或翻书、动画电影、视频和 GIF、数字媒体(包括动画 GIF、Flash 动画文件、视频等)的形式。

用于创建动画的方法包括两种传统的动画开发方法，包括停止运动动画，可以是二维或三维对象、剪纸、泥塑等。图像以快速的速度呈现，基本上每秒 24、25、30 或 60 帧。

而计算机动画用计算机生成的图像生成动画图像。三维动画需要计算机图形，而 2D 动画侧重于风格，低带宽和更快的实时渲染能力。

在游戏世界中，图形软件被实现用于创建动画效果。基本动画可以是通常在网页中使用的动画 gif 图像。当你不得不在电脑软件游戏或太空战动画中描绘一个人或外星人脸的动画复制品时，动画就变得复杂了。

* * *

## 一些动画软件的列表

下面是一些流行和广泛使用的动画和 3D 动画程序的列表。

*   **搅拌机(免费版提供):**T2】http://www.blender.org/
*   **光波 3D:**[http://www.newtek.com/](http://www.newtek.com/)
*   **弹性现实与狂热 3D:**[http://www.avid.com](http://www.avid.com)
*   **玛雅:**T2】http://www.alias.com/
*   **Macromedia Flash(提供免费版本):**[http://www.macromedia.com/flash](http://www.macromedia.com/flash)
*   **3d studio max:**[http://www . Autodesk . com/](http://www.autodesk.com/)
*   **3DPlus(免费):**[http://www.freeserifsoftware.com/](http://www.freeserifsoftware.com/)
*   **动画大师:**[http://www.hash.com/](http://www.hash.com/)
*   **动作捕捉:**[http://www.metamotion.com/](http://www.metamotion.com/)

* * *

## 动画的类型

动画有三大类:

*   **Traditional Animation:**

    传统动画也称为手绘动画，是一种每一帧都需要手工绘制的动画。这种动画制作方法成为电影院中最主要的动画类型，直到计算机动画的新时代到来

*   **Stop Motion:**

    这个术语基本上描述了动画的轮廓，它可以通过物理控制现实世界的对象并一帧一帧地拍摄它们来生成，以创建运动的错觉，其中帧作为连续的图像链按顺序播放。

    各种类型的定格动画有:

    *   **木偶动画**
    *   **剪切动画**
    *   **黏土动画**
    *   **物体动画**
    *   **像素化**
*   **Computer Generated Animation:**

    计算机辅助或计算机生成的动画据说是由一个或多个二维平面组成的系统，该系统将传统的即手绘动画技术计算机化。

所有这些类别都可以用来制作 2D 和三维图像。此外，还有一些额外的、不太常见的形式，将它们的主要焦点投射在创建图像上，同时融合了实时动作和绘图或计算机生成的图像。其他一些动画形式有:

*   **传统动画**
*   **基于 2D 矢量的动画**
*   **3D 电脑动画**
*   **运动图形**
*   **停止运动**

在游戏开发中，对能够开发模型、对象和各种场景或游戏视图的动画师有着巨大的需求。所以，既然你已经有了动画的基础知识，我们希望你能够判断出你游戏中对动画发展的要求。

* * *

* * *