# 评估您的游戏项目

> 原文：<https://www.studytonight.com/3d-game-engineering-with-unity/game-project-survival>

在投入时间、金钱和其他资源之前，明确你的项目愿景是非常重要的。

在你开始游戏开发之前，你应该不断问自己一些具体的问题来评估游戏开发的计划和行动方案。提前评估你未来的努力，作为你项目的生存测试。史蒂夫·麦康奈尔在他的论文《软件项目生存指南》中提到了自我评估项目的优势以及如何相应地行动。

这个测试的主要用例是快速大致了解你的整体准备情况，然后和你的团队一起为游戏项目计划你未来的步骤。建议在项目的开始或中间进行测试，并做出相应的反应或改变。

* * *

## 自我(基于项目)评估的问题

正如你所知道的，游戏开发遵循与软件项目开发相同的开发阶段。因此，对于每个阶段，您可以决定一组特定的问题，基于这些问题，我们可以评估我们的项目开发工作。以下问题根据不同阶段进行划分:

### 对于游戏需求阶段

1.  你的游戏是否有清晰、明确的愿景陈述？
2.  你的团队成员相信你提出的愿景并认为它是现实的吗？
3.  该项目是否对出版商或公司以及开发者都有任何盈利的现实期望？
4.  游戏的内部玩法和 UI(用户界面)有没有用描述的方式展示出来，让每个人都能毫无疑问地理解游戏的主要目的？
5.  你的团队成员认为游戏项目会有趣和令人兴奋吗？

### 对于规划阶段

1.  你的游戏有详细的书面设计和开发文档吗？
2.  您的游戏是否必须提供清晰的书面技术文档，说明项目中需要使用的技术内容？
3.  你的游戏有详细的、书面的美术制作准备吗？
4.  议程中有没有列出所有需要执行的任务的综合项目？

### 项目开发阶段

1.  你的游戏有没有一个管理人员:一个*项目负责人*或者*首席设计师*来处理整个项目？
2.  你的项目的里程碑是否有清晰的、可测量的可交付成果？
3.  所有团队成员以及项目负责人都有合适的工作量吗？他们有足够的时间处理大型项目吗？
4.  您的开发人员是否可以访问匿名交流平台或渠道，在那里他们可以毫不犹豫或恐惧地就游戏开发过程中的问题给出反馈或报告？
5.  您的项目是否有一个明确的方法来定义团队领导如何评审变更？
6.  是否所有的源代码都在 Perforce、Git 等版本控制软件下？

* * *

* * *