# 使用 Unity 引擎的游戏设计

> 原文：<https://www.studytonight.com/game-development-in-2D/introduction>

所以你想成为一名游戏设计师。这是一个非常有趣的职业选择；我们必须提到，这是一条漫长的道路，有超过你的份额的路障和挑战，你必须克服。但这也同样值得。毕竟，没有什么比看着一个你在你的**头脑中创造的**世界，在你面前复活，准备好被玩，准备好讲述你的故事更好的了。****

 ***更不用说还有一些硬通货要赚。美国游戏设计师的平均年薪约为 8.4 万美元。*

游戏设计师，是所有事情背后的人。是一个设计师想出了*马里奥越坑越管*的主意，他们是决定机枪中一个夹子能装 34 发子弹的人，他们是决定游戏是否是多人游戏的人。他/她是集团**创意总监**。他们还负责与艺术家、作曲家、配音演员、程序员、测试人员等合作，以确保团队拥有所需的所有专业知识。

兴奋吗？你应该是。然而，作为一个初学者，从游戏制作开始(注意游戏**制作**和游戏**设计**的区别)，你很可能会自己做很多团队成员的工作，或者在一个小组里。这就是为什么本教程系列旨在让你在职业生涯中不断进步的同时，自己或与自己的团队一起制作游戏。我们将使用什么来制作这些游戏？我们要怎么做？

你所有的问题很快就会得到回答。

* * *

## 为什么你不应该忽视 2D 奥运会？

在这样一个游戏盛行的时代:

![Good 3D games in the market](img/ed0268b7be1df7240f5fcb1c6fa9c0d0.png)

为什么要做 2D 游戏？人们还在玩那些游戏吗？尤其是自从你把你的老 NES(任天堂娱乐系统)连上电视，整天玩 T2 魂斗罗(T3)以来，已经很久没见了？

这是因为 2D 奥运会还没有失去魅力，而且很可能永远不会。如果他们这样做了，你今天知道的大多数安卓游戏都不会存在，许多最初作为 2D 概念的 3D 游戏也不会存在。2D 游戏开发对你的资源来说也没那么费力，因为你的项目中少了一个需要处理的维度。这意味着它非常适合初学者和资源较少的小团队。

如果你仍然不相信，看看这些美丽的 2D 奥运会:

![Good 2D games in the market](img/e13af3fabc0955afe3ecfd955fdf7bd9.png)

这些都是 2D 游戏。是的，就连上图的忍者游戏。

* * *

## Unity 简介

Unity 最初发布于 2005 年，是一个游戏开发环境和超过 20 个不同平台的引擎。它在**MAC OS X****Linux**和 **Windows** 上运行。

Unity 以其简单易懂的界面很快成为了人们开始游戏制作的首选。频繁的更新、良好的文档和更好的社区使它成为最好的工作引擎之一。2013 年，随着 4.3 的更新，Unity 发布了各种工具，供团队和开发人员在上面制作 2D 游戏，使任务比以前简单多了。Unity 也是我个人的最爱，因为它是我最早学会使用的游戏开发程序之一，它确实激发了我进入游戏制作行业的热情。

所以，受够了历史和看似明目张胆的广告，让我们咬紧牙关。要获取最新版本的 Unity，只需前往位于[unity3d.com](https://unity3d.com/)的 Unity 网站

打开网页后，点击按钮**获得 Unity**。

![Get Unity from Unity3D website](img/a6c41001499cc9017ae56b2a3569a927.png)

向下滚动，您会发现:

![Download Personal version of Unity3D](img/b272567d37e8a3a6e579649263c22f22.png)

点击**尝试个人**按钮，获取安装程序。您看到的安装过程几乎是您安装的任何程序的标准过程，尽管我将特别注意以下屏幕:

![Why make 2D games](img/ba6ce573a661772a9d502bf7d7628b11.png)

看到那个突出显示的东西了吗？那是你应该在继续之前停下来思考的地方。雄心勃勃的新开发人员会检查列表中的每个框。别这样。你应该做的，是思考你的目标。如果你对制作安卓游戏或手机游戏感兴趣，请在安卓和 iOS 框中打勾。基本上，抓住你需要的，不要，你不会的。

你的硬盘会感谢你的:)

* * *

* * ***