# 从 Unity3D 中的其他行为脚本调用一个方法

> 原文：<https://www.studytonight.com/game-development-in-2D/unity-call-method-from-other-script>

在本教程中，我们将学习如何从附加到不同游戏对象的任何其他脚本中调用在一个脚本中定义的`public`方法。

一种方法是使用我们在上一个教程中看到并使用的`static`方法，但这不是正确的方法。

* * *

## Unity3D：从其他脚本调用方法

让我们定义一个名为`FirstScript`的新行为类

```cs
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class FirstScript : MonoBehaviour
{

    void Start()
    {
        // some code
    }

    void Update() 
    {
        // some code
    }

    public void SayHello()
    {
        Debug.Log("Hey there!");
    }

}
```

现在让我们用名称`SecondScript`定义我们的第二个类，并在第二个中调用第一个脚本中定义的方法`doSomething()`。

```cs
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class SecondScript : MonoBehaviour
{
    public FirstScript first;

    void Start()
    {
        // some code
    }

    void Update() 
    {
        // calling SayHello() method every frame
        first.SayHello();
    }

}
```

你好。你好。你好。...

它会继续打印**嘿那里！**在控制台中，直到游戏处于播放模式。

* * *

* * *