# 安卓 SDK 管理器——下载所需工具和软件包

> 原文：<https://www.studytonight.com/android/adding-tools-packages-android-studio>

在[之前的教程](setup-android-dev-env)中，我们谈到了安卓应用开发所需的工具，并列出了在我们的计算机上配置这些工具的步骤。现在，在本教程中，我们将阐明**安卓 SDK 管理器**，这对安卓应用开发有多重要，以及开始安卓应用开发需要下载哪些包。

安卓 SDK 管理器，管理各种**安卓 SDK 版本**，工具和各种其他有用的包，您可以选择和下载，以保持您的开发环境最新。

一般当你第一次启动[AndroidStudio](android-studio-for-android)时，它会打开安卓 SDK 管理器窗口，提示你安装安卓开发所需的软件包。但是如果没有出现这种情况，您可以通过转到**工具→安卓→ SDK 管理器**或点击 AndroidStudio 工具栏中的![Open SDK Manager Icon](img/898e10031bbd5fe53601488d4e2c6ad9.png)图标来打开 SDK 管理器。

启动您的 SDK 管理器，您将看到当前安装项目的列表。它还将列出您系统中已安装项目的所有新项目和可用更新。从这里，您可以查看所需的构建工具、SDK 工具、平台工具、SDK 平台、SDK 示例、系统映像(适用于 AVD)、文档、安卓 SDK 源和额外的开发包。它需要互联网连接来下载软件包(大多数是大尺寸的)，所以请确保您有一个。

![Andoid SDK Manager to download packages](img/928af2ddd65373b2202037853b2b1370.png)

*   **SDK 工具**和构建工具包含构建您的安卓应用的包和来自谷歌的几个更新/补丁，以更好地开发应用。
*   对于安卓的特定应用编程接口级别(版本)，您必须从 **SDK 平台**部分下载额外的包。你很容易理解你要安装哪个 API Level/Android 版本，因为有一个列出 Android 版本名称的列表，你只需要选择一个，点击**确定**。在前面的图片中，您可以看到我们已经在系统上安装了一些 API 级别 22 的包，并且也有更新可供使用。让我们看看我们需要在机器上安装哪些软件包:
    1.  **SDK 平台:**安卓 SDK 平台包含开发的包/库&为特定版本构建安卓应用。根据特定版本编译您的应用，加载特定的小部件、视图和工具进行编译，是由 SDK 平台完成的。因此，无论何时你想为任何新的安卓版本(如 8.0 或 7.0)下载软件包，一定要选择并下载 SDK 平台。
    2.  **系统映像:**要为任何特定的应用编程接口创建 **AVD( [安卓虚拟设备](android-virtual-device) )** ，您应该根据您的系统类型(32 位或 64 位操作系统)下载系统映像。对于安卓智能手机，佩戴&电视，需要单独的图片，也可以下载。如果您的应用正在使用一些播放服务功能，如谷歌地图等，那么要用它们测试您的应用，您还必须下载<u>谷歌应用编程接口系统映像</u>。
    3.  **可选包:**SDK 示例，安卓 SDK 来源&应用编程接口级别的文档是可选的。SDK 管理器还允许您为任何特定的 SDK 平台下载一些示例，并为应用编程接口级别下载源代码。如果有文档，您可以下载包含该 API 级别的特定类和方法信息的文档。如果你需要它们，你可以选择下载，否则就不要。
    4.  在 SDK 管理器中向下滚动，您将看到 **Extras** 部分，其中包含应用开发所需/有帮助的附加包/库/服务。你可以下载，如果你认为你需要的话。从现在开始，我们建议你忽略它们。

我们希望您已经选择了需要安装的工具和软件包，点击**确定**或**安装**。这将打开另一个窗口，如下图所示，选择**接受许可**`RadioButton`，然后点击 SDK 管理器窗口右下角的**安装软件包**按钮，这将开始下载您选择的软件包。安装需要时间，请耐心等待。当所有软件包安装到您的系统中时，系统会要求您重新启动 **ADB** ，单击**是**即可。

![Accept License for Packages in SDK manager](img/5c3492a21c3a86025a76fec9eef44057.png)

这都是关于 SDK 管理器的。在一行中:

> 它可以让你下载你需要的安卓版本包和应用开发工具”。

我们将在接下来的教程中了解[安卓虚拟设备](android-virtual-device)设备。

* * *

* * *