# 设置 AndroidStudio

> 原文：<https://www.studytonight.com/android/android-studio-for-android>

在我们[之前的教程](using-eclipse-for-android)中，我们谈到了 Eclipse IDE 不再被谷歌支持用于安卓开发，所以现在最好的用于安卓开发的 IDE 是 Android Studio。在本教程中，我们将了解 AndroidStudio，如何设置它及其功能。

![Android Studio Installation](img/bf24de23695cd31578ae6808f22cd744.png)

在为 Eclipse 发布了许多 ADT 插件后，谷歌决定为安卓应用开发构建自己的 IDE。2014 年 12 月，谷歌发布了 AndroidStudio v1.0 的第一个稳定版本。在此之前，谷歌已经在 2013 年 5 月和 2014 年 6 月晚些时候为开发者提供了 AndroidStudio v0.1 的早期预览阶段。他们从 v0.8 开始发布了 beta 阶段。

从稳定发布之日起，Android Studio 就成为支持所有 Android SDKs 进行 Android 应用开发的官方开发工具。如果您一直在使用 Eclipse 进行安卓应用开发，那么是时候转到 AndroidStudio 享受谷歌即将推出的升级了，因为谷歌已经停止为 Eclipse 插件或 ADT 提供更新，所以 Eclipse 不会提供这些升级。

你可以从[这里](https://developer.android.com/studio/index.html)下载 AndroidStudio。

![Download and setup Android Studio](img/b9cc952022c01650a3edfebe1fad5f82.png)

**注**:不要担心上图中看到的安卓 Studio 版本。它可能与当前的稳定版本不匹配。但是你必须下载最新稳定版本的 Android Studio。

* * *

## AndroidStudio 的特点

AndroidStudio 为应用开发提供了许多出色的功能。从发展的角度来看，这里有一些我们喜欢的特性:

### 格拉德尔

与 Eclipse IDE 非常新且最显著的区别是 [Gradle](introduction-to-gradle) 。这使您可以在同一项目和模块下为具有不同功能的安卓应用创建多个目标(移动、电视和穿戴)。开发人员还可以自定义和配置应用的构建过程。所以最后你可能会有一个项目，所有的模块 apk 都在你的桶里。

![Android Studio Gradle](img/917086d910119f2c49d1ae53c0706d46.png)

* * *

### 线头

在开发过程中，Lint 会检查您的项目源代码，并确定性能改进、兼容性问题(如果有)、bug、安全性改进等，以及与正在进行的应用项目相关的其他问题，这有助于更好地开发应用。

要了解更多关于 Lint 的信息，请查看此[链接](https://developer.android.com/studio/write/lint.html)。

* * *

### 云集成和 Firebase

有了谷歌应用引擎，你可以直接从 AndroidStudio 用最少的努力连接到不同的谷歌云服务。通过使用 Firebase 助手，您可以轻松连接到 Firebase，使用其快速身份验证、通知和其他功能。

* * *

### 应用编程接口集成

在 Android Studio 中，已经配置了各种可以直接用于应用开发的 API。附加的应用编程接口也可以集成到 AndroidStudio 中(见下图)。要添加或删除一个或多个库，您可以点击右侧的绿色`+`和红色`–`按钮。

![Android Studio Install](img/47c701083b2ef62fe76001edfa6f94b4.png)

* * *

### 动态布局视图

布局编辑器允许拖放功能来构建与 Eclipse 相同的用户界面。此外，当您编辑 XML 时，它还提供了用户界面的预览。

![Android Studio dynamic layout view](img/ed181af070f92053d46c770dbf625e52.png)

* * *

### 代码帮助

非常快速和支持性的代码帮助`Ctrl + Space`是开发人员在输入非常少的代码字母时从项目列表中选择合适的选项。

![Android Studio code assistance](img/521f1382796931e13777b31918a21985.png)

* * *

### 文档视图

对于每个建议的类、接口或代码，您可以参考其文档，在代码编辑器本身的单独弹出窗口中获得更多帮助。

* * *

### 版本控制

AndroidStudio 已经集成了 Github 和 Bitbucket。所以你的代码可以通过 AndroidStudio 直接推送到像 Github 或者 BitBucket 这样的在线存储库。

* * *

### 内置示例

开发人员获得现成的代码样本，可以直接用于实践和应用开发。

![Android Studio Build in Code samples](img/cf1706de752a228972aa57e78d2b993c.png)

* * *

* * *