# 布局或视图组简介

> 原文：<https://www.studytonight.com/android/introduction-to-layouts>

用户与安卓应用的所有交互都是通过用户界面进行的，因此了解安卓应用用户界面的基础知识非常重要。我们已经了解了安卓操作系统中的各种视图，可以用来创建你的安卓应用的各种用户界面组件。

但是您将如何安排所有那些[视图](introduction-to-views)组件以有序的方式出现在设备屏幕上。安卓布局用于排列设备屏幕上的视图。

`ViewGroup`是所有布局和视图容器的基类。

* * *

## view group-检视群组

A `ViewGroup`是可以包含其他视图的特殊视图。`ViewGroup`是安卓布局的基类，如`LinearLayout`、`RelativeLayout`、`FrameLayout`等。

换句话说，`ViewGroup`一般用来定义视图(小部件)将在安卓屏幕上设置/排列/列出的布局。

视图组充当一个不可见的容器，在其中放置其他视图和布局。是的，一个布局可以包含另一个布局，或者换句话说，一个**视图组**可以包含另一个**视图组**。

类`ViewGroup`扩展了类`View`。

我们将在接下来的课程中学习布局。

* * *

### 最常用的安卓布局类型

*   线性布局
*   相对布局
*   `WebView`
*   [表格布局](table-layout-in-android)
*   [列表浏览](android-listview)
*   [GridView](android-gridview)

是的，`ListView`和`GridView`既可以作为视图，也可以作为视图组。你会问怎么做？嗯，如果我们使用`ListView`视图以列表形式显示一些数据，它就像一个视图。但是如果我们用它来创建其他视图的列表，例如`ImageView`，那么它就像一个视图组。

此外，视图组子类扩展了类`ViewGroup`，进而扩展了类`View`，所以在某种程度上所有的`ViewGroup`子类实际上都是视图，带有一些额外的特性。

* * *

## 编程和声明方法

要在安卓应用中创建/定义视图或视图组，有两种可能的方法:

1.  **The Programmatic Approach**: In this we define/create our Views in the Java source file. We will learn about this approach in details later, as of now here is a sample code to add a Button to our view.

    ```java
    Button myButton = new Button(this);
    myButton.setLayoutParams(new LinearLayout.LayoutParams(
                                            LinearLayout.LayoutParams.MATCH_PARENT,
                                            LinearLayout.LayoutParams.MATCH_PARENT));

    myLayout.addView(myButton);
    ```

    所以`addView()`是用来给 UI 添加任意视图的功能，`setLayoutParams()`是用来设置各种属性的功能。

2.  **声明性方法**:在这里，我们直接在设计 XML 文件中定义视图和视图组，就像我们将在接下来的几个教程中学习的各种常用视图一样。

在混合教程中，我们将了解每种流行的布局类型，以及如何使用它们来排列不同的视图组件，从而定义您的安卓应用的用户界面。

* * *

* * *