# 秒表安卓应用项目——第 2 部分

> 原文：<https://www.studytonight.com/android/stopwatch-android-app-project-part-2>

在这一部分，我们将制作秒表安卓应用的用户界面。在这个项目的第一部分，我们为秒表安卓应用创建了[基本项目结构。正如我们所知，一个活动的默认布局由一个带有文本 Hello World 的**约束布局**和一个 **`TextView`** 组成！，因此我们将不得不改变它，因为我们正在构建一个停止观察应用。对于我们的应用，我们将设置如下图所示的屏幕，为此，我们需要以下视图和布局:](https://www.studytonight.com/android/stopwatch-android-app-project-part-1)

*   **滚动视图**

*   [**Android `TextView`**](https://www.studytonight.com/android/android-textview)

*   [**Android `ImageView`**](https://www.studytonight.com/android/android-imageview)

*   [**Android 相对布局**](https://www.studytonight.com/android/relative-layout-in-android)

*   [**Android 线性布局**](https://www.studytonight.com/android/linear-layout-in-android)

*   **卡迪维**

从文件 **`activity_main.xml`** 中移除现有的 XML 代码，并在布局文件中编写以下代码。

```kt
<?xml version = "1.0" encoding =  "utf-8" ?>
<RelativeLayout
    xmlns:android = "http://schemas.android.com/apk/res/android"
    xmlns:app = "http://schemas.android.com/apk/res-auto"
    xmlns:tools = "http://schemas.android.com/tools"
    android:layout_width = "match_parent"
    android:layout_height = "match_parent"
    tools:context = ".MainActivity">

    <!-- Main Scroll View -->
    <ScrollView
        android:layout_width = "match_parent"
        android:layout_height = "wrap_content">

        <LinearLayout
        android:layout_marginBottom = "0dp"
        android:layout_marginTop = "8dp"
        android:layout_marginRight = "4dp"
        android:layout_marginLeft = "4dp"
        android:orientation = "vertical"
        android:layout_width = "match_parent"
        android:layout_height = "wrap_content">

            <!-- Outter Card View -->
            <androidx.cardview.widget.CardView
            android:id = "@+id/card_clock"
            android:elevation = "24dp"
            app:cardElevation = "24dp"
            app:cardCornerRadius = "24dp"
            android:layout_marginTop = "20dp"
            android:layout_marginRight = "20dp"
            android:layout_marginLeft = "20dp"
            android:layout_width = "match_parent"
            android:layout_height = "600dp">

                <RelativeLayout
                android:layout_width = "match_parent"
                android:layout_height = "match_parent">

                    <!-- Stopwatch icon image view -->
                    <ImageView
                    android:layout_marginLeft = "16dp"
                    android:layout_marginTop = "14dp"
                    android:src = "@drawable/swicon"
                    android:layout_width = "48dp"
                    android:layout_height = "48dp"/>

                    <!-- stop watch text view parent -->
                    <androidx.cardview.widget.CardView
                    android:layout_marginTop = "8dp"
                    android:layout_alignParentTop = "true"
                    android:layout_centerInParent = "true"
                    android:foregroundGravity = "center"
                    app:cardCornerRadius = "20dp"
                    app:cardElevation = "8dp"
                    app:cardBackgroundColor = "@color/colorPrimary"
                    android:layout_width = "200dp"
                    android:layout_height = "64dp">
                    <!-- stop watch text -->

                    <TextView
                    android:textAllCaps = "true"
                    android:textAlignment = "center"
                    android:textStyle = "bold"
                    android:textColor = "@color/whiteColor"
                    android:layout_marginBottom = "8dp"
                    android:id = "@+id/title"
                    android:layout_alignParentTop = "true"
                    android:layout_marginTop = "8dp"
                    android:gravity = "center"
                    android:layout_gravity = "center_horizontal"
                    android:textSize = "32dp"
                    android:fontFamily = "sans-serif-condensed-medium"
                    android:text = "Stop Watch "
                    android:layout_width = "match_parent"
                    android:layout_height = "match_parent"/>

                    </androidx.cardview.widget.CardView>

                        <!-- stop watch time parent card view -->
                        <androidx.cardview.widget.CardView
                        app:cardCornerRadius = "180dp"
                        android:elevation = "40dp"
                        app:cardElevation = "40dp"
                        android:layout_centerInParent = "true"
                        android:layout_width = "240dp"
                        android:layout_height = "240dp">

                        <!-- stopwatch time without ms text view -->
                        <TextView
                        android:textAlignment = "center"
                        android:textStyle = "bold"
                        android:layout_centerInParent = "true"
                        android:layout_marginLeft = "8dp"
                        android:layout_marginRight = "8dp"
                        android:gravity = "center"
                        android:text = "0:00:00"
                        android:layout_gravity = "center"
                        android:textColor = "@color/textColor"
                        android:id = "@+id/time_view"
                        android:layout_width = "match_parent"
                        android:layout_height = "wrap_content"
                        android:textSize = "56sp" />

                        <!-- stopwatch time with ms text view -->
                        <TextView
                        android:textAlignment = "center"
                        android:textStyle = "bold"
                        android:layout_marginTop = "60dp"
                        android:id = "@+id/time_view_ms"
                        android:layout_width = "match_parent"
                        android:layout_height = "wrap_content"
                        android:layout_gravity = "center"
                        android:layout_marginLeft = "8dp"
                        android:layout_marginRight = "8dp"
                        android:gravity = "center"
                        android:text = "00"
                        android:textColor = "@color/textColor"
                        android:textSize = "24sp" />
                    </androidx.cardview.widget.CardView>

                    <!-- Linear layout containing the start ,stop ,pause ,lap image view -->
                    <LinearLayout
                        android:layout_marginBottom = "8dp"
                        android:layout_centerInParent = "true"
                        android:layout_alignParentBottom = "true"
                        android:orientation = "horizontal"
                        android:layout_width = "wrap_content"
                        android:layout_height = "wrap_content">
                        <!-- time lapse image view -->
                        <ImageView
                            android:focusable = "true"
                            android:visibility = "gone"
                            android:clickable = "true"
                            android:layout_margin = "8dp"
                            android:src = "@drawable/lap_icon"
                            android:id = "@+id/timeLapseBtn"
                            android:layout_width = "80dp"
                            android:layout_height = "80dp" />
                        <!-- time pause image view -->
                        <ImageView
                            android:focusable = "true"
                            android:clickable = "true"
                            android:visibility = "gone"
                            android:layout_margin = "8dp"
                            android:src = "@drawable/pause_icon"
                            android:id = "@+id/pauseBtn"
                            android:layout_width = "80dp"
                            android:layout_height = "80dp" />
                        <!-- time stop image view -->
                        <ImageView
                            android:focusable = "true"
                            android:clickable = "true"
                            android:visibility = "gone"
                            android:layout_margin = "8dp"
                            android:src = "@drawable/stop_icon"
                            android:id = "@+id/stopBtn"
                            android:layout_width = "80dp"
                            android:layout_height = "80dp" />
                        <!-- time play image view -->
                        <ImageView
                            android:focusable = "true"
                            android:clickable = "true"
                            android:layout_margin = "8dp"
                            android:src = "@drawable/play_icon"
                            android:id = "@+id/playBtn"
                            android:layout_width = "80dp"
                            android:layout_height = "80dp" />
                    </LinearLayout>
                </RelativeLayout>
            </androidx.cardview.widget.CardView>
            <!-- lap time card view parent -->

            <androidx.cardview.widget.CardView
            android:paddingTop = "8dp"
            android:layout_marginBottom = "20dp"
            android:elevation = "24dp"
            app:cardElevation = "24dp"
            app:cardCornerRadius = "8dp"
            android:layout_marginTop = "16dp"
            android:layout_marginRight = "20dp"
            android:layout_marginLeft = "20dp"
            android:layout_width = "match_parent"
            android:layout_height = "wrap_content">
                <!-- lap time title -->
                <TextView
                android:layout_marginTop = "4dp"
                android:textStyle = "bold"
                android:textSize = "24dp"
                android:layout_marginLeft = "12dp"
                android:text = "Time Laps"
                android:layout_width = "match_parent"
                android:layout_height = "wrap_content"/>
                <!-- scroll view conatining the lap text view -->
                <ScrollView
                android:layout_marginTop = "32dp"
                android:layout_width = "match_parent"
                android:layout_height = "wrap_content">
                    <LinearLayout
                    android:orientation = "vertical"
                    android:layout_width = "match_parent"
                    android:layout_height = "wrap_content">
                        <!-- lap text view -->
                        <TextView
                            android:padding = "16dp"
                            android:id = "@+id/timeLapse"
                            android:isScrollContainer = "true"
                            android:layout_below = "@id/title"
                            android:layout_width = "match_parent"
                            android:layout_height = "wrap_content"/>
                    </LinearLayout>
                </ScrollView>
            </androidx.cardview.widget.CardView>
        </LinearLayout>
    </ScrollView>
</RelativeLayout>
```

现在上面的 **activity_main.xml** 看起来像

![stopwatch android project for beginners](img/b99ddecf72328f65cef238c46bdc282d.png)

现在我们来讨论一下上面的 UI。它由 4 个部分组成，包含在垂直滚动视图中:

## 1.标题部分-秒表应用:

这部分包含一个`ImageView`和一个`TextView`。

```kt
 <!-- Stopwatch icon image view -->
    <ImageView
        android:layout_marginLeft = "16dp"
        android:layout_marginTop = "14dp"
        android:src = "@drawable/swicon"
        android:layout_width = "48dp"
        android:layout_height = "48dp"/>

    <!-- stop watch text view parent -->
    <androidx.cardview.widget.CardView
        android:layout_marginTop = "8dp"
        android:layout_alignParentTop = "true"
        android:layout_centerInParent = "true"
        android:foregroundGravity = "center"
        app:cardCornerRadius = "20dp"
        app:cardElevation = "8dp"
        app:cardBackgroundColor = "@color/colorPrimary"
        android:layout_width = "200dp"
        android:layout_height = "64dp">

            <!-- stop watch text -->
            <TextView
                android:textAllCaps = "true"
                android:textAlignment = "center"
                android:textStyle = "bold"
                android:textColor = "@color/whiteColor"
                android:layout_marginBottom = "8dp"
                android:id = "@+id/title"
                android:layout_alignParentTop = "true"
                android:layout_marginTop = "8dp"
                android:gravity = "center"
                android:layout_gravity = "center_horizontal"
                android:textSize = "32dp"
                android:fontFamily = "sans-serif-condensed-medium"
                android:text = "Stop Watch "
                android:layout_width = "match_parent"
                android:layout_height = "match_parent"/>

    </androidx.cardview.widget.CardView> 
```

上面的代码将创建以下用户界面:

![stopwatch android project for beginners](img/3ab58daf5eb62ee200558b6706160c6e.png)

## 2.时间部分-秒表应用:

这部分用户界面包含一个显示时间的`TextView`，单位为 ***小时:分钟:秒*** ，另一个`TextView`显示毫秒。我们创建`TextView`的`ids`来在`TextView`中显示时间，稍后我们将在**MainActivity.java**中使用它来显示时间。

```kt
<!-- stop watch time parent card view -->
<androidx.cardview.widget.CardView
    app:cardCornerRadius = "180dp"
    android:elevation = "40dp"
    app:cardElevation = "40dp"
    android:layout_centerInParent = "true"
    android:layout_width = "240dp"
    android:layout_height = "240dp">

    <!-- stopwatch time without ms text view -->
    <TextView
        android:textAlignment = "center"
        android:textStyle = "bold"
        android:layout_centerInParent = "true"
        android:layout_marginLeft = "8dp"
        android:layout_marginRight = "8dp"
        android:gravity = "center"
        android:text = "0:00:00"
        android:layout_gravity = "center"
        android:textColor = "@color/textColor"
        android:id = "@+id/time_view"
        android:layout_width = "match_parent"
        android:layout_height = "wrap_content"
        android:textSize = "56sp" />

        <!-- stopwatch time with ms text view -->
        <TextView
            android:textAlignment = "center"
            android:textStyle = "bold"
            android:layout_marginTop = "60dp"
            android:id = "@+id/time_view_ms"
            android:layout_width = "match_parent"
            android:layout_height = "wrap_content"
            android:layout_gravity = "center"
            android:layout_marginLeft = "8dp"
            android:layout_marginRight = "8dp"
            android:gravity = "center"
            android:text = "00"
            android:textColor = "@color/textColor"
            android:textSize = "24sp" />

 </androidx.cardview.widget.CardView>
```

上面的代码将创建以下用户界面:

![stopwatch android project for beginners](img/e6d2d1ef7b9b14ba7c4713440c3c763a.png)

## 3.互动部分-秒表应用:

这部分界面包含了**开始**、**暂停**、**停止**和**重叠**控制的所有`ImageView`。在本例中，我们仅显示**开始 I** `ImageView`，并隐藏所有其他`ImageView`(**重叠**、**暂停**、**停止**)。我们还为**开始、停止、暂停、第一圈**创建了不同的**id**，稍后我们将在**MainActivity.java**中使用这些 id 来控制秒表。

```kt
 <!-- Linear layout containing the start ,stop ,pause ,lap image view -->
<LinearLayout
    android:layout_marginBottom = "8dp"
    android:layout_centerInParent = "true"
    android:layout_alignParentBottom = "true"
    android:orientation = "horizontal"
    android:layout_width = "wrap_content"
    android:layout_height = "wrap_content">

    <!-- time lapse image view -->
    <ImageView
        android:focusable = "true"
        android:clickable = "true"
        android:visibility = "gone"
        android:layout_margin = "8dp"
        android:src = "@drawable/lap_icon"
        android:id = "@+id/timeLapseBtn"
        android:layout_width = "80dp"
        android:layout_height = "80dp" />

    <!-- time pause image view -->
    <ImageView
        android:focusable = "true"
        android:clickable = "true"
        android:visibility = "gone"
        android:layout_margin = "8dp"
        android:src = "@drawable/pause_icon"
        android:id = "@+id/pauseBtn"
        android:layout_width = "80dp"
        android:layout_height = "80dp" />
    <!-- time stop image view -->
    <ImageView
        android:focusable = "true"
        android:clickable = "true"
        android:visibility = "gone"
        android:layout_margin = "8dp"
        android:src = "@drawable/stop_icon"
        android:id = "@+id/stopBtn"
        android:layout_width = "80dp"
        android:layout_height = "80dp" />
    <!-- time play image view -->
    <ImageView
        android:focusable = "true"
        android:clickable = "true"
        android:layout_margin = "8dp"
        android:src = "@drawable/play_icon"
        android:id = "@+id/playBtn"
        android:layout_width = "80dp"
        android:layout_height = "80dp" />
</LinearLayout>
```

上面的代码将创建以下用户界面:

![stopwatch android project for beginners](img/30db5372891db309446f65ad8a5f9ee1.png)

## 4.膝盖部分-秒表应用:

它包含用于显示流逝时间的用户界面。我们创建一个`id` **延时**，稍后我们将在**MainActivity.java**中使用它来显示延时:

```kt
 <!-- lap time card view parent -->
    <androidx.cardview.widget.CardView
        android:paddingTop = "8dp"
        android:layout_marginBottom = "20dp"
        android:elevation = "24dp"
        app:cardElevation = "24dp"
        app:cardCornerRadius = "8dp"
        android:layout_marginTop = "16dp"
        android:layout_marginRight = "20dp"
        android:layout_marginLeft = "20dp"
        android:layout_width = "match_parent"
        android:layout_height = "wrap_content">

        <!-- lap time title -->
        <TextView
            android:layout_marginTop = "4dp"
            android:textStyle = "bold"
            android:textSize = "24dp"
            android:layout_marginLeft = "12dp"
            android:text = "Time Laps"
            android:layout_width = "match_parent"
            android:layout_height = "wrap_content"/>

        <!-- scroll view conatining the lap text view -->
        <ScrollView
            android:layout_marginTop = "32dp"
            android:layout_width = "match_parent"
            android:layout_height = "wrap_content">

                <LinearLayout
                    android:orientation = "vertical"
                    android:layout_width = "match_parent"
                    android:layout_height = "wrap_content">

                         <!-- lap text view -->
                        <TextView
                            android:padding = "16dp"
                            android:id = "@+id/timeLapse"
                            android:isScrollContainer = "true"
                            android:layout_below = "@id/title"
                            android:layout_width = "match_parent"
                            android:layout_height = "wrap_content"/>
                </LinearLayout>

        </ScrollView>

    </androidx.cardview.widget.CardView>
```

上面的代码将创建以下用户界面:

![stopwatch android project for beginners](img/fee06a7de99a06ed7e02369737ebc815.png)

现在我们的用户界面已经完成，在本项目教程的下一部分，我们将在 MainActivity 类中编写逻辑，将所有功能添加到我们的秒表安卓应用中。

* * *

* * *