# Kotlin 简介

> 原文：<https://www.studytonight.com/kotlin/introduction-to-kotlin>

欢迎来到 Kotlin 教程系列。Kotlin 是一种针对 Java 平台的相对较新的编程语言。我们几乎可以在 Java 的任何地方使用 Kotlin。Kotlin 可用于开发服务器端应用、安卓应用、数据科学领域等。Kotlin 代码也可以转换成 JavaScript 代码。有一些 Java 的背景知识是好的，但是如果你没有 Java 的任何先验知识，那就不成问题了。

Kotlin 具有代码简洁、空安全、实用等特点。它也完全可以与 Java 互操作。因此，它也支持所有现有的 Java 库和框架。

## Kotlin 历史

Kotlin 语言是由 JetBrains(开发著名的 Java IDE IntelliJ IDEA 的同一家公司)在 2010 年创建的。自 2012 年以来，它一直是开源的。

Kotlin 得名于俄罗斯一个名叫[Kotlin 岛](http://en.wikipedia.org/wiki/Kotlin_Island)的岛屿。kotlin 的第一个版本于 2016 年发布，最新版本(2020 年)是 Kotlin v1.3。

Kotlin 版本简史:

*   Kotlin v1.0，Kotlin 的第一个版本于 2016 年 2 月发布。它正式成为 Kotlin 的第一个稳定版本。

*   Kotlin v1.1 于 2017 年 3 月发布。这个版本中增加的主要特性是引入了与 JavaScript 的互操作性和对 coroutines 的支持(虽然不稳定)。现在开发人员可以将 Kotlin 代码编译成 JS，并在浏览器中运行。

*   Kotlin 的下一个版本 Kotlin v1.2 于 2017 年 11 月发布。它允许开发人员在不同平台之间共享相同的代码。我们可以一次性编写您的应用的业务逻辑，并在我们的应用的所有层中重用它——后端、浏览器前端和安卓移动应用。

*   Kotlin v1.3 于 2018 年 10 月发布。在这个版本中，协同程序变得稳定。现在读和写阻塞代码更容易了。

*   Kotlin v1.4 正在开发中，将于 2020 年发布。

2017 年，由于越来越受欢迎，谷歌宣布对 Kotlin 提供一流的支持。2019 年，谷歌将 Kotlin 编程语言作为安卓应用开发的首选语言。

## Kotlin 的特点

Kotlin 提供了比 Java 更多的特性。Kotlin 优于其他语言的主要特点是:

### 1.简洁的代码

代码的大小在开发人员的生活中起着重要的作用。假设你加入了一家公司，在那里你被分配了一项任务，用新的功能替换旧的功能或者可能修复它。你需要做的第一件事是检查代码库。如前所述，如果代码库的大小很大，那么您将花费比编写代码更多的时间来理解代码。代码越简单简洁，你理解它的速度就越快。

Kotlin 确保每一行代码都带有某种意义。在 Java 中需要的所有样板代码，比如获取器、设置器、给字段分配构造器参数等等，在 Kotlin 中都是不需要的。

### 2.空保险箱

Kotlin 确保我们的程序在运行时不会抛出 *NullPointerException* 。Kotlin 的类型系统跟踪可以为空的值。如果对该值执行任何操作，这可能导致*空指针异常，*Kotlin 禁止该操作，并给出错误以避免该错误。我们将在单独的章节中讨论更多关于 null 安全性的内容。

### 3.彼此协作的

这是 Kotlin 最令人钦佩的特征之一。Kotlin 与 Java 完全互操作。这意味着你可以在你的 Kotlin 代码库中使用 Java 库，调用 Java 方法，扩展 Java 类，实现 Java 接口等等。您可以用 Java 编写项目的一个类，用 Kotlin 编写另一个类。他们都将能够使用彼此的功能。

### 4.JavaScript 透明

您可以将您的 Kotlin 代码转换成 JavaScript 代码。因此，我们可以用 Kotlin 编写代码，将它转换成 JavaScript，并在浏览器上运行。但是它有一个缺点。当我们将 Kotlin 代码转换为 JS 时，项目中的所有代码以及使用的标准库都会转换为 JS 代码。但是它将排除任何使用的 Java 框架或库。因此，如果您使用 Java 库，这可能会导致问题。

Kotlin 还有其他特性，如扩展函数、命名参数和默认参数、数据类等。我们将在后面的章节中介绍它们。

## 摘要

在本教程中，我们快速了解了什么是 Kotlin 语言，讨论了它的历史并探索了它的特性。如果讨论的任何功能都没有意义，那就不要担心。我们稍后将详细探讨它们。

接下来，我们将看到如何为 Kotlin 设置 IDE，并在 Kotlin 中编写我们的第一个 hello-world 程序。

**另读:-**[Java vs Kotlin:Kotlin 和 Java 有什么区别？](https://www.studytonight.com/post/java-vs-kotlin)

* * *

* * *