# 如何使用编译器运行 Kotlin 程序

> 原文：<https://www.studytonight.com/kotlin/how-to-run-kotlin-program-using-compiler>

在本教程中，我们将看到如何使用编译器运行 Kotlin 程序。确保您已经在前面[设置了 Kotlin 编译器](https://www.studytonight.com/kotlin/kotlin-environment-setup)。

## Kotlin 的第一个节目

打开任何文本编辑器(记事本、崇高等)。)并创建一个 **HelloWorld.kt** 文件。确保该文件的扩展名为“**”。kt** ”。编写以下程序的是 **HelloWorld.kt** 文件:

```kt
fun main() {
    println("Hello World")
} 
```

**说明:**

*   第 1 行:每个 Kotlin 程序都以`main()`函数开始。在 Kotlin 中使用`fun`关键字创建函数。我们将在后面的章节中阅读更多关于函数的内容。

*   第 2 行:`println()`功能用于在控制台上打印字符串。

### 通过命令行运行程序:

打开命令提示符，转到保存 Kotlin 程序的目录。编写以下命令，将 Kotlin 程序转换成 **jar 文件**:

```kt
kotlinc HelloWorld.kt -include-runtime -d HelloWorld.jar
```

**说明:**

*   *Kotlinc* :就是我们下载来运行 Kotlin 程序的命令行工具。

*   *“hello world . kt”*:是你的 Kotlin 程序文件的名字。

*   *-include-runtime* :默认情况下，Kotlin 编译成 Java。它将需要 Java 库在运行时运行。因此，为了包含 Kotlin 在运行时所需的库，我们编写了这个。

*   *-d HelloWorld.jar* :用这个名字，会创建一个 jar 文件。

要运行生成的 jar 文件，请编写以下命令:

```kt
java -jar HelloWorld.jar
```

你会看到“你好世界”印在控制台上。

## 摘要

在本教程中，我们看到了如何通过命令行运行程序。基本设置已经完成，我们将从下一个教程开始详细学习 Kotlin 的概念。

* * *

* * *