# Kotlin 关键字和标识符

> 原文：<https://www.studytonight.com/kotlin/kotlin-keywords-and-identifiers>

每种编程语言都有特定的**预定义词**，它们带有某种特殊的含义。它们被称为关键字。关键字不能用作标识符。

标识符是变量、类、函数、接口等的名称。

例如，`name`在这里是一个标识符:

```kt
val name: String = "emp_name" 
```

然而，在 Kotlin 中，我们可以根据它们的类型使用一些关键字作为标识符。

## 关键字类型

Kotlin 中有两种类型的关键字:

1.  硬关键字

2.  软关键字

### 硬关键字

硬关键字不能用作标识符。如果将它们用作标识符，将会引发错误。

例如，在 HelloWorld 程序中，我们使用`fun` 关键字创建了一个函数。如果我们尝试创建一个名为`fun`*的变量，我们会得到一个错误。*

 *```kt
val fun = 5   // Error
```

Kotlin 的硬关键字是:

<caption>**Hard keywords**</caption>
| 为 | 断开 | 级 | 继续 |
| 做 | 否则 | 假 | 为 |
| 好玩 | 如果 | 中的 | 界面 |
| 存在 | 空 | 目标 | 包裹 |
| 返回 | 极好的 | 这个 | 投 |
| 真 | 试试 | 类型别名 | 类型 |
| val | 在处 | 当 | 而 |

### 软关键字

软关键字在特定的上下文中被视为关键字，只要它们适用。在其他情况下，它们可以用作标识符。例如，当我们设置类或成员的可见性时，private 被认为是关键字。在另一个上下文中，它可以用作标识符。

```kt
val private = 5 // No Error
```

Kotlin 中的软关键字是:

| 经过 | 哪个 | 构造器 | 代表 |
| 动态的 | 领域 | 文件 | 最后 |
| 得到 | 进口 | 初始化 | 参数 |
| 财产 | 接收器 | 设置 | 他们设定好了吗 |
| 在哪里 | 实际的 | 摘要 | 注释 |
| 同伴 | 常量 | 交叉内联 | 数据 |
| 列举型别 | 预期 | 外部 | 最后的 |
| 中缀 | 在一条直线上的 | 内部的 | 内部的 |
| 拉丁人 | 我们在网上 | 打开 | 操作员 |
| 在外 | 推翻 | 私人的 | 保护 |
| 公众的 | 使具体化 | 密封的 | 暂停 |
| 尾递归 | vararg 档 |  |  |

## 摘要

在本教程中，我们研究了关键字和标识符。我们将使用和研究本教程系列中的大多数关键字。

接下来，我们将研究 Kotlin 中的变量。

* * *

* * **