# Kotlin 输入和输出

> 原文：<https://www.studytonight.com/kotlin/kotlin-input-and-output>

在本教程中，我们将讨论如何将输出打印到控制台或屏幕，并在 Kotlin 中接受用户的输入。用户输入和输出是任何程序的重要部分。它们将有助于用户交互。

## 在 Kotlin 显示输出

对于输出到控制台窗口的打印，我们可以使用`print()`和`println()`功能。当`print()`功能继续将输出添加到同一行时，`println()`将打印输出并将光标移动到下一行。让我们用一个例子来看看:

```kt
println("Hello ")
println("World!!")

print("Bye")
print("World!!")
```

你好
世界！！
再见！！

在本例中，使用`println()`功能打印前两个输出。所以，他们出现在不同的线路上。但是接下来的两个语句是使用`print()`功能打印的。他们会出现在同一条线上。

### Kotlin 中的输出变量

我们可以使用`print()`和`println()`功能直接打印变量。

```kt
var number= 25
var character = 'a'
println(number)
println(character)
```

25
a

我们也可以**用字符串**连接变量并打印它们。我们可以使用`+`或`$`运算符。但是使用`$`比`+`更受欢迎。

```kt
var number= 25
var character = 'a'

println("Number is: " + number)
println("Character is: " + character)

println("Number is: $number")
println("Character is: $character")
```

数字为:25
字符为:a
数字为:25
字符为:a

## 在 Kotlin 获取用户输入

为了获取用户的输入，我们使用`readline()`功能。默认情况下，它会将输入作为**字符串**。如果我们需要任何其他类型的输入，如数字、布尔值等。，则需要将其转换为特定的类型，这意味着显式地指定输入并将输入从字符串转换为其他数据类型，如 Integer 等。

```kt
println("Enter string: ")
var inputString = readLine()
println("Input in string format is: $inputString")

println("Enter number: ")
var inputNumber = Integer.valueOf(readLine())
println("Input in number format is: $inputNumber")
```

输入字符串:
你好世界
输入字符串格式为:你好世界
输入数字:
10
输入数字格式为:10

在每种情况下，我们都需要为不同的数据类型转换输入。我们也可以创建`Scanner`类的对象，并使用它来获取输入。

```kt
var scanner = Scanner(System.`in`)

println("Enter number: ")
var inputNumber = scanner.nextInt()
println("Input in number format is: $inputNumber")
```

同样，我们将对不同类型的变量使用`nextBoolean()`、`nextFloat()`、`nextLong()`和`nextDouble()`。

## 摘要

在本教程中，我们讨论了如何在控制台中获取输入和打印输出。在下一个教程中，我们将讨论 Kotlin 中的注释。

* * *

* * *