# Kotlin 注释

> 原文：<https://www.studytonight.com/kotlin/kotlin-comments>

在本教程中，我们将在 Kotlin 中介绍**注释。注释是代码的重要部分。有时候程序员很难理解其他程序员写的一段代码。为了使我们的代码更加易读和易懂，我们应该添加注释并适当地记录下来。**

编译器完全忽略注释。因此，它们在编译代码时不会导致任何错误。

Kotlin 中有两种类型的注释:

1.  单行注释

2.  多行注释

现在我们将看到如何在 Kotlin 中使用它们。

## Kotlin 的单行注释

顾名思义，单行注释用于在单行中编写注释。它们是使用`//`(双斜线)创建的。单行注释应该只跨越一行，而不是多行，否则我们会得到一个错误。

这里有一个例子:

```kt
// This is a comment 
println("Enter string: ")       // Enter a string here
var inputString = readLine()
println("Input in string format is: $inputString")     // Input is printed here
```

在上面的代码中，有三个注释(在第 1、2 和 4 行)。

## 多行注释 Kotlin

多行注释跨越多行。以`/*`开始，以`*/`结束。

```kt
/* 
   This is a multi-line comment
   This is second line
   Last line of comment
 */
println("Enter string: ")       
var inputString = readLine()
println("Input in string format is: $inputString") 
```

多行注释可以用来解释函数的功能和参数。或者我们可以在需要记录程序中如此关键的算法步骤的地方使用多行注释，或者在需要详细注释的地方使用多行注释。

## 摘要

在本教程中，我们讨论了 Kotlin 中的注释。注释是有用的工具，我们应该明智地使用它，使我们的代码更易读，并记录代码在程序中的作用。

* * *

* * *