# Kotlin `when`表达式

> 原文：<https://www.studytonight.com/kotlin/kotlin-when-expression>

在本教程中，我们将讨论 Kotlin `when`表达式。当我们使用**根据变量**的不同值来选择特定的语句时，会用到 Kotlin `when`表达式。它类似于其他编程语言中的**开关盒**。

使用`when`表达式打印字母表类型的简单程序是:

```kt
fun main() {
    val alphabet:Char = 'a'
    when(alphabet){
        'a' -> println("Character is vowel")
        'e' -> println("Character is vowel")
        'i' -> println("Character is vowel")
        'o' -> println("Character is vowel")
        'u' -> println("Character is vowel")
        else -> println("Character is consonant")
    }
}
```

字符为元音

在上例中:

*   变量`alphabet`在`when`表达式内部传递。

*   我们通过在输入变量前面添加`->`符号来定义不同的情况来匹配输入变量。

*   如果没有匹配，则执行`else`块。

类似于`if-else`表达式，`when`表达式也返回值。因此，我们可以**返回值并将其赋给变量**。让我们用一个例子来理解这一点。

我们将编写一个程序，根据当天的数字来查找当天:

```kt
fun main() {
    val number:Int = 5
    val day:String = when(number){
        1 -> "Monday"
        2 -> "Tuesday"
        3 -> "Wednesday"
        4 -> "Thursday"
        5 -> "Friday"
        6 -> "Saturday"
        7 -> "Sunday"
        else -> "Invalid number"
    }
    println("Day is: $day")
}
```

日为:星期五

在上面的代码中，我们指定了匹配变量`number`值的条件。所以如果变量数的值是 1，那么“星期一”将被加到`day`变量中，对于 2，“星期二”将被加到`day`变量中，以此类推。如果该值等于或大于 8，则执行`else`表达式。

现在我们已经对 Kotlin `when`表达式有了一个基本的介绍，让我们看看更多使用它的方法。

## `when`表达式中的代码块

一段代码也可以放在 Kotlin `when`的表达式条件里面:

```kt
fun main() {
    val number:Int = 5
    when(number){
        1 -> {
            println("Hello")
            println("Monday")
        }
        2 -> {
            println("Hello")
            println("Tuesday")
        }
        3 -> {
            println("Hello")
            println("Wednesday")
        }
        4 -> {
            println("Hello")
            println("Thursday")
        }
        5 -> {
            println("Hello")
            println("Friday")
        }
        6 -> {
            println("Hello")
            println("Saturday")
        }
        7 -> {
            println("Hello")
            println("Sunday")
        }
        else -> {
            println("Invalid input!!")
        }
    }
}
```

你好
周五

就像上面的代码示例一样，我们可以在这些`when`表达式条件中拥有任何我们想要的逻辑。

## 组合多个`when`条件

我们可以在一个`when`表达式中用逗号组合多个条件。

```kt
fun main() {
    val rating: Int = 5
    val review: String = when(rating){
        10 -> "Excellent"
        8,9 -> "Above Average"
        6,7 -> "Average"
        4,5 -> "Below Average"
        1,2,3 -> "Poor"
        else -> "Invalid input"

    }
    println("Review is: $review")
}
```

评价为:低于平均水平

在上面的代码示例中，我们将多个条件组合在一起。

## 摘要

在本教程中，我们介绍了 Kotlin 中的`when`表达式。这在编写 Kotlin 代码时非常有用，在那里你必须创建一个类似功能的菜单。在下一个教程中，我们将介绍 Kotlin 中不同类型的循环。

* * *

* * *