# Kotlin `while`循环

> 原文：<https://www.studytonight.com/kotlin/kotlin-while-loop>

在本教程中，我们将从 Kotlin 中的循环开始。我们将介绍 Kotlin 中不同类型的循环，这些循环用于一次又一次地执行一段代码，直到满足某个条件。

## Kotlin 环路

Kotlin 中的循环用于**一次又一次地执行一段特定的代码**。我们可以通过指定某个条件来打破循环。如果达到给定的**条件，执行将结束循环**。让我们用一个例子来理解循环。

假设你想写一个程序来**打印所有从 1 到 100 的偶数**。手动完成这个任务真的很难，即使我们设法做到了，如果范围增加到 1000，那就不可能了。对于这样的用例，我们可以使用一个循环，它将一次又一次地执行，直到我们达到目标(即 100 或 1000 个数字)。

kotlin 中有三种主要的循环类型:

1.  While 循环

2.  边做边循环

3.  For 循环

在本教程中，我们将讨论`while`循环。我们将在接下来的教程中介绍剩余的循环。

## kot Lin〔t0〕回圈

`while`循环将执行一段代码，直到**指定条件返回真**或任何正值。当条件返回**假**时，循环的执行将结束。

`while`循环的**语法是:**

```kt
while(condition){
    // Piece of code to be executed
}
```

### `while`回路的工作:

*   第一次进入循环前，会检查**条件**是**真还是假**。

*   如果条件为**真**，则进入循环。否则，它将结束循环执行。

*   将执行循环块中的语句。

*   此后，再次检查条件并遵循相同的程序，直到条件变为**假**。

如果条件从未失效，它**将进入无限循环。我们在使用循环时应该注意这一点。**

## Kotlin `while`循环示例

让我们举一个例子，我们将使用`while`循环打印一个 2 的数学表。

```kt
fun main() {
    var iterator = 1
    // when iterator becomes 10, end the loop
    while(iterator <= 10){
        println("2 * $iterator = " + 2*iterator )
        // increment value of iterator by 1
        iterator++
    }
}
```

2 * 1 = 2
2 * 2 = 4
2 * 3 = 6
2 * 4 = 8
2 * 5 = 10
2 * 6 = 12
2 * 7 = 14
2 * 8 = 16
2 * 9 = 18
2 * 10 = 20

这里，执行循环的条件是:**迭代器应小于或等于 10** 。当迭代器到达 **11** 时，条件返回**假**，执行退出循环。

<u>**注:**</u> 要了解++和-运算符，请了解 [Kotlin 一元运算符](https://www.studytonight.com/kotlin/kotlin-operators)。

### 再举一个例子:

再举一个例子**求一个数的阶乘**:

```kt
fun main() {
    var number = 10               // Number whose factorial needs to be find
    var numberToIterate = number  // Creating a variable to use this as an iterator
    var factorial = 1
    // Iterating while loop until it reaches 0
    while (numberToIterate > 0){   
        factorial *= numberToIterate
        numberToIterate--
    }
    println("Factorial of $number is $factorial")
}
```

10 的阶乘为 3628800

## 摘要

在本教程中，我们介绍了 Kotlin 中的循环、为什么需要循环以及循环的类型。我们还详细介绍了`while`循环。我们将在接下来的教程中学习`for`循环和`do-while`循环。

* * *

* * *