# Kotlin `do-while`循环

> 原文：<https://www.studytonight.com/kotlin/kotlin-dowhile-loop>

在本教程中，我们将介绍 Kotlin 中的`do-while`循环。do-while 循环就像 [Kotlin `while`循环](https://www.studytonight.com/kotlin/kotlin-while-loop)一样，只有一个区别，那就是无论您在`do-while`循环中提供什么条件，l **oop 都将执行一次**，因为条件是在循环代码执行后检查的。

## kot Lin〔t0〕回圈:

以下是`do-while`循环的基本语法:

```kt
do {
    // Block of code to be executed
}while (condition)
```

`do-while`回路的工作如下:

*   第一次在不检查条件的情况下执行`do`块中写入的语句。

*   执行`do`块后，检查`while`中指定的条件。

*   如果条件为**真**，再次执行`do`块。否则，循环的执行结束。

## Kotlin `do-while`循环示例

让我们举个例子**打印所有从 1 到 10 的偶数**:

```kt
fun main() {
    var number = 1
    do {
        if(number % 2 == 0)
            println(number)
        number++
    }while (number <= 10)
}
```

2
4
6
8
10

试着运行上面的代码来打印从 1 到 100 的偶数，你所要做的就是修改`do-while`循环的条件。

就像我们在介绍中提到的那样，`do-while`循环将至少执行一次，即使条件总是**为假**。让我们用一个例子来看看:

```kt
fun main() {
    do {
        println("Hello World!!")
    }while (false)
}
```

你好世界！！

在上面的代码示例中，我们可以看到，即使条件始终为 **false** ，输出也会打印一次。

## `while`和`do-while`循环之间的差异

`while`循环和`do-while`循环略有不同:

*   `while`回路为**入口控制回路**，`do-while`回路为**出口控制回路**。

*   至少，`do-while`循环将至少执行一次，但如果条件为假，`while`循环可能一次也不执行。

## 摘要

在本教程中，我们通过代码示例介绍了 Kotlin `do-while`循环，我们还看到了它与 Kotlin `while`循环的不同之处。在下一个教程中，我们将介绍 Kotlin `for`循环。

* * *

* * *