# Kotlin `for`循环

> 原文：<https://www.studytonight.com/kotlin/kotlin-for-loop>

在本教程中，我们将讨论 Kotlin 中的`for`循环。Kotlin 不像 C、C++、Java 等，没有传统的`for`循环。，它将执行，直到条件返回**假**。Kotlin 中的`for`循环类似于 Java 中的 [`forEach`循环。](https://www.studytonight.com/java-8/java-8-foreach)

`for`循环用于迭代任何可以迭代的 Kotlin 对象。我们可以迭代一个数组、集合、字符串、范围，或者任何可以借助`for`循环迭代的东西。

## kot Lin〔t0〕回圈

以下是`for`循环的语法:

```kt
for (item in collection){
    // Body of for loop 
}
```

这里的`item`是变量，每个循环执行的值将存储在其中，而`collection`是我们正在迭代的 Kotlin 对象。

Kotlin 中的`for`循环并不用于一次又一次地执行操作，而是用于迭代任何 Kotlin 对象，如数组、列表或任何集合对象，以使用它们的元素执行一些操作。

## Kotlin `for`循环示例

让我们看一个例子，在这个例子中，我们将在 Kotlin 中迭代一个标记的**数组**:

```kt
fun main() {
    val marks: Array<Int> = arrayOf(9,8,3,10,7,9)
    for (subjectScore in marks){
        println(subjectScore)
    }
}
```

9
8
3
10
7
9

这里，`for`循环将继续执行，直到数组中存在的所有元素都被覆盖。如果循环体中只有一行，可以去掉大括号。

我们也可以使用可迭代项的**索引**对其进行迭代:

```kt
fun main() {
    val marks: Array<Int> = arrayOf(9,8,3,10,7,9)
    for (index in marks.indices)
        println("Score in subject $index is: " + marks[index])
}
```

科目 0 的分数为:9
科目 1 的分数为:8
科目 2 的分数为:3
科目 3 的分数为:10
科目 4 的分数为:7
科目 5 的分数为:9

### 迭代 Kotlin 字符串:

在下面的示例中，我们将遍历字符串的字符:

```kt
fun main() {
    val name = "Ninja"
    for (alphabet in name){
        println(alphabet)
    }
}
```

N
i
n
j
a

## 摘要

在本教程中，我们介绍了 Kotlin 中的`for`循环。在下一个教程中，我们将讨论 Kotlin 中的`range`以及如何在 Kotlin 循环中使用`range`。

* * *

* * *