# Kotlin 递归函数

> 原文：<https://www.studytonight.com/kotlin/kotlin-recursive-functions>

在本教程中，我们将讨论 Kotlin 递归函数。Kotlin 中的一个[函数**不断地调用自己**被称为**递归函数**。这个概念并不是 Kotlin 的母语，而是存在于所有语言中。递归函数可以看作一个循环，但两者并不完全相同。](https://www.studytonight.com/kotlin/kotlin-userdefined-functions)

递归函数必须有**中断条件**才能停止递归；**否则它将无限期运行**。中断条件主要基于传递给函数的参数。

递归函数的基本语法是:

```kt
fun sayBye(){
   sayBye()
}
```

*当一个函数在自身内部被调用时:*这使得函数递归。

让我们编写一个程序来寻找一个数的阶乘。我们将首先使用`for`循环编写它，然后使用递归函数编写**。**

下面是使用`for`循环的实现:

```kt
fun main() {
    println("Factorial of 5 is: ${factorial(5)}")
}
fun factorial(n: Int): Int{
    var factorialOfN = 1
    for(i in n downTo 1){
        factorialOfN *= i
    }
    return factorialOfN
}
```

5 的阶乘为:120

现在让我们使用递归函数来实现它:

```kt
fun main() {
    println("Factorial of 5 is: ${factorial(5)}")
}
fun factorial(n: Int): Int{
    if(n == 1)
        return 1
    return n * factorial(n - 1)
}
```

它也会产生同样的输出。

**说明:**

1.  首先，从 main()函数调用`factorial(5)`。

2.  在`factorial(5)`内检查条件，返回值为`5 * factorial(4)`。

3.  现在，调用`factorial(4)`，它将返回`4 * factorial(3)`。

4.  接下来，调用`factorial(3)`，它将返回`3 * factorial(2)`。

5.  同样，调用`factorial(2)`，它将返回`2 * factorial(1)`。

6.  最后`factorial(1)`通过检查`if`条件返回 1，递归到此结束。

7.  从步骤 6 获得的值将返回到步骤 5，即`2 * factorial(1)`将变为`2 *1`。

8.  类似地，这些值在每一步返回，最后返回到主功能的值将是`5*4*3*2*1`。

## 摘要

在本教程中，我们讨论了递归函数以及如何在 Kotlin 中实现同样的功能。您可以搜索更多关于递归函数及其用法的信息。在下一个教程中，我们将讨论 Kotlin 中的参数类型。

* * *

* * *