# Kotlin 嵌套`try-catch`

> 原文：<https://www.studytonight.com/kotlin/kotlin-nested-try-catch>

在本教程中，我们将学习如何在 Kotlin 中使用嵌套的`try`和`catch`块进行异常处理。一个`try-catch`积木可以放在一个`try-catch`积木里面，这种排列方式被称为嵌套`try-catch`积木。

嵌套`try-catch`块的语法是:

```kt
try {
    // Try inside try
    try {

    }catch (exception: InnerException){
        // Handling inner exception
    }
}catch (exception: OuterException){
    // Handling outer exception
}
```

如果内部`try`块出现异常，则首先用内部`catch`块进行检查。如果没有在那里处理，那么将使用外部`catch`块进行检查，以此类推。

## Kotlin 嵌套`try-catch`-示例:

让我们使用嵌套的`try-catch`块编写一个程序:

```kt
fun main() {
    var a: Int = 0
    var b: Int = 0
    val result: Int
    try {
        try {
            a = Integer.parseInt(readLine())
            b = Integer.parseInt(readLine())
            println("Result of division is: ${a/b}")
        }catch (exception: NumberFormatException){
            println("Invalid inputs!!")
        }
    }catch (exception: ArithmeticException){
        println("Division by zero is not allowed!!")
    }
}
```

这里，在父`try`块内部，添加了一个嵌套的`try`块。如果数字的格式不正确，我们将尝试从用户那里获取输入并捕获异常。之后我们会进行除法运算，如果除法运算中出现异常，我们会用外`catch`块捕捉异常，

不同输入的输出为:

*   a = 10, b = 5

    除法结果为:2

*   a = 10, b = "Hello"

    无效输入！！

*   a = 10, b = 0

    不允许零除！！

同样，您可以拥有任意多的嵌套 try-catch 块。尽管拥有太多的 try-catch 块会使您的代码可读性降低。

## 摘要

在本教程中，我们学习了 Kotlin 中用于异常处理的嵌套 try-catch 块。我们将在下一个教程中讨论`finally`块。

* * *

* * *