# Kotlin `throw`关键字

> 原文：<https://www.studytonight.com/kotlin/kotlin-throw-keyword>

在本教程中，我们将了解 Kotlin 中的`throw`关键字，以及如何使用它抛出异常。

Kotlin `throw`关键字明确用于抛出异常。我们也可以创建自己的自定义异常，并使用 Kotlin `throw`关键字抛出它。

## Kotlin `throw` 关键字

`throw`关键字的语法是:

```kt
throw SomeException("Custom Exception Message")
```

正如您在上面的例子中所看到的，我们可以抛出一个异常以及一些传播到`catch`块的异常消息，在那里我们可以使用它向最终用户显示消息。

## Kotlin `throw`示例

当用户输入的密码长度小于 3:

```kt
fun main() {
    val userName: String = "Ninja"
    val password: String = "ps"
    if(password.length <= 3){
        throw Exception("The minimum length of password should be 3!!")
    }
}
```

线程“main”Java . lang . Exception 中出现异常:密码最小长度应为 3！！
在最后的主星(最后的主星:5)
在最后的主星(最后的主星)

就像上面的例子一样，我们可以使用`throw`关键字来中断代码的执行流程，然后处理使用`catch`块生成的异常事件。

## 摘要

在本教程中，我们看到了如何显式抛出异常。我们还可以通过使用继承扩展异常类来创建自定义异常。

* * *

* * *