# Kotlin 集合

> 原文：<https://www.studytonight.com/kotlin/kotlin-collections>

在本节中，我们将向您简要介绍 Kotlin 的集合。集合的概念对 Kotlin 来说并不陌生。它已经存在于许多其他编程语言中。Kotlin 标准库提供了一套创建和管理集合的工具。

## 什么是集合？

集合是一组相同类型的对象。集合中的对象被称为*元素*或*项目*。

假设我们想存储一个班级学生的分数，并对其进行运算，如求最大值、最小值、平均值等。我们可以使用集合。

数组可以是一个很好的选择，但数组的大小是固定的。从数组中添加或删除某些元素是不可能的。此外，集合提供了许多其他功能，我们将在本节中讨论。

## 集合类型

Kotlin 有三种类型的集合:

1.  目录

2.  一组

3.  映射

Kotlin 标准库提供了创建列表、集合和映射对象的方法。根据要求，每一个都可以是:

1.  不可变集合(只读)

2.  可变集合(读和写)

我们将在单独的教程中讨论列表、集合和映射。让我们首先讨论可变和不可变集合类型。

### 不可变集合

不可变集合继承自`Collection<T>`接口，该接口不提供添加或移除元素的功能。在不可变集合中，一个元素不能在声明后被**添加**、**移除**或**更改**。在定义了不可变集合之后，我们只能读取它的元素。

不可变集合也简称为集合。

### 可变集合

顾名思义，可变集合允许写和读操作。在可变集合中，我们可以添加、移除和改变元素的值。

可变集合继承自`MutableCollection<T>`接口，该接口提供读取和更改元素的功能。它们还继承了相应集合接口的基本功能。

## 摘要

在本教程中，我们讨论了集合的基础知识和类型。从下一个教程开始，我们将详细讨论**列表**、**映射**和**设置**。

* * *

* * *