# Cordova：工具安装

> 原文：<https://www.studytonight.com/apache-cordova/tools-installation>

现在我们开始一个接一个地在 Windows 操作系统上安装工具。

* * *

## 安装节点

首先我们需要下载并安装 NodeJS。你可以从这里的下载。向下滚动，您将看到两个标题为**下载窗口**的下载选项。下载最稳定的 Nodejs 版本。稳定版前缀为 **LTS**

下载完成后，您需要安装它。要安装，只需双击刚刚下载的文件。安装后，打开 **cmd** 并键入`node -v`。如果它显示 **vx.y.z(x，y，z 是数字)**，那么你已经成功安装了。

下一个类型`npm -v`。如果它还显示 **x.y.z(x，y，z 是数字)**，那么一切都安装正确。

![Tools Installation](img/91168b9f7df1f2b5b0c1612bfea76882.png)

如果 **cmd** 抛出错误，在执行上述任何命令时，在**节点检查。JS 命令提示符**。

### 如何打开 NodeJs 命令提示符

只需在搜索栏中搜索**节点**。

![Tools Installation](img/dea4d5cbf9c67eeec8cc4913005a7190.png)

如果 Nodejs cmd 也抛出了错误，那么您必须移除 Nodejs 并再次安装它，并遵循相同的过程。

* * *

## 安装 Cordova

在 **cmd** 或**节点 cmd** 中键入`npm install -g cordova`。安装完成后，通过输入`cordova -v`进行检查。

![Tools Installation](img/bfbe1b384628b844598f08398e2a7e84.png)

如果它显示的是版本(x.y.z)，那么您已经成功安装了 cordova。

![Tools Installation](img/44b5c2a0411222ef3b8edabd716a3cc5.png)

* * *

## 安装 Java 开发工具包(JDK)

跟着这个[链接](http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html)，

![Tools Installation](img/ee4961cd9373fe9981e36cbd47241d03.png)

下载 **X64。exe jdk** 为 64 位窗口。下载 **X86。exe jdk** 为 32 位 Windows 操作系统。

如果您不知道您有哪个版本的 Windows 操作系统，只需在右键单击**我的电脑**或**我的电脑**后，从菜单中选择**属性**选项。

![Tools Installation](img/fa6dca0c783e3c8e7b2664c1603dc68d.png)

在那里，您将看到您的计算机/笔记本电脑的版本号(16 位、32 位、64 位)，与标签**系统类型**相对应

![Tools Installation](img/6b3ede17430d21cd6d0698e775472d75.png)

成功安装 JDK 后。下一步是将其添加到我们系统的**路径变量**中。

### 如何打开和更新路径变量

在搜索栏中搜索*环境变量*。选择**编辑系统环境变量**选项，会显示一个新的对话框窗口。

![Tools Installation](img/951b33a75a4bb05c982521e63a772f6a.png)

点击对话框底部的**环境变量**按钮。

![Tools Installation](img/cb0602eb1f919d08fdddf1fb6fe846e2.png)

现在添加一个系统变量并将其命名为 **JAVA_HOME** ，并添加另一个系统变量，其名称为， **_JAVA_OPTIONS** 。

![Tools Installation](img/5d124b8cbb9acdac3cd025a08886ac90.png)

为了理解我们必须分配给系统变量 **JAVA_HOME** 和 **_JAVA_OPTIONS** 的值，请检查下面指定的地址:

爪哇 JDK 的地址将是`c:\Program Files\Java\jdk_(x.y.z_k)`。让我们假设这是**地址 1**

‘bin’的地址将是`c:\Program Files\Java\jdk_(x.y.z_k)\bin`。让我们假设这是**地址 2**

JRE 'bin '的地址将为`c:\Program Files\Java\jre_(x.y.z_k)\bin`。让我们假设这是**地址 2a**

![Tools Installation](img/71b1f497b5f41c842fb215cda5ad5d77.png)

现在添加**地址 1** 作为变量名的变量值， **JAVA_HOME** 。在系统变量框中，有一个名为**路径**的变量。用分号`;`分隔值，添加**地址 2** 和**地址 2a** 作为**路径**变量的变量值。例如:**地址 2；地址 2a**

![Tools Installation](img/0f064b89141257587bedc85d672435d7.png)

接下来添加**地址 2** 和**地址 2a** 作为用户变量**路径**的变量值(用户变量面板就在系统变量上方)。

![Tools Installation](img/6555f462217a035df42c4fe9b32fb00a.png)

并添加 **-Xmx512M** ，作为系统变量 **_JAVA_OPTIONS** 的变量值。

![Tools Installation](img/2d6c7de3d403fffa81522102a4c511fc.png)

保存所有这些更改并重新启动 **cmd** ，然后键入`javac -version`。如果它显示了版本，那么您已经成功安装了 Java。

![Tools Installation](img/6bad0c733a4b85117bb8c5d1c1896fae.png)

* * *

## 安装 Apache 蚂蚁

跟着这个[链接](https://ant.apache.org/bindownload.cgi)下载最新的 zip 文件，把它解压到你想保存的地方。

![Tools Installation](img/7737f89e090187a381dbca7cdca6067b.png)

让我们假设您是在**用户/【系统名称】/蚂蚁**位置提取的。

![Tools Installation](img/64f3f9d2103afb847b192affdba148c9.png)

ant 的位置将是 user/[system _ name]/Apache _ ant _ x . y . z(x . y . z 将是 1.10.1，1.9.7，...).让我们假设这是**地址 3**

bin 的位置将是 user/[system _ name]/Apache _ ant _ x . y . z/bin(x . y . z 将是 1.10.1，1.9.7，...).让我们假设这是**地址 3a**

现在创建一个新的系统变量 **ANT_HOME** ，并添加**地址 3** 作为变量值。

![Tools Installation](img/eedd0ca4964540a3d87206a37deef0ae.png)

在**路径**和**路径**中，使用 smeicolon `;`将**地址 3a** 添加到现有值中

![Tools Installation](img/c272ad71ad10a8210746f0aca61739da.png)

![Tools Installation](img/c07834027ea38037da0a9aa1a045e804.png)

保存所有更改后，重新启动 **cmd** 并键入`ant -v`。如果它显示与我们下载的版本号相同，那么您已经安装了 apache ant。

* * *

## 安卓 SDK 安装

跟随这个链接:[https://dl.google.com/android/installer_r24.4.1-windows.exe](https://dl.google.com/android/installer_r24.4.1-windows.exe)

安装后，查找安装安卓 SDK 和平台工具的目录。在我的电脑中，它安装在， **C:\Users\[system_name]\**

![Tools Installation](img/8503260cb4251fc8823171ba0bf79249.png)

这里我们有完整的 Android SDK 目录结构，其中有 2 个目录对我们很重要，它们是:

**C:\ Users \[User _ name]\ AppData \ Local \ Android \ Android-SDK \工具**和**C:\ Users \[User _ name]\ AppData \ Local \ Android \ Android-SDK \平台-工具”**

现在创建一个新的系统变量 **ANDROID_HOME** ，只添加 Android SDK 目录作为变量值。

![Tools Installation](img/6a55d866e8f416e214d346a2c7ac2e55.png)

在**路径**变量中，添加安卓 SDK 的`platform tools`目录和`tools`目录。

![Tools Installation](img/bdc3c9fd645f88764fe987967770e1ab.png)

现在保存所有更改，重启 **cmd** 并输入`android`。

![Tools Installation](img/b7b745796105b361d2a9c8dab9586eb2.png)

一个新的屏幕将会弹出，恭喜！您已经成功安装了 Android SDK。

![Tools Installation](img/d15cc3b1ad0536802103fbe64e6de8cc.png)

在新窗口中，勾选(勾选)`CheckBox`，仅下载安卓 SDK 工具、安卓 SDK 平台工具、工具面板中的 SDK 构建工具以及下载 SDK 平台等。

从下一课开始，我们将从应用的开发开始。

* * *

* * *