# Cordova：所需编程语言

> 原文：<https://www.studytonight.com/apache-cordova/programming-languages>

对于 Cordova 中的 App DJevelopment，我们使用 HTML、CSS、JS、各种库，如:**boostap**、 **jQuery** 、 **Angular** 等。

* * *

### 超文本标记语言

超文本标记语言用于为任何网页创建 DOM 结构。它的主要动机是在浏览器中打开时在屏幕上显示内容。

**HTML 基本结构:**

```html
<html>
    <head>
        <title> </title>
    </head>
    <body>
    </body>							
</html>
```

如果你是 HTML 新手，可以从这里学习: [HTML 课程](http://www.studytonight.com/code/html/)。

* * *

### 半铸钢ˌ钢性铸铁(Cast Semi-Steel)

[层叠样式表](/cascading-style-sheet)用于设置 HTML 内容的样式，使其看起来不错。

**CSS 基本结构:**

假设我们必须为正文内容提供背景色。

```html
<style type="text/css">
    body {
        background-color: blue;
    }
</style> 
```

我们把这个`style`标签放在`head`标签里。

```html
<head>
    <style>
        //CSS Code
    </style>
</head> 
```

或者我们可以在另一个文件中编写 CSS 代码，并将其链接到我们的 HTML 文件。

为此，请命名一个文件 **style.css** ，并在该文件中编写以下单独的 css 代码:

```html
body{
    background-color: blue;
} 
```

现在要将这个 CSS 文件添加到我们的 HTML 代码中，请执行以下操作:

**index.html**

```html
<head>
    <link rel="stylesheet" type="text/css" href="style.css">
</head> 
```

**注意:**在 style.css 文件中写 CSS 代码时，现在不要包含`<style>`标签。

* * *

### JS，或者叫 Javascript

我们使用 Javascript 对呈现在网页中的内容进行动态操作。

假设我们必须注入一个字符串，比如说**我正在使用今晚学习**动态地学习我们的网页的`body`。

```html
<script type="text/javascript">
    document.getElementByTagName('body').innerHTML="I am learning using Studytonight";
</script> 
```

我们可以将 javascript 代码放在`script`标签中，该标签放在`head`标签中。

```html
<head>
    <script>
        //Javascript code
    </script>
</head> 
```

或者，我们可以在另一个文件中单独编写 JS 代码，并将其添加到我们预先存在的 HTML 文件中。例如:用 index.js 编写 JS 代码

**index.js**

```html
document.getElementByTagName('body').innerHTML="I am learning using Studytonight";
alert("I am learning Hybrid app development on Studytonight ");
prompt("What is your name?"); 
```

在 HTML 文件中，我们可以添加 javascript 文件，

**index.html**

```html
<head>
    <script type="text/javascript" src="index.js"></script>
</head> 
```

**注意:**不要在 index.js 中包含`<script>`标签

* * *

### Javascript 库

我们使用 javascript 库来最小化我们的努力。让我们举个例子:假设你必须动态更新一个`div`标签的内容，由`id="test-div"`标识。然后，您可以在平面 JS 中编写这段代码，也可以使用任何 JS 库。

**平面 Javascript 中的代码**

```html
document.getElementById('test-div').innerHTML = "I am learning Hybrid App development on Studytonight"; 
```

**相同代码，使用 jQuery**

```html
$('div').html("I am learning Hybrid App development on Studytonight"); 
```

**注:**第二种写代码方式比第一种更灵活。

* * *

### Cordova：如何使用 JavaScript 库？

将它包含在您的 HTML 页面中，就像您添加了一个单独的 Javascript 文件并使用它一样。

```html
<head>
    <script type="text/javascript" src="library_name.js"></script>
</head> 
```

所以任何一个网页的最终结构都是这样的:

```html
 <html>
    <head>
        <script type="text/javascript" src="library_name.js"></script>   //Any library jquery.js etc
        <script type="text/javascript" src="index.js"></script>	 // Your own JS code 
        <link rel="stylesheet" type="text/css" href="name.css">  // Your own CSS code
        <link rel="stylesheet" type="text/css" href="css_library.css">  //CSS library  
    </head>
    <body>
        <div id="test-div" ></div>
    </body>
</html> 
```

**注:**要使用 Cordova 进行 App 开发，必须具备上述所有概念的知识。

* * *

* * *