# Cordova：AJAX 简介

> 原文：<https://www.studytonight.com/apache-cordova/introduction-to-ajax>

AJAX 代表**异步 Javascript 和 XML** 。它是一个客户端脚本，在 Javascript 中用来与服务器通信，交换数据或任何东西，而不刷新页面。

让我们假设我们想要制作一个基于动态 cordova 的应用，其中用户需要与服务器交换数据，比如登录凭证验证，因此我们可以使用 AJAX 将数据发送到服务器，并通过同一个网关服务器将结果发送回用户。

**Ajax 基本代码:**我们将使用 jquery。

`$.ajax`是一个 jQuery 函数，向服务器发出 http **POST** 、 **GET** 等请求并接收结果，无需刷新或重新加载页面。

```html
$.ajax({
    type : 'get',	//Request method: GET, POST  
    url : 'http://studytonight.php/login.php',  //Where to send the data
    data: {name, password},  //What data you want to send
    success:function(data) {  
        //Here you will receive data from server
        //Do what you want to do with data                         
        console.log(data)	 //This is a example, like we want to print the result
    }
})
```

**注意:**涵盖 Ajax 和 jQuery 不在本教程的范围内。但是我们强烈建议您学习 Ajax，因为如果您想要创建动态应用，它非常有用。

* * *

* * *