# Python 中的基本语法和你好世界程序

> 原文：<https://www.studytonight.com/python/python-syntax-and-example>

在本教程中，我们将尝试理解 python 编程的语法。虽然，语法是你会理解的东西，因为你会看到越来越多的程序和例子，但有几件事你必须事先知道。

* * *

## Python 语法规则

1.  **Python 区分大小写**。因此名为`yoyostudytonight`的变量与`yoYoStudytonight`不同

3.  For path specification, python uses **forward slashes**. Hence if you are working with a file, the default path for the file in case of Windows OS will have backward slashes, which you will have to convert to forward slashes to make them work in your python script.

    对于窗口的路径`C:\folderA\folderB`相对 python 程序路径应该是`C:/folderA/folderB`

5.  In python, **there is no command terminator**, which means no semicolon `;` or anything.

    所以如果你想打印一些东西作为输出，你所要做的就是:

    ```py
    print ("Hello, World!")
    ```

    哎呀！我们刚刚也与您分享了第一个 python 程序。是的，就一句话。

7.  **In one line only a single executable statement should be written** and the line change act as command terminator in python.

    **要在一行**中编写两个单独的可执行语句，您应该使用**分号** `;`来分隔命令。例如，

    ```py
    print ("Hello, World!") ; print ("This is second line")
    ```

    [现场示例→](/code/python/use-semicolon-for-multiple-statements.php)

9.  在 python 中，可以使用单引号`''`、双引号`""`甚至三引号`''' """`来表示字符串文字。

    ```py
    word = 'word'
    sentence = "This is a one line sentence."
    para = """This is a paragraph 
    which has multiple lines"""
    ```

11.  在 python 中，您可以在开始时使用`#`在程序中编写**注释**。执行 python 脚本时，注释被忽略。

    ```py
    # this is a comment
    print ("Hello, World!")
    # this is a 
    # multiline comment
    ```

13.  **Line Continuation**: To write a code in multiline without confusing the python interpreter, is by using a backslash `\` at the end of each line to explicitly denote line continuation. For example,

    ```py
    sum =  123 + \
           456 + \
           789
    ```

    [现场示例→](/code/python/use-forward-slash-multiline.php)

    括在`( )`、`[ ]`或`{ }`括号中的表达式不需要反斜杠来延续行。例如，

    ```py
    vowels = ['a', 'e', 'i',
              'o', 'u']
    ```

15.  python 会忽略程序之间的空行。

17.  **Code Indentation**: This is the most important rule of python programming. In programming language like [Java](/java/overview-of-java.php), [C](/c/overview-of-c.php) or [C++](/cpp/introduction-to-cpp.php), generally curly brackets `{ }` are used to define a code block, but python doesn't use brackets, then how does python knows where a particular code block ends. Well python used indentation for this.

    建议使用**选项卡**进行缩进，虽然也可以使用空格进行缩进，但请记住，单个代码块的缩进量应该相同。

    ```py
    if True:
    print ("Yes, I am in if block");
    # the above statement will not be 
    # considered inside the if block
    ```

    正确的方法是，

    ```py
    if True:
        # this is inside if block 
        print ("Yes, I am in if block")
    ```

    另外，由于语句的缩进不同，下面的代码会出错:

    ```py
    if True:
        # this is inside if block 
        print ("Yes, I am in if block")
        # this will give error
            print ("me too")
    ```

    同样，正确的方法是将特定代码块的所有语句保持在同一缩进位置。

    ```py
    if True:
        # this is inside if block 
        print ("Yes, I am in if block")
        print ("me too")
    ```

因此，这些是您必须知道的一些基本规则，以便我们在接下来的教程中更容易学习 python 编程的各种概念。

* * *

### 第一个 Python 程序

在学习语法时，我们已经与您分享了第一个 python 程序。是的，我们没有开玩笑，这只是一条线，上面没有，下面也没有。要打印**你好，世界！**在屏幕上，你所要做的就是:

```py
print ("Hello, World!")
```

[现场示例→](/code/python/python-first-program.php)

您可以在 IDLE 中编写并执行这段代码，也可以将这段代码保存在 python 代码文件中，将其命名为 **test.py** (您可以将其命名为任何名称，只需将文件的扩展名保留为`.py`)。

要运行 **test.py** python 脚本，请打开 IDLE，使用`cd`命令转到保存该文件的目录，然后在命令提示符或终端中键入以下内容:

```py
python test.py
```

这将执行 python 脚本，并向您显示下面一行中的输出。

从下一个教程开始，我们将开始学习 python 编程语言的各种概念。

* * *

* * *