# Python 中的数据类型

> 原文：<https://www.studytonight.com/python/data-types-in-python>

让我们快速浏览一下 Python 中可用的数据类型。当然，随着您更多地使用和练习 python，这一点会变得越来越清楚。

首先，让我们了解什么是数据类型？顾名思义，这些是 python 编译器理解的一些不同类型的数据。就像计算机只能理解二进制数(即 1 和 0)，所以这是计算机唯一能理解的数据类型，但 python 能理解的更多。就 Python 而言，为程序员提供了各种表示数据的方式——比如你的名字、卷号、标记、珠穆朗玛峰的高度、世界人口等等。基本上，任何包含原始信息的东西。

* * *

## Python 中的数据类型

Python 中的数据可以是以下 5 种类型之一:

1.  民数记
2.  没有人
3.  顺序
4.  设置
5.  绘图

您还可以直接跳到代码示例，查看所有不同的数据类型的运行情况，

[现场示例→](/code/python/introduction-to-datatypes.php)

* * *

### 民数记

Number 是我们在前面的课程中已经讨论过的数据类型。我们将它们与数学运算符一起使用，在函数中，与[变量](variables-in-python)一起使用，在[输入输出教程](input-and-output)中也是如此，直到现在我们到处都在猜测，这就是它们至关重要的原因。正如您可能在前面的教程中注意到的，我们已经提到了整数和浮点数，这就是我们要学习它们之间区别的地方。数字进一步分为三种类型:

#### 整数和布尔值

这组包括所有的整数，如 **1，2，3，..., 0, -1, -2, -3,...**和布尔值(计算机理解的值)，分别为`true`或`false`(分别为 1 或 0)。

#### 浮点数

该集合处理具有小数点值(或任何实数)的数字。比如`1.2`、`4.76832`、`8.0`都是浮点数。

#### 复数

是的，与任何其他编程语言不同，Python 中有一种用于复数的数据类型。在 IDLE 中键入`1+2j`或`1+2J`，它不会返回任何错误，因为在 python 语言中它是一个完全有效的复数。我们知道，传统上我们一直使用`iota`(或我)来表示复数，但是 python 选择了`j`而不是`i`。完全没问题。我们该评判谁？

* * *

### 没有人

想一个你不想变量有任何值的场景。会做什么？不能用`0`因为毕竟是数字。这就是`None`出现的地方。只要把:

```py
>>> x = None
```

而`x`将没有任何价值。

* * *

### 顺序

序列是项目的有序集合，由正整数索引。它是**可变**(可变变量为 1，其值可以改变)和**不可变**(不可变变量为 1，其值不可以改变)数据类型的组合。Python 中有三种类型的序列数据类型，它们是:

*   用线串
*   列表
*   元组

#### 线

这是字母/字符的有序序列。它们包含在**单引号(')**或**双引号(" "**)中。字符串周围的引号不是字符串的一部分。它们只通知编译器字符串的开始和结束位置。它们可以有任何*字符*或*符号*，包括其中的空格。这些都是**不变的**。长度为 **1** 的字符串代表 python 中的一个**字符**。您知道，在早期的教程中，我们已经多次使用了字符串。基本上，它们帮助我们在 Python 中存储和实现文学单词。比如`"Saharsh"`、`'Saharsh'`、`"123"`、`'123'`都是字符串。

#### 列表

它也是任何类型的值序列。列表中的值称为**元素/项目**。列表是**可变的**和**索引/排序的**。该列表包含在**方括号【】**中。例如`[2, 6, 8, 3, 1]`或`["Python", "Java", "C++"]`都是列表。你可以注意到它和我们日常生活中使用的列表没有什么不同。列表只是放在方括号内的一串数字或字符串，按顺序排列。列表中的每个元素都可以通过使用它的索引号来访问。

#### 元组

它们是任何类型的值的序列，由整数索引。元组用弧形括号括起来，即`()`。元组也很像列表，除了它们是**不可变的**，因此一旦我们给它赋值，我们以后就不能改变它。同时在执行上也比 List 快*。*

* * *

### 设置

Set 是任意类型值的无序集合**，没有重复条目。是**不变的**(他们的价值观以后不能变；尽量记住这个定义)。**

 *** * *

### 绘图

这种数据类型是无序且可变的。**字典**属于映射。

#### 字典

字典很像我们的字典，可以存储任意数量的 python 对象。他们存储的是**键值**对，可以使用**键**访问。词典用花括号括起来`{ }`。

* * *

* * ***