# Python 中内置的字符串函数

> 原文：<https://www.studytonight.com/python/string-functions>

对于最后一部分，我们将看到一些真正有用的字符串函数来处理 python 中的字符串。下面我们提到了一些有用的字符串函数。

#### len(字符串)

`len`或 length 函数用来求任意字符串的字符长度。`len`返回一个数字，它以一个字符串作为参数。例如，

```py
>>> s = "Hello"
>>> print (len(s))
```

five

[现场示例→](/code/python/python-string-functions.php)

* * *

#### 查找(subString)

如果您想找到任何字符或子字符串在任何给定字符串中的位置，您可以使用`find`函数。它的实现与普通函数有点不同，但不难理解。显然，要在字符串中找到一个 subString，我们必须向函数提供主字符串和要找到的 subString。例如，

```py
>>> s = "Hello"
>>> ss = "He"
>>> print (s.find(ss))
```

Zero

由于`He`出现在字符串`Hello`的开头，因此返回索引`0`作为结果。可以直接实现/使用如下(万一你讨厌无用的打字；每个程序员都这样做):

```py
>>> print ("Hello".find("He"))
```

Zero

[现场示例→](/code/python/python-string-functions.php)

* * *

#### string_name.lower()

`lower()`函数用于将字符串中出现的所有大写字符转换为小写字符。它接受一个字符串作为函数输入，但是该字符串不作为参数传递。这个函数也返回一个字符串。

```py
>>> print ("Hello, World".lower());
```

你好，世界

[现场示例→](/code/python/string-upper-lowercase-conversion.php)

* * *

#### string_name.upper()

`upper()`用于将字符串中的所有字符转为大写。

```py
>>> print ("Hello, World".upper());
```

你好，世界

[现场示例→](/code/python/string-upper-lowercase-conversion.php)

* * *

#### string_name.islower()

`islower()`用于检查`string_name`字符串是否小写。该函数返回一个布尔值，即`True`或`False`。

```py
>>> print ("hello, world".islower())
```

真实的

[现场示例→](/code/python/string-upper-lowercase-conversion.php)

```py
>>> print ("Hello, World".islower());
```

错误的

* * *

#### string_name.isupper()

`isupper()`用于检查给定字符串是否大写。该函数还返回一个布尔值，即`True`或`False`。

```py
>>> print ("HELLO, WORLD".isupper());
```

真实的

```py
>>> print ("Hello, World".isupper());
```

错误的

[现场示例→](/code/python/string-upper-lowercase-conversion.php)

* * *

#### string_name.replace(旧字符串，新字符串)

`replace()`函数首先将一个字符串作为输入，并要求其中的一些 subString 作为第一个参数，并要求另一个字符串替换该 subString 作为第二个参数。例如，

```py
>>> print ("Hello, World".replace("World", "India"));
```

你好，印度

[现场示例→](/code/python/python-string-functions.php)

* * *

#### string_name.split(字符，整数)

假设你有一个字符串，

```py
>>> mystring = "Hello World! Welcome to the Python tutorial"
```

现在我们可以使用`split()`函数来拆分上面声明的字符串。

如果我们选择从感叹号`!`将字符串拆分成两个子字符串。我们可以通过在字符参数中放一个感叹号`!`来做到这一点。它基本上会根据字符串中感叹号`!`的数量将字符串分成不同的部分。字符串的所有子片段都将存储在一个列表中。比如，

```py
>>> print (mystring.split("!"))
```

[《你好，世界》，《欢迎来到 Python 教程》]

您可以将这些值存储到另一个变量中，并像这样访问它的每个元素:

```py
>>> myNEWstring = mystring.split("!")
>>> print (myNEWstring[0]);
>>> print (myNEWstring[1]); 
```

你好世界欢迎来到 Python 教程

[现场示例→](/code/python/python-string-functions.php)

* * *

* * *