# 从列表中删除元素

> 原文：<https://www.studytonight.com/python/deleting-list-elements-list-functions>

可能发生的情况是，你可能不得不从你的列表中删除一些元素。下面我们列出了一些同样的方法:

### `pop( )`功能:

此方法需要您要删除的元素的索引号。例如，如果你想删除[列表](lists-in-python)的第 5 个元素，那么就像这样做:

```py
>>> myList.pop(4)
```

[现场示例→](/code/python/delete-list-element-python.php)

因为第四个索引是第五个元素，因为索引号从`0`开始。

* * *

### `del`关键词:

这也需要索引号。

```py
>>> del myList[4]
```

这将删除列表的第五个元素。我们可以结合**切片**一起删除元素序列，比如如果我们想删除索引 3 到 6 的所有元素，那么:

```py
>>> del myList[3:7]
```

这将删除索引 3 到 6 中的所有元素。

* * *

### `remove( )`功能:

这个函数，而不是索引号，需要必须删除的**值**。例如，

```py
>>> myList = ['Apple', 'Orange', 'Apple', 'Guava']
>>> myList.remove('Apple')
```

这将从列表中删除第一个“苹果”元素。价值为“苹果”的其他元素不会被删除。即，我们的列表将是:

```py
>>> print (myList);
```

['橙子'，'苹果'，'番石榴']

* * *

## 将列表转换为字符串

如果你想把你的列表转换成一个字符串来输出，你可以很容易地做到。

### 不使用任何循环

下面是代码，如果不想用`for`或`while`循环将列表转换成字符串。

```py
mylist = ['butter', 'jam', 'curd']
myStr = ', '.join(mylist)
print (myStr);
```

黄油、果酱、凝乳

[现场示例→](/code/python/python-list-to-string.php)

如果你有一个`int`值的列表，那么

```py
mylist = [1, 11, 111]
myStr = str(mylist).strip('[]')
print (myStr);
```

1, 11, 11

### 使用`for`循环

如果我们有一个`int`值的列表，

```py
mylist = [1, 11, 111]
myStr = ''.join(str(e) for e in mylist)
print (myStr)
```

1, 11, 11

* * *

## 列表的更多功能

#### 1.`insert(int, item)`

该函数用于在列表中的任何位置插入值。列表的第一个参数取将插入项的索引，第二个参数是必须插入的值。例如，

```py
>>> myList = ['Python', 'C++', 'Java', 'Ruby', 'Perl']
>>> myList.insert(1, 'JavaScript')
>>> print (myList)
```

['Python '、' JavaScript '、' C++、' Java '、' Ruby '、' Perl']

[现场示例→](/code/python/python-list-methods.php)

注意数值**“JavaScript”**是如何被插入到索引`1`的。

* * *

#### 2.`reverse()`

从名称可以明显看出，它用于颠倒列表中元素的顺序。

```py
>>> myList.reverse()
```

[现场示例→](/code/python/python-list-methods.php)

* * *

#### 3.`sort()`

现实生活应用中最重要的功能之一就是`sort()`。排序以升序或降序排列列表中的所有元素。

```py
>>> myList.sort()
```

[现场示例→](/code/python/python-list-methods.php)

如果列表由数字组成，那么这将使序列按升序排列，如果列表由字符串组成，那么元素将按*字典顺序*升序排列。

如果你想按降序排序呢？

```py
>>> myList.sort().reverse()
```

这将首先按升序对元素进行排序，然后我们使用`reverse()`函数来反转列表。

* * *

* * *