# Python 中的字典函数

> 原文：<https://www.studytonight.com/python/functions-for-dictionary>

让我们来看看一些重要的函数，当我们在 python 中玩[字典](dictionaries-in-python)时，这些函数非常有帮助。

#### len()

正如你可能已经猜到的，它给出了存储在字典中的元素的数量，或者你可以说只是其中的键的数量。

```py
>>> print(len(myDictionary));
```

five

* * *

#### 清除()

如果我们需要使用`del`关键字删除字典中的所有元素，对于每个**键**值，那将是相当麻烦的。因此`clear()`功能使清空字典成为单行任务。

```py
>>>myDictionary.clear()
>>> print (myDictionary);
```

{}

* * *

#### 值()

假设您不想在显示字典中存储的值时访问**键**，那么可以使用`values()`功能。该函数将显示存储在字典中的所有值。

```py
>>> print (myDictionary.values());
```

{“元素-1”、“元素-2”、“元素-3”、“元素-4”、“元素-5”}

* * *

#### 按键()

该功能与`values()`功能相反。顾名思义，如果您只想查看字典的**键**，那么您可以使用`keys()`功能。

```py
>>>print  (myDictionary.keys());
```

{“键-1”、“键-2”、“键-3”、“键-4”、“键-5”}

* * *

#### 项目()

如果您想同时显示两者，**键**和**值**带有一个表示，其中两者都被很好地映射，然后使用`items()`方法。

```py
>>> print (myDictionary.items());
```

{(“键-1”:“元素-1”)，(“键-2”:“元素-2”)，(“键-3”:“元素-3”)，(“键-4”:“元素-4”)，(“键-5”:“元素-5”)}

* * *

#### __ 包含 _ _

要检查字典中是否存在特定的**键**，可以使用该功能。如果你要找的**键**存在，则返回`True`，否则返回`False`。

```py
>>> myDictionary = {'Key-1': 'Element-1', 'Key-2': 'Element-2', 'Key-3': 'Element-3', 'Key-4': 'Element-4'}
print(myDictionary.__contains__('Key-2'));
```

真实的

* * *

#### cmp():

如果您需要比较两本词典，可以使用`cmp()`函数。它可以返回 3 个可能的值，即 1、0 或-1。cmp()函数在 Python 2.x 中可用，但在 Python 3.x 中不可用，但我们可以轻松定义并使用该函数。如果两个字典相等，则为 0。如果第二个元素比第一个元素多，则-1 和 1 表示相反。它可以像这样使用

```py
>>> x = {1: 1, 2:2, 3:3}
>>> y = {1:1, 2:2, 3:3}
>>> print (cmp(x, y))
```

Zero

由于两者相同，因此输出为`0`。

现在让我们给`x`增加一个额外的元素。

```py
>>> x[4] = 4
>>> cmp(x, y)
```

one

既然`x`有了更多的元素，那么输出就是`1`。同样，如果我们将`y`与`x`进行比较，那么

```py
>>> cmp(y, x)
```

-1

输出变成`-1`，因为`y`元素少。

Python 3 不支持 cmp

* * *

* * *