# Python 关系和逻辑运算符

> 原文：<https://www.studytonight.com/python/relational-and-logical-operators>

关系和逻辑是定义程序功能的基础。有了这些基础，你就可以决定执行流程应该是什么，以及应该保持什么样的条件来确保流程保持这种状态。

在包括 python 在内的每种编程语言中，要管理任何程序的流程，都需要条件，而要定义这些条件，就需要关系运算符和逻辑运算符。

还记得那些日子吗，你在学校的数学老师曾经问你 3 是否大于 2，说是，否则就不是，这也是我们在编程世界里做的事情。

您基于表达式向编译器提供一些条件，编译器计算表达式并基于表达式的输出执行条件。在关系表达式和逻辑表达式的情况下，答案总是`True`或`False`。

**[运算符](operators-in-python)** 是常规符号，将一个、两个或多个操作数组合在一起形成表达式。运算符和操作数是输出的两个关键决定因素。

现在让我们看看 python 语言中可用的一些运算符。

* * *

## Python 关系运算符

关系运算符用于在两个操作数之间建立某种关系。一些相关的例子可能是**小于**、**大于**或**等于**运算符。Python 语言能够理解这些类型的运算符，并相应地返回输出，可以是`True`或`False`。

让我们检查几个关系表达式。打开你的 IDLE，试试这个:

```py
>>> 5 < 9
```

真实的

由于`5`小于`9`，因此返回的输出为`True`。

可用操作员列表包括:

1.  **小于** →与`<`一起使用
2.  **大于** →与`>`一起使用
3.  **等于** →与`==`连用
4.  **不等于** →与`!=`连用
5.  **小于或等于** →与`<=`连用
6.  **大于或等于** →与`>=`连用

您可以尝试每个运算符来练习一些数字(甚至字符串)。

```py
>>> "abc" > "aaa"
>>> "abc" == "bcd" 
```

真假

* * *

## Python 逻辑运算符

逻辑运算符，顾名思义，用在逻辑表达式中，其中**操作数**或者是`True`或者是`False`。逻辑表达式中的操作数可以是在求值时返回`True`或`False`的表达式。逻辑运算符有三种基本类型:

1.  **逻辑与**:对于与运算，当且仅当两个操作数都为`True`时，结果为`True`。该运算符使用的关键字是`and`。
2.  **逻辑“或”**:对于“或”运算，如果其中一个操作数为`True`，则结果为`True`。该运算符使用的关键字是`or`。
3.  **逻辑非**:如果操作数为`False`，结果为`True`。该运算符使用的关键字是`not`。

让我们看几个例子:

```py
>>> True and False
```

错误的

```py
>>> not True
```

错误的

现在，我们也知道关系表达式返回一个布尔值作为它们的输出，因此知道我们可以结合关系表达式和逻辑表达式来创建一些更有意义的东西。例如，

```py
>>> (2 < 3) and (2 < 5)
```

真实的

```py
>>> (2 < 3) and (2 < 1)
```

错误的

举一个更实际的编程例子，假设您有一个变量`x`作为输入，您想检查用户输入的值是否在某个范围内，比如 0 到 100，然后:

```py
>>> x = int(input())
```

Twenty-five

```py
>>> (x > 0) or (x < 100)
```

真实的

* * *

* * *