# 面向对象编程基础

> 原文：<https://www.studytonight.com/python/oops-in-python>

自从编程语言产生以来，计算机科学家们一直在努力开发几种给计算机编程的方法。最终，随着越来越发达的编程语言的出现，人们过去编写程序的方式也发生了变化。方法论，算法，概念化，这些年来一直在发展。如今，**面向对象编程**是编程任何应用的流行方法。

一种特定的编程语言必须以一种非常具体的方式来设计，这样才能遵循一种特定的方法。就 Python 而言，它是一种面向对象的编程语言。在本节中，我们将看到 Python 中有哪些特性支持或支持它成为面向对象的编程语言。首先，让我们试着理解什么是面向对象编程？(或 OOP)和它的概念。

* * *

## 什么是面向对象编程？

面向对象编程是一种与[类](class-in-python)的概念、对象以及围绕这两者的各种其他概念相关联的编程风格，如[继承](inheritance-in-python)、[多态](python-polymorphism)、抽象、封装等。

面向对象程序设计的方式是，人们在编程时应该关注一个对象，而不是过程。物体可以是我们在周围看到的任何东西。它可以是一个人(具有一些属性，如姓名、地址、DOB 等)、一把椅子(由大小、材料、成本等描述)、一所学校(由地点、学生实力、结果等描述)等。

[面向对象编程](oops-basics-python)使编程接近现实生活，因为我们总是在处理一个对象，对它执行操作，使用它的方法和变量等。

* * *

## 面向对象的概念

![Basic OOPS concepts](img/36c708a583c738148f8a1cd6a87c5d7d.png)

在下面的视频中，我们借助一个非常容易理解的例子解释了面向对象编程的基本概念。如果你想跳过视频，所有内容都在下面讨论。

让我们试着通过一个简单的例子来了解一下这些。人类是有生命的形式，大致分为两种，男性和女性。正确是真的。每个人(男性或女性)都有两条腿、两只手、两只眼睛、一个鼻子、一颗心等。男性和女性都有一些常见的身体部位，但男性有一些女性没有的特定身体部位，女性有一些身体部位，但男性没有。

所有的人都走路、吃饭、看、说话、听等等。现在，男性和女性都执行一些共同的功能，但是两者都有一些细节，这对另一个是无效的。比如:女的可以生，男的不可以生，所以这只针对女的。

人体解剖学很有趣，不是吗？但是让我们看看这一切是如何与 Python 和 OOPS 相关联的。在这里，我们将尝试通过这个例子来解释所有的 OOPS 概念，在下一个教程中，我们将有所有这些的技术定义。

* * *

#### 班级

这里我们可以把**人类**作为一个类。类是定义其属性和功能的任何功能实体的蓝图。像人一样，有身体的一部分，做各种动作。

* * *

#### 遗产

考虑`HumanBeing`一个类，有手、腿、眼等属性，有走、说、吃、看等功能。`Male`和`Female`也是类，但是大部分属性和函数都包含在`HumanBeing`中，因此它们可以使用**继承**的概念从类`HumanBeing`继承一切。

* * *

#### 目标

我的名字是阿布舍克，我是类`Male`的**实例/对象**。当我们说，人类，男性或女性，我们只是指一种，你，你的朋友，我，我们是这些类的形式。我们有一个物理存在，而一个类只是一个逻辑定义。我们是目标。

* * *

#### 抽象

抽象意味着，只向外界展示需要的东西，而隐藏细节。继续我们的例子，**人类的**会说话，会走路，会听，会吃，但是细节对外界是隐藏的。在我们的案例中，我们可以将皮肤作为抽象因素，隐藏内部机制。

* * *

#### 包装

这个概念用我们的例子来解释有点棘手。我们的腿被绑在一起帮助我们走路。我们的手，帮我们拿东西。属性与函数的这种绑定称为封装。

* * *

#### 多态

多态是一个概念，它允许我们重新定义某件事的工作方式，要么通过改变它是如何完成的，要么通过改变它所使用的部分。这两种方式都有不同的术语。

* * *

* * *