# Python `finally`

> 原文：<https://www.studytonight.com/python/finally-block-in-python>

`finally`代码块也是异常处理的一部分。当我们 [**使用`try`和`except`块**](exception-handling-python) 处理异常时，我们可以在末尾包含一个`finally`块。`finally`块总是被执行，所以它通常用于完成结束任务，如关闭文件资源或关闭数据库连接，或者用一条令人愉快的消息结束程序执行。

* * *

## `finally`有/无异常处理的块

如果在您的代码中，`except`块无法捕获异常，并且异常消息被打印在控制台上，这中断了代码的执行，那么最终块仍然会被执行。

让我们举个例子:

尝试为两个不同的值运行上面的代码:

1.  输入某个整数值作为分子，为分母提供 **0** 值。以下是输出:

    你把一个数除以零，这是不允许的。代码执行结束！这个会被打印出来吗？

    由于我们已经处理了**零划分错误**异常类，因此首先执行`except`块，然后执行`finally`块，然后执行其余代码。

2.  现在，一些整数值作为分子，一些**字符串**值作为分母。以下是输出:

    代码执行结束！回溯(最近一次调用最后一次):文件“main.py”，第 4 行，在 <module>b = int(input(“输入分母数:“)”)值错误:int()的文字无效，基数为 10:“dsw”</module>

    由于我们没有处理**值错误**异常，因此我们的代码将停止执行，异常将被抛出，但是`finally`块中的代码仍然被执行。

* * *

## `except`块异常

我们使用`except`块和`try`块来处理异常，但是如果在`except`块内发生异常怎么办。嗯`finally`区块还是会被执行。

```py
# try block
try:
    a = 10
    b = 0
    print("Result of Division: " + str(a/b))
# except block handling division by zero
except(ZeroDivisionError):
    print("Result of Division: " + str(a/b))
finally:
    print("Code execution Wrap up!")
```

代码执行结束！回溯(最近一次调用最后一次):文件“main.py”，第 4 行，在<module>打印中(“除法结果:“+ str(a/b)”)零除法错误:被零除在处理上述异常时，发生了另一个异常:回溯(最近一次调用最后一次):文件“main.py”，第 7 行，在<module>打印中(“除法结果:“+ str(a/b)”)零除法错误:被零除</module></module>

显然`finally`块是第一个被打印在控制台上的，后面是第一个异常消息，然后是第二个异常消息。

* * *

* * *