# 计时器对象——Python 多线程

> 原文：<https://www.studytonight.com/python/python-threading-timer-object>

**定时器**对象是使用`Thread`类的子类`Timer`类创建的。使用这个类，我们可以为任何应该在一定时间后运行的操作设置一个延迟(计时器)，并且可以在该延迟期间轻松取消。

计时器通过调用其`start()`方法启动，就像普通线程一样。定时器线程可以通过调用其`cancel()`方法来停止(在其动作开始之前)。

定时器对象通常用于实现预定的任务，这些任务应该只在某个时刻之后执行。

此外，定时器对象没有必要在计划的时间之后执行，因为在此之后 python intrepreter 会寻找一个线程来执行定时器对象任务，如果该线程不可用，就会导致更多的等待。

* * *

## 创建计时器对象的语法

以下是`Timer`类构造器的语法:

```py
threading.Timer(interval, function, args=[], kwargs={})
```

这样，我们可以创建一个计时器对象，在经过`interval`秒后，该对象将运行带有参数`args`和关键字参数`kwargs`的**功能**。

* * *

## `Timer`类方法

在`Timer`类中，我们有两种方法用于启动和取消定时器对象的执行。

### `start()`方法

此方法用于启动计时器对象的执行。当我们调用这个方法时，定时器对象启动它的定时器。

### `cancel()`方法

此方法用于停止计时器并取消计时器对象操作的执行。这只有在计时器尚未执行其动作的情况下才会起作用。

* * *

## 举个例子

下面我们有一个简单的例子，我们创建一个定时器对象并启动它。

```py
import threading

def task():
    print("timer object task running...")

if __name__=='__main__':
    t = threading.Timer(10, task)
    t.start() # after 10 seconds, task will be executed 
```

上面的程序是一个简单的程序，现在让我们使用 cancel 方法来取消 timer 对象任务的执行。

在上面的程序中，首先注释第 13 行和第 14 行的代码并运行程序，然后取消注释这些行，并看到`cancel()`方法在起作用。

* * *