# Python 日志变量数据

> 原文：<https://www.studytonight.com/python/python-logging-variable-data>

有时，您可能希望在日志中包含一些来自应用的动态信息。

正如我们到目前为止在示例中看到的，我们在日志中打印字符串，并且我们可以通过向其中添加变量值来轻松地格式化和创建字符串。这也可以在`debug()`、`warning()`等测井方法中完成。

为了记录变量数据，我们可以使用**字符串来描述事件**，然后**将变量数据作为参数**追加。让我们借助下面给出的例子来看看我们将如何做到这一点:

### 例子

```py
import logging

logging.warning('%s before you %s', 'Think', 'speak!')
```

警告:根:说话前先思考！

在上面的代码中，**变量数据被合并到事件描述消息**中，使用旧的`%s`样式的字符串格式。

此外，传递给方法的参数将作为**变量数据包含在消息**中。

### 还有另一种方法

由于您可以使用任何格式样式，Python 3.6 中引入的 **f 字符串也是格式化字符串的一种神奇方式，因为在它们的帮助下，格式变得简短且易于阅读:**

下面是一个代码示例:

```py
import logging
name = 'Thomas'

logging.error(f'{name} raised an error in his code')
```

错误:root: Thomas 在他的代码中引发了一个错误

* * *

* * *