# Python 日志类和函数

> 原文：<https://www.studytonight.com/python/python-logging-classes-and-functions>

在我们[之前的教程](python-logging-variable-data)中，我们已经看到了如何使用和配置名为`root`的**默认日志器**，主要由`logging`模块使用**，每当**直接调用其函数**时，就像这样:`logging.info()`。**

您也可以通过创建 `Logger`类的对象来定义自己的记录器**，尤其是在您的**应用有多个模块的情况下。****

让我们看看`logging`模块中的一些类和函数。

`logging`模块中已经定义的最常用的类如下所示:

## 1.记录器类

`Logger`是其对象将在应用代码中直接用于调用函数的类。

## 2.LogRecord(日志记录)

记录器类自动创建`LogRecord`对象，这些对象包含与被记录的事件相关的信息，或者简单地说是日志消息。它包含诸如记录器的**名称**、**功能**、**行号**、消息、进程 id 等信息。

## 3.处理者

Handlers 主要用于将`LogRecord`发送到所需的输出目的地，它**可以是控制台或文件**

类`Handler`是`StreamHandler`、`FileHandler`、`SMTPHandler`、`HTTPHandler`等子类的**基础。这些子类也**将日志输出发送到相应的目的地**，如`sys.stdout`或磁盘文件。**

## 4.格式程序

格式化程序是一个类**，您可以通过**指定字符串格式**来指定输出的格式**，该字符串格式主要列出输出应该包含的属性。

## 几个记录器对象

在`logging`模块中，所有大写的项目都是常量，大写的项目表示类，以小写字母开头的项目是方法。下面我们有一个由`logging`模块提供的几个日志对象组成的表:

| **物体** | **描述** |
| **记录器信息(msg)** | 该功能主要帮助在该记录器上记录级别为`INFO`的消息。 |
| **记录器.警告(msg)** | 该功能主要帮助在该记录器上记录警告级别的消息。 |
| **记录器.错误(msg)** | 该功能主要帮助在该记录器上记录级别为`ERROR`的消息。 |
| **Logger.critical(msg)** | 该功能主要帮助在该记录器上记录级别为`CRITICAL`的消息。 |
| **记录器. setLevel(lvl)** | 该功能主要用于将记录器的阈值设置为 lvl，并指示低于该级别的所有消息都将被忽略。 |
| **记录器. exception(msg)** | 该功能主要帮助在该记录器上记录级别为`ERROR`的消息。 |
| **Logger.log(lvl，msg)** | 这个函数将在这个记录器上记录一个整数级别的消息。 |
| **记录器.过滤器(记录)** | 该方法主要用于对提供的记录应用记录器的过滤器，如果要处理该记录，它将返回`True`。否则，将返回`False`。 |
| **记录器. addFilter(filt)** | 用于向该记录器添加特定过滤器`filt`。 |
| **记录器. removeFilter(filt)** | 用于从该记录器添加特定过滤器`filt`。 |
| **记录器.散列处理程序()** | 这主要用于检查记录器**是否配置了任何处理器**。 |
| **记录器. addHandler(hdlr)** | 为了向该记录器添加特定的处理程序`hdlr`。 |
| **记录器.移除处理程序(hdlr)** | 为了移除该记录器的特定处理器`hdlr`。 |

* * *

* * *