# Python 支持的 MySQL

> 原文：<https://www.studytonight.com/python/python-mysql-introduction>

在本教程中，我们将学习**什么是 MySQL** ，在 Python 中使用 MySQL 的**先决条件是什么，以及从哪里可以**下载并安装 MySQL** 和 **MySQL Python 连接器**。**

首先，让我们看看学习 Python 中的 MySQL 需要哪些先决条件:

## Python MySQL -先决条件

以下是获得全面理解所需的先决条件:

*   Python **[变量](variables-in-python)****[数据类型](data-types-in-python)****控制结构****[循环](looping-in-python)** 等。任何想参与本教程的人都必须了解这些主题。

*   **SQL 基础知识**。如果你想学习 SQL 的基础知识，这里是我们免费课程的链接:[学习 SQL](https://www.studytonight.com/dbms/sql) 。

**注:**

**在本教程中，我们的主要目的是教你如何在 Python 中使用 MySQL。**

## 什么是 MySQL？

让我们先了解一下 MySQL 是什么:

MySQL 是一个基于**结构化查询语言** (SQL)的开源、**关系数据库管理系统**。这里需要注意的一点是，MySQL 是用来存储数据的，不是用来创建程序的；因此，它不是一种编程语言。

*   因此 **SQL** 可以用来**编程一个 MySQL 数据库**。

*   MySQL 的主要优点是它可以在任何操作系统上运行。

*   是**热门数据库**之一。

如果你想练习我们即将到来的教程中的代码示例，那么你必须在你的计算机上安装 MySQL。它是免费提供的，你可以从它的官方网站下载并安装 MySQL 数据库:

[https://www.mysql.com/downloads/](https://www.mysql.com/downloads/)

安装 **MySQL** 后，下一步就是为 python 安装 **mysql 连接器。**现在问题来了什么是 MySQL 连接器？

### MySQL 连接器

基本上 **Python 需要一个 MySQL 驱动**，用于**访问 MySQL 数据库**，在这个例子中**“MySQL 连接器”**就是驱动

Python 的 MySQL 连接器**是一个连接器**，使 **Python 程序**能够访问 **MySQL 数据库**。

有两种方法可以下载 MySQL 连接器:

1.  第一种方式是**你可以从给定的链接[https://dev.mysql.com/downloads/connector/python/](https://dev.mysql.com/downloads/connector/python/)下载安装**

2.  另一种方法是**使用画中画安装“MySQL 连接器”**，因为画中画已经安装在**你的 Python 环境**中了。所以你可以通过**将你的命令行**导航到画中画的位置，然后写下:

```py
python -m pip install mysql-connector-python
```

我们推荐**你使用第二种方式，那就是通过 PIP**；这也是你的选择。

现在，在此之后 **MySQL 驱动程序，即“MySQL 连接器”**被成功下载并安装在您的计算机上。但是为了确认，我们可以测试一下 MySQL 连接器。

## 测试 MySQL 连接器

要检查 MySQL 连接器是否正确安装在您的系统中，您只需要编写以下代码:

```py
import mysql.connector
```

如果上面的代码成功运行，没有产生任何错误，那么这意味着安装是正确的。

现在**我们将创建连接**，在这个连接的帮助下，我们可以进一步创建数据库，插入其中，并执行其他查询。

## 创建连接

第一步是**创建连接。**

现在我们将使用 **MySQL** 的**用户名**和**密码**连接到数据库。如果您忘记了您的**用户名**或**密码**，请使用密码创建一个新的**用户**。

```py
###Connecting to the database

###Let us import mysql.connector

import mysql.connector

## Now connecting to the database using 'connect()' method
## it takes 3 required parameters 'host', 'user', 'passwd'

mydb = mysql.connector.connect(
  host="localhost",
  user="yourusername",
  password="yourpassword"
)

print(mydb)
```

它将产生如下输出:

以上输出表明您已经连接到 **MySQL 数据库**。在接下来的教程中，我们将开始使用 SQL 语句查询**数据库。**

* * *

* * *