# Python MySQL——创建数据库

> 原文：<https://www.studytonight.com/python/python-mysql-database>

在本教程中，我们将学习如何**创建数据库**或者如何**使用 Python 检查 MySQL 中是否已经存在任何数据库**。

要在 **MySQL** 中创建数据库，我们将使用“`CREATE DATABASE`”语句。

## Python MySQL - `CREATE DATABASE`

下面是创建数据库语句的**基本语法**:

```py
CREATE DATABASE database_name
```

现在我们将创建一个名为**“StudyTonight”**的数据库。让我们看看我们将如何创建它:

### Python MySQL -创建数据库示例

让我们创建一个名为“StudyTonight”的数据库。下面给出了相同的代码片段:

```py
#for our convenience we will import mysql.connector as mysql
import mysql.connector as mysql

db = mysql.connect(
    host = "localhost",
    user = "yourusername",
    passwd = "yourpassword"
)

## Now Let us create an instance of 'cursor' class which is used to execute the 'SQL' statements in 'Python'

cursor = db.cursor()

## creating a database called 'studytonight'
## 'execute()' method is used to compile a 'SQL' statement
## below statement is used to create tha 'studytonight' database

cursor.execute("CREATE DATABASE studytonight") 
```

在这种情况下，如果名为“今夜研究”**的数据库已经存在**，那么上面的代码将引发一个错误。

如果**没有错误**，则表示数据库**创建成功**。

现在让我们看看**我们如何检查我们系统中的所有数据库。**

## Python MySQL -列出所有数据库

我们可以使用 Python 列出 MySQL 中的所有数据库，在这个列表中，我们还可以检查任何特定的数据库是否可用。

检查是否已经存在任何数据库`SHOW DATABASES`使用 SQL 语句。

让我们看看如何:

列出系统中所有的数据库。下面是相同的代码片段:

```py
#for our convenience we will import mysql.connector as mysql
import mysql.connector as mysql

db = mysql.connect(
    host = "localhost",
    user = "yourusername",
    passwd = "yourpassword"
)

cursor = db.cursor()

cursor.execute("SHOW DATABASES")

for x in cursor:
  print(x) 
```

上述代码的输出将列出系统中的所有数据库:

(' admin_panel '，)(' information_schema '，)(' mysql '，)(' performance_schema '，)(' sakila '，)(' study now '，)(' sys '，)(' world '，)(' xyz '，)

从上面的代码中可以看到，我们使用了 [Python for loop](/python/looping-in-python) 来迭代游标对象，并打印所有找到的数据库的名称。同样，在使用 [Python if condition](/python/conditional-statements) 创建数据库之前，我们可以比较数据库的名称来检查是否已经存在任何特定的数据库。

因此，在本教程中，我们学习了如何使用 Python 在 MySQL 中创建一个新数据库，以及如何用 Python 列出所有 MySQL 数据库并在控制台中打印它们。

* * *

* * *