# Python 字符串`center()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-center>

Python 字符串`center()`方法是 python 中的一个内置方法，用于**创建并返回一个新的字符串**，该字符串用指定的字符填充。

*   这个方法基本上是在 python 中使用的，在给定字符串的左侧和右侧提供带有指定字符(可以是空格，也可以是任何其他字符)的**填充，因此这个方法的名称是 center，因为给定字符串保持在中心，并且在两侧都提供填充。**

*   无论何时将该方法应用于弦，那么**原始弦保持不变**。

## Python 字符串`center()`:语法

下面我们有一个 Python 中字符串`center()`方法的基本语法:

```py
string.center(width, fillchar)
```

### Python 字符串`center()`:参数/自变量

Python 字符串`center()`方法有两个参数，即:`width` 和 `fillchar.`这些参数的描述如下:

*   **宽度:**

    该属性用填充字符指定字符串的**最终长度(宽度)。比如我有一个字符串 **Hello** (长度 5)，我指定`width`参数为 **9** ，那么在字符串 Hello 的左边加 2 个字符，右边加 2 个字符，最后一个字符串的**长度为 9** 。**

*   **填充符:**

    该属性用于**指定填充字符**，是可选参数；如果**没有给出**，那么**空间**作为其**默认参数**。

### Python 字符串`center()`:返回值

Python 字符串`center()`方法返回一个用指定字符填充的字符串，重要的是它不修改原始字符串。

## Python 字符串`center()`:基本示例

下面我们有一个例子来展示 python 字符串`center()`函数的工作原理:

```py
s1 = 'hello this is a string'
s2 = s1.center(30, "*")
print(s2) 
```

输出将是:

**** *你好这是字符串* * * *

### Python 字符串`center()`:如果字符串长度大于宽度参数

让我们看看下面给出的代码片段，其中字符串的长度大于作为`center()`函数的参数传递的宽度:

```py
str1 = "I am Developer"
str2 = str1.center(10, "#")
print(str2)
```

输出将是:

我是开发者

上面的输出表明，如果作为参数传递的**宽度小于原始字符串的长度，在这种情况下，在应用`center()`方法后，原始字符串将按原样返回，因为不需要为字符串提供额外的字符填充来增加其长度，因为字符串的长度已经大于给定的参数。**

## 是时候做一个活生生的例子了！

现在我们将向您展示一个在不同情况下使用`center()`方法的实例，并查看输出:

## 要点

*   `width`是**的重要属性**如果你**没有在** `center()`方法中指定它的值，**就会出现错误**。

*   由于 python 字符串`center()`函数有两个参数，**因此必须指定其中至少一个**，它就是`width`。

*   如果多个字符将被用作 fillchar 参数的值，那么它将导致一个错误，就像我们使用“ **#$** ”一样。

## 摘要

在本教程中，我们学习了 Python 中的字符串`center()`方法，该方法用于**创建并返回一个新字符串**，该字符串用指定的字符填充。我们通过一些基本和实际的例子看到了这种方法的论点。

* * *

* * *