# Python 字符串`maketrans()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-maketrans>

在 Python 中，`maketrans()`方法是**用来映射字符串的字符及其替换物**，基本上表示翻译。

*   它是 Python 中字符串的内置映射函数。

*   `maketrans()`方法充当**辅助方法**到`translate()`方法。

*   主要指定需要替换或从主字符串中删除的**字符。**

*   因此，`maketrans()`方法主要返回一个映射表，**用于通过`translate()`方法进一步翻译**。

*   它基本上是一种[静态方法](https://www.studytonight.com/python/python-static-keyword)，用于字符串的字符到其替换字符的一对一映射。

*   此方法有助于为每个字符的翻译创建 Unicode 表示形式。

## Python 字符串`maketrans`()`` :语法

下面我们有一个 Python 中字符串`maketrans()`函数的基本语法:

```py
maketrans( str_var1, str_var2, str_var3)
```

**注意:**上述方法语法中传递的参数是可选的，但至少要有一个参数。

### Python 字符串`maketrans`()`` :参数

语法表明`maketrans()`方法接受三个参数，其描述如下:

*   **页 _var1**

    它用于表示需要替换的字符。

*   **页 _var2**

    用于表示 **str_var1** 的字符需要替换的字符。

*   **页 _var3**

    它是一个可选参数，表示需要从列表中替换的字符。

### Python 字符串 `maketrans()`:返回值

`maketrans()`方法返回一个由`translate()`方法使用的**翻译表**。

## Python 字符串`maketrans()`:基本示例

下面我们有一个例子来说明`maketrans()`功能的工作原理:

```py
str1="hello"
str2="Girls"
str_var="Hello"
print(str_var.maketrans(str1, str2))
```

上述代码片段的输出如下:

{104: 71，101: 105，108: 108，111: 115}

在上面的例子中，我们提供了两个字符串`str1`和`str2`，因此`maketrans()`方法将创建一个 transaltion table，其中它将指定当任何人使用`translate()`方法时，那么**‘h’**应该被替换为**‘g’**，**‘e’**被替换为**‘I’**，**‘l’**被替换为**‘r’**，然后再次被替换为**‘l’**

如果我们将`maketrans()`函数的输出与`translate()`函数一起使用，那么将使用上面创建的翻译表，

```py
str1 = "hello"
str2 = "girls"

str_var = "Hello"    #can be any string
x = str_var.maketrans(str1, str2)
# translate the string
print(str_var.translate(x))
```

鳃

## 带 Python 字典的 Python 字符串`maketrans()`

现在我们就用`maketrans()`方法搭配 [Python 字典](https://www.studytonight.com/python/dictionaries-in-python)。让我们看看下面给出的代码片段:

```py
dict = {"a": "219", "b": "211", "c": "229"}
string = "kgb"
print(string.maketrans(dict))
```

上述代码片段的输出如下:

{97: '219 '，98: '211 '，99: '229'}

从上面的例子可以得出结论，字典字典字典是在例子中定义的。它包含字符 a、b 和 c 分别到 219、211 和 229 的映射。因此`maketrans()`创建字符的 Unicode 到其对应翻译的映射。

## 是时候做一个活生生的例子了！

现在，我们来看一下下面给出的实时示例:

## 摘要

在本教程中，我们已经介绍了 Python 中的字符串`maketrans()`方法，这是用于将字符串的字符与其替换物进行映射的**。**

* * *

* * *