# Python 字符串`rindex()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-rindex>

Python 字符串`rindex()`函数用于**返回给定字符串中任何子字符串**的最高索引。最高索引的意思是，如果一个给定的子串在一个字符串中出现两次或三次，那么该子串最右边的出现或最后一次出现，该索引将由`rindex()`方法返回。你可以把它记为**最右边的索引**。

这是一个内置的**字符串处理功能**。

*   如果作为参数传递的子字符串**不在主字符串中，在这种情况下，**函数抛出异常**。**

*   在这个函数中，传递了三个参数:

    *   第一个参数是**子串**，

    *   第二个和第三个参数是**主字符串**的开始和结束索引，我们必须在其中搜索子字符串

*   由于开始和结束索引是可选参数，因此如果没有通过这些参数，则开始被视为 **0** ，而长度被视为 **-1** 。

*   这个方法是**区分大小写的**，比如它会把*书房*和*书房*当成两个不同的词。

## Python 字符串`rindex()`:语法

下面我们有一个 Python 中字符串`rindex()`函数的基本语法:

```py
str.rindex(substr, beginning_index, ending_index)
```

<u>**注:**</u> 在上图中，`str`表示我们搜索子串的主串。

### Python 字符串 `rindex()`:参数

`rindex()`功能接受 3 个参数，如下所示:

*   **子字符串**

    这用于指定子字符串，它是主字符串的一部分，我们将使用这个`rindex()`函数找到它的索引。

*   **开始 _ 索引**

    这是一个可选参数，用于指示搜索从何处开始**默认值为 0** 。

*   **ending_index**

    这也是我们搜索结束时的可选参数。

如果您想将子字符串的搜索限制在字符串的定义部分内，例如，如果您有一个长度为 150 的字符串，并且您想搜索从第 25 个字符到第 75 个字符的子字符串，那么**开始 _ 索引**和**结束 _ 索引**是有用的，您可以使用**开始 _ 索引**和**结束 _ 索引**参数。

### Python 字符串 `rindex()`:返回值

如果在主字符串中找到子字符串，那么它的最高索引(最右边的出现)将被返回。否则，如果字符串中不存在子字符串，将引发[异常](https://www.studytonight.com/python/exception-handling-python)。

## Python 字符串`rindex()`:基本示例

下面我们有一个例子来展示 python 中`rindex()`方法的工作原理:

```py
str1 = "I love StudyTonight"

str2 = "I love Python"
str3 = "Python language doesn't bite"

print("String: ", str1, "Highest Index: ", str1.rindex("love"))

print("String: ", str2, "Highest Index: ", str2.rindex("Python"))
print("String: ", str3, "Highest Index: ", str3.rindex("drink"))
```

上述示例的输出如下所示:

字符串:我爱学习今晚最高指数:2
字符串:我爱 Python 最高指数:7

回溯(最近一次调用最后一次):
文件“< pyshell#12 >”，第 1 行，在<模块>
打印(“字符串:、str3、”最高指数:“、str3.rindex(“喝”))
值错误:未找到子字符串

## Python `rindex()`和`rfind()`

`rindex()`和`rfind()`彼此相似，因为这两种方法都从主字符串中返回子字符串的最高索引**(多次出现时最右边的一次)。**

 **但是也有一个主要的区别，那就是如果他们不能找到子串`rfind()`返回， **-1** 作为输出，而`rindex()`方法**抛出一个异常**。

## 是时候做一个活生生的例子了！

让我们看一个真实的例子，看看不同情况下的代码输出:

## 摘要

在本教程中，我们了解到 python `rindex()`字符串函数用于**返回子字符串的最高索引，该子字符串在此函数中作为参数传递给**。此外，我们通过一个实例看到了它的语法、该函数获取的参数以及该函数返回的值。

* * *

* * ***