# Python 字符串`splitlines()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-splitlines>

Python `splitlines()`方法用于**在行边界**处断开给定的字符串，例如`\n`(换行符)或`\r`(回车)等。

*   这是 Python 中字符串的**内置方法**。

*   当我们断开字符串时，不同的行被编译成一个列表，并由这个函数返回。所以我们可以说它返回了一个分割线的列表。

*   不同类型的换行符有`\n`(换行符)、`\r`(回车)、`\r\n`(回车+新行)。我们有一个完整的表格，指定了所有指定线条边界的字符。

## Python 字符串`splitlines()`:语法

下面我们有一个 Python 中 String `splitlines()`方法的基本语法:

```py
string.splitlines([keepends])
```

<u>**注意:**</u> 在上面的语法中，**字符串**用来表示主字符串。此外，我们不需要指定这个函数应该查找哪一行边界字符，因为它会自动查找所有这些字符。

### Python 字符串`splitlines()`:参数

*   **保持结束**

    这是一个**可选参数**，可以取两个值中的任意一个:**真**或**假**。

    当该参数设置为**真**时，换行符包含在结果列表中。它可以是数字，指定换行符的位置，也可以是任何 unicode 字符，如`\n`、`\r`、`\r\n`等。它充当字符串的边界。

### Python 字符串`splitlines()`:返回值

此方法返回一个由主字符串的行组成的列表，这些行根据主字符串中存在的不同行边界字符进行分解。

## Python 字符串`splitlines()`:基本示例

下面我们举一个例子来说明 String `splitlines()`方法的工作原理:

```py
str1 = 'Hello boy\nHow are you?'
print(str1.splitlines(True))
```

上述输出将是:

【你好，孩子】【你好吗？]

## Python 字符串`splitlines()`:另一个例子

让我们再举一个例子，有更多种类的字符串:

```py
str1 = "India is a diverse country.\r\nWith many different religions and cultures"
str2 = "I love chinese\r food!!"

print("Splitted list: ", str1.splitlines())

print("Splitted list: ", str2.splitlines()) 
```

其输出如下所示:

分裂列表:【‘印度是一个多元化的国家’，‘有很多不同的宗教和文化’]
分裂列表:[‘我爱中国’，‘美食！!']

### `splitlines()`方法支持的线边界字符:

`splitlines()`方法在以下行边界字符上拆分行:

| 表示 | 描述 |
| --- | --- |
| **\n** | 指示换行符 |
| **\r** | 表示回车 |
| **\r\n** | 表示回车+新行 |
| **\v** 或 **\x0b** | 指示行列表 |
| **\f** 或 **\x0c** | 指示表单源 |
| **\x1c** | 指示文件分隔符 |
| **\x1d** | 指示组分隔符 |
| **\x1e** | 指示记录分隔符 |
| **\x85** | 指示下一行(C1 控制代码) |
| **\u2028** | 指示行分隔符 |

### 计算字符串中每个单词的字符长度:

在下面给出的代码中，我们使用`splitlines()`的概念来计算字符串中每个单词的长度:

```py
def str_len(string):

    li = string.splitlines()
    print(li)

    l = [len(element) for element in li]
    return l

string = "Hello\rthere\rStudytonight!!!!"
print(str_len(string))
```

相同的输出将是:

【你好】【在那里】【StudyTonight！！！!'】
【5，5，16】

## 是时候做一个活生生的例子了！

现在是时候借助一个活生生的例子来理解`splitlines()`方法了！

## 摘要

在本教程中，我们学习了 Python 中的字符串`splitlines()`方法，该方法用于在线条边界处将给定的字符串分解成线条后返回线条列表。

* * *

* * *