# Python 字符串`rfind()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-rfind>

Python `rfind()`字符串方法用于**返回给定字符串中子字符串**的最高索引(最右边的出现)。最高索引的意思是，如果一个给定的子串在一个字符串中出现两次或三次，那么该子串最右边的出现或最后一次出现，该索引将由`rfind()`方法返回，因此我们说它返回该子串的最高索引。

*   如果传递的字符串在主字符串中找不到**，则该方法返回 **-1** 作为输出。**

*   `rfind()`方法是 python 中**内置的字符串方法**，所以不需要任何 [python 模块](https://www.studytonight.com/python/modules-and-functions)来使用。

*   这个方法类似于 [Python rindex()方法](https://www.studytonight.com/python-library-functions/python-string-rindex)，也可以用来查找给定字符串中任意子串的最高索引。

*   这个方法是**区分大小写的**，比如它会把*书房*和*书房*当成两个不同的词。

## Python 字符串`rfind()`:语法

下面我们有一个 Python 中`rfind()`方法的基本语法:

```py
str.rfind(substring, start_index, end_index)
```

<u>**注意:**</u> 在上面的语法中，**字符串**表示**主字符串**，而**子字符串**是主字符串的一部分，其索引是使用这种方法搜索的。

### Python 字符串`rfind()`:参数

该方法的参数描述如下:

*   **子串**

    此参数指示要在主字符串中搜索其最高索引的子字符串。

*   **开始 _ 索引**

    这是一个**可选的**参数，表示搜索开始的**起始索引**，其默认值为 **0** ，因为默认情况下搜索从开始开始。

*   **end_index**

    这是一个**可选**参数，表示搜索结束的**结束索引**。

### Python 字符串`rfind()`:返回值

它返回在主字符串中找到的子字符串的最高索引。

如果在主字符串中找不到子字符串，在这种情况下，它会返回 **-1** 作为输出。

## Python 字符串`rfind()`:基本示例

下面我们举一个例子来说明 String `rfind()`方法的工作原理:

```py
str1 = "Hello I love StudyTonight more than I love myself!"
str2= "I love Python Python Python"
print("String: ", str1, "Highest Index: ", str1.rfind("love", 3, 14))
print("String: ", str2, "Highest Index: ", str2.rfind("Python")) 
```

输出将是:

你好，我喜欢今晚的学习！最高指数:8
字符串:我爱 Python 最高指数:21

如您在上面的示例中所见，我们也使用了开始和结束索引参数，因此，即使单词 **love** 出现在比索引 **8** 更高的索引处，但这并没有被考虑，因为这超出了给定的索引范围。

而在第二个字符串中，我们有子字符串 **Python** 3 次，函数`rfind()`返回最右边出现次数的索引，这是最高的索引。

## 是时候做一个活生生的例子了！

下面我们有一个不同情况下`rfind()`方法的实例。让我们看看代码及其输出:

## 摘要

在本教程中，我们了解到使用 python `rfind()`字符串方法是为了**返回给定主字符串中出现的子字符串**的最高索引。

* * *

* * *