# Python 字符串`zfill()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-zfill>

在 Python 中对**字符串左侧追加零** `zfill()`使用字符串方法。Python 字符串`zfill()`方法是一种**内置方法**。

基本上它提供了一个**填充机制**，其中只有 0 个字符用于填充。 [Python center()方法](https://www.studytonight.com/python-library-functions/python-string-center)或多或少也用于此目的。

*   `zfill()`方法采用一个数值参数**帮助决定要附加的 0 的数量**。

*   该参数表示字符串的**总所需长度。因此，如果字符串的长度小于，则在左边用 0 数字填充，但是如果字符串的长度已经等于或大于长度参数，则不填充。**

*   该函数总是**返回一个字符串**。

假设我们有一个字符串，当前**长度为 30** ，**长度**传递的参数是**40**；那么`zfill()`方法会在字符串的左侧追加 **10 个零，从而使字符串长度等于 40。**

## Python 字符串`zfill`()`` :语法

下面我们有一个 Python 中`zfill()`方法的基本语法:

```py
str.zfill(length)
```

<u>**注:**</u> 在上面的语法中， **str** 表示我们应用`zfill()`方法的字符串变量。

### Python 字符串`zfill`()`` :参数

`zfill()`方法参数描述如下:

*   **长度**

    这是`zfill()`方法的唯一参数。这个**参数指定了我们想要制作的字符串**的长度。该**属性的值必须大于字符串的实际长度**，才能看到字符串的任何变化。

### Python 字符串`zfill()`:返回值

它**返回一个字符串，在主字符串中附加所需数量的零**。

## Python 字符串`zfill()`:基本示例

下面我们有一个例子来展示 python 中`zfill()`字符串方法的工作原理:

```py
str1="QWERTYUIOP"
str2="STUDYTONIGHT"
str3="no way!!"

print(str1.zfill(20))
print(str2.zfill(5))
print(str3.zfill(4))
```

输出将是:

StudyTonight
没门！！

如果传递的参数值或`length`参数值小于实际字符串长度，则按原样返回原始字符串。

## 需要记住的几点

此方法返回左侧附加了 0 的字符串副本。将返回的字符串长度完全取决于作为参数传递的长度:

1.  例如，字符串的**长度为 10** ，作为参数传递的**宽度的值等于 15** 。在这种情况下，`zfill()`方法返回一个字符串**，在其左边附加五个零**。

2.  我们再举一个例子，字符串的初始长度为 **10** 。作为参数传递的宽度**的值等于** 8。在这种情况下，字符串`zfill()`不填充左边的‘0’位，返回原始字符串。在这种情况下，返回的字符串长度为 10。

## Python 字符串`zfill()`:另一个例子

还有一个例子是从用户那里获取输入，然后对其应用`zfill()`方法。让我们看看下面给出的代码片段:

```py
for i in range(0,2):
    h=input()
    length=int(input())
    print(h.zfill(length),"\n")
```

输出将是:

6
0
3
玩具
15
000000 玩具

## 是时候活出榜样了！

下面我们有一个`zfill()`方法的实例。让我们看看代码片段:

## 摘要

在本教程中，我们学习了如何使用 Python 中字符串的 `zfill()`方法在字符串的左侧追加零。

* * *

* * *