# Python 字符串`format()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-format>

在 Python 中，字符串`format()`是一个**内置函数**，借助**可以对字符串**进行格式化，从而获得更好的输出。

*   在这个功能的帮助下，人们能够格式化**字符串的一些选定部分**。

*   该函数返回带有传递值的**格式字符串，该字符串在占位符位置**作为**参数传递。**

*   该方法在位置格式的帮助下，对于连接字符串中的元素**非常有用。**

*   为了**控制一些值，如输入和来自数据库**的值(用户无法控制)，对于这些值，在文本中添加占位符，如卷曲的`({})`大括号，然后这些值通过字符串`format().`运行

*   此函数读取传递给它的参数类型，并根据字符串中定义的格式代码对其进行格式化。

## Python 字符串 `format`()`` :语法

下面我们有一个 Python 中字符串`format()`的基本语法:

```py
{}.format(value)
```

**注意:**在上面的语法中，value 参数可以是**整数**、**浮点数值常量**，可以是**字符串**、**字符，甚至是变量**。

## Python 字符串 `format():`参数

该方法可以采用任意数量的参数，但是参数**分为两种类型:**

*   **位置参数:**

位置参数由参数列表组成，可以通过花括号内的参数索引进行访问，如 `{index}`。

*   **关键词参数:**

关键字参数是一个参数列表，类型为 key=value，可以用花括号内的参数的键来访问，如`{key}`

## Python 字符串`format()`:返回值

该字符串`format()`返回带格式的字符串，在占位符位置将**值作为参数传递。**

## Python 字符串`format():`基本示例

下面我们有一个例子来展示 String `format()` 函数的工作原理:

```py
name = 'Kunj'
coins = 21
print('Hello {}, you have {} coins.'.format(name, coins))
```

在上面的例子中，花括号被名字和硬币代替。其输出如下所示:

你好 kunj，你有 21 枚硬币。

#### 注意:我们可以在格式化字符串时使用多对花括号。如果在一个大字符串中需要另一个变量替换，那么这可以通过添加第二对花括号并将第二个值传递给方法来完成。Python 将以有序的方式用值替换占位符。在上面的例子中，我们已经看到了这一点。

## Python 字符串`format()`:数字的格式

下面给出了一个可以格式化数字的例子。让我们看看代码片段:

```py
a = 1000
print('I have {:d} rupees.'.format(a))
```

输出将是:

我有 1000 卢比。

#### 注意:在上面的代码中，{:d}中的 d 表示它是十进制整数。

## 数字使用的一些格式说明符如下

| **类型** | **表示** |
| d | 十进整数 |
| c | 对应的 Unicode 字符 |
| b | 二进制格式 |
| o | 八进制格式 |
| x | 用小写表示十六进制格式 |
| X | 以大写形式表示十六进制格式 |
| n | 类似于“d ”,但不同之处在于它使用数字分隔符的当前区域设置 |
| e | 小写指数表示法 |
| E | 大写的指数表示法 |
| f | 显示定点数字(默认值=6) |
| F | 与“f”相同，只是它将“nan”显示为“NAN”，将“inf”显示为“INF” |
| g | 通用格式。它将数字向上舍入到 p 个有效数字。(默认精度:6) |
| G | 它与“g”相同，但如果任何数字有意义，则切换到“E”。 |
| % | 意味着百分比。乘以 100，将%放在最后。 |

## 时间就是活生生的例子！

现在，让我们看一个 Format()的实时示例，其中我们将以不同的方式使用该方法:

* * *

* * *