# Python 字符串`capitalize()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-capitalize>

在 Python 中，String `capitalize()`是一个**内置函数**，用于将字符串的第一个字母作为大写字母。

*   该函数将字符串的所有其他字母转换为小写。

*   需要注意的一点是，如果第一个字符是大写字母，在这种情况下，函数将只返回原始字符串。

*   如果字符串是空的，那么在这样的字符串上使用这个函数不会导致错误，只会返回一个空字符串作为输出。

*   如果我们将该函数与类似“ **45** 的数字字符串一起使用，该函数将再次返回相同的值。

## Python 字符串`capitalize()`:语法

下面我们有一个 Python 中字符串`capitalize()`的基本语法:

```py
string.capitalize()
```

#### **在上面的语法中，string 表示需要大写的字符串。**

<u>**注:**</u> Python `capitalize()`函数不包含任何参数。

### Python 字符串`capitalize()`:返回值

该方法返回一个字符串，其第一个字母**为大写字母**，而所有其他字母为小写字母。在这种情况下，如果字符串的第一个字母**是大写的**，那么它将返回原始字符串**。**

## Python 字符串`capitalize()`:基本示例

下面我们有一个例子来展示 String `capitalize()`函数的工作。

```py
s1 = "hello studytonight"
print(s1.capitalize())
```

你好，StudyTonight

## Python 字符串`capitalize()`用于多个字符串

下面我们有一个例子向你展示如何使用字符串`capitalize()`为多个字符串。

```py
string1 = "hello,"
string2 = "i am a developer"
print(string1.capitalize() + string2.capitalize())
```

大家好，我是开发者

## Python `capitalize()`具有其他对象类型，如“数字”和“无”

如果我们对不同数据类型的对象(如数字或无值)使用大写()函数，那么我们将得到一个错误。让我们看看例子和输出:

### 带编号的 Python `capitalize()`:

在下面的 python 脚本中，我们尝试使用带有数值的`capitalize()`函数:

```py
x = 45
print(x.capitalize())
```

回溯(最近一次调用最后一次):
文件“< stdin >”，第 1 行，在<模块>
属性中错误:“int”对象没有属性“大写”

我们会得到这个错误，因为在 Python 中，只为字符串类型定义了`capitalize()`。

### Python `capitalize()`无:

同样，让我们尝试使用带有无值的`capitalize()`函数:

```py
x = None
print(x.capitalize())
```

回溯(最近一次调用最后一次):
文件“< stdin >”，第 1 行，在<模块>中
属性错误:“NoneType”对象没有属性“大写”

## 时间就是活生生的例子！

让我们看一个活生生的例子，其中我们将使用不同字符串的大写字母:

## 摘要

在本教程中，我们学习了 Python 中字符串的`capitalize()`方法，该方法使用**将字符串的第一个字母作为大写字母。**我们看到了这个方法返回的值，我们也看到了几个例子；以及如何对数字和无值应用此方法，下面是一个实时示例。

* * *

* * *