# Python 字符串`join()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-join>

在 Python 中，String `join()`是一个**内置函数**，用于在字符串与**可重复项(如列表、元组、字典、集合、** 等)连接时**返回结果。**

*   有了这个`join()`功能，任何字符串都可以**灵活串接。**

*   基本上**通过这个函数，一个可迭代**的每一个元素(像列表、元组、字典、集合等)都与字符串连接在一起，并作为结果返回连接的字符串。

*   如果可迭代中存在**非字符串值**，则将引发`TypeError`异常。

*   Python String `join()`方法也是用于**返回字符串的方法，其中任何序列**的元素都已通过**使用字符串分隔符连接。**

## Python 字符串`join()`:语法

下面我们有一个 Python 中字符串`join()`的基本语法:

```py
string.join(iterable)
```

### Python 字符串`join()`:参数

`iterable`(是一个所有值都以字符串形式返回的对象)`;`是 Python Strings 的`join()`函数的一个参数。它有一些值，如下所示:

*   目录

*   线

*   元组

*   词典

*   设置

### Python 字符串`join()`:返回值

*   每当`non-string values`在可迭代中时，就会出现`TypeError`异常。

*   每当字典被用作可迭代表时，返回值就是键，而不是值。

*   每当`string values`出现在作为结果返回的可迭代连接字符串中时。

## 当元组是可迭代的时，Python 字符串`join()`

这里我们将定义一个元组及其元素，然后我们将使用`.join()`函数进行连接:

```py
fruits= ('Mango', 'Apple', "Orange")
str = '|'.join(fruits)
print(str)
```

在上面的例子中，我们首先定义了一个元组，然后将该元组的值与 **|连接起来，如下图所示:**

芒果|苹果|橘子

## 当列表用作可迭代时的 Python 字符串`join()`

在下面的 python 脚本中，我们尝试将连接`()`函数与一个列表(在 **Python 中的数据结构**是一个可变的/可变的、有序的元素序列)一起用作可迭代的:

```py
x = ['WonderWoman', 'Aquaman', 'Batman', 'Superman']
movies = '||'.join(x)
print(movies)
```

在上面的例子**中，我们首先定义了一个列表，然后将该列表的值**与||连接起来作为**，您可以看到**下面的输出:

wonder woman | | Aquaman | |蝙蝠侠| |超人

## Python 字符串`join()`当字典用作可迭代时

在下面的 python 脚本中，我们已经尝试将 join `()`函数与字典(无序的数据值集合；它将键:值对)保存为可迭代的:

```py
technologies = {
    1: 'AI',
    2: 'Machine Learning',
    3: 'Serverless',
    4: 'ARVR'
}
trends= '/'.join(technologies.values())
print(trends)
```

在上面的例子中，我们使用了字典值，并用分隔符 **/连接它们。**相同的输出如下:

AI/机器学习/无服务器/ARVR

## 当 Set 用作可迭代时的 Python 字符串`join()`

在下面的 python 脚本中，我们尝试将`join()`函数与一个集合(无序且未索引的元素集合)一起用作可迭代函数:

```py
a=  {'11', '21', '29'}
bc = ', '
print(bc.join(a))
```

在上面的例子中，我们使用了一个集合并用分隔符 `,` **连接它们。由于集合是无序的，因此您将在输出中看到不同顺序的元素。**相同的输出如下:

29、11、21

## 在可迭代表中使用非字符串值

每当`non-string values`在可迭代中时，就会出现`TypeError`异常。让我们借助下面给出的例子来看看这一点:

```py
a=(11,21)
b='/'
print(b.join(a))
```

这里我们有相同的输出:

回溯(最近一次调用最后一次):
文件“< pyshell#18 >”，第 1 行，在<模块>
中打印(b.join(a))
类型错误:序列项 0:应为字符串实例，找到 int

## 时间就是活生生的例子！

现在，我们将看一下 string join()的实时示例，以获得清晰的理解:

## 摘要

在本教程中，我们学习了 Python 中的字符串`join()`方法，该方法用于当字符串与可迭代的**连接时**返回结果。**我们也看到了它的参数和返回值；在我们的例子中，我们使用了不同的条目，如列表、集合、元组字典，后面还有一个真实的例子。**

* * *

* * *