# Python 字符串`split()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-split>

在 Python 中，String `split()`是一个**内置函数**，用于**将一个字符串拆分成一个列表**。有时候需要把大绳子掰成小块。

*   此方法**通过一个**指定的分隔符**将给定的**字符串断开(分隔符是用于放置在每个项目之间的指定字符)，并返回字符串的**列表**。

*   用于**分隔字符串的**默认分隔符**为空白**；虽然您也可以**指定任何分隔符**。

*   借助于弦线`split()`，弦线上的基本操作之一即**分裂弦线可以灵活的方式完成**。

*   基本上**分裂与合并**是对立的；**合并**使用绳子`concatenation()`完成，而**拆分**使用绳子`split()`完成

## Python 字符串`split()`:语法

下面我们有一个 Python 中字符串`split()`的基本语法:

```py
str.split(separator, limit)
```

### Python 字符串`split()`:参数

以下是`split()`参数的描述，因为有两个参数:

*   **分离器:**

`split()`的**分隔符**参数用于提供分隔符，该分隔符随后用于从指定字符中拆分字符串。

*   **极限:**

`split()`的**极限**参数是可选极限，如果提供，则它将字符串拆分为提供次数的最大值。

## Python 字符串`split()`:基本示例

下面我们有一个例子来展示 String `split()`函数的工作原理:

```py
a = "k u n a l"
data = a.split()

for char in data:
    print(char)
```

在上面的例子中，**我们没有指定任何分隔符**，因此**空格**在这种情况下被用作**默认分隔符** r。其输出如下所示:

k
u
n
a
l

## 字符串`split()`:未提供参数

```py
strA = 'Welcome! to StudyTonight'
splitA = strA.split()
print(splitA)
```

在上面的例子中，我们没有在 split()函数中提供任何参数，其输出如下:

[“欢迎！”，‘到’，‘StudyTonight’

## 字符串 `split()`:提供参数

```py
strA = 'Welcome! to our StudyTonight website'
splitA = strA.split('!')
print(splitA)
```

在上例中，我们提供了**一个分隔符**；因此，它从分离器(！)的输出如下所示:

[‘欢迎’，‘来我们今晚的学习网站’

## 字符串 ``split()`` :提供参数和最大分割或限制

下面有一个例子，我们提供了 String split()的参数和 split()的极限参数，当指定了 split()的极限参数时，列表将包含指定数量的项目加上一:

```py
strA = 'Welcome! to our StudyTonight website'
splitA = strA.split(' ',4)
print(splitA)
```

在上面的例子中，我们把极限参数的值设置为 4。这就是为什么我们得到了 5 个项目的清单。相同的输出如下所示:

[“欢迎！”，‘到’，‘我们的’，‘StudyTonight’，‘网站’

## 使用字符串`split()`将 Python 字符串拆分成字典

现在我们将把一个 Python 字符串拆分成一个字典；其代码片段如下所示:

```py
str="a=him;b=duck;c=john"
dictRes=dict(item.split("=") for item in str.split(";"))
print(dictRes)
```

上面代码片段的输出如下所示，因为它会将给定的字符串转换成相应的字典:

{'a': 'him '，' b': 'duck '，' c': 'john'}

## 将 Python 字符串拆分为整数

现在，我们将把一个字符串分成相应的整数列表，其代码片段如下所示:

```py
str="11 34 56 67 89"
mp = map(int, str.split())
res = list(mp)
print(res)
```

这里我们也使用了 python 的 map()和 int()函数；因为我们需要使用 list()方法将对象映射到列表。其输出如下所示:

【11、34、56、67、89】

## 时间就是活生生的例子！

现在来看一下`split()`例子的直播例子:

## 摘要

在本教程中，我们学习了 Python 中用于拆分字符串的`split()`字符串方法。我们看到了几个同样的例子；我们还将一个字符串转换成整数，并将字符串转换成字典，接下来是一个实时示例。

* * *

* * *