# Python 字符串`find()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-find>

如果有人想在一个字符串中找到一个**子字符串或者在一个字符串中找到一个字母**，那么为了这个目的 **Python 字符串** `find()`被使用。

*   Python 字符串`find()`是一个**内置函数**。

*   如果您正在查找一个存在于字符串内部的子字符串，那么该函数返回该字符串第一次出现的**索引**；如果字符串中不存在**子字符串**，则函数返回`-1`。

*   因此，字符串`find()`有助于**找到字符串**内子字符串的索引。

*   如果在情况下没有给出**字符串的**起始和结束**索引，则**起始**的默认值为`0`，字符串**的**长度被认为是`-1` ，并且在这种情况下**结束索引不包括在搜索中****

*   字符串`find()`总是返回一个整数值。

*   用这个方法，我们可以找到一个字符串的子串和一个字符串的字母。

## Python 字符串`find()`:语法

下面我们有一个 Python 中字符串`find()`的基本语法:

```py
string.find(value, start, end)
```

### Python 字符串`find()`:参数

以下是对`find()`参数的描述，因为有三个参数:

*   **值**

它是一个强制参数；它用于定义我们在字符串中搜索的子字符串或字符。

*   **启动**

它用于告诉我们搜索从哪个索引开始，它是一个可选参数，默认值为-1。

*   **结束**

它用来告诉我们搜索在哪个索引处结束，这个参数也是一个可选参数。

### Python 字符串`find()`:返回值

这个 Python 字符串`find()`总是返回一个整数值。

*   如果**子串或一个字母**我们在**中寻找的是存在于该串**中的一个串，那么在这种情况下，该方法返回子串或字母第一次出现的**索引。**

*   如果**子串或字母**我们正在寻找的**串在那个串中不存在**，那么在这种情况下，这个**方法返回-1。**

## Python 字符串`find()`:在字符串中查找子字符串的基本示例

下面我们有一个例子来展示 String `find()`函数的工作原理:

```py
str = 'StudyTonight is a platform to learn coding online'
index = str.find('Tonight')
print(index)
```

在上面的例子中，没有定义**“开始”参数**，在这种情况下**开始的默认值是**，即使用 0。其输出如下所示:

5

输出是 5，因为今晚子字符串从 5 开始。

## Python 字符串`find()`:在两个位置之间寻找一个字母

下面我们有一个例子，我们试图在两个位置之间搜索一个字母。在这种情况下，它将返回该字母第一次出现的索引。让我们看看:

```py
str1 = 'Titanic is a great movie'
index = str1.find('e', 0, 17)
print(index)
```

15

输出为 15，因为字母“e”的第一次出现在索引 15 处。

## 使用`find()`查找字符串中不存在的字符的示例

```py
str1 = 'Titanic is a great movie'
index = str1.find('k', 0, 7)
print(index)
```

在上面的例子中，我们正在寻找泰坦尼克号中的字母“k”，正如你所看到的，它并不存在。其输出如下所示:

-1

## 时间就是活生生的例子！

让我们看一下 Python 字符串`find()`的实时示例，以清楚地了解这种方法:

## 摘要

在本教程中，我们学习了 Python 中的字符串`find()`方法，该方法用于查找字符串中的**子字符串或字符串中的字母**。我们还通过一些示例和一个实时示例看到了它的参数和返回值。

* * *

* * *