# Python 字符串`replace()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-replace>

如果有人想用另一个**字符串或短语**替换一个字符串或短语，或者如果你想用一些新值替换一些旧值**，在这种情况下使用 Python 字符串`replace()`。**

*   Python 字符串`replace()`是一个**内置函数。**

*   用于**将指定的短语或字符串**替换为另一个短语或字符串，**返回替换后的结果。**

*   该方法不修改**原始字符串。**

*   这个方法基本上返回一个字符串的**副本，其中**子串**的所有出现都被其他子串替换。**

*   **通俗地说**它用新的子串替换旧的子串，**返回字符串的副本**；有一点要记住的是它**并没有修改原弦**。

*   这种方法属于`<class 'str'>`范畴

## Python 字符串`replace()`:语法

下面我们有一个 Python 中字符串`replace()`的基本语法:

```py
string.replace(oldvalue, newvalue, count)
```

### Python 字符串`replace()`:参数

以下是对`replace()`参数的描述，因为有三个参数:

*   **旧值**

它是一个强制属性，用于指定需要搜索的子字符串。

*   新值

它是一个强制属性，用于指定我们需要替换的值。

*   **计数**

它是一个可选参数，是一个用于指定要替换的旧值出现次数的数字。

## Python 字符串`replace()`:基本示例

下面我们有一个例子来展示 String `replace()`函数的工作原理:

```py
str = 'ABC Movie is  a great movie'

replacedString = line.replace('ABC', 'titanic')

print(replacedString)
```

在上面的例子中，我们没有使用 count 参数。原始字符串的值保持不变；其输出如下所示:

泰坦尼克号电影是一部伟大的电影

## Python 字符串 `replace()`:使用`count`参数

当我们使用计数参数时，它用于指定要替换的旧值的出现次数。让我们看看同样的例子:

```py
str = 'Every DC Movies are great Movies!! Really great Movies'

replacedString = str.replace('Movies', 'Cartoons', 2)

print(replacedString)
```

其输出如下所示:

每一部 DC 动画片都是伟大的动画片！！非常棒的电影

## 带正则表达式的 Python 字符串`replace()`

这里很重要的一点是在`Python str.replace()`是无法识别的现在如果要对正则表达式或者特殊字符做改动怎么办？

以上问题的答案是**需要导入**`re`模块，之后需要使用`sub()`方法。让我们用一个例子来看看:

```py
import re

data = "The pollution in the air"
res = re.sub("\s", "||", data)
print(res)
```

其输出如下所示:

污染|在|空气中

## Python 字符串 `replace()`:反斜杠到斜杠

在下面给出的例子中，我们试图用斜杠替换字符串中的反斜杠。

```py
 data = "images\\abc.jpg"
re_data = data.replace("\\", "/")
print(re_data)
```

相同的输出将是:

images/abc.jpg

## 时间就是活生生的例子！

让我们看看`replace()`的真实例子，以便更清楚地了解它，下面给出了它:

## 摘要

在本教程中，我们学习了 Python 中字符串的`replace()`方法，该方法用于将一个字符串替换为另一个字符串。我们还通过几个例子看到了它的语法和参数。我们还把反斜杠替换成了斜线，最后是一个例子。

* * *

* * *