# Python 字符串`title()`

> 原文：<https://www.studytonight.com/python-library-functions/python-string-title>

在 Python 中，String `title()`方法应用于字符串时，其第一个字母用大写字母或大写字母**，其余字母用小写字母**，正如我们在许多文章的标题和标题中看到的那样。

*   `title()`是 python 中用于**字符串处理的**内置函数**。**

*   此方法将字符串的第一个字母**转换为大写字母**(大写)，并将所有字母以小写或小写形式保留下来，并返回新字符串。

*   返回的新字符串称为标题大小写(第一个字母大写，其余字母小写的字符串)。

## Python 字符串`title()`:语法

下面我们有一个 Python 中字符串`title()`的基本语法:

```py
string.title()
```

注意:上例中的字符串表示需要加标题大小写的字符串变量的值。

### Python 字符串`title()`:参数

从语法上看，很明显，该方法不采用任何参数:

*   如果有任何参数被传递到这里，那么这将产生一个错误。

*   在这个方法中，我们使用一个带有点操作符的字符串来显示输出。

### Python 字符串`title()`:返回值

该方法主要返回一个字符串的副本，其**首字母为大写**，其余所有字母均为小写；那么整个管柱称为**标题套管管柱**

## Python 字符串`title()`:基本示例

下面我们举一个例子来说明 String `title()`方法的工作原理:

```py
h1 = "I am A JOHN CENA FAN!"
h2= "I lOvE sTuDyTonight"

print("Original string: ", h1)
print("title(): ", h1.title(), "\n")
print("Original string: ", h2)
print("title(): ", h2.title(), "\n") 
```

在上面的例子中，我们已经打印了原始字符串和标题大小写字符串的值。其输出如下所示:

原创字符串:我是约翰·CENA 的粉丝！
标题():我是约翰·塞纳球迷！
原创字符串:我爱 StudyTonight
标题() :我爱 StudyTonight

## Python 字符串`title()`:另一个例子

下面有一个程序，用户输入**值，稍后`title()`方法将应用于这些值。让我们看看代码片段:**

```py
for i in range(0, 2):
    print("Enter the string: ")
    a = input()
    print("Original String: ", a)
    print("title(): ", a.title(), "\n")
```

其输出如下所示:

输入字符串:
阿伦·库马尔
原字符串:阿伦·库马尔
标题():阿伦·库马尔
T5】输入字符串:
罗希特·夏尔马
原字符串:罗希特·夏尔马
标题():罗希特·夏尔马

## 时间就是活生生的例子！

为了更好地理解字符串`title()`，让我们看看下面给出的实时示例:

## 摘要

在本教程中，我们学习了带有返回值和参数的`title()`方法，接下来是一个真实的例子。

* * *

* * *