# 安装 Python 第三方库

> 原文：<https://www.studytonight.com/network-programming-in-python/installing-third-party-libraries>

从本课程之前的教程中，你一定已经收集了一些关于网络的知识。现在是我们把手弄脏的时候了。但是在此之前，你知道什么是 python 库或者 python 模块吗？嗯，从技术上来说，模块只是一个 Python 源文件，它可以公开类、函数和全局变量。*一个 python 模块可以在另一个 Python 模块*中使用或导入。如果你是 Python 的新手，在今晚的学习中[学习 Python](/python/)。

你可能会想为什么我们需要模块？使用模块增加了**代码的可重用性**，有助于**程序的轻松维护**。例如:假设你正在写一个非常大的程序。随着程序变得越来越长，您可能希望将其拆分成几个文件，以便于维护。您可能还想将为一个程序创建的函数定义重用到另一个程序中，而不需要再次编写或处理该函数。为了支持这一点，Python 有一种将定义放入文件并在脚本中使用它们的方法。这样的文件叫做**模块**。

举一个加数模块的例子:假设`add.py`是一个加两个数的模块。

```py
# Addition Module

def add(a,b): #add two numbers 'a' and 'b'
    c = a + b
    return c
```

**add.py**

现在假设我们正在创建一个`calc.py`程序，我们需要一个函数来添加 2 个数字。我们可以简单地在`calc.py`中**导入**我们的`add.py`模块(作为导入添加)。

> **注意:** *这两个文件应该在同一个目录下。*

现在来调用`add()`方法，从模块 **add.py** 开始，我们在成功的将模块导入到程序中之后做→ `ModuleName.MethodName`。

```py
>>> import add
>>> add.add(9,8)
>>> add.add(9.7,5)
```

17 14.7

python 的无限力量并没有就此结束。可以根据自己的方便和需要导入 python 模块。我们将讨论在您的系统中安装外部 python 模块的两种方法，它们是:

*   使用 **pip**
*   通过从第三方独立下载软件包。

* * *

## 使用 pip 安装软件包

`pip`是首选的安装程序。从 Python 2.7.9 开始，它默认包含在 Python 二进制安装程序中，即 **Python 版本> 3.0** 将预安装 pip 安装程序。

对于**版本< 2.7.9** 你必须手动安装 pip。要在这些版本中安装 pip，请遵循以下步骤:

*   对于 linux 的 Debian(Ubuntu/Kali 等)发行版，只需使用:

    ```py
    $ sudo apt-get install python-pip
    ```

*   For Windows user:

    从[这里](https://bootstrap.pypa.io/get-pip.py)下载`get-pip.py`。然后，从命令提示符运行它:

    ```py
    python get-pip.py
    ```

    为此，您可能需要管理员命令提示符。

*   检查 pip 类型的正确安装:

    ```py
    pip -V
    ```

如果画中画的版本显示比你好就行了。现在，您可以使用 pip 下载 python 包了。要使用 pip 下载任何包:

```py
pip install package_name
#Note: Use sudo if you are using linux as non-root user
```

**例如:**比如用 pip 安装名为 **bs4** (美人汤)的包:

```py
~$ sudo pip install bs4
```

有关 pip 安装的详细知识和进一步问题，请遵循官方文件→[https://docs.python.org/2/installing/index.html](https://docs.python.org/2/installing/index.html)

现在， **Python 打包索引**是一个开源许可包的公共存储库，可供其他 Python 用户使用。因此，有时需要的一些软件包不能直接使用 pip 下载。在这种情况下，您需要由第三方提供商下载并安装所需的软件包。

* * *

## 安装第三方 python 包

*   为此，下载压缩(**tar.gz**或**)。zip** )文件为所需的包。
*   解压压缩文件(要解压**tar.gz**文件在 linux 中使用，`tar -xvzf package_name.tar.gz`)。
*   现在，使用转到提取的包目录。

    ```py
    cd package_name
    ```

*   现在要安装软件包，只需在命令行

    ```py
    python setup.py install
    ```

    上运行它

下载第三方库的一些来源有:

https://github . com

[https://pypi . python . org/pypi](https://pypi.python.org/pypi)

* * *

* * *