# 什么是 Numpy 库？

> 原文：<https://www.studytonight.com/numpy/what-is-python-numpy-library>

在第一个教程中，我们将介绍 Python **Numpy 库**的基本知识。

Numpy 是“**数字巨蟒**或“**数字巨蟒**的简写形式，发音为 **(Num-pee)** 。

*   **NumPy** 是一个位于 **Python** 中的**开源库**，它为**数学、科学、工程和数据科学编程**提供支持。

*   执行**大型数学运算**和**统计运算** Numpy 是一个不可思议的库。

*   Numpy 基本上是一种简单的编程语言，非常适用于 T2 多维数组和矩阵乘法。

*   2005 年，Numpy 由特拉维斯·奥列芬特创建，因为它是开源的，所以任何人都可以自由访问它。

*   Numpy 是任何**科学项目**的绝佳工具，它还包含一个**强大的 n 维数组对象**。

**NumPy 库部分用 Python** 编写， **NumPy 中需要快速计算的部分用 C 或 C++** 编写。

## NumPy 在哪里使用？

下面是 NumPy 可以有效使用的一些用例:

*   Numpy 在执行与**线性代数**相关的运算以及处理**随机数**时非常有用。

*   NumPy 可以高效实现**多维数组对象**(以行和列的形式)。

*   Numpy 通过矩阵整形、随机数和傅里叶变换等有效地工作**。**

*   Numpy 是为科学计算而设计的。

*   这里需要注意的一点是 **TensorFlow** 和 **Scikit learn** 也使用 **NumPy 数组**来计算其后端的矩阵乘法

## 为什么要在 Python 中使用 Numpy？

因为在 Python 中，使用列表是为了**服务于数组**的目的，但是列表处理起来非常慢。因此，我们在 Python 中使用 Numpy，因为它提供了比传统 Python 列表快 50 倍的数组对象。Python 也有其他模块，这使得数据分析和呈现非常容易。因此，Numpy 库与 Python 以及其他 Python 库一起使用，如 [Matplotlib](https://www.studytonight.com/matplotlib) 、Scikit Learn 等，用于 AI/ML 和数据分析目的。

*   在 NumPy 中，数组对象俗称`ndarray`。Numpy 为其数组对象执行操作提供了许多支持功能**，通过这些功能，使用`ndarray`变得非常容易。**

***   此外，就大小而言，NumPy 数组**比 Python 列表**更紧凑。

    *   NumPy 使用更少的内存来存储数据，并且它提供了一个**简单的机制来指定数据类型**。因此，代码可以很容易地优化。** 

 ****现在你一定在想，NumPy 是如何比 list**更快工作的。别担心，我们有你问题的答案。

NumPy 数组主要存储在内存中一个连续的位置**，与列表**相反。因此，您可以非常有效地访问和操作它们，这种行为通常被称为**参考位置**。由于这个原因， **Numpy 比列表**快。numpy**经过优化，可与最新的 CPU 架构**配合使用。

就像我们上面提到的，NumPy 也和像 **SciPy** (科学 Python)和**Matplotlib**(Python 中的绘图库)这样的包一起使用。

这个组合主要是对 MatLab (技术计算的热门平台)的**替代。另外，Python **是 MatLab** 的替代品，现在被视为一种现代完整的编程语言。**

* * *

* * ***