# NumPy `ceil()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-ceil-function>

在本教程中，我们将介绍 Numpy 库的`numpy.ceil()`数学函数。

`numpy.ceil()`功能用于返回数组元素的**元素。任何**标量值`x`** 的上限值都是最小的**整数`i`，使得`i >= x`。例如，5.6 的上限值将是 6。简单点说，最接近的大整数值就是天花板值。****

### `numpy.ceil()`的语法:

下面是使用该函数所需的语法:

```py
numpy.ceil(array) 
```

<u>**注:**</u> 在上面的语法中，参数`array`用来表示要计算 ceil 值的数组元素。

**返回值:**

此方法将返回一个包含 ceil 值的数组。

现在是时候介绍一些与这个方法相关的例子了。

## 示例 1:具有正值的数组

在下面给出的例子中，我们将用数组的**正值**覆盖该方法，并查看输出:

```py
import numpy as np

a = [1.90,2.3,0.6788]
y = np.ceil(a)
print("the output after applying ceil() is:")
print(y)
```

应用 ceil()后的输出为:
【2。3.1.]

## 示例 2:具有负值的数组

在这个例子中，我们将检查一个数组是否包含负值的输出。当我们找到负数的上限值时，比如说 **-1.9** 的较大整数将不是-2 ，而是它**将是-1** 。因为-1 是大于-1.9 的值，而-2 小于-1.9 的值。

的代码片段如下:

```py
import numpy as np

a = [-1.90,-2.3,-0.6788,12.34]
y = np.ceil(a)
print("the output after applying ceil() is:")
print(y)
```

应用 ceil()后的输出为:
【-1。-2.-0.13.]

## 摘要

本教程是关于 Numpy 库中的`numpy.ceil()`数学函数的。我们讨论了它的语法、参数以及这个函数返回的值，并提供了一些有用的例子来帮助您理解如何使用这个函数。

* * *

* * *