# NumPy `floor()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-floor-function>

在本教程中，我们将介绍`numpy.floor()`函数，它是 Numpy 库中的一个数学函数。

`numpy.floor()`用于返回数组元素的基底值。任何给定标量值 **x** 的底值都是最大整数值，例如`i <= x`。例如，2.3 的最低值将是 2。

### `numpy.floor()`的语法:

下面我们有一个使用这个函数的基本语法，如下所示:

```py
numpy.floor(array) 
```

名为**数组**的参数用于表示需要计算地板值的数组。

**返回值:**

此方法将返回一个仅包含楼层值的数组。

<u>**注:**</u> 在一些电子表格程序中数值会通过“楼层-朝-零”的方式计算即表示**楼层(-2.8) == -2** 。但是在 Numpy 的情况下，floor 的定义是相反的，**floor(-2.8)=-3**，所以我们总是选择最近的下整数值来查找 floor。

现在是时候介绍几个例子来理解这个例子了。

## 例 1:

下面是这个例子的代码片段。让我们来看看它:

```py
import numpy as np

a = [0.23,-1.7,1.34,-2.334]
print("The array is :",a)
y = np.floor(a)
print("After applying the floor() method:",y)
```

数组为:【0.23，-1.7，1.34，-2.334】
应用 floor()方法后:【0。-2.1.-3.]

## 例 2:

下面是`floor()`功能的另一个例子:

```py
import numpy as np

input_arr = [1.23,0.22,-0.111,-2.555,-3.86,5.0,6.9]
print("The Input array is:")
print(input_arr)

z = np.floor(input_arr)
print("The output array is:")
print(z)
```

输入数组为:
【1.23，0.22，-0.111，-2.555，-3.86，5.0，6.9】
输出数组为:
【1。0.-1.-3.-4.5.6.]

## 总结:

本教程是关于 Numpy 库中的`numpy.floor()`数学函数，该函数用于计算所有数组元素的地板值。

* * *

* * *