# NumPy `trunc()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-trunc-function>

在本教程中，我们将介绍 Numpy 库中的`numpy.trunc()`函数。

Python 的`numpy.trunc()`函数用于返回**输入数组元素的截断值。**

*   需要注意的是**输入值 x 的截断值 t**应该是**最接近零的整数，而不是 x**

*   借助这个函数，任何有符号数的小数**部分都被丢弃**。

### `numpy.trunc()`的语法:

下面是使用该函数所需的语法:

```py
numpy.trunc(array) 
```

<u>**注意:**</u> 在上面的语法中，**数组**用来表示要返回其截断值的**数组元素**。

**返回值:**

此方法主要返回包含截断值的数组。

现在是时候看看例子了。

## 例 1:

让我们从一个基本的例子开始。

```py
import numpy as np

x = [1.2,-0.344,5.89]
y = np.trunc(x)
print(y)
```

【1。-0.5.]

## 例 2:

下面是代码片段，让我们来看看:

```py
import numpy as np

inp = [123.22,23.4,0.89]
print("The Input array is :")
print(inp)
x = np.trunc(inp)
print("The Output array is :")
print(x)
```

输入数组为:
【123.22，23.4，0.89】
输出数组为:
【123。23.0.]

## 总结:

本教程是关于 Numpy 库中的`numpy.trunc()`数学函数的。我们还介绍了它的语法、参数以及这个函数返回的值。

* * *

* * *