# NumPy `istitle()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-istitle-function>

在本教程中，我们将介绍 Numpy 库中 char 模块的`istitle()`功能。

如果输入数组中的元素是“T3”标题大小写字符串“T4”，并且至少有一个大小写字符，则`istitle()`函数为给定数组的每个数据元素返回“T1”true“T2”。否则，该功能将返回**假**。

比如*苹果*是标题大小写，但是*苹果*不是，*苹果*也不是标题大小写。

该函数以元素方式调用`str.istitle`。

对于 8 位字符串，该函数**依赖于区域设置。**

### `istitle()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.istitle(a)
```

上述语法表明`istitle()`是**充电模块**的函数，它采用单个参数。

在上面的语法中，参数`a`表示将应用该函数的字符串输入数组。

**返回值:**

这个函数将返回一个布尔值的输出数组。

## 例 1:

```py
import numpy as np 

inp1 = np.array(['APPLE', 'Mango', 'guava']) 
print ("The input array: ", inp1) 
out1 = np.char.istitle(inp1) 
print ("The output array:", out1 ) 
```

输入数组:【‘APPLE’‘Mango’‘guava’】
输出数组:【假真假】

## 例 2:

代码片段如下，我们将在其中使用`istitle()`函数:

```py
import numpy as np 

inp2 = "This Is An Input String"
print ("The input array : \n", inp2) 

out2 = np.char.istitle(inp2) 
print ("The output array :\n", out2 ) 
```

输入数组:
这是输入字符串
输出数组:
真

## 摘要

本教程是关于 Numpy 库的`istitle()`功能的。我们介绍了如何使用它的语法和这个函数返回的值。

* * *

* * *