# NumPy `encode()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-encode-function>

在本教程中，我们将介绍 Numpy 库的 char 模块的`encode()`功能。

`encode()`功能用于对输入字符串进行**编码。可用编解码器集取自 Python 标准库。**

该函数以**元素方式**调用`str.encode`。

使用的默认编码方案是 **utf_8** 。

### `encode()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.encode(a, encoding=None, errors=None)
```

以上语法表明`encode()`是**充电模块**的函数，取三个参数。

**参数:**

让我们讨论一下这个函数的参数:

*   **a**
    该参数表示字符串数组

*   **编码**
    这是一个**可选的**参数，表示要使用的编码名称。

*   **错误**
    此参数用于指定如何处理编码错误。

**返回值:**

`encode()`函数将始终返回一个编码字符串。

## 例 1:

代码片段如下，我们将使用带有一些不同编码的`encode()`函数，比如 **cp037** :

```py
import numpy as np

a = ['aAaAaA', '  aA  ', 'abBABba','dffgs','ttsred']
print("Input is:")
print(a)

x = np.char.encode(a, encoding='cp037', errors=None)
print("Encoded String is:")
print(x)
```

输入为:
[' aaaaaaa '，' aA '，' abBABba '，' dffgs '，' ttsred']
编码字符串为:
[b ' \ x81 \ xc1 \ x81 \ xc1 \ xc1 ' b ' @ \ x81 \ xc1 @ '
b ' \ x81 \ x82 \ xc2 \ xc1 \ xc2 \ x82 \ x81 ' b ' \ x84 \ x86 \ x87 \ xa2 '
b ' \ xa3

## 例 2:

在下面给出的例子中，我们将使用编码方案 **utf-8** 并检查输出:

```py
import numpy as np

a = ['aAaAaA', '  aA  ', 'abBABba','dffgs','ttsred']
print("Input is:")
print(a)

x = np.char.encode(a, encoding='utf-8', errors=None)
print("Encoded String is:")
print(x)
```

输入是:【aAaAaA】、【aA】、【ABba】、【dffgs】、【TTS】、【TTS】【tt2】编码字符串是:
【b ' aaaaaa’b’ABBA’b’dffgs‘b’TTS’]

## 摘要

在本教程中，我们学习了 Numpy 库的`encode()`功能。我们介绍了如何使用它的语法和这个函数返回的值。

* * *

* * *