# NumPy `replace()`功能

> 原文：<https://www.studytonight.com/numpy/numpy-replace-function>

在本教程中，我们将介绍 Numpy 库中 char 模块的`numpy.char.replace()`功能。

`replace()`函数用于返回字符串数组或字符串的副本，所有出现的旧子字符串都被新子字符串替换。如果您想在数组元素中做一些更改，用一些新的字符串值替换子字符串，这个函数非常有用。

我们也可以指定**计数**，来指定旧子串必须替换多少次。例如，如果我们有一个字符串*home weethome*，并且我们只想用其他东西替换第一个 *home* 子字符串，那么我们可以**将计数指定为 1** 。如果我们**将计数指定为 2** ，那么两个 *home* 子串都将被新的子串替换。

<u>**注意:**</u> 如果我们没有指定 count 参数，那么同样，默认情况下 ol 子串的所有出现都将被新的替换。

该函数为每个数组元素调用`str.replace`。

### `replace()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.replace(a, old, new, count=None)
```

让我们讨论一下这个函数的参数。

**参数:**

让我们讨论这个函数的上述参数:

*   **a**
    该参数用于表示字符串数组。

*   **old**
    该参数表示要替换的旧子串。

*   **新建**
    该参数表示用于替换旧子串的新子串。

*   **计数**
    这是一个**可选**的论点。我们已经在本页的介绍中对此进行了解释。

**返回值:**

这个函数将返回字符串的输出数组。

## 例 1:

代码片段如下，我们将在其中使用`replace()`函数:

```py
import numpy as np

string1="It is a yellow chair"
print("The original string is:\n",string1)

x = np.char.replace(string1, 'It', 'This')
print("After applying replace() function:")
print(x)
```

原弦为:
是黄椅子
应用 replace()功能后:
这是黄椅子

## 示例 2:使用`count`参数

在本例中，我们还将把`count`参数传递给`replace()`函数:

```py
import numpy as np

string1="This is a chair.The color of the chair is yellow"
print("The original string is:\n",string1)

x = np.char.replace(string1, 'chair', 'book', count=1)
print("After applying replace() function:")
print(x)
```

与上面的代码一样，字符串包含子字符串“**椅子**”两次，但是在使用`replace()`函数时，我们已经通过了**计数=1** ，因此应该只替换第一次出现的子字符串**椅子**。

原弦为:
这是椅子。椅子颜色为黄色
应用 replace()功能后:
这是一本书。这把椅子的颜色是黄色的

由于**计数=1** ，该功能仅替换椅子的第一个外观，而不是第二个外观。

## `replace()`功能的使用:

让我们举一个例子来介绍一个基本用例，以帮助您理解我们可以在哪里使用这个函数。例如，如果一个数组中的数据包含字符串值形式的任何产品的价格，如 **$10，000** 、 **$5，000** ，等等。这里的价格值不是数字，而是带有 **$符号和逗号(，**的字符串，这将使我们很难对这些值进行任何数学运算。

因此，我们可以使用`replace()`函数从每个值中移除 **$符号**，**将其替换为空**(提供空子字符串作为`new`参数)。对于逗号(，)也是一样，然后我们会得到数字字符串，我们可以在执行任何数学运算时将其转换为整数。

## 摘要

在本教程中，我们学习了 Numpy 库的`replace()`函数，该函数对于处理字符串数组非常有用，以防您想要替换字符串的任何特定部分。

* * *

* * *