# NumPy `splitlines()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-splitlines-function>

在本教程中，我们将介绍 Numpy 库中 char 模块的`splitlines()`功能。

对于数组中的每个元素，`splitlines()`函数用于返回元素中的线条列表，在线条边界处断开。

该函数为给定数组中的每个元素调用`str.splitlines`。

### `splitlines()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.splitlines(a, keepends=None)
```

以上语法表明`splitlines()`函数取两个参数。

**参数:**

让我们讨论这个函数的上述参数，如下所示:

*   **a**
    该参数代表字符串的输入数组。

*   **保留结束**
    这是一个**可选的**参数，具有布尔值。如果我们想要包括换行符，那么我们可以使用这个参数，通过将其值设置为**真**。

**返回值:**

这个函数将返回列表对象的数组。

## 例 1:无`keepends`参数

代码片段如下，我们将在其中使用`splitlines()`函数:

```py
import numpy as np

string1 = "Studytonight \n is a best place \n to learn coding online"
out = np.char.splitlines(string1) 
print("After applying splitlines() function:")
print(out)
```

应用 splitlines()函数后:
[“StudyTonight”，“是个最好的地方”，“在线学习编码”]

## 例 2:带`keepends`参数

```py
import numpy as np

x = np.char.splitlines('The quick brown \rfox jumps over \rthe lazy dog.', keepends=False)
print(x) 
```

[“敏捷的棕色”、“狐狸跳过”、“懒狗。”]

## 摘要

在本教程中，我们学习了 Numpy 库的`splitlines()`函数，该函数用于根据换行符将数组中的字符串拆分为子字符串。

* * *

* * *