# NumPy `add()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-add-function>

在本教程中，我们将介绍 Numpy 库的`add()`功能。

`add()`函数基本上为两个数组返回元素式字符串连接。

<u>**注意:**</u> 如果要串联两个数组，那么**两个数组需要是相同的形状**。

### `add()`的语法:

使用该函数所需的语法如下:m1

```py
numpy.char.add(x1, x2)
```

以上语法表明`add()`函数取两个参数。

**参数:**

现在让我们看看这个函数的参数:

*   **x1**
    该参数表示要连接的第一个数组(从开始连接)

*   **x2**
    该参数表示要连接的第二个数组(在末尾连接)

**返回值:**

该方法将返回一个输出数组`string_`或`unicode_`，其取决于与 **x1 和 x2** 相同形状的输入类型。

## 例 1:

代码片段如下，我们将在其中使用`add()`函数:

```py
import numpy as np 

x1 = ['Hello'] 
x2 = ['StudyTonight!'] 
print("The Input arrays are : ") 
print(x1) 
print(x2) 

result = np.char.add(x1, x2) 
print("\nThe Resultant concatenated array is :") 
print(result)
```

输入数组为:
【【你好】
【【StudyTonight！】】

合成串联数组为:
【‘hellostudytomnight！’]

## 例 2:

现在，我们将在包含多个元素的两个数组上应用此函数，并将看到输出:

```py
import numpy as np 

x1 = ['Welcome', 'to', 'StudyTonight'] 
x2 = ['Best Place', 'Forlearning', 'Coding'] 
print("The Input arrays are : ") 
print(x1) 
print(x2) 

result = np.char.add(x1, x2) 
print("\nThe Resultant concatenated array is :") 
print(result)
```

输入数组为:
[“欢迎”、“到”、“StudyTonight”]
[“最佳地点”、“学习”、“编码”]

结果串联数组为:
[“欢迎来到最佳地点”到“学习”

## 摘要

在本教程中，我们介绍了 Numpy 库的`add()`函数，该函数可用于连接两个给定数组中的字符串，如果您有两个或多个要合并的数组，这是一个很好的用例。

* * *

* * *