# NumPy `multiply()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-multiply-function>

在本教程中，我们将介绍 Numpy 库中 char 模块的`mutiply()`功能。

`multiply()`函数用于重复一个数组的字符串元素， **n** 次，其中 **n** 可以是任意整数值。例如，如果我们有一个带有一个字符串元素“ *study* ”的数组，使用`multiply()`函数，如果我们选择乘法因子为 **2** ，我们可以将该字符串更改为“ *studystudy* ”，如果我们选择因子为 **3** ，则更改为“*study study*，以此类推。

这个函数就像 Numpy 库中的其他字符串函数一样，以元素方式执行，覆盖所有数组元素。

### `multiply()`的语法:

使用此方法所需的语法如下:

```py
numpy.char.multiply(a, i)
```

上面的语法表明乘法()函数接受两个参数。

**参数:**

现在让我们看看这个函数的参数:

*   **a**
    该参数表示将应用该方法的字符串数组。

*   **i**
    该参数表示需要重复的次数。

**返回值:**

这个函数将返回字符串数组作为输出。

## 示例 1:具有单个元素的数组

代码片段如下，我们将在其中使用`multiply()`函数:

```py
import numpy as np 

arr = np.array(['Study']) 
print("The Original Array is :") 
print(arr) 

i = 5

output = np.char.multiply(arr, i) 
print("\nThe New array is:") 
print(output)
```

原阵为:
【【学习】】

新阵为:
【【学习学习学习学习】

## 示例 2:具有多个元素的数组

现在让我们举一个例子，其中我们将在一个数组中有多个元素，我们将在相同的数组上应用方法，代码片段如下:

```py
import numpy as np 

arr= np.array(['StudyTonight', 'Online', 'Portal']) 
print("The Original Array :") 
print(arr) 

i = 2

output = np.char.multiply(arr, i) 
print("\nThe Resultant array :") 
print(output) 
```

原始数组:
[“StudyTonight”“在线”“门户”]

结果数组:
[“StudyTonight”“在线”“门户”]

## 摘要

在本教程中，我们学习了 Numpy 库的`multiply()`函数，该函数使用字符串数组来重复数组中所有数据元素的字符串值。

* * *

* * *