# NumPy `split()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-split-function>

在本教程中，我们将介绍 Numpy 库中 **char 模块**的`split()`功能。

`split()`功能用于在输入字符串被指定分隔符 **(sep)** 打断后返回字符串列表。

这个函数通常在数组的每个元素上内部调用`str.split`。

### `numpy.char.split()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.split(a, sep=None, maxsplit=None)
```

以上语法表明`split()`函数取两个参数。

**参数:**

让我们讨论一下这个函数的参数:

*   **a**
    该参数表示输入字符串或字符串的输入数组

*   **sep**
    可以是字符串，也可以是 Unicode(单字符)。如果没有指定`sep`或者是`None`，那么默认情况下**空白字符串**用作分隔符。

*   **maxsplit**
    是整数，如果给定，最多做 maxsplit splits。

**返回值:**

该函数将返回一个分裂字符串值列表**的数组**作为输出。

## 示例 1:使用简单的字符串

代码片段如下，我们将在其中使用`split()`函数:

```py
import numpy as np

a = "How you doing?"
print("The input is :\n",a)

y = np.char.split(a)
print("after applying split() method output is:\n",y)
```

输入是:
你好吗？
应用 split()方法后输出为:
[“怎么样”、“你”、“在干什么？”]

## 示例 2:带`maxsplit`参数

在下面的例子中，我们将使用`split()`函数的`maxsplit`参数。在下面的代码中，我们将尝试基于逗号(，)来拆分给定的字符串，您会看到虽然完整的字符串中有 2 个逗号，但该字符串只会被拆分一次，因为我们提供的`maxsplit`参数值为 **1** 。

```py
import numpy as np

x = "We, very happily, welcome you all!"
print("The String is:\n", x)

out = np.char.split(x, sep=',', maxsplit=1)
print("The output is:", out)
```

字符串是:
我们，非常高兴，欢迎大家！
输出是:【‘我们’，‘非常高兴，欢迎大家！’]

如果我们不提供 maxsplit 参数，那么输出将是: **[“我们”，“非常高兴”，“欢迎大家！”】**

就像在上面的例子中，我们已经在字符串上使用了函数，我们也可以在字符串数组上使用函数。

## 示例 3:使用字符串数组

在下面的示例中，我们将对字符串数组应用 split()方法。

```py
import numpy as np

inp = np.array(['Dance-Tonight', 'Sleep-Tonight', 'Walk-Tonight','Study-Tonight']) 
print ("The original Input array : \n", inp) 

output= np.char.split(inp, sep='-', maxsplit=1)
print ("The output split array: ", output)
```

原输入数组:
【“跳舞-今晚”“睡觉-今晚”“散步-今晚”“学习-今晚”】
输出拆分数组:【列表(【“跳舞”、“今晚”】)列表(【“睡觉”、“今晚”】)
列表(【“散步”、“今晚”】)列表(【“学习”、“今晚”】)】】

## 摘要

在本教程中，我们已经用多个代码示例介绍了 Numpy 库的`split()`函数，以帮助您理解`split()`函数。

* * *

* * *