# NumPy `lower()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-lower-function>

在本教程中，我们将介绍 Numpy 库中 **char 模块**的`lower()`功能。

`lower()`功能用于**将所有大写字符转换为小写字符**。如果给定字符串中没有大写字符，那么这个方法将返回原始字符串本身。

这个函数在内部为任何给定数组的每个元素调用`str.lower`。

对于 8 位字符串，该函数**依赖于区域设置。**

### `numpy.char.lower()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.lower(arr)
```

以上语法表明`lower()`函数取两个参数。

在上面的语法中，参数`arr`表示将应用此方法的字符串的输入数组。

**返回值:**

这个函数将返回一个对应于原始字符串的小写字符串。如果您提供一个字符串数组作为输入，那么它将返回一个所有字符串都是小写的数组。

## 示例 1:使用简单的字符串

在下面的代码片段中，我们将对字符串使用`lower()`函数:

```py
import numpy as np

a = "THIS IS A String in NUMPY"
print("The original string:")
print(a)
print("\n")
print("Applying lower() method :")  

x = np.char.lower(a)
print(x)
```

原弦:
这是 numpy 中的弦

应用 lower()方法:
这是 NUMPY 中的弦

## 例 2:

下面我们有一个代码片段，其中我们将使用一个已经是小写的字符串，然后检查输出是否相同:

```py
import numpy as np  

a = "string1"
print("The original string:")
print(a)
print("\n")
print("Applying lower() method :")  

x = np.char.lower(a)
print(x)
```

原弦:
弦 1

敷下()法:
弦 1

## 示例 3:使用字符串数组

现在让我们对字符串数组使用 lower()函数。它将对数组的每个字符串元素起作用，就像这个函数对单个字符串起作用一样。

```py
import numpy as np

arr = np.array(['what aRE YOUR', 'Plans for Tonight', 'WILL you','Studyonight']) 
print ("The original Input array : \n", arr) 

output = np.char.lower(arr)
print ("The output lowercased array: ", output)
```

原始输入数组:
[“你今晚有什么计划”“你会‘学习’吗”]
输出低位数组:【“你今晚有什么计划”“你会‘学习’吗】

## 摘要

在本教程中，我们已经介绍了 Numpy 库的`lower()`功能。我们介绍了如何使用它的语法和这个函数返回的值，并提供了几个示例来查看函数的运行情况。

* * *

* * *