# NumPy `isupper()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-isupper-function>

在本教程中，我们将介绍 Numpy 库中可用的 **char 模块**的`isupper()`功能。

如果字符串元素的所有字符都是大写的，则`isupper()`函数为数组的每个字符串元素返回**真**。否则，该功能将返回**假**。对于空字符串和特殊字符，它将返回**假**。

该函数在内部为数组的每个元素调用`str.isupper`。

对于 8 位字符串，该函数**依赖于区域设置。**

### `numpy.char.isupper()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.isupper(arr)
```

以上语法表明`isupper()`函数取单个参数。

在上面的语法中，参数`arr`主要用于指示将应用该函数的字符串的输入数组。

**返回值:**

该函数将返回一个布尔值的输出数组，根据字符串是否大写，每个字符串元素对应一个真值和一个假值。

## 示例 1:使用字符串

在下面的例子中，我们将使用带有简单字符串的`isupper()`函数:

```py
import numpy as np

string1 = "THIS IS AN APPLE"
x = np.char.isupper(string1)
print("After applying isupper() Function:")
print(x)
```

应用 isupper()函数后:
真

## 例 2:

在下面的代码片段中，我们将对字符串数组使用`isupper()`函数:

```py
import numpy as np

inp_ar = np.array(['ss4Q', 'OOPS', 'WooHoo2']) 
print ("The input array : \n", inp_ar) 

output = np.char.isupper(inp_ar) 
print ("The output array :\n", output) 
```

输入数组:
[' ss4Q ' ' OOPS ' ' wooo 2 ']
输出数组:
[假真假]

## 摘要

在本教程中，我们学习了 Numpy 库中的`isupper()`函数。我们介绍了如何使用它的语法和这个函数返回的值。有两个例子可以帮助你理解这个函数的工作原理。

* * *

* * *