# NumPy `isnumeric()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-isnumeric-function>

在本教程中，我们将介绍 Numpy 库中 **char 模块**的`isnumeric()`功能。

如果字符串中只有数字字符，NumPy 库的`isnumeric()`函数将返回**真**，否则，该函数将返回**假**。

*   该函数以元素方式调用`unicode.isnumeric`。

*   需要注意的是，数字字符通常包括数字字符和所有具有 Unicode 数值属性的字符(意味着字符有一个**数值**，该数值可以是十进制的，包括零和负数，也可以是普通分数)

### `isnumeric()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.isnumeric(arr)
```

以上语法表明`isnumeric()`函数取单个参数。

在上面的语法中，参数`arr`主要用于指示字符串或单个字符串的输入数组，该函数将应用于该数组。

**返回值:**

该函数将返回一个布尔值的输出数组，根据字符串是否为数字，每个字符串元素对应**真**和**假**值。

## 示例 1:使用字符串

在下面的例子中，我们将使用带有简单字符串的`isnumeric()`函数:

```py
import numpy as np

string1 = "12Apple90"
print("The Input string is:")
print(string1)

x = np.char.isnumeric(string1)
print("The Output is:")
print(x)
```

输入字符串为:
12 应用 90
输出为:
假

## 示例 2:使用数组

代码片段如下，我们将在其中使用`isnumeric()`函数:

```py
import numpy as np

inp_ar = np.array([ '1', '2000','90','3.5','0'] ) 
print ("The Input array : ")
print(inp_ar) 

outp_arr = np.char.isnumeric(inp_ar) 
print ("The Output array: ")
print(outp_arr) 
```

输入数组:
['1' '2000' '90' '3.5' '0']
输出数组:
【真真假假真】

正如您在上面代码示例的输出中看到的那样，`isnumeric()`函数返回 **False** 作为带有十进制数值的字符串。

## 摘要

在本教程中，我们学习了 Numpy 库的`isnumeric()`功能。我们介绍了如何使用它的语法和这个函数返回的值。有两个例子可以帮助你理解这个函数的工作原理。

* * *

* * *