# NumPy `isalpha()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-isalpha-function>

在本教程中，我们将介绍 Numpy 库中 char 模块的`isalpha()`功能。

如果字符串元素中的所有字符都是字母，则`isalpha()`函数返回**真**，否则，该函数将返回**假**。

该函数在内部为数组的每个元素调用`str.isalpha`。

对于 8 位字符串，该函数**依赖于区域设置。**

*   如果元素包含混合字符(字母和数字)，则该函数将返回**假**。

*   如果字符串中有空格，该函数也返回**假**。

### `isalpha()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.isalpha(arr)
```

以上语法表明`isalpha()`函数取单个参数。

在上面的语法中，参数`arr`主要用于指示将应用该函数的字符串的输入数组。

**返回值:**

该函数将返回一个布尔值的输出数组，根据字符串是否大写，每个字符串元素对应 **True** 和 **False** 值。

## 示例 1:使用字符串数组

让我们以字符串数组作为第一个例子:

```py
import numpy as np

inp_ar = np.array([ 'Ram', 'Mohan', 'Apple9','Chair s'] )
print("The Input string is:")
print(inp_ar)

x = np.char.isalpha(inp_ar)
print("The Output is:")
print(x)
```

输入字符串为:
[“拉姆”“莫汉”“苹果 9”“椅子的”]
输出为:
【真真假假】

## 示例 2:使用字母数值数组

在下面的代码片段中，我们将对数组中的字母数字值使用`isalpha()`函数:

```py
import numpy as np

inp_ar = np.array([ 'Superb !', 'Amazing!', 'fab','cool123'] )
print("The Input string is:")
print(inp_ar)

x = np.char.isalpha(inp_ar)
print("The Output is:")
print(x)
```

输入字符串为:
['太好了！'“太神奇了！”fab' 'cool123']
输出为:
【假假真假】

## 摘要

在本教程中，我们学习了 Numpy 库的`isalpha()`功能。我们通过一些代码示例介绍了如何使用它的语法和这个函数返回的值。

* * *

* * *