# NumPy `index()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-index-function>

在本教程中，我们将介绍 Numpy 库中 char 模块的`index()`功能。

`index()`函数用于在给定的字符串数组中执行字符串搜索操作。如果我们有一个字符串数组，那么这个函数将提供要搜索的任何子字符串的第一个索引，如果它存在于数组元素中的话。

*   该函数类似于 [# NumPy `find()`函数](https://www.studytonight.com/numpy/numpy-find-function)，但`index()`和`find()`函数之间唯一的区别是，如果没有为任何字符串找到**子串，则`index()` **函数**将引发**值错误异常**。**

*   该函数为给定数组的每个元素调用`str.index`。

### `index()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.index(a, sub, start=0, end=None)
```

以上语法表示`index()`函数取 4 个参数，如上图。

**参数:**

现在让我们讨论这个函数的参数:

*   **a**
    该参数表示字符串或 Unicode 的数组。

*   **子**
    该参数表示要搜索的子串。

*   **开始**
    这是一个**可选的**参数，指示子串应该从哪里开始搜索的起始索引。

*   **end**
    这是一个可选参数，指示子串应该搜索到的结束索引。

**返回值:**

该函数将返回一个整数值的输出数组，其中包含对应于输入数组中每个字符串元素的子字符串(如果找到)的索引值。如果在所有数组元素中没有找到**子串**，那么这个函数将**抛出一个值错误**。

## 例 1:

现在，我们将看一下代码片段，其中我们想要搜索输入字符串中存在的子字符串**，并查看相同的输出:**

```py
import numpy as np

ar = np.array(['bBaBaBb', 'baAbaB', 'abBABba']) 
print ("The Input array :\n ", ar) 

output = np.char.index(ar, sub ='b') 
print ("The Output array:\n", output) 
```

输入数组:
[' bBaBaBb ' ' baAbaB ' ' abbaba ']
输出数组:
[0 0 1]

## 例 2:

下面是我们想要搜索输入字符串中不存在的子字符串**的代码片段，并查看其输出:**

```py
import numpy as np

ar = np.array(['bBaBaBb', 'baAbaB', 'abBABba']) 
print ("The Input array :\n ", ar) 

output = np.char.index(ar, sub ='c') 
print ("The Output array:\n", output) 
```

输入数组:
[' bBaBaBb ' ' baAbaB ' ' abbaba ']
值错误:找不到子字符串

## 摘要

在本教程中，我们介绍了 Numpy 库的`index()`功能。我们介绍了如何使用它的语法和这个函数返回的值，以及一些简单的代码示例。

* * *

* * *****