# NumPy `isspace()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-isspace-function>

在本教程中，我们将介绍 Python 中 Numpy 库的 char 模块中的`isspace()`函数。

如果元素中的所有字符都是空格，NumPy 库的`isspace()`函数返回**真**，否则，该函数将返回**假**。

*   该函数为数组的每个元素调用`str.isspace`。

*   对于 8 位字符串，该函数**依赖于区域设置。**

### `isspace()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.isspace(arr)
```

以上语法表明`isspace()`函数取单个参数。

在上面的语法中，参数`arr`主要用于指示将要应用该函数的字符串的输入数组。

**返回值:**

该函数将返回一个布尔值的输出数组，根据字符串是否只有空格，每个字符串元素对应的值为**真**和**假**。

## 例 1:

在下面的例子中，我们将对包含空格和一些字母的字符串使用这个函数。

```py
import numpy as np

inp_ar = np.array([ 'Superb !', 'Amazing!'] )
print("The Input string is:")
print(inp_ar)

x = np.char.isspace(inp_ar)
print("The Output is:")
print(x)
```

输入字符串为:
['太好了！'“太神奇了！”】
输出为:
【假假】

## 例 2:

在下面的代码片段中，我们将使用带有空格和换行符的字符串的`isspace()`函数:

```py
import numpy as np

inp_ar = np.array([ '\n', '\t',' ','abc nb'] )
print("The Input string is:")
print(inp_ar)

x = np.char.isspace(inp_ar)
print("The Output is:")
print(x)
```

输入字符串为:
[' \ n ' ' \ t ' ' ' ABC nb ']
输出为:
【真真假】

## 摘要

在本教程中，我们学习了 Numpy 库中的`isspace()`函数。我们已经介绍了如何使用它的语法和这个函数返回的值。

* * *

* * *