# NumPy `isdigit()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-isdigit-function>

在本教程中，我们将介绍 Numpy 库的 char 模块的`isdigit()`功能。

`isdigit()`函数返回**真**如果元素中的所有字符都是数字或数字，则该函数返回**假**。

*   该函数对数组的每个元素调用`str.isdigit`。

*   对于 8 位字符串，该函数**依赖于区域设置。**

### `numpy.char.isdigit()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.isdigit(arr)
```

以上语法表明`isdigit()`函数取单个参数。

在上面的语法中，参数`arr`主要用于指示将应用该函数的字符串的输入数组。

**返回值:**

该函数将返回一个布尔值的输出数组，根据字符串是否只包含数字，每个字符串元素对应**真**和**假**值。

## 例 1:

下面我们有一个简单的代码示例，其中我们将`isdigit()`函数用于字符串数组，其中一些字符串只包含数字，而另一些字符串也包含其他字符:

```py
import numpy as np

inp_ar = np.array([ '20002', '10009', '12345ab','01'] )
print("The Input string is:")
print(inp_ar)

x = np.char.isdigit(inp_ar)
print("The Output is:")
print(x)
```

输入字符串为:
[' 20002 ' ' 10009 ' ' 12345 ab ' ' 01 ']
输出为:
【真真假假真】

## 例 2:

在代码片段中，我们将使用带有字符串数组的`isdigit()`函数，其中一些字符串包含空格和其他字符(数字除外):

```py
import numpy as np

inp_ar = np.array([ '20002 2', 'a10009', '12345 ab','01'] )
print("The Input string is:")
print(inp_ar)

x = np.char.isdigit(inp_ar)
print("The Output is:")
print(x)
```

输入字符串为:
[' 20002 2 ' ' a 10009 ' ' 12345 ab ' ' 01 ']
输出为:
【假假假真】

## 摘要

在本教程中，我们学习了 Numpy 库的`isdigit()`功能。我们介绍了如何使用它的语法和这个函数返回的值，以及一些使用这个函数的例子。

* * *

* * *