# NumPy `isdecimal()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-isdecimal-function>

在本教程中，我们将介绍 Numpy 库中 char 模块的`isdecimal()`功能。

如果元素中只有十进制字符，则`isdecimal()`函数返回**真**，否则，该函数将返回**假**。

这个函数为数组的每个字符串元素调用`unicode.isdecimal`。

需要注意的是**十进制字符包括数字字符**和所有可以用来形成十进制基数数字的字符，例如 **U+0661** 、**阿拉伯-印度数字一**等。

### `isdecimal()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.isdecimal(arr)
```

以上语法表明`isdecimal()`函数取单个参数。

在上面的语法中，参数`arr`主要用来表示字符串的输入数组。

**返回值:**

该函数将返回一个布尔值的输出数组，其形状类似于输入数组。

## 例 1:

在这个代码示例中，我们将使用带有简单字符串的`isdecimal()`函数:

```py
import numpy as np

string1 = "12342"
print("The Input string is:")
print(string1)

x = np.char.isdecimal(string1)
print("The Output is:")
print(x)
```

输入字符串为:
12342
输出为:
真

## 例 2:

在下面的代码片段中，我们将对字符串数组使用`isdecimal()`函数:

```py
import numpy as np

inp_ar = np.array([ '20002 2', 'a10009', '12345 ab','01'] )
print("The Input string is:")
print(inp_ar)

x = np.char.isdecimal(inp_ar)
print("The Output is:")
print(x)
```

输入字符串为:
[' 20002 2 ' ' a 10009 ' ' 12345 ab ' ' 01 ']
输出为:
【假假假真】

## 摘要

在本教程中，我们学习了 Numpy 库中的`isdecimal()`函数。我们介绍了如何使用它的语法和这个函数返回的值，以及多个代码示例。

* * *

* * *