# NumPy `upper()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-upper-function>

在本教程中，我们将介绍 Numpy 库中 char 模块的`upper()`功能。

`upper()`功能用于**将字符串的所有小写字符转换为大写**。如果给定字符串中没有小写字符，那么这个函数将返回原始字符串。

*   这个函数通常对数组的所有元素调用`str.upper`。

*   对于 8 位字符串，该函数**依赖于区域设置。**

### `numpy.char.upper()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.upper(arr)
```

以上语法表明`upper`()`` 函数取两个参数。

在上面的语法中，参数`arr`主要用于指示将应用此方法的字符串的输入数组。

**返回值:**

这个函数将返回一个对应于原始字符串的大写字符串。

## 示例 1:使用字符串

在下面的代码片段中，我们将对一个简单的字符串使用`upper()`函数:

```py
import numpy as np  

a = "this is a string in numPy"
print("The original string:")
print(a)
print("\n")
print("Applying upper() method :")  

x = np.char.upper(a)
print(x)
```

原弦:
这是 NUMPY 中的弦

应用上()方法:
这是 numPy 中的弦

## 例 2:

下面是一个代码片段，我们将使用一个已经大写的字符串，然后检查输出是否相同:

```py
import numpy as np  
a="THIS IS AN UPPERCASE STRING"
print("The original string:")
print(a)
print("\n")
print("Applying upper() method :")  
x=np.char.upper(a)
print(x)
```

原弦:
这是大写的弦

应用上()方法:
这是大写的弦

## 示例 3:使用字符串数组

就像上面两个例子一样，如果我们创建一个字符串数组，然后将这个函数用于数组，它会将所有字符串元素转换为大写。

```py
import numpy as np

arr = np.array(['what aRE YOUR', 'plans for Tonight', 'will you','study tonight']) 
print ("The original Input array : \n", arr) 

output = np.char.upper(arr)
print ("The output array: ", output)
```

原始输入数组:
[“你今晚有什么计划”“你今晚会学习吗”]
输出数组:【“你今晚有什么计划”“你今晚会学习吗”】

## 摘要

在本教程中，我们介绍了 Numpy 库中的`upper()`函数。我们介绍了如何使用它的语法和这个函数返回的值，以及多个代码示例。

* * *

* * *