# NumPy `capitalize()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-capitalize-function>

在本教程中，我们将介绍 Numpy 库中 char 模块的`capitalize()`功能。

`capitalize()`功能基本上是用来将字符串的第一个字符**转换成大写的**(大写)字母。如果字符串的第一个字符已经是大写的，那么这个函数将返回原始字符串本身。

该函数以**元素方式**调用`str.capitalize`。

对于 8 位字符串，此函数依赖于区域设置。

### `capitalize()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.capitalize(arr)
```

以上语法表明`capitalize()`函数取两个参数。

在上面的语法中，参数`arr`主要用于指示将应用该函数的字符串的输入数组。

**返回值:**

该函数将返回一个以大写字母开头的字符串。

## 示例 1:使用字符串

代码片段如下，我们将使用带有简单字符串的`capitalize()`函数:

```py
import numpy as np 

a = "welcome to StudyTonight!!"
print("The original string:")
print(a)
print("Capitalizing the string using capitalize() function :")  

x = np.char.capitalize(a)
print(x)
```

原弦:
欢迎 StudyTonight！！
使用大写()函数将字符串大写:
欢迎 StudyTonight！！

## 例 2:

下面是一个代码片段，我们将使用一个已经大写的字符串作为输入，然后检查输出是否相同:

```py
import numpy as np  

a = "StudyTonight is a best place to learn coding online"
print("The original string:\n")
print(a)
print("\n")
print("Capitalizing the string using capitalize() function:\n")  

x = np.char.capitalize(a)
print(x)
```

原字符串:

学习今晚是在线学习编码的最佳地点

使用大写()函数将字符串大写:

学习今晚是在线学习编码的最佳地点

## 示例 3:使用字符串数组

在这个例子中，我们将获取一个字符串数组，并将使用`capitalize()`函数:

```py
import numpy as np

arr = np.array(['what aRE YOUR', 'plans for Tonight', 'will you','study tonight']) 
print ("The original Input array : \n", arr) 

output = np.char.capitalize(arr)
print ("The output array: ", output)
```

原始输入数组:
[“你今晚有什么计划”“你今晚会学习吗”]
输出数组:【“你今晚有什么计划”“你今晚会学习吗”】

在输出中，您应该注意到，该函数不仅将字符串中的第一个字符更改为大写，而且如果其他字符是大写的，它也会将它们更改为小写，就像上面示例中对字符串“ *what aRE YOUR* 所做的那样。

## 摘要

在本教程中，我们学习了 Numpy 库中的`capitalize()`函数。我们介绍了如何使用它的语法和这个函数返回的值，以及多个代码示例。

* * *

* * *