# NumPy `swapcase()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-swapcase-function>

在本教程中，我们将介绍 Numpy 库中 char 模块的`swapcase()`功能。

`swapcase()`函数主要用于返回字符串的逐元素副本，字符串的大写字符转换为小写字符，小写字符转换为大写字符。简而言之，它交换或改变给定字符串中字符的大小写。

对于 8 位字符串，此函数依赖于区域设置。

### `swapcase()`的语法:

使用该函数所需的语法如下:

```py
numpy.char.swapcase(arr)
```

以上语法表明`capitalize()`函数取两个参数。

<u>**注:**</u> 在上面的语法中，`arr`参数表示输入数组，可以是字符串或 Unicode 的形式。

**返回值:**

该函数将返回小写大写值的字符串副本，反之亦然。

让我们介绍一些与此功能相关的示例。

## 例 1:

在下面给出的代码片段中，我们将对包含字符串的数组应用`swapcase()`函数:

```py
import numpy as np

inp = np.array(['A4B C', '4c Rb', 'B Ec4', 'rp4q']) 
print("The input array is: ") 
print(inp)

outp = np.char.swapcase(inp) 
print("The output swapcased array :") 
print(outp) 
```

输入数组为:
[' A4B C ' ' 4C Rb ' ' B Ec4 ' ' RP4Q ']
输出数组为:
['a4b c' '4C rB' 'b eC4' 'RP4Q']

## 例 2:

我们再举一个例子:

```py
import numpy as np

a= np.array(['WELCOMe', 'to', 'StuDyToNIGHT']) 

print ("The input array is: ", a) 

b = np.char.swapcase(a) 
print ("The output swapcased array :", b) 
```

输入数组为:[“欢迎”到“StudyTonight”]
输出数组为:[“欢迎”到“StudyTonight”]

## 摘要

在本教程中，我们学习了 Numpy 库中的`swapcase()`函数。我们介绍了如何使用它的语法和这个函数返回的值，以及多个代码示例。

* * *

* * *