# NumPy `amin()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-amin-function>

在本教程中，我们将介绍 Numpy 库的`numpy.amin()`功能。

这是 NumPy 库的一个统计函数，用于**沿轴**返回数组的最小元素或**最小元素。**

### `numpy.amin()`的语法:

使用该函数所需的语法如下:

```py
numpy.amin(a, axis, out, keepdims=<no value>, initial=<no value>, where=<no value>)
```

**参数:**

现在是时候讨论这个方法的参数了:

*   **a**
    该参数表示以数组形式输入的数据。

*   **轴**
    它是一个**可选的**参数，指示要沿其操作的一个或多个轴。该参数的值可以是`int`或一组`int`值，默认值为**无**。

*   **输出**
    该**可选的**参数用于指示存储结果的替代输出数组。该参数的值采用数组的形式。

*   **保留**
    借助这个**可选的**参数(具有布尔值)，结果将根据输入数组正确广播。如果该选项设置为**真**，减少的轴将作为尺寸为 1 的尺寸留在结果中。

*   **初始**
    这是一个标量和**可选的**参数，用于指示输出元素的最大值。

*   **其中**
    这是一个**可选的**参数，用于指示要比较的元素的最小值

**返回值:**

该函数用于返回任意给定数组的**最小值**。如果**轴**为**无**，则结果为标量值。如果给出**轴**，则结果是维度`a.ndim - 1`的数组。

## 示例 1:基本示例

我们现在将介绍一个使用该函数的基本示例:

```py
import numpy as np  

a = np.array([[2,15,20],[80,43,31],[22,43,10]])  
print("The original array:\n")  
print(a)  

print("\nThe minimum element among the array:",np.amin(a))  
print("\nThe minimum element among the rows of array",np.amin(a,0))  
print("\nThe minimum element among the columns of array",np.amin(a,1)) 
```

原阵:

[[2 15 20]
[80 43 31]
[22 43 10]]
T6]阵中最小元素:2
阵中行间最小元素[ 2 15 10]
阵列间最小元素[ 2 31 10]

## 例 2:

另一个代码示例如下:

```py
a = np.arange(9).reshape((3,3))

print("The Array is :")
print(a)

print("Minimum element in the array is:",np.amin(a))         

print("Minimum element along the first axis of array is:",np.amin(a, axis=0))  

print("Minimum element along the second axis of array is:",np.amin(a, axis=1)) 
```

数组为:
【【0 1 2】
【3 4 5】
【6 7 8】】
数组中最小元素为:0
沿数组第一轴的最小元素为:【0 1 2】
沿数组第二轴的最小元素为:【0 3 6】

```py
np.amin(a, where=[False, True], initial=10, axis=0)
```

数组([10，1])

## 摘要

在本教程中，我们介绍了 Numpy 库的`numpy.amin()`统计函数及其语法、参数和返回值。以及一些代码示例来帮助您理解这个函数是如何工作的。

* * *

* * *