# NumPy `median()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-median-function>

在本教程中，我们将介绍 NumPy 库的`numpy.median()`功能。

术语**中值**基本上被定义为用于将较高范围的数据样本与较低范围的数据样本分开的值。

*   NumPy 库中的`numpy.median()`统计函数用于**计算任意指定轴的中间值**。

*   因此，该函数**返回数组元素的中值作为输出。**

*   该函数用于计算一维和多维数组的**中值。**

### `numpy.median()`的语法:

使用该函数所需的语法如下:

```py
numpy.median(a, axis = None,out,dtype)
```

**参数:**

下面是这个函数使用的参数描述:

*   **a**
    该参数用于指示输入数组。

*   **轴**
    这个参数用来表示我们要计算中位数的轴。默认情况下，输入数组被展平(即在所有轴上工作)。这里，对于轴的值，**轴= 0** 表示沿列的**，**轴= 1** 表示沿行**工作的**。**

*   **out**
    这是一个**可选的**参数，用于指示我们想要放置结果的可选数组。数组必须具有与预期输出相同的维度。

*   **数据类型**
    这是一个**可选的**参数，用于在计算中位数时指示我们想要的类型。

**返回值:**

该函数返回数组的中值(如果轴是**无**，它将返回一个**标量值**)或一个沿指定轴有中值的数组。

## 用于计算中位数的步骤:

以下是用于计算中位数的步骤:

*   有一些给定的数据点作为输入。

*   第二步，按升序排列。

*   如果项目总数为奇数，则中位数计算为**中位数=中期**

*   如果条款总数为偶数，则中位数计算为**中位数=中间条款的平均值**

## 例 1:

下面给出了一个基本示例，向您展示了该功能的工作原理:

```py
import numpy as np 

a = [26, 2, 73, 13, 34] 

print("The Input Array is : ") 
print(a)
print("The median of 1D array is : ")
print(np.median(a)) 
```

输入数组为:
【26，2，73，13，34】
1D 数组的中位数为:
26.0

## 例 2:

现在，我们将在二维数组上应用此方法，并将检查输出:

```py
import numpy as np 

inp = [[1, 17, 19, 33, 49], [14, 6, 87, 8, 19], [34, 2, 54, 4, 7]] 

print("\nThe median of array when axis = None : ")
print(np.median(inp)) 

# calculating median along the axis = 0 
print("\nThe median of array when axis = 0 : ")
print(np.median(inp, axis = 0)) 

#calculating median along the axis = 1 
print("\nThe median of array when axis = 1 : ")
print(np.median(inp, axis = 1)) 
```

轴=无时阵的中位数:
17.0

轴= 0 时阵的中位数:
【14。6.54.8.19.】

轴= 1 时数组的中位数:
【19】。14.7.]

## 摘要

在本教程中，我们学习了 Numpy 库中的统计函数`numpy.median()`。我们介绍了这个函数返回的中值、语法、参数和值，以及多个相同的例子。

* * *

* * *