# NumPy `empty()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-empty-function>

在本教程中，我们将介绍 Numpy 库的`numpy.matlib.empty()`功能。

`numpy.matlib.empty()`函数用于返回一个没有初始化条目的新矩阵。

`numpy.matlib`是一个**矩阵库**，用来配置矩阵而不是数组对象。

### `matlib.empty()`的语法:

使用该函数所需的语法如下:

```py
numpy.matlib.empty(shape,dtype,order) 
```

**参数:**

现在让我们介绍一下该函数使用的参数:

*   **形状**
    该参数采用元组的形式，用于定义矩阵的形状。

*   **数据类型**
    该参数用于指示矩阵的**数据类型。该参数的默认值为`float`。这是一个**可选**参数。**

*   **顺序**
    这是一个**可选的**参数，用于指示矩阵的**插入顺序。主要表示结果是以 C-还是 Fortran-连续顺序存储，默认值为**‘C’**。**

**返回值:**

这个函数主要返回一个有初始化条目的新矩阵。

现在是时候介绍这个函数的几个例子了:

## 例 1:

下面给出了理解这个函数的一个基本例子:

```py
import numpy as np    
import numpy.matlib    

print(numpy.matlib.empty((4,4))) 
```

[[0.00000000 e+000 0.0000000 e+000 0.00000000 e+000 0.00000000000 e+000]
[0.00000000 e+000 0.0000000000 e+000.0000000000]
]

## 例 2:

现在我们还将在下面给出的代码片段中使用`type`参数:

```py
import numpy as np    
import numpy.matlib    

print(numpy.matlib.empty((2,3), int)) 
```

[-1192611712 306 0]
[0 131074 0]]

## 例 3:

在下面的代码示例中，我们还将使用`empty()`功能指定第三个参数`order`:

```py
import numpy as np    
import numpy.matlib    

print(numpy.matlib.empty((4), int, 'C')) 
```

[[ 0 0 65793 1]]

## 摘要

在本教程中，我们学习了 Numpy 库中的`numpy.empty()`数学函数。我们还介绍了它的语法、参数以及这个函数返回的值，以及它的代码示例。

* * *

* * *