# NumPy `ones()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-ones-function>

在本教程中，我们将介绍 Numpy 库的`numpy.matlib.ones()`功能。

功能`numpy.matlib.ones()`用于**返回给定形状和类型的矩阵**。此功能**将矩阵的所有值初始化为一(1)** 。

`numpy.matlib`是用来配置矩阵而不是数组对象的矩阵库。

### matlib.ones()的语法:

使用该函数所需的语法如下:

```py
numpy.matlib.ones(shape,dtype,order)
```

**参数:**

现在让我们介绍一下该函数使用的参数:

*   **形状**
    该参数采用元组的形式，用于定义矩阵的形状。

*   **数据类型**
    该参数用于表示矩阵的数据类型。该参数的默认值为`float`。这是一个**可选的**参数。

*   **顺序**
    这是一个**可选的**参数，用于指示矩阵的**插入顺序。它主要指示是以 C 还是 Fortran 连续顺序存储结果，默认值为“C”。**

**返回值:**

该函数将返回一个矩阵，所有条目初始化为 **1** 。

现在是时候介绍这个函数的几个例子了。

## 例 1:

下面给出了理解这个函数的一个基本例子:

```py
import numpy as np    
import numpy.matlib    

print(numpy.matlib.ones((5,4))) 
```

【【1。1.1.1.】
【1。1.1.1.】
【1。1.1.1.】
【1。1.1.1.】
【1。1.1.1.]]

## 例 2:

现在我们还将在下面给出的代码片段中使用类型和顺序参数:

```py
import numpy as np    
import numpy.matlib    

print("The Output matrix is :\n",numpy.matlib.ones((3,4),int)) 
```

输出矩阵为:
[[1 1 1 1]
[1 1 1]
[1 1 1]]

## 例 3:

再举一个例子，

```py
import numpy as np

# 1-d array with 5 elements
np.matlib.ones(5)
```

矩阵([[1。, 1., 1., 1., 1.]])

## 摘要

在本教程中，我们学习了 Numpy 库中的`numpy.ones()`数学函数。我们还介绍了它的语法、参数以及这个函数返回的值，并提供了一些代码示例。

* * *

* * *