# NumPy `zeros()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-zeros-function>

在本教程中，我们将介绍 Numpy 库的`numpy.matlib.zeros()`功能。

功能`numpy.matlib.zeros()`用于**返回给定形状和类型的矩阵**。这个方法**用零填充矩阵**。

`numpy.matlib`是用来配置矩阵而不是数组对象的矩阵库。

### `matlib.zeros()`的语法:

使用该函数所需的语法如下:

```py
numpy.matlib.zeros(shape,dtype,order) 
```

**参数:**

现在让我们介绍一下该函数使用的参数:

*   **形状**
    该参数采用元组的形式，用于定义矩阵的**形状。**

*   **数据类型**
    该参数用于表示矩阵的数据类型。该参数的默认值为`float`。这是一个**可选的**参数。

*   **顺序**
    这是一个**可选的**参数，用于指示矩阵的插入顺序。它主要指示是以 C 还是 Fortran 连续顺序存储结果，默认值为“C”。

**返回值:**

这个函数主要返回给定形状、数据类型和顺序的零矩阵。

现在是时候介绍这个函数的几个例子了。

## 例 1:

下面给出了理解这个函数的一个基本例子:

```py
import numpy as np    
import numpy.matlib    

print("The matrix is:\n",numpy.matlib.zeros((4,3))) 
```

矩阵为:
【【0。0.0.】
【0。0.0.】
【0。0.0.】
【0。0.0.]]

## 例 2:

现在我们还将在下面给出的代码片段中使用类型和顺序参数:

```py
import numpy as np    
import numpy.matlib    

print("The 3x4 matrix with all elements in integer is as follows:\n",numpy.matlib.zeros((3,4), int, 'C')) 
```

所有元素均为整数的 3x4 矩阵如下:
[[0 0 0 0]
[0 0 0]
[0 0 0]]

## 例 3:

需要注意的是，如果`shape`的长度为 1，即`(N,)`，或者是标量`N`，那么在**输出**中，会有一个形状为`(1,N)`的单行矩阵。理解该语句的代码片段如下:

```py
import numpy as np

np.matlib.zeros(4)
```

矩阵([[0。, 0., 0., 0.]])

## 摘要

在本教程中，我们学习了 Numpy 库中的`numpy.zeros()`数学函数。我们还介绍了它的语法、参数以及这个函数返回的值，还有一些代码示例。

* * *

* * *