# NumPy `left_shift()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-left_shift-function>

在本教程中，我们将介绍`left_shift`，这是 Numpy 库的二进制操作。

在 Numpy 中，`left_shift()`功能主要用于执行左移操作。

*   `left_shift()`功能主要用于向左移动整数的位。

### `numpy.left_shift()`的语法:

使用该函数所需的语法如下:

```py
numpy.left_shift(x1, x2, /, out, *, where, casting='same_kind', order='K', dtype, ufunc 'left_shift')
```

由于数字的内部表示主要是二进制格式，因此左移操作相当于 **x1 乘以 2**x2** 。

在此功能的帮助下，通过在 x1 的右侧追加 x2 个 0(零)位，位被向左移动。

**参数:**

现在让我们看看这个函数的参数:

*   **x1**
    该参数用于表示输入值，采用数组形式。

*   **x2**
    此参数用于指示要追加到 **x1** 右侧的位数。必须是**非负数**数。如果`x1.shape != x2.shape`，那么它们必须是可宽铸的一个共同的形状，并且该形状成为输出的形状。

*   **出**
    该参数表示存储结果的位置。如果提供了此参数，它必须具有输入广播到的形状。如果未提供该参数或该参数为**无**，则返回新分配的数组。

*   **其中**
    该参数用于指示通过输入广播的条件。在条件为**真**的位置，**输出数组**将被设置为 **ufunc** 结果，否则输出数组将保留其原始值。

**返回值:**

该功能会将`x1`返回到**左侧**位移位`x2`次。如果`x1`和`x2`都是标量，返回值就是标量。

## 例 1:

在下面的例子中，我们将说明`left_shift()`函数的用法:

```py
import numpy as np

input_num = 40
bit_shift = 2

print ("The Input  number is: ")
print(input_num) 
print ("The Number of bit shift : ")
print(bit_shift )  

output = np.left_shift(input_num, bit_shift)  
print ("After the shifting of 2 bits to left : ")
print(output) 
```

输入数为:
40
左移 2 位后移位数:
2
:
160

## 例 2:

现在我们将向您展示一个代码片段，其中我们将把`left_shift()`应用到一个输入数组上:

```py
import numpy as np

input_arr = [2, 8, 10] 
bit_shift =[3, 4, 5] 
print ("The Input array is: ")
print(input_arr) 
print ("The Number of bit shift : ")
print(bit_shift )  

output = np.left_shift(input_arr, bit_shift)  
print ("After left shifting of bits,the output array is: ")
print(output) 
```

输入数组为:
【2，8，10】
移位位数:
【3，4，5】
左移位后，输出数组为:
【16 128 320】

## 摘要

在本教程中，我们介绍了 NumPy 库的`left_shift()`功能。我们介绍了它的基本语法和参数，然后介绍了这个函数返回的值以及该函数的一些代码示例。

* * *

* * *