# NumPy `right_shift()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-right_shift-function>

在本教程中，我们将介绍`right_shift()`函数，它是 Numpy 库的二进制操作。

在 Numpy 中，`right_shift()`功能主要用于执行右移操作。

*   `right_shift()`功能主要用于向右移动整数的位。

*   该函数主要将操作数的二进制表示中的位向右移动指定的位置，并且从左侧追加相等数量的**0**。

### `numpy.right_shift()`的语法:

使用该函数所需的语法如下:

```py
numpy.right_shift(x1, x2, /, out, *, where, casting='same_kind', order='K',dtype,subok=True[, signature, extobj]) = <ufunc 'right_shift'>
```

由于数字的内部表示主要采用**二进制格式**，因此右移操作相当于将 **x1** 除以 **2**x2** 。

**参数:**

现在让我们看看这个函数的参数:

*   **x1**
    该参数用于表示输入值，采用数组形式。

*   **x2**
    此参数用于指示 **x1** 右侧要删除的位数。如果`x1.shape != x2.shape`，那么它们必须是可宽铸的一个共同的形状，并且该形状成为输出的形状。

*   **out**
    该参数主要表示结果存储的位置。如果提供了此参数，它必须具有输入广播到的形状。如果未提供该参数或该参数为**无**，则返回新分配的数组。

*   **其中**
    该参数用于指示通过输入广播的条件。在条件为**真**的位置，输出数组将被设置为 **ufunc** 结果，否则输出数组将保留其原始值。

**返回值:**

该功能将返回 **x1** ，其位向右移动 **x2** 次。如果 **x1** 和 **x2** 都是标量，则返回值是标量。

## 例 1:

在下面的例子中，我们将说明`right_shift()`函数的用法:

```py
import numpy as np

input_num = 40
bit_shift = 2

print ("The Input  number is: ")
print(input_num) 
print ("The Number of bit shift : ")
print(bit_shift )  

output = np.right_shift(input_num, bit_shift)  
print ("After the shifting of 2 bits to right : ")
print(output) 
```

输入数为:
40
右移 2 位后移位数:
2
:
10

## 例 2:

现在我们将向您展示一个代码片段，其中我们将把`right_shift()`应用到一个输入数组上:

```py
import numpy as np

input_arr = [8, 28, 55] 
bit_shift =[3, 4, 2] 
print ("The Input array is: ")
print(input_arr) 
print ("The Number of bit shift : ")
print(bit_shift )  

output = np.right_shift(input_arr, bit_shift)  
print ("After right shifting of bits,the output array is: ")
print(output) 
```

输入数组为:
【8，28，55】
位移位数:
【3，4，2】
右移位后，输出数组为:
【1 1 13】

## 摘要

在本教程中，我们介绍了 NumPy 库的`right_shift()`功能。我们介绍了它的基本语法和参数，以及这个函数返回的值和一些例子。

* * *

* * *