# NumPy `bitwise_xor()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-bitwise_xor-function>

在本教程中，我们将使用 Numpy 库的`bitwise_xor()`函数来介绍`bitwise_xor`二进制运算。

在 Numpy 中，`bitwise_xor()`函数主要用于执行按位**异或**运算。

*   该函数将按元素计算两个数组的按位异或。

*   `bitwise_xor()`函数计算输入数组中整数的基础二进制表示的按位异或。

*   对于**异或运算**，函数`bitwise_XOR()`实现`^` (C/Python 运算符)。

### `numpy.bitwise_xor()`的语法:

使用该函数所需的语法如下:

```py
numpy.bitwise_xor(x1, x2, /, out, *, where=True, casting='same_kind', order='K', dtype, subok=True[, signature, extobj]) = <ufunc 'bitwise_xor'>
```

**参数:**

现在让我们看看这个函数的参数:

*   **x1，x2**
    这两个是输入数组，用这个函数只处理整数和布尔类型。如果`x1.shape != x2.shape`，那么它们必须可宽铸为一个共同的形状(并且这个形状将成为输出的形状)。

*   **out**
    该参数主要表示结果存储的位置。如果提供了此参数，它必须具有输入广播到的形状。如果未提供该参数或该参数为**无**，则返回新分配的数组。

*   **其中**
    该参数用于指示通过输入广播的条件。在条件为**真**的位置，输出数组将被设置为 **ufunc** 结果，否则输出数组将保留其原始值。

**返回值:**

如果 **x1** 和 x2 都是标量，这个函数将返回一个标量。

## 例 1:

在下面的例子中，我们将说明`bitwise_xor()`函数的用法:

```py
import numpy as np

num1 = 15
num2= 20

print ("The Input  number1 is :", num1)
print ("The Input  number2 is :", num2) 

output = np.bitwise_xor(num1, num2) 
print ("The bitwise_xor of 15 and 20 is: ", output) 
```

输入数字 1 是:15
输入数字 2 是:20
15 和 20 的按位异或是:27

## 例 2:

在这个例子中，我们将使用两个数组，然后对它们应用`bitwise_xor()`函数:

```py
import numpy as np

ar1 = [2, 8, 135]
ar2 = [3, 5, 115]

print ("The Input array1 is : ", ar1) 
print ("The Input array2 is : ", ar2)

output_arr = np.bitwise_xor(ar1, ar2) 
print ("The Output array after bitwise_xor: ", output_arr)
```

输入数组 1 为:[2，8，135]
输入数组 2 为:[3，5，115]
按位异或后的输出数组:[ 1 13 244]

## 摘要

在本教程中，我们介绍了 Numpy `bitwise_xor()`函数。我们介绍了它的基本语法和参数，以及这个函数返回的值和多个代码示例。

* * *

* * *