# NumPy `invert()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-invert-function>

在本教程中，我们将介绍 Numpy 库的`bitwise NOT`二进制操作。

*   NumPy 中的`invert()`函数用于**以元素方式计算逐位反转**，或**逐位非**。

*   如果将任何**有符号整数**传递给该函数，将返回有符号整数的 **2 补码。**

### `numpy.invert()`的语法:

使用该函数所需的语法如下:

```py
numpy.invert(x, /, out, *, where=True, casting='same_kind', order='K', dtype, subok=True[, signature, extobj]) = <ufunc 'invert'>
```

**参数:**

现在让我们看看这个函数的参数:

*   **x**
    该参数表示输入数组，使用该函数，只处理整数和布尔类型。

*   **out**
    该参数主要表示结果存储的位置。如果提供了此参数，它必须具有输入广播到的形状。如果未提供该参数或该参数为**无**，则返回新分配的数组。

*   **其中**
    该参数用于指示通过输入广播的条件。在条件为**真**的位置，输出数组将设置为 **ufunc** 结果。否则输出数组将保留其原始值。

**返回值:**

如果 x 是标量，这个函数将返回一个标量。

## 例 1:

在下面的例子中，我们将说明`invert()`函数的用法:

```py
import numpy as np

inp_num = 12
print ("The Input number is: ", inp_num)

outp_num = np.invert(inp_num) 
print ("The inversion of 12 is: ", outp_num)
```

输入数字为:12
12 的反转为:-13

## 例 2:

在本例中，我们将使用带有整数数组的`invert()`函数:

```py
import numpy as np

inp_arr = [1, 10, 15]
print ("The Input array is: ", inp_arr)

out_arr = np.invert(inp_arr) 
print ("The Output array after inversion: ", out_arr) 
```

输入数组为:【1，10，15】
求逆后的输出数组:[ -2 -11 -16]

## 摘要

在本教程中，我们介绍了 Numpy `invert()`函数。我们介绍了它的基本语法和参数，以及这个函数返回的值和多个代码示例。

* * *

* * *