# NumPy `bitwise_or()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-bitwise_or-function>

在本教程中，我们将介绍 Numpy 库的`bitwise_or`二进制操作。

在 Numpy 中，`bitwise_or()`功能主要用于执行`bitwise_or`操作。

*   该函数将按元素计算两个数组的位或。

*   `bitwise_or()`函数计算输入数组中整数的基础二进制表示的位或。

*   需要注意的是，如果操作数中的一个对应位**为 1** ，则**或运算输出中的合成位将被设置为 1** ，否则将被**设置为 0** 。

下面给出的是“或”运算的“T0”真值表“T1”，如果其中一位为 1，你会看到两位的“或”结果为 1，否则结果为 0。

![Numpy bitwise_or function](img/a7d7f484b8b7056890b04f2f7818f5cf.png)

### `bitwise_or()`的语法:

使用该函数所需的语法如下:

```py
numpy.bitwise_or(x1, x2, /, out, *, where=True, casting='same_kind', order='K', dtype, subok=True[, signature, extobj]) = <ufunc 'bitwise_or'>
```

**参数:**

现在让我们看看这个函数的参数:

*   **x1，x2**
    这两个是输入数组，用这个函数只处理整数和布尔类型。如果`x1.shape != x2.shape`，那么它们必须可宽铸为一个共同的形状(并且这个形状将成为输出的形状)。

*   **out**
    该参数主要表示结果存储的位置。如果提供了此参数，它必须具有输入广播到的形状。如果未提供该参数或该参数为**无**，则返回新分配的数组。

*   **其中**
    该参数用于指示通过输入广播的条件。在条件为**真**的位置，输出数组将被设置为 **ufunc** 结果，否则输出数组将保留其原始值。

**返回值:**

如果 **x1** 和 **x2** 都是标量，该函数将返回一个标量。

## 例 1:

在下面的例子中，我们将说明`bitwise_or()`函数的用法:

```py
import numpy as np

num1 = 15
num2 = 20

print ("The Input  number1 is: ", num1)
print ("The Input  number2 is: ", num2) 

output = np.bitwise_or(num1, num2) 
print ("The bitwise_or of 15 and 20 is: ", output) 
```

输入数字 1 是:15
输入数字 2 是:20
15 和 20 的位“或”是:31

## 例 2:

在下面的例子中，我们将使用带有两个数组的`bitwise_or()`函数:

```py
import numpy as np

ar1 = [2, 8, 135]
ar2 = [3, 5, 115]

print ("The Input array1 is : ", ar1) 
print ("The Input array2 is : ", ar2)

output_arr = np.bitwise_or(ar1, ar2) 
print ("The Output array after bitwise_or:", output_arr)
```

输入数组 1 为:[2，8，135]
输入数组 2 为:[3，5，115]
按位“或”后的输出数组:[ 3 13 247]

## 摘要

在本教程中，我们介绍了 NumPy 库的`bitwise_or()`功能。我们介绍了它的基本语法和参数，以及这个函数返回的值和多个代码示例。

* * *

* * *