# NumPy `asarray()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-asarray-function>

在本教程中，我们将介绍 Numpy 库的`numpy.asarray()`功能。

Numpy 中的`numpy.asarray()`功能用于将输入或任何现有数据转换为数组。

*   现有数据可以是**列表、元组、元组的元组、元组的列表、列表的元组等形式**。

*   如果你想把任何 **python 序列转换成 Numpy 数组对象**即 ndarray，那么这个函数对你是有帮助的。

### `numpy.asarray()`的语法:

下面给出了使用该函数的基本语法:

```py
numpy.asarray(sequence,  dtype, order) 
```

**参数:**

让我们讨论一下上面提到的`asarray()`函数的参数:

*   **序列**
    该参数用于指示可以是任何形式的输入数据，并将其转换为数组。该参数包括列表、元组列表、元组、元组元组元组、列表元组和数组。

*   **数据类型**
    该参数用于指示数组中每一项的数据类型。这是一个**可选的**参数，默认值为**无**。

*   **顺序**
    此参数用于指示内存表示是使用行主(C 风格)还是列主(Fortran 风格)默认值设置为**‘C’**。

**返回值:**

该函数将**返回一个数组**，其中包含用于创建数组的序列中的所有值。如果输入已经是符合`dtype`和**顺序**的数组，则该函数不会创建任何副本。

现在是时候看看这个函数的一些例子了。

## 例 1:

在下面给出的代码片段中，我们将把一个 [Python 列表](https://www.studytonight.com/python/lists-in-python)转换成一个数组:

```py
import numpy as np

mylist = [1, 2,4,5,8,10]
np.asarray(mylist)
```

数组([ 1，2，4，5，8，10])

## 例 2:

在下面的代码片段中，我们将从一个 [Python 元组](https://www.studytonight.com/python/tuples-in-python)创建一个 NumPy 数组:

```py
import numpy as np  

inp = (10,9,1,2,3,4,5,6,7,8)     
a = np.asarray(inp); 
print("The output is:")
print(a)  
print("The datatype of output is:")
print(type(a)) 
```

输出为:
【10 9 1 2 3 4 5 6 7 8】
输出的数据类型为:
<类>

## 例 3:

在下面给出的代码片段中，我们将使用多个列表创建一个数组:

```py
import numpy as np  

l = [[1,2,3,4,5,6,7],[8,9],[12,34,45]]  
a = np.asarray(l);
print("The data type of output is:")
print(type(a))  
print("The output array is:")
print(a) 
```

输出的数据类型为:
<类>
输出数组为:
【list([1，2，3，4，5，6，7]) list([8，9]) list([12，34，45])

## 摘要

本教程介绍了 Numpy 库中的`numpy.asarray()`数学函数，该函数用于使用各种不同的 Python 序列(如 Lists、Tuple 等)创建 Numpy ndarrya。

* * *

* * *