# NumPy `frombuffer()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-frombuffer-function>

在本教程中，我们将介绍 Numpy 库的`numpy.frombuffer()`功能。

Numpy 库的`numpy.frombuffer()`函数用于使用指定的缓冲区创建数组。

该函数将缓冲区解释为一维数组。

### `frombuffer()`的语法:

下面给出了用于`numpy.frombuffer()`功能的所需语法:

```py
numpy.frombuffer(buffer, dtype, count, offset) 
```

**参数:**

让我们讨论上述构造器的参数:

*   **缓冲区**
    此参数用于表示一个暴露缓冲区接口的对象。

*   **数据类型**
    该参数用于表示返回的数据类型数组的数据类型。该参数的**默认**值为 **0** 。

*   **计数**
    该参数代表返回数组的长度。该参数的**默认**值为 **-1** 。

*   **偏移**
    该参数表示读取的起始位置。该参数的**默认**值为 **0** 。

现在我们来讨论一些使用`frombuffer()`函数的例子。

## 基本示例:

为了理解这个函数的工作原理，下面是我们的代码片段:

```py
import numpy as np  

input = b'Welcome to StudyTonight!!!It is a best place for you to learn coding online..'  
print("The type of input is:") 
print(type(input))

a = np.frombuffer(input, dtype = "S1")  
print("The Output is:") 
print(a)

print("Type of Output is:")
print(type(a)) 
```

输入的类型为:
<类“字节”>
输出为:
【b ' w ' b ' e ' b ' l ' b ' c ' b ' o ' b ' m ' b ' e ' b ' b ' t ' b ' o ' b ' ' b ' s ' b ' t ' b ' u '
b ' d ' b ' y ' t ' b ' o ' b ' n ' b ' I ' b ' g ' h ' b ' t ' b '！b！b！b ' I ' b ' t '
b ' ' b ' I ' b ' s ' b ' ' b ' a ' b ' b ' e ' b ' b ' t ' b ' ' b ' p ' b ' l ' b ' a '
b ' c ' b ' e ' b ' ' b ' f ' b ' o ' b ' r ' b ' ' b ' y ' o ' b ' u ' b ' ' b ' t ' b ' o ' b ' '
b ' l ' b ' e ' b ' a ' b '' b '。】
输出类型为:
<类>

## 摘要

本教程介绍了 Numpy 库中的`numpy.frombuffer()`函数，该函数用于使用给定的缓冲区或字节创建 Numpy 数组。

* * *

* * *