# NumPy `fromiter()`函数

> 原文：<https://www.studytonight.com/numpy/numpy-fromiter-function>

在本教程中，我们将介绍 Numpy 库的`numpy.fromiter()`功能。

`numpy.fromiter()`功能用于通过使用 [python 可迭代对象](https://www.studytonight.com/python/python-iterable-and-iterator)来创建**数组**。此方法主要返回一维数组对象。

### `numpy.fromiter()`的语法:

下面是使用该函数所需的语法:

```py
numpy.fromiter(iterable, dtype, count) 
```

**参数:**

让我们讨论上述函数的参数:

1.  **可迭代**
    该参数用于表示可迭代对象。

2.  **数据类型**
    该参数用于表示结果数组项的数据类型。

3.  **计数:**
    此参数用于表示从数组中的缓冲区读取的项目数。

<u>**注意:**</u> 为了提高该功能的性能，指定一个`count`参数是很重要的。因为`count`参数允许`fromiter()`函数预分配输出数组，而不是按需调整其大小。

**返回值:**

该函数将返回使用 iterable 对象创建的数组。

现在我们来讨论一些使用`fromiter()`函数的例子。

## 基本示例:

下面是使用这个函数的例子的代码片段:

```py
import numpy as np  

a = [0,2,4,9,10,8]  
it = iter(a)  
x = np.fromiter(it, dtype = float)  

print("The output array is :")
print(x)  

print("The type of output array is:")
print(type(x)) 
```

输出数组为:
【0。2.4.9.10.8.】
输出数组的类型为:
<类>

## 摘要

在本教程中，我们介绍了 Numpy 库中的`numpy.fromiter()`函数。我们还介绍了它的语法、参数以及这个函数返回的值和代码示例。

* * *

* * *