# Matplotlib 图形类

> 原文：<https://www.studytonight.com/matplotlib/matplotlib-figure-class>

在本教程中，我们将介绍 matplotlib 库中的**图形类**。

众所周知 **matplotlib 是一个用来创建可视化的 python 库**，也是 Numpy 库的**数值扩展。**

*   **matplotlib 库**在`matplotlib.figure`模块中包含一个**图形类**。

*   对于所有的绘图元素**图形类主要是顶层容器**。

*   要实例化图形对象，您只需要调用 pyplot 模块的`figure()`函数(它是 matplotlib 的基于状态的接口)

*   在 pyplot 的帮助下，人们可以轻松地**创建直方图、提琴图、等高线图、3D 图以及更多**。

*   我们还可以扩展 Figure 类，并根据我们的需求创建一个自定义类。( [Python 继承](https://www.studytonight.com/python/inheritance-in-python))

## `figure()`功能

为了创建一个新的图形，在 matplotlib 库中使用了 **pyplot 模块**的`figure()`功能。

### 语法:

下面给出了使用该函数的语法:

```py
matplotlib.pyplot.figure(num, figsize, dpi, facecolor, edgecolor, frameon, FigureClass, clear, **kwargs)
```

### 参数:

让我们讨论一下`figure()`函数的参数:

1 . num

该参数的默认值为**无**。您可以**提供此参数**，并且带有此 **id** 的图已经存在。

**2。** `figsize(float, float)`

这用于以像素为单位指示宽度和高度。

**3 .dpi〔t1〕**

该参数用于**指示图形**的分辨率。默认值为**无**。

**4 .面色**

该参数用于**指示背景颜色**。

**5\. 边缘颜色**

该参数用于**指示边框颜色**。

**6\. frameon**

如果不想绘制图形的框架，则使用此选项。该参数的默认值为 **true** ，表示默认绘制框架。

**7。figure class〔t1〕**

该参数主要使用一个自定义的 Figure 实例。

**8。清除**

默认值为**假**。如果该参数值为**真**且**图形已经存在**，则**被清除**。

### 返回值:

该方法返回**图形实例**，该实例也被传递给后端的`new_figure_manager`。

## 时间示例:

让我们借助下面给出的例子来讨论这个函数:

![](img/49d7dbdd01bf07e2b9e35b14dfbd7c65.png) ![](img/49d7dbdd01bf07e2b9e35b14dfbd7c65.png)在上面的代码示例中，我们创建了一个新的类 **MyFigure** 继承了原来的 **Figure** 类。

## 总结:

在本教程中，我们介绍了`matplotlib.figure`模块中提供的图形类。我们还学习了非常有用的`figure()`功能。

* * *

* * *