# Matplotlib 等高线图——`contour()`函数

> 原文：<https://www.studytonight.com/matplotlib/matplotlib-contour-plot-contour-function>

在本教程中，我们将介绍**什么是等高线图**以及**如何在 Matplotlib 中创建等高线图**。

为了在**二维空间**中创建**三维图**的可视化，我们使用了 Matplotlib 中的等高线图。等高线图也称为**水平图**。

*   假设存在**两个变量 X 和 Y** ，并且您希望**绘制它们**，那么**两个变量**的响应将是 **Z** ，并且由于**的轮廓**也被称为 **Z 切片**或**等响应**，所以它将被绘制为 **X-Y 平面上的切片。**

*   如果想看 **Z** 的值是如何随着两个输入即 **X 和 Y** 的变化而变化的，我们应该用**等高线图**，就像这样 **Z = f(X，Y)** 。

*   两个变量的函数的一条**等高线**或**等值线基本上是沿着**的一条曲线，其中**函数具有一个恒定值**。

*   Matplotlib 中有两个功能，分别是`contour()`(这是用来**画等高线**)和`contourf()`(这是用来**画填充等高线**)。

### 等高线图的用途:

等高线图的一些用途如下:

*   到**可视化密度**。

*   可视化**气象部门**。

*   想象**山脉的高度**。

## Matplotlib `contour()`函数

当 **Z = f(X，Y)** 时`matplotlib.pyplot.contour()`功能很有用，这里 **Z** 随着输入 **X 和 Y** 的变化而变化。

matplotlib 中还有一个`contourf()`功能，它允许我们绘制填充轮廓。

该方法返回一个**四边形控制。**所需的**语法**如下所示:

```py
 matplotlib.pyplot.contour([X, Y, ] Z, [levels], **kwargs)
```

让我们讨论一下这个函数的参数:

**1。x，Y**

该参数表示 **2-D NumPy 阵列**，其形状与 Z 相同或类似于 1-D 阵列，其方式为`len(X)==M`和`len(Y)==N`(其中 M 是 Z 的行，N 是 Z 的列)

**2。Z**

此参数指示绘制轮廓的高度值。形状为(M，N)。

**3。等级**

该参数用于确定等高线的数量和位置。

让我们来介绍这个函数的一些例子。

## 简单等高线示例:

在本例中，我们将借助`contour()`函数绘制等高线:

我们再举一个等高线图的例子。

## 填充等高线图示例:

现在让我们借助`contourf()`函数绘制一个填充轮廓:

* * *

* * *