# Pandas 数据帧`abs()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-abs-method>

在本教程中，我们将学习 Pandas`DataFrame.abs()` 方法。它是 pandas 模块的内置模块，并返回一个带有每个元素的绝对数值的`DataFrame`。

该功能仅适用于所有元素均为`numeric`的情况。绝对也叫`modulus`。为了理解 `abs()`的方法，我们将解决例子，并获得数据帧的绝对值，对于复数，绝对值将是 a2+b2。下面是`DataFrame.abs()`方法的语法。

### 句法

使用该函数所需的语法如下:

```py
abs(x)
```

这里，参数 x 可以是任何数字，可以是正的或负的零。该函数将返回正零。

### 示例:获取数据帧的绝对值

让我们看一下这个函数的基本示例，其代码片段如下。

```py
import pandas as pd
df = pd.DataFrame([[23, -85, -0.25],[2, -1.259, -85]],columns=['A', 'B','C'])
print("-----DataFrame-----")
print(df)
print(abs(df))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧-
甲乙丙
0 23-85.000-0.25
1 2-1.259-85.00
甲乙丙
0 23.0 85.000 0.25
1 2.0 1.259 85.00

### 示例:获取字符串的绝对值时出现类型错误

如果试图得到字符串的绝对值，我们将得到`TypeError`，因为`abs()`方法只允许数值。

```py
import pandas as pd
df = pd.DataFrame([['abc','xyz','pqr'],[2, -1.259, -85]],columns=['A', 'B','C'])
print("-----DataFrame-----")
print(df)
print(abs(df))
```

一旦我们运行该程序，我们将获得以下输出。

-data frame-
A B C
0 ABC XYZ pqr
1 2-1.259-85
回溯(最近一次调用最后一次):
文件“<字符串>”，第 8 行，在<模块>
文件“/usr/local/lib/python 3.8/dist-packages/pandas/core/generic . py”，第 1381 行，在 __abs__
中返回 self.abs() 【T8

### 示例:用复数获取数据帧的绝对值

在下面的例子中，我们将得到带有`complex numbers`的绝对值序列元素。`abs()`方法只返回数字的幅度部分。对于`complex`的输入，绝对值是？a2+b2

```py
#importing pandas as pd
import pandas as pd
df = pd.DataFrame([[1.2 + 1j,-22,-12],[2, -1.259, -85]],columns=['A', 'B','C'])
print("-----DataFrame-----")
print(df)
print(abs(df))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧-
A B C
0 1.200000+1.00000j-22.000-12
1 2.000000+0.00000j-1.259-85
A B C
0 1.56205 22.000 12.0
1 2.00000 1.259 85.0

### 示例:获取数据帧特定列的绝对值

以下示例显示了如何获取数据帧中特定列的绝对值。

```py
import pandas as pd
df = pd.DataFrame([[23, -85, -0.25],[2, -1.259, -85],[-0.25,78.65],[2,-4,-4.256]],columns=['A', 'B','C'])
print("-----DataFrame-----")
print(df)
print("---printing absolute value of column 'A' of DataFrame---")
print(df['A'].abs())
print("---printing absolute value of column 'C' of DataFrame---")
print(df['C'].abs())
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧-
A B C
0 23.00-85.000-0.250
1 2.00-1.259-85.000
2-0.25 78.650 NaN
3 2.00-4.000-4.256
-打印数据帧的“A”列的绝对值-
0 23.00
1 2

### 结论

在本教程中，我们了解了数据帧的`abs()`方法。我们学习了`DataFrame.abs()`方法的语法和参数，并解决了不同的例子，以更好地理解这个话题。

* * *

* * *