# Pandas 数据帧`all()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-all-method>

在本教程中，我们将学习 Pandas 的`DataFrame.all()`方法。Pandas DataFrame.all()方法用于检查所有元素在轴上是否为真，并返回真，除非指定对象中至少有一个元素为假。它返回序列或数据帧。

下面显示了 DataFrame.all()方法的语法。

### 句法

使用这些方法所需的语法如下

```py
DataFrame.all(axis=0, bool_only=None, skipna=True, level=None, **kwargs)
```

### 因素

**轴:“0”**代表索引，**“1”**代表列，它指示应该减少哪个轴或哪些轴。如果此参数为“0”，它将减少索引并返回一个其索引为原始列标签的系列。如果此参数为“0”，它将缩小列并返回一个其索引为原始索引的 Series，如果参数为“无”，则它将缩小所有轴并返回一个标量。

**bool_only:** bool(真或假)，默认值为 None，它只包括布尔列。如果此参数为无，它将尝试使用所有内容，然后仅使用布尔数据。

**skipna:** bool(真或假)，默认值为 True。它排除所有缺失或空值。

**级别:**代表 int 或级别名称，默认值为 None。如果轴是一个多索引(分层)，则与特定级别一起计数，折叠成一个系列。

****kwargs:** 表示任意，默认为无。附加的关键字没有效果，但可能会被接受以与 NumPy 兼容。

### 示例:使用`DataFrame.all()` 方法检查数据帧

下面的例子展示了`DataFrame.all()` 方法是如何工作的。如果所有值都为真，则返回`True`，否则返回`False`。如果有多个列，它将逐列检查。

```py
import pandas as pd
df_1=pd.DataFrame([True,True])
df_2=pd.DataFrame([False,False])
df_3=pd.DataFrame([True,False])
df_4=pd.DataFrame([True,False],[True,False])
print(df_1.all())
print(df_2.all())
print(df_3.all())
print(df_4.all())
```

一旦我们运行该程序，我们将获得以下输出。

0 true
dttype:bool
0 false
dttype:bool
0 false
dttype:bool
0 false
dttype:bool

### 示例:使用`DataFrame.all()`方法检查数据帧列

以下示例显示了如何使用`DataFrame.all()`方法逐列检查数据帧的对象。该函数检查数据帧中该列的所有元素，只有当所有元素都符合条件时才返回`True`，否则返回`False`。

```py
import pandas as pd
data = {'A':[1,2,3,4,5],'B':[6,7,8,9,10]}
df = pd.DataFrame(data) 
print(df)
print(all(df['B']>df['A']))
print(all(df['B']<df['A']))
```

一旦我们运行该程序，我们将获得以下输出。

A B
0 1 6
1 2 7
2 3 8
3 4 9
4 5 10
真
假

### 示例:使用`DataFrame.all()`方法检查数据帧列

这个例子类似于前面的例子。在代码中，只需更改数据帧中的任何一个元素并检查输出。

```py
import pandas as pd
data = {'A':[1,2,3,4,5],'B':[6,2,8,9,10]}
df = pd.DataFrame(data) 
print(df)
print(all(df['B']>df['A']))
print(all(df['B']<df['A']))
```

一旦我们运行该程序，我们将获得以下输出。

A B
0 1 6
1 2 2
2 3 8
3 4 9
4 5 10
假
假

### 结论

在本教程中，我们学习了如何使用 PythonPandas 的`DataFrame.all()`方法。我们通过在 DataFrame 上应用这个函数解决了一些例子，并且理解了这个方法是如何工作的。

* * *

* * *