# Pandas 数据帧`any()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-any-method>

在本教程中，我们将学习 PythonPandas 的`DataFrame.any()`方法。Pandas DataFrame.any()方法用于检查轴上是否有任何元素为真，并返回 False，除非指定对象中至少有一个元素为真。它返回序列或数据帧。

下图显示了`DataFrame.any()`方法的语法。

### 句法

```py
DataFrame.any(axis=0, bool_only=None, skipna=True, level=None, **kwargs)[source]
```

### 因素

**轴:“0”**代表索引，**“1”**代表列，它指示应该减少哪个轴或哪些轴。如果此参数为“0”，它将减少索引并返回一个其索引为原始列标签的系列。如果此参数为“0”，它将缩小列并返回一个其索引为原始索引的 Series，如果参数为“无”，则它将缩小所有轴并返回一个标量。

**bool_only:** bool(真或假)，默认值为 None，它只包括布尔列。如果此参数为无，它将尝试使用所有内容，然后仅使用布尔数据。

**skipna:** bool(真或假)，默认值为 True。它排除所有缺失或空值。

**级别:**代表 int 或级别名称，默认无。如果轴是一个多索引(分层)，则与特定级别一起计数，折叠成一个系列。

****kwargs:** 表示任意，默认为无。附加的关键字没有效果，但可能会被接受以与 NumPy 兼容。

### 示例 1:使用`DataFrame.any()`方法检查数据帧

下面的例子展示了`DataFrame.any()`方法是如何工作的。如果数据帧中的任何值为真，则返回`True`，否则返回假。如果有多个列，它将逐列检查。

```py
import pandas as pd
df_1=pd.DataFrame([True,True])
df_2=pd.DataFrame([False,False])
df_3=pd.DataFrame([True,False])
df_4=pd.DataFrame([True,False],[True,False])
print(df_1.any())
print(df_2.any())
print(df_3.any())
print(df_4.any())
```

一旦我们运行该程序，我们将获得以下输出。

0 true
dttype:bool
0 false
dttype:bool
0 true
dttype:bool
0 true
dttype:bool

### 示例 2:使用`DataFrame.any()`方法检查数据帧列

以下示例显示了如何使用`DataFrame.any()`方法逐列检查数据帧的对象。该方法检查数据帧中该列的所有元素，只有当任何元素匹配条件时才返回`True`，否则返回`False`。

```py
import pandas as pd
data = {'A':[1,2,3,4,5],'B':[6,7,8,9,10]}
df = pd.DataFrame(data) 
print(df)
print(any(df['B']>df['A']))
print(any(df['B']<df['A']))
```

一旦我们运行该程序，我们将获得以下输出。

A B
0 1 6
1 2 7
2 3 8
3 4 9
4 5 10
真
假

### 示例 3:使用`DataFrame.any()`方法检查数据帧列

下面是另一个示例，展示了如何使用`DataFrame.any()`方法逐列检查数据帧的对象。在本例中，更改数据帧的元素并检查输出。该方法检查数据帧中该列的所有元素，只有当任何元素匹配条件时才返回`True`，否则返回`False`。

```py
import pandas as pd
data = {'A':[1,2,3,4,5],'B':[0,1,8,2,3]}
df = pd.DataFrame(data) 
print(df)
print(any(df['B']>df['A']))
print(any(df['B']<df['A']))
```

一旦我们运行该程序，我们将获得以下输出。

A B
0 1 0
1 2 1
2 3 8
3 4 2
4 5 3
真
真

### 结论

在本教程中，我们学习了如何使用 PythonPandas 的`DataFrame.any()`方法。我们通过在 DataFrame 上应用这种方法解决了一些例子，并理解了函数是如何工作的。

* * *

* * *