# Pandas 数据帧`corr()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-corr-method>

相关性是对两个变量之间线性关系的度量。在本教程中，我们将学习 PythonPandas`DataFrame.corr()`方法。此方法计算列的成对相关性，不包括空值。它返回相关矩阵数据帧。

下图显示了`DataFrame.corr()`函数的语法。

### 句法

```py
DataFrame.corr(method='pearson', min_periods=1)
```

### 因素

**方法** { '皮尔逊'，'肯德尔'，'斯皮尔曼' }或可调用

关联方法:

*   **皮尔逊**:标准相关系数

*   **肯德尔**:肯德尔τ相关系数

*   **斯皮尔曼**:斯皮尔曼等级关联

*   **可调用**:输入两个 1d 数组并返回一个浮点数即可调用。请注意，从 corr 返回的矩阵沿对角线将有 1，并且将是对称的，与可调用的行为无关。

**min_periods:** int，可选。每对列获得有效结果所需的最小观察次数。目前仅适用于皮尔逊和斯皮尔曼相关。

这些方法的输出介于 1 和-1 之间。

*   1 表示强烈的正关系。
*   -1 表示强烈的负面关系。
*   零的结果表示根本没有关系。

## 示例 1:使用`DataFrame.corr()`方法查找数据帧各列之间的相关性

下面的例子显示了如何使用`pearson`方法找到数据帧各列之间的相关性。

```py
import pandas as pd
chart = {'Name':['Chetan','yashas','yuvraj'],'Age':  [20,25,30],'Height': [155,160,175],'Weight': [55,60,75]}
df = pd.DataFrame(chart)
print(df)
print(df.corr(method='pearson'))
```

一旦我们运行该程序，我们将获得以下输出。在输出中，我们可以看到列之间的正相关性。

姓名年龄身高体重
0 车坛 20 155 55
1 雅夏士 25 160 60
2 尤瓦拉吉 30 175 75
年龄身高体重
年龄 1.000000 0.960769 0.960769
身高 0.960769 1.00000 1.00000
体重 0.960769 1.000009

## 示例 2:使用`DataFrame.corr()`方法查找数据帧各列之间的相关性

下面的例子显示了如何使用`kendall`方法找到数据帧各列之间的相关性。

```py
import pandas as pd
chart = {'Name':['Chetan','yashas','yuvraj'],'Age':  [20,25,30],'Height': [155,160,175],'Weight': [55,60,75]}
df = pd.DataFrame(chart)
print(df)
print(df.corr(method='kendall'))
```

一旦我们运行该程序，我们将获得以下输出。

姓名年龄身高体重
0 车坛 20 155 55
1 雅夏 25 160 60
2 尤瓦拉吉 30 175 75
年龄身高体重
年龄 1.0 1.0 1.0
身高 1.0 1.0 1.0
体重 1.0 1.0 1.0

### 结论

在本教程中，我们学习了 Pandas DataFrame.corr()方法。我们使用皮尔逊、肯德尔和斯皮尔曼方法找到数据帧列之间的相关性。

* * *

* * *