# Pandas 数据帧`cummax()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-cummax-method>

在本教程中，我们将学习 Pandas`DataFrame.cummax()`T4 法。它给出了数据帧或序列轴上的累积最大值。它返回包含`cumulative maximum`的相同大小的数据帧或序列。

下图显示了 Pandas`DataFrame.cummax()`方法的语法。

### 句法

```py
DataFrame.cummax(axis=None, skipna=True, *args, **kwargs)
```

### 因素

**轴:** {0 或'索引'，1 或'列' }，默认为 0。轴的索引或名称。0 相当于“无”或“索引”。

**skipna:** bool，默认为 True。排除无/空值。如果整行/整列为“无”，结果将为“无”。

***args，**kwargs** :额外的关键词没有效果，但是为了与 NumPy 兼容，可能会被接受。

## 示例 1:找到数据帧的累积最大值

以下示例显示了如何使用`DataFrame.cummax()`方法找到索引轴上数据帧的累积最大值。

```py
import pandas as pd  
# Creating the dataframe 
df = pd.DataFrame({"A":[1, 2, 8, 4], "B":[9, 10, 7, 8], "C":[9, 10, 11, 12],"D":[13, 16, 15, 16]})
print(df)
print("-----------Finding cumulative maximum-------")
print(df.cummax(axis = 0))
```

一旦我们运行该程序，我们将获得以下输出。

A B C D
0 1 9 9 13
1 2 10 10 16
2 8 7 11 15
3 4 8 12 16
-求累计最大值-
A B C D
0 1 9 9 13
1 2 10 10 16
2 8 10 11 16
3 8 10 12 16

## 例 2:求`column`轴上数据帧的累积最大值

以下示例显示了如何使用`DataFrame.cummax()`方法找到数据帧在列轴上的累积最大值。

```py
import pandas as pd  
# Creating the dataframe 
df = pd.DataFrame({"A":[1, 2, 8, 4], "B":[9, 10, 7, 8], "C":[9, 10, 11, 12],"D":[13, 16, 15, 16]})
print(df)
print("-----------Finding cumulative maximum-------")
print(df.cummax(axis = 1))
```

一旦我们运行该程序，我们将获得以下输出。

A B C D
0 1 9 9 13
1 2 10 10 16
2 8 7 11 15
3 4 8 12 16
-求累计最大值-
A B C D
0 1 9 9 13
1 2 10 16
2 8 11 15
3 4 8 12 16

## 示例 3:找到数据帧的累积最大值

以下示例显示了如何使用`DataFrame.cummax()`方法找到索引轴上具有空值的数据帧的累积最大值。

```py
import pandas as pd  
# Creating the dataframe 
df = pd.DataFrame({"A":[1, 2, 8, 4], "B":[9, None, 7, 8], "C":[9, 10, None, 12],"D":[None, 16, 15, 16]}) 
print(df)
print("-----------Finding cumulative maximum-------")
print(df.cummax(skipna=False))
```

一旦我们运行该程序，我们将获得以下输出。

A B C D
0 1 9.0 9.0 NaN
1 2 NaN 10.0 16.0
2 8 7.0 NaN 15.0
3 4 8.0 12.0 16.0
-求累计最大值-
A B C D
0 1 9.0 9.0 NaN
1 2 NaN 10.0 NaN
2 8 NaN NaN
3 8 NaN NaN NaN

### 结论

在本教程中，我们学习了 Pandas`DataFrame.cummax()`方法。我们学习了语法、参数，通过求解例子，我们理解了`DataFrame.cummax()`方法。

* * *

* * *