# Pandas 数据帧`cumprod()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-cumprod-method>

在本教程中，我们将学习 Pandas`DataFrame.cumprod()`方法。它给出了数据帧或序列轴上的累积积。它返回包含`cumulative product`的相同大小的数据帧或序列。

下图显示了 Pandas`DataFrame.cumprod()`方法的语法。

### 语法![](img/c0b891d06322ab0f23db0ec650281cc6.png)

```py
DataFrame.cumprod(axis=None, skipna=True, *args, **kwargs)
```

### 参数:

**轴:** {0 或'索引'，1 或'列' }，默认为 0。轴的索引或名称。0 相当于“无”或“索引”。

**skipna:** bool，默认为 True。排除无/空值。如果整行/整列为“无”，结果将为“无”。

***args，**kwargs** :额外的关键词没有效果，但是为了与 NumPy 兼容，可能会被接受。

## 示例 1:找到数据帧的累积乘积

下面的例子显示了如何使用`DataFrame.cumprod()`方法找到数据帧在索引轴上的累计乘积。

```py
import pandas as pd  
# Creating the dataframe 
df = pd.DataFrame({"A":[1, 2, 3, 4], "B":[5, 6, 7, 8]})
print(df)
print("-----------Finding cumulative product-------")
print(df.cumprod(axis = 0))
```

一旦我们运行该程序，我们将获得以下输出。

A B
0 1 5
1 2 6
2 3 7
3 4 8
-寻找累计产品-
A B
0 1 5
1 2 30
2 6 210
3 24 1680

## 示例 2:找到数据帧的累积乘积

下面的例子展示了如何使用`DataFrame.cumprod()`方法找到数据帧在列轴上的累计乘积。

```py
import pandas as pd  
# Creating the dataframe 
df = pd.DataFrame({"A":[1, 2, 3, 4], "B":[5, 6, 7, 8]})
print(df)
print("-----------Finding cumulative product-------")
print(df.cumprod(axis = 1))
```

一旦我们运行该程序，我们将获得以下输出。

A B
0 1 5
1 2 6
2 3 7
3 4 8
-寻找累计积-
A B
0 1 5
1 2 12
2 3 21
3 4 32

## 示例 3:找到数据帧的累积乘积

下面的例子显示了如何使用`DataFrame.cumprod()`方法找到索引轴上具有空值的数据帧的累积乘积。

```py
import pandas as pd  
# Creating the dataframe 
df = pd.DataFrame({"A":[1, 2, 3, 4], "B":[5, 6, None, 8]}) 
print(df)
print("-----------Finding cumulative product-------")
print(df.cumprod(skipna=False))
```

一旦我们运行该程序，我们将获得以下输出。

A B
0 1 5.0
1 2 6.0
2 3 NaN
3 4 8.0
-寻找累计乘积-
A B
0 1 5.0
1 2 30.0
2 6 NaN
3 24 NaN

### 结论

在本教程中，我们学习了 Pandas`DataFrame.cumprod()`方法。我们学习了语法、参数，通过求解例子，我们理解了`DataFrame.cumprod()`方法。

* * *

* * *