# Pandas 数据帧`cumsum()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-cumsum-method>

在本教程中，我们将学习 Pandas`DataFrame.cumsum()`方法。它给出了数据帧或序列轴上的累计总和。它返回包含`cumulative sum`的相同大小的数据帧或序列。

下图显示了 Pandas`DataFrame.cumsum()`方法的语法。

### 语法![](img/c0b891d06322ab0f23db0ec650281cc6.png)

```py
DataFrame.cumsum(axis=None, skipna=True, *args, **kwargs)
```

### 因素

**轴:** {0 或'索引'，1 或'列' }，默认为 0。轴的索引或名称。0 相当于“无”或“索引”。

**skipna:** bool，默认为 True。排除无/空值。如果整行/整列为“无”，结果将为“无”。

***args，**kwargs** :额外的关键词没有效果，但是为了与 NumPy 兼容，可能会被接受。

## 示例 1:查找数据帧的累积总和

下面的例子显示了如何使用`DataFrame.cumsum()`方法在**索引**轴上找到数据帧的累积和。

```py
import pandas as pd  
# Creating the dataframe 
df = pd.DataFrame({"A":[1, 2, 3, 4], "B":[5, 6, 7, 8]})
print(df)
print("-----------Finding cumulative sum-------")
print(df.cumsum(axis = 0))
```

一旦我们运行该程序，我们将获得以下输出。

A B
0 1 5
1 2 6
2 3 7
3 4 8
-求累计和-
A B
0 1 5
1 3 11
2 6 18
3 10 26

## 示例 2:查找数据帧的累积总和

以下示例显示了如何使用`DataFrame.cumsum()`方法找到**列**轴上数据帧的累积和。

```py
import pandas as pd  
# Creating the dataframe 
df = pd.DataFrame({"A":[1, 2, 3, 4], "B":[5, 6, 7, 8]})
print(df)
print("-----------Finding cumulative sum-------")
print(df.cumsum(axis = 1))
```

一旦我们运行该程序，我们将获得以下输出。

A B
0 1 5
1 2 6
2 3 7
3 4 8
-求累计和-
A B
0 1 6
1 2 8
2 3 10
3 4 12

## 示例 3:查找数据帧的累积总和

以下示例显示了如何使用`DataFrame.cumsum()`方法在索引轴上查找带有**空值**的数据帧的累积和。

```py
import pandas as pd  
# Creating the dataframe 
df = pd.DataFrame({"A":[1, 2, 3, 4], "B":[5, 6, None, 8]}) 
print(df)
print("-----------Finding cumulative sum-------")
print(df.cumsum(skipna=False))
```

一旦我们运行该程序，我们将获得以下输出。

A B
0 1 5.0
1 2 6.0
2 3 NaN
3 4 8.0
-求累计和-
A B
0 1 5.0
1 3 11.0
2 6 NaN
3 10 NaN

### 结论

在本教程中，我们学习了 Pandas`DataFrame.cumsum()`方法。我们学习了语法、参数，通过求解例子，我们理解了`DataFrame.cumsum()`方法。

* * *

* * *