# Pandas 数据帧`div()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-div-method>

在本教程中，我们将学习 Pandas`DataFrame.div()`T3】法。它返回 dataframe 和其他元素的浮点除法(二进制运算符 truediv)。它返回一个带有算术运算结果的数据帧。

下图显示了 Pandas`DataFrame.div()`方法的语法。

### 句法

```py
DataFrame.div(other, axis='columns', level=None, fill_value=None)
```

### 因素

**其他:**标量、序列、序列或数据帧。任何单个或多个元素数据结构，或类似列表的对象。

**轴:** {0 或‘索引’，1 或‘列’}。是按索引(0 或“索引”)还是按列(1 或“列”)进行比较。对于序列输入，轴与序列索引匹配。

**级别:** int 或 label。跨级别广播，匹配传递的多索引级别上的索引值。

**fill_value:** 浮动或无，默认无。在计算之前，用该值填充现有的缺失(NaN)值以及成功的数据帧对齐所需的任何新元素。如果两个相应数据帧位置的数据都丢失，结果也将丢失。

## 示例 1:使用`DataFrame.div()`方法分割数据帧

以下示例显示了使用`DataFrame.div()`方法将数据帧除以常数。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df1 = pd.DataFrame({'a': [2, 5, 6],'b': [8, 10, 12],'c': [14, 16, 18]})
print(df1.div(3))
```

一旦我们运行该程序，我们将获得以下输出。

a b c
0 0.6666672.666674.66667
1 1.666673.3333333 5.33333
2 2.000000 4.00000 6.000000

## 示例 2:使用`DataFrame.div()`方法分割数据帧

以下示例显示了使用`DataFrame.div()`方法将数据帧与其他数据帧分割。

```py
import pandas as pd
df1 = pd.DataFrame({'a': [2, 5, 6],'b': [8, 10, 12],'c': [14, 16, 18]})
df2 = pd.DataFrame({'a': [2, 2, 2],'b': [2, 2, 2],'c': [2, 2, 2]})
print(df1.div(df2))
```

一旦我们运行该程序，我们将获得以下输出。

a b c
0 1.0 4.0 7.0
1 2.5 5.0 8.0
2 3.0 6.0 9.0

## 示例 3:使用`DataFrame.div()`方法分割数据帧并填充空值

以下示例显示了使用`fill_value=1.`的`DataFrame.div()`方法将数据帧与其他数据帧分割

```py
import pandas as pd
df1 = pd.DataFrame({'a': [2, 5, 6],'b': [8, 10, 12],'c': [14, 16, 18]})
df2 = pd.DataFrame({'a': [2, 2, 2],'b': [2, 2, 2]})
print(df1.div(df2,fill_value=1))
```

一旦我们运行该程序，我们将获得以下输出。

a b c
0 1.0 4.0 14.0
1 2.5 5.0 16.0
2 3.0 6.0 18.0

### 结论

在本教程中，我们学习了 Pandas`DataFrame.div()`方法。我们通过在数据帧上应用这种方法来学习语法、参数和解决示例，并理解了这种方法。

* * *

* * *