# Pandas 数据帧`droplevel()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-droplevel-method>

在本教程中，我们将学习 Pandas`DataFrame.droplevel()`T4 法。它返回删除了请求的索引/列级别的数据帧。下面显示了`DataFrame.droplevel()`方法的语法。

### 句法

```py
DataFrame.droplevel(level, axis=0)
```

### 因素

**级别:** int、str 或类似列表。如果给定了字符串，则必须是级别的名称。如果类似于列表，元素必须是级别的名称或位置索引。

**轴:** {0 或'索引'，1 或'列' }，默认为 0。移除标高的轴:

*   0 或“索引”:删除列中的级别。

*   1 或“列”:删除行中的级别。

## 示例 1:使用`DataFrame.droplevel()`方法降低液位

`DataFrame.droplevel()`方法沿`row`轴降低数据帧中的指定级别。下面的例子显示了同样的情况。

```py
import pandas as pd
df = pd.DataFrame([[1, 2, 3, 4],[5, 6, 7, 8],[9, 10, 11, 12]]).set_index([0, 1]).rename_axis(['a', 'b'])
df.columns = pd.MultiIndex.from_tuples([('c', 'e'), ('d', 'f')], names=['level_1', 'level_2'])
print(df)
print("-----After dropping the specified level------")
print(df.droplevel('a'))
```

一旦我们运行该程序，我们将获得以下输出。

级别 _1 c d
级别 _ 2 e f
a b
1 2 3 4
5 6 7 8
9 10 11 12
-下降指定级别后-
级别 _1 c d
级别 _ 2 e f
b
2 3 4
6 7 8
10 11 12

## 示例 2:使用`DataFrame.droplevel()`方法降低液位

`DataFrame.droplevel()`方法沿`row`轴降低数据帧中的指定级别。下面的例子显示了同样的情况。

```py
import pandas as pd
df = pd.DataFrame([[1, 2, 3, 4],[5, 6, 7, 8],[9, 10, 11, 12]]).set_index([0, 1]).rename_axis(['a', 'b'])
df.columns = pd.MultiIndex.from_tuples([('c', 'e'), ('d', 'f')], names=['level_1', 'level_2'])
print(df)
print("-----After dropping the specified level------")
print(df.droplevel(1))
```

一旦我们运行该程序，我们将获得以下输出。

级别 _1 c d
级别 _ 2 e f
a b
1 2 3 4
5 6 7 8
9 10 11 12
-下降指定级别后-
级别 _1 c d
级别 _ 2 e f
a
1 3 4
5 7 8
9 11 12

## 示例 3:使用`DataFrame.droplevel()`方法降低液位

`DataFrame.droplevel()`方法沿`column`轴降低数据帧中的指定级别。下面的例子显示了同样的情况。

```py
import pandas as pd
df = pd.DataFrame([[1, 2, 3, 4],[5, 6, 7, 8],[9, 10, 11, 12]]).set_index([0, 1]).rename_axis(['a', 'b'])
df.columns = pd.MultiIndex.from_tuples([('c', 'e'), ('d', 'f')], names=['level_1', 'level_2'])
print(df)
print("-----After dropping the specified level------")
print(df.droplevel('level_2', axis=1))
```

一旦我们运行该程序，我们将获得以下输出。

级别 _1 c d
级别 _ 2 e f
a b
1 2 3 4
5 6 7 8
9 10 11 12
-下降指定级别后-
级别 _ 1 c d
a b
1 2 3 4
5 6 7 8
9 10 11 12

### 结论

在本教程中，我们学习了 Pandas`DataFrame.droplevel()`方法。我们学习了语法、参数，并通过将此方法应用于数据帧来解决示例，并理解了示例。

* * *

* * *