# Pandas 数据帧`ffill()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-ffill-method>

在本教程中，我们将学习 Pandas`DataFrame.ffill()`T4 法。此方法填充数据帧中缺失的值，填充代表`"forward fill"`，它取空值之前的最后一个值并填充它。

下图显示了 Pandas`DataFrame.ffill()`方法的语法。

### 句法

```py
DataFrame.ffill(axis=None, inplace=False, limit=None, downcast=None)
```

### 因素

**轴:** {0 或‘索引’，1 或‘列’}。填充缺失值的轴。

**inplace:** bool，默认 False。如果为真，请填写位置。**T3】**

**注意:**这将修改该对象上的任何其他视图(例如，数据帧中某列的无拷贝切片)。

**限制:** int，默认无。如果指定了方法，这是向前/向后填充的连续 NaN 值的最大数量。换句话说，如果有一个超过这个数量的连续 nan 的间隙，它将只被部分填充。如果未指定方法，这是沿整个轴将填充 NaNs 的最大条目数。如果不是“无”，则必须大于 0。

**向下转换:** dict，默认值为无。项的字典- >如果可能的话，要向下转换的数据类型，或者尝试向下转换为适当的相等类型的字符串“推断”(例如，如果可能的话，float64 到 int64)。

## 示例 1:使用`DataFrame.ffill()`方法填充缺失值

`DataFrame.ffill()`方法沿指定轴填充缺失值。下面的例子显示了同样的情况。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating DataFrame with null values
df=pd.DataFrame({"A":[2,None,4],"B":[None,4,np.nan],"C":[2,0.25,np.nan],"D":[9,4,None]})
print("---DataFrame is------")
print(df)
print("----Filling missing values--------")
print(df.ffill())
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C D
0 2.0 NaN 2.00 9.0
1 NaN 4.0 0.25 4.0
2 4.0 NaN NaN
-填充缺失值-
A B C D
0 2.0 NaN 2.00 9.0
1 2.0 4.0 0 0.25 4.0
2 4.0 4.0 0 0.25 4.0

## 示例 2:使用`DataFrame.ffill()`方法填充缺失值

`DataFrame.ffill()`方法沿指定轴填充缺失值。下面的例子显示了同样的情况。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating DataFrame with null values
df=pd.DataFrame({"A":[2,None,4],"B":[None,4,np.nan],"C":[2,0.25,np.nan],"D":[9,4,None]})
print("---DataFrame is------")
print(df)
print("----Filling missing values--------")
print(df.ffill(axis=1))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C D
0 2.0 NAn 2.00 9.0
1 NAn 4.0 0.25 4.0
2 4.0 NAn NAn NAn
-填充缺失值-
A B C D
0 2.0 2.0 2.00 9.0
1 NAn 4.0 0 25 4.0
2 4.0 4.0 4.00 4.0

## 示例 3:使用`DataFrame.ffill()`方法填充缺失值

如果`inplace=True` 就地填充并返回`None`，则`DataFrame.ffill()`方法沿指定的轴填充缺失的值。下面的例子显示了同样的情况。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating DataFrame with null values
df=pd.DataFrame({"A":[2,None,4],"B":[None,4,np.nan],"C":[2,0.25,np.nan],"D":[9,4,None]})
print("---DataFrame is------")
print(df)
print("----Filling missing values--------")
print(df.ffill(axis=1,inplace=True))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C D
0 2.0 NAn 2.00 9.0
1 NAn 4.0 0.25 4.0
2 4.0 NAn NAn NAn
-填充缺失值-
无

## 示例 4:使用`DataFrame.ffill()`方法填充缺失值

如果指定了`limit`方法，这是向前填充数据帧的最大连续 NaN 值。下面的例子显示了同样的情况。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating DataFrame with null values
df=pd.DataFrame({"A":[2,None,4],"B":[None,4,np.nan],"C":[2,0.25,np.nan],"D":[9,4,None]})
print("---DataFrame is------")
print(df)
print("----Filling missing values--------")
print(df.ffill(axis=1,limit=2))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C D
0 2.0 NAn 2.00 9.0
1 NAn 4.0 0.25 4.0
2 4.0 NAn NAn NAn
-填充缺失值-
A B C D
0 2.0 2.0 2.00 9.0
1 NAn 4.0 0 25 4.0
2 4.0 4.0 4.00 NAn

### 结论

在本教程中，我们学习了 Pandas`DataFrame.ffill()`方法。我们学习了语法、参数，并通过在数据帧上应用这种方法，我们解决了示例并理解了`DataFrame.ffill()`方法。

* * *

* * *