# Pandas 数据帧`first()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-first-method>

在本教程中，我们将学习 Pandas`DataFrame.first()`T4 法。它根据日期偏移选择时间序列数据的初始周期。当数据帧以日期为索引时，此方法可以根据日期偏移量选择前几行。如果索引不是日期时间索引，它将返回数据帧并引发`TypeError`。

下图显示了`DataFrame.first()`方法的语法。

### 句法

```py
DataFrame.first(offset)
```

### 因素

**偏移量:** str、DateOffset 或 dateutil.relativedelta。将被选择的数据的偏移量长度。例如，“1M”将显示第一个月内有索引的所有行。

### 示例:使用`DataFrame.first()`方法获取 bu 行

以下示例显示了获取前 3 天的行。在下面的例子中，返回了前 3 个`calendar` `days`的数据，而不是数据集中观察到的前 3 天，因此没有返回 2021-01-13 的数据。

```py
#importing pandas as pd
import pandas as pd
i = pd.date_range('2021-01-09', periods=4, freq='2D')
df = pd.DataFrame({'A': [1, 2, 3, 4]}, index=i)
print("The DataFrame is")
print(df)
print(df.first('3D'))
```

一旦我们运行该程序，我们将获得以下输出。

数据帧为
A
2021-01-09 1
2021-01-11 2
2021-01-13 3
2021-01-15 4
A
2021-01-09 1
2021-01-11 2

### 示例:使用`DataFrame.first()`方法获取行

除了返回前两天之外，下面的示例与前面的示例相似。

```py
#importing pandas as pd
import pandas as pd
i = pd.date_range('2021-01-09', periods=4, freq='4D')
df = pd.DataFrame({'A': [1, 2, 3, 4]}, index=i)
print("The DataFrame is")
print(df)
print(df.first('2D'))
```

一旦我们运行该程序，我们将获得以下输出。

数据帧为
A
2021-01-09 1
2021-01-13 2
2021-01-17 3
2021-01-21 4
A
2021-01-09 1

### 示例:使用`DataFrame.first()`方法获取前 n 个月的行

以下示例显示了获取前 1 个月的行。

```py
#importing pandas as pd
import pandas as pd
i = pd.date_range('2021-01-01', periods=4, freq='1M')
df = pd.DataFrame({'A': [1, 2, 3, 4]}, index=i)
print("The DataFrame is")
print(df)
print(df.first('1M'))
```

一旦我们运行该程序，我们将获得以下输出。

数据帧为
A
2021-01-31 1
2021-02-28 2
2021-03-31 3
2021-04-30 4
A
2021-01-31 1
2021-02-28 2

### 示例:`DataFrame.first()`方法中的类型错误

如果指数不是`DatetimeIndex.`，则`DataFrame.first()`方法提高`TypeError`

```py
#importing pandas as pd
import pandas as pd
df = pd.DataFrame({'A': [1, 2, 3, 4]})
print(df.first('1M'))
```

一旦我们运行该程序，我们将获得以下输出。

类型错误:“第一个”只支持日期时间索引

### 结论

在本教程中，我们学习了 Pandas`DataFrame.first()`方法。我们学习了语法，通过在数据帧上应用这种方法，我们解决了一些例子并理解了 `DataFrame.first()`方法。

* * *

* * *