# Pandas 数据帧`first_valid_index()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-first_valid_index-method>

在本教程中，我们将学习 Pandas`DataFrame.first_valid_index()` 的方法。通过使用这种方法，我们可以获得第一个非 NA/null 值的索引。它返回一个标量，该标量是索引的类型。如果所有元素都是非空值，则返回`None`，对于`empty DataFrame.`，则返回`None`

下图显示了`DataFrame.first_valid_index()`的语法。

### 句法

```py
DataFrame.first_valid_index()
```

## 示例:`DataFrame.first_valid_index()`方法

用空值创建数据帧，并使用`DataFrame.first_valid_index()`方法获取第一个非 NA 值的索引。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
df = pd.DataFrame([[np.nan, np.nan, np.nan],[np.nan, 2,5],[1, 3, 4],[np.nan,3,np.nan],[2, 8, 0],[7, 5, 4]],columns=list('ABC'))
print("-----The DataFrame is-----")
print(df)
print("Index for first non-NA/null value is:",df.first_valid_index())
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C
0 NaN NaN
1 NaN 2.0 5.0
2 1.0 3.0 4.0
3 NaN 3.0 NaN
4 2.0 8.0 0.0
5 7.0 5.0 4.0
第一个非 NA/null 值的索引为:1

## 示例:使用``DataFrame.first_valid_index()`` 方法查找第一个非 NA/null 值的索引

这是另一个更好地理解 first_valid_index()方法的例子。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
df = pd.DataFrame([[np.nan, np.nan, np.nan],[np.nan, np.nan, np.nan],[np.nan, np.nan, np.nan],[np.nan,3,np.nan],[2, 8, 0],[7, 5, 4]],columns=list('ABC'))
print("-----The DataFrame is-----")
print(df)
print("Index for first non-NA/null value is:",df.first_valid_index())
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C
0 NAn NAn NAn
1 NAn NAn NAn
2 NAn NAn NAn
3 NAn 3.0 NAn
4 2.0 8.0 0
5 7.0 5.0 4.0
第一个非 NA/null 值的索引为:3

### 示例:数据帧包含所有空值

如果所有元素都是非空的，则``DataFrame.first_valid_index()`` 方法返回`None`。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
df = pd.DataFrame([[np.nan, np.nan, np.nan],[np.nan, np.nan, np.nan],[np.nan, np.nan, np.nan],[np.nan, np.nan, np.nan]],columns=list('ABC'))
print("-----The DataFrame is-----")
print(df)
print("Index for first non-NA/null value is:",df.first_valid_index())
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C
0 NaN NaN
1 NaN NaN
2 NaN NaN
3 NaN NaN
第一个非 NA/空值的索引为:无

### 结论

在本教程中，我们学习了 Pandas`DataFrame.first_valid_index()`方法。我们学习了语法，通过在数据帧上应用这种方法，我们解决了一些例子并理解了 `DataFrame.first_valid_index()`方法。

* * *

* * *