# Pandas 数据帧`floordiv()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-floordiv-method>

在本教程中，我们将学习 Pandas`DataFrame.floordiv()`的方法。该方法用于获取数据帧的整数部分和其他元素部分(二进制运算符 floordiv)。它相当于`dataframe // other`，但支持用 fill_value 替换其中一个输入中缺失的数据。使用反向版本，可以使用 rfloordiv 方法。

下图显示了`DataFrame.floordiv()`方法的语法。

### 句法

```py
DataFrame.floordiv(other, axis='columns', level=None, fill_value=None)
```

### 因素

**其他:**标量、序列、序列或数据帧。任何单个或多个元素数据结构，或类似列表的对象。

**轴:** {0 或‘索引’，1 或‘列’}。是按索引(0 或“索引”)还是按列(1 或“列”)进行比较。对于序列输入，轴与序列索引匹配。

**级别:** int 或 label。跨级别广播，匹配传递的多索引级别上的索引值。

**fill_value:** 浮动或无，默认无。在计算之前，用该值填充现有的缺失(NaN)值以及成功的数据帧对齐所需的任何新元素。如果两个相应数据帧位置的数据都丢失，结果也将丢失。

## 示例 1:使用`DataFrame.floordiv()`方法获取整数除法

让我们将`DataFrame.floordiv()`方法应用于数据帧，并获得带常数的整数除法。下面的例子显示了运行的代码。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating the DataFrame
df=pd.DataFrame({"A":[2,5],"B":[6,7],"C":[3,1]})
print("--------The DataFrame is---------")
print(df)
print("----After applying floordiv function-----")
print(df.floordiv(2))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C
0 2 6 3
1 5 7 1
-应用楼层划分方法后
A B C
0 1 3 1
1 2 3 0

## 例 2:使用`DataFrame.floordiv()`方法得到整数除法

让我们对数据帧应用`DataFrame.floordiv()`方法，用`Series`得到整数除法。下面的例子显示了 runnig 代码。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating the DataFrame
df=pd.DataFrame({"A":[9,5],"B":[3,7],"C":[3,1]})
print("--------The DataFrame is---------")
print(df)
series = pd.Series([2, 3]) 
print("----After applying floordiv function-----")
print(df.floordiv(series,axis=0) )
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C
0 9 3 3
1 5 7 1
-应用楼层划分方法后-
A B C
0 4 1
1 1 2 0

## 例 3:使用`DataFrame.floordiv()`方法得到整数除法

让我们对数据帧应用`DataFrame.floordiv()`方法，用`fillvalue=30`得到整数除法。下面的例子显示了运行的代码。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating the DataFrame
df=pd.DataFrame({"A":[2,5,None],"B":[6,7,np.nan],"C":[np.nan,3,1]})
print("--------The DataFrame is---------")
print(df)
print("----After applying floordiv function-----")
print(df.floordiv(3,fill_value = 30))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C
0 2.0 6.0 NAn
1 5.0 7.0 3.0
2 NAn NAn 1.0
-应用楼层划分方法后-
A B C
0 0.0 2.0 10.0
1 1.0 2.0 1.0
2 10.0 10.0 0.0

### 结论

在本教程中，我们学习了 Pandas`DataFrame.floordiv()`方法。我们学习了语法、参数，并通过在数据帧上应用该方法来理解 `DataFrame.floordiv()`方法。

* * *

* * *