# Pandas 数据帧`from_dict()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-from_dict-method>

在本教程中，我们将学习 Pandas`DataFrame.from_dict()`的方法。它从类数组或字典类型的字典中构造数据帧。它通过允许数据类型规范的列或索引从[字典](https://www.studytonight.com/python/dictionaries-in-python)创建一个数据帧对象。

下图显示了`DataFrame.from_dict()`方法的语法。

### 句法

```py
DataFrame.from_dict(data, orient='columns', dtype=None, columns=None)
```

### 因素

**数据:** dict。形式为{字段:类似数组}或{字段:dict}。

**方向:** {'columns '，' index'}，默认' columns '。数据的“方向”。如果传递的 dict 的键应该是结果数据帧的列，则传递“columns”(默认)。否则，如果键应该是行，则传递“index”。

**数据类型:**数据类型，默认无。数据类型来强制，否则推断。

**列:**列表，默认无。`orient='index'`时使用的列标签。如果与`orient='columns'`一起使用，将引发值错误。

## 示例:从字典创建数据帧

默认情况下，从字典创建数据帧时，字典的`keys`成为数据帧`columns`。

```py
#import pandas as pd
import pandas as pd
#creating dictionary
data = {'key_1': [3, 2, 1, 0], 'key_2': ['a', 'b', 'c', 'd']}
print("The python dictionary is:",data)
#creating DataFrame
df=pd.DataFrame.from_dict(data)
print("----------The DataFrame is----------")
print(df)
```

一旦我们运行该程序，我们将获得以下输出。

python 字典为:{'key_1': [3，2，1，0]，' key_2': ['a '，' b '，' c '，' d']}
-数据帧为-
key _ 1 key _ 2
0 3a
1 2b
2 1c
3 0d

## 示例:从字典创建数据帧

当`DataFrame.`中的`orient='index'`时，字典的`keys`成为数据帧`rows`。下面的例子显示了同样的情况。

```py
#import pandas as pd
import pandas as pd
#creating dictionary
data = {'key_1': [3, 2, 1, 0], 'key_2': ['a', 'b', 'c', 'd']}
print("The python dictionary is:",data)
#creating DataFrame
df=pd.DataFrame.from_dict(data,orient='index')
print("----------The DataFrame is----------")
print(df)
```

一旦我们运行该程序，我们将获得以下输出。

python 字典为:{'key_1': [3，2，1，0]，' key_2': ['a '，' b '，' c '，' d']}
-数据帧为-
0 1 2 3
key _ 1 3 2 1 0
key _ 2 a b c d

## 示例:从字典创建数据帧

使用`‘index’`方向时，可以手动指定列名。见下面的例子。

```py
#import pandas as pd
import pandas as pd
#creating dictionary
data = {'key_1': [3, 2, 1, 0], 'key_2': ['a', 'b', 'c', 'd']}
print("The python dictionary is:",data)
#creating DataFrame
df=pd.DataFrame.from_dict(data,orient='index',columns=['A', 'B', 'C', 'D'])
print("----------The DataFrame is----------")
print(df)
```

一旦我们运行该程序，我们将获得以下输出。

python 字典为:{'key_1': [3，2，1，0]，' key_2': ['a '，' B '，' C '，' d']}
-数据帧为-
A B C D
key _ 1 3 2 1 0
key _ 2 A B C D

### 结论

在本教程中，我们学习了 Pandas`DataFrame.from_dict()`方法。我们学习了语法、参数，并通过在数据帧上应用该方法来理解`DataFrame.from_dict()`方法。

* * *

* * *