# Pandas 数据帧`get()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-get-method>

在本教程中，我们将学习 Pandas`DataFrame.get()`的方法。此[方法](https://www.studytonight.com/python/modules-and-functions)用于从给定键的对象中获取项目(例如:数据帧列)。如果找不到指定的键，它将返回默认值。

下图显示了`DataFrame.get()`方法的语法。

### 句法

```py
DataFrame.get(key, default=None)
```

### 参数:

**键:**对象

### 示例:使用`DataFrame.get()`方法获取数据帧的列

我们可以通过在`DataFrame.get()`方法中将列名定义为关键字来从数据帧中提取列。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"],"YOP":[2019,None]})
print("------The DataFrame is--------")
print(df)
print("-----Getting single columns-----")
print(df.get("Age"))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
名称年龄教育 YOP
0 纳维亚 25 M.Tech 2019.0
1 Vindya 24 博士 NaN
-获取单列-
0 25
1 24
名称:年龄，数据类型:int64

### 示例:使用`DataFrame.get()`方法获取数据帧的多列

我们可以通过在`DataFrame.get()`方法中将列名定义为键来从数据帧中提取多列。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"],"YOP":[2019,None]})
print("------The DataFrame is--------")
print(df)
print("-----Getting multiple columns-----")
print(df.get(["Name","Education"]))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
名龄教育 YOP
0 纳维雅 25 M.Tech 2019.0
1 Vindya 24 博士 NaN
-获取多列-
名龄教育
0 纳维雅 M.Tech
1 Vindya 博士

### 示例:使用`DataFrame.get()`方法和`default`方法获取数据帧的列

如果找不到指定的键，它将返回默认值。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"],"YOP":[2019,None]})
print("------The DataFrame is--------")
print(df)
print("-----Getting columns-----")
print(df.get("skills",default="Specified key is not mentioned"))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
名称年龄教育 YOP
0 纳维亚 25 M.Tech 2019.0
1 Vindya 24 博士 NaN
-获取列-
未提及指定键

### 结论

在本教程中，我们学习了 Pandas`DataFrame.get()`方法。我们学习了语法，通过在数据帧上应用这个方法，我们理解了 `DataFrame.get()`方法。

* * *

* * *