# Pandas 数据帧`head()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-head-method>

在本教程中，我们将学习 Pandas`DataFrame.head()`的方法。此方法用于获取数据帧的前 n 行。当我们想要检查对象中有哪种类型的数据时，这种方法很方便。如果我们给“n”一个负值，这个方法返回除最后 n 行之外的所有行，相当于`df[:-n].`

下图显示了`DataFrame.head()`方法的语法。

### 句法

```py
DataFrame.head(n=5)
```

### 参数:

**n:** 表示 int，默认值为 5，即选择的行数。

## 示例:使用`DataFrame.head()`方法获取数据帧的前 n 行

这里，使用`DataFrame.head()`方法，我们得到了数据帧的前 5 行。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating the DataFrame
df= pd.DataFrame({'Language': ['Kannada','Hindi', 'Telugu', 'Tamil', 'Malyalam','Marathi','Konkani','Tulu']})
print("----First 5 rows of the DataFrame is-----")
print(df.head())
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧的前 5 行是-
语言
0 卡纳达语
1 印地语
2 泰卢固语
3 泰米尔语
4 马尔亚拉姆语

## 示例:在`DataFrame.head()`方法中指定行数

我们可以指定要查看的行数，在本例中，我们将`n` 值设为 2。`DataFrame.head()`方法返回前 2 行。

```py
#importing pandas as pd
import pandas as pd
#creating the DataFrame
df= pd.DataFrame({'Language': ['Kannada','Hindi', 'Telugu', 'Tamil', 'Malyalam','Marathi','Konkani','Tulu']})
print("----First n rows of the DataFrame is-----")
print(df.head(n=2))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧的前 n 行是-
语言
0 卡纳达语
1 印地语

## 示例:`DataFrame.head()`方法中`'n'`的负值

在这个例子中，我们给`n`一个负值。对于`n`的负值，该方法返回除`last n`行之外的所有行，相当于`df[:-n]`。

```py
#importing pandas as pd
import pandas as pd
#creating the DataFrame
df= pd.DataFrame({'Language': ['Kannada','Hindi', 'Telugu', 'Tamil', 'Malyalam','Marathi','Konkani','Tulu']})
print("----First n rows of the DataFrame is-----")
print(df.head(-2))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧的前 n 行是-
语言
0 卡纳达语
1 印地语
2 泰卢固语
3 泰米尔语
4 马尔亚拉姆语
5 马拉地语

### 结论:

在本教程中，我们学习了 Pandas`DataFrame.head()`方法。我们学习了语法，通过在数据帧上应用这种方法，我们解决了一些例子并理解了 `DataFrame.head()`方法。

* * *

* * *