# Pandas 数据帧`info()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-info-method>

在本教程中，我们将讨论和学习 Pandas`DataFrame.info()` 的方法。此方法可用于获取数据帧的摘要。当我们在数据帧上应用此方法时，它会打印关于数据帧的信息，包括索引数据类型和列、非空值以及内存使用情况。

下面是`DataFrame.info()`方法的语法。

### 句法

```py
DataFrame.info(verbose=None, buf=None, max_cols=None, memory_usage=None, show_counts=None, null_counts=None)
```

### `DataFrame.info()`方法的一些重要参数是，

**数据:**它表示数据帧，打印关于它的信息。

**verbose:** 表示 bool(真或假)，可选。它指示是否打印数据帧的完整摘要。

**memory_usage:** 表示 bool(真或假)，可选。它指定是否显示包含索引的 DataFrame 元素的总内存使用信息

**show_counts:** 表示 bool(真或假)，可选。它指示是否显示非空计数。

**null_counts:** 表示 bool(真或假)，可选。

## 示例:`DataFrame.info()`方法

`DataFrame.info()`方法打印数据帧的完整摘要。看，这在下面的例子中是如何工作的。

```py
import pandas as pd
int_values = [1, 2, 3, 4, 5]
text_values = ['alpha', 'beta', 'gamma', 'delta', 'epsilon']
float_values = [0.0, 0.25, 0.5, 0.75, 1.0]
df = pd.DataFrame({"int_col": int_values, "text_col": text_values,"float_col": float_values})
print("----SUMMARY OF THE DATAFRAME IS-----")
print(df.info(verbose=True))
```

-数据帧的概要 IS -
<类“pandas . core . frame . Data frame”>
范围索引:5 个条目，0 到 4
数据列(总共 3 列):
#列非空计数数据类型
-
0 int _ col 5 非空 int64
1 text_col 5 非空对象
2 float_col 5 非空 float64
数据类型:float64(1

## 示例:在`DataFrame.info()`方法中设置`verbose=False`

这里，我们打印的是列数及其数据类型的摘要，而不是每列信息。见下面的例子。

```py
import pandas as pd
int_values = [1, 2, 3, 4, 5]
text_values = ['alpha', 'beta', 'gamma', 'delta', 'epsilon']
float_values = [0.0, 0.25, 0.5, 0.75, 1.0]
df = pd.DataFrame({"int_col": int_values, "text_col": text_values,"float_col": float_values})
print("----SUMMARY OF THE DATAFRAME IS-----")
print(df.info(verbose=False))
```

-data frame IS-
<类的概要“pandas . core . frame . data frame”>
范围索引:5 个条目，0 到 4
列:3 个条目，int_col 到 float_col
数据类型:float64(1)，int64(1)，object(1)
内存使用:248.0+字节
无

## 示例:`DataFrame.info()`方法

当我们设置参数`null_counts=False,`时，`DataFrame.info()`方法通过排除空计数来打印数据帧的完整摘要。见下面的例子。

```py
import pandas as pd
import numpy as np
int_values = [np.nan,np.nan,np.nan,np.nan,np.nan]
text_values = ['alpha', 'beta', 'gamma','delta', 'epsilon']
float_values = [0.0, 0.25, 0.5, 0.75, 1.0]
df = pd.DataFrame({"int_col": int_values, "text_col": text_values,"float_col": float_values})
print("----SUMMARY OF THE DATAFRAME IS-----")
print(df.info(verbose=True,null_counts = False))
```

-Data frame IS-
<类“pandas . core . frame . Data frame”>
范围索引:5 个条目，0 到 4 个
数据列(共 3 列):
# Column Dtype
-
0 int _ col float 64
1 text _ col object
2 float _ col float 64
dtypes:float 64(2)，object(1)
内存使用量:248

### 结论

在本教程中，我们学习了 Pandas`DataFrame.info()`方法。我们学习了语法，并通过一些例子在数据帧上应用了这个方法。

* * *

* * *