# Pandas 数据帧`isna()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-isna-method>

在本教程中，我们将学习 Pandas`DataFrame.isna()`方法。该方法可用于检测缺失值。当此方法应用于数据帧时，它返回布尔值的数据帧。如果结果数据帧由“真”组成，则表示该元素为空值；如果为“假”，则表示该元素不是空值。该方法不将空字符串`''`或`numpy.inf`等字符视为空值。

下面是`DataFrame.isna()`方法的语法。

### 句法

```py
DataFrame.isna()
```

## 示例 1:检测 Pandas 的缺失值

这里，我们使用`DataFrame.isna()` 方法检测数据帧中缺失的值，该方法返回数据帧，该数据帧由数据帧中每个元素的布尔值组成，该值指示一个元素是否为`NA` 值。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating the DataFrame
df = pd.DataFrame([(0.0, np.nan, -1.0, 1.0),(np.nan, 2.0, np.nan, np.nan),(2.0, 3.0, np.nan, 9.0),],columns=list('abcd'))
print("------The DataFrame is----------")
print(df)
print("---------------------------------")
print(df.isna())
```

-数据帧为-
a b c d
0 0.0 NaN-1.0 1.0
1 NaN 2.0 NaN
2 2.0 3.0 NaN 9.0
-
a b c d
0 假真假假
1 真假真
2 假假真假

## 示例 2:检测 Pandas 的缺失值

这个例子类似于前面的例子，并且`DataFrame.isna()`方法不考虑**空字符串**作为 NA 值。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating the DataFrame
df = pd.DataFrame({'a':[0,1,''],'b':['',None,3]})
print("------The DataFrame is----------")
print(df)
print("---------------------------------")
print(df.isna())
```

-数据帧为-
a b
0 0
1 无
2 3
-
a b
0 假假
1 假真
2 假

### 结论

在本教程中，我们学习了 Pandas`DataFrame.isna()`方法。我们学习了语法，并使用`DataFrame.isna()`方法检查数据帧是否包含空值。

* * *

* * *