# Pandas 数据帧`items()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-items-method>

在本教程中，我们将学习 Pandas`DataFrame.items()`方法。此方法迭代(列名、序列)对。当此方法应用于数据帧时，它会遍历数据帧列并返回一个由`column name`和`content`组成的`tuple`作为`Series`。

下面是`DataFrame.items()`方法的语法。

### 句法

```py
DataFrame.items()
```

## 示例 1:使用`DataFrame.items()`方法迭代数据帧

当我们使用`DataFrame.items()`方法迭代数据帧的列时，它将返回`generator object`。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("-----------The DataFrame is-------")
print(df)
print("---------Iterate over column name---------")
print(df.items())
```

-数据帧是-
名称年龄教育
id 001 Navya 25M . Tech
id 002 Vindya 24 博士
-迭代列名-
<生成器对象数据帧项位于 0x000001E341897350 >

## 示例 2:使用`DataFrame.items()`方法迭代数据帧

在最后一个例子中，我们理解当我们使用`DataFrame.items()`方法迭代数据帧的列时，它将返回`generator object`。通过使用 for 循环，我们可以使用这个对象来生成一对`column_name` 和值。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("---------Iterate over column name---------")
for column_name,data in df.items():
    print('column_name:',column_name,'data:',data)
```

-迭代列名-
列名:名称数据:id001 Navya
id002 Vindya
名称:名称，数据类型:对象
列名:年龄数据:id001 25
id002 24
名称:年龄，数据类型:int64
列名:教育数据:id001 M.Tech
id002 Ph.d
名称:教育，数据类型:对象

## 示例 3:使用`DataFrame.items()`方法迭代数据帧

我们也可以通过指定索引号来打印某一行。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("-----------The DataFrame is-------")
print(df)
print("---------Iterate over column name---------")
for column_name,data in df.items():
    print('column_name:',column_name,'data:',data[0])
```

-数据帧为-
名称年龄教育
id 001 Navya 25M.Tech
id 002 Vindya 24 博士
-迭代列名-
列名:姓名数据:Navya
列名:年龄数据:25
列名:教育数据:M . Tech

## 示例 4:使用`DataFrame.items()`方法迭代数据帧

我们可以从整个数据帧中迭代指定的索引或列。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("-----------The DataFrame is-------")
print(df)
print("---------Iterate over column name---------")
for column_name,data in df.items():
    print('column_name:',column_name,'data:',data['id001'])
```

-数据帧为-
名称年龄教育
id 001 Navya 25M.Tech
id 002 Vindya 24 博士
-迭代列名-
列名:姓名数据:Navya
列名:年龄数据:25
列名:教育数据:M . Tech

### 结论:

在本教程中，我们学习了 Pandas`DataFrame.items()`方法。我们学习了语法并将该方法应用于数据帧，以理解 `DataFrame.items()`方法。

* * *

* * *