# Pandas 数据帧`iteritems()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-iteritems-method>

在本教程中，我们将学习 Pandas`DataFrame.iteritems()`方法。此方法迭代(列名、序列)对。当此方法应用于数据帧时，它会遍历数据帧列并返回一个由`column name`和`content`组成的`tuple`作为`Series`。

下面是`DataFrame.iteritems()`方法的语法。

### 句法

```py
DataFrame.iteritems()
```

### **产量**

**标签:**它代表的对象是正在迭代的数据帧中的列名。

**内容:**代表系列。每个标签的内容代表一个系列。

## 示例:使用`DataFrame.iteritems()`方法迭代列名

当我们使用`DataFrame.items()`方法迭代数据帧的列时，它将返回`generator object`。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("-----------The DataFrame is-------")
print(df)
print("---------Iterate over column name---------")
print(df.iteritems())
```

-数据帧是-
名称年龄教育
id 001 Navya 25M . Tech
id 002 Vindya 24 博士
-迭代列名-
<生成器对象数据帧项位于 0x000001E341897350 >

## 示例:使用 for 循环使用`DataFrame.iteritems()`方法迭代列名

在最后一个例子中，我们理解当我们使用`DataFrame.iteritems()`方法迭代数据帧的列时，它将返回`generator object`。通过使用 for 循环，我们可以使用这个对象来生成一对`column_name` 和`data`。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("---------Iterate over column name---------")
for column_name,data in df.iteritems():
    print('column_name:',column_name,'data:',data)
```

-迭代列名-
列名:名称数据:id001 Navya
id002 Vindya
名称:名称，数据类型:对象
列名:年龄数据:id001 25
id002 24
名称:年龄，数据类型:int64
列名:教育数据:id001 M.Tech
id002 Ph.d
名称:教育，数据类型:对象

## 示例:使用 for 循环使用`DataFrame.iteritems()`方法迭代指定的索引

我们也可以通过指定索引号来打印某一行。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("-----------The DataFrame is-------")
print(df)
print("---------Iterate over column name---------")
for column_name,data in df.iteritems():
    print('column_name:',column_name,'data:',data[0])
```

-数据帧为-
名称年龄教育
id 001 Navya 25M.Tech
id 002 Vindya 24 博士
-迭代列名-
列名:姓名数据:Navya
列名:年龄数据:25
列名:教育数据:M . Tech

## 示例:使用 for 循环使用`DataFrame.iteritems()`方法迭代指定的索引

我们还可以指定索引的名称，而不是索引号。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("-----------The DataFrame is-------")
print(df)
print("---------Iterate over column name---------")
for column_name,data in df.iteritems():
    print('column_name:',column_name,'data:',data['id001'])
```

-数据帧为-
名称年龄教育
id 001 Navya 25M.Tech
id 002 Vindya 24 博士
-迭代列名-
列名:姓名数据:Navya
列名:年龄数据:25
列名:教育数据:M . Tech

### 结论:

在本教程中，我们学习了 Pandas`DataFrame.iteritems()`方法。我们学习了语法，通过在数据帧上应用这种方法，我们解决了一些例子并理解了 `DataFrame.iteritems()`方法。

* * *

* * *