# Pandas 数据帧`iterrows()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-iterrows-method>

在本教程中，我们将学习 Pandas`DataFrame.iterrows()`方法。此方法以(索引、序列)对的形式迭代行。当此方法应用于数据帧时，它会遍历数据帧行并返回一个由`column name`和`content` 组成的`tuple`作为`Series`。

下图显示了`DataFrame.iterrows()`方法的语法。

### 句法

```py
DataFrame.iterrows()
```

### 示例:使用`DataFrame.iterrows()`方法迭代行名

当我们使用`DataFrame.iterrows()`方法迭代数据帧的行时，它将返回`generator object`。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("-----------The DataFrame is-------")
print(df)
print("---------Iterate over rows name---------")
print(df.iterrows())
```

-数据帧是-
名称年龄教育
id 001 Navya 25M . Tech
id 002 Vindya 24 博士
-遍历行名称-
<生成器对象数据帧 over rows 位于 0x000001E34195B890 >

### 示例:`DataFrame.iterrows()`方法

在最后一个例子中，我们理解当我们使用`DataFrame.iterrows()`方法迭代数据帧的行时，它将返回`generator object`。通过使用 for 循环，我们可以使用这个对象来生成一对`index_name` 和`data`。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("---------Iterate over rows name---------")
for column_name,data in df.iterrows():
    print('index_name:',column_name,'data:',data)
```

一旦我们运行该程序，我们将获得以下输出。

-遍历行名称-
index_name: id001 数据:Name Navya
Age 25
教育 M.Tech
名称:id001，dtype: object
index _ Name:id002 数据:Name Vindya
Age 24
教育博士
名称:id 002，dtype:object

### 示例:`DataFrame.iterrows()`方法

我们也可以通过指定索引号来打印某一**行**。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("---------Iterate over rows name---------")
for column_name,data in df.iterrows():
    print('index_name:',column_name,'data:',data[0])
```

-遍历行名称-
索引 _ 名称:id001 数据:Navya
索引 _ 名称:id002 数据:Vindya

### 示例:`DataFrame.iterrows()`方法

我们也可以指定列名而不是列名。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"Name":["Navya","Vindya"],"Age":[25,24],"Education":["M.Tech","Ph.d"]},index=['id001', 'id002'])
print("-----------The DataFrame is-------")
print(df)
print("---------Iterate over rows name---------")
for column_name,data in df.iterrows():
    print('index_name:',column_name,'data:',data['Name'])
```

-数据帧为-
名称年龄教育
id 001 Navya 25M . Tech
id 002 Vindya 24 博士
-遍历行名称-
index_name: id001 数据:Navya
index_name: id002 数据:Vindya

### 结论:

在本教程中，我们学习了 Pandas`DataFrame.iterrows()`方法。我们学习了语法，并通过在数据帧上应用此方法。

* * *

* * *