# Pandas 数据帧`kurtosis()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-kurtosis-method>

在本教程中，我们将学习 Pandas`DataFrame.kurtosis()` 方法。此方法返回请求轴上的无偏峰度。

峰度使用费希尔峰度定义获得(正态峰度== 0.0)。用 N-1 归一化。下图显示了`DataFrame.kurtosis()` 方法的语法。

### 句法

```py
DataFrame.kurtosis(axis=None, skipna=None, level=None, numeric_only=None, **kwargs)
```

### 因素

**轴:**{索引(0)，列(1)}。要应用的方法的轴。

**skipna:** bool，默认为 True。计算结果时不包括数值/空值。

**级别:** int 或级别名，默认无。如果轴是一个多索引(分层)，则与特定级别一起计数，折叠成一个系列。

**仅限数值:** bool，默认无。只包括浮点、整型和布尔型列。如果没有，将尝试使用所有内容，然后只使用数字数据。不适用于系列。

****kwargs** :要传递给方法的附加关键字参数。

## 示例:`DataFrame.kurtosis()`方法

下面的代码显示了沿着轴=0 的`DataFrame.kurtosis()`方法的例子。它基于指定的轴返回无偏峰度，0 表示索引，1 表示列。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"A":[55,60,74,50],"B":[30,55,40,47],"C":[12,55,44,66]})
print("-----------The DataFrame is-------")
print(df)
print("-------------------------------")
print(df.kurtosis(axis=0))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C
0 55 30 12
1 60 55 55
2 74 40 44
3 50 47 66
-
A 1.307557
B- 0.466318
C 1.414727
数据类型:float64

## 示例:排除空值的数据帧

下面的代码通过排除空值显示了`DataFrame.kurtosis()` 方法的示例。skipna 参数跳过空值并返回一个数据帧。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"A":[55,60,None,60,50],"B":[42,30,None,40,47],"C":[None,75,55,44,66]})
print(df.kurtosis(axis=0,skipna=True))
```

一旦我们运行该程序，我们将获得以下输出。

A-1.289256
B 1.704496
C-1.441136
数据类型:float64

## 示例:仅包含数值的数据帧

下面的代码显示了`DataFrame.kurtosis()` 方法的示例，该方法返回只包含数值的数据帧。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df=pd.DataFrame({"A":[55,60,None,60,50],"B":[42,30,None,40,47],"C":[None,75,55,44,66]})
print(df.kurtosis(axis=0,numeric_only=True))
```

一旦我们运行该程序，我们将获得以下输出。

A-1.289256
B 1.704496
C-1.441136
数据类型:float64

### 结论

在本教程中，我们学习了 Pandas`DataFrame.kurtosis()`方法。我们学习了语法，并将该方法应用于数据帧，以理解 `DataFrame.kurtosis()`方法。

* * *

* * *