# Pandas 数据帧`last()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-last-method>

在本教程中，我们将学习 Pandas`DataFrame.last()`的方法。此方法可用于根据日期偏移选择时间序列数据的最终期间。当数据帧以日期为索引时，此方法可以根据日期偏移量选择最后几行。如果索引不是[日期时间索引](http://pandas.pydata.org/docs/reference/api/pandas.DatetimeIndex.html#pandas.DatetimeIndex)，它将返回数据帧并引发`TypeError`

下图显示了`DataFrame.last()`方法的语法。

### 句法

```py
DataFrame.last(offset)
```

### 因素

**偏移量:**可以是字符串、日期偏移量或日期相对偏移量，将选择数据偏移量的长度。例如，“1M”将显示第一个月内有索引的所有行。

## 示例:使用`DataFrame.last()`方法获取最近`n`天的行

这里，我们创建了一个以 **DatetimeIdex** 为索引的数据帧，我们尝试使用`DataFrame.last()`方法获取最近`3` 天的行。

在下面的例子中，返回了最近 3 个`calendar days`的数据，而不是数据集中观察到的最近 3 天的数据，因此没有返回 2021-01-11 的数据。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
i = pd.date_range('2021-01-09', periods=4, freq='2D')
df = pd.DataFrame({'A': [1, 2, 3, 4]}, index=i)
print("The DataFrame is")
print(df)
print(df.last('3D'))
```

数据帧为
A
2021-01-09 1
2021-01-11 2
2021-01-13 3
2021-01-15 4
A
2021-01-13 3
2021-01-15 4

## 示例:使用`DataFrame.last()`方法获取最近`n`天的行

这个例子和上一个相似。这里，在这个例子中，我们尝试使用`DataFrame.last()`方法获取最近`2` 天的行。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
i = pd.date_range('2021-01-09', periods=4, freq='4D')
df = pd.DataFrame({'A': [1, 2, 3, 4]}, index=i)
print("The DataFrame is")
print(df)
print(df.last('2D'))
```

数据帧为
A
2021-01-09 1
2021-01-13 2
2021-01-17 3
2021-01-21 4
A
2021-01-21 4

## 示例:使用`DataFrame.last()`方法获取最近`n`个月的行数

这里，在这个例子中，我们尝试使用`DataFrame.last()`方法获取最近 1 个月的行。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
i = pd.date_range('2021-01-01', periods=4, freq='1M')
df = pd.DataFrame({'A': [1, 2, 3, 4]}, index=i)
print("The DataFrame is")
print(df)
print(df.last('1M'))
```

数据帧为
A
2021-01-31 1
2021-02-28 2
2021-03-31 3
2021-04-30 4
A
2021-04-30 4

### 结论

在本教程中，我们学习了 Pandas`DataFrame.last()`方法。我们学习了语法，并应用这种方法来理解 `DataFrame.last()`方法。

* * *

* * *