# Pandas 数据帧`last_valid_index()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-last_valid_index-method>

在本教程中，我们将学习 Pandas`DataFrame.last_valid_index()` 的方法。通过使用这种方法，我们可以获得最后一个非 NA/null 值的索引。它返回一个标量，该标量是索引的类型。如果所有元素都是非空值，则返回`None`，对于`empty DataFrame.`，则返回`None`

下图显示了`DataFrame.last_valid_index()`的语法。

### 句法

```py
DataFrame.last_valid_index()
```

## 例:`DataFrame.last_valid_index()` 法。

让我们创建一个空值的数据帧，并使用`DataFrame.last_valid_index()` 方法获取最后一个非 NA 值的索引。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
df = pd.DataFrame([[np.nan, np.nan, np.nan],[np.nan, 2,5],[1, 3, 4],[np.nan,3,np.nan],[2, 8, 0],[7, 5, 4]],columns=list('ABC'))
print("-----The DataFrame is-----")
print(df)
print("Index for last non-NA/null value is:",df.last_valid_index())
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C
0 NaN NaN
1 NaN 2.0 5.0
2 1.0 3.0 4.0
3 NaN 3.0 NaN
4 2.0 8.0 0.0
5 7.0 5.0 4.0
最后一个非 NA/null 值的索引为:5

## 示例:获取 Pandas 中最后一个非空值的索引

除了处理非空值之外，此示例与上一个示例相似。让我们创建一个空值的数据帧，并使用`DataFrame.last_valid_index()` 方法获取最后一个非 NA 值的索引。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
df = pd.DataFrame([[np.nan, np.nan, np.nan],[np.nan, np.nan, np.nan],[np.nan, np.nan, np.nan],[2, 8, 0],[7, 5, 4],[np.nan,np.nan,np.nan]],columns=list('ABC'))
print("-----The DataFrame is-----")
print(df)
print("Index for last non-NA/null value is:",df.last_valid_index())
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C
0 NaN NaN
1 NaN NaN
2 NaN NaN
3 2.0 8.0 0.0
4 7.0 5.0 4.0
5 NaN NaN
最后一个非 NA/null 值的索引为:4

## 示例:获取最后一个非空值的索引

如果所有元素都是非空的，则``DataFrame.` last_valid_index `()`` 方法返回`None`，否则返回一个索引值。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
df = pd.DataFrame([[np.nan, np.nan, np.nan],[np.nan, np.nan, np.nan],[np.nan, np.nan, np.nan],[np.nan, np.nan, np.nan]],columns=list('ABC'))
print("-----The DataFrame is-----")
print(df)
print("Index for last non-NA/null value is:",df.last_valid_index())
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
A B C
0 NaN NaN
1 NaN NaN
2 NaN NaN
3 NaN NaN
最后一个非 NA/空值的索引为:无

### 结论

在本教程中，我们学习了 Pandas`DataFrame.last_valid_index()`方法。我们学习了语法，并应用这种方法来理解 `DataFrame.last_valid_index()`方法。

* * *

* * *