# Pandas 数据帧`mod()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-mod-method>

在本教程中，我们将学习 Pandas`DataFrame.mod()`的方法。该方法返回数据帧的**模**和其他元素。它返回带有算术运算结果的**数据帧**。

下面是 Pandas`DataFrame.mod()`方法的语法。

### 句法

```py
DataFrame.mod(other, axis='columns', level=None, fill_value=None)
```

### 因素

**其他:**表示标量、序列、序列或数据帧。任何单个或多个元素数据结构，或类似列表的对象。

**轴:“0”**代表索引，**【1】**代表列。当`axis=0`方法应用于`index`轴时，以及当`axis=1`方法应用于`column`轴时。对于输入`Series`，轴要匹配系列索引。

**级别:**代表 int 或标签。它跨级别广播，匹配传递的多索引级别上的索引值。

**fill_value:** 表示浮动或无，默认值为无。它会在计算之前用该值填充现有的缺失值或空值，以及成功的数据帧对齐所需的任何新元素。如果两个相应数据帧位置的数据都丢失，结果也将丢失。

## 示例 1:使用`DataFrame.mod()`方法求模

下面的例子显示了使用`DataFrame.mod()`方法获取数据帧的模的常数值。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df1 = pd.DataFrame({'a': [2, 5, 6],'b': [8, 10, 12],'c': [14, 16, 18]})
print(df1.mod(3))
```

一旦我们运行该程序，我们将获得以下输出。

a b c
0 2 2 2
1 2 1
2 0 0 0

## 示例 2:使用`DataFrame.mod()`方法求模

下面的示例显示了使用`DataFrame.mod()`方法获取数据帧的模和其他数据帧值。

```py
import pandas as pd
df1 = pd.DataFrame({'a': [2, 5, 6],'b': [8, 10, 12],'c': [14, 16, 18]})
df2 = pd.DataFrame({'a': [2, 2, 2],'b': [2, 2, 2],'c': [2, 2, 2]})
print(df1.mod(df2))
```

一旦我们运行该程序，我们将获得以下输出。

a b c
0 0 0 0
1 1 0 0
2 0 0 0

## 示例 3:使用`DataFrame.mod()`方法求模

此示例显示了使用带有`fill_value=1`的`DataFrame.mod()`方法获取数据帧与其他数据帧的模。它将在缺少的地方添加默认值，并替换空值。

```py
import pandas as pd
df1 = pd.DataFrame({'a': [2, 5, 6],'b': [8, 10, 12],'c': [14, 16, 18]})
df2 = pd.DataFrame({'a': [2, 2, 2],'b': [2, 2, 2]})
print(df1.mod(df2,fill_value=1))
```

一旦我们运行该程序，我们将获得以下输出。

a b c
0 0 0 0.0
1 1 0 0.0
2 0 0 0.0

### 结论

在本教程中，我们学习了 Pandas`DataFrame.mod()`方法。我们学习了该方法的语法和参数，并将其应用于数据帧，以理解该方法。

* * *

* * *