# Pandas 数据帧`ne()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-ne-method>

在本教程中，我们将学习 Pandas`DataFrame.ne()`的方法。该方法用于获取数据帧的**不等于**以及其他元素。它返回 bool 的数据帧，这是比较的结果。

下面是`DataFrame.ne()`方法的语法。

### 句法

```py
DataFrame.ne(other, axis='columns', level=None)
```

### 因素

**其他:**表示标量、序列、序列或数据帧。它可以是任何单个或多个元素的数据结构，或者类似列表的对象。

**轴:**表示索引或列轴，索引为“0”，列为“1”。当`axis=0`方法应用于`index`轴时，以及当`axis=1`方法应用于`column`轴时。对于输入`Series`，轴要匹配系列索引。

**级别:**代表 int 或标签。它跨级别广播，匹配传递的多索引级别上的索引值。

## 例 1:比较 Pandas 的数据帧

这里，我们使用返回 bool 类型数据帧的`DataFrame.ne()`方法将数据帧与`scalar`值进行比较。

```py
#importing pandas as pd
import pandas as pd
#creating the DataFrame
df=pd.DataFrame({"A":[200,500],"B":[60,250],"C":[150,1]})
print("--------The DataFrame is---------")
print(df)
print("----After applying ne method-----")
print(df.ne(200))
```

-数据帧为-
A B C
0 200 60 150
1 500 250 1
-应用 ne 方法后-
A B C
0 假真
1 真真

## 例 2:比较 Pandas 的数据帧

这里，我们使用`DataFrame.ne()`方法将数据帧与`Series`进行比较。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating the DataFrame
df=pd.DataFrame({"A":[200,500],"B":[60,250],"C":[150,1]})
print("--------The DataFrame is---------")
print(df)
series = pd.Series([150, 200,150]) 
print("----After applying ne method-----")
print(df.ne(series,axis=0))
```

-数据帧为-
A B C
0 200 60 150
1 500 250 1
-应用 ne 方法后-
A B C
0 真真假假
1 真真假假
2 真真假假

## 示例:将数据帧与其他数据帧进行比较

这里，我们使用`DataFrame.ne()`方法将一个数据帧与另一个数据帧进行比较。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating the DataFrame
df_1=pd.DataFrame({"A":[200,500],"B":[60,250],"C":[150,1]})
df_2=pd.DataFrame({"A":[200,550],"B":[65,251],"C":[100,10]})
print("----After applying ne method-----")
print(df_1.ne(df_2))
```

-应用 ne 方法后-
A B C
0 假真真
1 真真真

### 结论

在本教程中，我们学习了 Pandas`DataFrame.ne()`方法。我们学习了语法、参数，并通过在数据帧上应用这种方法，我们解决了示例并理解了 `DataFrame.ne()`方法。

* * *

* * *