# Pandas 数据帧`notna()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-notna-method>

在本教程中，我们将学习 Pandas`DataFrame.notna()`的方法。此方法用于检测现有值。它返回一个由数据帧中每个元素的布尔值组成的数据帧，该数据帧指示某个元素是否不是安娜值。

检测现有值时，`DataFrame.notna()`方法不将空字符串`''`或`numpy.inf`等字符视为 NA 值。

下面是`DataFrame.notna()`方法的语法。

### 句法

```py
DataFrame.notna()
```

## 示例 1:使用`DataFrame.notna()`方法检测现有值。

这里，我们使用`DataFrame.notna()` 方法检测数据帧中的现有值，该方法返回由数据帧中每个元素的布尔值组成的数据帧，该值指示某个元素是否不是`NA` 值。如果该值为真，则表明该元素不是空值。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating the DataFrame
df = pd.DataFrame([(0.0, np.nan, -1.0, 1.0),(np.nan, 2.0, np.nan, np.nan),(2.0, 3.0, np.nan, 9.0),],columns=list('abcd'))
print("------The DataFrame is----------")
print(df)
print("---------------------------------")
print(df.notna())
```

-数据帧为-
a b c d
0 0.0 NaN-1.0 1.0
1 NaN 2.0 NaN
2 2.0 3.0 NaN 9.0
-
a b c d
0 真假真
1 假真假假
2 真假真

## 示例:使用`DataFrame.notna()`方法检测缺失值

这个例子类似于前面的例子，并且`DataFrame.notna()`方法将**空字符串**视为正常值。见下面的例子。在空字符串和空值的输出中，`DataFrame.notna()`方法返回一个`True`。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating the DataFrame
df = pd.DataFrame({'a':[0,1,''],'b':['',None,3]})
print("------The DataFrame is----------")
print(df)
print("---------------------------------")
print(df.notna())
```

-数据帧为-
a b
0 0
1 无
2 3
-
a b
0 真
1 真假
2 真

### 结论

在本教程中，我们学习了 Pandas`DataFrame.notna()`方法。我们学习了语法，并使用`DataFrame.notna()`方法检查数据帧是否包含现有值。

* * *

* * *