# Pandas 数据帧`nsmallest()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-nsmallest-method>

在本教程中，我们将学习 Pandas`DataFrame.nsmallest()`方法。该方法用于获取数据帧的第一`n` 行，该行按列升序排列。该方法以升序返回列中值最小的第一个`n` 行。未指定的列也会返回，但不用于排序。

下面显示了`DataFrame.nsmallest()` 方法的语法

### 句法

```py
DataFrame.nsmallest(n, columns, keep='first')
```

### 因素

**n:** 它指定了 int，即要返回的行数。

**列:**它代表标签或标签列表，是要排序的列的名称。

**keep:** 包括【第一】【最后】【全部】默认为【第一】

如果存在重复值:

*   第一:优先处理第一个事件

*   最后:优先考虑最后一次出现

*   `all:`不要删除任何重复项，即使这意味着选择了 n 个以上的项目。

## 示例 1:在 Pandas 中以升序获取数据帧

在下面的例子中，`DataFrame.nsmallest()`方法按照`'Height'`列的升序返回第一个`2` 行的数据帧。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df= pd.DataFrame({'Name':['Chetan','yashas','yuvraj','Pooja','Sindu','Renuka'],'Age':  [20,25,30,18,25,20],'Height': [155,160,175,145,155,165],'Weight': [75,60,75,45,55,65]})
print(df.nsmallest(2,'Height'))
```

姓名年龄身高体重
3 普贾 18 145 45
0 切坦 20 155 75

## 示例 2:在 Pandas 中以升序获取数据帧

下例与上例类似，`DataFrame.nsmallest()`方法按`'Age'`列升序返回第一个`3` 行的数据帧。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df= pd.DataFrame({'Name':['Chetan','yashas','yuvraj','Pooja','Sindu','Renuka'],'Age':  [20,25,30,18,25,20],'Height': [155,160,175,145,155,165],'Weight': [75,60,75,45,55,65]})
print("--------The DataFrame is-------")
print(df.nsmallest(3,'Age'))
```

-数据帧是-
姓名年龄身高体重
3 普贾 18 145 45
0 切坦 20 155 75
5 雷努卡 20 165 65

## 示例 3:在 Pandas 中以升序获取数据帧

当我们使用`keep='last'`时，`DataFrame.nsmallest()`方法对指定列的最后一次出现进行优先级排序，并返回数据帧。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df= pd.DataFrame({'Name':['Chetan','yashas','yuvraj','Pooja','Sindu','Renuka'],'Age':  [20,25,30,18,25,20],'Height': [155,160,175,145,155,165],'Weight': [75,60,75,45,55,65]})
print(df.nsmallest(2,'Height',keep='last'))
```

姓名年龄身高体重
3 普贾 18 145 45
4 辛杜 25 155 55

### 结论

在本教程中，我们学习了 Pandas`DataFrame.nsmallest()`方法。我们学习了语法、参数，并通过在数据帧上应用这种方法，我们解决了示例并理解了 `DataFrame.nsmallest()`方法。

* * *

* * *