# Pandas 数据帧`nunique()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-nunique-method>

在本教程中，我们将学习 Pandas`DataFrame.nunique()` 的方法。此方法计算请求轴上不同或唯一观察的数量。它返回带有许多不同观察值的`Series`。

下面是`DataFrame.nunique()` 方法的语法。

### 句法

```py
DataFrame.nunique(axis=0, dropna=True)
```

### 因素

**轴:**表示索引或列轴，索引为“0”，列为“1”。当`axis=0`功能应用于`index`轴时，以及当`axis=1`功能应用于`column`轴时

**dropna:** 表示 bool(真或假)，默认值为 True。计数中不包括 NaN。

## 示例 1:计算数据帧的唯一值

这里，在这个例子中，我们将使用`DataFrame.nunique()` 方法计算数据帧中唯一值的数量。它返回计数，而不是唯一值。

```py
#importing pandas as pd
import pandas as pd
df = pd.DataFrame({'A': [1, 2, 3], 'B': [1, 1, 1],'C': [2, 5, 5]})
print("------The DataFrame is-------")
print(df)
print("--------------------------------")
print(df.nunique(axis=0))
```

-数据帧为-
A B C
0 1 1 2
1 2 1 5
2 3 1 5
-
A 3
B 1
C 2
数据类型:int64

## 示例 2:计算数据帧的唯一值

此示例与上一个示例类似，`DataFrame.nunique()` 方法计算列轴上的唯一值。

```py
#imporing pandas as pd
import pandas as pd
df = pd.DataFrame({'A': [1, 2, 3], 'B': [1, 1, 1],'c': [2, 5, 5]})
print("------The DataFrame is-------")
print(df)
print("--------------------------------")
print(df.nunique(axis=1))
```

-数据帧为-
A B c
0 1 1 2
1 2 1 5
2 3 1 5
-
0 2
1 3
2 3
数据类型:int64

## 示例 3:计算数据帧的唯一值

`DataFrame.nunique()` 方法将空值计为**‘0’**。这意味着任何包含空值的列都将被计为 0。见下面的例子。

```py
#imporing pandas as pd
import pandas as pd
df = pd.DataFrame({'A': [1, None, 3], 'B': [1, None, 1],'C': [2, None, 5]})
print("------The DataFrame is-------")
print(df)
print("--------------------------------")
print(df.nunique(axis=1))
```

-数据帧为-
A B C
0 1.0 1.0 2.0
1 NaN NaN
2 3.0 1.0 5.0
-
0 2
1 0
2 3
数据类型:int64

### 结论

在本教程中，我们学习了 Pandas`DataFrame.nunique()`方法。我们学习了语法、参数，并通过在数据帧上应用这种方法，我们解决了示例并理解了`DataFrame.nunique()`方法。

* * *

* * *