# Pandas 数据帧`pad()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-pad-method>

在本教程中，我们将学习 Pandas`DataFrame.pad()`的方法。该方法类似于`DataFrame.fillna()`方法，使用 ffill()方法填充 NA/NaN 值。

它返回填充了缺失值的数据帧对象，如果是`inplace=True`，则返回`None`。

下图显示了`DataFrame.pad()`方法的语法。

### 句法

```py
DataFrame.pad(axis=None, inplace=False, limit=None, downcast=None)
```

### 因素

**轴:**表示索引或列轴，索引为“0”，列为“1”。当`axis=0`方法应用于`index`轴时，以及当`axis=1`方法应用于`column`轴时

**inplace:** 表示 bool(真或假)，默认值为 False。如果为真，则就地填充并返回无。

**限制:** int，默认无。如果指定了方法，这是要向前填充的连续 NaN 值的最大数量。

## 示例 1:填充 Pandas 数据帧中缺失的值

这里，通过使用`DataFrame.pad()`方法，我们可以填充数据帧中的所有空值或缺失值。它使用 Pandas 的`ffill` 方法来填充缺失的值。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
df = pd.DataFrame([[2, np.nan, 0],[np.nan, np.nan,5],[np.nan,3,np.nan]],columns=list('ABC'))
print("-----The DataFrame is-----")
print(df)
print("-----Filling Nan values------")
print(df.pad(axis=0))
```

-数据帧为-
A B C
0 2.0 NaN 0.0
1 NaN NaN 5.0
2 NaN 3.0 NaN
-填充 NaN 值-
A B C
0 2.0 NaN 0.0
1 2.0 NaN 5.0
2.0 3.0 5.0

## 示例 2:填充 Pandas 数据帧中缺失的值

这个例子和上一个类似，这里`DataFrame.pad()`方法沿着列轴填充空值。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
df = pd.DataFrame([[2, np.nan, np.nan],[np.nan, np.nan,5],[np.nan,3,np.nan]],columns=list('ABC'))
print("-----The DataFrame is-----")
print(df)
print("-----Filling Nan values------")
print(df.pad(axis=1))
```

-数据帧为-
A B C
0 2.0 NaN NAn
1 NAn NAn 5.0
2 NAn 3.0 NAn
-填充 NAn 值-
A B C
0 2.0 2.0 2.0
1 NAn 5.0
2 NAn 3.0 3.0

## 示例 2:用 Pandas 中的限制填充 Pandas 数据帧中缺失的值

我们可以使用`DataFrame.pad()`方法中的`limit`方法替换第一个 NaN 元素。它将限制替换数据帧中的元素。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
df = pd.DataFrame([[2, np.nan, np.nan],[np.nan, np.nan,5],[np.nan,3,np.nan]],columns=list('ABC'))
print("-----The DataFrame is-----")
print(df)
print("-----Filling Nan values------")
print(df.pad(axis=1,limit=1))
```

-数据帧为-
A B C
0 2.0 NaN NAn
1 NAn NAn 5.0
2 NAn 3.0 NAn
-填充 NAn 值-
A B C
0 2.0 2.0 NAn
1 NAn 5.0
2 NAn 3.0 3.0

### 结论

在本教程中，我们学习了 Pandas`DataFrame.pad()`方法。我们学习了语法、参数，并通过在数据帧上应用这种方法，我们解决了示例并理解了`DataFrame.pad()`方法。

* * *

* * *