# Pandas 数据帧`pop()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-pop-method>

在本教程中，我们将学习 Pandas`DataFrame.pop()`的方法。此方法删除或删除数据帧中的指定项，并返回该项。如果找不到指定的项目，它将引发键错误。

下面是`DataFrame.pop()`方法的语法。

### 句法

```py
DataFrame.pop(item)
```

### 因素

**项:**表示作为待弹出列的标签的标签。

## 示例 1:从 Pandas 的数据帧中删除

这里，`DataFrame.pop()`方法在数据帧中删除指定的项目，并返回指定的项目。我们可以使用这个方法从数据帧中删除任何元素。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df= pd.DataFrame({'Name':['Pooja','Sindu','Renuka'],'Age':[18,25,20],'Height': [145,155,165],'Weight': [45,55,65]})
print("--------The DataFrame is-------")
print(df)
print("--------------------------------")
print(df.pop("Age"))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
姓名年龄身高体重
0 普贾 18 145 45
1 辛杜 25 155 55
2 雷努卡 20 165 65
-
0 18
1 25
2 20
姓名:年龄，数据类型:int64

## 示例 2:从 Pandas 的数据帧中删除

这里，`DataFrame.pop()`方法在数据帧中删除指定的项目，并返回指定的项目。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df= pd.DataFrame({'Name':['Pooja','Sindu','Renuka'],'Age':[18,25,20],'Height': [145,155,165],'Weight': [45,55,65]})
print("--------The DataFrame is-------")
print(df)
print("--------------------------------")
print(df.pop("Name"))
```

一旦我们运行该程序，我们将获得以下输出。

-数据帧为-
姓名年龄身高体重
0 普贾 18 145 45
1 辛杜 25 155 55
2 雷努卡 20 165 65
-
0 普贾
1 辛杜
2 雷努卡
姓名:姓名，数据类型:对象

## 示例 3:使用 pop()方法时数据帧中出现键错误

如果在数据帧中找不到指定的项目，`DataFrame.pop()`方法将引发`KeyError` 。这里，我们删除了数据帧中不存在的元素**“ABC”**。因此，删除该项目会引发错误。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df= pd.DataFrame({'Name':['Pooja','Sindu','Renuka'],'Age':[18,25,20],'Height': [145,155,165],'Weight': [45,55,65]})
print(df.pop("abc"))
```

一旦我们运行该程序，我们将获得以下输出。

关键词错误:【abc】

### 结论

在本教程中，我们学习了 Pandas`DataFrame.pop()`方法。我们学习了语法、参数，并通过在数据帧上应用这种方法，我们解决了示例并理解了`DataFrame.pop()`方法。

* * *

* * *