# Pandas 数据帧`pow()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-pow-method>

我们可以使用其中一个数据帧方法找到一个数的**指数**或**幂**(T0)的幂(b 的幂)。

在本教程中，我们将讨论和学习 Pandas`DataFrame.pow()`的方法。此方法可用于获取指定数据帧和其他数据帧的指数幂。这个方法返回一个由一个数的幂组成的数据帧。

下面是`DataFrame.pow()`方法的语法。

### 句法

```py
DataFrame.pow(other, axis='columns', level=None, fill_value=None)
```

### 因素

**其他:**可以是标量、序列、序列或数据帧。它可以是单个或多个元素数据结构，或者类似列表的对象。

**轴:**表示索引或列轴，索引为“0”，列为“1”。当`axis=0`方法应用于`index`轴时，以及当`axis=1`方法应用于`column`轴时。对于输入`Series`，轴要匹配系列索引。

**级别:**代表 int 或标签。它跨级别广播，匹配传递的多索引级别上的索引值。

**fill_value:** 表示浮动或无，默认值为无。它会在计算之前用该值填充现有的缺失值或空值，以及成功的数据帧对齐所需的任何新元素。如果两个相应数据帧位置的数据都丢失，结果也将丢失。

## 示例 1:获取数据帧值的力量

在下面的例子中，我们使用返回数据帧的`DataFrame.pow()`方法得到了带有`scalar`的数据帧的指数幂。它由数据帧的指数幂值组成。请看下面的例子。

例如，a^b. a 是数据帧值，b 是标量。

```py
#importing pandas as pd
import pandas as pd
#creating the DataFrame
df_1=pd.DataFrame({'A':[1,2,3],'B':[4,5,6],'C':[7,8,9]})
print("------The DataFrame is---------")
print(df_1)
print("---------------------------------")
print(df_1.pow(2))
```

-数据帧为-
A B C
0 1 4 7
1 2 5 8
2 3 6 9
-
A B C
0 1 16 49
1 4 25 64
2 9 36 81

## 示例 2:获取数据帧值的力量

在下面的示例中，我们使用`DataFrame.pow()`方法获取数据帧值与其他数据帧的指数幂，该方法返回由数据帧的指数幂值组成的数据帧。请看下面的例子。

例如，a^b. a 是数据帧值，b 是其他数据帧值。

```py
#importing pandas as pd
import pandas as pd
#creating the DataFrame
df_1=pd.DataFrame({'A':[1,1,1],'B':[2,2,2],'C':[3,3,3]})
df_2=pd.DataFrame({'A':[1,2,3],'B':[1,2,3],'C':[1,2,3]})
print("---------------------------------")
print(df_1.pow(df_2,axis=0))
```

甲乙丙
0 1 2 3
1 1 4 9
2 1 8 27

## 示例 3:获取数据帧值的力量

在这里，我们使用`DataFrame.pow()`方法通过一个系列获得数据帧的幂，该方法返回一个由数据帧的指数幂值组成的数据帧。请看下面的例子。

例如，a^b. a 是数据帧值，b 是系列。

```py
#importing pandas as pd
import pandas as pd
#creating the DataFrame
df_1=pd.DataFrame({'A':[1,2,3],'B':[4,5,6],'C':[7,8,9]})
print("------The DataFrame is---------")
print(df_1)
series=pd.Series([2,2,2])
print("---------------------------------")
print(df_1.pow(series,axis=0))
```

-数据帧为-
A B C
0 1 4 7
1 2 5 8
2 3 6 9
-
A B C
0 1 16 49
1 4 25 64
2 9 36 81

## 示例 4:获取数据帧值的力量

这里，我们使用`DataFrame.pow()`方法通过`sequence`获得数据帧的幂，该方法返回由数据帧的指数幂值组成的数据帧。请看下面的例子。

例如，a^b. a 是数据帧值，b 是序列值。

```py
#importing pandas as pd
import pandas as pd
#creating the DataFrame
df_1=pd.DataFrame({'A':[2,3,4],'B':[5,7,8],'C':[10,11,0]})
print("------The DataFrame is---------")
print(df_1)
tuple_1=(2,2,2)
print("---------------------------------")
print(df_1.pow(tuple_1))
```

-数据帧为-
A B C
0 2 5 10
1 3 7 11
2 4 8 0
-
A B C
0 4 25 100
1 9 49 121
2 16 64 0

### 结论

在本教程中，我们学习了 Pandas`DataFrame.pow()`方法。我们通过在数据帧上应用这种方法来学习语法、参数和解决示例，并理解了这种方法。

* * *

* * *