# Pandas 数据帧`rdiv()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-dataframe-rdiv-method>

在本教程中，我们将学习 Pandas`DataFrame.rdiv()`T4 法。它返回 dataframe 和其他元素的浮点除法。它返回一个带有算术运算结果的数据帧。这是`DataFrame.div()`方法的反向版本。

下面是 Pandas`DataFrame.rdiv()`方法的语法。

### 句法

```py
DataFrame.rdiv(other, axis='columns', level=None, fill_value=None)
```

### 因素

**其他:**可以是标量、序列、序列或数据帧。任何单个或多个元素数据结构，或类似列表的对象。

**轴:**表示索引或列轴，索引为“0”或“索引”，列轴为“1”或“列”。当`axis=0 or index`方法应用于`index`轴时，当`axis=1`或`columns` 方法应用于`column`轴时。对于序列输入，轴与序列索引匹配。

**级别:**代表 int 或 label。它跨级别广播，匹配传递的多索引级别上的索引值。

**fill_value:** 浮动或无，默认无。在计算之前，用该值填充现有的缺失(NaN)值以及成功的数据帧对齐所需的任何新元素。如果两个相应数据帧位置的数据都丢失，结果也将丢失。

## 示例 1:使用`DataFrame.rdiv()`方法分割数据帧

以下示例显示了使用`DataFrame.rdiv()`方法将数据帧除以常数。对于`a/b`，a 是标量，b 是数据帧元素。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrame
df= pd.DataFrame({'a': [1,6,2],'b': [3,4,6],'c': [12,1,0]})
print("--------The DataFrame is----------")
print(df)
print("---------------------------------")
print(df.rdiv(12))
```

-数据帧为-
a b c
0 1 3 12
1 6 4 1
2 2 6 0
-
a b c
0 12.0 4.0 1.0
1 2.0 3.0 12.0
2 6.0 2.0 INF

## 示例 2:使用`DataFrame.div()`方法分割数据帧

以下示例显示了使用`DataFrame.div()`方法将数据帧与其他数据帧分割。对于`a/b`，a 是`df2(other DataFrame)`，b 是`df1`元素。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating DataFrames
df1 = pd.DataFrame({'a': [2, 2, 2],'b': [2, 2, 2],'c': [2, 2, 2]})
df2 = pd.DataFrame({'a': [2, 5, 6],'b': [8, 10, 12],'c': [14, 16, 18]})
print("---------------------------------")
print(df1.rdiv(df2))
```

-
a b c
0 1.0 4.0 7.0
1 2.5 5.0 8.0
2 3.0 6.0 9.0

## 示例 3:使用`DataFrame.rdiv()`方法分割数据帧并填充空值

以下示例显示了使用`fill_value=.`的`DataFrame.rdiv()`方法将数据帧与其他数据帧分割。请参见以下示例。这里两个数据帧没有对齐，`DataFrame.rdiv()`不会产生错误，而是给出 Nan 值，并使用`fill_value`参数填充这些 Nan 值。

```py
import pandas as pd
df1 = pd.DataFrame({'a': [2, 5, 6],'b': [8, 10, 12]})
df2 = pd.DataFrame({'a': [2, 2, 2],'b': [2, 2, 2],'c': [2, 2, 2]})
print(df1.rdiv(df2,fill_value=2))
```

-
a b c
0 1.0 4.0 7.0
1 2.5 5.0 8.0
2 3.0 6.0 9.0

### 结论

在本教程中，我们学习了 Pandas`DataFrame.rdiv()`方法。我们通过在数据帧上应用这种方法来学习语法、参数和解决示例，并理解了这种方法。

* * *

* * *