# Pandas 序列`abs()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-abs-method>

在本教程中，我们将讨论和学习 Pandas 的`Series.abs()`方法。通过使用这种方法，我们可以找到任何数字的绝对值，当这种方法应用于`Series`时，它返回由元素绝对值组成的数列。

该方法适用于只有数值的元素，对于复杂输入，绝对值为`a2+b2`。

下面是`Series.abs()`方法的语法。

### 句法

```py
abs(x)
```

这里，参数`x`可以是任意数字，可以是正的或负的零。此方法将返回正零。

## 示例:获取数列的绝对值

让我们将此方法应用于 Series 并获取绝对值，其代码片段如下。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s = pd.Series([12,-0.25,-54])
print("-----Series-----")
print(s)
print("-------------------")
print(abs(s))
```

-系列-
0 12.00
1-0.25
2-54.00
dtype:float 64
-
0 12.00
1 0.25
2 54.00
dtype:float 64

## 示例:获取`string`的绝对值时键入错误

正如我们之前讨论的`Series.abs()`方法只适用于数字元素。在本例中，我们试图获得包含`string`元素和`Series.abs()`引发类型错误的序列的绝对值。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s = pd.Series(['a','2','-0.32'])
print(abs(s))
```

类型错误:abs():字符串的操作数类型不正确

## 示例:获取数据帧的绝对值

这里，在这个例子中，我们将得到由复数组成的数列元素的绝对值。对于复杂输入，绝对值将为`?a2+b2` `Series.abs()` 方法仅返回数字的幅度部分。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s = pd.Series([2.1 + 1j,-20,-11])
print("-----Series-----")
print(s)
print("-------------------")
print(abs(s))
```

-系列-
0 2.100000+1.00000j
1-20.000000+0.000000j
2-11.000000+0.00000j
dtype:complex 128
-
0 2.325941
1 20.000000
2 11.00000

### 结论

在本教程中，我们了解了数据帧的`abs()`方法。我们学习了`Series.abs()`方法的语法和参数，并解决了不同的例子，以更好地理解这个话题。

* * *

* * *