# Pandas 序列`add()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-add-method>

在本教程中，我们将讨论和学习 Pandas`Series.add()` 方法。通过使用这种方法，我们可以将级数与其他级数、标量值相加。当此方法应用于序列时，它返回一个序列。该方法支持使用参数`fill_value`填充 NaN 值。

下面是`Series.add()` 方法的语法。

### 句法

```py
Series.add(other, level=None, fill_value=None, axis=0)
```

### 因素

**其他:**可以是级数或标量值。

**fill_value:** 可以是 None 或 float 值，默认值为 None (NaN)。它填充空值或缺失值。

**级别:**代表 int 或 name。它跨级别广播，匹配传递的多索引级别上的索引值。

## 示例:向系列添加值

这里，在这个例子中，我们使用`Series.add()` 方法将`Series`与`scalar`相加。`Series`中的元素逐个加上`scalar`值`'2'`，返回`Series`。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s = pd.Series([1,2,3,4])
print("-----Series-----")
print(s)
print("-------------------")
print(s.add(2))
```

-系列-
0 1
1 2
2 3
3 4
数据类型:int64
-
0 3
1 4
2 5
3 6
数据类型:int 64

## 示例:添加一个`Series`与其他`Series`

这里，在这个例子中，我们将使用`Series.add()` 方法将`Series`与其他`Series`相加。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s_1= pd.Series([1,2,3])
s_2= pd.Series([4,5,6])
print("------After adding two series the result is------")
print(s_1.add(s_2))
```

-两个系列相加后的结果是-
0 5
1 7
2 9
数据类型:int64

## 示例:在`Series.add()` 方法中设置`fill_value='n'`

通过将`fill_value=3`传递给`Series.add()` 方法，我们可以填充序列中的空值或缺失值。

这里，在这个例子中，`Series.add()` 方法用值 **3** 填充空值，然后执行加法。如果“系列”位置和结果中的元素都有缺失值，那么它将会有缺失值。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s_1= pd.Series([1,None,None])
s_2= pd.Series([4,5,None])
print("------After adding two series the result is------")
print(s_1.add(s_2,fill_value=3))
```

-两个系列相加后的结果是-
0 5.0
1 8.0
2 NaN
数据类型:float64

### 结论

在本教程中，我们学习了 Pandas`DataFrame.add()`方法。我们学习了语法、参数，并通过在数据帧上应用这种方法解决了一些例子。

* * *

* * *