# Pandas 序列`add_prefix()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-add_prefix-method>

如果我们想要改变系列的索引名称，我们可以通过使用`Series.add_prefix()`方法将前缀添加到系列索引来改变它们。此方法在每个索引或行的开头添加一个字符串标签，并返回一个带有更新标签的序列。

下面是`Series.add_prefix()` 方法的语法。

### 句法

```py
Series.add_prefix(prefix)
```

### 因素

**前缀:**表示字符串，即每个标签前要添加的字符串。

## 例如:Pandas 序列的前缀标签

让我们创建一个`Series`并用`Series.add_prefix()` 方法在数列的行首添加字符串标签。见下面的例子。

`Series.add_prefix()` 方法将字符串`'index_'` 作为系列行的前缀。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s= pd.Series([1,2,3])
print("---------The series is------")
print(s)
print("-------After updating, the new series is---------")
print(s.add_prefix('index_'))
```

-系列为-
0 1
1 2
2 3
数据类型:int64
-更新后，新系列为-
index _ 0 1
index _ 1 2
index _ 2 3
数据类型:int64

## 示例 2:Pandas 序列的前缀行标签

这个例子和上一个相似。让我们创建一个`Series`并用`Series.add_prefix()` 方法在`Series`的行首添加字符串标签。见下面的例子。

`Series.add_prefix()` 方法将字符串`'Student_'` 前缀到`Series`的行。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s= pd.Series(['Navya','Vindya','Sinchana'],index=[1,2,3])
print("---------The series is------")
print(s)
print("-------After updating, the new series is---------")
print(s.add_prefix('Student_'))
```

-系列为-
1 Navya
2 Vindya
3 Sinchana
数据类型:对象
-更新后，新系列为-
Student _ 1 Navya
Student _ 2 Vindya
Student _ 3 Sinchana
数据类型:对象

### 结论

在本教程中，我们学习了 Pandas`Series.add_prefix()`方法。我们通过将这种方法应用于数列来学习语法和解决例子。

* * *

* * *