# Pandas 序列`add_suffix()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-add_suffix-method>

如果我们想改变系列的索引名称，我们可以使用`Series.add_suffix()`方法给系列索引添加后缀来改变它们。该方法在每个索引或行的`end`处添加一个字符串标签，并返回一个带有更新标签的序列。

下面是`Series.add_suffix()` 方法的语法。

### 句法

```py
Series.add_suffix(suffix)
```

### 因素

**前缀:**表示字符串，即每个标签后要添加的字符串。

## 例如:Pandas 序列的后缀标签

让我们创建一个`Series`并用`Series.add_suffix()` 方法在系列的行标签的`end`处添加字符串标签。见下面的例子。

`Series.add_suffix()` 方法将字符串`'_index'` 作为系列行的前缀。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s= pd.Series([1,2,3])
print("---------The series is------")
print(s)
print("-------After updating, the new series is---------")
print(s.add_suffix('_index'))
```

-系列为-
0 1
1 2
2 3
数据类型:int64
-更新后，新系列为-
0 _ index 1
1 _ index 2
2 _ index 3
数据类型:int64

## 例 2:Pandas 序列的后缀标签

这个例子和上一个相似。让我们创建一个`Series`并用`Series.add_suffix()` 方法在`Series`的行标签的`end`处添加字符串标签。见下面的例子。

`Series.add_suffix()` 方法将字符串`'_Student'` 前缀到`Series`的行。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s= pd.Series(['Navya','Vindya','Sinchana'],index=['First','Second','Third'])
print("---------The series is------")
print(s)
print("-------After updating, the new series is---------")
print(s.add_suffix('_Student'))
```

-系列为-
第一名纳维亚
第二名文迪亚
第三名辛查纳
数据类型:对象
-更新后，新系列为-
第一名 _ 学生纳维亚
第二名 _ 学生文迪亚
第三名 _ 学生辛查纳
数据类型:对象

### 结论

在本教程中，我们学习了 Pandas`Series.add_suffix()`方法。我们通过将这种方法应用于数列来学习语法和解决例子。

* * *

* * *