# Pandas 序列`all()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-all-method>

在本教程中，我们将学习 Pandas`Series.all()`方法。这个方法可以用来检查系列中的元素是`True`还是`False`。只有当所有元素都为真时，此方法才返回真，否则返回假。

下图显示了`Series.all()`方法的语法。

### 句法

```py
Series.all(axis=0, bool_only=None, skipna=True, level=None, **kwargs)
```

## 例:Pandas`Series.all()`方法

让我们创建一个系列，并使用`Series.all()`方法检查元素。在这个例子中，我们用不同的元素创建了三个系列，正如你所看到的，对于第一个系列，只有我们得到了**真**，而对于其余的系列，我们得到了假。因为如果序列至少包含一个元素为假，则`Series.all()`方法返回假。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s_1=pd.Series([True,True])
s_2=pd.Series([False,False])
s_3=pd.Series([True,False])
print(s_1.all())
print(s_2.all())
print(s_3.all())
```

真
假
假

## 例 2:Pandas`Series.all()`方法

在这个例子中，我们正在检查由`null values`、`'0'`和`'1'`作为元素组成的系列以及`empty Series`。`Series.all()`方法返回`null values` 的`False`和`'0'`号。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
import numpy as np
#creating Series
s_1=pd.Series([True,np.NaN,np.NaN])
s_2=pd.Series([])
s_3=pd.Series([1])
s_4=pd.Series([0])
print(s_1.all(skipna=False))
print(s_2.all())
print(s_3.all())
print(s_4.all())
```

楠
真
真
假

## 例 3:Pandas`Series.all()`方法

在这个例子中，我们将检查两个系列。`Series.all()`方法仅在给定条件匹配时返回`True`，否则返回`False`。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s_1=pd.Series([1,2,3])
s_2=pd.Series([4,5,6])
print(all(s_1>s_2))
print(all(s_1<s_2))
```

假
真

### 结论

在本教程中，我们学习了如何使用 PythonPandas 的`Series.all()`方法。我们通过在数据帧上应用这种方法解决了一些例子。

* * *

* * *