# Pandas 序列`any()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-any-method>

在本教程中，我们将学习 Pandas`Series.any()`方法。这个方法可以用来检查系列中的元素是`True`还是`False`。此方法返回 True。如果序列中至少有一个元素为 True，则返回 False。

下面是`Series.any()`方法的语法。

### 句法

```py
Series.any(axis=0, bool_only=None, skipna=True, level=None, **kwargs)
```

## 例:Pandas`Series.any()`方法

让我们创建一个系列，并使用`Series.any()`方法检查元素。在这个例子中，我们用不同的元素创建了三个系列，对于系列`s_1`和`s_2` ，`Series.any()`方法返回`True`，因为这两个系列都包含至少一个元素作为`'True'`，对于系列`s_3`，它返回`False`，因为它包含`'False'`作为所有元素。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s_1=pd.Series([True,True])
s_2=pd.Series([False,False])
s_3=pd.Series([True,False])
print(s_1.any())
print(s_2.any())
print(s_3.any())
```

真
假
真

## 例 2:Pandas`Series.any()`方法

这里，在这个例子中，我们正在检查由`null values`、`'0'`和`'1'`作为元素组成的系列以及`empty Series`。对于序列 S1 和 S3，`Series.any()`方法返回真，这些序列分别由一个元素组成为真和“1”，对于`empty Series` 和数字`'0'`返回假。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
import numpy as np
#creating Series
s_1=pd.Series([True,np.NaN,np.NaN])
s_2=pd.Series([])
s_3=pd.Series([1])
s_4=pd.Series([0])
print(s_1.any(skipna=False))
print(s_2.any())
print(s_3.any())
print(s_4.any())
```

真
假
真
假

## 例 3:Pandas`Series.any()`方法

在这个例子中，我们将检查两个系列。`Series.any()`方法仅在给定条件匹配时返回`True`，否则返回`False`。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s_1=pd.Series([1,2,7])
s_2=pd.Series([4,5,6])
s_3=pd.Series([7,8,9])
print(any(s_1>s_2))
print(any(s_2>s_3))
```

真
假

### 结论

在本教程中，我们学习了如何使用 PythonPandas 的`Series.any()`方法。

* * *

* * *