# Pandas 序列`append()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-append-method>

如果我们想合并两个系列，我们可以使用 Pandas`Series.append()` 方法，该方法合并或连接两个系列并返回一个新的系列。

下面是`Series.append()` 方法的语法。

### 句法

```py
Series.append(to_append, ignore_index=False, verify_integrity=False)
```

### 因素

**to_append:** 可以是序列，也可以是序列的列表/元组。它指示要附加自身的系列。

**ignore_index:** 表示 bool(真或假)，默认为 False。如果此参数为真，则结果轴将标记为 0，1，…，n - 1。

**verify_integrity:** 表示 bool(真或假)，默认为 False。如果此参数为真，则在创建重复索引时会引发异常。

## 示例:在 Pandas 中添加两个系列

我们可以使用`Series.append()`方法将一个数列追加到一个数列中。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s1 = pd.Series(['Python','Java'])
s2 = pd.Series([1,2])
print(s1.append(s2))
```

0 Python
1 Java
0 1
1 2
数据类型:对象

## 示例 2:在 Pandas 中添加两个系列

在前面的示例中，当我们追加两个系列时，它们的索引值是重叠的。我们可以通过在`Series.append()` 方法中传递参数`ignore_index=True` 来避免这种情况。见下面的例子。现在索引将从 0 开始到 n-1。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s1 = pd.Series(['Python','Java'])
s2 = pd.Series([1,2])
print(s1.append(s2, ignore_index=True))
```

0 Python
1 Java
2 1
3 2
数据类型:对象

## 示例 3:在 Pandas 中添加两个系列

当索引值重叠时，这将引发异常。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s1 = pd.Series(['Python','Java'])
s2 = pd.Series([1,2])
print(s1.append(s2,verify_integrity=True))
```

值错误:索引有重叠值:Int64Index([0，1]，dtype='int64 ')

### 结论

在本教程中，我们学习了 PythonPandas`DataFrame.append()`方法。我们理解了`DataFrame.append()`方法的语法和参数，并通过将该方法应用于系列来解决示例。

* * *

* * *