# Pandas 序列`apply()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-apply-method>

我们可以使用 Pandas`Series.apply()` 方法将 numpy 方法或[Python](https://studytonight.com/python/getting-started-with-python)方法分别应用于整个系列和系列的元素。此方法将传递的方法应用于系列的值。

下面是`Series.apply()` 方法的语法。

### 句法

```py
Series.apply(func, convert_dtype=True, args=(), **kwds)
```

### 因素

**功能:**是应用 Python 方法或 NumPy ufunc 的方法。

**convert_dtype:** 表示 bool(真或假)，默认值为真。

**args:** 表示元组。它是在序列值之后传递给 func 的位置参数。

****kwds** :是传递给 func 的附加关键字参数。

## 例:Pandas`Series.apply()`方法

让我们将`np.pi` 方法应用于数列的值。在这个例子中，我们传递了 lambda 方法和 numpy `np.pi` 方法，后者将 Series 值乘以 pi 值。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating Series
s = pd.Series([1,2,3])
print(s.apply(lambda x: x*np.pi))
```

0 3.141593
1 6.283185
2 9.424778
数据类型:float64

## 示例:将 lower()函数应用于`Series.apply()` 方法

在本例中，我们将 python lower()方法应用于 Series。Series `.apply()`方法通过将 Series 的元素转换成小写来返回一个 Series。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s = pd.Series(['PYTHON','JAVA'])
print(s.apply(lambda x: x.lower()))
```

0 python
1 java
数据类型:对象

## 例:Pandas`Series.apply()`方法

这里，在这个例子中，我们应用了 lambda 方法和条件。如果条件满足，则返回真，否则返回假。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating Series
s = pd.Series([2,1,8,4])
print(s.apply(lambda x: x >= 2 and x <=5))
```

0 真
1 假
2 假
3 真
数据类型:布尔

### 结论

在本教程中，我们了解了数据帧的`Series.apply()`方法。我们学习了`Series.apply()`方法的语法和参数，并创建了不同的示例来更好地理解这个主题。

* * *

* * *