# Pandas 序列`argmax()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-argmax-method>

在本教程中，我们将学习 Pandas`Series.argmax()` 的方法。该函数返回一个整数值，该整数值表示存在最大值的位置。

下图显示了`Series.argmax()` 方法的语法。

### 句法

```py
Series.argmax(axis=None, skipna=True, *args, **kwargs)
```

### 因素

**轴:**为无。这是与 Series 保持一致的伪参数。

**skipna:** 是 bool(真或假)，默认值为真。当显示结果时，它排除所有空值。

***args，**kwargs** :是与 NumPy 兼容的附加参数和关键字。

## 示例:使用`Series.argmax()` 方法获取最大值的位置

让我们将`Series.argmax()` 方法应用于两个系列，并获得较大值的位置。见下面的例子。

这里，在系列`s_1`中，有不同的值，在`s_2`中，由重复的值组成。`Series.argmax()` 方法返回一个位置，如果较大的值出现在不同的位置，则返回第一行的位置。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s_1= pd.Series([12,45,78,22])
s_2= pd.Series([11,45,14,45])
print("In Series s_1 the maximum value is in position:",s_1.argmax())
print("In Series s_2 the maximum value is in position:",s_2.argmax())
```

在序列 S1 中，最大值位于位置:2
在序列 S2 中，最大值位于位置:1

## 示例:获取由空值组成的 mx 值的位置

这里，在本例中，Series 元素由空值组成，默认情况下`Series.argmax()` 方法`ignores`仅通过考虑整数元素来计算空值并返回较大值的位置。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating Series
s = pd.Series([np.nan,12,100,np.nan])
print("The maximum value is in position:",s.argmax())
```

最大值在位置:2

### 结论

在本教程中，我们了解了数据帧的`Series.argmax()` 方法。我们学习了`Series.argmax()` 方法的语法和参数，并创建了不同的示例来更好地理解这个主题。

* * *

* * *