# Pandas 序列`argmin()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-argmin-method>

在本教程中，我们将学习 Pandas`Series.argmin()` 的方法。此方法返回整数值，该整数值指示存在最小值的位置。

下图显示了`Series.argmin()` 方法的语法。

### 句法

```py
Series.argmin(axis=None, skipna=True, *args, **kwargs)
```

### 因素

**轴:**为无。这是与 Series 保持一致的伪参数。

**skipna:** 是 bool(真或假)，默认值为真。当显示结果时，它排除所有空值。

***args，**kwargs** :是与 NumPy 兼容的附加参数和关键字。

## 示例:使用`Series.argmin()` 方法获取较小值的位置

让我们将`Series.argmin()` 方法应用于两个级数，得到最小值的位置。见下面的例子。

这里，在系列`s_1`中，有不同的值，在`s_2`中，由重复的值组成。`Series.argmin()` 方法返回一个位置，如果最小值出现在不同的位置，则返回第一行的位置。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s_1= pd.Series([45,10,78,22])
s_2= pd.Series([45,14,11,11])
print("In Series s_1 the minimum value is in the position:",s_1.argmin())
print("In Series s_2 the minimum value is in the position:",s_2.argmin())
```

在序列 S1 中，最小值位于位置:1
在序列 S2 中，最小值位于位置:2

## 示例:获取由空值组成的系列的最小值的位置

这里，在本例中，Series 元素由空值组成，默认情况下`Series.argmin()` 方法`ignores`仅通过考虑整数元素来计算空值并返回最小值的位置。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating Series
s = pd.Series([np.nan,5,9,np.nan])
print("The minimum value is in the position:",s.argmin())
```

最小值在位置:1

## 示例:获取由空值组成的系列的最小值的位置

如果在求最小值的时候要考虑空值，可以通过`Series.argmin()` 方法中的`skipna=False` 来实现。见下面的例子。对于空值，它将位置返回为-1。

```py
#importing pandas as pd
import pandas as pd
#importing numpy as np
import numpy as np
#creating Series
s = pd.Series([12,90,100,np.nan,np.nan,120])
print("The minimum value is in the position:",s.argmin(skipna=False))
```

最小值在位置:-1

### 结论

在本教程中，我们了解了数据帧的`Series.argmin()` 方法。我们学习了`Series.argmin()` 方法的语法和参数，并创建了不同的示例来更好地理解这个主题。

* * *

* * *