# Pandas 序列`argsort()`方法

> 原文：<https://www.studytonight.com/pandas/pandas-series-argsort-method>

在本教程中，我们将学习 Pandas`Series.argsort()`方法。此方法返回由对序列值进行排序的索引组成的序列。如果序列包含空值或缺失值，`Series.argsort()`方法给出`-1` 值作为其索引。

下面是`Series.argsort()`方法的语法。

### 句法

```py
Series.argsort(axis=0, kind='quicksort', order=None)
```

### 因素

**轴:**为 0 或“指数”。它没有效果，但被接受与 numpy 兼容。

**种类:**包括‘merge sort’‘quick sort’‘heap sort’，默认为‘quick sort’。它表示排序算法的选择。

**顺序:**无。它没有效果，但被接受与 numpy 兼容。

## 示例:使用`Series.argsort()`方法对序列元素进行排序

让我们创建一个系列并将`Series.argsort()`方法应用于该系列。默认情况下，`Series.argsort()`方法使用快速排序算法对序列的元素进行排序，并返回索引。见下面的例子。

即使我们使用“mergesort”和“heapsort”，我们也会得到相同的输出。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s_1= pd.Series([2,1,4,3])
print(s_1.argsort())
```

0 1
1 0
2 3
3 2
数据类型:int64

## 示例:对由空值组成的系列元素进行排序

让我们将`Series.argsort()`方法应用于由空值组成的序列。`Series.argsort()`方法返回-1 值作为空值的索引。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
s_1= pd.Series([None,1,None,3])
print(s_1.argsort())
```

0 -1
1 0
2 -1
3 1
数据类型:int64

### 结论

在本教程中，我们了解了数据帧的`Series.argsort()` 方法。我们学习了`Series.argsort()` 方法的语法和参数，并创建了不同的示例来更好地理解这个主题。

* * *

* * *