# Pandas 序列`astype()`方法

> 原文：<https://www.studytonight.com/pandas/python-pandas-seriesastype-method>

在本教程中，我们将学习 Pandas`Series.astype()`的方法。该方法用于转换 Pandas 对象的数据类型。使用这个方法，我们可以将对象的数据类型转换为指定的数据类型

下图显示了`Series.astype()`方法的语法。

### 句法

```py
Series.astype(dtype, copy=True, errors='raise')
```

### 因素

**数据类型:**是列名的数据类型或字典。

**副本:**代表 bool(真或假)，默认为 True。当副本=真时，它返回一个副本

**错误:**包括‘提高’、‘忽略’，默认为‘提高’

## 示例:使用`Series.astype()`方法投射 Pandas 物体

让我们使用`Series.astype()`方法将 Series 对象转换为另一种数据类型。在这个例子中，我们从`'int64'`转换为`'int32'`数据类型。见下面的例子。

```py
import pandas as pd
series = pd.Series([1,2,3,4,5]) 
print("----Before converting datatype of DataFrame-----")
print(series.dtypes)
print("----After converting datatype of DataFrame-----")
print(series.astype('int32').dtypes)
```

-转换数据帧数据类型前-
int64
-转换数据帧数据类型后-
int32

## 示例:使用`Series.astype()`方法投射 Pandas 物体

这个例子和上一个相似。让我们使用`Series.astype()`方法将 Series 对象转换为另一种数据类型。在这个例子中，我们从“int64”转换为“str”数据类型。见下面的例子。

```py
import pandas as pd
series = pd.Series([1,2,3,4,5]) 
print("----Before converting datatype of DataFrame-----")
print(series.dtypes)
print("----After converting datatype of DataFrame-----")
print(series.astype(str).dtypes)
```

-转换数据帧数据类型前-
int64
-转换数据帧数据类型后-
int32

### 结论

在本教程中，我们学习了 Pandas`Series.astype()`方法。我们将 Series 的数据类型列转换为另一种数据类型，并检查了 Series。

* * *

* * *