# Pandas 序列`backfill()`方法

> 原文：<https://www.studytonight.com/pandas/python-pandas-seriesbackfill-method>

如果我们想用其他值替换缺失值或空值，可以选择`backfill` 方法。在本教程中，我们将学习向后填充空值或缺失值的[python](https://studytonight.com/python/getting-started-with-python)pands`Series.backfill()`方法。如果`inplace`为真，则返回填充了缺失值的序列或`None` 。

下图显示了`Series.backfill()`方法的语法。

### 句法

```py
Series.backfill(axis=None, inplace=False, limit=None, downcast=None)
```

## 示例:使用`Series.backfill()`方法填充缺失值

让我们使用`Series.backfill()`方法来填充序列中缺少的值。此方法向后填充序列中存在的空值或缺失值。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
series=pd.Series([None,5,None,10])
print("-----------The Series is---------")
print(series)
print("---------------------------------")
print(series.backfill())
```

-系列为-
0 NaN
1 5.0
2 NaN
3 10.0
dtype:float 64
-
0 5.0
1 5.0
2 10.0
3 10.0
dtype:float 64

## 示例:在`Series.backfill()`方法中设置限制

在本例中，我们将极限参数设置为某个整数。使用该参数，我们可以定义`Series.backfill()`方法的限制，以填充连续缺失值的数量。见下面的例子。

在下面的例子中，数列由三个连续的缺失值组成，并且`Series.backfill()`方法仅填充两个缺失值，因为限制被设置为 2。

```py
#importing pandas as pd
import pandas as pd
#creating Series
series=pd.Series([None,None,None,5])
print("-----------The Series is---------")
print(series)
print("---------------------------------")
print(series.backfill(limit=2))
```

-系列为-
0 NaN
1 NaN
2 NaN
3 5.0
数据类型:float64
-
0 NaN
1 5.0
2 5.0
3 5.0
数据类型:float 64

## 示例:在`Series.backfill()`方法中设置`inplace=True`

这里，在这个例子中，我们已经在`Series.backfill()`方法中设置了`inplace=True`。由于该参数为`True`，因此`Series.backfill()`方法在不创建新对象的情况下填充缺失值，并返回`None`。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
series=pd.Series([None,5,None,5])
print("-----------The Series is---------")
print(series)
print("---------------------------------")
print(series.backfill(inplace=True))
```

-系列为-
0 NaN
1 5.0
2 NaN
3 5.0
数据类型:float64
-
None
0 5.0
1 5.0
2 5.0
3 5.0
数据类型:float 64

### 结论

在本教程中，我们学习了 Pandas`Series.backfill()`方法。我们学习了该方法的语法和参数，并将该方法应用于由 None 值组成的系列，并理解了`Series.backfill()`方法。

* * *

* * *