# Pandas 序列`bool()`方法

> 原文：<https://www.studytonight.com/pandas/python-pandas-seriesbool-method>

在本教程中，我们将学习 Pandas`Series.bool()`方法。使用这种方法，我们检查给定的序列是否由单个布尔作为元素组成。元素必须是布尔`scalar` 值，为真或假。它返回`bool`，与系列中的值相同。如果序列包含多个元素并且该元素不是布尔型的，则`Series.bool()`方法会引发`ValueError`。

下图显示了`Series.bool()`方法的语法。

### 句法

```py
Series.bool()
```

## 示例:使用`Series.bool()`方法检查系列

在这个例子中，我们创建了两个由一个布尔元素组成的系列。让我们用`Series.bool()`方法来检查这两个系列。由于两个序列由一个布尔元素组成，`Series.bool()`方法返回序列中的布尔值。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
series_1 = pd.Series([True])
series_2 = pd.Series([False])
print("The element present in the Series_1 is",series_1)
print("The element present in the Series_2 is",series_2)
print("-------------------------------------------------")
print("The Series_1 contains a single bool value:",series_1.bool())
print("The Series_2 contains a single bool value:",series_2.bool())
```

Series _ 1 中存在的元素为 0 True
数据类型:bool
Series _ 2 中存在的元素为 0 False
数据类型:bool
-
Series _ 1 包含单个 bool 值:True
Series _ 2 包含单个 bool 值:False

## 示例:使用`Series.bool()`方法检查系列

在这个例子中，我们已经创建了两个由不止一个布尔元素组成的系列。当我们对这些数列应用`Series.bool()`方法时，我们会得到 ValueError。见下面的例子。

如果序列包含多个布尔元素，则`Series.bool()`方法会引发`ValueError`。

```py
#importing pandas as pd
import pandas as pd
#creating Series
series_1 = pd.Series([True,False])
series_2 = pd.Series([True,True])
print("Does the Series_1 contains single bool value:",series_1.bool())
print("Does the Series_2 contains single bool value:",series_2.bool())
```

值错误:数列的真值不明确。请使用 a.empty、a.bool()、a.item()、a.any()或 a.all()。

## 示例:使用`Series.bool()`方法检查系列

在本例中，我们创建了两个由单个`integer` 值组成的系列。`Series.bool()`方法会产生一个`ValueError`，因为数列由非布尔值(整数)组成。见下面的例子。

```py
#importing pandas as pd
import pandas as pd
#creating Series
series_1 = pd.Series([0])
series_2 = pd.Series([1])
print("Does the Series_1 contains single bool value:",series_1.bool())
print("Does the Series_2 contains single bool value:",series_2.bool())
```

值错误:布尔不能作用于非布尔单元素序列

### 结论

在本教程中，我们学习了 PythonPandas`Series.bool()`方法。通过解决不同的例子，我们理解了这种方法是如何工作的。

* * *

* * *