# Pandas 序列`clip()`方法

> 原文：<https://www.studytonight.com/pandas/python-pandas-seriesclip-method>

在本教程中，我们将学习[蟒](https://studytonight.com/python/getting-started-with-python)Pandas`Series.clip()`方法。使用这种方法，我们可以通过指定输入阈值(可以是奇异值或数组)来限制或修剪序列中的值。它通过替换剪辑边界之外的值返回序列，如果是`inplace=True`，则返回无。

下图显示了`Series.clip()`方法的语法。

### 句法

```py
Series.clip(lower=None, upper=None, axis=None, inplace=False, *args, **kwargs)
```

### 因素

**low:**表示 float 或 array_like，默认值为 None。它表示最小阈值，低于该阈值的所有值都将被设置为它。

**上:**表示浮动或 array_like，默认值为 None。它代表最大阈值。高于此阈值的所有值都将被设置为该值。

**inplace:** 表示 bool(真或假)，默认值为 False。是否对数据就地执行操作。

***args，**kwargs** :是额外的关键词，没有效果，但可能会被接受与 NumPy 兼容。

## 示例:具有`upper`阈值的`Series.clip()`方法

这里，在这个例子中，我们使用`upper`阈值的`Series.clip()`方法修剪序列值。我们将上限阈值设置为`4`，`Series.clip()`方法修剪阈值以上的值，并将其设置为阈值。见下面的例子。

```py
#importing pandas library
import pandas as pd
series = pd.Series([8,3,-6,4.5])
print("------Series--------")
print(series)
print("------After clipping the Series--------")
print(series.clip(upper=4))
```

-系列-
0 8.0
1 3.0
2-6.0
3 4.5
数据类型:float64
-剪裁系列-
0 4.0
1 3.0
2-6.0
3 4.0
数据类型:float64

## 示例:`Series.clip()`阈值较低的方法

这里，在这个例子中，我们使用`lower` 阈值的`Series.clip()`方法修剪序列值。我们将`lower` 阈值设置为`4` ，`Series.clip()`方法修剪低于阈值的值并将其设置为阈值。见下面的例子。

```py
#importing pandas library
import pandas as pd
series = pd.Series([5,2,-6,3])
print("------Series--------")
print(series)
print("------After clipping the Series--------")
print(series.clip(lower=4))
```

-系列-
0 5
1 2
2 -6
3 3
数据类型:int64
-剪裁系列-
0 5
1 4
2 4
3 4
数据类型:int64

## 示例:`Series.clip()`方法与`upper`和`lower` 阈值

我们可以在`Series.clip()`方法中指定下限和上限阈值，该方法根据指定的`lower` 和`upper` 阈值修剪序列值。见下面的例子。

```py
#importing pandas library
import pandas as pd
series = pd.Series([8,-6,6,-1])
print("------Series--------")
print(series)
print("------After clipping the Series--------")
print(series.clip(-1,5))
```

-系列-
0 8
1 -6
2 6
3 -1
数据类型:int64
-剪裁系列-
0 5
1-1
2 5
3-1
数据类型:int64

## 示例:在`Series.clip()`方法中设置`inplace=True`

这里，在这个例子中，我们在`Series.clip()`方法中设置`inpace=True`。`Series.clip()`方法修剪值，但不会返回新的对象，因为参数 inplace 被设置为 True，而是返回`None`。见下面的例子。

```py
#importing pandas library
import pandas as pd
series = pd.Series([8,-6,6,-1])
print("------Series--------")
print(series)
print("------After clipping the Series--------")
print(series.clip(-1,5,inplace=True))
```

-系列-
0 8
1 -6
2 6
3 -1
数据类型:int64
-剪裁系列后-
无

### 结论

在本教程中，我们学习了`Series.clip()`方法。我们学习了语法、参数，通过解决不同的例子，我们理解了`Series.clip()`方法。

* * *

* * *