# Spring 表达式语言

> 原文：<https://www.studytonight.com/spring-framework/spring-expression-language>

Spring 表达式语言是一种用于应用中查询的表达式语言。它是为了 p 的目的而设计的，以便为 Spring 框架提供一种支持良好的表达式语言。我们可以将它用于两种类型的配置 XML 和注释。它可以用来将一个 bean 或 bean 属性注入到另一个 bean 中。它是一组丰富的功能，允许以下特性。

*   字面表达式

*   变量

*   布尔和关系运算符

*   访问属性、数组、列表和映射

*   方法调用

*   关系运算符

*   分配

*   调用构造器

*   Bean 引用

*   内嵌列表

*   三元算子

## 举例的时间到了

让我们看一些在 spring 应用中使用表达式语言的有用例子。

**文字表达的表达式语言**

我们可以使用表达式语言来设置 bean 属性的文字值。看，我们用花括号括起文字值，并将其赋给 value 属性。我们也可以通过使用@Value 注释对 Java 代码做同样的事情。我们已经为两者添加了示例。

```java
<!-- XML Code  -->
<bean id="user" class="com.studytonight.User">
  <property name="id" value = "#{'1021'}" />
</bean>

<!-- Java Code -->
package com.studytonight;
class User{
   @Value("#{1021}")
   int id;
   @Value("#{'Rohan'}")
   String name;
...
}
```

### 变量的表达式语言

我们可以在大括号内传递变量来设置属性的值。我们可以使用它通过解析变量从属性文件中获取值。

```java
package com.studytonight;
class User{
   @Value("#{user.id}")
   int id;
   @Value("#{'user.name'}")
   String name;

...

}
```

### 运算符的表达式语言

表达式语言允许在表达式中使用运算符来设置值。您可以看到，在计算表达式后，将为属性设置一个布尔值。

```java
package com.studytonight;
class Demo{
   @Value("#{a<b}")
   private boolean isGreater;

   @Value("#{a<b?true:false}")
   private boolean check;
...
}
```

### 方法调用的表达式语言

我们可以在大括号内调用任何方法，因为表达式语言允许方法调用特性使其更加动态。请看下面的例子。

```java
package com.studytonight;
class User{
   @Value("#{user.id}")
   int id;
   @Value("#{'user.name'.toUpperCase()}")
   String name;
...
}
```

### JSP 页面中的表达式语言

这是我们需要使用表达式语言时的大部分情况。Spring 与 JSP 一起工作，表达式语言在查询数据、制作动态表达式以及向用户显示动态数据方面表现良好。

```java
<body>
<strong>Hello,</strong>
<h2>${user.name}</h2>
</body>
```

* * *

* * *