# 同步的经典问题

> 原文：<https://www.studytonight.com/operating-system/classical-synchronization-problems>

在本教程中，我们将讨论各种经典的同步问题。

除了互斥之外，信号量还可以用于其他同步问题。

下面是一些经典问题，描述了存在协作进程的系统中进程同步的缺陷。

我们将讨论以下三个问题:

1.  有界缓冲区(生产者-消费者)问题

2.  哲学家就餐问题

3.  读写器问题

## [有界缓冲区问题](https://www.studytonight.com/operating-system/bounded-buffer)

因为缓冲池有一个最大大小，这个问题通常被称为**有界缓冲问题**。

*   这个问题被概括为**生产者消费者问题**，其中**有限**缓冲池被用来在生产者和消费者进程之间交换消息。

*   这个问题的解决方案是，创建两个计数信号量“满”和“空”，分别跟踪当前已满和空缓冲区的数量。

*   在这种情况下，生产者主要生产产品，消费者消费产品，但两者每次都可以使用其中一个容器。

*   这个问题的主要复杂性在于，我们必须保持可用的空容器和满容器的计数。

## [哲学家就餐问题](https://www.studytonight.com/operating-system/dining-philosophers-problem)

*   哲学家就餐的问题涉及以无死锁和无饥饿的方式将有限的资源分配给一组进程。

*   有五个哲学家围坐在一张桌子上，桌子旁边放着五根筷子/叉子，中间放着一碗米饭，当一个哲学家想吃饭时，他用两根筷子——一根从他们的左边，一根从他们的右边。当一个哲学家想思考时，他会把两根筷子都放在原来的位置。

## [读写器问题](https://www.studytonight.com/operating-system/readers-writer-problem)

*   在这个问题中，有一些进程(称为**读取器**)只读取共享数据，从不更改数据，还有一些进程(称为**写入器**)可能会在读取数据之外更改数据，或者不读取数据。

*   有各种类型的读取器-写入器问题，大多数集中在读取器和写入器的相对优先权。

*   这个问题的主要复杂性来自于允许多个读取器同时访问数据。

* * *

* * *