# 文件系统简介

> 原文：<https://www.studytonight.com/operating-system/file-system>

一个**文件**可以是“自由形成的”、索引的或相关字节的结构化集合，只对创建它的人有意义。或者换句话说，目录中的一个条目就是文件。该文件可能具有名称、创建者、日期、类型、权限等属性。

* * *

## 文件结构

文件有各种各样的结构。其中一些可能是:

*   **简单记录结构**具有固定或可变长度的行。
*   **复杂结构**如格式化文档或可重新加载的加载文件。
*   **无确定结构**如单词和字节序列等。

* * *

### 文件的属性

以下是文件的一些属性:

*   **名称**。这是人类可读形式的唯一信息。
*   **标识符**。文件由文件系统中唯一的标签(编号)标识。
*   **类型**。支持不同类型文件的系统需要它。
*   **位置**。指向设备上文件位置的指针。
*   **尺寸**。文件的当前大小。
*   **保护**。这控制和分配了读、写、执行的权力。
*   **时间、日期和用户标识**。这是用于保护、安全和使用监控的数据。

* * *

## 文件访问方法

文件访问和读入内存的方式由访问方法决定。通常系统支持单一访问方法，而操作系统支持多种访问方法。

#### 1.顺序存取

*   一个记录接一个记录地访问数据是一个命令。
*   Read 命令使指针向前移动一位。
*   Write 命令为记录分配空间，并将指针移动到新的文件结尾。
*   这样的方法对胶带来说是合理的。

#### 2.直接存取

*   这种方法对磁盘很有用。
*   该文件被视为块或记录的编号序列。
*   对读/写哪些块没有限制，可以按任何顺序写。
*   用户现在说“读 n”而不是“读下一个”。
*   “n”是相对于文件开头的数字，而不是相对于绝对物理磁盘位置的数字。

#### 3.索引顺序存取

*   它建立在顺序访问的基础上。
*   它在访问文件时使用索引来控制指针。

* * *

### 什么是目录？

关于文件的信息由目录维护。一个目录可以包含多个文件。它甚至可以有目录在里面。在 Windows 中，我们也将这些目录称为文件夹。

以下是目录中维护的信息:

*   **名称**:用户可见的名称。
*   **类型**:目录的类型。
*   **位置**:设备和文件头所在设备上的位置。
*   **大小**:文件中的字节数/字数/块数。
*   **位置**:当前下一读/下一写指针。
*   **保护**:读/写/执行/删除的访问控制。
*   **用法**:创建、访问、修改等时间。
*   **挂载**:当一个文件系统的根被“嫁接”到另一个文件系统的现有树中时，称为挂载。

* * *

* * *