# 计算机网络导论

> 原文：<https://www.studytonight.com/computer-networks/overview-of-computer-networks>

现代世界的场景是不断变化的。数据通信和网络改变了商业和其他日常事务的工作方式。现在，他们高度依赖计算机网络和互联网。

> 通常被称为通过媒体链接连接的节点的一组设备称为网络。

节点可以是能够发送或接收网络上其他节点(如计算机、打印机等)生成的数据的设备。这些连接设备的链路称为**通信通道**。

计算机网络是一种电信信道，通过它我们可以与连接到同一网络的其他计算机或设备共享数据。它也被称为数据网络。计算机网络最好的例子是互联网。

计算机网络并不意味着一个系统的一个控制单元连接到多个其他系统作为其从属。那是分布式系统，不是计算机网络。

网络必须能够满足某些标准，这些标准在下面提到:

1.  表演
2.  可靠性
3.  可量测性

* * *

### 计算机网络:性能

可以通过以下方式进行测量:

*   **传输时间:**是将消息从一台设备传输到另一台设备所需的时间。
*   **响应时间:**定义为查询到响应之间经过的时间。

衡量绩效的其他方法有:

1.  软件效率
2.  用户数量
3.  连接硬件的能力

### 计算机网络:可靠性

它决定了网络故障发生的频率。故障越多，网络的可靠性就越低。

### 计算机网络:安全性

它指的是保护数据免受任何未经授权的用户或访问。当通过网络传输时，数据通过网络的许多层，如果尝试，数据可以被跟踪。因此，安全性也是网络非常重要的特征。

* * *

## 良好网络的性质

1.  **人际交往:**我们可以高效轻松地进行交流。例如:电子邮件、聊天室、视频会议等，所有这些都是可能的，因为计算机网络。
2.  **资源可以共享:**我们可以通过使物理资源在网络上可用来共享物理资源，例如打印机、扫描仪等。
3.  **共享文件、数据:**允许授权用户在网络上共享文件。

* * *

## 基本沟通模式

通信模型用于在双方之间交换数据。例如:计算机、服务器和电话之间的通信(通过调制解调器)。

![Basic Communication Model](img/a1dfcb5b35aa36715e765dd1bf681e83.png)

### 传播模式:来源

要传输的数据由该设备生成，例如:电话、个人计算机等。

### 通信模式:发射机

源系统生成的数据不会以其生成的形式直接传输。发射器以这种形式对数据进行转换和编码，以产生电磁波或信号。

### 通信模式:传输系统

传输系统可以是连接源和目的地的单一传输线或复杂网络。

### 通信模型:接收器

接收器接受来自传输系统的信号，并将其转换为目的设备易于管理的形式。

### 沟通模式:目的地

目的地接收来自接收器的输入数据。

* * *

## 数据通信

两个设备之间通过传输介质进行的数据交换称为**数据通信**。数据以**0**和**1**的形式交换。使用的传输介质是电线电缆。为了进行数据通信，通信设备必须是通信系统的一部分。数据通信有两种类型- **本地**和**远程**，下面讨论:

### 数据通信:本地

当通信设备位于同一地理区域、同一建筑物或面对面等时，就会发生本地通信。

### 数据通信:远程

远程通信在一段距离内进行，即设备距离较远。数据通信的有效性可以通过以下特征来衡量:

1.  **发货**:发货要送到正确的目的地。
2.  **及时性**:发货要准时。
3.  **准确性**:传递的数据要准确。

* * *

### 数据通信的组成部分

1.  **消息:**是要传递的信息。
2.  **发送者:**发送者是发送消息的人。
3.  **接收者:**接收者是消息被发送到的人。
4.  **媒介:**是发送消息的媒介。例如:调制解调器。
5.  **协议:**这些是管理数据通信的一些规则。

* * *

* * *