# Telnet vs SSH

> 原文：<https://www.studytonight.com/computer-networks/telnet-vs-ssh>

在本教程中，我们将了解计算机网络中 TELNET 和 SSH 之间的区别。

TELNET 基本上是 TErminal NETwork 的简称。它基本上是一种用于虚拟终端服务的 TCP/IP 协议，主要由国际标准组织(ISO)提出。

*   它是一个通用的客户机/服务器应用程序。

*   该程序能够建立到远程系统的连接，使得本地系统开始作为远程系统的终端出现。

*   它是一个标准的 TCP/IP 协议，用于虚拟终端服务。

*   简单地说，我们可以说 telnet 允许用户登录远程计算机。登录后，用户可以使用远程计算机的服务，然后可以将结果传输回本地计算机。

*   TELNET 主要是在大多数操作系统在分时环境下运行的时候设计的。在这种环境下，一台大型计算机可以支持多个用户。通常，计算机和用户之间的交互是通过终端进行的(它是键盘、鼠标和显示器的组合)。

*   TELNET 只使用一个 TCP/IP 连接。

SSH 是安全外壳的缩写。它是通过互联网访问网络设备和服务器的主要协议之一。

*   它基本上是一个网络协议，主要运行在 TCP/IP 协议之上。

*   它被广泛用于远程管理和访问设备。

*   此外，安全外壳(SSH)主要使两个远程连接的用户能够在不安全的网络上执行网络通信和其他服务。

*   因此，它提供了安全的客户端/服务器通信，还可以用于其他任务，如**文件传输**和**电子邮件**。

*   在 SSH 的帮助下，您可以通过网络登录到另一台计算机，它允许您在远程机器上执行命令。

*   您可以轻松地将文件从一台机器移动到另一台机器。

*   该协议主要对双向流量进行加密；借助此功能，您可以防止贩卖、嗅探和密码盗窃。

*   默认情况下，SSH 运行在**端口号 22** 上，您也可以更改它。

*   它适用于公共网络。

## TELNET 和 SSH 的区别

![](img/124fcdcf02ba38d4cd988dd1bbf5ce76.png)

现在让我们来看看 TELNET 和 SSH 之间的区别:

| TELNET  | 嘘 |
| --- | --- |
| 它基本上是一个标准的 TCP/IP 协议，主要用于虚拟终端服务。TELNET 使您能够以一种看起来像本地系统的方式建立到远程系统的连接。 | SSH(安全外壳)基本上是一个程序，它帮助您通过网络登录到另一台计算机，以便在远程机器上执行命令。 |
| TELNET 适用于专用网络 | SSH 主要适用于公共网络。 |
| 它以纯文本的形式传输数据。 | 它利用安全通道以加密格式传输数据。 |
| 它使用端口号 23。它主要是为局域网设计的。 | 默认情况下，SSH 在端口号 22 上工作，并且可以随时更改。 |
| 使用 TELNET 时带宽使用率很低。 | 使用 SSH 的带宽使用率很高。 |
| 没有为用户身份验证提供权限。 | SSH 是一种比 TELNET 更安全的协议，它使用公钥加密来进行身份验证。 |
| 主要用于 LINUX 和 Windows 操作系统。 | 所有操作系统都使用它。 |
| 使用 TELNET 发送的数据不容易被黑客解读。 | 用户名和密码可能会遭到恶意攻击。 |
| 该协议容易受到多种安全攻击。 | SSH 协议帮助您克服许多安全问题 |

## TELNET 命令

下面给出了一些重要的 TELNET 命令:

*   **打开**
    TELNET 中的 Open 命令主要用于打开主机名端口号，以便与主机建立 TELNET 连接

*   **关闭**
    该命令主要帮助关闭现有的 TELNET 连接

*   **退出**
    该命令用于退出 TELNET 

*   **状态**
    该命令主要用于判断 Telnet 客户端是否连接。

*   **计时标记**
    该命令主要用于定义计时标记。

*   **终端类型/速度**
    该命令主要用于设置终端类型和速度。

## SSH 命令

下面给出了一些用于 SSH 的重要命令:

*   **ls**
    用于显示目录内容(主要是列出文件的名称)。

*   **cd**
    这个命令主要帮助你更改目录

*   **mkdir**
    这个命令帮助你创建一个新的文件夹/目录。

*   **触摸**
    这个命令主要允许你删除一个文件。



* * *

* * *