# TCP 与 UDP 协议

> 原文：<https://www.studytonight.com/computer-networks/tcp-vs-udp-protocol>

在本教程中，我们将介绍 TCP 和 UDP 之间的区别；网络层的两个协议。

**TCP** 是传输控制协议**的缩写。TCP** 是面向连接的协议。该协议主要在两个 TCp 之间创建一个虚拟连接来发送数据。该协议还利用了传输层的流量和错误控制机制。

**TCP** 是传输层协议。此外， **TCP** 是一个程序对程序协议，与 **UDP** 相同。 **TCP/IP** 主要代表传输控制协议/互联网协议。该协议专门设计为一个模型，在不可靠的网间网络上提供高可靠性和端到端字节流。

我们也可以说 **TCP** 给 IP 的服务增加了面向连接和可靠性的特性。

**TCP** 连接只需借助三次握手即可建立。因此，基本上这是一个启动和确认连接的过程。一旦建立连接，数据传输就开始了，一旦传输过程结束，只要关闭已建立的虚拟电路，连接就终止了。

**UDP** 是用户数据报协议的缩写。 **UDP** 是一种无连接且不可靠的协议。除了尽管存在主机到主机的通信，但是该协议提供了进程到进程的通信这一事实之外，该协议没有给 IP 的服务增加任何东西。 **UDP** 协议在非常有限的数量内执行错误检查。

用户数据报协议使用简单的传输方法。 **UDP** 不使用隐含的握手对话来进行排序、可靠性或数据完整性。该协议主要假设错误检查和纠正不重要或在应用程序中执行。为了避免网络接口级别的这种处理的开销。 **UDP** 也兼容分组广播和组播。

现在是时候看看 TCP 和 UDP 的区别了。

## TCP 和 UDP 的区别

![](img/ce127e41d165bba983f7fc41b8f07100.png)

TCP 和 UDP 之间的差异如下表所示:

| 三氯苯酚 | 用户数据报协议(User Datagram Protocol) |
| --- | --- |
| TCP 是一种面向连接的协议。 | UDP 是一种无连接协议。 |
| 该协议以特定的顺序重新排列数据包。 | 没有排序的概念，因为所有的包都是相互独立的。 |
| TCP 的报头大小是 20 字节。 | UDP 的报头大小是 8 字节。 |
| 传输控制协议(TCP)是一种可靠的协议，因为它确保了每个数据包的传送。 | 用户数据报协议不可靠，因为它不能保证数据包的传送。 |
| 因为 TCP 是一种面向连接的协议，这仅仅意味着在通过网络传输数据之前需要建立连接。 | 由于 UDP 是无连接协议，因此不需要建立连接，也不需要检查系统是否准备好接收数据。 |
| 它利用握手协议，如同步、同步确认、确认。 | 没有握手的概念。 |
| 该协议执行错误检查，并提供错误恢复。 | 没有错误检查的概念，但是 UDP 通常会丢弃错误的数据包。 |
| 确认段存在。 | 不存在确认段。 |
| TCP 提供了较慢的速度。 | UDP 比 TCP 更快 |
| TCP 消息通常通过互联网从一台计算机传到另一台计算机。 | 在这种情况下，一个程序可以向另一台计算机发送大量数据包。 |
| TCP 中存在流量控制机制，因此发送方不能同时向接收方发送太多数据包。 | 缺乏流量控制机制。 |
| TCP 提供了广泛的错误检查，因为它提供了流量控制和数据确认。 | UDP 提供了一种单一的错误检查机制，用于校验和。 |
| 在数据包丢失的情况下，当使用 TCP 时，可以重传数据包。 | 当使用 UDP 时，重传是不可能的。 |
| 与 UDP 相比，该协议重量较重。 | UDP 比 TCP 更快、更高效。 |
| 该协议主要以字节流的形式读取数据，并且消息被传输到段边界。 | UDP 消息主要包含一个接一个发送的数据包。UDP 还会在到达时检查完整性。 |



* * *

* * *