# OSI 与 TCP 参考模型的比较

> 原文：<https://www.studytonight.com/computer-networks/comparison-osi-tcp-model>

现在是时候比较我们到目前为止所学的两个参考模型了。让我们从解决这两个模型的相似之处开始。

以下是开放系统互连参考模型和 TCP 参考模型之间的一些相似之处。

*   两者都有分层架构。
*   层提供类似的功能。
*   两者都是协议栈。
*   两者都是参考模型。

* * *

## OSI 与 TCP 参考模型的区别

以下是 OSI 参考模型和 TCP/IP 参考模型之间的一些主要区别，下面是图解比较。

| 开放系统互连 | 传输控制协议/互联网协议 |
| 1.OSI 是一个通用的、独立于协议的标准，充当网络和最终用户之间的通信网关。 | 1.TCP/IP 模型基于标准协议，互联网就是围绕这些标准协议发展起来的。它是一种通信协议，允许主机通过网络连接。 |
| 2.在 OSI 模型中，传输层保证数据包的传输。 | 2.在 TCP/IP 模型中，传输层不保证数据包的传送。不过，TCP/IP 模式更可靠。 |
| 3.遵循垂直方法。 | 3.遵循水平方法。 |
| 4.OSI 模型有一个单独的表示层和会话层。 | 4.TCP/IP 没有单独的表示层或会话层。 |
| 5.传输层面向连接。 | 5.传输层是面向连接的，也是无连接的。 |
| 6.网络层既面向连接，又无连接。 | 6.网络层连接较少。 |
| 7.OSI 是构建网络的参考模型。一般来说，它被用作一种指导工具。 | 7.在某种程度上，TCP/IP 模型是 OSI 模型的实现。 |
| 8.OSI 模型的网络层提供面向连接和无连接的服务。 | 8.TCP/IP 模型中的网络层提供无连接服务。 |
| 9.OSI 模型有一个问题，就是如何将协议适配到模型中。 | 9.TCP/IP 模型不适合任何协议 |
| 10.协议隐藏在 OSI 模型中，随着技术的变化很容易被替换。 | 10.在 TCP/IP 中，替换协议并不容易。 |
| 11.OSI 模型非常清晰地定义了服务、接口和协议，并对它们进行了明确的区分。它与协议无关。 | 11.在 TCP/IP 中，服务、接口和协议没有明确分开。它也依赖于协议。 |
| 12.它有 7 层 | 12.它有 4 层 |

* * *

### OSI 参考模型与 TCP 参考模型的图解比较

![between OSI (7 layers) and TCP/IP (4 layers) Model](img/ec179dcf9accc04253a0190b68f2605a.png)

* * *

* * *