# 协议和标准

> 原文：<https://www.studytonight.com/computer-networks/protocols-and-standards>

在本教程中，我们将涵盖两个最重要和最广泛使用的术语:协议和标准。

## 协议

协议基本上是规则的同义词。在计算机网络中，基本上，通信发生在不同系统的实体之间。实体是能够发送或接收信息的任何东西。任何两个实体都不能简单地互相发送比特流并期望被理解。

实体必须同意一个协议，以便进行通信。

协议是一组主要管理数据通信的规则。该协议主要定义了通信内容、通信方式和通信时间。

### 协议的关键要素

协议的关键要素如下:

*   **句法**
    该术语主要指数据的结构或格式，简单来说就是数据呈现的顺序。例如，一个简单的协议可能期望数据的前 8 位是发送者的地址，然后第二个 8 位是接收者的地址，然后流的其余部分是消息本身。

*   **语义**
    这个术语主要是指每一段比特的含义。如何解释特定的模式，在解释的基础上采取什么行动？例如，地址是否标识了要采用的路由或消息的最终目的地？

*   **计时**
    这个术语主要指两个特征:数据应该在什么时间发送，数据可以多快发送。例如，如果发送方以 100 Mbps 的速度产生数据，而接收方只能以 1 Mbps 的速度处理数据，则传输会使接收方过载，并且会有一些数据丢失。

## 标准

标准对于为设备制造商创造和维持一个开放和创新的市场至关重要，它们还保证了数据、电信技术和流程的国内和国际互操作性。

标准主要用于向制造商、供应商、政府机构以及其他服务提供商提供指南，以确保当今市场和国际通信所必需的互连性。

数据通信标准主要分为两类

*   **事实上的**(意思是“根据事实”/“根据惯例”)
    这些标准尚未得到有组织机构的批准，但通过广泛使用已被采纳为标准。这些类型的标准通常最初是由制造商建立的，他们只是寻求定义他们新产品或技术的功能。

*   **法律上的**(意思是“通过法律”/“通过法规”)
    法律上的标准是由官方认可的机构制定的标准。

### 标准组织

标准主要通过标准创建委员会、政府监管机构和论坛的合作来开发。

一些标准创建委员会包括:

*   OSI

*   美国国家标准协会

*   电子工业协会

*   电气和电子工程师协会



* * *

* * *