# 存储单元

> 原文：<https://www.studytonight.com/computer-architecture/memory-unit>

一个**存储单元**是存储单元和相关电路的集合，这些电路需要将信息传入和传出存储器。

### 单词

存储器将**二进制信息(1 和 0)**存储在称为**字**的**位组**中。存储器中的字是作为一个单元移入和移出存储器的位的实体。记忆单词是一组 1 和 0，可以表示数字、指令代码、一个或多个字母数字字符或任何其他二进制编码信息。

### 字节

一组**八位**称为一个**字节**。大多数计算机存储器使用位数是 8 的倍数的字。因此，一个 16 位字包含两个字节，一个 32 位字由 4 个字节组成。

商用计算机的内存容量通常表示为可存储的字节总数。

* * *

## 存储单元的内部结构

存储单元的内部结构由它包含的字的**数量**和每个字的位的**数量**来指定。称为**地址线的特殊输入线**选择一个特定的单词。内存中的每个字都被分配一个识别号，称为**地址**，从 0 开始，继续进行 1、2、3，直到 **2 <sup>k</sup> - 1** ，其中 **k** 是地址线的数量。存储器内特定字的选择是通过将 k 位二进制地址应用于地址线来完成的。

内存中的**解码器**接受该地址，并打开选择指定字的位所需的路径。

计算机内存可以从 1024 个字(需要 10 位地址)到 2 个 <sup>32 个</sup>字(需要 32 个地址位)不等。习惯上，用一个字母来表示内存中的字数(或字节数):

*   **K(千)**等于 2 <sup>10</sup>
*   **M(Mega)** 等于 2 <sup>20</sup>
*   **G(千兆)**等于 2 <sup>30</sup>

计算机系统中使用两种主要类型的存储器:**随机存取存储器(RAM)** 和**只读存储器(ROM)** 。这些半导体存储器根据存取时间分为**随机存取存储器(ram)**和**顺序存取存储器(SAMs)** 。

用移位寄存器、**电荷耦合器件(CCDs)** 或气泡存储器构成的存储器是 SAMs 的例子。随机存取存储器分为只读存储器、**只读存储器(RMMs)** 和**读写存储器(RMs)**。

只读存储器有两种类型:**屏蔽编程只读存储器**和**用户编程只读存储器**。

两种类型的内存模块是**可擦除可编程只读存储器(EPROM)** 和**电可擦除可编程只读存储器(EEPROM)** 。

读写存储器分别是**静态随机存储器(SRAM)** 和**动态随机存储器(DRAM)** 。静态随机存取存储器具有与普通触发器相同的存储单元。动态随机存取存储器具有必须定期刷新、读取和写入的存储单元，以避免存储单元的丢失。

* * *

* * *