# 计算机系统架构

> 原文：<https://www.studytonight.com/computer-architecture/architecture-of-computer-system>

计算机是一种电子机器，它使执行任何任务变得非常容易。在计算机中，CPU 执行提供给它的每一条指令，在一系列步骤中，这一系列步骤被称为**机器循环**，并对每一条指令重复执行。一个机器周期包括*提取指令*、*解码指令*、*传输数据*、*执行指令*。

计算机系统有五个帮助计算机执行操作的基本单元，如下所示:

1.  输入装置
2.  输出装置
3.  存储单元
4.  算术逻辑单元
5.  控制部件

* * *

## 输入装置

输入单元连接外部环境和内部计算机系统。它向计算机系统提供数据和指令。常用的输入设备有*键盘*、*鼠标*、*磁带*等。

输入单元执行以下任务:

*   接受来自外部环境的数据和指令。
*   将其转换为机器语言。
*   将转换后的数据提供给计算机系统。

* * *

## 输出装置

它将计算机的内部系统连接到外部环境。它向外界提供任何计算或指令的结果。部分输出设备有*打印机*、*显示器*等。

## 存储单元

这个单元保存数据和指令。它还会在中间结果发送到输出设备之前存储这些结果。它还存储数据供以后使用。

计算机系统的存储单元可以分为两类:

*   **主存储器**:该存储器用于存储当前正在执行的数据。它用于数据的临时存储。当电脑关机时，数据就会丢失。随机存取存储器被用作主存储存储器。
*   **二级存储**:二级内存比一级内存更慢更便宜。它用于永久存储数据。常用的二级存储设备有硬盘、光盘等。

* * *

## 运算逻辑部件

所有的计算都在计算机系统的算术逻辑单元中进行。算术逻辑单元可以执行基本运算，如加法、减法、除法、乘法等。每当需要计算时，控制单元将数据从存储单元传送到算术逻辑单元。当操作完成时，结果被传送回存储单元。

* * *

## 控制部件

它控制计算机的所有其他单元。它控制数据和指令从存储单元到算术逻辑单元的流动。因此它也被称为计算机的中枢神经系统。

* * *

## CPU

它是计算机的 CPU。控制单元和算术逻辑单元合称为 CPU。CPU 是计算机系统的大脑。它执行以下任务:

*   它执行所有操作。
*   它需要所有的决定。
*   它控制计算机的所有单元。

![Architecture Of Computer System](img/12fa2ba505fcfb85ae68a730d5c45d58.png)

上图显示了一台计算机的框图。

* * *

* * *