# 什么是流水线？

> 原文：<https://www.studytonight.com/computer-architecture/pipelining>

流水线是通过流水线积累来自处理器的指令的过程。它允许以有序的过程存储和执行指令。又称**管道加工**。

在推进流水线操作之前，请查看以下主题，以便更好地理解这个概念:

*   [记忆组织](memory-organization)
*   [内存映射和虚拟内存](mapping-and-virtual-memory)
*   [并行处理](parallel-processing-and-data-transfer)

流水线是一种在执行过程中多条指令重叠的技术。管道分为几个阶段，这些阶段相互连接，形成管状结构。指令从一端进入，从另一端退出。

流水线操作增加了总的指令吞吐量。

在流水线系统中，每个部分由一个输入寄存器和一个组合电路组成。寄存器用于保存数据，组合电路对其进行运算。组合电路的输出加到下一段的输入寄存器。

![Pipelining](img/9f2d4ebd662be743456cc011491b0515.png)

管道系统就像现代工厂里的装配线。例如，在汽车制造业中，设置了巨大的装配线，在每个点上，都有机械臂来执行某项任务，然后汽车向前移动到下一个机械臂。

* * *

## 管道类型

它分为两类:

1.  算术流水线
2.  指令流水线

* * *

### 算术流水线

大多数计算机中都有算术流水线。它们用于浮点运算、定点数的乘法等。例如:浮点加法器流水线的输入是:

```c
*X = A*2^a*
```

```c
*Y = B*2^b*
```

这里 A 和 B 是尾数(浮点数的有效位数)，而 **a** 和 **b** 是指数。

浮点加法和减法分 4 部分进行:

1.  比较指数。
2.  对齐尾数。
3.  加减尾数
4.  产生结果。

寄存器用于存储上述操作之间的中间结果。

* * *

### 指令流水线

在这种情况下，可以通过重叠指令周期的*获取*、*解码*和*执行*阶段来执行指令流。这种技术用于提高计算机系统的吞吐量。

指令流水线从存储器中读取指令，而先前的指令正在流水线的其他段中执行。因此，我们可以同时执行多条指令。如果指令周期被分成相等持续时间的段，流水线将更有效率。

* * *

## 管道冲突

有一些因素会导致管道偏离其正常性能。其中一些因素如下:

* * *

### 1.时序变化

所有阶段花费的时间不能相同。这个问题通常发生在指令处理中，不同的指令有不同的操作数要求，因此处理时间也不同。

### 2.数据危害

当几条指令部分执行时，如果它们引用相同的数据，那么问题就出现了。我们必须确保下一条指令不会试图访问当前指令之前的数据，因为这将导致不正确的结果。

* * *

### 3.分支

为了获取并执行下一条指令，我们必须知道该指令是什么。如果当前指令是条件分支，并且它的结果将引导我们到下一个指令，那么下一个指令在当前指令被处理之前可能是不知道的。

* * *

### 4.中断

中断将不需要的指令放入指令流。中断影响指令的执行。

### 5.数据相关性

当一条指令依赖于前一条指令的结果，但该结果尚不可用时，就会出现这种情况。

* * *

## 流水线的优点

1.  处理器的周期时间缩短。
2.  它增加了系统的吞吐量
3.  它使系统可靠。

* * *

## 流水线的缺点

1.  流水线处理器的设计复杂且制造成本高。
2.  指令延迟更多。

* * *

* * *