# 向量（数组）处理和超标量处理器

> 原文：<https://www.studytonight.com/computer-architecture/vector-and-superscalar>

A **标量处理器**是一个普通的处理器，一次只处理简单的指令，对单个数据项进行操作。但是在当今世界，这种技术将被证明是非常低效的，因为指令的整体处理将非常缓慢。

* * *

## 什么是向量(数组)处理？

有一类计算问题超出了传统计算机的能力。这些问题需要对多个数据项进行大量计算，这将需要传统计算机(带标量处理器)几天甚至几周才能完成。

这种同时对多个数据进行操作的复杂指令，需要更好的指令执行方式，这是由 Vector 处理器实现的。

标量 CPU 一次可以操作一两个数据项，效率不是很高。此外，像**这样简单的指令将 A 添加到 B，并存储到 C 中**实际上效率不高。

地址用于指向将要操作的数据将被找到的存储位置，这导致数据查找的额外开销。因此，在找到数据之前，CPU 将保持理想状态，这是一个很大的性能问题。

于是**指令流水线**的概念就出现了，指令依次经过几个子单元。这些子单元执行各种独立的功能，**例如**:**第一个**单元解码指令，**第二个**子单元获取数据，**第三个**子单元自己执行数学运算。因此，虽然数据是为一条指令提取的，但 CPU 并没有闲着，而是对下一条指令集进行解码，最终像流水线一样工作。

向量处理器，不仅使用指令流水线，而且还流水线处理数据，同时处理多个数据。

正常的标量处理器指令是`ADD A, B`，这将导致两个操作数相加，但是如果我们可以指示处理器将一组数字(从`0`添加到`n`存储位置)添加到另一组数字(比如说，`n`添加到`k`存储位置)会怎么样。这可以通过向量处理器来实现。

在向量处理器中，一条指令可以请求多次数据操作，这样可以节省时间，因为这条指令被解码一次，然后继续对不同的数据项进行操作。

* * *

### 向量处理器的应用

具有向量处理能力的计算机在专门的应用中是需要的。以下是使用向量处理的一些领域:

1.  石油勘探。
2.  医学诊断。
3.  数据分析。
4.  天气预报。
5.  空气动力学和太空飞行模拟。
6.  图像处理。
7.  人工智能。

* * *

## 超标量处理器

它最早发明于 1987 年。这是一台旨在提高标量处理器性能的机器。在大多数应用中，大多数运算都是针对标量的。超标量方法产生了高性能的通用处理器。

超标量方法的主要原理是它在不同的流水线中独立执行指令。正如我们已经知道的，指令流水线导致并行处理，从而加速指令的处理。在超标量处理器中，为不同的操作引入了多个这样的流水线，这进一步改善了并行处理。

有多个功能单元，每个功能单元都实现为流水线。每个流水线由多个阶段组成，一次处理多个指令，支持并行执行指令。

它增加了吞吐量，因为 CPU 可以在每个时钟周期执行多个指令。因此，超标量处理器比标量处理器快得多。

一个**标量处理器**处理一两个数据项，而**向量处理器**处理多个数据项。一个**超标量处理器**是两者的结合。每个指令处理一个数据项，但是每个 CPU 中有多个执行单元，因此多个指令可以同时处理不同的数据项。

虽然超标量 CPU 也是流水线式的，但是有两种不同的性能增强技术。有可能有一个非流水线超标量 CPU 或流水线非超标量 CPU。超标量技术与一些特征相关联，这些特征是:

1.  指令从顺序指令流中发出。
2.  CPU 必须动态检查数据相关性。
3.  每个时钟周期应该接受多个指令。

* * *

* * *