# RISC 和 CISC 处理器

> 原文：<https://www.studytonight.com/computer-architecture/risc-cisc-processors>

在本教程中，我们将了解 RISC 处理器和 CISC 处理器以及它们之间的区别。

* * *

## 精简指令集处理器

它被称为精简指令集计算机。这是一种指令数量有限的微处理器。他们可以非常快地执行指令，因为指令非常小而且简单。

RISC 芯片需要更少的晶体管，这使得它们的设计和生产成本更低。在 RISC 中，指令集包含简单和基本的指令，从中可以产生更复杂的指令。大多数指令在一个周期内完成，这允许处理器同时处理许多指令。

在这种情况下，指令基于寄存器，数据从一个寄存器传输到另一个寄存器。

* * *

## CISC 处理器

*   它被称为复杂指令集计算机。
*   它最早是由英特尔开发的。
*   它包含大量复杂的指令。
*   在本指令中，不基于寄存器。
*   指令不能在一个机器周期内完成。
*   数据传输是从内存到内存。
*   在 CISC 可以找到微编程控制单元。
*   它们也有可变的指令格式。

* * *

### CISC 与 RISC 的区别

| 体系特性 | 复杂指令集计算机(CISC) | 精简指令集计算机 |
| 指令大小和格式 | 具有可变格式的大指令集(每条指令 16-64 位)。 | 固定格式(32 位)的小指令集。 |
| 数据传送 | 记忆对记忆。 | 注册注册。 |
| CPU 控制 | 大多数微编码使用控制存储器，但现代 CISC 使用硬连线控制。 | 大多没有控制存储器。 |
| 指令类型 | 不是基于寄存器的指令。 | 基于寄存器的指令。 |
| 存储访问 | 更多的内存访问。 | 更少的内存访问。 |
| 时钟 | 包括多时钟。 | 包括单时钟。 |
| 教学性质 | 指令很复杂。 | 说明精简简单。 |

* * *

* * *