# HTML `<abbr>`标签

> 原文：<https://www.studytonight.com/html5-references/html-abbr-tag>

HTML `<abbr>`标签用于定义网页中的**缩写**。

HTML `<abbr>`标签是一个简单的标签，上面没有任何特定的样式，它是一个实用的标签，可以用来适当地显示任何文本的缩写或简短形式。它与`title`属性一起使用，该属性为**缩写**或**缩写文本**提供了一个**全文解释**，该解释添加在开始和结束`<abbr>`标签之间。

这个`abbr`标签用于向翻译系统、浏览器和搜索引擎提供有用的信息。

例如，**女士**是**小姐**的简称，同样我们可以用 **ST** 作为**今晚学习**的简称。

以下是与`<abbr>`标签相关的一些有用的要点:

*   **`<abbr>`** 标签仅在 [`<body>`标签](https://www.studytonight.com/html5-references/html-body-tag)内使用。

*   `title`属性对于`<abbr>`标签是可选的，但是如果我们包含一个`title`属性，那么只有我们可以提供缩写的完整形式。简而言之，`<abbr>`标签没有`title`属性就没有意义。

*   一些浏览器也对`<abbr>`标签应用特殊的样式，比如*虚线下划线*，或者将文本翻译成小写字母。

*   这是一个**内联元素。**

## HTML `<abbr>`标签-语法和用法

`<abbr>`标签需要**开启(开始)标签**和**关闭(结束)标签**。

其所需语法如下:

```html
<abbr title="full form or explanation for short_form_text">
    short_form_text
</abbr>
```

### HTML5 `<abbr>`标签基本示例

下面我们有一个基本的例子来看看如何使用`<abbr>`标签。在下面的例子中，我们没有指定标题属性，所以您会看到拥有`<abbr>`标签对我们的网页在视觉上没有影响。尽管它将**仍然通知浏览器和搜索引擎**，包含在开头和结尾`<abbr>`标签中的文本应该被认为是缩写，它只是任何文本的缩写。

## HTML `<abbr>`标签属性

虽然该元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但是该标签/元素没有任何特定属性。

`title`属性是最重要的属性，用于定义缩写的完整形式。此外，`<abbr>`标签内的`title`属性必须提供一个**人类可读的**和**所用缩写的完整描述**。

<u>**注意:**</u> 您在 HTML 文档中使用的每个`<abbr>`元素都独立于所有其他元素，例如，假设您为一个元素提供了一个**标题**，那么它不会自动将相同的扩展文本附加到具有`<abbr>`标签的其他元素上。

## HTML `<abbr>`标签的默认 CSS 样式

大多数浏览器显示这些默认的 CSS 设置:

```html
abbr {
    display: inline;
}
```

## HTML5 `<abbr>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 7+

*   Apple Safari 1+

*   Opera 6+

* * *

* * *