# HTML `<address>`标签

> 原文：<https://www.studytonight.com/html5-references/html-address-tag>

HTML `<address>`标签用于**表示与**网页**、**文档**、**版块**或**文章**相关的联系方式**。我们不能使用`<address>`标签来识别任何其他上下文中的地址。

*   当我们在`<article>`标签中使用`<address>`标签时，它代表物品所有者的**联系信息。**

*   另一方面，如果我们在`<body>`标签中使用`<address>`标签，那么它代表文档的**联系信息。**

*   **联系信息**应该是**特定的上下文**，如物理地址、网址、电子邮件、电话号码等。它必须与作者、组织、公司等相关。

*   对于任意邮政地址，`<address>`标签**不得用作样式元素**。

## HTML `<address>`标签-语法和用法

`<address>`标签需要**开启(开始)标签**和**关闭(结束)标签**。

其语法如下:

```html
<address>
    CONTACT INFO.
<address>
```

### 需要记住的要点:

*   `<address>`标签帮助搜索引擎轻松定位联系信息，因为搜索引擎将`<address>`标签内的信息视为联系信息。

*   `<address>`标签不应用于保存除联系信息之外的任何其他信息，如文章发表时间或联系方式等。

*   通常一个`<address>`标签可以放在当前部分或网站的`<footer>`标签内。

### HTML `<address>`标签基本示例

下面我们有一个基本的例子来清楚地理解`<address>`标签:

上例中使用的 HTML `<address>`标签保存了今晚学习网站的办公地址。这是因为我们可以使用`<address>`标签在网站的**页脚部分或关于我们部分**保存地址。

我们再举一个例子:

在上面的例子中，我们在一个`<article>`元素中使用了`<address>`标签，它充当了该文章的**联系信息**。

## HTML `<address>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

## HTML `<address>`标签的默认 CSS 样式

大多数浏览器应用这些默认的 CSS 样式:

```html
address {
    display: block;
    font-style: italic;
}
```

## 对 HTML `<address>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Apple Safari 1+

*   Opera 4+

* * *

* * *