# HTML `<article>`标签

> 原文：<https://www.studytonight.com/html5-references/html-article-tag>

HTML `<article>`标签是一个**语义元素**，为网页上的内容提供**含义。**

它通常包含**信息/内容**，也就是**一般的主要内容**或者网页上主要内容的**片段。**

我们总是可以使用`<div>`标签来定义网页上的部分/分区，但是使用`<article>`标签是有益的，因为当浏览器或网络爬虫访问网页并看到`<article>`标签中的一部分内容时，它会立即知道该特定部分包含主要内容。

还有，这是一个**块级元素**。

该元素代表任何文档、网页、应用程序或网站中独立的**独立内容。`<article>`标签是一个非常**特定的元素，比** `<div>`元素更特定。([什么是< div >标签？](https://www.studytonight.com/html5-references/html-div-tag))**

## HTML `<article>`标签-语法和用法

`<article>`标签需要**开始(开启)标签**和**结束(关闭)标签。**

下面我们有相同的基本语法:

```html
<article>
    <!-- Some content -->
</article>
```

### HTML5 `<article>`标签基本示例

下面我们有一个基本的例子来清楚地理解`<article>`标签:

## HTML5 `<article>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

## 与`<article>`标签一起使用的 HTML 标签

在`<article>`标签中，您可以使用任何其他的 HTML 标签，如段落标签、图像标签、`<a>`标签等，但是有一些标签被用作`<article>`标签中的语义标签，以定义`<article>`标签中有意义的信息。

### 1.HTML `<footer>`标签

它用于在`<article>`元素的底部提供额外的信息。

给定的代码示例向您展示了如何在`<article>`元素中使用`<footer>`元素。

```html
<article>
    <p> Another blog post. </p>
    <footer>
        <p> Extra information is always good.</p>
    </footer>
</article>
```

### 2.HTML `<time>`标签

该标签用于保存`<article>`标签中包含的内容发布的日期和时间。

```html
<article>
    <p>It's our first blog post</p>
    <footer>
        <p> Posted on <time datetime="2020-02-24 18:00">Aug 31</time> by Studytonight </p>
    </footer>
</article>
```

## 真实世界的应用

这个`<article>`标签可以用在博客、文章、评论、新闻故事、论坛帖子等。`<article>`标签用于表示可重用和独立的内容。在一个网页上，展示一篇像这样的文章，我们可以把所有的主体内容都包含在`<article>`标签中。此外，在显示文章/教程的小片段(或任何其他形式的内容)的网站主页上，可以使用`<article>`标签，例如在[研究今晚的好奇主页](https://studytonight.com/curious)上。

## `<article>`和`<section>`标签的区别

虽然这两个都是语义标签，这意味着它们只是为网页的部分提供意义，但是`<article>`标签是**仅用于内容表示**或者是文章、博客文章等，而 `<section>`标签([什么是<部分>标签？](https://www.studytonight.com/html5-references/html-section-tag))可以用来**定义网页上不同的版块**可以是侧边栏版块、页眉版块、正文版块、代码版块、联系人版块等。

我们可以在`<section>`标签中有一个`<article>`标签，其中`<article>`标签将保存文章的主要内容，而其他相关信息可以在同一个`<section>`标签中。例如，

```html
<section>
    <article>
        <h1>It's our first blog post</h1>
        <p> Posted on <time datetime="2020-02-24 18:00">Aug 31</time> by Studytonight </p>
        <p>Studytonight is a website which provides amazing programming tutorials and articles.</p>
    </article>
    <div>Some other related content... </div>
</section>
```

## HTML5 `<article>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 4+

*   谷歌 Chrome 6+

*   Internet Explorer 9+

*   Apple Safari 5+

*   Opera 11.1+

* * *

* * *