# HTML `<aside>`标签

> 原文：<https://www.studytonight.com/html5-references/html-aside-tag>

HTML `<aside>`标签用于显示与主要内容相关的**内容及其一部分，但它只是一些对网页查看者有用的附加信息。**

例如，如果你的作品集有一个网页，并且你已经指定了你所有的技能，你工作过的项目，关于你的学校教育和你的家乡的信息。现在要补充这个信息，可以加几行关于你家乡的信息，和你的作品集没有直接关系，但肯定是一些附加信息，所以可以把这个保留在`<aside>`标签里面。

`<aside>`标签内的内容通常有添加到主要内容的内容。你实际上可以多加几行来简单解释一下，主要内容里面有什么。

*   `<aside>`标签主要包含**作者信息**、**链接**、**相关内容**等。

*   `<aside>`标签用于轻松区分**主文本和附属文本**。

*   任何特定的样式都需要 CSS。

*   还有，这是一个**块级元素**。

## HTML `<aside>`标签-语法和用法

`<aside>`元素需要**开始(开启)标签**和**结束(关闭)标签**。

下面我们有相同的基本语法:

```html
<aside>
    ...
</aside>
```

### HTML `<aside>`标签基本示例

下面我们有一个基本的例子来清楚地理解`<aside>`标签:

让我们再举一个例子，给`<aside>`标签一些不同的样式。

## HTML `<aside>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

## `<aside>`标签和`<div>`标签的区别

`<aside>`和`<div>`两个元素功能相同，但含义不同:

`<div>`:这个标签在网站上创建一个分区或者版块。

`<aside>`:**`<aside>`也在网页上创建分区或分部，但它只包含与该网页主要内容相关的内容。**

 **HTML `<aside>`标签对于搜索引擎、浏览器等了解哪些内容是主要内容，哪些部分内容只是一些附加信息是很有用的**。**

## HTML `<aside>`标签的默认 CSS 样式

大多数浏览器的默认值如下所示:

```html
aside {
    display: block;
}
```

## 对 HTML `<aside>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 4+

*   谷歌 Chrome 6+

*   Internet Explorer 9+

*   Apple Safari 5+

*   Opera 11.1+

* * *

* * ***