# HTML `<audio>`标签

> 原文：<https://www.studytonight.com/html5-references/html-audio-tag>

HTML `<audio>`标签用于向网页添加任何音频文件。HTML 通过提供各种多媒体标签/元素，如`<audio>`、`<video>`、`<embed>`和`<object>`，帮助您在网站上添加多媒体文件。

*   `<audio>`标签用于将音频内容嵌入到一个 HTML 文档**中，而不需要像 Flash 播放器**那样的任何附加插件。

*   `<audio>`标签用于在网页上显示**音频文件**，用户可以在浏览器本身播放。

*   `<audio>`标签中的`src`属性用于指定多媒体文件的**网址。**

`<audio>`标签支持三种文件格式，它们的 **MIME 类型**如下所示:

| **文件格式** | mime _ type |
| --- | --- |
| . MP3 | 音频/mp3 |
| 。波形音频文件格式 | 音频/wav |
| 。格式 | 音频/ogg |

在`<audio>`元素中可能有一个或多个音频源，可以使用`src`属性或`<source>`元素来表示，浏览器将从提到的源中选择最合适的一个。

## HTML `<audio>`标签-语法和用法

`<audio>`标签需要**开启(开始)标签**和**关闭(结束)标签**。

其所需语法如下:

```html
<audio>
  ...  
</audio> 
```

<u>**注意:**</u> 那些不支持`<audio>`标签的浏览器会显示`<audio>`标签里面的文字。

## HTML `<audio>`标签属性

HTML `<audio>`标签支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，以及下面给出的一些其他属性:

| **属性** | **描述** |
| --- | --- |
| `autoplay` | 网页一加载，就播放音频文件。 |
| `controls` | 显示网页上的控件，如播放和暂停按钮。 |
| `loop` | 回放音频文件 |
| `preload` | 指定音频文件是否预加载到网页上。 |
| `src` | 提供要播放音频文件的位置。 |

### HTML `<audio>`标签基本示例

下面我们有一个基本的例子来清楚地理解

<audio>标签:</audio>

在上面的例子中，我们使用了一个`audio`标签来将音频文件嵌入到网页中。当您在浏览器中运行上述代码时，音频会自动开始。这个音频文件只播放一次，我们还包含了`controls`属性来显示播放和暂停音频的控制。要多次播放音频文件，您可以使用`loop`属性。

### 使用`<source>`标签

我们可以使用`source`标签来提供音频文件的源 URL，

```html
<audio controls>
  <source src="myAudio.mp3" type="audio/mpeg">
  <p>Your browser doesn't support HTML5 audio. Here is
     a <a href="myAudio.mp4">link to the audio</a> instead.</p>
</audio>
```

我们也可以使用多个`source`标签在`audio`标签中提供多个音频文件 URL:

```html
<audio controls>
  <source src="myAudio.mp3" type="audio/mpeg">
  <source src="myAudio.ogg" type="audio/ogg">
  <p>Your browser doesn't support HTML5 audio. Here is
     a <a href="myAudio.mp4">link to the audio</a> instead.</p>
</audio>
```

## ![](img/4765334125b448ec4c4bdf8285a1da72.png)浏览器支持 HTML `<audio>`标签

*   Firefox 3.5+

*   谷歌 Chrome 4+

*   Internet Explorer 9+

*   Apple Safari 4+

*   Opera 10.5+

* * *

* * *