# HTML `<b>`标签

> 原文：<https://www.studytonight.com/html5-references/html-b-tag>

HTML `<b>`标签或**粗体**用于使**文本在网页上显示为粗体**。HTML 为我们提供了一组标签/元素，这些标签/元素是**用于文本格式化的**或者简单来说，我们可以通过应用一些格式化特性，比如**粗体**、**斜体**等，为文本提供一些基本的样式。

现在，我们将学习`<b>`标签或**粗体**标签**。**

*   `<b>`标签属于**物理样式元素**的范畴，用于在 **BOLD** 中显示文本。

*   包含在`<b>`标签**的开始和结束标签内的文本在网络浏览器中显示为粗体**。

*   这个`<b>`标签可以用来突出显示网页上显示的内容的重要文本。

*   另外，这是一个**内联元素**。

## HTML **`<b>`** 标签-语法和用法

`<b>`标签需要**开启(开始)标签**和**关闭(结束)标签**。

其所需语法如下:

```html
<b>
    text to show in bold
</b> 
```

### HTML `<b>`标签基本示例

下面我们有一个基本的例子来清楚地理解`<b>`标签:

## HTML `<b>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

## 要记住的要点！

*   仅在需要时使用`<b>`标签意味着不要过度使用`<b>`标签。

*   标题可以使用`<h1>`...`<h6>`，而不是`<b>`标签。

*   对于强调的文本，您可以使用`<em>`标签( [HTML < em >标签](https://www.studytonight.com/html5-references/html-em-tag)，因为浏览器和搜索引擎对它的重视程度很高。

*   对于一些重要的文本，您可以使用`<strong>`标签( [HTML < strong >标签](https://www.studytonight.com/html5-references/html-strong-tag)，这也将使文本加粗，同时将文本标记为重要，以便搜索引擎抓取网页。

## HTML `<b>`标签的默认 CSS 样式

`<b>`标签的默认 CSS 样式或值如下所示:

```html
b {
    font-weight: bold;
}
```

## 对 HTML `<b>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Apple Safari 1+

*   Opera 2.1+

* * *

* * *