# HTML `<bdi>`标签

> 原文：<https://www.studytonight.com/html5-references/html-bdi-tag>

HTML `<bdi>`标签用在一段文本上，为了**双向文本格式**的目的，这段文本应该与其周围环境隔离。这是什么意思？那么，考虑一个网页，其中你有多种语言的内容，默认情况下，这些内容写在不同的方向，例如，英语和阿拉伯语。现在，将这两种语言的文本放在一个句子中可能会使浏览器感到困惑，这可能会导致文本格式不正确，一些单词(或句子的一部分)可能会显示在实际位置的前面或后面。

术语 BDI 代表**双向隔离**。

*   在 HTML 中，我们使用`<bdi>`标签来处理文本，一般由用户提供，可以是从右向左书写的语言，也可以是与网页默认语言相反的方向。

*   这个元素对于各种语言都很有用，比如**阿拉伯语和希伯来语**或者那些浏览器在不知道文本方向的情况下动态插入的语言。

## HTML `<bdi>`标签-语法和用法

`<bdi>`标签需要**开启(开始)标签**和**关闭(结束)标签**。

其所需语法如下:

```html
<bdi>
    content goes here
</bdi>
```

## HTML `<bdi>`标签示例

下面的例子显示了`<bdi>`标签的应用。这个例子有点复杂，但它展示了这个标签在现实世界中的用途。

在下面的例子中，我们创建了一个简单的表单，让用户为我们的网站输入反馈，然后我们显示反馈。现在，用户可以来自任何国家，并可以提交任何语言的反馈。因此，为了保持我们的用户界面不变，我们可以在`<bdi>`标签中显示用户输入，为用户输入文本提供**双向隔离**。

## HTML `<bdi>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

## `<bdi>`标签和`<bdo>`标签的区别

在 HTML 中，`<bdi>`标签在 HTML5 中是新的，并且它在某种程度上类似于`<bdo>`标签。但是`<bdi>`标签和`<bdo>`标签有很大的区别。正如我们所知，我们在文本的**跨度上使用`<bdi>`标签，以便将其与周围的文本隔离，而我们使用`<bdo>`标签来反转文本的方向。`<bdo>`标签多次导致错误，所以在这些情况下也要尝试使用`<bdi>`标签。**

## 对 HTML `<bdi>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 10+

*   谷歌 Chrome 16+

* * *

* * *