# HTML `<bdo>`标签

> 原文：<https://www.studytonight.com/html5-references/html-bdo-tag>

HTML `<bdo>`标签用于**改变网页上文本**的当前方向。如果您有来自世界各地的用户使用您的网站，并以他们自己的语言提交内容，您可以使用`<bdo>`标签为用户输入设置默认方向，但这有时会改变文本的含义或使文本不可读，因此请谨慎使用。

*   术语`<bdo>`代表**双向超越**。

*   每种语言都有文本可读性的默认方向；从左到右或从右到左，但是当你在网页上混合它们时，浏览器可能会困惑，如何显示文本。要克服这个问题，您可以使用`<bdo>`标签。

*   该元素主要用于显示多种语言，如**阿拉伯语**和**希伯来语**，从**右向左**阅读，在网页上与英语并列。

*   您可以通过将`dir`属性设置为 **RTL(从右向左)**或 **LTR(从左向右)**来指定文本方向。

*   另外，这是一个**内联元素**。

## HTML `<bdo>`标签-语法和用法

`<bdo>`元素需要**开始(开始)标签**和**结束(结束)标签。**

其所需语法如下:

```html
<bdo> SOME TEXT </bdo>
```

### HTML `<bdo>`标签基本示例

下面我们有一个理解`<bdo>`标签的基本例子:

## HTML `<bdo>`标签属性

该元素只有一个属性，即`dir`，同时支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)。

dir 属性用于指定`<bdo>`标签中文本的方向。

dir 属性可以有以下值:

*   **LTR:** 这告诉我们，文字的可读性是从左到右的。

*   **RTL:** 这告诉我们，文字的可读性是从右向左的。

## HTML `<bdo>`标签的默认 CSS 样式

```html
bdo {
    unicode-bidi: bidi-override;
}
```

## 对 HTML `<bdo>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 5+

*   Apple Safari 1+

*   Opera 7+

* * *

* * *