# HTML `<br>`标签

> 原文：<https://www.studytonight.com/html5-references/html-br-tag>

HTML `<br>`标签用于定义 HTML 文档中的**换行符**。换行符只是移动到下一行，在两个不同的句子或段落或任何其他 HTML 元素或网页组件之间添加一些空间。

![HTML br Tag example](img/a57d4114596cf84c66ff273fb5a5f3db.png)

需要换行符来区分网页上任何文本的不同部分。虽然`<p>`标签或段落标记可用于文本，但换行符标记可用于此目的，并在任何地方添加换行符。

作为一种**不良做法**，换行符也被很多开发者用来在任何网页组件如标题、图片等后面添加额外的空间。但是我们建议使用 [CSS 保证金](https://www.studytonight.com/cascading-style-sheet/css-margins)来达到这个目的。

有一点需要注意的是**换行符并不是用来创建另一个段落**，它只是打断现有的一行，以新的一行开始。所以断行只用于**打断一条连续的线**。

## HTML `**<br>**`标签-语法和用法

`<br>`标签是一个**空标签**。它不需要任何结束或结束标记。

其所需语法如下:

```html
Content here...<br/>content....
```

你可以把它写成
或者
两种语法都可以。第二个，即`<br />`在语法上是完美的，因为每个空标签应该在结束角括号`>`之前有一个`/`，以指定它的结束，因为它没有特定的结束或结束标签。

## HTML `<br>`标签基本示例

下面我们有一个基本的例子来清楚地理解`<br>`标签:

## HTML `<br>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

使用 style 属性，我们可以为`<br>`标签定义自定义样式，最常用的用例是增加或减少换行后换行所增加的空间。我们可以使用 [CSS 边距](http://www.studytonight.com/cascading-style-sheet/css-margins)来实现，例如:

```html
br {
    margin-top: 15px;
    margin-bottom: 15px;
}
```

**注意:**没有为此标签添加默认 CSS 样式。

## 对 HTML `<br>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Apple Safari 1+

*   Opera 2.1+

* * *

* * *