# HTML `<button>`标签

> 原文：<https://www.studytonight.com/html5-references/html-button-tag>

HTML `<button>`标签用于**在网页上创建一个可点击的按钮，该按钮可用于执行某些动作或作为 HTML 表单**的动作按钮。一个按钮可用于执行各种任务，如**提交或重置表单的详细信息**，可用于超链接等。简而言之，如果你正在构建一个网页，你想在你的网页上有一个按钮，你可以使用`<button>`标签。

*   `<button>`标签通常与`<form>`标签**一起使用，以显示表单**的控件。

*   我们也可以使用`<input>`标签为 HTML 表单创建一个**提交按钮**，但是你不能改变按钮的外观，只能改变出现在按钮上的文本值。

*   嵌入在按钮的开始和结束标签之间的文本、图像或任何多媒体成为按钮的内容。

*   另外，这是一个**内联元素**。

*   `<button>`标签提供了`type`属性，使用该属性可以创建**三种按钮控件**，它们是:**提交**按钮、**重置**按钮和**正常**按钮。

三种按钮:

1.  **提交按钮:**通过将`type`属性设置为**提交**而创建

2.  **重置按钮:**通过将`type`属性设置为**来重置**

3.  **正常按钮:**通过将`type`属性设置为**按钮**而创建

## HTML `<button>`标签-语法和用法

`<button>`元素需要**开始(开启)标签**和**结束(关闭)标签**。

其所需语法如下:

```html
<button>
    <!-- Some content -->
</button>
```

## HTML `<button>`标签属性

HTML `<button>`标签支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)。与`<button>`标签一起使用的一些常见属性如下:

| **属性** | **描述** |
| `autofocus` | 允许按钮控件在页面加载后立即获得焦点。 |
| `form` | form 用于引用 FORM 元素的 id。 |
| `formtarget` | 指定加载浏览内容的目标，如新选项卡或新窗口。 |
| `formnovalidate` | 这指定在提交按钮控件时不需要验证表单。 |
| `formmethod` | 指定提交按钮控件时的方法。可能的值有:获取、发布、放置和删除。 |
| `formenctype` | 此属性用于指定用于向浏览器提交表单的内容类型 |
| `name` | 此属性指定与表单数据一起提交的按钮的名称 |
| `type` | 此属性用于指定按钮的类型，其值为:-提交、重置和正常。 |
| 价值 | 该属性用于定义按钮的初始值。提交表单时，该初始值将在参数中传递给服务器。 |
| `autocomplete` | 这个属性在<button>上的使用是非标准的，并且是火狐特有的。</button> |
| `disabled` | 该属性表示用户不能与按钮交互。 |

## HTML `<button>`标签基本示例

下面我们有一个基本的例子来清楚地理解`<button>`标签:

## `<button>`标签的默认 CSS 样式:

没有人

## 对 HTML `<button>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 4+

*   Apple Safari 1+

*   Opera 5+

* * *

* * *