# HTML `<caption>`标签

> 原文：<https://www.studytonight.com/html5-references/html-caption-tag>

HTML `<caption>`标签用于**为表格**提供标题或题目，描述表格的内容。`<caption>`标签用在`<table>`标签内部，就在打开`<table>`标签之后。

标题是一个**简短描述**，它提供了一个关于表格的**简短解释，并帮助你理解它的目的。但是一张桌子应该只有**一个标题。****

例如:假设您已经创建了一个包含员工信息的表，那么您可以使用`<caption>`标签为它指定一个标题，如**“员工详细信息”**。

## HTML `**<caption>**`标签-语法和用法

`<caption>`标签需要**开始(开启)标签**和**结束(关闭)标签**。

下面给出了相同的所需语法:

```html
<caption>
    ...
</caption> 
```

## HTML `<caption>`标签基本示例

下面我们有一个使用`<caption>`标签的基本例子:

```html
<table>
    <caption> Title of Table </caption>
    <tr>
        <td> Column 1 </td>
        <td> Column 2 </td>
    </tr>
    <!-- more table rows -->
</table>
```

现在让我们看另一个例子，表中有一些数据，

正如您在上面的代码示例中看到的，我们已经使用了标签来为表格添加标题/标题。

我们也可以使用`style`属性为`<caption>`标签添加样式。

## HTML `<caption>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

## HTML `<caption>`标签的默认 CSS 样式

```html
caption {
    display: table-caption;
    text-align: center;
}
```

## 对 HTML `<caption>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 4+

*   Safari 1+

*   Opera 4+

* * *

* * *