# HTML `<colgroup>`标签

> 原文：<https://www.studytonight.com/html5-references/html-colgroup-tag>

HTML `<colgroup>`标签用于**为表格中的一组**列**指定字体颜色**、**背景颜色**、**边框**等属性。

*   这有助于将样式应用于**多个列**，而无需像 [HTML <列>标签](https://www.studytonight.com/html5-references/html-col-tag)那样为每个单元格一次又一次地定义样式。

*   `<colgroup>`标签必须放在 `<caption>`标签之后、`<tbody>`、`<thead>`、`<tfoot>`、`<tr>`标签之前。

*   您可以使用`<colgroup>` 标签的 span 属性来指定要应用属性的列数

## HTML `<colgroup>`标签-语法和用法

`<colgroup>`元素需要**开始(开始)标签**和**结束(结束)标签。**

下面给出了相同的所需语法:

```html
<colgroup>
.....
</colgroup> 
```

## HTML `<colgroup>`标签基本示例

下面我们有一个基本的例子来清楚地理解`<colgroup>`标签:

在上面的例子中，我们使用了`span`属性来覆盖使用`<colgroup>`标签的两列。

## HTML `<colgroup>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

`<colgroup>`标签的主要属性是`span`属性。

*   `span`属性可以具有正整数形式的值。

*   `span`属性的默认值为 1。

*   跨度的值表示柱组元素跨越或覆盖的连续柱的数量。

## HTML `<colgroup>`标签的默认 CSS 样式

```html
colgroup {
  display: table-column-group;
}
```

## HTML5 `<colgroup>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 4+

*   Apple Safari 1+

*   Opera 7+

* * *

* * *