# HTML `<code>`标签

> 原文：<https://www.studytonight.com/html5-references/html-code-tag>

HTML `<code>`标签用于封装**编程相关术语**，以便在 HTML 文档中以不同的方式显示它们。当我们创建包含编程相关或计算机相关内容的网页时，为了显示一些特定的编码术语，如一些函数名或任何变量名等，我们可以使用`<code>`标签。

在本教程中，您也会看到，无论我们在哪里指定了`<code>`标签，它的样式都是不同的，这是因为它包含在`<code>`标签中。

*   `<code>`标签用于**以等宽字体**显示包含的文本，如**快递员。**

*   如果想让**多行显示编程代码**，那么可以把`<code>`标签放在`<pre>`标签里面，或者直接用`<pre>`标签。

*   此外，这是一个**内联**元素。

## HTML `<code>`标签-语法和用法

`<code>`标签需要**开始(开启)标签**和**结束(关闭)标签**。

其所需语法如下:

```html
<code>
    some text
</code>
```

## HTML `<code>`标签基本示例

下面我们有一个`<code>`标签的基本例子:

在上面的代码示例中，我们也为`<code>`标签提供了一些样式，以突出其中包含的测试。

## HTML `<code>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

| **属性** | **描述** |
| `class` | 表示`<code>`标签的类名 |
| `id` | 表示`<code>`标签的唯一 id |
| `style` | 表示`<code>`标签的内嵌样式 |
| `title` | 表示`<code>`标签的标题 |

## HTML `<code>`标签的默认 CSS 样式

大多数浏览器使用这些默认的 CSS 设置:

```html
code {
    font-family: monospace;
}
```

## 对 HTML `<code>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Apple Safari 1+

*   Opera 4+

* * *

* * *