# HTML `<del>`标签

> 原文：<https://www.studytonight.com/html5-references/html-del-tag>

在 HTML 中，我们使用`<del>`标签来表示所附的**文本已经从文档中删除**。此标签用于显示删除的文本，显示时会在文本中划一条线。

*   `<del>`标签用于提供关于对文档进行的**更改和更新**的信息。

*   网络浏览器将**包含的文本**渲染为**删除线**。

*   `<del>`标签属于**逻辑样式元素**的范畴。

## HTML `<del>`标签-语法和用法

`<del>`标签需要**开始(开启)标签**和**结束(关闭)标签。**

以下是在 HTML 代码中使用`<del>`标签的语法:

```html
<del>
    deleted text
</del>
```

## HTML `<del>`标签基本示例

下面我们有一个展示如何使用 HTML `<del>`标签的基本例子，

## HTML `<del>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

与`<del>`标签一起使用的一些其他重要属性如下:

### 1.引用:

*   此属性用于指示删除的原因。

*   该属性的值是 URL(通用资源定位符)，它指向描述已删除文本的其他文档。

这里有一个例子，

```html
<p><del cite="/path/to/reason_for_deletion.html">This text has been deleted.</del></p>
```

### 2.日期时间:

*   用于表示删除的时间。

*   它只需要一个值，即文本被删除的日期和时间。

这里有一个例子，

```html
<p><del datetime="2020-05-15T22:55:03Z">This text has been deleted.</del></p>
```

## HTML `<ins>`标签:

当我们删除网页中的一些文本时，我们可以使用`<del>`标签来显示它，如果在删除的文本的位置插入了一些其他的文本，我们可以使用 [< ins >标签](https://www.studytonight.com/html5-references/html-ins-tag)在网页上显示它。

让我们举个例子:

```html
<p>We no longer sell <del>ProductX</del>, instead, we now have the new <ins>ProductY</ins>.</p>
```

尝试使用上面代码操场中的`<ins>`标签，您将看到包含在`<ins>`标签中的文本带有下划线。

## HTML `<del>`标签的默认 CSS 样式

```html
del {
    text-decoration: line-through;
}
```

## 对 HTML `<del>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 4+

*   Safari 1+

*   Opera 7+

* * *

* * *