# HTML `<details>`标签

> 原文：<https://www.studytonight.com/html5-references/html-details-tag>

在 HTML 中，我们可以使用`<details>`标签**来提供关于任何标题的附加细节或信息，或者为电子商务**网站中列出的任何**书籍提供文本**，如**作者细节**，或者回答任何常见问题(常见问题)，或者创建一个带有标题和隐藏细节的时尚侧栏列表。

当我们使用`<details>`标签时，默认情况下，开合`<details>`标签内提供的文本是隐藏的。在网页上你会看到 **>详情**，你可以点击这个右箭头显示`<details>`标签中提供的文字。

![using HTML details tag](img/e086748a4bcfd2d5938611f0ce888e15.png)

当我们使用`<details>`标签时，默认的可见文本是详细信息。但是我们可以使用`<summary>`标签([什么是总结标签)提供自定义的总结文本？](http://www.studytonight.com/html5-references/html-summary-tag))里面的`<details>`标签。我们在`<summary>`标签内提供的文本将在初始时可见，我们可以点击箭头查看更多详细信息。

由`<details>`标签提供的**附加详细信息**只能在用户动作上**查看或隐藏**,或者通过在<详细信息>标签中添加`open`属性来默认显示。

## HTML `<details>`标签-语法和用法

`<details>`元素需要**开始(开始)标签**和**结束(结束)标签。**

以下是在 HTML 代码中使用细节标记的语法:

```html
<details>
    detail text...
</details> 
```

## HTML `<details>`标签基本示例

让我们看一个简单的例子，我们将只使用

<details>标签。</details>

```html
<details>
    <p>This text is hidden as details,</p> 
    <p>and you can click on the arrow button to see this.</p>
</details>
```

您可以在`<details>`标签内使用任何 HTML 标签。可以是段落 [< p >标签](https://www.studytonight.com/html5-references/html-p-tag)、文字格式标签、 [< img >标签](https://www.studytonight.com/html5-references/html-img-tag)添加图片等。

现在让我们看看`<details>`标签的作用。下面我们有一个基本的例子，展示了如何使用带有`<summary>`标签的`<details>`标签:

在上面的例子中，我们使用了`<summary>`标签来为细节块提供一个定制的概要，当细节被隐藏时，它被显示给用户。

## HTML `<details>`标签属性

这个元素除了一个属性`open`没有任何特定属性，虽然这个元素同时支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)。

### `open`属性:

*   如果该属性被添加到`<details>`标签而没有任何值，或者有任何值，那么默认情况下，详细信息文本将显示在网页上。

*   该属性的默认值为 **false** 表示用户看不到细节。

这里有一个例子:

```html
<details open>
    <summary>
        HTML &lt;details&gt; tag
    </summary>
    <p>Both DETAILS and SUMMARY elements are newly introduced in HTML5.</p>
    <p>
        Content of details element is not visible unless 
        open attribute of details being set, or user clicks 
        on the arrow control.
    </p>
</details>
```

![Example of HTML details tag](img/16c8379d7b52eca6b77486da4d7ac277.png)

## HTML `<details>`标签的默认 CSS 样式

```html
details {
    display: block;
}
```

## 对 HTML `<details>`标签的浏览器支持

以下浏览器支持此属性:

*   谷歌 Chrome 12+
*   Apple Safari 6+
*   Opera 15+

* * *

* * *