# HTML `<datalist>`标签

> 原文：<https://www.studytonight.com/html5-references/html-datalist-tag>

当用户在输入字段中输入某个值时，HTML `<datalist>`标签用于将预定义选项列表显示为向用户显示的建议。该标签启用表单上的**自动完成**功能；这意味着当用户开始在文本框中键入时，预定义单词的**列表会被下拉以从**中进行选择。

*   我们使用`<datalist>`标签和`<input>`标签。要将数据列表元素与输入元素关联起来，我们需要为`<datalist>`标签提供一个`id`值，并为输入标签的`list`属性提供相同的值。

*   `<option>`标签( [HTML `<option>`标签](https://www.studytonight.com/html5-references/html-option-tag))作为`<datalist>`标签的子标签，用于指定要显示的选项列表。

## HTML `<datalist>`标签-语法和用法

`<datalist>`标签需要**开始(开启)标签**和**结束(关闭)标签**。

以下是在 HTML 代码中使用数据列表标记的语法:

```html
<datalist>
    <option value="..." />
    <option value="..." />
    ...
</datalist> 
```

我们可以在 datalist 标签中使用任意多的`<option>`标签。

## HTML `<datalist>`标签基本示例

在下面的代码示例中，我们有一个输入字段供用户输入他们最喜欢的汽车品牌，并且我们使用了`<datalist>`标签向用户提供一些默认建议。

## 

这里需要注意的一点是，`<datalist>`标签用于提供一些预定义的选项**类似于自动完成建议**，用户可以输入一个不在数据列表选项中的值**。因此，这绝不像是[选择下拉列表](http://www.studytonight.com/html5-references/html-select-tag)。**

## HTML `<datalist>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

## HTML `<datalist>`标签的默认 CSS 样式

```html
datalist {
    display: none;
} 
```

## 对 HTML `<datalist>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 2+

*   谷歌 Chrome 4+

*   Internet Explorer 9+

*   Apple Safari 3.1+

*   Opera 9+

* * *

* * *