# HTML `<data>`标签

> 原文：<https://www.studytonight.com/html5-references/html-data-tag>

在 HTML 中，每当你需要给你希望在网页上显示的一些数据分配一些自定义信息时，在这种情况下，你可以使用`<data>`标签。

例如，如果你有一个电子商务网站，或者你的网站上有一个商店页面，你可以在那里列出一些产品。产品有名称(很明显)和一些产品代码(像 SKU 号)，那么我们可以使用`<data>`标签，向网站用户显示产品名称，并且可以将产品代码添加到这个`<data>`标签，最终用户看不到，但是我们可以使用 JavaScript 代码来选择那个值[。](https://www.studytonight.com/javascript)

`<data>`标签是 HTML5 中新增的**。**

## HTML `<data>`标签-语法和用法

`<data>`标签需要**开始(开启)标签**和**结束(关闭)标签**。

```html
<data value="somevalue">
    some text visible on webpage
</data> 
```

## HTML `<data>`标签基本示例

我们再举一个例子。如果你有一个论坛，你显示出顶级用户的名字让每个人看到。当我们在数据库中保存用户数据时，我们要么为每个用户行分配一个唯一的 id，要么分配一个唯一的用户名。我们可以使用`<data>`标签在网页上显示用户的**名称，同时使用其`value`属性添加**有用的用户 id 信息**供我们的服务器端代码使用。**

## HTML `<data>`标签属性

该元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)。

### `value`属性:

这个标签有一个特定的属性，它就是`value`属性。我们在上面的代码示例中也使用了这个属性。该属性用于存储不显示在网页上但在 DOM 中可用的数据，可以使用 Javascript 使用。

## HTML5 `<data>`标签的浏览器支持

以下浏览器支持此属性:

*   谷歌 Chrome 62.0+

*   Internet Explorer 13.0+

*   Firefox 22.0+

*   Opera 49.0+

*   Safari -不支持

* * *

* * *