# HTML `<embed>`标签

> 原文：<https://www.studytonight.com/html5-references/html-embed-tag>

HTML `<embed>`标签可用于将图像、视频、另一个网页等包含到我们的网页中。`<embed>`标签**创建了一个容器**，我们可以为它指定宽度和高度，在那个容器中，我们可以显示我们想要的任何东西，它可以是图像、视频、通过提供资源的网址的另一个网页。

`<embed>`标签得到了 internet explorer、Netscape Navigator、Windows 以及 Mac 平台的支持。

它使用三个强制属性，分别是:`src`、`height`和`width`。

## HTML `<embed>`标签-语法和用法

`<embed>`元素是一个开放标签，这意味着它**不需要一个结束标签**。

```html
<embed src="URL_OF_RESOURCE" height="..." width="..." />
```

这里`src`属性将提供我们想要嵌入/包含在我们的网页中的资源的**网址。**

### HTML `<embed>`标签基本示例

让我们举一个简单的例子，我们将使用`<embed>`标签来包含图片和网页:

在上面的例子中，我们使用了`<embed>`标签，通过提供图像的 URL 并指定`height`和`width`属性来包含图像。在`width`属性中，我们提供了**自动**的值，即**根据给定的高度自动调整宽度**到**保持长宽比**。我们可以为`width`属性指定一个值，并为`height`属性提供值为**自动**。

## HTML `<embed>`标签属性

`<embed>`标签支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，具体有以下 4 个属性:

| 属性 | 描述 |
| --- | --- |
| `src` | 指定要嵌入的资源的网址。此属性是必需的。 |
| `width` | 指定嵌入内容的宽度 |
| `height` | 指定嵌入内容的高度 |
| `type` | 指定嵌入内容的类型 |

## 不要不必要地使用<embed>标签

我们可以使用 [< img >标签](https://www.studytonight.com/html5-references/html-img-tag)在网页中包含图像，使用 [<视频>标签](https://www.studytonight.com/html5-references/html-video-tag)在我们的网页中添加视频，并包含任何其他网页作为片段，我们可以使用 [< iframe >标签](https://www.studytonight.com/html5-references/html-iframe-tag)。`<embed>`标签可以用于一些特定的用例。

## 对 HTML `<embed>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 2+

*   Internet Explorer 5.5+

*   Safari 1.3+

*   Opera 9.2+

* * *

* * *