# HTML `<fieldset>`标签

> 原文：<https://www.studytonight.com/html5-references/html-fieldset-tag>

HTML `<fieldset>`标签用于**将相关的 HTML 元素分组到单个框**中，方法是在分组的元素周围绘制一个**边框框**。

这主要用于我们在网页上创建表单时。将相关字段分组到一个表单中会以**更有组织的方式**显示表单字段。

假设有一个表单用于用户注册和登录过程。使用`<fieldset>`标签，我们可以将用于**登录过程**和**用户注册过程**的字段分组在两个单独的框中，这将使最终用户非常容易知道哪些表单字段用于登录，哪些用于注册。

这是一个**块级元素**。

## HTML `<fieldset>`标签-语法和用法

`<fieldset>`元素需要**开始(开启)标签**和**结束(关闭)标签**。

下面给出了相同的所需语法:

```html
<fieldset>
    some content or form fields
</fieldset> 
```

我们没有必要只在表单域中使用`<fieldset>`标签。我们可以在任何地方使用它，在那里需要分组来将一组信息显示为一个。

### 使用`<legend>`标签提供标题

我们也可以在开始的`<fieldset>`标签之后使用`<legend>`标签来提供分组的标题。例如，要对登录表单字段进行分组，我们可以在`<legend>`标签中提供文本**登录**，该文本出现在边框上。

```html
?<fieldset>
    <legend>Title Text</legend>
    some content or form fields
</fieldset>
```

## HTML `<fieldset>`标签基本示例

下面我们有一个`<fieldset>`标签的基本例子，其中我们也使用了`<legend>`标签:

## HTML `<fieldset>`标签属性

该元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，以及下面给出的一些特定属性:

| **属性** | **描述** | 价值 |
| --- | --- | --- |
| `disabled` | 禁用文本区域或指定应禁用一组相关的表单元素 | 有缺陷的 |
| `name` | 指定字段集的名称 | 文本 |
| `form` | 指定字段集所属的一个或多个表单或引用表单的`id`。 | 表单 id |

## HTML `<fieldset>`标签的默认 CSS 样式

```html
fieldset {
    display: block;
    margin-left: 2px;
    margin-right: 2px;
    padding-top: 0.35em;
    padding-bottom: 0.625em;
    padding-left: 0.75em;
    padding-right: 0.75em;
    border: 2px groove (internal value);
}
```

## 对 HTML `<fieldset>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 4+

*   Safari 1+

*   Opera 4+

* * *

* * *