# HTML 标题标签——`<h1>`、`<h2>`、`<h3>`、`<h4>`、`<h5>`、`<h6>`

> 原文：<https://www.studytonight.com/html5-references/html-heading-tags>

在一个 HTML 文档中为了提供不同的标题级别**标题元素**被使用。创建标题的不是 **<标题>** 标签，而是`<h1>`、`<h2>`、`<h3>`、`<h4>`、`<h5>`和`<h6>`，其中`<h1>`用于**第一标题**、`<h2>`用于第二标题，第二标题为`<h1>`子标题，以此类推。

**标题元素**用于为网页上显示的文本创建标题。

例如，如果你想在你的 HTML 页面上显示一篇文章，那么这篇文章是用普通的纯文本写的，而它的**标题**是用**粗体大文本**写的。在这种情况下，**标题元素**用于**提供标题(子标题)和剩余文本**之间的区别。

标题元素被定义为 **< hn >** ，其中 **n** 的范围是从 **1 到 6** 。

如果你想把所有的标题元素组合成一个组，那么你可以使用`<hgroup> ... </hgroup>` 元素，把标题标签放在开始和结束`<hgroup>`标签里面，这是在 **HTML** 中新引入的。

同样，这些是**块级元素**。

## HTML `<hn>`标签-语法和用法

`<hn>`元素需要**开始(开启)标签**和**结束(关闭)标签**。

其所需语法如下:

```html
<h1>.....content here ...</h1>

<h2>.....content here....</h2>

<h3>.......content here...</h3>

<h4>.....content here.....</h4>

<h5>.....content here...</h5>

<h6>.....content here.....</h6>
```

**请再次注意**这里`<hn>`不是标签， **n** 只是表示创建 6 个标题标签所使用的 6 个数字，如上例所示。

## HTML `<hn>`标签基本示例:

下面我们有一个基本的例子来清楚地理解标题标签:

在上面的代码示例中，我们还使用了`<hgroup>`标签将标题 4、5 和 6 组合在一起。

## 对 HTML `<heading>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Apple Safari 1+

*   Opera 4+

* * *

* * *