# HTML `<hr>`标签

> 原文：<https://www.studytonight.com/html5-references/html-hr-tag>

HTML `<hr>`标签用于表示**水平规则**或者用简单的话来画一条水平线，将网页上显示的内容分成几个部分。

比如你先放一个标题，再放一个段落，然后在开始下一个标题之前你要加一条横线来明确区分这两个标题，在这种情况下你可以使用 HTML `<hr>`标签。

*   横线用于**在浏览器窗口上绘制横线**。
*   用于**将**一个 HTML 页面分成**不同的部分**。

*   它**不包含任何内容，因为它是一个**空标签**。**

*   水平规则也被**用作**HTML 页面内容之间的分隔符。

*   这是一个**块级元素**。

## HTML `<hr>`标签-语法和用法

`<hr>`标签不需要结束标签，因此是一个**空标签**。以下是相同的语法:

```html
<hr/>
<!-- or -->
<hr>
```

在空的 HTML 标签中，没有必要在右尖括号前加正斜杠。

## HTML `<hr>`标签属性

HTML `<hr>`标签支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，一些常见属性如下。

| **属性** | **描述** |
| `class` | 该属性定义了类的名称 |
| `lang` | 此属性定义规则的语言。 |
| `id` | 该属性用于定义 id |
| `title` | 该属性提供了关于元素的额外信息 |
| `style` | 该属性用于提供内嵌 CSS 样式 |
| `dir` | 此属性用于定义水平规则的方向。它可以是从左到右，也可以是从右到左，尽管这不会有太大的区别，因为一条线从两边看起来都是一样的。 |

## HTML `<hr>`标签基本示例

下面我们有一个基本的例子来清楚地理解`<hr>`标签:

在上面的代码示例中，我们还展示了如何将一些样式添加到`<hr>`标签中以**修改水平规则**的外观。

## HTML `<hr>`标签的默认 CSS 设置

```html
hr {
    display: block;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    margin-left: auto;
    margin-right: auto;
    border-style: inset;
    border-width: 1px;
}
```

## 对 HTML `<hr>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Apple Safari 1+

*   Opera 4+

* * *

* * *