# HTML `<html>`标签

> 原文：<https://www.studytonight.com/html5-references/html-html-tag>

HTML `<html>`标签是网页上位于`<!doctype>`元素之后的第一个元素。所有其他的 HTML 标签都在开始和结束的`<html>`标签里面。

*   它也被称为**根元素/主元素**，需要出现在所有的 HTML 文档或网页中。

*   所有其他元素，如`<head>`、`<title>`、`<body>`、`<p>`、`<audio>`、`<img>`等都需要在开闭`<html>`标签中指定。

*   该元素允许浏览器**识别文档类型**。

## HTML `<html>`标签-语法和用法

`<html>`标签需要**开始(开启)标签**和**结束(关闭)标签**。它所需的语法是:

```html
<html>
    <!-- entire HTML document comes here -->
</html> 
```

## HTML `<html>`标签基本示例

下面我们有一个基本的例子来清楚地理解`<html>`标签:

如上例所示，`<html>`标签是添加了所有其他 HTML 标签的标签。

## HTML `<html>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

| **属性** | **描述** | **值** |
| `manifest` | 该属性定义了一个包含文档缓存信息的 URL | 统一资源定位符 |
| `spellcheck` | 此属性用于定义是否应对元素进行拼写和语法检查 | 真，假 |
| `contenteditable` | 此属性指定您是否可以编辑内容 | 真，假 |
| `context-menu` | 此属性指定元素的上下文菜单 | 菜单标识 |
| `draggable` | 此元素指定是否可以拖动元素 | 真、假、自动 |

## `<html>`标签的默认 CSS 设置

```html
html {
    display: block;
}

html:focus {
    outline: none;
}
```

## 对`<html>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Apple Safari 1+

*   Opera 2.1+

* * *

* * *