# HTML `<head>`标签

> 原文：<https://www.studytonight.com/html5-references/html-head-tag>

HTML `<head>`标签放置在开始`<html>`标签和开始`<body>`标签之间。

*   在`<head>`标签内，我们使用`<meta>`标签和其他类似标签放置**元数据**。这些元信息不会像 HTML 文档标题、字符集、链接、等那样显示给**用户。**

*   在`<head>`标签内部，我们使用`<title>`标签，该标签用于**定义网页**的标题。

*   我们还可以在`<head>`标签中使用`<base>`标签，该标签用于**为所有相关网址**提供一个基本网址。

*   您也可以在`<head>`标签中使用`<style>`标签为网页提供 CSS 样式。

## HTML `<head>`标签-语法和用法

`<head>`标签需要**开始(开启)标签**和**结束(关闭)标签**。其所需语法如下:

```html
<head>
    ...
</head>
```

## HTML `<head>`标签基本示例

下面我们有一个基本的例子来清楚地理解`<head>`标签:

## HTML `<head>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

## 支持的其他 HTML 标记:

这些是一些 HTML 标记，用于表示用户在网页上看不到的元数据或其他网页信息，但这些是网页所必需的。

| **元素** | **描述** |
| `<title>` | 它包含了超文本标记语言文档的标题 |
| `<base>` | 它用于为 HTML 文档中的所有链接指定默认的网址和目标。 |
| `<link>` | 链接元素用于将一个 HTML 文档链接到其他 HTML 文档 |
| `<meta>` | 元元素用于提供关于 HTML 文档的信息，如页面描述和关键字。 |
| `<script>` | 脚本元素用于在 HTML 文档中声明类似 JavaScript 的脚本 |
| `<style>` | 用于在 HTML 文档中声明样式表。 |

## 对 HTML `<head>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+
*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Apple Safari 1+

*   Opera 2.1+

* * *

* * *