# HTML `<img>`标签

> 原文：<https://www.studytonight.com/html5-references/html-img-tag>

使用 HTML `<img>`标签，我们可以在网页中插入图片。现在几乎所有的网页都有图片。

`<img>`标签有各种属性，分别是`src`、`lang`、`dir`、`alt`等。我们将在本教程中结合示例介绍这一点。

在`<img>`标签的所有属性中，只有`src`属性是必需的，而所有其他属性都是可选的，因为`src`属性将图像的路径显示为值。

这个`<img>`标签可以插入任何一种图像。支持的不同图像格式有: **gif** 、 **jpeg** 、 **png** 、 **svg** 等。

## HTML `<img>`标签-语法和用法

`<img>`元素是一个**空标签**，这意味着它只需要一个开始标签或开始标签。

另外，这是一个**内联元素**。

其语法如下:

```html
<img src="URL_OF_IMAGE" /> 
```

在`src`属性中，您必须添加我们想要显示的图像的完整路径或网址。

## HTML `<img>`标签属性

HTML `<img>`标签支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，一些常见属性如下:

| **属性** | **描述** |
| `id` | 它是一个可选元素，为 HTML 标记分配唯一标识符或标识。这可以用来使用 CSS 添加样式，或者使用 Javascript 添加一些事件处理。 |
| `src` | 是**强制**属性。它指定图像的网址或位置。 |
| `title` | 这是一个可选属性，用于描述图像的目标。 |
| `alt` | 如果网络浏览器无法呈现图像(由于互联网速度慢或没有互联网)，则可以使用该属性表示替代文本 |
| `width` | 用于指定图像的宽度，这是**可选属性** |
| `height` | 用于指定图像的高度，这也是**可选属性** |
| `ismap` | 用于表示图像被用作**图像图**。这是一个**可选的**属性。 |
| `usemap` | 它用于将元素与**图像映射**相关联，也是可选的。 |

## HTML `<img>`标签基本示例

下面我们有几个`<img>`标签的例子:

### 例 1:

在下面的例子中，我们显示了一个 GIF 图像，并添加了一些属性:

### 例 2:

以巴布亚新几内亚格式显示图像:-

## HTML `<img>`标签的默认 CSS 设置

```html
img {
  display: inline-block;
}
```

## 对 HTML `<img>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Apple Safari 1+

*   Opera 2.1+

* * *

* * *