# HTML `<ins>`标签

> 原文：<https://www.studytonight.com/html5-references/html-ins-tag>

HTML `<ins>`标签用于指示已经插入到文档中的文本**。**

*   `<ins>`标签主要用于提供**信息**关于**对任何网络文档或网页所做的更改或更新**。

*   它将`<ins>`标签中包含的文本渲染为**下划线文本**。

因此，如果您的网页上有一些可用的文本信息，并且您对文本进行了一些更新，那么您可以使用`<ins>`标签来通知浏览器网页上的文本的某个部分是新插入或更新的。

## HTML `<ins>`标签-语法和用法

`<ins>`元素需要**开始(开启)标签**和**结束(关闭)标签**。

其基本语法如下:

```html
<ins>
    some text
</ins>
```

## HTML `<ins>`标签基本示例

下面我们有一个`<ins>`标签的基本例子:

## 

在上面的代码示例中，我们在通常的段落标记`<p>`中有一些文本，而最后一行在`<ins>`标签中，以显示部分文本被插入到原始文本中。

这个标签只是为了遵循正确的 HTML 用法，并且很有用，因为这样像谷歌这样的搜索引擎就可以知道网页上的文本/内容已经被更新或者插入了新的部分。例如，在任何网站的**条款和条件页面**或**隐私政策页面**上，如果添加了一些新文本，则可以使用`<ins>`标签。

## HTML `<ins>`标签属性

这个元素没有任何特定的属性，但是它有两个经常与常用的[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)一起使用的属性。

与`<ins>`标签一起使用的两个属性是:

*   `cite`:这是用来指定一个 URL，表明文本为什么被更新或更改。

*   `datetime`:用于在文本中指定上次更新的日期和时间。日期时间的默认格式为 **YYYY-MM-DDThh:mm:ssTZD**

让我们举个例子:

```html
<!doctype html>
    <head>
        <title>
            Example of The INS element
        </title>
    </head>
    <body>
        <p>HTML stands for Hypertext Markup Language.</p>
        <p>HTML is the basic building block of any webpage. It is used with CSS and Javascript to create interative web pages.</p>
        <p><ins cite="https://en.wikipedia.org/wiki/HTML5" datetime="2014-10-28T00:00:00TZD">HTML5 is the latest version of HTML</ins></p>
    </body>
</html>
```

## HTML `<ins>`标签的默认 CSS 设置

大多数浏览器使用这些默认的 CSS 设置:

```html
ins {
    text-decoration: underline;
}
```

## 对 HTML `<ins>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 4+

*   Apple Safari 1+

*   Opera 4+

* * *

* * *