# HTML `<iframe>`标签

> 原文：<https://www.studytonight.com/html5-references/html-iframe-tag>

HTML `<iframe>`标签基本上代表一个**内联框架元素**，用于将一个网页插入到另一个网页中。

*   `<iframe>`标签用于表示**嵌套浏览上下文**。

*   在`<iframe>`标签的帮助下，一个人可以很容易地**将其他的 HTML 页面**嵌入到当前的 HTML 页面中。

*   单个文档中可以有任意数量的 iframe 元素。

*   如上所述，`<iframe>`标签用于嵌套浏览上下文，在这种情况下，每个**嵌入式浏览上下文**都有自己的两件事:**会话历史**和**文档**。

*   **父浏览上下文:****浏览上下文**用于嵌入另一个上下文。

*   **窗口对象:**没有任何父级或最顶层浏览上下文的**对象通常被称为窗口对象。**

不要被浏览上下文这个术语所迷惑，它指的是当前的浏览器会话。

例如，如果您在嵌入了 iframe 的浏览器中打开一个网页，那么它就像是在当前浏览器窗口中打开了一个小浏览器窗口，显示一些其他的 web URL。下面显示的实时 HTML 示例是使用`<iframe>`标签在当前网页中包含另一个网页的示例。

## HTML `<iframe>`标签-语法和用法

`<iframe>`元素需要**开始(开始)标签**和**结束(结束)标签。**所需语法如下:

```html
<iframe src="SOME_URL"></iframe> 
```

![](img/4765334125b448ec4c4bdf8285a1da72.png)`src`属性是一个强制属性，用于指定将在 iframe 中显示的网页的网址。

## HTML `<iframe>`标签属性

`<iframe>`标签支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，除了一些特定属性，如下所示。

| **属性** | **描述** |
| `allowfullscreen` | 如果我们将该属性设置为真，则`<iframe>`的全屏模式被启用。 |
| `allow` | 此属性用于指定 iframe 的功能策略。 |
| `height` | 我们使用`<iframe>`标签的高度属性来设置 iframe 的高度，以像素或百分比或 em 为单位。 |
| `name` | 该属性用于指定`<iframe>`的名称 |
| `sandbox` | 该属性为`<iframe>`中的内容启用一组额外的限制 |
| `src` | `src`属性用于指定要嵌入到`<iframe>`中的文档的地址。此属性是必需的。 |
| `width` | 该属性用于以像素或百分比或 em 为单位指定`<iframe>`的宽度。 |
| `importance` | 它表示文档的相对重要性。它有三个值，即**高**、**低、**和**自动**。 |

## HTML `<iframe>`标签基本示例

这里我们有一个相同的基本例子:

在上面的例子中，我们使用了 src 属性来提供我们想要在 iframe 中显示的网页的 URL。另外，我们使用了`width`和`height`属性。我们建议您使用一些属性来查看它们如何影响`<iframe>`元素。这样你就会明白 iframe 是如何工作的。

## 要记住的要点:

当使用`<iframe>`标签在您的网站上嵌入任何其他网页时，您必须确保您嵌入的页面来自受信任的商店，并且网站允许其页面在 iframes 中使用。

如果您有一个要限制 iframe 选项的网站，根据该网站，任何人都不能在 iframe 中使用您的网站 URL，您可以在服务器上使用以下选项:

```html
X-Frame-Options: DENY
X-Frame-Options: SAMEORIGIN
```

设置以上选项后，您网站的页面将不允许包含在任何其他使用`<iframe>`元素的网站上，只允许包含在您自己的域名上。

## HTML `<iframe>`标签的默认 CSS 设置

下面给出了大多数浏览器使用的默认 CSS 设置:

```html
iframe:focus {
    outline: none;
}

iframe[seamless] {
    display: block;
}
```

## 对 HTML `<iframe>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 3+

*   Safari 1+

*   Opera 5+

* * *

* * *