# HTML `<kbd>`标签

> 原文：<https://www.studytonight.com/html5-references/html-kbd-tag>

HTML `<kbd>`标签代表**键盘输入元素**。该标签用于包含任何代表键盘输入的文本。

*   `<kbd>`标签属于**短语标签**的范畴。

*   此外，这是一个**内联元素**。

*   `<kbd>`标签表示一段**内联文本**，表示从键盘、**语音输入或键盘**的任何其他文本输入的**形式的文本输入。所以如果你要在网页的任何地方写任何键盘命令，比如粘贴文本按 **CTRL + V** ，那么 **CTRL** 和 **V** 就是键盘输入，应该包含在`<kbd>`标签中。**

*   每当一个`<kbd>`标签与另一个`<kbd>`标签嵌套时，它**就代表一个实际的键**。

*   每当`<kbd>`嵌套在`<samp>`标签中时，它表示输入已经被系统响应**给用户。**

## HTML `<kbd>`标签-语法和用法

`<kbd>`标签需要**开始(开启)标签**和**结束(关闭)标签**。

其所需语法如下:

```html
<kbd>
    content goes here
</kbd> 
```

## HTML `<kbd>`标签基本示例

下面我们有一个基本的例子，我们在网页文本中提到键盘键的地方使用了`<kbd>`标签。

### 

现在，我们将向您展示如何在`<samp>`标签中使用`<kbd>`标签。每当`<kbd>`标签嵌套在`<samp>`标签中时，它表示系统将输入反馈给用户:

## HTML `<kbd>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

## HTML `<kbd>`标签的默认 CSS 设置

`<kbd>`标签的默认 CSS 设置或值如下所示:

```html
kbd {
    font-family: monospace;
}
```

## HTML5 `<kbd>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Apple Safari 1+

*   Opera 4+

* * *

* * *