# HTML `<li>`标签

> 原文：<https://www.studytonight.com/html5-references/html-li-tag>

HTML `<li>`标签表示**列表项**。该标签与`<ul>`、`<ol>`等一起使用。标签将列表项添加到网页上的任何 HTML 列表中。

*   当您想在列表中添加一个项目时，使用该标签。

*   在简单菜单和无序列表(`<ul>`标签)**列表项**使用项目符号显示在**中，而在有序列表(`<ol>`标签)中，列表项使用数字或字母字符显示。我们将在下面的示例中看到这两者的外观。**

*   另外，`<li>`是一个 b **锁级元素**。

## HTML `<li>`标签-语法和用法

`<li>`标签需要**开启(开始)标签**和**关闭(结束)标签**。

其所需语法如下:

```html
<li>
    List item text
</li> 
```

## HTML `<li>`标签基本示例

下面我们有一个使用`<li>`标签的基本例子:

在上面的代码示例中，我们将`<li>`标签包含在`<ul>`标签中，因此在输出中我们得到了一个无序列表，其中列表项前面显示有项目符号。我们总是可以使用 CSS 以我们喜欢的任何形式来设置列表项的样式。

### 使用`<ol>`标签内的`<li>`标签:

```html
<ol>
    <li>first item</li>
    <li>second item</li>
    <li>third item</li>
</ol> 
```

## HTML `<li>`标签属性

这个元素有一个有用的属性`type`，它还支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)。

### `type`属性:

该属性用于修改列表项的**类型，通过该属性我们可以修改每个列表项前面显示的项目符号的样式。**

下面是使用该属性的语法:

```html
<li type="1|a|A|i|I|disc|circle|square"> 
    List Item Text
</li>
```

**属性值:**

当`<li>`标签与`<ol>`标签一起使用时:

*   **1:** 这是默认值，用于指定列表编号应该使用 1、2、3 等数值。

*   **a:** 当我们将类型指定为‘a’时，这意味着列表的编号将使用**小写字母**完成，如 a、b、c 等。

*   **A:** 当我们将类型指定为“A”时，这意味着列表的编号将使用**大写字母**来完成，如 A、B、C 等。

*   **i:** 当我们将类型指定为“I”时，这意味着列表的编号将使用**小写罗马数字**完成，如 I、ii、iii 等。

*   **I:** 当我们将类型指定为“I”时，这意味着列表的编号将使用**大写罗马数字**完成，如 I、II、III 等。

当`<li>`标签与`<ul>`标签一起使用时:

*   **盘:**这是默认值。它会在列表项前创建一个**填充的圆圈**，您也可以在上面的示例中看到。

*   **圆:**该选项将创建一个**未填充圆**。

*   **正方形:**这将创建一个填充的正方形。

尝试在上面的实时终端中使用所有这些，看看它如何更改列表项。

## HTML `<li>`标签的默认 CSS 设置

下面给出了大多数浏览器使用的默认 CSS 设置:

```html
li {
    display: list-item;
}
```

## 对 HTML `<li>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Safari 1+

*   Opera 4+

* * *

* * *