# HTML `<label>`标签

> 原文：<https://www.studytonight.com/html5-references/html-label-tag>

HTML `<label>`标签用于向网页上的任何 HTML 元素添加标题或标签文本。

*   有一点很重要，Label 是**不直接关联表单**；虽然标签是通过表单控件与表单间接关联的**。**

*   **标签控件:**当标签用于标记表单控件时，它被称为标签元素的标签控件；一个输入可以关联**多个标签**。

*   无论何时点击`<label>`，我们都知道标签与表单控件相关联；然后，还会为关联的控件引发生成的 click 事件。

*   `<label>`标签属于**内嵌元素**的范畴。

*   标签对于屏幕阅读器用户来说是有益的**，因为当他们读出标签时变得容易了。**

*   标签对于那些在点击一个小区域(比如一个简单的复选框)时遇到问题的用户来说也是有益的；每当用户点击标签内的文本时，它**就会增加点击面积。**

## HTML `<label>`标签-语法和用法

`<label>`标签需要**开始(开启)标签**和**结束(关闭)标签**。

以下是相同的所需语法:

```html
<label>
    Label Text
</label> 
```

## HTML `<label>`标签属性

`<label>`标签支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，与`<label>`标签一起使用的一些常见属性是:

| **属性** | **描述** | **值** |
| `for` | 此属性用于指定标签绑定到的表单域。 | 元素 id |
| `form` | 该属性用于指定标签关联的`<form>`元素或字段。如果标签`for`属性和`<form>`字段的`id`属性的值相同，则表示两者都已连接。 | 表单 id |

## HTML `<label>`标签基本示例

下面我们有一个`<label>`标签的基本例子:

## 使用`<label>`标签内的`for`属性

```html
<label for="username">Click Here</label>
<input type="text" id="username">
```

<u>**注意:**</u> 我们不应该在`<label>`标签里面使用[标题元素](https://www.studytonight.com/html5-references/html-heading-tags)，因为标题有不同的用途，而且还会引入标题的默认样式，可能会扭曲网页用户界面。

如果你想为添加到`<label>`标签的文本设置样式，那么你可以使用 CSS 样式规则。

### 使用带有`<label>`标签的 CSS 类:

下面是一个例子，我们使用了一个 CSS 类来为标签文本添加样式:

```html
<label class="large-label" for="name">
    Your name
</label> 
<input id="name" name="name" type="text">
```

向上面创建的 CSS 类大标签添加样式:

```html
.large-label {
    font-size: 34px;
    font-weight: bold;
}
```

这样做将增加标签文本的大小，并使其变得更加醒目。

## HTML `<label>`标签的默认 CSS 设置

大多数浏览器对`<label>`标签使用下面给出的默认 CSS 设置:

```html
label {
    cursor: default;
} 
```

## 对 HTML `<label>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 4+

*   Safari 1+

*   Opera 4+

* * *

* * *