# HTML `<link>`标签

> 原文：<https://www.studytonight.com/html5-references/html-link-tag>

在 HTML 中，如果想要建立**当前文档和外部资源**之间的关系，那么就使用`<link>`标签。

*   `<link>`标签也被称为**外部资源链接元素**。

*   `<link>`标签通常用于链接不同的**样式表。**

*   HTML5 中的`<link>`标签是一个**空标记**，这意味着它不包含结束标记**，尽管它包含各种属性**。

*   该标签还用于**建立站点图标【favicon 样式图标和主屏幕图标)等。**

*   我们可以在 `<body>`标签里面使用`<link>`标签，但是推荐在 `<head>`标签里面使用 `<link>`标签。

*   它被添加到 HTML5 中。

## HTML `<link>` 标签语法和用法

`<link>`标签需要一个**开始(开始)标签**，而不是结束标签(结束)标签，因为**是一个空标签**。下面我们有它的基本语法。

```html
<link href=" "> 
```

## HTML `<link>`标签属性

`<link>`标签支持[](https://www.studytonight.com/html5-references/html-global-attributes)**和 [**事件**属性](https://www.studytonight.com/html5-references/html-event-attributes)，一些常见属性如下。**

 **| **属性** | **描述** |
| 标题 | 该属性用于指定首选或备选样式表 |
| 超链接 | 该属性用于指定链接文档的网址。 |
| 能量损耗率 | 此属性用于指定链接文档与当前文档之间关系的名称。 |
| 类型 | 此属性用于指定链接 URL 的媒体类型。 |
| 元首万岁 | 这用于指示链接资源的人类语言。 |
| 大小 | 此属性用于指定资源中包含的可视媒体的图标大小。 |
| 参考政策 | 此属性用于指定获取资源时要使用的引用者。 |
| 重要 | 该属性指示资源的相对重要性。它可以是低，高，自动。 |

### 页面上包含样式表的示例:

```html
<link href="abc.css" rel="stylesheet">
```

### 用于在页面上提供替代样式表的语法

您也可以使用替代样式表，其语法如下所示

```html
<link href="default.css" rel="stylesheet" title="Default Style">
<link href="fancy.css" rel="alternate stylesheet" title="Fancy">
<link href="basic.css" rel="alternate stylesheet" title="Basic">
```

## HTML `<link>`标签的默认 CSS 设置

下面给出了大多数浏览器使用的默认 CSS 设置。

```html
link {
  display: none;
}
```

## 对 HTML `<link>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 3+

*   Apple Safari 1+

*   Opera 4+

* * *

* * ***