# HTML `<mark>`标签

> 原文：<https://www.studytonight.com/html5-references/html-mark-tag>

在 HTML 中，`<mark>`用于**突出显示**或**标记文本的部分**，以显示文本的**重要性**。

*   建议不要使用`<mark>`标签来**突出显示语法**，而是使用< span >标签及其 **CSS 属性。**

*   `<mark>` 标签用于显示与**用户当前活动相关的文档文本或内容。**

*   当在`<q>`或`<blockquote>`标签内使用`<mark>`标签时，通常表示具有**特殊意义**的文本；虽然它**没有标记原始文档**。

*   `<mark>`标签的表现类似于**你正在用荧光笔**在你的**书**上标记你感兴趣的内容

## HTML `<mark> Tag` 语法和用法

`<mark>`标签需要**开始(开启)标签**和**结束(关闭)标签**。其基本示例如下:

```html
<mark>
...content here
</mark> 
```

## HTML `<mark>`标签基本示例

下面是这个标签的一个基本例子。

下面给出了使用<mark>标签来标记文章中的搜索结果</mark>

```html
<p><mark class="match">HTML</mark> is known as Hypertext Markup Language.</P>
<p><mark class="match">HTML</mark> is used to create static web pages 
```

## HTML `<mark>` 标签属性

该属性没有特定属性，`<mark>`标签支持**全局和事件属性。**

## HTML `<mark>`标签的默认 CSS 设置

```html
mark {
  background-color: yellow;
  color: black;
} 
```

## HTML5 `<mark>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 4+

*   谷歌 Chrome 6+

*   Internet Explorer 9+

*   Apple Safari 5+

*   Opera 11.1+

* * *

* * *