# HTML `<meter>`标签

> 原文：<https://www.studytonight.com/html5-references/html-meter-tag>

`<meter>`标签是 HTML5 中新引入的一个**标签。**

*   `<meter>` 标记用于表示已知范围内的**分数**值或**标量**值。

*   建议**而不是**使用此标签在进度条中**显示进度**。

*   在此之前始终使用 `<label>`标签，以获得最佳的可访问性

## HTML `<meter>` 标签语法和用法

`<meter>`标签需要**开始(开启)标签**和**结束(关闭)标签。**其基本语法如下:

```html
<meter>
.....content here
</meter>
```

## HTML `<meter>` 标签属性

`<meter>`标签支持**全局**和**事件**属性，一些常见属性如下。

| **属性** | **描述** |
| 形式 | 该属性用于指定<meter>标签所属的表单</meter> |
| 价值 | 该属性用于指定血糖仪的当前值。 |
| 低的 | 此属性用于指定必须视为低值的范围。 |
| 高的 | 此属性用于指定必须视为高值的范围。 |
| 最适宜的 | 此属性指示仪表的最佳值 |
| 最大 | 此属性用于指定范围的最大值 |
| 部 | 此属性用于指定范围的最小值。默认最小值为 0 |

## HTML `<meter>`标签基本示例

这里，我们用`<meter>` 标签的一个基本例子来展示它的功能:

## HTML `<meter>`标签的默认 CSS 设置

### 没有人

## 对 HTML `<meter>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 6+

*   谷歌 Chrome 8+

*   Safari 6+

*   Opera 11+

* * *

* * *