# HTML `<meta>`标签

> 原文：<https://www.studytonight.com/html5-references/html-meta-tag>

在 HTML 中，`<meta>` 标记用于**表示元数据**。

*   这个由`<meta>`标签表示的**元数据**不能使用像`<base>,<link>,<script>,<style>`和`<title>`这样的其他 HTML 标签来表示

*   `<meta>`标签属于**空元素**的范畴。

*   **元数据**不会显示在网页上，**浏览器和搜索引擎使用元数据。**

*   **元数据**简单来说就是关于数据的**数据**或者是关于数据的信息。

*   在 HTML 文档中，`<meta>`标签总是用在`<head>`标签内部。

## HTML `<meta>`标签语法和用法

由于`<meta>`是一个**空标签**，它不需要结束标签，它只需要一个**开始标签**。

其基本语法如下:

```html
<meta charset=" ">
```

## HTML 标签属性

标签支持**全局**和**事件**属性，一些常见属性如下。

| **属性** | **描述** |
| 字符集 | 该属性用于声明网页的字符编码。它的值是字符集 |
| 名字 | 

*   This attribute is used to define the name of metadata.

*   The value of the name attribute is as follows

1.  Application _ name:-defines the name of the application running the webpage.

2.  Author:-Used to define the author's name.

3.  Keywords:-Contains words related to web content, Separate

4.  referrer with commas:-Control the HTTP referrer header

5.  attached to the request sent from the browser. Generator:-It contains the identifier of the software that generates the page.

6.  Description:-A brief and accurate summary of the content of the webpage.

 |
| 内容 | 它包含**名称**或 **http-equiv** 属性的值，具体取决于使用哪个属性。 |
| http-equiv | 该属性用于为内容属性的信息提供 http 头。该属性的说明如下

1.  内容安全策略:-允许页面作者定义内容策略

2.  刷新:-只有当内容属性包含正整数时，页面才应重新加载的秒数。

3.  set-cookie:-定义页面的 cookie

 |

## HTML 标签基本示例

下面我们有一个标签的基本例子:

```html
<meta charset="utf-8">

<!-- Redirect page after 3 seconds -->
<meta http-equiv="refresh" content="3;url="https://www.studytonight.com/">
```

### 定义搜索引擎关键字的语法

```html
<meta name="keywords" content="Java,python,jQuery">
```

### 定义页面作者的语法

```html
<meta name="author" content="Himani">
```

### 刷新文档的语法

```html
<meta http-equiv="refresh" content="10">

// it will refresh document after every 10 seconds
```

### HTML5 标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Safari 1+

*   Opera 4+

* * *

* * *