# HTML `<nav>`标签

> 原文：<https://www.studytonight.com/html5-references/html-nav-tag>

在 HTML 中，`<nav>` 标签用于表示具有导航链接的**部分，这些链接或者是**内的**当前文档**或者是另一个文档的**。**

*   部分导航链接有**菜单、目录、索引**等。

*   一个文档中有很多链接，没有必要把所有的链接都放在`<nav> tag`里面。

*   `<nav>`标签基本上是针对**主要导航区块的。**

*   一般来说，每当我们浏览一个网站时，我们都会在网站上看到许多导航链接，这些链接为访问网站的用户提供了方便，因此用户可以轻松地浏览这些链接。

*   `<nav>` 也是和 `<header>`一样有自己目的的**节素**。

*   `<nav>`元素的主要目的是提供页面的**部分，该部分具有链接**，通过这些链接**用户可以在网站上轻松导航**。

*   `<nav>` 可以在**标题、`<article>`标签中，也可以在自己的**中。

*   此外，`<nav>`标签属于**块级元素**的范畴

## HTML `<nav>`标签语法和用法

`<nav>`标签需要**开始(开启)标签**和**结束(关闭)标签**。其所需语法如下:

```html
<nav>
....
</nav>
```

## HTML `<nav>`标签基本示例

下面我们有一个清晰理解

## 需要记住的几点

*   `<nav>`标签支持**事件和全局属性。**

*   正如我们在上一节中告诉您的那样，`<nav>` 元素基本上是为**主/主导航块保留的。**

*   在`<nav>` 元素的帮助下，创建一个导航菜单，或者有文本链接的水平菜单变得更加容易。

*   任何文档都可能有几个`<nav>`元素。例如，站点导航、页面内(用户定义页面的链接)导航

## HTML `<nav>`标签属性

这个元素没有任何特定的属性，虽然这个元素支持**全局和事件属性**。

## HTML `<nav>`标签的默认 CSS 设置

下面给出了大多数浏览器使用的默认 CSS 设置:

```html
nav {
  display: block;
}
```

## 对 HTML `<nav>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 4+

*   谷歌 Chrome 6+

*   Internet Explorer 9+

*   Safari 5+

*   Opera 11.1+

* * *

* * *