# HTML `<noscript>`标签

> 原文：<https://www.studytonight.com/html5-references/html-noscript-tag>

在 HTML 中，如果在浏览器中**脚本关闭，或者如果**不支持脚本类型**，则`<noscript>`标签用于**定义 HTML** 的一部分。**

*   基本上`<noscript>`标签是**作为备用文本**使用，以防你的浏览器不支持脚本。

*   每当要在`<head>`标签中使用 `<noscript>`标签时，在这种情况下，只有`<link>`、`<style>`和`<meta>`标签必须与`<noscript>`标签一起使用。

*   此外，这是一个**块级元素**。

*   虽然，这个标签可以用在`<body>` 标签**里面，也可以用在**标签里面。

*   内容写在 `<noscript>`标签的开合端内**只有在浏览器不支持脚本**的情况下才可见。

## HTML `<noscript>` 标签语法和用法

`<noscript>`标签需要**开始(开启)标签**和**结束(关闭)标签**。

下面我们有相同的基本语法:

```html
<noscript>
....content here
</noscript> 
```

## HTML `<noscript>`标签基本示例

下面我们有一个基本的例子来清楚地理解

<noscript>标签:</noscript>

## HTML `<noscript>`标签属性

这个元素没有任何特定的属性，虽然这个元素支持**全局和事件属性**。

## HTML `<noscript>`标签的默认 CSS 设置

没有人

## 对 HTML `<noscript>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 3+

*   Safari 1+

*   Opera 4+

* * *

* * *