# HTML `<ol>`标签

> 原文：<https://www.studytonight.com/html5-references/html-ol-tag>

在 HTML 中，`<ol>`代表**有序列表。**

*   基本上`<ol>`标签用于在 HTML 网页上创建**有序列表**。

*   有序列表通常呈现为**编号列表。**

*   在有序列表中，**顺序是有意义的**，因此它不同于`<ul>` 或**无序列表。**

*   为了表示**列表项**，在`<ol>`标签内使用`<li>`标签

*   有序列表项通过编号前的**显示，可以是**数字、字母或罗马数字**也可以是**简单项目符号**。**

*   此外，这是一个**块级元素。**

## HTML `<ol>`标签语法和用法

`<ol>`标签需要**开启(开始)标签**和**关闭(结束)标签。**

其基本语法如下:

```html
<ol>
....content here
</ol>
```

![](img/4765334125b448ec4c4bdf8285a1da72.png)![](img/4765334125b448ec4c4bdf8285a1da72.png "Click and drag to move")

## HTML `<ol>`标签属性

`<ol>`标签支持**全局**和**事件**属性，一些常见属性如下:

### 1.颠倒的

`<ol>`标签的这个属性用于指定列表项的顺序是相反的，即从高到低。

### 2.类型

该属性用于指示排序类型或编号类型。

它具有以下值:

`'a'`:表示小写字母。

`'A'`:表示大写字母。

`'i'` :表示小写罗马数字。

`'I'` :表示大写罗马数字。

`'1'`:表示数字，也是类型属性的默认值。

### 3.开始

该属性值为整数形式。

它用于指定对单个列表项进行编号的起始值。

**语法:** - `< ol start="3">`

## HTML `<ol>`标签基本示例

下面我们有一个`<ol>`标签的基本例子:

## 示例:使用罗马数字类型

```html
<ol type="i">
  <li>Python</li>
  <li>Java</li>
  <li>JavaScript</li>
</ol> 
```

![](img/4765334125b448ec4c4bdf8285a1da72.png)![](img/4765334125b448ec4c4bdf8285a1da72.png "Click and drag to move")

i. Python
ii .Java〔T2〕iii。JavaScript(JavaScript)

## 嵌套列表示例

```html
<ol>
<li>Front-End</li>
<li>Back-End 
<ol type="a">
      <li>Ruby</li>
      <li>PHP</li>
      <li>.net</li>
</ol>
</li>            
<li>Frameworks</li>
</ol>
```

1。前端
2。后端
a .红宝石
b.PHP
c..净
3。结构

## HTML `<ol>`标签的默认 CSS 设置

大多数浏览器使用`<ol>`标签的默认 CSS 设置，如下所示:

```html
ol {
  display: block;
  list-style-type: decimal;
  margin-top: 1em;
  margin-bottom: 1em;
  margin-left: 0;
  margin-right: 0;
  padding-left: 40px;
}
```

## 对 HTML `<ol>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 2+

*   Safari 1+

*   Opera 4+

* * *

* * *