# HTML `<object>`标签

> 原文：<https://www.studytonight.com/html5-references/html-object-tag>

在 HTML 中，`<object>`标签可以用来表示**外部资源**或者用来**定义 HTML 文档中的嵌入对象**。

*   外部资源可以是任意**图像**、任意**嵌套浏览上下文**，也可以是插件处理的任意**资源。**

*   该标签用于`<body>`标签内部。

*   那些不支持`<object>`标签的浏览器将把 `<object>`和 `</object>`里面的文本作为**替代文本。**

*   对象主要用于表单和表单的**提交。**

*   要将另一个网页嵌入到您的**文档**中，您也可以使用 `<object>`标签。

*   此外，这是一个**内联元素。**

## HTML `<object>`标签语法和用法

`<object>`标签需要**开启(开始)标签**和**关闭(结束)标签**。

其基本语法如下:

```html
<object>
...content here
</object>
```

## HTML `<object>`标签属性

`<object>`标签支持**全局**和**事件**属性，一些常见属性如下:

### 1.数据

此属性用于将资源的地址指定为有效的网址。

### 2.形式

此属性用于指定对象所属的表单。

### 3.高度

<object>标签中的这个高度属性用于以像素为单位指定对象的高度。</object>

### 4.类型

此属性用于指定由数据指定的资源的内容类型。

### 5.宽度

该属性用于以像素为单位指定对象的宽度。

### 6\. 使用地图

此属性用于指定对地图元素的哈希名称引用。

## HTML `<object>`标签基本示例

下面我们有一个<object>的基本例子:</object>

```html
<html>
<head>
<title>
Object tag example
</title>
</head>
<body>
<object type="application/pdf"
    data="/media/examples/abc.pdf"
    width="250"
    height="200">
</object>
</body>
</html>
```

## HTML `<object>`标签的默认 CSS 设置

大多数浏览器使用`<object>`标签的默认 CSS 设置，如下所示:

```html
object:focus {
  outline: none;
} 
```

## 对 HTML `<object>`标签的浏览器支持

以下浏览器支持此属性:

*   谷歌 Chrome 1+

*   Internet Explorer 3+

*   Safari 1+

*   Firefox 1+

*   Opera 4+

* * *

* * *