# HTML `<q>`标签

> 原文：<https://www.studytonight.com/html5-references/html-q-tag>

在 HTML 中，`<q>`标签代表**内联报价**。

*   包含在`<q>`标签中的内容表示一个**短内联报价。**

*   在**现代浏览器**中，使用环绕文本的引号来实现**。**

*   **对于没有**不需要**断段**的短报价**，建议**使用**标签，而对于**长报价**使用 `<blockquote>`标签。**

*   此外，这是一个**内联元素。**

## HTML `<q>`标签语法和用法

`<q>`标签需要**开启(开始)标签**和**关闭(结束)标签**。

其所需语法如下:

```html
<q>
....content here!
</q> 
```

## HTML `<q>`标签基本示例

下面我们有一个基本的例子来清楚地理解<q>标签:</q>

## HTML `<q>`标签属性

`<q>` 标签支持**全局**和**事件**属性。

## `<q>`标签的其他属性

**引用**属性是< q >标签最常用的属性，因此其描述如下:-

*   引用属性的值是指定源文档或**引用信息的消息的网址形式。**
*   该属性指向引用的**引用。**

### 引用属性的示例

```html
<!DOCTYPE html> 
<html>  
    <head>  
        <title>HTML q cite Attribute</title>  
    </head>  

    <body style="text-align:center;">  

        <h1>Studytonight</h1> 

        <h2> 
            HTML <q>cite Attribute  
        </h2> 

        <p> 
            <q cite="https://www.studytonight.com/"> 
                StudyTonight 
            </q>  
            Best Place to Learn coding online 
        </p>  
    </body>  
</html> 
```

## HTML `<q>`标签的默认 CSS 设置

```html
q {
  display: inline;
}

q:before {
  content: open-quote;
}

q:after {
  content: close-quote;
} 
```

## 对 HTML `<q>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 1+

*   谷歌 Chrome 1+

*   Internet Explorer 4+

*   Apple Safari 1+

*   Opera 4+

* * *

* * *