# HTML `<source>`标签

> 原文：<https://www.studytonight.com/html5-references/html-source-tag>

在 HTML 中，`<source>`标签用于表示文档中图片、音频或视频的多个媒体资源。

*   `<source>`标签是一个**空元素。**

*   `<source>`标签用于以多种格式提供相同的媒体内容，然后由不同的浏览器进一步支持。

## HTML `<source>`标签语法和用法

`<source>`标签只需要**开始(开启)标签**；它不需要结束标签，因为它是一个**空元素**。

下面给出了基本语法:

```html
<source src=" ">
```

## HTML `<source>`标签属性

`<source>` 标签支持**全局**和**事件**属性，一些常见属性如下。

| **属性** | **描述** |
| 科学研究委员会 | 该属性以 URL 的形式指定所需的音频和视频资源 |
| 媒体 | 它仅用于图片元素。 |
| 大小 | 此属性指定一个源大小列表，用于描述源所表示的图像的最终渲染宽度 |
| 一个秘密 | 此属性用于在不同情况下指定图像的 URL |
| 类型 | 此属性用于指定资源的 MIME 类型。 |

## HTML `<source>`标签基本示例

下面给出的是`<source>` 标签的基本示例:

```html
<video controls>
  <source src="abc.webm" type="video/webm">
  <source src="abc.ogg" type="video/ogg"> 
  <source src="abc.mov" type="video/quicktime">
  I'm sorry; your browser doesn't support HTML5 video.
</video>
```

## 对 HTML `<source>`标签的浏览器支持

以下浏览器支持此属性:

*   Firefox 3.5+

*   谷歌 Chrome 4+

*   Internet Explorer 9+

*   Safari 4+

*   Opera 10.5+

* * *

* * *