# HTML `<strong>`标签

> 原文：<https://www.studytonight.com/html5-references/html-strong-tag>

HTML `<strong>`标签用于标记网页上具有**强重要性**的内容。就样式而言，它的工作方式类似于 [HTML `<b>`标签](https://www.studytonight.com/html5-references/html-b-tag)，但它为这个标签内的文本增加了额外的含义，浏览器和搜索引擎认为这个标签很重要。

*   HTML `<strong>`标签属于**短语标签**的范畴。

*   开始和结束`<strong>`标签之间的内容总是表示比内容的其余部分更重要的文本。

    ![difference between bold and strong tag](img/1834577cbd10e1a888d1d70359cdf251.png)

*   `<strong>`标签还用于为网页文本中代表注释或**警告**的**段落提供标签。**

## HTML `<strong>`标签语法和用法

`<strong>`标签需要**开始(开启)标签**和**结束(关闭)标签。**

```html
<strong>
    important text
</strong> 
```

### HTML `<strong>`标签基本示例

下面给出了一个例子，向您展示了`<strong>`标签的基本用法:

## HTML `<strong>`标签属性

虽然此元素支持[全局属性](https://www.studytonight.com/html5-references/html-global-attributes)和[事件属性](https://www.studytonight.com/html5-references/html-event-attributes)，但它没有任何特定属性。

## HTML `<em>`标签 vs `<strong>`标签

`<strong>`标签用于指示网页上其他内容中更重要的文本。另一方面，`<em>`标签用于改变内容的含义，就像口语强调一样。

`<em>`和`<strong>`标签可以嵌套在一起，以获得更高的重要性。

## HTML `<b>`标签 vs `<strong>`标签

我们通常会混淆`<b>`标签和`<strong>`标签/让我们澄清一下，`<strong>`标签用于表示具有强重要性或更高重要性的内容，而`<b>`标签用于吸引读者的注意力，而不表示文本具有更高的重要性。

所以`<b>`标签只是增加了样式，而`<strong>`标签为文本增加了意义，告知浏览器或搜索引擎所包含的文本很重要。

## HTML `<strong>`标签的默认 CSS 样式

大多数浏览器使用这些**默认 CSS 样式。**

```html
strong {
    font-weight: bold;
}
```

## 对 HTML `<strong>`标签的浏览器支持

以下浏览器支持此属性:

*   谷歌 Chrome 9.0

*   Internet Explorer 11.0

*   Firefox 4+

*   歌剧

*   旅行队

* * *

* * *