# HTML `<style>`标签

> 原文：<https://www.studytonight.com/html5-references/html-style-tag>

在 HTML 中，`<style>`标签包含**文档**的**样式信息**，或者是文档的**部分。**

*   `<style>`标签包含 **CSS** ，用于**设置网页的样式。**

*   `<style>` 标签可以用在 `<head>`标签内部或者 `<body>`标签内部；但是**建议**在 `<head>` 标签内使用，用于组织目的。

*   `<style>`标签还包括包含**媒体查询的**媒体属性**。**

*   任何一个 HTML 文档里面都可以有多个 `<style>`标签。

*   要在网页内链接**外部样式表**，请在`<style>`标签内使用`<link>`标签。

## HTML `<style>`标签语法和用法

`<style>`标签需要**开始(开启)标签**和**结束(关闭)标签。**

```html
<style>
...content here
</style>
```

## HTML 

HTML `<style>`标签同时支持 [**全局**](https://www.studytonight.com/html-5-references/html5global-attributes) 和**事件**属性，一些常见属性如下:

### 1.媒体

此属性用于定义样式应该应用于哪个媒体。该属性值是媒体查询。

### 2.标题

此属性用于定义替代样式表集。

### 3.类型

该属性是为样式定义的 MIME 类型的形式

## HTML 

下面给出了一个例子，展示了 HTML 中

## 在单个文档中使用多个 `<style>`标签

在下面给出的例子中，我们将在单个文档中使用多个

```html
<html>
<head>
  <style>
    p {
      color: white;
      background-color: blue;
      padding: 5px;
      border: 1px solid black;
    }
  </style> 
  <style>
    p {
      color: blue;
      background-color: yellow;
    }
  </style> 
</head>
<body>
  <p>This is my paragraph.</p>
</body>
</html>
```

## HTML `<style>`标签的默认 CSS 设置

大多数浏览器使用这些**默认 CSS 设置**:

```html
style {
  display: none;
} 
```

## 对 HTML `<style>`标签的浏览器支持

以下浏览器支持此属性:

*   谷歌 Chrome 9.0

*   Internet Explorer 11.0

*   Firefox 4+

*   歌剧

*   旅行队

* * *

* * *