# HTML `<script>` 标签

> 原文：<https://www.studytonight.com/html5-references/html-script-tag>

在 HTML 中，`<script>` 标签用于嵌入一些**可执行代码。**

*   `<script>`标签主要用于引用 HTML 文档中的 **javascript** (客户端脚本)代码。它也可以和其他一些语言一起使用，比如 GLSL 着色器编程语言

*   如果存在 **src 属性，则`<script>`标签必须为空**。****

***   此外，这是一个**块级元素。**** 

 **## HTML `<script>`标签语法和用法

下面给出的是`<script>`标签的基本语法:

```html
<script>
.....content here
</script>
```

## HTML `<script>`标签属性

HTML `<script>`标签同时支持 [**全局**](https://www.studytonight.com/html-5-references/html5global-attributes) 和**事件**属性，一些常见属性如下:

### 1.类型

该属性用于定义文档中脚本的类型。

### 2.文本

此属性用于设置元素的文本内容。

### 3.异步ˌ非同步(asynchronous)

这是一个布尔属性，表示如果可能，浏览器应该；异步加载脚本。

### 4.科学研究委员会

此属性用于指定外部 CSS 文件的网址。

### 5.推迟

这是一个布尔属性，它被设置为向浏览器指示脚本将在文档被解析后执行。

## HTML `<script>` 标签基本示例

下面我们有一个

## HTML `<script>`标签的默认 CSS 设置

以下是大多数浏览器使用的默认 CSS 设置:-

```html
script {
  display: none;
}
```

## 对 HTML `<script>`标签的浏览器支持

以下浏览器支持此属性:

*   谷歌 Chrome 6.0+

*   Internet Explorer 9.0+

*   Firefox 4+

*   Opera 11.1+

*   Safari 5.0+

* * *

* * ***