# HTML `<textarea>`标签

> 原文：<https://www.studytonight.com/html5-references/html-textarea-tag>

在 HTML 中，对**创建多行普通编辑控件**使用`<textarea>`标签。

*   当您希望允许用户输入大量自由格式文本时，`<textarea>`标签非常有用**，例如，对评论或反馈表单的评论。**

*   `<textarea>`标签还接受**共同形成`<input>` s 的几个属性**，如`autocomplete`、`autofocus`、`disabled`、`placeholder`、`readonly`、`required`。

*   此外，这是一个**内联元素。**

*   指定 textarea 的大小；我们使用`<textarea>`标签的`cols`和`rows`属性。

*   建议**使用`<label>`标签给文本区域添加标签**。

## HTML `<textarea>`标签语法和用法

`<textarea>`元素需要**开始(开始)标签**和**结束(结束)标签。**

以下是在 HTML 代码中使用 textarea 标记的语法:

```html
<textarea>
...content here
</textarea>
```

## HTML `<textarea>`标签属性

`<textarea>`标签支持**全局**和**事件**属性，一些常见属性如下。

| **属性** | **描述** |
| 名字 | 在<textarea>区域标签内，名称属性用于指定控件的名称。</textarea> |
| 分钟 | 用户应输入的最小字符数(Unicode 码位)。 |
| 最大长度 | 用户应输入的最大字符数(Unicode 码位)。 |
| 关口 | 该属性用于指定 textarea 的宽度。 |
| 行 | 此属性用于指定文本区域中可见行数 |
| 包 | 此属性指示控件如何换行。可能的值有:硬、软和关 |
| 拼写检查 | 指定文本区域是否接受基础浏览器/操作系统的拼写检查；true、false 和默认值是拼写检查属性的三个值 |
| 需要 | 此属性确保它是必填字段或必须填写 |
| 只读的 | 此属性指定给定的 textarea 是只读类型 |
| 自（动）调焦装置 | 此属性指定每当网页加载时 textarea 自动获得焦点。 |
| 形式 | 该属性指定了 textarea 所属的表单 |

## HTML `<textarea>`标签基本示例

下面我们有一个展示如何使用 HTML 文本区域标签的基本例子。

## 对 HTML `<textarea>`标签的浏览器支持

以下浏览器支持此属性:

*   谷歌 Chrome 6.0+

*   Internet Explorer 9.0+

*   Firefox 4+

*   Opera 11.1+

*   Safari 5.0+

* * *

* * *