# HTML `<track>`标签

> 原文：<https://www.studytonight.com/html5-references/html-track-tag>

在 HTML 中，`<track>` 标签是作为 `<video>`和`<audio>`标签的子标签使用的**。**

*   `<track>` 标签允许**我们指定定时轨道**比如，它允许你**自动处理字幕。**

*   每当我们**播放视频时，我们会在视频上看到字幕或字幕**，借助这个`<track>`标签，这些都是可能的。

*   是一个**空元素**。

## HTML `<track>`标签语法和用法

因为`<track>` 是空元素；所以它只需要**开始标签**而不需要结束标签。

以下是在 HTML 代码中使用跟踪标签的语法:

```html
<track attribute_name=" ">
```

## HTML <track>标签属性

`<track>`标签支持**全局**和**事件**属性，一些常见属性如下。

### 1.默认

默认属性用于指示应该启用该曲目，直到并且除非用户的偏好指示该曲目更重要。

### 2.标签

标题轨道的标签属性是用户可读的文本轨道标题，在浏览器列出可用文本轨道时使用

### 3.科学研究委员会

src 属性用于指定 URL，文档的来源和 URL 应该相同。

### 4.src lang！src lang！src lang！src lang！src lang

该属性指定轨道文本数据的语言。

### 5.种类

该属性用于指定文本轨道的种类。它的可能值是:-描述、标题、章节、元数据。

## HTML `<track>`标签基本示例

下面我们有一个展示如何使用 HTML 跟踪标签的基本例子

```html
<video controls width="250"
       src="/media/examples/abc.mp4">

    <track default kind="captions"
           srclang="en"
           src="/media/examples/abc.vtt"/>

    Sorry, your browser doesn't support embedded videos.
</video> 
```

## 对 HTML `<track>`标签的浏览器支持

以下浏览器支持此属性:

*   谷歌 Chrome 23.0+

*   Internet Explorer 10.0

*   Firefox 31.0

*   Opera 12.1+

*   Safari 6.0

* * *

* * *