# HTML `<tbody>`标签

> 原文：<https://www.studytonight.com/html5-references/html-tbody-tag>

在 HTML 中，`<tbody>`标签用于**封装一组表行**，这表明**它们组成了表体**。

*   如果一个表中有`<thead>`标签，那么 `<tbody>` **必须在** `<thead>`标签之后。

*   `<tbody>`是 `<table>`标签的孩子之一**。**

*   每当文档被打印时；`<thead>`和`<tfoot>`用于指定在多页表格的每一页上可能相同或至少非常相似的信息，而`<tbody>`标签的内容通常会因页而异。

*   `<tbody>`标签**包含一个以上的** `<tr>`标签。

*   CSS 用于设置`<tbody>`标签的样式。

## HTML `<tbody>`标签语法和用法

`<tbody>`标签需要**开始(开启)标签**和**结束(关闭)标签**。

以下是在 HTML 代码中使用标签的语法:

```html
<table>
<thead>
..content here
</thead>

<tbody>
...content here
</tbody>
</table>
```

## HTML 标签基本示例

下面我们有一个展示如何使用 HTML 标签的基本例子。

## `HTML <tbody>`标签属性

该元素支持**全局和事件属性**。

## HTML `<tbody>`标签的默认 CSS 设置

下面给出了大多数浏览器使用的默认 CSS 设置。

```html
tbody {
  display: table-row-group;
  vertical-align: middle;
  border-color: inherit;
}
```

## 对 HTML `<tbody>`标签的浏览器支持

以下浏览器支持此属性:

*   谷歌 Chrome 6.0+

*   Internet Explorer 9.0+

*   Firefox 4+

*   Opera 11.1+

*   Safari 5.0+

* * *

* * *