# HTML `<video>`标签

> 原文：<https://www.studytonight.com/html5-references/html-video-tag>

HTML 通过提供各种多媒体元素，如**音频、视频、嵌入和对象，帮助我们在您的网站上添加**多媒体文件**。**

*   在 HTML 中，`<video>`标签用于在文档中嵌入视频或**电影剪辑**。

*   有三种文件格式，它们的 MIME 类型由`<video>`标签支持，如下所示:-

    | **文件格式** | mime _ type |
    | MP4 | 视频/mp4 |
    | WebM | 视频/网络管理 |
    | 格式 | 视频/ogg |

*   在不支持<视频>标签的浏览器中，打开和关闭`<video></video>`标签中的**内容显示为**后退。****

*   如果不指定`controls`属性，视频不会包含浏览器的默认控件；您可以使用 **JavaScript 创建自己的**自定义控件**。**

*   此外，这是一个**块级元素。**

## HTML `<video>`标签语法和用法

`<video>`元素需要**开始(开始)标签**和**结束(结束)标签。**

其基本语法如下:

```html
<video>
....content here
</video>
```

## HTML `<video>`标签属性

HTML `<video>`标签同时支持 [**全局**](https://www.studytonight.com/html-5-references/html5global-attributes) 和**事件**属性，一些常见属性如下:

### 1.减轻

此属性用于确定缓冲媒体的时间范围。

### 2.科学研究委员会

此属性用于指定视频的网址。

### 3.宽度

此属性用于设置网页上视频的宽度。

### 4.控制

此属性用于显示视频控件，如网页上的暂停/播放按钮。

### 5.高度

此属性用于指定 HTML 文档中视频的高度(以像素为单位)。

### 6.自动播放

自动播放是一个布尔属性；如果指定了，则视频会尽快自动开始播放，而不会停止加载数据。

### 7.环

它是一个布尔属性，用于重放音频文件。

### 8.事先装好

此属性用于指定页面加载时视频的加载方式。它有三个值:自动、元数据、无。

## HTML `<video>`标签基本示例

下面我们有一个基本的例子来展示`<video>`标签的用法:

## 对 HTML `<video>`标签的浏览器支持

*   谷歌 Chrome 4.0

*   Internet Explorer 9.0

*   Firefox 3.5

*   歌剧迷你版 10.5

* * *

* * *