# CSS 样式化 HTML 列表

> 原文：<https://www.studytonight.com/cascading-style-sheet/styling-lists>

我们经常看到带有导航菜单的网页，以下拉方式或水平菜单的形式提供到其他页面的链接(参见上面的“今晚研究”网站导航栏)。这些菜单在结构上是列表，但风格不同。

列表也用于表示相关的数据信息，这些信息也可以被设计得更好看。

在 HTML 中，有两种类型的列表:

1.  **订购清单`<ol>` :** 标有数字或字母的物品。
2.  **无序列表`<ul>`:标有项目符号的**物品。

有了 CSS，你可以用自己的图片作为列表中的**项目符号**。CSS 列表属性允许您:

*   为有序列表设置不同的列表项标记。
*   为无序列表设置不同的列表项标记。
*   将图像设置为列表项标记。

使用`list-style-type`属性可以设置列表项标记的类型。

*示例:*

```html
ul { 
    list-style-type: circle; 
}

ol { 
    list-style-type: lower-roman; 
}
```

[现场示例→](/code/playground/web?file=css-styling_list_1)

以下关键词与`list-style-type`属性配合使用:

*   唱片
*   圆
*   平方
*   小数
*   十进制前导零
*   下罗马人
*   上罗马
*   下希腊语
*   下拉丁语
*   上拉丁语
*   亚美尼亚人
*   乔治亚的
*   下α
*   上α
*   **无** -移除子弹

> ***注:**非关键字值已经包含在 CSS3 中，但几乎没有任何支持。*

`list-style-type` 属性适用于所有列表，以及设置为显示的任何元素:**列表项**。列表标记的颜色将是元素的任何颜色(通过 color 属性设置)。

* * *

### 定位列表项标记

接下来，你需要知道如何定位你的列表。`list-style-position`属性允许您设置列表在网页上的位置。它接受两种价值观，`inside` & `outside`。默认值在外部。

*示例:*

```html
ul{ 
    list-style-position: *inside*; 
}
```

[现场示例→](/code/playground/web?file=css-styling_list_2)

* * *

### 作为列表项标记的图像

正如我们前面提到的，可以在网页上使用图像作为项目符号标记。这可以通过使用`list-style-image`属性来完成。您可以将其设置为**无**，也可以提供某个图像的**网址**。

```html
ul{ 
    list-style-image: *url*('images/bullet.png');
}
```

[现场示例→](/code/playground/web?file=css-styling_list_3)

* * *

### 将列表样式化到导航栏中

我们可以让列表看起来不仅仅是一个简单的列表。例如:您在当前网页顶部看到的导航栏是一个样式列表。

*   备选方案 1
*   备选方案 2
*   备选方案 3
*   备选方案 4
*   备选方案 5

一旦我们完成了其他基本的样式属性，我们将学习如何将列表样式化为不同类型的[导航栏](css-navigation-bar-style)。

* * *

* * *