# CSS 边距

> 原文：<https://www.studytonight.com/cascading-style-sheet/css-margins>

**边距**是元素周围的空白空间，用于舒适地放置元素。增加的额外空间，没有任何背景颜色，它是完全透明的。

您可以使用`margin`属性设置元素周围的边距。

**语法:**

```html
margin: value in px, em or % | inherit
```

其中边距值是长度、百分比值、自动或从父元素继承。

这里有一个视频来解释所有关于`margin`的属性。

[现场示例→](/code/playground/web?file=css-margin_1)

<u>视频实录:</u>

如果在`margin`属性中提供了两个值，第一个值将设置**顶部**和**底部**边距，第二个值适用于**右侧**和**左侧**边距。同样，如果为`margin`简写提供三个值，*第一个*适用于**顶部**边距，*第二个*适用于**右侧**和**左侧**边距，而*第三个*值适用于**底部**边距。请注意，未指定的边距是如何从为其反面定义的值中推断出来的。如果您想设置所有四边的值，可以按以下顺序设置:**顶部**、**右侧**、**底部**、**左侧**。

下面的示例说明了这一点:

#### 边距:25px 50px 75px 100px

*   顶部的边距为 25px
*   右边距为 50px
*   底部的边距为 75px
*   左边距为 100 像素

#### 边距:25px 50px 75px

*   顶部的边距为 25px
*   左右边距为 50px
*   底部的边距为 75px

#### 边距:25px 50px

*   上下页边距:25px
*   左右页边距:50px

#### 边距:50px

*   所有边的边距都是 50px

元素可能有默认的边距，并且这些值可能会有所不同。如果您想将所有边距重置为零，然后添加您自己的边距，您可以使用类似 ***{边距:0；}** 清除所有边距。还要注意，边距值可以是负的。

与 **CSS1** 、 **CSS2** 、 **CSS3** 以及以下网页浏览器兼容，

*   IE 6+
*   Firefox 1+
*   Opera 3.5+
*   Safari 1+
*   Chrome 1+

这就是利润。这很容易，对吧？让我们继续讨论定位元素。

* * *

* * *