# CSS 填充

> 原文：<https://www.studytonight.com/cascading-style-sheet/css-padding>

还记得利润率吗？回想一下边距是指元素周围的空间，它给你在网页上带来舒适或紧凑的感觉和外观。边距清除元素边框之外的区域。填充与边距相似，但不相同。迷茫？继续读。

填充将清除元素边界内的区域**。它在元素的边界和内容之间引入了额外的空间。就像 margin 属性一样，`padding`有一个简写属性，为所有四边设置填充。也可以单独设置。**

**语法:**

```html
padding: value1 [value2 value3 value4] | inherit
```

其中每个填充值或者是*长度*、*百分比值*、*自动*或者*从父元素继承*。

40px 的填充，`padding:40px;`表示将在元素的所有边的内容周围添加额外的空间`40px`。

这里有一个视频来解释所有关于`padding`的属性。

[现场示例→](/code/playground/web?file=css-padding)

<u>视频实录:</u>

`padding`属性的整体行为类似于`margin`属性，边距和填充属性之间的一个主要区别是，与边距不同，填充不能取负值。

元素上可能有默认填充，这些值可能会有所不同。如果您想将所有填充重置为零，然后添加您自己的值，您可以使用类似`*{ padding: 0; }`的通配符规则来清除所有填充。

与 **CSS1** 、 **CSS2** 、 **CSS3** 以及以下网页浏览器兼容，

*   IE 4+
*   Firefox 1+
*   Opera 3.5+
*   Safari 1+
*   Chrome 1+

那都是关于填充的。现在你一定在想，下一步怎么办？接下来，我们将学习如何在网页上定位元素。

* * *

* * *