# CSS 框模型

> 原文：<https://www.studytonight.com/cascading-style-sheet/css-box-model>

使用任何 HTML 标记创建的每个元素都是一个框。CSS 框模型将内容的边距、边框、填充和实际空间显示为不同的空间，这些空间共同构成任何元素。

如果使用 Chrome 浏览器，请按`Command + Option + I`(适用于 Mac OSX)和`F10`(适用于 Windows 操作系统)。

*   Now click on the `Select an Element...` icon, present at the top-left corner.

    ![Select HTML element in Chrome Developers Console](img/c949ea8a6ad563c98c47c540348a0a24.png)

*   单击上面的图标后，现在您可以选择并单击任何您想要检查的 HTML 元素。
*   For example: We chose our sidebar, and immediately you can see the HTML element appear corresponding to the element selected under the **Elements** tab and on the right side, the **CSS styling** applied to that element is displayed.

    ![Box Model for HTML element in Chrome Developers Console](img/aa99f1f008f651b9e91080639bd33315.png)

    如果您在**样式**部分向下滚动，您将在那里看到所选元素的框模型表示。

    ![Box Model for HTML element in Chrome Developers Console](img/9daaf4867688e8b68974d3666bc6ee6d.png)

    尝试将鼠标悬停在**样式**部分的框模型表示上，您将看到相同的内容将在实际元素上高亮显示。

* * *

### 什么是框模型？

框模型只不过是元素盒子的不同部分的表示。这些组件/部分包括:

*   **内容**:这是保存元素内部文本和图像的主要区域。
*   **填充**:这是元素内部*内容*周围的空白。
*   **边框**:这是内容和填充周围的边框。
*   **边距**:这是边框外的空白。

![Select HTML element in Chrome Developers Console](img/9dbd11a066992297cc04a9211f04b9f8.png)

* * *

### 元素的实际高度和宽度

当我们使用 CSS 显式指定元素的高度和宽度时，那么这个高度和宽度就是元素的内容区域。而元素实际占用的空间包括内容区域、填充、边框和边距。

```html
#myelement {
    height:200px;
    width:200px;
    padding:10px;
    margin:10px;
    border:5px solid red;
}
```

[现场示例→](/code/playground/web?file=css-box_model)

对于上面的样式，以`id`作为`myelement`的 HTML 元素必须具有定义的`200px`的宽度和高度。但是这个元素实际占用的高度和宽度会有所不同，因为填充、边框和边距也是必须考虑的。

**实际宽度**:宽度(200px) **+** 左&右边框(10px + 10px) **+** 左右边框(5px + 5px) **+** 左右边框(10px + 10px) = `250px`

**实际高度**:高度(200px) **+** 顶部&底部填充(10px + 10px) **+** 上下边框(5px + 5px) **+** 上下边距(10px + 10px) = `250px`

* * *

### 盒子阴影

就像`text-shadow`一样，属性`box-shadow`用来给整个元素框添加阴影。

**语法:**

```html
box-shadow: <horizontal-displacement> <vertical-displacement> <blur> <color>; 
```

`blur`和`color`值不是强制性的。

```html
#box-shadow {
    box-shadow: 5px 5px 5px grey;
}
```

[现场示例→](/code/playground/web?file=css-box_shadow)

* * *

* * *