# CSS 边框半径

> 原文：<https://www.studytonight.com/cascading-style-sheet/css-border-radius>

从 CSS3 开始，我们可以使用`border-radius`属性轻松地为任何元素提供圆角。

```html
p {
    background-color:orange;
    padding:10px;
    /* setting border radius */
    border-radius: 4px;
}
```

[现场示例→](/code/playground/web?file=css-border_radius_1)

* * *

### `border:radius`的语法

使用属性`border-radius`是非常直接的，你所要做的就是用`px`、`em`或`%`来指定曲率，以圆角。

**语法:**

```html
border-radius: top-left top-right bottom-right bottom-left
```

在上面的代码中，**左上角**将是左上角的取整值，类似的**右上角**将是右上角的取整值，以此类推。

我们可以跳过任何值，或者为其指定值`0`，以不绕过那个特定的角。我们还可以为所有的角设置不同的曲率。

```html
p {
    background-color:orange;
    padding:10px;
    /* setting border radius */
    border-radius: 4px 8px 12px 16px;
}
```

[现场示例→](/code/playground/web?file=css-border_radius_2)

* * *

* * *