# CSS 图像精灵

> 原文：<https://www.studytonight.com/cascading-style-sheet/css-image-sprite>

精灵是 **2D(二维)**图像，通过将多个小图像组合成一个大图像来创建。

CSS 精灵是一种通过将多个图像资源组合成一个文件来减少为它们创建的 HTTP 请求数量的方法。这将更快地加载网页，并减少用于加载多个图像的带宽。

主要是通过放入图片来设计导航栏。

**示例:**假设一个网页由图标、按钮等几个小图像组成。花费更多时间生成和加载多个服务器请求。通过使用图像精灵，我们可以减少 HTTP 请求的数量，这有助于减少负载，并提高性能。

## 实时示例:使用 CSS 创建图像精灵

在这个例子中，我们拍摄了一个由多个图标组成的图像。此图像中的每个图标都表现为一个图像。下面给出了它的实际实现及其说明:

为了使图标表现得像单独的图像，我们使用`<i>`元素。然后我们指定了`.sprite` 类，然后指定这个类里面的背景图像。然后，我们分别为每个图标指定了 CSS 属性。

## CSS 精灵的优点

*   CSS 精灵的优点如下:
*   它减少了为图像创建的 HTTP 请求的数量。
*   它减少了网页的加载时间，提高了整体性能。
*   我们可以用一个图像代替几个图像。

## 结论

CSS 精灵是一个组合图形，帮助我们显示图像的特定部分。它将多个图像组合成一个图像。包含大量图片的网页需要花费大量时间来加载，并且会产生更多的服务器请求。因此，通过使用 CSS 图像精灵，我们将减少服务器请求的数量和加载时间。

* * *

* * *