# 设计基本网页布局

> 原文：<https://www.studytonight.com/cascading-style-sheet/basic-webpage-structure>

我们现在已经走了很长的路。我们已经学习了许多 CSS 概念，可以很容易地用来设计我们的网站/网页。在本教程中，我们将学习如何设置一个带有页眉、页脚、侧边栏和正文部分的基本网页。

该网页也遵循相同的结构。我们有一个页眉，一个页脚，一个列出所有教程的侧边栏和教程所在的正文部分。

![Basic webpage layout with css](img/18ced4c493f53b3b3f630e4db3017964.png)

页眉和页脚是基本的，我们只给它提供了一个`background-color`和一些`padding`。您可以添加更多的样式，使它们看起来不同。

```html
#header, #footer {
    background-color:#EEEEEE;
    padding:15px;
}

#sidebar {
    float:left;
    width:25%;
    background-color:lightblue;
    padding: 30px 10px;
}

#sidebar ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

#sidebar li {
    padding: 6px;
    margin-bottom: 10px;
    background-color: #10A2FF;
    color: #ffffff;
}

#sidebar li:hover {
    background-color: #009AFB;
}

#content {
    width:75%;
    /*margin from left equal to width of sidebar*/
    margin-left:25%;
    padding:10px;
}

#main-body {
    overflow:auto;
} 
```

`#main-body`样式只有一个`overflow:auto;`的 CSS 属性来包含里面的浮动边栏。

我们已经在侧边栏中添加了 CSS 属性`float:left`，为了将内容和侧边栏并排，我们在内容部分添加了相当于侧边栏宽度的左边距。

[现场示例→](/code/playground/web?file=css-basic_webpage_structure)

终于！我们知道如何设置基本的网页布局。若要练习，请将边栏从左侧移动到右侧。您必须更改`#sidebar`样式的`float`属性和`#content`样式的边距属性。

* * *

* * *