# 给你的网页添加图标

> 原文：<https://www.studytonight.com/cascading-style-sheet/css-icons>

图标使您网站上的内容更加直观。通常，图标用于文本旁边的按钮、导航菜单或一些重要信息旁边。早些时候，每当有人不得不在他们的网页上使用图标时，他们会先下载图标，然后添加一个带有图标路径的`img`标签作为`src`来显示图标。

不再是了，多亏了一些惊人的图标字体，比如**字体惊人**、**谷歌素材图标**和**引导图标**，使用它们我们可以直接使用图标，而无需下载或安装任何东西。

此外，当我们下载和使用任何图标时，图标图像的大小是固定的，因此对于更大的屏幕分辨率，它将变得模糊。此外，如果你想要一个图标 3 种颜色，那么你必须下载 3 个不同的图标图像。

使用图标字体库，我们可以调整图标的大小、颜色和阴影，就像我们对网页上的任何其他文本所做的那样。

* * *

### 字体牛逼→ [网站](http://fontawesome.io/)

要在我们的网页中使用 Font awesome 库，我们需要在`head`标签中添加以下代码。

```html
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/
font-awesome.min.css">
```

上面这一行代码，包含了来自 CDN 服务器的 Font Awesome 的 CSS 文件，现在我们可以添加如下图标:

```html
<i class="fa fa-cab"></i>
<i class="fa fa-refresh fa-spin"></i>
<i class="fa fa-home"></i&
```

[现场示例→](/code/playground/web?file=css-using_font_awesome)

* * *

### 谷歌素材图标→ [网站](https://www.google.com/design/icons/)

要在我们的网页中使用谷歌材质图标库，我们需要在`head`标签中添加以下代码。

```html
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
```

上面这一行代码，包含了来自谷歌 API 服务器的谷歌材质图标的 CSS 文件，现在我们可以添加如下图标:

```html
<i class="material-icons">card_giftcard</i>
<i class="material-icons">fingerprint</i>
<i class="material-icons">place</i>
```

[现场示例→](/code/playground/web?file=css-using_google_icons)

谷歌材质图标是移动就绪的，基于安卓材质主题。

* * *

### 引导图标→ [网站](https://getbootstrap.com/docs/3.3/components/)

为了在我们的网页中使用 Bootstrap 3.x 图标库，我们需要在`head`标签中添加以下代码。

```html
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
```

上面这一行代码，包含了来自 MaxCDN 服务器的 Bootstrap Icons 的 CSS 文件，现在我们可以添加如下图标:

```html
<i class="glyphicon glyphicon-music"></i>
<i class="glyphicon glyphicon-star"></i>
<i class="glyphicon glyphicon-time"></i>
```

[现场示例→](/code/playground/web?file=css-using_bootstrap_icons)

* * *

* * *