# CSS 响应性网页设计

> 原文：<https://www.studytonight.com/cascading-style-sheet/css-responsive-web-design>

响应式网页设计是一种让网页在各种屏幕尺寸和设备(如笔记本电脑、台式机、智能手机、平板电脑等)上呈现良好的方式。任何使用**响应网页设计(RWD)** 创建的网站都可以根据查看环境自动调整**布局**和**外观**。

如今，响应布局成为任何网站最重要的功能，因为超过一半的互联网流量来自手机。假设你在手机上访问了一个网站，而这个网站只有一个桌面版本。所以，你必须一遍又一遍地向旁边滚动，才能阅读或看到一些东西。这造成了不好的用户体验，而且你也不想再访问那个网站。由于这些原因，这些网站采用了 RSW 的方法。

## 创建响应性网页

如今，有多种屏幕尺寸的设备可供选择。需要创建能够适应每种屏幕尺寸且易于访问的**网页。这样用户就不必侧着身子查看溢出的内容。**

一般可以使用 HTML 元素和 **flexbox、网格、浮动、框模型、**等 CSS 布局模块进行 CSS 布局。要创建任何网页，我们必须先**设计一个布局**。然后，通过记住这个布局，我们必须开始实现它。

### 以下是创建响应性网站的步骤:

**步骤 1:** 使用`<div>`元素创建标题。

**第二步:**然后我们使用`.row` 类创建了一行。该行分为**三段**，可以使用`.col-*`类完成。

*   第一部分是使用列表元素`<ul>`创建的菜单，菜单项是使用`<li>`元素创建的。
*   第二部分是由标题和段落组成的描述。标题使用`<h1>`元素创建，段落使用`<p>`元素创建。
*   第三部分包括我们提供的设施。在本节中，所有内容都放在**标题** ( `<h1>.....<h6>`)元素中。

**步骤 3:** 最后一部分是页脚，它是使用`<div>`元素和类`.footer`一起创建的。页脚的所有 CSS 属性都设置在`.footer`类中。

**注意:**当您在不同屏幕尺寸的设备上打开网页时，网页的布局也会根据设备的屏幕尺寸而相应改变。

### 活生生的例子

## 结论

CSS 响应网页设计使我们的网页在所有屏幕尺寸上看起来都很好，只使用 HTML 和 CSS。

* * *

* * *