# CSS 3D 变换

> 原文：<https://www.studytonight.com/cascading-style-sheet/3D-transformations>

你已经学习了 2D 变换和渐变，所以现在是时候在 CSS 中进行三维变换了。

是什么让一个物体成为 3D 的？包含 **z 轴**，没错！2D 变换和三维变换几乎是相似的，除了三维变换由于额外的 z 轴而有更多的方法。

您学习的所有 2D 变换方法也适用于三维过渡，但它们有不同的名称。检查下表。

![3D Transformations](img/71b55f0cea8a1b6e4134d4329e94a8c2.png)

除了通常的 2D 方法，CSS3 还为我们提供了以下功能:

*   平移(z)
*   播放列表(z)
*   旋转(z)
*   旋转(z)

还有一个新的属性叫做`backface-visibility`。

* * *

### `perspective`

此属性定义从视图中放置 3D 元素的像素数。此属性允许您更改如何查看三维元素的视角。

> **注意:** *为元素定义`perspective`属性时，获取透视图的是 CHILD 元素，而不是元素本身。*

此功能仅适用于三维变换。

```html
div {
    -webkit-perspective: 250px;     /* for OLDER versions */
    perspective: 250px;
}
```

* * *

### `backface-visibility`

此属性定义元素不面向屏幕时是否可见。当元素旋转时，此属性很有用，并且您不想看到元素的背面。

**语法:**

```html
backface-visibility: visible | hidden | initial | inherit;
```

*例如*

```html
div {
    -webkit-backface-visibility: hidden; */* OLDER VERSIONS */*
    backface-visibility: hidden;
}
```

适用于 2D 变换的所有其他属性(除了倾斜)对于三维变换也仍然适用。

* * *

* * *