# SASS 脚本和表达式

> 原文：<https://www.studytonight.com/sass/sass-script-and-expressions>

正如我们已经看到的，Sass/Scss 是如何通过在语法上提供许多新的特性，以变量、内置函数等形式，简化编写 css 代码的整个过程的。尽管除了上述特性之外，Sass 并不是一种成熟的编程语言，但它也支持编写简单的脚本/表达式，当 Sass 代码编译成 CSS 代码时会对这些脚本/表达式进行评估。

当我们说表达式时，我们的意思是简单的算术运算可以使用 SassScript 来执行，我们也可以使用 Sass 中可用的内置函数。我们将了解更多关于操作符、可以在 Sass 代码中使用的各种数据类型以及各种内置函数的信息，这些都将使编写样式表代码的过程变得非常简单。

## SASS 表达式

涉及加法、减法、乘法等操作的简单表达式可以在 Sass 代码中使用。例如，

```sass
$text-size: 15px;

#normal-text {
    font-size: $text-size;
}

#large-text {
    font-size: $text-size * 1.5;
}

```

正如您在上面的代码中看到的，我们使用了乘法运算符。

## SASS 函数

默认情况下，Sass 中有很多可用的函数，比如我们在 Sass 的入门教程中看到的`darken()`函数。这些功能提供了现成的方法来执行样式中的某些重要动作，如颜色变暗、颜色变亮、使用`rgb()`功能创建颜色的 Hexa 代码等。

下面是使用`darken()`功能使按钮悬停效果的紫色变暗的 Sass 代码示例。

```sass
$purple: #6A67CE;
$darkpurple: darken($purple, 15%);

.purple-btn 
{
    text-align: center;
    background-color: $purple;
} 
.purple-btn:hover
{
    background-color: $darkpurple;
}
```

## 结论:

在本教程中，我们看到了 Sass 与 CSS 的不同之处，它更像是一种编程或脚本语言，因为您可以编写大量的动态代码，并将其编译成 CSS。

* * *

* * *