# SASS 插值

> 原文：<https://www.studytonight.com/sass/sass-interpolation>

SASS 插值是一种将任何 [SASS 脚本表达式](https://www.studytonight.com/sass/sass-script-and-expressions)的结果包含到样式表中的技术。这可用于定义 SCSS 风格代码中的任何风格规则属性、动态变量名、动态函数名等。

## SASS 插值:语法

为了在样式表中包含表达式的结果或变量值，我们使用插值技术，

```sass
/* syntax for interpolation */
#{}
/* anything inside will be evaluated */
```

## SASS 插值:示例

让我们举几个例子来看看它的用法。

```sass
@mixin corner-icon($name) {
  /* using interpolation */
  .icon-#{$name} {
    background-image: url("/icons/#{$name}.svg");
  }
}

/* calling the above mixin */
@include corner-icon("mail");
```

这将被编译成下面的 CSS 代码，

```sass
.icon-mail {
  background-image: url("/icons/mail.svg");
}
```

正如我们在上面的例子中所看到的，在样式表中使用`#{$name}`的地方都会添加`$name`变量的值。

不要担心[混搭和包含 AT 规则](https://www.studytonight.com/sass/sass-mixins-and-include) ，我们将在接下来的教程中介绍它们。

## 结论:

我们可以使用这种技术来使我们的样式表更加动态，并使用 SASS/SCSS 的能力来编写更少的代码，这些代码可以评估为更多的 CSS 代码。

* * *

* * *