# SASS `@at-root`规则

> 原文：<https://www.studytonight.com/sass/sass-atroot-atrule>

SASS/SCSS `@at-root` AT 规则在 **SASS 或 SCSS** 中并不常用，但在使用选择器功能实现高级嵌套时有所帮助。我们可以将这个 AT 规则用于任何选择器(通常是定义在另一个选择器的花括号内的[嵌套选择器](https://www.studytonight.com/sass/sass-nested-rules-and-nested-properties))来将它们编译为样式表中的根选择器，而不是嵌套选择器。

> 它在文档的根位置发出文档中的所有内容，而不是使用普通的嵌套。

让我们看看它的语法，然后我们将举一个例子来帮助您理解。

## 规则:语法

下面是它的语法，

```sass
@at-root <selector> { 
    ... 
}
```

我们可以将`@at-root`写成`@at-root { ... }`，在其范围内有多个样式规则，将它们都放在文档的根目录下。

其实`@at-root <selector> { ... }`只是`@at-root { <selector> { ... } }`的简写

## SASS `@at-root`:示例

让我们看一个例子来更好地理解这一点。

```sass
div{
    margin: 0px;
    @at-root .column {
        background-color: black;
    }
}
```

编译完 **CSS 后**会是这样的:

```sass
div{
    margin: 0px;
}

.column{
    background-color: black;
}
```

假设我们从上面的 **SCSS** 中去掉`@at-root`，即

```sass
div{
    margin: 0px;

    .column{
        background-color: black;
    }
}
```

现在生成的 **CSS** 如下图所示:

```sass
div{
    margin: 0px;
}

div .column{
    background-color: black;
}
```

所以这一切都是关于 SASS/SCSS 规则。

* * *

* * *