# JavaScript 语法

> 原文：<https://www.studytonight.com/javascript/javascript-syntax>

JavaScript 有自己的语法和编程风格。语言的语法**定义了用该语言编写代码**的规则，什么是正确的方式，什么不是。在本教程中，我们将学习用 JavaScript 编写代码的基本语法。

JavaScript 使用自己的语法来创建变量、函数、语句等。但是如果你有任何编程语言的知识，比如 C、C++或 Java，那么你理解 JavaScript 的语法就不会很困难。

## 1.每个语句末尾的分号(可选)

分号用于**终止 JavaScript 代码语句**。代码语句是一行代码，我们可以通过添加一个**分号**来标记每一行代码的结尾。在 C、C++、Java 等语言中。我们在每个代码语句的末尾使用分号。

在 JavaScript 中，语句后面通常跟一个分号(`;`)，表示语句结束。

但是**没有必要在语句末尾使用分号** ( `;`)。

下面的示例显示了 JavaScript 语句的两个有效声明:

```js
var var_name = value;

var var_name = value
```

在本例中，第一条语句用分号结束，而第二条语句不用分号结束。这两个语句在 Javascript 中都有效。

## 2.JavaScript 空白和换行符

JavaScript 解释器**忽略脚本中出现的制表符、空格和换行符**，字符串和正则表达式除外。

下面我们有一个简单的代码示例，其中我们在每个代码语句后添加了一个额外的换行符，然后代码中没有任何空格。两者在 JavaScript 中都是可以接受的。

```js
var i = 10;

var j = 20;

var a = i+j; var b = i-j;
```

您可以通过使用多个空格来编写更干净、更易读的 JavaScript 代码，因为 JavaScript 会忽略多个空格。

## 3.区分大小写

JavaScript 是一种**区分大小写的**语言，这意味着所有的关键字、函数名、变量名或标识符都应该用一致的字母大小写键入。一般来说，文字应该以一个小字母开头，为了组合长名字，我们也可以使用驼色的大小写。

让我们举个例子，在下面的代码中，所有三个变量都是不同的，因为第一个变量是小写的，第二个变量以大写字母开头，第三个变量是大写的。

```js
var marks;

var Marks;

var MARKS;
```

在驼色字体中，除了单词的起始字母外，所有字母都很小，第一个字母总是很小。因此，如果我想将一个变量或函数命名为 **myfirstvariable** ，驼色的样式将是 **myFirstVariable** 。

## 4.JavaScript 注释

注释是指在执行程序时被忽略的程序中的**文本或代码。注释是**用来在代码中提供附加信息**，比如代码的描述。在代码中添加注释**被认为是**的好做法。**

类似于 C、C++等其他编程语言。，JavaScript 还定义了两种类型的注释。

*   单行注释

*   多行注释

让我们举一个例子，了解如何在我们的 JavaScript 代码中添加这些内容。

```js
<html>
<head>
    <title>JavaScript Comment Example</title>
    <script>
    // This is an single line comment and it will not be executed
    /*
        This is a multiline comment and everything written 
        inside this block will not be executed. 
    */
    var x = 10;
    var y = 2*x;
    </script>
</head>
<body>
    <!-- Some HTML code - This is HTML comment -->
</body>
</html>
```

## 5.JavaScript 语句

在任何编程语言中，语句被称为**指令，这些语句被设置为由计算机作为计算机程序执行。**

JavaScript 代码只不过是这些编程语句的列表，这些语句是值、运算符、表达式、关键字和注释的集合。

```js
<html>
<head>
    <title>JavaScript Statement</title>
</head>
<body>
        <script>
         document.write("this is a text") ;   // JavaScript statement
         var a = 10+20;    // Another Statement
         document.write(a);
        </script>
</body>
</html>
```

在本教程中，我们借助示例解释了**基本 Javascript 语法**及其用法。这将有助于您对编写 JavaScript 代码有一个基本的了解。我们将在接下来的教程中学习更多不同的 JavaScript 特性，如定义变量、使用运算符、定义函数，并将在相应的教程中介绍它们的语法。

* * *

* * *