# JavaScript 变量

> 原文：<https://www.studytonight.com/javascript/javascript-variables>

JavaScript Variable 是一个对象(或一个命名的内存空间)，它是**用来存储一个可以在程序执行过程中使用的值**。JavaScript 中的一个变量，就像其他编程语言一样，有一个**名字**，一个**值**和一个**内存地址**。

*   变量**的**名称**唯一标识变量**，

*   **值**是指存储在变量中的**数据，并且**

*   **内存地址**是指变量的**内存位置**。

换句话说，我们可以说变量是一个可以用来存储值的容器，在使用它之前你需要**声明一个变量**。

在 JavaScript 中，`var`关键字用于声明一个变量。另外，**从 ES6** 开始，我们也可以[使用`let`关键字](https://www.studytonight.com/javascript/javascript-let-keyword)来声明变量。

## 变量名的 JavaScript 规则

以下是声明变量时要记住的一些规则。

*   变量名不能包含空格。
*   变量的首字母可以是[a-z，A-Z]，美元符号(`$`)或下划线(`_`)，名字首字母后任意数字[0-9]都可以。

*   变量名区分大小写。比如:`var a`和`var A`都不一样。

*   我们可以使用`var`或`let`关键字来定义变量。

*   我们不能在 JavaScript 中使用保留字作为变量的名称。

## **声明变量的 JavaScript 语法**

以下是声明变量并为其赋值的语法。

```js
var variable_name;
// or
let variable_name;
```

我们也可以不用分号来定义变量。此外，当我们必须定义多个变量时，我们可以这样做:

```js
// declaring 3 variables together
var x, y, z;
```

正如我们已经了解到的，动态类型化是一个 [JavaScript 特性](https://www.studytonight.com/javascript/javascript-features)，所以我们不必担心指定我们将存储在变量中的值的数据类型。JavaScript 会自动检测到这一点。

### JavaScript 变量示例:

现在让我们举一个简单的例子，我们将声明一个变量，然后给它赋值。

```js
var employeeName;   // Declaring a variable

var employeeName = "Rahul";   // Declaring and assigning at the same time
```

您可以在声明变量时初始化变量或为变量赋值，也可以只声明变量并在以后初始化它。

## JavaScript:变量的类型

JavaScript 支持两种类型的变量，它们是:

*   局部变量

*   全局变量

您可以根据应用程序中的要求使用它们。让我们通过例子来了解 JavaScript 局部变量和 JavaScript 全局变量。

### 1.JavaScript 局部变量

JavaScript 局部变量是在代码块或函数体内部或循环体内部声明的变量**，它在代码块或函数内有作用域。简单来说，当在代码块或函数体中声明和定义时，局部变量的范围在左大括号和右大括号`{ }`之间。**

从 ES6 开始，在声明局部变量时建议使用`let`关键字。

让我们举个例子。

### 2.JavaScript 全局变量

JavaScript 全局变量是一个在脚本中任何地方声明的变量**，并且**有完整脚本执行**的范围。全局变量不在任何块或函数中声明，但可以在任何函数或代码块中使用。**

建议我们使用`var`关键字来声明全局变量，从 ES6 开始。

举个例子吧。

## 结论:

在本主题中，我们学习了 JavaScript 变量的概念以及 JavaScript 变量的两种类型，即局部变量和全局变量。我们还介绍了通过使用`var`关键字和`let`关键字来声明变量的两种不同语法，以及示例。

* * *

* * *