# JavaScript `for`循环

> 原文：<https://www.studytonight.com/javascript/javascript-for-loop>

循环的 JavaScript 用于多次执行特定的代码块，直到给定的条件成立，或者直到给定的 JavaScript 对象(如数组或列表)的所有元素都被完全遍历。

有些时候，我们会希望执行某项操作一定次数，例如，如果我们有一份员工的工资清单，我们必须计算他们的所得税。现在获得所得税的公式对所有员工都是一样的，所以我们可以有一个循环，用不同的输入执行代码语句。

类似地，对于像**这样打印数字的数学表**像 2 这样的用例，我们可以简单地在适当的位置有一个循环，继续将数字与 1、2、3、4 等相乘直到 10，每次递增乘法因子。

一组语句的执行次数取决于循环中提供的条件，或者如果我们使用`for`循环遍历数组、列表等，那么循环会一直执行到遍历完成。

循环语句一直执行到条件变为假。当条件变为假时，循环的执行停止。

在 JavaScript 中，有各种类型的循环。

*   for 循环

*   强制循环

*   for-of 循环

*   while 循环

*   边做边循环

在本教程中，我们将介绍前三个循环，并在下一个教程中介绍其他循环。

## JavaScript `for`循环

如果您想要执行特定次数的语句，那么您可以使用 JavaScript `for`循环，该循环允许您循环执行固定次数的语句。

`for`循环由三个语句组成:

*   **初始化**:这里循环计数器用初始值初始化。

*   **条件**:这里提供了条件语句，每次相对于计数器的值进行检查，以继续迭代。

*   **迭代**:这个语句让你决定是增加还是减少初始计数器值，也称为递增/递减。

### JavaScript `for`循环:语法

以下是`for`循环的语法:

```js
for(initialization; condition; iteration)
{
    // statements
}
```

这里的想法是**初始化一个计数器**，**设置一个条件，直到循环运行**，并且**继续增加或减少计数器**，以便在一定的迭代之后条件失败，并且循环退出。如果条件从未失败，循环将继续无限执行。

### JavaScript `for`循环:示例

让我们举个例子来看看循环是如何工作的，

## JavaScript `for...in`循环

如果你想循环一个 [JavaScript 对象](https://www.studytonight.com/javascript/javascript-objects)的属性，那么你可以使用 JavaScript `for…in`循环。for/in 循环自动遍历对象的字段，当所有字段都被迭代时，循环停止。

### 循环中的 JavaScript:语法

让我们看看在 JavaScript 中使用 for/in 循环的语法。

```js
for(key in object)
{
    // code statements
}
```

当循环运行时，每次键都将获得该键的值，使用该值我们可以在对象中访问该值。在 JavaScript 中，对象的格式为{“key 1”:“value 1”，“key 2”:“value 2”，...} for/in 循环可用于迭代 JavaScript 对象的所有字段。

### JavaScript `for...in`循环:示例

让我们举个例子来看看它是如何运作的，

## JavaScript `for...of`循环

for/of 循环的 JavaScript **允许您循环遍历可迭代对象的值，如数组、字符串等。**

### JavaScript `for...of`循环:语法

JavaScript 中 for/of 循环的语法类似于 for/in 循环的语法。

```js
for(variable of iterable)
{
    //code here
}
```

### JavaScript `for...of`循环:示例

下面是一个使用 for/of 循环遍历数组的例子。

```js
let abc = ['BMW','FERARI','VOLVO'];
let y;
for(y of abc)
{
    document.write(y+,"<br>");
}
```

在本教程中，我们解释了 JavaScript 中使用的`for`循环、循环中的**循环、**循环中的**循环。我们已经解释了如何在一个简单的 for 循环中执行语句，然后迭代 JavaScript 对象和迭代数组等。在下一个教程中，我们将学习`while`和`do...while`循环。**

另请阅读:- [用 JavaScript 构建井字游戏](https://www.studytonight.com/post/building-a-tic-tac-toe-game-in-javascript)

* * *

* * *