# JavaScript `switch`

> 原文：<https://www.studytonight.com/javascript/javascript-switch-case>

JavaScript Switch 用例用于根据一个条件从多个语句块中执行一个语句块。JavaScript `switch`是一个基于条件的语句，它有多个条件，但一次只执行一个块。

在`switch`语句中，**开关表达式**只计算一次，然后将输出与开关块中提到的每种情况进行比较，如果表达式的输出与其中一种情况匹配，则执行写入该情况的块中的语句。如果没有匹配的案例，则执行**默认**案例。

JavaScript `switch`案例用于必须实现类似菜单的系统的应用程序，在该系统中，基于用户输入采取某些动作。

## JavaScript `switch`:语法

评估条件的表达式写在 switch(表达式)内部，后面跟一个花括号，创建一个定义不同情况的 switch 块。

```js
switch(expression)
{
case 1:
    //code
    break;
case 2:
    //code
    break;
default:
}
```

根据表达式输出的值，执行许多情况中的一个，然后调用`break`语句中断执行，退出开关情况。

<u>**注:**</u> 如果我们不在 switch case 块中的代码语句之后添加`break`语句，那么解释器将在匹配的 case 之后执行每个案例。

### JavaScript 开关案例:示例

在本例中，我们使用`switch`案例，每个案例都根据提供的值执行。

在上面的例子中，我们使用了`break`语句来终止开关情况。

### 不带`break`的 JavaScript 切换案例示例

`break`语句的使用是可选的，如果我们不使用它，那么 switch case 不会终止并执行所有剩余的 case，直到匹配的 case 之后结束。请参见下面的示例:

### 默认情况下

如果开关表达式输出与任何给定情况都不匹配，则执行**默认**语句。在下面的例子中，我们展示了这个场景:

至此，我们已经介绍了 JavaScript switch 语句。虽然`if` `else`语句在大多数情况下很流行并被使用，但在某些情况下使用`switch`语句会使代码更具可读性和可伸缩性。所以明智地选择，什么时候用什么。

* * *

* * *