# JavaScript `break`和`continue`语句

> 原文：<https://www.studytonight.com/javascript/javascript-break-and-continue-statements>

JavaScript `break`和`continue`语句被称为**循环控制语句**，因为它们用于控制循环。这些语句让您可以控制 JavaScript 代码中的每个循环和`switch`语句，使您能够完全脱离循环或直接跳到下一个迭代，跳过当前正在进行的循环迭代。

无论何时需要，我们都可以通过使用`break`语句退出任何循环的执行，我们也可以通过使用`continue`语句跳过当前迭代并开始下一次迭代。

## JavaScript `break`语句

大家可能还记得`break`语句是在[开关盒](http://studytonight.com/javascript/javascript-switch-case)中引入的，这个语句也可以用在其他循环中，比如循环的[和循环](http://javascript-for-loop) [while/do-while 循环](http://studytonight.com/javascript/javascript-while-loop-and-dowhile-loop)。

让我们再次回忆一下`break`语句，`break`语句让我们脱离循环执行或任何`switch`语句，并在循环或切换结束后继续执行代码。

这里有一个简单的例子，

在上面的例子中，当变量`count`的值被 **5** 整除时，我们脱离循环，因此循环执行停止。尝试删除`break`语句，您将看到循环将被执行 10 次。

## JavaScript `continue`语句

`continue`语句可用于跳过当前循环迭代，如果满足循环条件，则跳转到下一次迭代。这是在这样的情况下使用的，对于循环执行中的某些特定条件，您想要不执行任何操作并直接跳转到下一个迭代，那么可以使用`continue`语句。

让我们举个例子，

在上面的代码示例中，每当变量`count`的值被 **2** 整除时，我们什么都不做，调用`continue`语句直接跳到循环的下一次迭代。因此，您可以看到`document.write`代码仅针对那些`count`变量的值不能被 2 整除的迭代执行，这意味着仅针对奇数。

## JavaScript 标签

通过使用 JavaScript 标签，您可以更精确地控制代码的执行流程。其中`break`和`continue`语句只能用于中断或跳过循环或切换情况下的代码块迭代，使用带有`break`和`continue`语句的**标签**可以控制任何代码块的执行。

要使用 JavaScript 标签，您必须首先定义一个标签，它只不过是一个后跟冒号(`:`)的名称，然后是您的代码。

然后 JavaScript 标签可以通过写`break`或`continue`后跟**标签 _ 名称**来使用。

让我们举个例子来理解这一点。

如上例所示，我们指定了一个名为 **EXECUTE** 的标签，然后将其与`break`语句一起使用，以指定要脱离哪个代码块。

在本教程中，我们学习了`break`和`continue`语句，这两个语句在控制循环内或循环外的代码执行流程时非常重要。

* * *

* * *