# JavaScript 弹出框

> 原文：<https://www.studytonight.com/javascript/javascript-popup-boxes>

JavaScript 提供了各种弹出框来通知、警告或获取用户的输入。弹出框阻止用户访问程序的其他方面，直到弹出框关闭，因此不应过度使用。

JavaScript 中使用了三种不同的弹出方法。

*   警告框

*   确认框

*   提示席

## JavaScript 警告框

警报对话框主要用于通过在一个小对话框中显示一些消息来通知或提醒用户。以下是它的语法:

```js
alert("YOUR MESSAGE COMES HERE");
```

让我们举个例子来看看它是如何运作的。

 `## JavaScript 确认框

一个**确认框**用于让用户进行选择。当 Javascript 弹出确认框时，用户需要点击**【确定】**或**【取消】**才能进入下一步。

此外，根据用户点击的内容，我们可以执行不同的操作。我们可以用条件逻辑来说明这一行动过程。

```js
let result = window.confirm("SOME TEXT MESSAGE");
```

当用户点击**确定**按钮时，结果变量将获得值**真**，如果用户点击**取消**按钮，结果变量将获得值**假**。

让我们举个例子，看看这是怎么回事:

 `## JavaScript 提示框

当我们想要获得一些用户输入时，可以使用 Javascript **提示框**。当 Javascript 显示一个提示框时，用户会看到一个弹出框**，其中有一个输入字段**和按钮**【确定】**或**【取消】**在输入一个输入值后继续。

以下是 JavaScript 提示框的语法:

```js
let result = prompt("SOME MESSAGE", "DEFAULT_VALUE");
```

这里**部分消息**是弹出框中显示的消息，**默认值**是输入字段中的默认值。默认值是一个**可选字段**。

提示返回的值取决于用户对对话框的具体操作。

## JavaScript 弹出框使用:

现在我们已经知道了可以在 JavaScript 中创建和使用的三个弹出框，让我们来介绍几个可以使用它们的用例。

**JavaScript Alert 框**可用于显示任何错误消息或任何帮助消息。例如，如果您执行表单字段验证，并且您发现某些字段值不正确，您可以显示带有**消息的警告框，通知用户输入不正确**。

**JavaScript Confirm box** 是确认任何重要用户动作的好方法，比如如果我们的 web 应用程序中有一个功能，当点击一个按钮时，我们会向服务器发出一个 AJAX 调用，从数据库中删除一些数据，在这种情况下，最好在点击按钮时确认一次，以便在误操作时给用户第二次机会来确认或取消请求。因此，对于重要的操作，我们应该使用确认弹出框。

**JavaScript 提示框**可用于**创建类似系统**的菜单，其中基于用户输入，使用 [JavaScript switch 语句](https://www.studytonight.com/javascript/javascript-switch-case)执行不同的动作。让我们用一个简单的代码示例来演示这一点:

在本教程中，我们介绍了 JavaScript 弹出框，如警告框、确认框和提示框。您可以使用它们来提高应用程序的响应速度。

* * *

* * *``