# JavaScript 剩余参数

> 原文：<https://www.studytonight.com/javascript/javascript-rest-parameters>

JavaScript Rest Parameters 为我们提供了一种声明函数的方法，该函数可以接受无限数量的参数，这些参数可以作为数组使用。用简单的语言，我们可以用 Rest Parameters 定义一个 JavaScript 函数，这个函数没有固定数量的参数，在被调用时可以接受任意数量的参数。

比如我想写一个泛型的 sum 函数，可以用来加任意数量的值，这意味着它应该适用于`sum(1, 2)`函数调用、`sum(1,2,3)`函数调用、`sum(1,2,3,4)`函数调用等。

## JavaScript 剩余参数语法

要使用 Rest 参数语法，我们需要在定义函数时将`...`作为前缀添加到最后一个参数的名称中。

```js
function func_name(a, b, ...restArgs) {
    // statements
}
```

当我们这样做的时候，所有额外的参数都作为一个数组提供给函数，然后可以在函数定义中访问它。

<u>**注意:**</u> 只有**最后一个参数**可以是 Rest 参数。

让我们举几个例子，看看剩下的参数是如何起作用的。

## JavaScript 剩余参数示例:

在第一个例子中，我们将有一个函数，它将采用一个简单的参数和一个 rest 参数。请参见下面的示例:

当调用`test()`函数时，尝试提供不同的值作为参数。此外，我们可以为 rest 参数提供单个参数值或不提供参数值，在这种情况下，数组将只有一个值，我们将在函数内部得到一个空数组。

我们再举一个例子，我们将有一个只有 rest 参数的函数。

```js
function sortValues(...theArgs) {
    // using Array method on rest params
    let sortedArgs = theArgs.sort();
    return sortedArgs;
}

console.log(sortValues(11,2,5,13,1,9));
```

【1，2，5，9，11，13】

在上面的例子中，我们有一个接受单个 rest 参数的函数。还有，由于 rest 参数只是一个数组，所以所有的**数组方法都可以在上面使用**。

* * *

* * *