# JavaScript 导航器对象

> 原文：<https://www.studytonight.com/javascript/javascript-navigator-object>

JavaScript Navigator Object 用于获取与浏览器(useragent)相关的信息，如浏览器名称、浏览器版本、操作系统信息等。

JavaScript Navigator 对象也是 [JavaScript Window 对象](https://www.studytonight.com/javascript/javascript-window-object)的属性，可以使用当前浏览器窗口的只读属性`window.navigator`进行访问。

在 JavaScript 中，导航对象包括一些属性和方法，帮助我们从一个元素导航到另一个元素。

### 导航器对象属性

导航对象的属性是在导航对象内部创建的变量。

我们可以通过如下方式访问导航器对象属性:**导航器.属性名称**，其中**属性名称**是属性的名称。

| **属性** | **描述** |
| --- | --- |
| appcodename | 指定浏览器的代码名(*实验属性-可能返回不正确的值*) |
| 应用名称 | 指定浏览器的名称(*实验属性-可能返回不正确的值*) |
| 应用版本 | 指定正在使用的浏览器版本(*实验属性-可能返回不正确的值*) |
| 烹饪启用 | 指定浏览器中是否启用 cookies |
| 平台 | 包含一个字符串，该字符串指示为其编译浏览器的计算机类型。 |
| 用户代理 | 包含一个字符串，代表客户端以 HTTP 协议发送给服务器的**用户代理头**的值 |
| 地理定位 | 返回地理位置对象，该对象可用于获取设备的位置信息。 |
| 在线的 | 指定浏览器是否在线。 |
| 语言 | 返回具有首选浏览器语言的字符串，例如，英语为 **en-US** 。 |
| 语言 | 按照用户首选项的顺序返回包含浏览器支持的所有语言的字符串。 |

在 Navigator 对象中有更多的实验属性，但是上面提到的是最常用的属性。

让我们看一个代码示例，其中一些属性正在运行。

## 导航器对象方法

Navigator 对象没有很多标准化的方法，大多数可用的方法都是实验性的。

| 方法名 | 描述 |
| --- | --- |
| `registerProtocolHandler()` | 允许网站将自己注册为协议处理程序，以便允许它们打开一些标准的 URL 方案，如 **mailto:** 、 **tel:** 、 **sms:** 等， |
| `share()` | 用于利用浏览器中提供的本地共享支持。 |
| `sendBeacon()` | 用于从客户端向服务器发送小数据包 |
| `vibrate()` | 如果支持，这可以用来使设备振动，如果不支持，什么都不会发生。这在移动浏览器中很有用。 |

## 导航器对象的使用:

navigator 对象可用于多个特定的用例，这些用例可以帮助您改善网站，例如:

1.  通过为不同的浏览器编写特定的代码来解决兼容性问题，从而使您的 web 应用程序或网站更加**兼容不同的浏览器**。

2.  您可以检查浏览器是否在线，如果浏览器与互联网断开连接，则显示**一些消息。**

3.  可以使用用户的位置信息**显示位置特定内容**。

4.  如果您的网站支持多种语言，您可以**将首选语言**设置为网站语言。

以上所提到的这些都可以从多方面改善你网站的用户体验。

* * *

* * *