# JavaScript 位置对象

> 原文：<https://www.studytonight.com/javascript/javascript-location-object>

JavaScript Location 是一个内置的接口(对象类型)，表示它所连接的对象的位置(URL)。[窗口对象](https://www.studytonight.com/javascript/javascript-window-object)和[文档对象](https://www.studytonight.com/javascript/javascript-document-object)都具有该属性。窗口对象位置属性让我们可以访问浏览器窗口的位置，而文档位置属性让我们可以访问特定文档的位置对象。

用于获取当前网址的信息。位置对象还允许您导航到另一个网页。

假设我们想要获取当前网站的主机名，那么我们可以使用位置对象的`hostname`属性。请参见下面的示例:

定位对象有许多不同的属性，也有许多方法。

## JavaScript 位置对象属性

JavaScript Location Object 有许多属性，我们可以使用这些属性来访问网页 URL 的各种组件，甚至更改它。

以下是位置对象的一些常用属性:

| **属性** | **描述** |
| --- | --- |
| 超链接 | 表示指定整个网址的字符串，例如 http://www.javascriptstudytonight.com:80/order.cgi?批次= 1 #简介 |
| 草案 | 表示 URL 开头到第一个冒号(:)的字符串，它指定访问 URL 的方法，例如 http:或 https: |
| 宿主 | 表示由主机名和端口字符串组成的字符串，例如:-www.javascriptstudytonight.com:80 |
| 主机名 | 表示 URL 的服务器名、子域和域名(或 IP 地址)，例如 www.javascriptstudytonight.com |
| 港口 | 表示指定服务器使用的通信端口的字符串，例如 80 |
| 路径名 | 表示 URL 的字符串部分，指定如何访问特定资源，例如 |
| 搜索 | 表示以问号开头的字符串，用于指定 HTTP URL 中的任何查询信息，例如 batch=1 |
| 混杂 | 表示以哈希(#)开头的字符串，该字符串指定 HTTP URL 中的锚名称，例如#intro |

让我们举个例子，了解一下 Location 对象的属性。

现在让我们看看位置对象的方法。

## JavaScript 定位对象方法

位置对象方法是指在位置接口内部创建的函数，可用于对网址执行各种操作，如重新加载、更改等。

| 方法 | 描述 |
| --- | --- |
| `assign()` | 在浏览器中加载新文档 |
| `reload()` | 重新加载 location.href 属性中包含的当前文档。 |
| `replace()` | 用指定的新文档替换当前文档。此外，您不能使用浏览器的后退按钮导航回上一个文档。 |

要加载新文档，我们可以使用定位对象的`assign()`方法。但是在这个例子中，我们也使用了`href`属性和`replace()`方法。它们都可以用来加载文档。请参见下面的示例:

* * *

* * *