# JavaScript 屏幕对象

> 原文：<https://www.studytonight.com/javascript/javascript-screen-object>

JavaScript Screen 是一个内置的接口(对象类型)，用于获取与当前窗口在其上呈现的浏览器屏幕相关的信息。

它提供有关显示屏尺寸的信息，如高度、宽度、颜色位等。

由于窗口对象位于作用域链的顶部，属性`window.screen`给出了 screen 对象，但是也可以在不指定窗口的情况下访问 Screen 对象，在这种情况下，JavaScript 会自动检测浏览器窗口，该窗口是由 JavaScript Runtime Engine 创建的。

让我们举一个简单的例子来看看屏幕对象的工作。

### 查找屏幕的高度和宽度:

在下面的例子中，我们使用屏幕对象来获得屏幕的宽度和高度:

## JavaScript 屏幕对象属性

JavaScript Screen 对象包括一些用于获取浏览器屏幕信息的属性。下面给出了这些属性的表格。

| **属性** | **描述** |
| --- | --- |
| 可用高度 | 指定屏幕高度，不包括 windows 任务栏 |
| 可用宽度 | 指定屏幕宽度，不包括 Windows 任务栏 |
| 颜色深度 | 指定显示图像的调色板深度(以位为单位) |
| 高度 | 指定屏幕的总高度 |
| 像素深度 | 指定屏幕的颜色分辨率，以每像素位数为单位 |
| 宽度 | 指定屏幕的总宽度 |

现在，我们将举一个例子来澄清屏幕对象属性的概念:

![](img/9657e611cca91f6a7ae704d59736e4c2.png) ![](img/9657e611cca91f6a7ae704d59736e4c2.png)屏幕对象**颜色深度**属性是用于表示单个像素颜色的位数。它返回用于显示图像的调色板的位深度。

### JavaScript 屏幕对象方法

Screen 方法对象中没有直接方法。

### 屏幕对象的用途

JavaScript Screen 对象可用于通过基于屏幕大小控制网络应用或网站的用户界面来改善用户体验。

* * *

* * *