# JavaScript `globalThis`对象

> 原文：<https://www.studytonight.com/javascript/javascript-globalthis-object>

现在 **JavaScript** 在不同的环境下使用。除了 web 浏览器(这是 JavaScript 最常见的主机环境类型)之外，我们还可以在服务器、智能手机、机器人硬件等中运行我们的 JavaScript 程序。

**每个环境**由它的**对象模型**组成，并且有一个**不同的语法**用于**访问全局对象**。众所周知，网络浏览器中的全局是一个窗口。

同样，每个环境都有自己的全局对象，比如在 **node.js** 中，**全局关键字**用于访问**全局对象**， **web workers** 使用 self 作为**全局对象**。

在不同环境中引用全局对象的不同方式使得开发人员很难编写一个可以在多个平台上执行的 JavaScript 代码。

为了克服所有这些问题，`globalThis`对象是在它的帮助下引入的，我们可以**在**多个环境**上执行 JavaScript 代码**。

在 **globalThis 对象**的帮助下，我们可以在**窗口**甚至**非窗口上下文**上执行我们的代码，而无需像以前那样编写额外的检查和测试。

在大多数环境中，`globalThis`直接指的是那个环境的**全局对象**。

一般来说，这个**对象**在我们不知道**我们的代码将在哪个环境中执行**或者当我们想要使我们的代码在不同的环境中可执行时非常有用。

如果我们想在不支持 **globalThis object** 的旧浏览器中使用这个特性，那么我们必须使用 **polyfill** 。

### 句法

```js
globalThis.[variable]= data
```

### 示例:全局此关键字

在这个例子中，我们已经**全局保存了**我们的**数据**，并且**用**`globalThis`对象**检索**。

```js
<!DOCTYPE html>
<html>
<head>
	<title>globalThis object</title>
</head>
<body>
	<script>
		function setGlobalData() {
		globalThis.mydata ='Hello World';
		}
		setGlobalData();
		console.log(globalThis.mydata ); 
	</script>
</body>
</html>
```

### 输出

![output](img/fb5f936c6aa3c6081e785c080bf88413.png)

## 支持的浏览器

*   铬
*   边缘
*   火狐浏览器
*   歌剧
*   旅行队

### 结论

在本模块中，我们了解了 **globalThis object** ，该对象在 **ECMA 脚本 2020** 中介绍，也称为 **ES11** 或 **ES2020** 。**`globalThis`对象**在创建**跨平台**代码时使用，这意味着代码将在不同的 JavaScript 环境下执行。

* * *

* * *