# ECMAScript 2019 或 ES10 简介

> 原文：<https://www.studytonight.com/javascript/introduction-to-ecmascript-2019-or-es10>

**ECMAScript** (ES)是由 **ECMA 国际**在 **ECMA-262** 中标准化的**脚本语言**。ECMAScript 的创建是为了标准化 JavaScript，以提供跨多个浏览器的网页互操作性。ECMA 剧本的新版本每年都会发布，有一些令人兴奋的新功能。

**ECMAScript 2019** 是 ECMAScript 的**第十版**，也称为 **ES10** 或 **ES2019** 。这个版本引入了一些方法和功能，允许开发人员编写更少的代码和做更多的工作。

ECMAScript 中引入的特性如下:

*   Array.flat()
*   Array.flatMap()
*   Object.fromEntries()
*   String.trimStart()和 String.trimEnd()
*   可选捕获绑定
*   符号.描述

我们将在本模块的后面讨论它们。让我们开始吧。

## Array.flat()

  `Array.flat()` 是用来**压平一个阵**的方法。但是，在某些情况下，数组的元素也是数组。这些类型的数组也被称为**嵌套数组**。以前，我们必须使用递归对这些类型的数组进行排序。但是现在，我们可以使用 `flat()` 方法对嵌套数组进行排序。

### 句法

```js
arr.flat(|depth|);
```

## Array.flatMap()

`array.flapMap()`方法由两种方式的功能组成**平铺**和**映射**。它的功能就像一个地图，但它也平坦的阵列。

该方法首先使用**映射函数**映射每个**元素**，然后**展平嵌套数组**得到一个新数组。这个函数可以在数组上实现，并以回调作为参数。回调决定如何展平(排序)数组。

这个方法可以**将**深度** **一**的数组**展平，只是因为在内部，一个贴图函数被深度为 1 的展平函数调用。

### 句法

```js
arr.flatMap(callback);
```

## Object.fromEntries()

`Object.fromEntries()` 方法由 **ECMAScript 2019** 推出。在 ES7 中，有一种`object.entries()`方法，将对象**键值**对转换成**数组。**`Object.fromEntries()`法是`Object.entries()`法的**逆**。

`Object.fromEntries()`方法用于从给定的**键值对**形成**对象**。该方法将键值对的**列表转换为**对象**，该对象的属性由条目决定。**

### 句法

```js
Object.fromEntries(Iterable);
```

## String.trimStart()和 String.trimEnd()

ES10 为字符串类引入了两种新方法。这两种方法用于从给定的**字符串**中删除**多余的空格**。下面给出了这两种方法:

*   string . trimstart()
*   String.trimEnd()

`String.trimStart()` 方法从字符串的开头移除多余的空白。

### 句法

```js
String.trimStart();
```

`Strim.trimEnd()`方法用于去除字符串末尾多余的空白。

### 句法

```js
String.trimEnd();
```

## 可选捕获绑定

以前，不管有没有必要，我们都必须将异常变量绑定到 **catch 子句**。所以很多时候观察到**抓挡**只是多余的。但是 ECMAScript 10 引入了**可选的 catch binding** ，允许我们使用**尝试**和 **catch block** 而无需**错误变量绑定**。

**注意:**捕捉误差变量在 ES10 中是可选的。

## 符号.描述

在 JS 中创建**符号**的同时，我们可以添加一个**描述**，用于**调试目的**。但是访问这个描述是相当棘手的。要通过**访问**指定的**描述**，我们必须使用 `toString()` 方法再次构建**符号**。

ECMAScript 2019 引入了一个新的只读属性，称为**描述**。此属性用于返回符号的描述。

## 结论

在本课中，我们学习了 ECMA 脚本 2019 (ES10)中引入的新功能。我们将在接下来的文章中详细解释每一个。

* * *

* * *