# JavaScript `Array.flat()`方法

> 原文：<https://www.studytonight.com/javascript/javascript-arrayflat-method>

在几种情况下，数组的元素也是数组。这些类型的数组被称为嵌套数组。

以前，我们必须使用递归来对这些类型的数组(嵌套数组)进行排序，这是相当繁琐的。所以，为了让这个过程更容易，ECMA 脚本 2019 (ES10)引入了一个新的方法，称为`Array.flat()`。

`Array.flat()` 法用于**压平一个阵**。借助这个方法，我们可以将**的**解嵌套(展平)**嵌套数组**在一条直线内。

展平数组是深度为 0 的数组。flat 方法接受一个参数，一个代表数组深度的数字。深度是数组中嵌套数组的数量。

### 句法

```js
Array.flat(depth);
```

### 返回类型

*   它返回一个扁平数组。

### 因素

*   参数**深度**是可选的。
*   **深度级别**指定嵌套数组结构应该取消嵌套(展平)的深度。
*   **深度**参数的**默认值**为 **1** 。

### 例 1

在 JavaScript 中，数组的深度可以是无限的。给定阵列的深度为**3**。我们已经把**这个阵压平了**直到**深度 2** 。所以主数组里面还是有一个嵌套数组。

```js
var num = [1, [2, [3, [4, ]]]];

console.log(num.flat(2));  // output [1,2,3, Array(1)]
```

### 例 2

 在给定的示例中，我们使用**深度 4** 的 **var** 关键字创建了一个**嵌套数组** arr。该数组由**字母作为其元素**组成，但采用嵌套数组的形式。所以，我们要用`flat()` 的方法去**解嵌套**这个数组。

```js
<!DOCTYPE html>
<html>
<head>
	<title>Array.flat()</title>
</head>
<body>
	<script type="text/javascript">
		var arr = ["S", "T", ["U", "D", "Y", ["T", "O", "N", ["I","G", ["H", "T"]]]]];
		/* Flatten till depth 2*/
		console.log(arr.flat(2));

		/* Flatten till depth 3*/
		console.log(arr.flat(3));

		/* Flatten till depth 4*/
		console.log(arr.flat(4));
	</script>
</body>
</html>
```

### 输出

在给定的输出中，有**三个数组**。当我们让**将阵列**展平至 2 的**深度时，会出现**第一个阵列**。**

**第二阵**出现在我们**将阵**压平到**深度 3** 的时候，而**第三阵**出现在我们**将阵**压平到**深度 4** 的时候。

![output](img/b79b3b7bcdf5285fda5d1c64d2539ed3.png)

### 结论

这节课，我们学习了 **ECMA 剧本 2019** 或 ES 10 中介绍的`array.flat()`。此方法用于将**平铺****嵌套数组**在一条直线上。

* * *

* * *