# JavaScript `trimStart()`和`trimEnd()`方法

> 原文：<https://www.studytonight.com/javascript/javascript-trimstart-and-trimend-method>

之前，我们不得不使用`String.trim()`方法(在 ES5 中引入)来**从**字符串**中移除****空格**。它删除了两边(开始和结束)多余的空白。但是，如果我们只想从某个特定的方面删除空白呢？

所以，为了解决这个问题， **ECMAScript 2019** 或 **ES10** 引入了两个新功能，如下所示:

*   string . trimstart()
*   String.trimEnd()

让我们详细讨论每一个。

## 弦`trimStart()`法

顾名思义，`String.trimStart()`方法**从**字符串**的**开始**处修剪****空白**。空白字符可以是空格、制表符等。

### 句法

```js
trimStart()
```

### 返回值

*   返回的新字符串开头没有空格。
*   如果字符串的开头没有空格，则仍会返回一个新字符串，而不会引发错误。

### 例 1

在本例中，我们将使用`trimStart()`方法**修剪****空格**，该空格出现在字符串的开头。

```js
<!DOCTYPE html>
<html>
<head>
	<title>String.trimStart()</title>
</head>
<body>
	<script type="text/javascript">
		const message = '        Welcome to Studytonight.';
		console.log(message);
		console.log(message.trimStart()); 
	</script>
</body>
</html>
```

### 输出

我们首先在不使用 **trimStart()** 方法的情况下打印字符串**，然后使用 trimStart()** 方法打印字符串**。**

![output](img/94f5c5a89e2ad65d4c5f57d5653d200a.png)

## 弦`trimEnd()`法

`String.trimEnd()`方法从**字符串**的**末端**移除**空白**。`trimRight()`方法是此方法的**别名**。

### 句法

```js
trimEnd()
```

### 返回值

*   返回一个新字符串，其末尾没有空格。
*   如果字符串末尾没有空格，则仍会返回一个新字符串，而不会引发错误。

### 例 2

在给定的示例中，我们创建了一个字符串，并在它的末尾指定了额外的空白。我们使用`trimEnd()`方法**移除**多余的**空格**，该空格出现在字符串的**末端。**

```js
<!DOCTYPE html>
<html>
<head>
	<title>String.trimEnd()</title>
</head>
<body>
	<script type="text/javascript">
		const message = 'Welcome to Studytonight.          ';
		console.log(message);
		console.log(message.trimEnd()); 
	</script>
</body>
</html>
```

### 输出

![output](img/887f31fd1ab8b827abbf6bdb98396789.png)

### 结论

在这一课中，我们学习了两种新的弦乐方法:`trimStart()`和`trimEnd()`。`trimStart()`方法用于修剪字符串开头的空白，而`trimEnd()` 方法用于移除字符串结尾的空白。

* * *

* * *