# PHP 简介

> 原文：<https://www.studytonight.com/php/introduction-to-php>

PHP 是 web 开发中最广泛使用的服务器端脚本语言之一。像脸书、雅虎、维基百科等热门网站以及我们自己的《今夜研究》都是使用 PHP 开发的。

PHP 之所以如此受欢迎，是因为它在服务器上学习、编码和部署非常简单，因此几十年来一直是初学者的首选。

在本教程系列中，我们将涵盖 Php 语言从基础到高级的所有重要概念，还将为初学者分享一些现成的、有用的代码片段，以启动他们的 web 开发项目。

* * *

## PHP 是什么？

PHP 代表**超文本预处理器**。PHP 是一种脚本语言，用于开发静态和动态网页和网络应用程序。下面是一些关于 PHP 的重要知识:

1.  PHP 是一种解释语言，因此它不需要编译器。
2.  为了运行和执行 PHP 代码，我们需要一个必须安装 PHP 的网络服务器。
3.  PHP 是一种服务器端脚本语言，这意味着 PHP 在服务器上执行，结果以纯 HTML 格式发送到浏览器。
4.  PHP 是开源和免费的。

* * *

## 从 PHP 开始的先决条件

虽然我们将在本教程系列中涵盖所有与 PHP 相关的概念，但是在开始本教程之前，您必须对 **HTML** 有一个基本的了解。

您可以使用我们的 [HTML 互动课程](/code/html)学习 HTML，该课程也有印地语版本。

* * *

## PHP 是正确的语言吗？

如果您仍然不知道是否应该学习 PHP，或者 PHP 是否是适合您的网络项目的语言，那么这里我们列出了 PHP 语言的一些特性和用例，这将帮助您了解 PHP 脚本语言是多么简单而强大，以及您为什么应该学习它。

1.  PHP 是**开源的**和**免费的**，因此你可以免费下载、安装并开始使用它进行开发。
2.  PHP 有一个非常**简单易懂的语法**，因此与其他脚本语言如 [JSP](/jsp/introduction-to-jsp.php) 、ASP 等相比，学习曲线更小。
3.  PHP 是**跨平台**，因此您可以轻松地开发和移动/部署您的 PHP 代码/项目到几乎所有的主要操作系统，如视窗、Linux、苹果 OSX 等。
4.  所有流行的**网络托管服务都支持 PHP** 。此外，PHP 的网络托管计划通常是最便宜的计划之一，因为它很受欢迎。
5.  像 **Joomla** 、 **Drupal** 等流行的内容管理系统都是用 PHP 开发的，如果你想创建自己的网站，比如《今夜研究》，你可以用 PHP 轻松实现。
6.  使用 PHP，您可以创建静态和动态网页，执行文件处理操作，发送电子邮件，访问和修改浏览器 cookies，以及您可能希望在 web 项目中实现的几乎所有其他功能。
7.  与 JSP 和 ASP 等其他脚本语言相比，PHP 的速度更快。
8.  PHP 内置了对 **[的支持，MySQL](php-with-mysql)** ，是应用最广泛的数据库管理系统之一。

这些是 PHP 的一些主要特性，当你学习这门语言时，你会意识到除了这些特性之外，

* * *

## PHP 的使用

为了进一步巩固您对 PHP 的信任，下面是这种惊人的脚本语言的一些应用:

1.  可以用来**创建网络应用**像社交网络(脸书，Digg)，博客(Wordpress，Joomla)，电商网站(OpenCart，Magento 等)。)等。
2.  **命令行脚本**。您可以编写 PHP 脚本在任何机器上执行不同的操作，您需要的只是一个 PHP 解析器。
3.  **使用脸书的 PHP SDK，创建脸书应用程序**并在您的网站中轻松集成脸书插件。更多信息请查看[链接](https://developers.facebook.com/docs/reference/php)。
4.  **发送电子邮件**或构建电子邮件应用程序，因为 PHP 提供了强大的电子邮件发送功能。
5.  Wordpress 是世界上使用最多的博客(CMS)平台之一，如果你懂 PHP，可以试一试 **Wordpress 插件开发**。

* * *

* * *