# PHP 中的变量

> 原文：<https://www.studytonight.com/php/variables-in-php>

当我们想在电脑/笔记本电脑上存储任何信息(数据)时，我们会将其存储在电脑的内存空间中。我们的操作系统没有记住存储数据的内存空间的复杂地址，而是为我们提供了一个创建文件夹、命名文件夹的选项，这样我们就更容易找到并访问它。

同样，在任何编程/脚本语言中，当我们想要在程序/脚本中使用一些数据值时，我们可以将其存储在内存空间中，并命名内存空间，以便更容易访问它。内存空间的名字叫做**变量**。

在 PHP 中，变量是用`$`符号声明的，后跟变量名。

**语法:**

```php
<?php
    $variableName = value;
?>
```

* * *

## 创建变量

在下面的例子中，我们已经创建了不同类型的变量:

```php
<?php
    $str = "I am a string";
    $int = 4;
    $float = 3.14;
    // You can name your variable anything
    $wow = "Wow!";
?>
```

在 PHP 中，您不必先声明变量，然后使用它，就像在 [Java](/java/overview-of-java.php) 、 [C++](/cpp/introduction-to-cpp.php) 等中一样，但是在 PHP 中，变量是在您为其赋值时创建的，就像 [Python](/python/getting-started-with-python) 一样。

此外，在 PHP 中，我们不必指定将存储在变量中的数据类型。您可以创建一个变量并在其中保存任何类型的数据。因此，PHP 是一种非常松散类型的语言。

* * *

## 在 PHP 中创建变量的规则

在这里，我们有几个基本规则，在 PHP 中创建变量时，您必须记住这些规则。所有的规则都用简单的例子来解释。

1.  变量名总是以`$`符号开头，后面跟着变量名。
2.  变量名不应以数值开头。它可以以字母或下划线符号`_`开头。

    ```php
    <?php
        $var = "I am a variable";
        $_var = 5;
        // Invalid variable name
        $7var = "I am a variable too";
    ?>
    ```

3.  变量名只能包含字母、数字和下划线符号`_`。
4.  Variable names in PHP are case-sensitive, which means `$love` is not same as `$Love`.

    ```php
    <?php
        $car = "Jaguar E-Pace";
        echo "My favorite car is $car";
        // below statement will give error
        echo "I love $Car";
    ?>
    ```

    我最喜欢的车是捷豹 E-Pace 注意:未定义变量:汽车

* * *

* * *