# PHP `echo`和`print`函数

> 原文：<https://www.studytonight.com/php/php-echo-and-print>

在本教程中，我们将学习 PHP 最重要的两种方法，它们不是 PHP 语言的内置函数，而是**语言构造**。

```php
<?php
    echo "Hello, I am a language construct";
?>
```

你一定在想，**什么是语言构造？**一个语言构造按原样被 PHP 解析器接受/执行，换句话说，PHP 解析器不必解析和修改一个语言构造来执行它，因为默认情况下它已经准备好执行了。因此，语言构造比任何内置函数都要快。

* * *

## PHP Echo

`echo()`功能用于打印或输出一个或多个字符串。我们在这里特别提到了`string`，因为`echo`函数的语法是:

```php
echo(string)
```

虽然可以使用`echo()`函数输出任何东西，因为 PHP 解析器会自动将其转换为`string`类型。

`echo`不需要括号，虽然如果愿意可以用括号。

```php
<?php
    echo "I am open";
    echo ("I am enclosed in parenthesis");
?>
```

我是开放的，我被括在括号里

* * *

### 时间为例

我们来看几个常用`echo`的用例。

#### 打印基本句子

我们已经讨论过多次了，仍然:

```php
<?php
    echo "I am a sentence";
?>
```

我是一个句子

* * *

#### 使用逗号`,`打印多个字符串

以下是如何使用多个字符串作为`echo`的参数。

```php
<?php
    echo 'This','is','a','broken','sentence';
?>
```

这是一个断句

* * *

#### 打印多行文本(字符串)

```php
<?php
    echo "This is a
     multiline sentence
     example";
?>
```

这是一个多行句子的例子

* * *

#### 打印字符串变量

```php
<?php
    $str = "I am a string variable";
    echo $str;
?>
```

我是一个字符串变量

* * *

#### 打印包含一些文本的字符串变量

下面我们已经解释了当我们在`echo`中使用带有一些纯文本的`string`变量时，如何使用**双引号**和**单引号**导致不同的输出。

```php
<?php
    $weird = "Stupid";
    echo "I am $weird";
    echo 'I am $weird';
?>
```

我很蠢，我很奇怪

如您所见，当我们使用**双引号**时，字符串变量的值会被打印出来，而如果我们使用**单引号**，变量会按原样打印出来。

* * *

#### 转义特殊字符

如前例所示，`echo`需要一个**双引号**来确认要打印的内容。但是如果你也想打印**双引号**呢？在这种情况下，我们使用**转义序列**来转义特殊字符的特殊含义。在 PHP 中，反斜杠`\`用于转义特殊字符。

下面我们有一个简单的例子:

```php
<?php
    echo "Hello, this is a \"beautiful\" picture";
?>
```

你好，这是一张“美丽”的照片

可以看到，输出中打印了**双引号**。

* * *

### PHP 打印

PHP `print`和`echo`一模一样，语法相同，用法相同。在以上所有示例中，只需将`echo`替换为`print`，它们就会正常工作。

* * *

* * *