# PHP 5 中的数据类型

> 原文：<https://www.studytonight.com/php/datatypes-in-php>

PHP 数据类型指定了 PHP 语言支持的不同数据类型。PHP 总共支持 8 种数据类型，分为 3 种主要类型。它们是:

1.  **标量类型** : `boolean`、`integer`、`float`和`string`。
2.  **化合物类型** : `array`和`object`。
3.  **特殊类型** : `resource`和`NULL`。

让我们逐一介绍 PHP 中所有不同类型的数据类型。

* * *

## PHP 布尔值

一个布尔数据类型可以有两个可能的值，或者**真**或者**假**。

```php
$a = true;
$b = false;
```

**注:**这里的值`true`和`false`没有括在引号内，因为它们不是字符串。

* * *

## PHP 整数

整数数据类型用于存储 2，147，483，648 到 2，147，483，647 范围内的任何非十进制数值。

整数值可以是负数或正数，但不能有小数。

```php
$x = -2671;
$y = 7007;
```

* * *

## PHP 浮点

浮点数据类型用于存储任何十进制数值。

浮点值也可以是负值或正值。

```php
$a = -2671.01;
$b = 7007.70;
```

* * *

## PHP 字符串

PHP 中的字符串数据类型，通常是包含在引号中的一系列字符(或者任何字符，也可以是数字和特殊字符)。您可以使用单引号或双引号。

```php
$str1 = "Hello";
$str2 = "What is your Roll No?";
$str3 = "4";

echo $str1;
echo "<br/>";
echo $str2;
echo "<br/>";
echo "Me: My Roll number is $str3";
```

你好，你的号码是多少？我:我的号码是 4

* * *

## PHP NULL

空数据类型是一种特殊的数据类型，表示**无**。它只能有一个值，那就是`NULL`。

如果你创建了任何变量，但没有给它赋值，它会自动存储`NULL`。

同样，我们可以使用`NULL`值来清空任何变量。

```php
// holds a null value
$a;
$b = 7007.70;
// we can also assign null value
$b = null;
```

* * *

## 数组、对象和资源数据类型

我们将在后面研究这些数据类型，因为它们是高级数据类型，需要更好地理解 PHP 基础知识。

* * *

* * *