# PHP 常量

> 原文：<https://www.studytonight.com/php/php-constants>

常量是[变量](variables-in-php)，其值不能改变。换句话说，一旦为常数设置了值，就不能更改它。

在 PHP 中，有两种方法来定义常数:

1.  使用`define()`方法。
2.  使用`const`关键字。

另一个需要记住的非常重要的一点是，在给一个常数命名时，**我们不必用** `$`符号来命名这个常数。

* * *

## 使用`define()`

下面是使用`define()`函数创建常数的语法。

```php
define(name, value, case-insensitive)
```

**参数**:

1.  `name`:常量的名称
2.  `value`:常量的值
3.  `case-insensitive`:指定常量名称是否区分大小写。它的默认值是`false`，这意味着默认情况下，常量名称区分大小写。

* * *

### 举个例子

下面我们有一个简单的例子，其中我们没有提到参数**不区分大小写**，因此它将自动采用默认值。

```php
<?php
    define(OMG, "Oh! my God.");
    echo OMG;
?>
```

哦！我的上帝。

对于上面的常量定义，如果我们尝试使用下面的语句，我们会得到一个错误，因为常量`OMG`是区分大小写的。

```php
<?php
    define(OMG, "Oh! my God.");
    echo omg;
?>
```

天啊

`echo`会将其视为一个字符串，并按原样打印出来，其中有一个微妙的 **NOTICE** 表示字符串变量没有定义。

现在让我们看另一个例子，我们将指定**不区分大小写的**参数。

```php
<?php
    define(OMG, "Oh! my God.", true);
    echo omg;
?>
```

哦！我的上帝。

* * *

## 使用`const`关键字

我们也可以使用`const`关键字在 PHP 中定义常量。但是我们只能使用`const`关键字来定义标量常量，即只能定义整数、浮点数、布尔值和字符串，而`define()`也可以用来定义数组和资源常量，尽管它们并不经常使用。

* * *

### 举个例子

```php
<?php
    const OMG = "Oh! my God.";  
    echo OMG;
?>
```

哦！我的上帝。

当我们使用`const`关键字定义常数时，常数名称总是区分大小写的。

* * *

* * *