# PHP `if`，`else`和`else if`条件语句

> 原文：<https://www.studytonight.com/php/php-if-else-elseif>

在编写程序/脚本时，会有这样的场景:如果满足某个条件，您只想执行特定的语句**。在这种情况下，我们使用**条件语句**。**

在 PHP 中，有 4 种不同类型的条件语句。

1.  `if`陈述
2.  `if...else`陈述
3.  `if...elseif...else`陈述
4.  [`switch`](php-switch-statement) 语句

我们将在下一个教程中介绍`switch`语句。

* * *

## `if`声明

当我们想要在条件为**真**时执行一些代码时，我们使用`if`语句。

**语法:**

```php
if(condition)
{
    // code to be executed if 'condition' is true
}
```

这里有一个简单的例子，

```php
<?php

$age = 20;

if($age <= 25)
{
    echo "You are not allowed to consume alchohol";
}
?>
```

* * *

## `if...else`声明

当我们想要在条件为**真**时执行一些代码，当条件为**假**时执行一些其他代码时，我们使用`if...else`对。

**语法:**

```php
if(condition)
{
    // code to be executed if 'condition' is true
}
else 
{
    // code to be executed if 'condition' is false
}
```

这里有一个简单的例子，

```php
<?php

$age = 26;

if($age <= 25)
{
    echo "You are not allowed to consume alchohol";
}
else 
{
    echo "Enjoy the drinks";
}
?>
```

享受饮料

* * *

## `if...else...elseif`声明

当我们想要对不同的条件集执行不同的代码，并且我们有 2 个以上的可能条件时，那么我们使用`if...elseif...else`对。

**语法:**

```php
if(condition1)
{
    // code to be executed if 'condition1' is true
}
elseif(condition2)
{
    // code to be executed if 'condition2' is true
}
else
{
    /* code to be executed if both 'condition1'
     and 'condition2' are false */
}
```

这里有一个简单的例子，

```php
<?php
// speed in kmph
$speed = 110;

if($speed < 60)
{
    echo "Safe driving speed";
}
elseif($speed > 60 && $speed < 100)
{
    echo "You are burning extra fuel";
}
else 
{
    // when speed is greater than 100
    echo "Its dangerous";
}
?>
```

这很危险

在上面的例子中，我们也使用了逻辑运算符`&&`。将多个条件写在一起时，逻辑运算符非常有用。

* * *

* * *