# PHP `switch`语句

> 原文：<https://www.studytonight.com/php/php-switch-statement>

你一定使用过电梯，电梯是用来在建筑物上上下下的，你所要做的就是按下带有你想去的楼层号的按钮，或者使用电视遥控器，你可以通过选择电视遥控器上的频道号来改变电视上的频道。

* * *

## `switch`声明

一个`switch`语句用于根据不同的条件执行不同的动作。

使用`switch`语句，我们可以指定多个条件以及当该条件为**真**时要执行的代码，从而实现菜单风格的程序。

**语法:**

```php
switch(X)
{
    case value1:
        // execute this code when X=value1
        break;
    case value2:
        // execute this code when X=value2
        break;
    case value3:
        // execute this code when X=value3
        break;
    ...
    default:
        /* execute this when X matches none of
           of the specified options */
}
```

您可以使用单个`switch`代码块指定任意多个选项。

`X`可以是变量，也可以是表达式。

在`switch`语句中，我们为 switch 语句提供了一个可以是变量或表达式的决定因素，然后我们指定了不同的**情况**，每个情况都有一个**值**，一段代码和一个 **break** 语句。

`break`语句被指定为一旦执行了与指定值相关的操作，就中断 switch 语句的执行。

如果我们没有指定一个`break`语句，那么所有的开关情况，在匹配的情况之后，将被执行，直到下一个`break`语句。

如果没有匹配的案例，则执行**默认的**语句。

```php
<?php
$car = "Jaguar";

switch($car)
{
    case "Audi":
        echo "Audi is amazing";
        break;
    case "Mercedes":
        echo "Mercedes is mindblowing";
        break;
    case "Jaguar":
        echo "Jaguar is the best";
        break;
    default:
        echo "$car is Ok";
}
?>
```

捷豹是最好的

* * *

* * *