# PHP `break`语句

> 原文：<https://www.studytonight.com/php/php-break>

我们已经在[开关`switch`](php-switch-statement) 条件语句中看到并使用了`break`语句。

回想一下，在`switch`代码块中，当有效的案例块被执行时，我们使用`break`语句来脱离`switch`块。

让我们看一个简单`switch`代码的例子:

```php
<?php

$a = 1;

switch($a)
{
    case 1:
        echo "This is case 1";
        break;
    case 2:
        echo "This is case 2";
        break;
    default:
        echo "This is default case";
}

?>
```

这是案例 1

但是如果我们忘记在`switch`语句中的每个**案例**块的末尾添加`break`语句呢？在这种情况下，执行仍将从匹配的**情况**开始，但不会退出`switch`语句，并将继续执行其下的每个代码语句，直到下一个`break`语句。

```php
<?php

$a = 2;

switch($a)
{
    case 1:
        echo "This is case 1";
    case 2:
        echo "This is case 2";
    default:
        echo "This is default case";
}

?>
```

这是案例 2 这是默认案例

* * *

## 在循环中使用`break`

在循环中，`break`语句对于想要退出循环(停止循环)的情况非常有用，如果满足某些条件的话。

让我们举一个简单的 [`for`循环](php-for-and-foreach-loop )的例子来理解我们如何在循环中使用`break`语句。

在下面的例子中，我们想找到第一个能被 13 整除的数，它在 1762 和 1800 之间，从 1762 开始。

```php
<?php

$x = 13;

for($i = 1762; $i < 1800; $i++)
{
    if($i % $x == 0) 
    {
        echo "The number is $i";
        break;
    }
}

?>
```

号码是 1768

在上面的脚本中，我们从 1762 年开始我们的`for`循环，一直运行到 1800 年。在每次迭代/循环中，我们检查递增的数是否能被 13 整除。当我们找到第一个余数为 0 的数字时，我们使用`break`语句退出循环。

`break`语句的用法对于所有不同类型的循环都是一样的。

* * *

* * *