# PHP 数组

> 原文：<https://www.studytonight.com/php/php-arrays>

一个**数组**用于在一个变量中存储多个值，通常是相同类型的。

例如，如果您有一个想要存储在一起的节日列表，或者可能是一个固定项目列表，或者是一个颜色列表，那么您可以将它们保存在单独的变量中，但是您将不得不创建许多变量，并且它们不会相互关联。

在这种情况下，使用 PHP 数组。**数组**可以将多个值一起存储在一个变量中，我们可以使用 [`foreach`循环](php-for-and-foreach-loop)遍历数组中存储的所有值。

* * *

## 创建数组

我们可以使用`array()`函数在 PHP 中创建一个数组。

**语法:**

```php
<?php
/* 
    this function takes multiple values
    separated by comma as input to create
    an aray
*/
array();

?>
```

在 PHP 中有 3 种类型的数组:

1.  **索引数组**:这些是带数值索引的数组。
2.  **关联数组**:这些是以命名键为索引的数组，键可以是数字或文本。
3.  **多维数组**:这些是包含一个或多个数组的数组。

* * *

### 举个例子

让我们举一个简单的数组例子来帮助您理解数组是如何创建的。

```php
<?php
/* 
    a simple array with car names
*/
$lamborghinis = array("Urus", "Huracan", "Aventador");

?>
```

要访问存储在数组中的数据，我们可以使用索引号，也可以使用`foreach`循环遍历数组元素。

数组元素的索引号从`0`开始，即第一个元素在`0`位置，第二个元素在`1`位置，以此类推...

```php
<?php
/* 
    a simple array with Lamborghini car names
*/
$lamborghinis = array("Urus", "Huracan", "Aventador");
// print the first car name
echo $lamborghinis[0];
echo "Urus is the latest Super SUV by Lamborghini";

?>
```

Urus Urus 是兰博基尼最新的超级 SUV

* * *

### 阵列的优势

以下是在我们的程序/脚本中使用数组的一些优点:

1.  定义相关数据的简单列表非常容易，而不是创建多个[变量](variables-in-php)。
2.  使用`foreach`循环使用和遍历非常简单。
3.  PHP 提供了对数组进行排序的内置函数，因此它也可以用于对信息进行排序。

* * *

* * *