# PHP 索引数组

> 原文：<https://www.studytonight.com/php/indexed-array>

一个**索引数组**是一个[简单数组](php-arrays)，其中数据元素是根据数字索引存储的。所有数组元素都由一个索引表示，该索引是从第一个数组元素的`0`开始的数值。

* * *

## 创建索引数组

在 PHP 中创建索引数组有两种不同的方法，它们是:

**创建索引数组的第一种方法的语法**:

```php
<?php
/* 
    1st - direct array initialization
*/
$lamborghinis = array("Urus", "Huracan", "Aventador");

?>
```

第二种创建索引数组的方式的**语法**是:

```php
<?php
/* 
    2nd - distributed array initialization
*/
$suzuki[0] = "Swift";
$suzuki[1] = "Baleno";
$suzuki[2] = "Ertiga";
$suzuki[3] = "Brezza";
$suzuki[4] = "Vitara";

?>
```

无论我们如何初始化数组，我们都可以按如下方式访问数组，

```php
<?php
/* 
    Accessing array
*/
echo "Accessing the 2nd array...";
echo $suzuki[0], "\n";
echo $suzuki[3], "\n";
echo $suzuki[2], "\n";

echo "Accessing the 1st array...";
echo $lamborghinis[1], "\n";
echo $lamborghinis[0], "\n";
echo $lamborghinis[2], "\n";

?>
```

访问第二个阵列...Swift Brezza Ertiga 访问第一个阵列...Huracan Urus Aventador

因此，要访问索引数组，我们必须使用数组名以及方括号中元素的索引。

* * *

## 遍历 PHP 索引数组

遍历数组意味着从数组的第一个索引开始迭代，直到最后一个元素。

我们可以使用`for`循环或`foreach`遍历索引数组。要了解`for`和`foreach`循环的语法和基本用法，可以参考 [PHP for 和 foreach 循环](php-for-and-foreach-loop)教程。

* * *

### 使用`for`循环

使用`for`循环遍历索引数组时，我们必须知道数组的大小/长度，这可以使用`count()`函数找到。

以下是使用`for`循环遍历数组的语法。

```php
<?php

$lamborghinis = array("Urus", "Huracan", "Aventador");
// find size of the array
$size = count($lamborghinis);

// using the for loop
for($i = 0; $i < $size; $i++)
{
    echo $lamborghinis[$i], "\n";
}

?>
```

* * *

#### 使用`foreach`循环

如果必须遍历整个数组，使用`foreach`遍历索引数组是一种更好的方法，因为我们不必费心计算数组的大小来循环数组。

下面我们用`foreach`遍历`$lamborghinis`数组。

```php
<?php

$lamborghinis = array("Urus", "Huracan", "Aventador");

// using the foreach loop
foreach($lamborghinis as $lambo)
{
    echo $lambo. "\n";
}

?>
```

* * *

### 索引数组的优点

以下是在我们的程序/脚本中使用索引数组的一些优点:

1.  数字索引值使它更容易使用，并且几乎所有编程语言都有数字索引，因此它也使代码对于阅读您的代码的其他人来说更易读。

* * *

* * *