# PHP 中的状态管理

> 原文：<https://www.studytonight.com/php/php-state-management>

HTTP 是无状态协议，这意味着每个用户请求都是独立处理的，与之前处理的请求无关。因此，无法使用 HTTP 协议存储或发送任何用户特定的详细信息。

但是在现代应用程序中，会创建用户帐户，并将用户特定信息显示给不同的用户，为此，我们需要了解每个网页上的用户是谁(或他/她希望看到什么等)。

PHP 为 web 应用程序的状态管理提供了两种不同的技术，它们是:

1.  服务器端状态管理
2.  客户端服务器管理

* * *

## 服务器端状态管理

在服务器端状态管理中，我们存储在服务器上识别用户所需的用户特定信息。每个网页上都有这些信息。

在 PHP 中我们有 **[【会话】](php-session-management)** 用于服务器端状态管理。PHP 会话变量用于存储用户名、用户 id 等用户会话信息，并且可以通过访问 web 应用程序的任何网页上的会话变量来检索这些信息，直到会话变量被销毁。

* * *

## 客户端状态管理

在客户端状态管理中，用户特定信息存储在客户端，即存储在服务器中。同样，该信息在 web 应用程序的所有网页上都可用。

在 PHP 中我们有 **[Cookies](php-cookies)** 用于客户端状态管理。cookie 保存在浏览器中，带有一些数据和到期日期(直到 cookie 有效)。

使用 cookie 进行状态管理的一个缺点是，用户可以轻松访问存储在浏览器中的 cookie，甚至可以将其删除。

* * *

* * *