# 使用 PHP 读取文件

> 原文：<https://www.studytonight.com/php/php-read-file>

用 PHP 从文件中读取内容可以通过两种方式完成:

*   使用`readfile()`功能
*   使用`fread()`从打开的文件中读取内容。

* * *

## 使用`readfile()`读取文件

`readfile()`函数读取文件的全部内容，并将其写入输出缓冲区。

如果我们有一个文件**study south-info . txt**，内容如下:

```php
Following are some of the subjects available on Studytonight:
C Language
C++
Data Structure
Android
Python

```

我们可以使用`readfile()`函数读取上述文件的全部内容并写入输出缓冲区。

```php
<?php
echo readfile("studytonight-info.txt");
?>
```

* * *

## 使用`fread()`打开并读取文件

我们可以使用`fread()`功能从已经打开的文件中读取内容。`fread()`函数有两个参数:

1.  首先是**文件名**
2.  第二个参数指定要读取的内容的**字节大小**。

举个例子，如果我们有一个文件**study now . txt**，内容如下:

```php
Studytonight is for coding enthusiasts!
```

如果我们想读取文件的全部内容，我们将在**读取模式**下打开文件，然后使用`fread()`功能。

```php
<?php
// Opening a file
$myfile = fopen("studytonight.txt", "r");

// reading the entire file using
// fread() function
echo fread($myfile, filesize("studytonight.txt"));

// closing the file
fclose($myfile);
?>
```

今晚的学习是为编码爱好者准备的！

正如您在上面的代码片段中看到的，我们使用了`filesize()`函数来指定等于整个文件大小的字节大小，因此`fread()`函数读取文件的整个内容。

但是如果想只打印文件中的部分内容，可以直接在第二个参数中指定**的大小(以字节为单位)** (1 字节= 1 个字符)，如下所示:

```php
<?php
// Opening a file
$myfile = fopen("studytonight.txt", "r");

// reading only 12 bytes using
// fread() function
echo fread($myfile, 12);

// closing the file
fclose($myfile);
?>
```

今晚学习

* * *

## 使用`fgets()`逐行读取文件

`fgets()`函数从任何给定文件中读取一行(直到新的行字符)。

记住**study south-info . txt**文件，让我们在下面的例子中使用该文件，

```php
<?php
// Opening a file
$myfile = fopen("studytonight-info.txt", "r");

// reading a single line using fgets()
echo fgets($myfile);

// closing the file
fclose($myfile);
?>
```

以下是《今夜研究》的一些主题:

在调用`fgets()`函数后，文件指针移动到下一行，所以如果我们调用`fgets()`函数两次，我们将从文件中得到两行，

```php
<?php
// Opening a file
$myfile = fopen("studytonight-info.txt", "r");

// reading the first line using fgets()
echo fgets($myfile) . "<br>";
// reading the second line
echo fgets($myfile);

// closing the file
fclose($myfile);
?>
```

以下是今晚学习中的一些科目:C 语言

* * *

### 使用`feof()`获取文件结尾

如果文件指针在文件末尾，函数`feof()`返回`true`，否则返回`false`。

此功能可用于循环通过大小未知的文件，因为`feof()`功能可用于检查是否到达文件结尾。

让我们使用`feof()`和`fgets()`功能来**逐行读取**和**回显/打印**文件**的内容。**

```php
<?php
// Opening a file
$myfile = fopen("studytonight-info.txt", "r");

// loop around the file to output the content
// line by line
while(!feof($myfile)) {
    echo fgets($myfile) . "<br>";
}

// closing the file
fclose($myfile);
?>
```

以下是《今夜研究》提供的一些主题:C 语言 C++数据结构安卓 Python

* * *

## 逐字符读取文件- `fgetc()`

我们可以使用函数`fgetc()`从头开始从任何文件资源中读取单个字符。

我们可以使用`fgetc()`功能和`feof()`功能，一个字符一个字符地打印一个文件的全部内容。

如果您必须替换任何字符或在文件内容中查找任何特定字符，此功能会派上用场。

让我们举个例子，

```php
<?php
// Opening a file
$myfile = fopen("studytonight-info.txt", "r");

// loop around the file to output the content
// character by character
while(!feof($myfile)) {
    echo fgetc($myfile);
}

// closing the file
fclose($myfile);
?>
```

以下是今晚学习中的一些主题:C 语言 c++数据结构和 Python

* * *

* * *