# 使用 PHP 将数据写入或追加到文件中

> 原文：<https://www.studytonight.com/php/php-file-write-and-append>

要将内容写入文件，我们可以使用 PHP 中的`fwrite()`函数。要使用`fwrite()`功能将内容写入文件，我们首先需要在**写入**或**追加**模式下打开文件资源。

* * *

## 用 PHP 写一个文件

`fwrite()`功能用于在**写入**模式下，当文件已经打开时，将内容写入文件。

让我们举个例子，我们将在文件 **movies.txt** 中写入几个电影名称

```php
$file_name = 'movies.txt';
//opens the file.txt file or implicitly creates the file
$myfile = fopen($file_name, 'w') or die('Cannot open file: '.$file_name); 
$movie_name = "The Man from Earth \n";
// write name to the file
fwrite($myfile, $movie_name);

// lets write another movie name to our file
$movie_name = "SouthPaw \n";
fwrite($myfile, $movie_name);
// close the file
fclose($myfile); 
```

在上面的代码中，我们在文件 **movies.txt** 中写了两个电影名。如果我们打开文件，它将如下所示:

来自地球的左撇子

**注意:**当在**写入**模式下打开文件时，文件中的所有现有数据都会被擦除，并且可以使用`fwrite()`功能将新数据写入文件。

如果我们再次打开上面的文件向其中写入更多的内容，并且我们在**写入模式**下打开文件，那么所有现有的内容都将被擦除。

* * *

## 用 PHP 将数据追加到文件中

如果我们希望在文件 **movies.txt** 中添加更多的电影名称，那么我们需要在**追加模式**中打开该文件。我们举个例子看看。

```php
$file_name = 'movies.txt';
//opens the file.txt file or implicitly creates the file
$myfile = fopen($file_name, 'a') or die('Cannot open file: '.$file_name); 
$movie_name = "Avengers \n";
// write name to the file
fwrite($myfile, $movie_name);

// lets write another movie name to our file
$movie_name = "Real Steel \n";
fwrite($myfile, $movie_name);
// close the file
fclose($myfile); 
```

地球人左撇子复仇者联盟真钢

* * *

* * *