# PHP 类对象

> 原文：<https://www.studytonight.com/php/php-class-objects>

正如在[上一个教程](php-class)中所讨论的，类只不过是一个蓝图或者用户定义的数据类型，可以通过创建它的对象来使用。

> 类是一个逻辑实体，而它的对象是真实的。

A **类**一般包括局部变量和局部方法。

而**对象**是类的一个实例，它保存了带有赋值的局部变量，使用这个对象我们可以调用类中定义的局部方法。

在本教程中，我们将学习如何在 PHP 中初始化任何类的对象。

* * *

## 用 PHP 创建一个类的对象

为了创建一个类的对象，我们使用`new`关键字。

让我们举一个快速的例子，我们将为一个简单的 PHP 类创建对象。

```php
<?php
    class Studytonight {
        // to store name of person
        var $url = "studytonight.com";

        // simple class method
        function desc() {
            echo "Studytonight helps you learn Coding.";
        }
    }

    // creating class object
    $obj = new Studytonight();
?>
```

如您所见，我们在最后一行使用`new`关键字创建了一个类对象**study now**，并将其分配给变量`$obj`。

一旦我们有了任何类的对象，我们就可以使用`->`运算符使用它来访问类方法和变量。

```php
<?php
    class Studytonight {
        // variable with a default value
        var $url = "studytonight.com";

        // simple class method
        function desc() {
            echo "Studytonight helps you learn Coding.";
        }
    }

    // creating class object
    $obj = new Studytonight();
    // accessing class variable
    echo $obj->url . "<br/>";
    // calling class method
    $obj->desc();
?>
```

Studytonight 研究今晚帮助你学习编码。

* * *

## 访问类变量和方法

要使用类的对象访问类变量和方法，我们使用`->`运算符，后跟变量的名称或方法的名称。

我们已经在上面的例子中展示了这一点，但是让我们有另一个例子，有一个更复杂的类。

```php
<?php
    class Person {
        // first name of person
        var $fname;
        // last name of person
        var $lname;

        function showName() {
            echo "My name is: " . $this->fname . " " . $this->lname;
        }
    }

    // creating class object
    $john = new Person();
    // assigning values to variables
    $john->fname = "John";
    $john->lname = "Wick";
    // calling the method function
    $john->showName();
?>
```

我叫:疾速追杀

在上面的类中，在`showName()`方法内部，我们使用了`$this`关键字，用于引用调用对象。我们将在接下来的教程中了解更多信息。

类似地，我们可以用分配给局部类变量的不同值创建一个类的多个对象。我们开始吧，

```php
<?php
    class Person {
        // first name of person
        var $fname;
        // last name of person
        var $lname;

        function showName() {
            echo "My name is: " . $this->fname . " " . $this->lname;
        }
    }

    // creating class object
    $john = new Person();
    // assigning values to variables
    $john->fname = "John";
    $john->lname = "Wick";
    // calling the method function
    $john->showName();

    echo "<br/>";

    // creating class object
    $james = new Person();
    // assigning values to variables
    $james->fname = "James";
    $james->lname = "Bond";
    // calling the method function
    $james->showName();
?>
```

我的名字是:疾速追杀我的名字是:詹姆斯·邦德

类变量`fname`和`lname`都可以在对象`$john`和`$james`中作为单独的副本使用，我们可以为它们赋值，然后使用它们。

* * *

* * *